#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8728
#define LARGE_STATE_COUNT 2324
#define SYMBOL_COUNT 539
#define ALIAS_COUNT 5
#define TOKEN_COUNT 219
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 220

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_virtual = 45,
  anon_sym_extern = 46,
  anon_sym___attribute__ = 47,
  anon_sym___attribute = 48,
  anon_sym_COLON_COLON = 49,
  anon_sym_LBRACK_LBRACK = 50,
  anon_sym_RBRACK_RBRACK = 51,
  anon_sym___declspec = 52,
  anon_sym___based = 53,
  anon_sym___cdecl = 54,
  anon_sym___clrcall = 55,
  anon_sym___stdcall = 56,
  anon_sym___fastcall = 57,
  anon_sym___thiscall = 58,
  anon_sym___vectorcall = 59,
  sym_ms_restrict_modifier = 60,
  sym_ms_unsigned_ptr_modifier = 61,
  sym_ms_signed_ptr_modifier = 62,
  anon_sym__unaligned = 63,
  anon_sym___unaligned = 64,
  anon_sym_LBRACE = 65,
  anon_sym_RBRACE = 66,
  anon_sym_signed = 67,
  anon_sym_unsigned = 68,
  anon_sym_long = 69,
  anon_sym_short = 70,
  anon_sym_LBRACK = 71,
  anon_sym_static = 72,
  anon_sym_RBRACK = 73,
  anon_sym_EQ = 74,
  anon_sym_register = 75,
  anon_sym_inline = 76,
  anon_sym___inline = 77,
  anon_sym___inline__ = 78,
  anon_sym___forceinline = 79,
  anon_sym_thread_local = 80,
  anon_sym___thread = 81,
  anon_sym_const = 82,
  anon_sym_constexpr = 83,
  anon_sym_volatile = 84,
  anon_sym_restrict = 85,
  anon_sym___restrict__ = 86,
  anon_sym__Atomic = 87,
  anon_sym__Noreturn = 88,
  anon_sym_noreturn = 89,
  anon_sym__Nonnull = 90,
  anon_sym_mutable = 91,
  anon_sym_constinit = 92,
  anon_sym_consteval = 93,
  anon_sym_alignas = 94,
  anon_sym__Alignas = 95,
  sym_primitive_type = 96,
  anon_sym_enum = 97,
  anon_sym_class = 98,
  anon_sym_struct = 99,
  anon_sym_union = 100,
  anon_sym_COLON = 101,
  anon_sym_if = 102,
  anon_sym_else = 103,
  anon_sym_switch = 104,
  anon_sym_case = 105,
  anon_sym_default = 106,
  anon_sym_while = 107,
  anon_sym_do = 108,
  anon_sym_for = 109,
  anon_sym_return = 110,
  anon_sym_break = 111,
  anon_sym_continue = 112,
  anon_sym_goto = 113,
  anon_sym___try = 114,
  anon_sym___except = 115,
  anon_sym___finally = 116,
  anon_sym___leave = 117,
  anon_sym_QMARK = 118,
  anon_sym_STAR_EQ = 119,
  anon_sym_SLASH_EQ = 120,
  anon_sym_PERCENT_EQ = 121,
  anon_sym_PLUS_EQ = 122,
  anon_sym_DASH_EQ = 123,
  anon_sym_LT_LT_EQ = 124,
  anon_sym_GT_GT_EQ = 125,
  anon_sym_AMP_EQ = 126,
  anon_sym_CARET_EQ = 127,
  anon_sym_PIPE_EQ = 128,
  anon_sym_and_eq = 129,
  anon_sym_or_eq = 130,
  anon_sym_xor_eq = 131,
  anon_sym_not = 132,
  anon_sym_compl = 133,
  anon_sym_LT_EQ_GT = 134,
  anon_sym_or = 135,
  anon_sym_and = 136,
  anon_sym_bitor = 137,
  anon_sym_xor = 138,
  anon_sym_bitand = 139,
  anon_sym_not_eq = 140,
  anon_sym_DASH_DASH = 141,
  anon_sym_PLUS_PLUS = 142,
  anon_sym_sizeof = 143,
  anon_sym___alignof__ = 144,
  anon_sym___alignof = 145,
  anon_sym__alignof = 146,
  anon_sym_alignof = 147,
  anon_sym__Alignof = 148,
  anon_sym_offsetof = 149,
  anon_sym__Generic = 150,
  anon_sym_asm = 151,
  anon_sym___asm__ = 152,
  anon_sym___asm = 153,
  anon_sym___volatile__ = 154,
  anon_sym_DOT = 155,
  anon_sym_DOT_STAR = 156,
  anon_sym_DASH_GT = 157,
  sym_number_literal = 158,
  anon_sym_L_SQUOTE = 159,
  anon_sym_u_SQUOTE = 160,
  anon_sym_U_SQUOTE = 161,
  anon_sym_u8_SQUOTE = 162,
  anon_sym_SQUOTE = 163,
  aux_sym_char_literal_token1 = 164,
  anon_sym_L_DQUOTE = 165,
  anon_sym_u_DQUOTE = 166,
  anon_sym_U_DQUOTE = 167,
  anon_sym_u8_DQUOTE = 168,
  anon_sym_DQUOTE = 169,
  aux_sym_string_literal_token1 = 170,
  sym_escape_sequence = 171,
  sym_system_lib_string = 172,
  sym_true = 173,
  sym_false = 174,
  anon_sym_NULL = 175,
  anon_sym_nullptr = 176,
  sym_comment = 177,
  sym_auto = 178,
  anon_sym_decltype = 179,
  anon_sym_final = 180,
  anon_sym_override = 181,
  anon_sym_explicit = 182,
  anon_sym_typename = 183,
  anon_sym_template = 184,
  anon_sym_GT2 = 185,
  anon_sym_operator = 186,
  anon_sym_try = 187,
  anon_sym_delete = 188,
  aux_sym_pure_virtual_clause_token1 = 189,
  anon_sym_friend = 190,
  anon_sym_public = 191,
  anon_sym_private = 192,
  anon_sym_protected = 193,
  anon_sym_noexcept = 194,
  anon_sym_throw = 195,
  anon_sym_namespace = 196,
  anon_sym_using = 197,
  anon_sym_static_assert = 198,
  anon_sym_concept = 199,
  anon_sym_co_return = 200,
  anon_sym_co_yield = 201,
  anon_sym_catch = 202,
  anon_sym_R_DQUOTE = 203,
  anon_sym_LR_DQUOTE = 204,
  anon_sym_uR_DQUOTE = 205,
  anon_sym_UR_DQUOTE = 206,
  anon_sym_u8R_DQUOTE = 207,
  anon_sym_co_await = 208,
  anon_sym_new = 209,
  anon_sym_requires = 210,
  anon_sym_DASH_GT_STAR = 211,
  anon_sym_LPAREN_RPAREN = 212,
  anon_sym_LBRACK_RBRACK = 213,
  anon_sym_DQUOTE_DQUOTE = 214,
  sym_this = 215,
  sym_literal_suffix = 216,
  sym_raw_string_delimiter = 217,
  sym_raw_string_content = 218,
  sym_translation_unit = 219,
  sym__top_level_item = 220,
  sym__block_item = 221,
  sym_preproc_include = 222,
  sym_preproc_def = 223,
  sym_preproc_function_def = 224,
  sym_preproc_params = 225,
  sym_preproc_call = 226,
  sym_preproc_if = 227,
  sym_preproc_ifdef = 228,
  sym_preproc_else = 229,
  sym_preproc_elif = 230,
  sym_preproc_elifdef = 231,
  sym_preproc_if_in_field_declaration_list = 232,
  sym_preproc_ifdef_in_field_declaration_list = 233,
  sym_preproc_else_in_field_declaration_list = 234,
  sym_preproc_elif_in_field_declaration_list = 235,
  sym_preproc_elifdef_in_field_declaration_list = 236,
  sym_preproc_if_in_enumerator_list = 237,
  sym_preproc_ifdef_in_enumerator_list = 238,
  sym_preproc_else_in_enumerator_list = 239,
  sym_preproc_elif_in_enumerator_list = 240,
  sym_preproc_elifdef_in_enumerator_list = 241,
  sym_preproc_if_in_enumerator_list_no_comma = 242,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 243,
  sym_preproc_else_in_enumerator_list_no_comma = 244,
  sym_preproc_elif_in_enumerator_list_no_comma = 245,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 246,
  sym__preproc_expression = 247,
  sym_preproc_parenthesized_expression = 248,
  sym_preproc_defined = 249,
  sym_preproc_unary_expression = 250,
  sym_preproc_call_expression = 251,
  sym_preproc_argument_list = 252,
  sym_preproc_binary_expression = 253,
  sym_function_definition = 254,
  sym_declaration = 255,
  sym_type_definition = 256,
  sym__type_definition_type = 257,
  sym__type_definition_declarators = 258,
  sym__declaration_modifiers = 259,
  sym__declaration_specifiers = 260,
  sym_linkage_specification = 261,
  sym_attribute_specifier = 262,
  sym_attribute = 263,
  sym_attribute_declaration = 264,
  sym_ms_declspec_modifier = 265,
  sym_ms_based_modifier = 266,
  sym_ms_call_modifier = 267,
  sym_ms_unaligned_ptr_modifier = 268,
  sym_ms_pointer_modifier = 269,
  sym_declaration_list = 270,
  sym__declarator = 271,
  sym__field_declarator = 272,
  sym__type_declarator = 273,
  sym__abstract_declarator = 274,
  sym_parenthesized_declarator = 275,
  sym_parenthesized_field_declarator = 276,
  sym_parenthesized_type_declarator = 277,
  sym_abstract_parenthesized_declarator = 278,
  sym_attributed_declarator = 279,
  sym_attributed_field_declarator = 280,
  sym_attributed_type_declarator = 281,
  sym_pointer_declarator = 282,
  sym_pointer_field_declarator = 283,
  sym_pointer_type_declarator = 284,
  sym_abstract_pointer_declarator = 285,
  sym_function_declarator = 286,
  sym_function_field_declarator = 287,
  sym_function_type_declarator = 288,
  sym_abstract_function_declarator = 289,
  sym_array_declarator = 290,
  sym_array_field_declarator = 291,
  sym_array_type_declarator = 292,
  sym_abstract_array_declarator = 293,
  sym_init_declarator = 294,
  sym_compound_statement = 295,
  sym_storage_class_specifier = 296,
  sym_type_qualifier = 297,
  sym_alignas_qualifier = 298,
  sym_type_specifier = 299,
  sym_sized_type_specifier = 300,
  sym_enum_specifier = 301,
  sym_enumerator_list = 302,
  sym_struct_specifier = 303,
  sym_union_specifier = 304,
  sym_field_declaration_list = 305,
  sym__field_declaration_list_item = 306,
  sym_field_declaration = 307,
  sym_bitfield_clause = 308,
  sym_enumerator = 309,
  sym_parameter_list = 310,
  sym_parameter_declaration = 311,
  sym_attributed_statement = 312,
  sym_statement = 313,
  sym__top_level_statement = 314,
  sym_labeled_statement = 315,
  sym__top_level_expression_statement = 316,
  sym_expression_statement = 317,
  sym_if_statement = 318,
  sym_else_clause = 319,
  sym_switch_statement = 320,
  sym_case_statement = 321,
  sym_while_statement = 322,
  sym_do_statement = 323,
  sym_for_statement = 324,
  sym__for_statement_body = 325,
  sym_return_statement = 326,
  sym_break_statement = 327,
  sym_continue_statement = 328,
  sym_goto_statement = 329,
  sym_seh_try_statement = 330,
  sym_seh_except_clause = 331,
  sym_seh_finally_clause = 332,
  sym_seh_leave_statement = 333,
  sym_expression = 334,
  sym__string = 335,
  sym_comma_expression = 336,
  sym_conditional_expression = 337,
  sym_assignment_expression = 338,
  sym_pointer_expression = 339,
  sym_unary_expression = 340,
  sym_binary_expression = 341,
  sym_update_expression = 342,
  sym_cast_expression = 343,
  sym_type_descriptor = 344,
  sym_sizeof_expression = 345,
  sym_alignof_expression = 346,
  sym_offsetof_expression = 347,
  sym_generic_expression = 348,
  sym_subscript_expression = 349,
  sym_call_expression = 350,
  sym_gnu_asm_expression = 351,
  sym_gnu_asm_qualifier = 352,
  sym_gnu_asm_output_operand_list = 353,
  sym_gnu_asm_output_operand = 354,
  sym_gnu_asm_input_operand_list = 355,
  sym_gnu_asm_input_operand = 356,
  sym_gnu_asm_clobber_list = 357,
  sym_gnu_asm_goto_list = 358,
  sym_extension_expression = 359,
  sym_argument_list = 360,
  sym_field_expression = 361,
  sym_compound_literal_expression = 362,
  sym_parenthesized_expression = 363,
  sym_initializer_list = 364,
  sym_initializer_pair = 365,
  sym_subscript_designator = 366,
  sym_subscript_range_designator = 367,
  sym_field_designator = 368,
  sym_char_literal = 369,
  sym_concatenated_string = 370,
  sym_string_literal = 371,
  sym_null = 372,
  sym__empty_declaration = 373,
  sym_placeholder_type_specifier = 374,
  sym_decltype_auto = 375,
  sym_decltype = 376,
  sym__class_declaration = 377,
  sym__class_declaration_item = 378,
  sym_class_specifier = 379,
  sym__class_name = 380,
  sym_virtual_specifier = 381,
  sym_explicit_function_specifier = 382,
  sym_base_class_clause = 383,
  sym__enum_base_clause = 384,
  sym_dependent_type = 385,
  sym_template_declaration = 386,
  sym_template_instantiation = 387,
  sym_template_parameter_list = 388,
  sym_type_parameter_declaration = 389,
  sym_variadic_type_parameter_declaration = 390,
  sym_optional_type_parameter_declaration = 391,
  sym_template_template_parameter_declaration = 392,
  sym_optional_parameter_declaration = 393,
  sym_variadic_parameter_declaration = 394,
  sym_variadic_declarator = 395,
  sym_variadic_reference_declarator = 396,
  sym_operator_cast = 397,
  sym_field_initializer_list = 398,
  sym_field_initializer = 399,
  sym_inline_method_definition = 400,
  sym__constructor_specifiers = 401,
  sym_operator_cast_definition = 402,
  sym_operator_cast_declaration = 403,
  sym_constructor_try_statement = 404,
  sym_constructor_or_destructor_definition = 405,
  sym_constructor_or_destructor_declaration = 406,
  sym_default_method_clause = 407,
  sym_delete_method_clause = 408,
  sym_pure_virtual_clause = 409,
  sym_friend_declaration = 410,
  sym_access_specifier = 411,
  sym_reference_declarator = 412,
  sym_reference_field_declarator = 413,
  sym_reference_type_declarator = 414,
  sym_abstract_reference_declarator = 415,
  sym_structured_binding_declarator = 416,
  sym_ref_qualifier = 417,
  sym__function_declarator_seq = 418,
  sym__function_attributes_start = 419,
  sym__function_exception_specification = 420,
  sym__function_attributes_end = 421,
  sym__function_postfix = 422,
  sym_trailing_return_type = 423,
  sym_noexcept = 424,
  sym_throw_specifier = 425,
  sym_template_type = 426,
  sym_template_method = 427,
  sym_template_function = 428,
  sym_template_argument_list = 429,
  sym_namespace_definition = 430,
  sym_namespace_alias_definition = 431,
  sym__namespace_specifier = 432,
  sym_nested_namespace_specifier = 433,
  sym_using_declaration = 434,
  sym_alias_declaration = 435,
  sym_static_assert_declaration = 436,
  sym_concept_definition = 437,
  sym_for_range_loop = 438,
  sym__for_range_loop_body = 439,
  sym_init_statement = 440,
  sym_condition_clause = 441,
  sym_condition_declaration = 442,
  sym_co_return_statement = 443,
  sym_co_yield_statement = 444,
  sym_throw_statement = 445,
  sym_try_statement = 446,
  sym_catch_clause = 447,
  sym_raw_string_literal = 448,
  sym_subscript_argument_list = 449,
  sym_co_await_expression = 450,
  sym_new_expression = 451,
  sym_new_declarator = 452,
  sym_delete_expression = 453,
  sym_type_requirement = 454,
  sym_compound_requirement = 455,
  sym__requirement = 456,
  sym_requirement_seq = 457,
  sym_constraint_conjunction = 458,
  sym_constraint_disjunction = 459,
  sym__requirement_clause_constraint = 460,
  sym_requires_clause = 461,
  sym_requires_parameter_list = 462,
  sym_requires_expression = 463,
  sym_lambda_declarator = 464,
  sym_lambda_expression = 465,
  sym_lambda_capture_specifier = 466,
  sym_lambda_default_capture = 467,
  sym__lambda_capture_identifier = 468,
  sym_lambda_capture_initializer = 469,
  sym__lambda_capture = 470,
  sym__fold_operator = 471,
  sym__binary_fold_operator = 472,
  sym__unary_left_fold = 473,
  sym__unary_right_fold = 474,
  sym__binary_fold = 475,
  sym_fold_expression = 476,
  sym_parameter_pack_expansion = 477,
  sym_type_parameter_pack_expansion = 478,
  sym_identifier_parameter_pack_expansion = 479,
  sym_destructor_name = 480,
  sym_dependent_identifier = 481,
  sym_dependent_field_identifier = 482,
  sym_dependent_type_identifier = 483,
  sym__scope_resolution = 484,
  sym_qualified_field_identifier = 485,
  sym_qualified_identifier = 486,
  sym_qualified_type_identifier = 487,
  sym_qualified_operator_cast_identifier = 488,
  sym__assignment_expression_lhs = 489,
  sym_operator_name = 490,
  sym_user_defined_literal = 491,
  aux_sym_translation_unit_repeat1 = 492,
  aux_sym_preproc_params_repeat1 = 493,
  aux_sym_preproc_if_repeat1 = 494,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 495,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 496,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 497,
  aux_sym_preproc_argument_list_repeat1 = 498,
  aux_sym_declaration_repeat1 = 499,
  aux_sym_type_definition_repeat1 = 500,
  aux_sym__type_definition_type_repeat1 = 501,
  aux_sym__type_definition_declarators_repeat1 = 502,
  aux_sym__declaration_specifiers_repeat1 = 503,
  aux_sym_attribute_declaration_repeat1 = 504,
  aux_sym_attributed_declarator_repeat1 = 505,
  aux_sym_pointer_declarator_repeat1 = 506,
  aux_sym_array_declarator_repeat1 = 507,
  aux_sym_sized_type_specifier_repeat1 = 508,
  aux_sym_enumerator_list_repeat1 = 509,
  aux_sym_field_declaration_repeat1 = 510,
  aux_sym_parameter_list_repeat1 = 511,
  aux_sym_case_statement_repeat1 = 512,
  aux_sym_generic_expression_repeat1 = 513,
  aux_sym_gnu_asm_expression_repeat1 = 514,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 515,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 516,
  aux_sym_gnu_asm_clobber_list_repeat1 = 517,
  aux_sym_gnu_asm_goto_list_repeat1 = 518,
  aux_sym_argument_list_repeat1 = 519,
  aux_sym_initializer_list_repeat1 = 520,
  aux_sym_initializer_pair_repeat1 = 521,
  aux_sym_char_literal_repeat1 = 522,
  aux_sym_concatenated_string_repeat1 = 523,
  aux_sym_string_literal_repeat1 = 524,
  aux_sym__class_declaration_repeat1 = 525,
  aux_sym_base_class_clause_repeat1 = 526,
  aux_sym_template_parameter_list_repeat1 = 527,
  aux_sym_field_initializer_list_repeat1 = 528,
  aux_sym_operator_cast_definition_repeat1 = 529,
  aux_sym_constructor_try_statement_repeat1 = 530,
  aux_sym_structured_binding_declarator_repeat1 = 531,
  aux_sym__function_postfix_repeat1 = 532,
  aux_sym_throw_specifier_repeat1 = 533,
  aux_sym_template_argument_list_repeat1 = 534,
  aux_sym_subscript_argument_list_repeat1 = 535,
  aux_sym_requirement_seq_repeat1 = 536,
  aux_sym_requires_parameter_list_repeat1 = 537,
  aux_sym_lambda_capture_specifier_repeat1 = 538,
  alias_sym_field_identifier = 539,
  alias_sym_namespace_identifier = 540,
  alias_sym_simple_requirement = 541,
  alias_sym_statement_identifier = 542,
  alias_sym_type_identifier = 543,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_virtual] = "virtual",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym___attribute] = "__attribute",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym___volatile__] = "__volatile__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [aux_sym_pure_virtual_clause_token1] = "pure_virtual_clause_token1",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_declarator] = "lambda_declarator",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__lambda_capture_identifier] = "_lambda_capture_identifier",
  [sym_lambda_capture_initializer] = "lambda_capture_initializer",
  [sym__lambda_capture] = "_lambda_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_identifier_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym___attribute] = anon_sym___attribute,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym___volatile__] = anon_sym___volatile__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [aux_sym_pure_virtual_clause_token1] = aux_sym_pure_virtual_clause_token1,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_declarator] = sym_lambda_declarator,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__lambda_capture_identifier] = sym__lambda_capture_identifier,
  [sym_lambda_capture_initializer] = sym_lambda_capture_initializer,
  [sym__lambda_capture] = sym__lambda_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_identifier_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___volatile__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pure_virtual_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_capture_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_capture_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_capture] = {
    .visible = false,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 2},
  [34] = {.index = 38, .length = 2},
  [35] = {.index = 21, .length = 1},
  [36] = {.index = 40, .length = 1},
  [37] = {.index = 41, .length = 2},
  [38] = {.index = 43, .length = 2},
  [39] = {.index = 45, .length = 1},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 52, .length = 1},
  [76] = {.index = 103, .length = 2},
  [77] = {.index = 105, .length = 2},
  [78] = {.index = 107, .length = 2},
  [79] = {.index = 109, .length = 1},
  [80] = {.index = 110, .length = 2},
  [81] = {.index = 112, .length = 2},
  [82] = {.index = 114, .length = 2},
  [83] = {.index = 116, .length = 3},
  [84] = {.index = 119, .length = 2},
  [85] = {.index = 121, .length = 1},
  [86] = {.index = 122, .length = 2},
  [87] = {.index = 124, .length = 2},
  [88] = {.index = 126, .length = 2},
  [89] = {.index = 128, .length = 2},
  [90] = {.index = 130, .length = 2},
  [91] = {.index = 132, .length = 2},
  [92] = {.index = 134, .length = 2},
  [93] = {.index = 136, .length = 2},
  [94] = {.index = 138, .length = 1},
  [95] = {.index = 136, .length = 2},
  [97] = {.index = 139, .length = 2},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 141, .length = 1},
  [100] = {.index = 142, .length = 3},
  [102] = {.index = 145, .length = 2},
  [103] = {.index = 147, .length = 2},
  [104] = {.index = 149, .length = 2},
  [105] = {.index = 151, .length = 3},
  [106] = {.index = 154, .length = 1},
  [107] = {.index = 155, .length = 1},
  [109] = {.index = 156, .length = 3},
  [110] = {.index = 159, .length = 3},
  [111] = {.index = 162, .length = 3},
  [112] = {.index = 165, .length = 3},
  [113] = {.index = 168, .length = 2},
  [114] = {.index = 170, .length = 3},
  [115] = {.index = 173, .length = 3},
  [116] = {.index = 176, .length = 2},
  [117] = {.index = 178, .length = 3},
  [118] = {.index = 181, .length = 2},
  [119] = {.index = 19, .length = 2},
  [120] = {.index = 38, .length = 2},
  [121] = {.index = 183, .length = 2},
  [122] = {.index = 185, .length = 2},
  [123] = {.index = 187, .length = 4},
  [124] = {.index = 191, .length = 4},
  [125] = {.index = 195, .length = 2},
  [126] = {.index = 197, .length = 3},
  [127] = {.index = 200, .length = 2},
  [128] = {.index = 202, .length = 2},
  [129] = {.index = 204, .length = 1},
  [130] = {.index = 205, .length = 1},
  [131] = {.index = 206, .length = 2},
  [132] = {.index = 208, .length = 2},
  [133] = {.index = 210, .length = 3},
  [134] = {.index = 213, .length = 3},
  [135] = {.index = 216, .length = 3},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 223, .length = 2},
  [141] = {.index = 225, .length = 2},
  [142] = {.index = 227, .length = 3},
  [143] = {.index = 230, .length = 2},
  [144] = {.index = 232, .length = 2},
  [145] = {.index = 234, .length = 3},
  [146] = {.index = 237, .length = 2},
  [147] = {.index = 239, .length = 3},
  [148] = {.index = 242, .length = 2},
  [149] = {.index = 244, .length = 1},
  [150] = {.index = 245, .length = 2},
  [151] = {.index = 247, .length = 2},
  [152] = {.index = 249, .length = 4},
  [153] = {.index = 253, .length = 5},
  [154] = {.index = 258, .length = 1},
  [155] = {.index = 259, .length = 1},
  [156] = {.index = 260, .length = 2},
  [157] = {.index = 262, .length = 1},
  [159] = {.index = 263, .length = 1},
  [160] = {.index = 264, .length = 2},
  [161] = {.index = 266, .length = 2},
  [162] = {.index = 11, .length = 1},
  [163] = {.index = 11, .length = 1},
  [164] = {.index = 268, .length = 2},
  [165] = {.index = 270, .length = 1},
  [166] = {.index = 271, .length = 1},
  [167] = {.index = 272, .length = 4},
  [168] = {.index = 276, .length = 2},
  [169] = {.index = 278, .length = 4},
  [170] = {.index = 282, .length = 1},
  [171] = {.index = 283, .length = 3},
  [172] = {.index = 286, .length = 2},
  [173] = {.index = 288, .length = 3},
  [174] = {.index = 291, .length = 5},
  [175] = {.index = 296, .length = 2},
  [176] = {.index = 298, .length = 2},
  [177] = {.index = 300, .length = 1},
  [178] = {.index = 301, .length = 4},
  [179] = {.index = 305, .length = 2},
  [180] = {.index = 307, .length = 2},
  [181] = {.index = 309, .length = 3},
  [182] = {.index = 312, .length = 4},
  [183] = {.index = 316, .length = 4},
  [184] = {.index = 320, .length = 3},
  [185] = {.index = 323, .length = 2},
  [186] = {.index = 325, .length = 3},
  [187] = {.index = 328, .length = 3},
  [188] = {.index = 331, .length = 2},
  [189] = {.index = 333, .length = 2},
  [190] = {.index = 335, .length = 2},
  [191] = {.index = 337, .length = 2},
  [192] = {.index = 339, .length = 3},
  [193] = {.index = 342, .length = 2},
  [194] = {.index = 344, .length = 2},
  [195] = {.index = 346, .length = 3},
  [196] = {.index = 349, .length = 2},
  [197] = {.index = 351, .length = 2},
  [198] = {.index = 353, .length = 2},
  [199] = {.index = 355, .length = 4},
  [200] = {.index = 359, .length = 5},
  [201] = {.index = 364, .length = 3},
  [202] = {.index = 367, .length = 4},
  [203] = {.index = 371, .length = 2},
  [204] = {.index = 373, .length = 1},
  [205] = {.index = 374, .length = 4},
  [206] = {.index = 378, .length = 3},
  [207] = {.index = 381, .length = 2},
  [208] = {.index = 383, .length = 1},
  [209] = {.index = 384, .length = 5},
  [210] = {.index = 389, .length = 2},
  [211] = {.index = 391, .length = 2},
  [212] = {.index = 65, .length = 1},
  [213] = {.index = 393, .length = 5},
  [214] = {.index = 398, .length = 4},
  [215] = {.index = 402, .length = 2},
  [216] = {.index = 404, .length = 2},
  [217] = {.index = 406, .length = 5},
  [218] = {.index = 411, .length = 2},
  [219] = {.index = 413, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [40] =
    {field_path, 1},
  [41] =
    {field_argument, 1},
    {field_directive, 0},
  [43] =
    {field_declarator, 1},
    {field_type, 0},
  [45] =
    {field_parameters, 0, .inherited = true},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [191] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [195] =
    {field_body, 3},
    {field_declarator, 1},
  [197] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [200] =
    {field_alternative, 3},
    {field_condition, 1},
  [202] =
    {field_alternative, 3},
    {field_name, 1},
  [204] =
    {field_size, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_left, 1},
    {field_right, 3},
  [221] =
    {field_body, 4},
    {field_name, 3},
  [223] =
    {field_designator, 0},
    {field_value, 2},
  [225] =
    {field_name, 0},
    {field_value, 2},
  [227] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [230] =
    {field_body, 3},
    {field_name, 0},
  [232] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [234] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [237] =
    {field_initializer, 1},
    {field_value, 2},
  [239] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [242] =
    {field_body, 1},
    {field_condition, 3},
  [244] =
    {field_update, 2},
  [245] =
    {field_initializer, 0},
    {field_update, 2},
  [247] =
    {field_condition, 1},
    {field_initializer, 0},
  [249] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [253] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [258] =
    {field_value, 3},
  [259] =
    {field_operand, 1},
  [260] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [262] =
    {field_assembly_code, 3},
  [263] =
    {field_default_type, 2},
  [264] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [266] =
    {field_body, 2},
    {field_parameters, 1},
  [268] =
    {field_name, 1},
    {field_type, 3},
  [270] =
    {field_condition, 2},
  [271] =
    {field_length, 1},
  [272] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
  [278] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [282] =
    {field_declarator, 4},
  [283] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [286] =
    {field_declarator, 0},
    {field_size, 3},
  [288] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [291] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [296] =
    {field_declarator, 1},
    {field_default_value, 3},
  [298] =
    {field_alternative, 4},
    {field_condition, 1},
  [300] =
    {field_size, 2},
  [301] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [305] =
    {field_body, 2},
    {field_filter, 1},
  [307] =
    {field_left, 2},
    {field_right, 4},
  [309] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [316] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [320] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [323] =
    {field_condition, 1},
    {field_update, 3},
  [325] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [328] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [331] =
    {field_initializer, 0},
    {field_update, 3},
  [333] =
    {field_condition, 2},
    {field_initializer, 0},
  [335] =
    {field_member, 4},
    {field_type, 2},
  [337] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [339] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [342] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [344] =
    {field_default_type, 3},
    {field_name, 1},
  [346] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [349] =
    {field_name, 1},
    {field_type, 4},
  [351] =
    {field_end, 3},
    {field_start, 1},
  [353] =
    {field_declarator, 1},
    {field_default_value, 2},
  [355] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [359] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [364] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [367] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [371] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [373] =
    {field_register, 1},
  [374] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [378] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [381] =
    {field_condition, 2},
    {field_message, 4},
  [383] =
    {field_delimiter, 1},
  [384] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [389] =
    {field_constraint, 0},
    {field_value, 2},
  [391] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [393] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [398] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [402] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [404] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [406] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [411] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [413] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [34] = {
    [1] = alias_sym_type_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [75] = {
    [2] = alias_sym_type_identifier,
  },
  [93] = {
    [2] = alias_sym_namespace_identifier,
  },
  [96] = {
    [1] = alias_sym_field_identifier,
  },
  [99] = {
    [1] = alias_sym_type_identifier,
  },
  [101] = {
    [0] = alias_sym_field_identifier,
  },
  [108] = {
    [1] = alias_sym_type_identifier,
  },
  [119] = {
    [0] = alias_sym_field_identifier,
  },
  [120] = {
    [1] = alias_sym_field_identifier,
  },
  [137] = {
    [3] = alias_sym_namespace_identifier,
  },
  [139] = {
    [0] = alias_sym_field_identifier,
  },
  [158] = {
    [2] = alias_sym_type_identifier,
  },
  [162] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [163] = {
    [1] = alias_sym_namespace_identifier,
  },
  [164] = {
    [1] = alias_sym_type_identifier,
  },
  [190] = {
    [4] = alias_sym_field_identifier,
  },
  [194] = {
    [1] = alias_sym_type_identifier,
  },
  [196] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 13,
  [22] = 14,
  [23] = 17,
  [24] = 15,
  [25] = 15,
  [26] = 14,
  [27] = 14,
  [28] = 17,
  [29] = 15,
  [30] = 17,
  [31] = 13,
  [32] = 13,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 35,
  [37] = 33,
  [38] = 35,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 34,
  [43] = 39,
  [44] = 35,
  [45] = 39,
  [46] = 40,
  [47] = 33,
  [48] = 35,
  [49] = 34,
  [50] = 39,
  [51] = 40,
  [52] = 39,
  [53] = 34,
  [54] = 35,
  [55] = 39,
  [56] = 35,
  [57] = 39,
  [58] = 35,
  [59] = 39,
  [60] = 35,
  [61] = 39,
  [62] = 35,
  [63] = 39,
  [64] = 40,
  [65] = 35,
  [66] = 39,
  [67] = 35,
  [68] = 39,
  [69] = 35,
  [70] = 39,
  [71] = 35,
  [72] = 39,
  [73] = 35,
  [74] = 39,
  [75] = 35,
  [76] = 39,
  [77] = 35,
  [78] = 39,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 85,
  [88] = 85,
  [89] = 86,
  [90] = 84,
  [91] = 85,
  [92] = 83,
  [93] = 84,
  [94] = 86,
  [95] = 86,
  [96] = 82,
  [97] = 82,
  [98] = 82,
  [99] = 83,
  [100] = 83,
  [101] = 84,
  [102] = 102,
  [103] = 103,
  [104] = 103,
  [105] = 84,
  [106] = 103,
  [107] = 83,
  [108] = 103,
  [109] = 82,
  [110] = 86,
  [111] = 85,
  [112] = 103,
  [113] = 103,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 114,
  [118] = 114,
  [119] = 114,
  [120] = 120,
  [121] = 121,
  [122] = 120,
  [123] = 120,
  [124] = 124,
  [125] = 125,
  [126] = 125,
  [127] = 125,
  [128] = 125,
  [129] = 125,
  [130] = 125,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 134,
  [136] = 136,
  [137] = 136,
  [138] = 134,
  [139] = 139,
  [140] = 139,
  [141] = 136,
  [142] = 139,
  [143] = 136,
  [144] = 139,
  [145] = 136,
  [146] = 139,
  [147] = 136,
  [148] = 139,
  [149] = 136,
  [150] = 139,
  [151] = 139,
  [152] = 136,
  [153] = 139,
  [154] = 136,
  [155] = 136,
  [156] = 139,
  [157] = 139,
  [158] = 136,
  [159] = 139,
  [160] = 136,
  [161] = 139,
  [162] = 136,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 164,
  [167] = 167,
  [168] = 134,
  [169] = 169,
  [170] = 163,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 171,
  [175] = 165,
  [176] = 172,
  [177] = 165,
  [178] = 167,
  [179] = 169,
  [180] = 172,
  [181] = 171,
  [182] = 173,
  [183] = 172,
  [184] = 165,
  [185] = 167,
  [186] = 167,
  [187] = 187,
  [188] = 169,
  [189] = 169,
  [190] = 163,
  [191] = 171,
  [192] = 173,
  [193] = 163,
  [194] = 172,
  [195] = 165,
  [196] = 167,
  [197] = 164,
  [198] = 187,
  [199] = 169,
  [200] = 163,
  [201] = 171,
  [202] = 173,
  [203] = 172,
  [204] = 165,
  [205] = 167,
  [206] = 164,
  [207] = 164,
  [208] = 169,
  [209] = 163,
  [210] = 171,
  [211] = 173,
  [212] = 187,
  [213] = 173,
  [214] = 187,
  [215] = 187,
  [216] = 164,
  [217] = 134,
  [218] = 134,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 221,
  [224] = 221,
  [225] = 225,
  [226] = 221,
  [227] = 227,
  [228] = 132,
  [229] = 133,
  [230] = 230,
  [231] = 231,
  [232] = 134,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 219,
  [275] = 271,
  [276] = 271,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 271,
  [302] = 219,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 271,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 271,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 271,
  [329] = 329,
  [330] = 271,
  [331] = 331,
  [332] = 271,
  [333] = 333,
  [334] = 334,
  [335] = 271,
  [336] = 336,
  [337] = 271,
  [338] = 271,
  [339] = 271,
  [340] = 340,
  [341] = 271,
  [342] = 271,
  [343] = 343,
  [344] = 344,
  [345] = 271,
  [346] = 346,
  [347] = 271,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 220,
  [352] = 220,
  [353] = 220,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 219,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 221,
  [370] = 222,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 221,
  [375] = 375,
  [376] = 368,
  [377] = 371,
  [378] = 372,
  [379] = 373,
  [380] = 371,
  [381] = 372,
  [382] = 373,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 221,
  [388] = 225,
  [389] = 222,
  [390] = 225,
  [391] = 391,
  [392] = 221,
  [393] = 391,
  [394] = 221,
  [395] = 221,
  [396] = 368,
  [397] = 231,
  [398] = 230,
  [399] = 133,
  [400] = 227,
  [401] = 401,
  [402] = 227,
  [403] = 231,
  [404] = 404,
  [405] = 132,
  [406] = 133,
  [407] = 404,
  [408] = 230,
  [409] = 404,
  [410] = 404,
  [411] = 404,
  [412] = 404,
  [413] = 404,
  [414] = 404,
  [415] = 404,
  [416] = 404,
  [417] = 404,
  [418] = 227,
  [419] = 401,
  [420] = 404,
  [421] = 230,
  [422] = 231,
  [423] = 132,
  [424] = 266,
  [425] = 234,
  [426] = 257,
  [427] = 239,
  [428] = 254,
  [429] = 270,
  [430] = 268,
  [431] = 258,
  [432] = 249,
  [433] = 235,
  [434] = 236,
  [435] = 265,
  [436] = 237,
  [437] = 261,
  [438] = 241,
  [439] = 269,
  [440] = 268,
  [441] = 233,
  [442] = 249,
  [443] = 235,
  [444] = 222,
  [445] = 236,
  [446] = 237,
  [447] = 270,
  [448] = 247,
  [449] = 248,
  [450] = 239,
  [451] = 248,
  [452] = 240,
  [453] = 238,
  [454] = 253,
  [455] = 247,
  [456] = 242,
  [457] = 243,
  [458] = 234,
  [459] = 248,
  [460] = 259,
  [461] = 263,
  [462] = 250,
  [463] = 262,
  [464] = 251,
  [465] = 245,
  [466] = 262,
  [467] = 263,
  [468] = 264,
  [469] = 263,
  [470] = 243,
  [471] = 264,
  [472] = 270,
  [473] = 246,
  [474] = 261,
  [475] = 269,
  [476] = 244,
  [477] = 238,
  [478] = 239,
  [479] = 240,
  [480] = 242,
  [481] = 245,
  [482] = 246,
  [483] = 243,
  [484] = 233,
  [485] = 244,
  [486] = 258,
  [487] = 233,
  [488] = 261,
  [489] = 252,
  [490] = 253,
  [491] = 254,
  [492] = 251,
  [493] = 250,
  [494] = 269,
  [495] = 244,
  [496] = 258,
  [497] = 252,
  [498] = 238,
  [499] = 245,
  [500] = 253,
  [501] = 255,
  [502] = 246,
  [503] = 254,
  [504] = 267,
  [505] = 225,
  [506] = 255,
  [507] = 250,
  [508] = 264,
  [509] = 257,
  [510] = 256,
  [511] = 266,
  [512] = 259,
  [513] = 262,
  [514] = 251,
  [515] = 252,
  [516] = 266,
  [517] = 256,
  [518] = 260,
  [519] = 247,
  [520] = 234,
  [521] = 256,
  [522] = 240,
  [523] = 257,
  [524] = 259,
  [525] = 260,
  [526] = 241,
  [527] = 260,
  [528] = 242,
  [529] = 265,
  [530] = 268,
  [531] = 267,
  [532] = 249,
  [533] = 235,
  [534] = 267,
  [535] = 236,
  [536] = 237,
  [537] = 265,
  [538] = 241,
  [539] = 255,
  [540] = 292,
  [541] = 349,
  [542] = 311,
  [543] = 320,
  [544] = 334,
  [545] = 280,
  [546] = 309,
  [547] = 310,
  [548] = 309,
  [549] = 316,
  [550] = 317,
  [551] = 318,
  [552] = 316,
  [553] = 317,
  [554] = 343,
  [555] = 344,
  [556] = 323,
  [557] = 272,
  [558] = 273,
  [559] = 318,
  [560] = 319,
  [561] = 277,
  [562] = 278,
  [563] = 279,
  [564] = 343,
  [565] = 344,
  [566] = 284,
  [567] = 350,
  [568] = 287,
  [569] = 290,
  [570] = 291,
  [571] = 295,
  [572] = 296,
  [573] = 306,
  [574] = 307,
  [575] = 308,
  [576] = 354,
  [577] = 312,
  [578] = 313,
  [579] = 362,
  [580] = 363,
  [581] = 364,
  [582] = 365,
  [583] = 366,
  [584] = 323,
  [585] = 272,
  [586] = 273,
  [587] = 321,
  [588] = 322,
  [589] = 326,
  [590] = 329,
  [591] = 331,
  [592] = 340,
  [593] = 300,
  [594] = 277,
  [595] = 281,
  [596] = 286,
  [597] = 293,
  [598] = 294,
  [599] = 314,
  [600] = 327,
  [601] = 278,
  [602] = 279,
  [603] = 310,
  [604] = 319,
  [605] = 350,
  [606] = 354,
  [607] = 362,
  [608] = 363,
  [609] = 364,
  [610] = 365,
  [611] = 366,
  [612] = 612,
  [613] = 258,
  [614] = 285,
  [615] = 289,
  [616] = 297,
  [617] = 298,
  [618] = 299,
  [619] = 327,
  [620] = 303,
  [621] = 304,
  [622] = 305,
  [623] = 325,
  [624] = 336,
  [625] = 348,
  [626] = 284,
  [627] = 285,
  [628] = 287,
  [629] = 355,
  [630] = 356,
  [631] = 289,
  [632] = 358,
  [633] = 359,
  [634] = 360,
  [635] = 361,
  [636] = 290,
  [637] = 291,
  [638] = 367,
  [639] = 295,
  [640] = 346,
  [641] = 296,
  [642] = 297,
  [643] = 298,
  [644] = 299,
  [645] = 303,
  [646] = 304,
  [647] = 305,
  [648] = 307,
  [649] = 308,
  [650] = 312,
  [651] = 313,
  [652] = 321,
  [653] = 322,
  [654] = 367,
  [655] = 325,
  [656] = 326,
  [657] = 329,
  [658] = 331,
  [659] = 336,
  [660] = 340,
  [661] = 346,
  [662] = 348,
  [663] = 333,
  [664] = 333,
  [665] = 355,
  [666] = 356,
  [667] = 300,
  [668] = 300,
  [669] = 358,
  [670] = 359,
  [671] = 349,
  [672] = 281,
  [673] = 286,
  [674] = 292,
  [675] = 293,
  [676] = 294,
  [677] = 311,
  [678] = 314,
  [679] = 360,
  [680] = 320,
  [681] = 361,
  [682] = 327,
  [683] = 334,
  [684] = 280,
  [685] = 306,
  [686] = 340,
  [687] = 360,
  [688] = 355,
  [689] = 361,
  [690] = 356,
  [691] = 284,
  [692] = 285,
  [693] = 287,
  [694] = 289,
  [695] = 290,
  [696] = 291,
  [697] = 295,
  [698] = 296,
  [699] = 297,
  [700] = 298,
  [701] = 299,
  [702] = 303,
  [703] = 304,
  [704] = 305,
  [705] = 306,
  [706] = 307,
  [707] = 334,
  [708] = 308,
  [709] = 709,
  [710] = 710,
  [711] = 312,
  [712] = 313,
  [713] = 280,
  [714] = 349,
  [715] = 321,
  [716] = 322,
  [717] = 367,
  [718] = 323,
  [719] = 363,
  [720] = 325,
  [721] = 326,
  [722] = 279,
  [723] = 331,
  [724] = 336,
  [725] = 366,
  [726] = 281,
  [727] = 286,
  [728] = 346,
  [729] = 292,
  [730] = 348,
  [731] = 309,
  [732] = 310,
  [733] = 354,
  [734] = 293,
  [735] = 272,
  [736] = 273,
  [737] = 316,
  [738] = 294,
  [739] = 317,
  [740] = 318,
  [741] = 319,
  [742] = 364,
  [743] = 320,
  [744] = 358,
  [745] = 359,
  [746] = 311,
  [747] = 277,
  [748] = 362,
  [749] = 134,
  [750] = 278,
  [751] = 350,
  [752] = 752,
  [753] = 343,
  [754] = 344,
  [755] = 314,
  [756] = 365,
  [757] = 329,
  [758] = 134,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 762,
  [764] = 761,
  [765] = 761,
  [766] = 762,
  [767] = 761,
  [768] = 762,
  [769] = 762,
  [770] = 761,
  [771] = 612,
  [772] = 761,
  [773] = 761,
  [774] = 762,
  [775] = 612,
  [776] = 761,
  [777] = 761,
  [778] = 762,
  [779] = 762,
  [780] = 134,
  [781] = 761,
  [782] = 762,
  [783] = 762,
  [784] = 134,
  [785] = 134,
  [786] = 134,
  [787] = 787,
  [788] = 788,
  [789] = 788,
  [790] = 401,
  [791] = 401,
  [792] = 401,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 795,
  [797] = 795,
  [798] = 795,
  [799] = 795,
  [800] = 795,
  [801] = 795,
  [802] = 802,
  [803] = 803,
  [804] = 802,
  [805] = 803,
  [806] = 802,
  [807] = 803,
  [808] = 802,
  [809] = 802,
  [810] = 802,
  [811] = 803,
  [812] = 803,
  [813] = 802,
  [814] = 803,
  [815] = 803,
  [816] = 803,
  [817] = 802,
  [818] = 802,
  [819] = 802,
  [820] = 803,
  [821] = 802,
  [822] = 803,
  [823] = 802,
  [824] = 802,
  [825] = 803,
  [826] = 803,
  [827] = 803,
  [828] = 828,
  [829] = 829,
  [830] = 829,
  [831] = 831,
  [832] = 829,
  [833] = 829,
  [834] = 834,
  [835] = 828,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 836,
  [840] = 829,
  [841] = 834,
  [842] = 842,
  [843] = 834,
  [844] = 829,
  [845] = 828,
  [846] = 846,
  [847] = 847,
  [848] = 828,
  [849] = 847,
  [850] = 829,
  [851] = 831,
  [852] = 846,
  [853] = 834,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 401,
  [858] = 220,
  [859] = 219,
  [860] = 401,
  [861] = 861,
  [862] = 862,
  [863] = 401,
  [864] = 862,
  [865] = 862,
  [866] = 231,
  [867] = 230,
  [868] = 227,
  [869] = 869,
  [870] = 133,
  [871] = 132,
  [872] = 256,
  [873] = 263,
  [874] = 270,
  [875] = 794,
  [876] = 261,
  [877] = 269,
  [878] = 254,
  [879] = 266,
  [880] = 233,
  [881] = 251,
  [882] = 267,
  [883] = 239,
  [884] = 856,
  [885] = 243,
  [886] = 259,
  [887] = 237,
  [888] = 246,
  [889] = 264,
  [890] = 257,
  [891] = 235,
  [892] = 262,
  [893] = 893,
  [894] = 244,
  [895] = 893,
  [896] = 240,
  [897] = 241,
  [898] = 236,
  [899] = 247,
  [900] = 793,
  [901] = 238,
  [902] = 245,
  [903] = 242,
  [904] = 249,
  [905] = 260,
  [906] = 255,
  [907] = 234,
  [908] = 250,
  [909] = 248,
  [910] = 265,
  [911] = 268,
  [912] = 252,
  [913] = 253,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 916,
  [918] = 918,
  [919] = 915,
  [920] = 916,
  [921] = 921,
  [922] = 922,
  [923] = 918,
  [924] = 918,
  [925] = 925,
  [926] = 916,
  [927] = 921,
  [928] = 918,
  [929] = 916,
  [930] = 916,
  [931] = 915,
  [932] = 918,
  [933] = 918,
  [934] = 918,
  [935] = 935,
  [936] = 915,
  [937] = 915,
  [938] = 921,
  [939] = 916,
  [940] = 918,
  [941] = 916,
  [942] = 922,
  [943] = 916,
  [944] = 921,
  [945] = 921,
  [946] = 921,
  [947] = 918,
  [948] = 915,
  [949] = 949,
  [950] = 949,
  [951] = 951,
  [952] = 951,
  [953] = 951,
  [954] = 951,
  [955] = 949,
  [956] = 949,
  [957] = 949,
  [958] = 951,
  [959] = 949,
  [960] = 951,
  [961] = 922,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 965,
  [967] = 967,
  [968] = 967,
  [969] = 967,
  [970] = 970,
  [971] = 967,
  [972] = 972,
  [973] = 967,
  [974] = 965,
  [975] = 975,
  [976] = 970,
  [977] = 967,
  [978] = 970,
  [979] = 967,
  [980] = 980,
  [981] = 965,
  [982] = 965,
  [983] = 970,
  [984] = 980,
  [985] = 965,
  [986] = 967,
  [987] = 980,
  [988] = 970,
  [989] = 967,
  [990] = 965,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 992,
  [997] = 997,
  [998] = 998,
  [999] = 992,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1006,
  [1012] = 1012,
  [1013] = 1009,
  [1014] = 1009,
  [1015] = 1009,
  [1016] = 1008,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1009,
  [1022] = 1006,
  [1023] = 1008,
  [1024] = 1024,
  [1025] = 1009,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1006,
  [1029] = 1029,
  [1030] = 1006,
  [1031] = 1006,
  [1032] = 1032,
  [1033] = 1009,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1006,
  [1038] = 1008,
  [1039] = 1039,
  [1040] = 1006,
  [1041] = 1006,
  [1042] = 1009,
  [1043] = 1008,
  [1044] = 1006,
  [1045] = 1009,
  [1046] = 1009,
  [1047] = 1009,
  [1048] = 1008,
  [1049] = 1009,
  [1050] = 1009,
  [1051] = 1006,
  [1052] = 1008,
  [1053] = 1053,
  [1054] = 1006,
  [1055] = 1006,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1057,
  [1086] = 1058,
  [1087] = 1059,
  [1088] = 1060,
  [1089] = 1063,
  [1090] = 1056,
  [1091] = 1064,
  [1092] = 1065,
  [1093] = 1072,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1066,
  [1102] = 1067,
  [1103] = 1103,
  [1104] = 1068,
  [1105] = 1068,
  [1106] = 1070,
  [1107] = 1071,
  [1108] = 1079,
  [1109] = 1080,
  [1110] = 1081,
  [1111] = 1094,
  [1112] = 1084,
  [1113] = 1096,
  [1114] = 1097,
  [1115] = 1062,
  [1116] = 1098,
  [1117] = 1099,
  [1118] = 1118,
  [1119] = 1068,
  [1120] = 1070,
  [1121] = 1079,
  [1122] = 1080,
  [1123] = 1081,
  [1124] = 1079,
  [1125] = 1069,
  [1126] = 1070,
  [1127] = 1079,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1071,
  [1131] = 1079,
  [1132] = 1080,
  [1133] = 1133,
  [1134] = 1079,
  [1135] = 1079,
  [1136] = 1079,
  [1137] = 1081,
  [1138] = 1128,
  [1139] = 1118,
  [1140] = 1128,
  [1141] = 1128,
  [1142] = 1128,
  [1143] = 1128,
  [1144] = 1128,
  [1145] = 1128,
  [1146] = 1128,
  [1147] = 1128,
  [1148] = 1079,
  [1149] = 1079,
  [1150] = 1079,
  [1151] = 1080,
  [1152] = 1081,
  [1153] = 1073,
  [1154] = 1079,
  [1155] = 1074,
  [1156] = 1075,
  [1157] = 1076,
  [1158] = 1077,
  [1159] = 1078,
  [1160] = 1082,
  [1161] = 1083,
  [1162] = 1095,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1164,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1163,
  [1170] = 1163,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1172,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1166,
  [1182] = 1167,
  [1183] = 1168,
  [1184] = 1171,
  [1185] = 1173,
  [1186] = 1186,
  [1187] = 1177,
  [1188] = 1174,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1178,
  [1195] = 1164,
  [1196] = 1164,
  [1197] = 1197,
  [1198] = 1163,
  [1199] = 1163,
  [1200] = 1200,
  [1201] = 1179,
  [1202] = 1172,
  [1203] = 1193,
  [1204] = 1172,
  [1205] = 1177,
  [1206] = 1177,
  [1207] = 1200,
  [1208] = 1200,
  [1209] = 1163,
  [1210] = 1174,
  [1211] = 1211,
  [1212] = 1178,
  [1213] = 1180,
  [1214] = 1179,
  [1215] = 1166,
  [1216] = 1191,
  [1217] = 1172,
  [1218] = 1177,
  [1219] = 1178,
  [1220] = 1179,
  [1221] = 1180,
  [1222] = 1166,
  [1223] = 1167,
  [1224] = 1168,
  [1225] = 1171,
  [1226] = 1173,
  [1227] = 1192,
  [1228] = 1193,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1178,
  [1233] = 1167,
  [1234] = 1179,
  [1235] = 1180,
  [1236] = 1166,
  [1237] = 1190,
  [1238] = 1167,
  [1239] = 1180,
  [1240] = 1166,
  [1241] = 1168,
  [1242] = 1171,
  [1243] = 1173,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1168,
  [1247] = 1247,
  [1248] = 1163,
  [1249] = 1171,
  [1250] = 1173,
  [1251] = 1163,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1191,
  [1257] = 1174,
  [1258] = 1167,
  [1259] = 1191,
  [1260] = 1172,
  [1261] = 1177,
  [1262] = 1178,
  [1263] = 1179,
  [1264] = 1180,
  [1265] = 1166,
  [1266] = 1167,
  [1267] = 1168,
  [1268] = 1171,
  [1269] = 1173,
  [1270] = 1229,
  [1271] = 1271,
  [1272] = 1231,
  [1273] = 1231,
  [1274] = 1168,
  [1275] = 1172,
  [1276] = 1177,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1200,
  [1281] = 1178,
  [1282] = 1189,
  [1283] = 1179,
  [1284] = 1200,
  [1285] = 1180,
  [1286] = 1286,
  [1287] = 1191,
  [1288] = 1172,
  [1289] = 1177,
  [1290] = 1178,
  [1291] = 1179,
  [1292] = 1180,
  [1293] = 1166,
  [1294] = 1167,
  [1295] = 1168,
  [1296] = 1171,
  [1297] = 1173,
  [1298] = 1229,
  [1299] = 1299,
  [1300] = 1231,
  [1301] = 1166,
  [1302] = 1167,
  [1303] = 1168,
  [1304] = 1304,
  [1305] = 1171,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1192,
  [1311] = 1193,
  [1312] = 1192,
  [1313] = 1229,
  [1314] = 1164,
  [1315] = 1231,
  [1316] = 1173,
  [1317] = 1174,
  [1318] = 1171,
  [1319] = 1319,
  [1320] = 1200,
  [1321] = 1173,
  [1322] = 1322,
  [1323] = 1229,
  [1324] = 1229,
  [1325] = 1231,
  [1326] = 1174,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1192,
  [1331] = 1200,
  [1332] = 1193,
  [1333] = 1191,
  [1334] = 1164,
  [1335] = 1229,
  [1336] = 1192,
  [1337] = 1231,
  [1338] = 1193,
  [1339] = 1164,
  [1340] = 1229,
  [1341] = 1174,
  [1342] = 1231,
  [1343] = 1343,
  [1344] = 1190,
  [1345] = 1163,
  [1346] = 1191,
  [1347] = 1164,
  [1348] = 1299,
  [1349] = 1200,
  [1350] = 1174,
  [1351] = 1286,
  [1352] = 1197,
  [1353] = 1191,
  [1354] = 1164,
  [1355] = 1192,
  [1356] = 1172,
  [1357] = 1177,
  [1358] = 1178,
  [1359] = 1179,
  [1360] = 1180,
  [1361] = 1166,
  [1362] = 1167,
  [1363] = 1168,
  [1364] = 1171,
  [1365] = 1173,
  [1366] = 1174,
  [1367] = 1277,
  [1368] = 1172,
  [1369] = 1193,
  [1370] = 1177,
  [1371] = 1371,
  [1372] = 1175,
  [1373] = 1163,
  [1374] = 1211,
  [1375] = 1200,
  [1376] = 1178,
  [1377] = 1308,
  [1378] = 1179,
  [1379] = 1180,
  [1380] = 1286,
  [1381] = 1197,
  [1382] = 1166,
  [1383] = 1164,
  [1384] = 1277,
  [1385] = 1371,
  [1386] = 1175,
  [1387] = 1211,
  [1388] = 1308,
  [1389] = 1286,
  [1390] = 1197,
  [1391] = 1174,
  [1392] = 1277,
  [1393] = 1371,
  [1394] = 1175,
  [1395] = 1211,
  [1396] = 1308,
  [1397] = 1286,
  [1398] = 1197,
  [1399] = 1172,
  [1400] = 1277,
  [1401] = 1371,
  [1402] = 1175,
  [1403] = 1211,
  [1404] = 1308,
  [1405] = 1177,
  [1406] = 1277,
  [1407] = 1371,
  [1408] = 1175,
  [1409] = 1211,
  [1410] = 1308,
  [1411] = 1163,
  [1412] = 1277,
  [1413] = 1371,
  [1414] = 1211,
  [1415] = 1200,
  [1416] = 1200,
  [1417] = 1229,
  [1418] = 1229,
  [1419] = 1231,
  [1420] = 1307,
  [1421] = 1192,
  [1422] = 1193,
  [1423] = 1343,
  [1424] = 1229,
  [1425] = 1307,
  [1426] = 1229,
  [1427] = 1231,
  [1428] = 1178,
  [1429] = 1177,
  [1430] = 1167,
  [1431] = 1168,
  [1432] = 1171,
  [1433] = 1173,
  [1434] = 1343,
  [1435] = 1231,
  [1436] = 1343,
  [1437] = 1343,
  [1438] = 1343,
  [1439] = 1343,
  [1440] = 1192,
  [1441] = 1174,
  [1442] = 1190,
  [1443] = 1192,
  [1444] = 1231,
  [1445] = 1191,
  [1446] = 1172,
  [1447] = 1177,
  [1448] = 1178,
  [1449] = 1179,
  [1450] = 1180,
  [1451] = 1166,
  [1452] = 1167,
  [1453] = 1168,
  [1454] = 1171,
  [1455] = 1173,
  [1456] = 1192,
  [1457] = 1193,
  [1458] = 1164,
  [1459] = 1174,
  [1460] = 1193,
  [1461] = 1193,
  [1462] = 1163,
  [1463] = 1200,
  [1464] = 1253,
  [1465] = 1254,
  [1466] = 1192,
  [1467] = 1191,
  [1468] = 1164,
  [1469] = 1190,
  [1470] = 1172,
  [1471] = 1178,
  [1472] = 1179,
  [1473] = 1180,
  [1474] = 1166,
  [1475] = 1167,
  [1476] = 1168,
  [1477] = 1171,
  [1478] = 1173,
  [1479] = 1174,
  [1480] = 1191,
  [1481] = 1163,
  [1482] = 1200,
  [1483] = 1229,
  [1484] = 1231,
  [1485] = 1179,
  [1486] = 1192,
  [1487] = 1193,
  [1488] = 1164,
  [1489] = 1193,
  [1490] = 1180,
  [1491] = 1191,
  [1492] = 1190,
  [1493] = 1191,
  [1494] = 1255,
  [1495] = 1255,
  [1496] = 1255,
  [1497] = 1255,
  [1498] = 1255,
  [1499] = 1371,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1509,
  [1511] = 367,
  [1512] = 346,
  [1513] = 1513,
  [1514] = 1505,
  [1515] = 1515,
  [1516] = 1502,
  [1517] = 1515,
  [1518] = 1500,
  [1519] = 1503,
  [1520] = 1504,
  [1521] = 1507,
  [1522] = 1515,
  [1523] = 1506,
  [1524] = 1501,
  [1525] = 1515,
  [1526] = 1507,
  [1527] = 1508,
  [1528] = 1508,
  [1529] = 1501,
  [1530] = 1507,
  [1531] = 1531,
  [1532] = 1503,
  [1533] = 1500,
  [1534] = 1504,
  [1535] = 1506,
  [1536] = 1505,
  [1537] = 1502,
  [1538] = 1508,
  [1539] = 1539,
  [1540] = 922,
  [1541] = 922,
  [1542] = 1506,
  [1543] = 1508,
  [1544] = 1505,
  [1545] = 1504,
  [1546] = 1546,
  [1547] = 1502,
  [1548] = 922,
  [1549] = 1500,
  [1550] = 1501,
  [1551] = 1503,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1554,
  [1557] = 1555,
  [1558] = 1504,
  [1559] = 1500,
  [1560] = 1560,
  [1561] = 1501,
  [1562] = 1503,
  [1563] = 1506,
  [1564] = 1502,
  [1565] = 1505,
  [1566] = 1508,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1555,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1554,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1573,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1539,
  [1587] = 1554,
  [1588] = 1555,
  [1589] = 1589,
  [1590] = 1589,
  [1591] = 1589,
  [1592] = 1539,
  [1593] = 1589,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1554,
  [1597] = 1595,
  [1598] = 1595,
  [1599] = 1594,
  [1600] = 1594,
  [1601] = 1594,
  [1602] = 1594,
  [1603] = 1594,
  [1604] = 1595,
  [1605] = 1539,
  [1606] = 1594,
  [1607] = 1595,
  [1608] = 1573,
  [1609] = 1595,
  [1610] = 1595,
  [1611] = 1546,
  [1612] = 1555,
  [1613] = 1552,
  [1614] = 1539,
  [1615] = 1553,
  [1616] = 1539,
  [1617] = 1573,
  [1618] = 1546,
  [1619] = 1553,
  [1620] = 1552,
  [1621] = 1621,
  [1622] = 1552,
  [1623] = 1553,
  [1624] = 1508,
  [1625] = 1625,
  [1626] = 1546,
  [1627] = 1502,
  [1628] = 1500,
  [1629] = 1504,
  [1630] = 1505,
  [1631] = 1501,
  [1632] = 1503,
  [1633] = 1506,
  [1634] = 1546,
  [1635] = 132,
  [1636] = 133,
  [1637] = 1573,
  [1638] = 1508,
  [1639] = 1639,
  [1640] = 1553,
  [1641] = 1552,
  [1642] = 1553,
  [1643] = 1552,
  [1644] = 220,
  [1645] = 1502,
  [1646] = 1500,
  [1647] = 1504,
  [1648] = 1505,
  [1649] = 1501,
  [1650] = 1503,
  [1651] = 1506,
  [1652] = 219,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 225,
  [1656] = 222,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1660,
  [1662] = 1660,
  [1663] = 1660,
  [1664] = 1664,
  [1665] = 258,
  [1666] = 132,
  [1667] = 133,
  [1668] = 1508,
  [1669] = 1507,
  [1670] = 1670,
  [1671] = 258,
  [1672] = 230,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 310,
  [1676] = 319,
  [1677] = 343,
  [1678] = 344,
  [1679] = 350,
  [1680] = 354,
  [1681] = 362,
  [1682] = 363,
  [1683] = 364,
  [1684] = 365,
  [1685] = 366,
  [1686] = 1686,
  [1687] = 285,
  [1688] = 289,
  [1689] = 290,
  [1690] = 291,
  [1691] = 295,
  [1692] = 296,
  [1693] = 297,
  [1694] = 298,
  [1695] = 299,
  [1696] = 303,
  [1697] = 304,
  [1698] = 305,
  [1699] = 325,
  [1700] = 326,
  [1701] = 1701,
  [1702] = 329,
  [1703] = 331,
  [1704] = 336,
  [1705] = 348,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 263,
  [1709] = 264,
  [1710] = 238,
  [1711] = 245,
  [1712] = 246,
  [1713] = 233,
  [1714] = 1714,
  [1715] = 1507,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 267,
  [1719] = 256,
  [1720] = 260,
  [1721] = 367,
  [1722] = 247,
  [1723] = 346,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 355,
  [1729] = 356,
  [1730] = 1730,
  [1731] = 358,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 359,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 360,
  [1746] = 361,
  [1747] = 300,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1506,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 281,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 286,
  [1776] = 1733,
  [1777] = 292,
  [1778] = 293,
  [1779] = 1502,
  [1780] = 294,
  [1781] = 1724,
  [1782] = 314,
  [1783] = 1733,
  [1784] = 1724,
  [1785] = 1733,
  [1786] = 1724,
  [1787] = 1733,
  [1788] = 1733,
  [1789] = 1733,
  [1790] = 1500,
  [1791] = 1504,
  [1792] = 1505,
  [1793] = 327,
  [1794] = 1501,
  [1795] = 1503,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1560,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 220,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 219,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1554,
  [1817] = 1817,
  [1818] = 1508,
  [1819] = 1819,
  [1820] = 1507,
  [1821] = 220,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1552,
  [1827] = 1555,
  [1828] = 1828,
  [1829] = 1554,
  [1830] = 225,
  [1831] = 219,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1639,
  [1841] = 222,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 225,
  [1848] = 1848,
  [1849] = 1555,
  [1850] = 1850,
  [1851] = 222,
  [1852] = 1852,
  [1853] = 1553,
  [1854] = 1854,
  [1855] = 1507,
  [1856] = 1730,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1508,
  [1861] = 793,
  [1862] = 1726,
  [1863] = 1863,
  [1864] = 1686,
  [1865] = 794,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1727,
  [1870] = 1825,
  [1871] = 1832,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 230,
  [1876] = 1539,
  [1877] = 258,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 258,
  [1882] = 258,
  [1883] = 1686,
  [1884] = 1884,
  [1885] = 132,
  [1886] = 1886,
  [1887] = 133,
  [1888] = 1508,
  [1889] = 1873,
  [1890] = 1890,
  [1891] = 230,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1726,
  [1896] = 1727,
  [1897] = 1730,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1560,
  [1901] = 1546,
  [1902] = 1902,
  [1903] = 1873,
  [1904] = 1904,
  [1905] = 1873,
  [1906] = 258,
  [1907] = 1873,
  [1908] = 1873,
  [1909] = 1873,
  [1910] = 1910,
  [1911] = 1766,
  [1912] = 292,
  [1913] = 1765,
  [1914] = 263,
  [1915] = 264,
  [1916] = 1766,
  [1917] = 1573,
  [1918] = 1767,
  [1919] = 238,
  [1920] = 245,
  [1921] = 246,
  [1922] = 1768,
  [1923] = 1674,
  [1924] = 291,
  [1925] = 1770,
  [1926] = 233,
  [1927] = 1771,
  [1928] = 1773,
  [1929] = 343,
  [1930] = 1654,
  [1931] = 344,
  [1932] = 1758,
  [1933] = 1657,
  [1934] = 267,
  [1935] = 336,
  [1936] = 1774,
  [1937] = 1659,
  [1938] = 256,
  [1939] = 260,
  [1940] = 367,
  [1941] = 247,
  [1942] = 346,
  [1943] = 1759,
  [1944] = 1754,
  [1945] = 295,
  [1946] = 296,
  [1947] = 297,
  [1948] = 298,
  [1949] = 300,
  [1950] = 299,
  [1951] = 247,
  [1952] = 1755,
  [1953] = 1756,
  [1954] = 290,
  [1955] = 291,
  [1956] = 1956,
  [1957] = 1573,
  [1958] = 295,
  [1959] = 296,
  [1960] = 1757,
  [1961] = 361,
  [1962] = 303,
  [1963] = 355,
  [1964] = 304,
  [1965] = 305,
  [1966] = 1796,
  [1967] = 281,
  [1968] = 358,
  [1969] = 359,
  [1970] = 290,
  [1971] = 325,
  [1972] = 326,
  [1973] = 329,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1639,
  [1977] = 331,
  [1978] = 286,
  [1979] = 1758,
  [1980] = 1759,
  [1981] = 1760,
  [1982] = 326,
  [1983] = 1761,
  [1984] = 1762,
  [1985] = 1763,
  [1986] = 1986,
  [1987] = 1764,
  [1988] = 293,
  [1989] = 294,
  [1990] = 1760,
  [1991] = 329,
  [1992] = 1825,
  [1993] = 263,
  [1994] = 1975,
  [1995] = 314,
  [1996] = 264,
  [1997] = 1867,
  [1998] = 1867,
  [1999] = 1999,
  [2000] = 1868,
  [2001] = 327,
  [2002] = 331,
  [2003] = 1639,
  [2004] = 346,
  [2005] = 336,
  [2006] = 1975,
  [2007] = 1765,
  [2008] = 356,
  [2009] = 1752,
  [2010] = 1767,
  [2011] = 1768,
  [2012] = 1674,
  [2013] = 2013,
  [2014] = 1770,
  [2015] = 1771,
  [2016] = 1773,
  [2017] = 1774,
  [2018] = 310,
  [2019] = 319,
  [2020] = 238,
  [2021] = 245,
  [2022] = 246,
  [2023] = 1753,
  [2024] = 350,
  [2025] = 2025,
  [2026] = 1748,
  [2027] = 289,
  [2028] = 362,
  [2029] = 363,
  [2030] = 364,
  [2031] = 365,
  [2032] = 366,
  [2033] = 360,
  [2034] = 1749,
  [2035] = 267,
  [2036] = 1750,
  [2037] = 1751,
  [2038] = 2038,
  [2039] = 1752,
  [2040] = 1974,
  [2041] = 233,
  [2042] = 285,
  [2043] = 1986,
  [2044] = 289,
  [2045] = 297,
  [2046] = 298,
  [2047] = 299,
  [2048] = 1753,
  [2049] = 303,
  [2050] = 300,
  [2051] = 304,
  [2052] = 305,
  [2053] = 256,
  [2054] = 260,
  [2055] = 1878,
  [2056] = 1854,
  [2057] = 1974,
  [2058] = 1732,
  [2059] = 281,
  [2060] = 286,
  [2061] = 292,
  [2062] = 1737,
  [2063] = 293,
  [2064] = 358,
  [2065] = 1738,
  [2066] = 1739,
  [2067] = 294,
  [2068] = 1754,
  [2069] = 1740,
  [2070] = 1741,
  [2071] = 1742,
  [2072] = 1743,
  [2073] = 1744,
  [2074] = 359,
  [2075] = 1975,
  [2076] = 1755,
  [2077] = 314,
  [2078] = 327,
  [2079] = 361,
  [2080] = 348,
  [2081] = 1863,
  [2082] = 1716,
  [2083] = 310,
  [2084] = 1756,
  [2085] = 319,
  [2086] = 1757,
  [2087] = 1868,
  [2088] = 2088,
  [2089] = 343,
  [2090] = 344,
  [2091] = 2091,
  [2092] = 1796,
  [2093] = 1732,
  [2094] = 367,
  [2095] = 350,
  [2096] = 354,
  [2097] = 362,
  [2098] = 363,
  [2099] = 364,
  [2100] = 348,
  [2101] = 365,
  [2102] = 366,
  [2103] = 1761,
  [2104] = 1762,
  [2105] = 1639,
  [2106] = 355,
  [2107] = 1763,
  [2108] = 1751,
  [2109] = 1764,
  [2110] = 1737,
  [2111] = 1748,
  [2112] = 1738,
  [2113] = 1739,
  [2114] = 1740,
  [2115] = 1741,
  [2116] = 1742,
  [2117] = 1743,
  [2118] = 1744,
  [2119] = 1749,
  [2120] = 1750,
  [2121] = 356,
  [2122] = 285,
  [2123] = 325,
  [2124] = 360,
  [2125] = 354,
  [2126] = 1555,
  [2127] = 2127,
  [2128] = 1654,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 1707,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 1659,
  [2135] = 2132,
  [2136] = 2132,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 1657,
  [2140] = 2140,
  [2141] = 1956,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 1639,
  [2146] = 1725,
  [2147] = 1734,
  [2148] = 2132,
  [2149] = 1639,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2132,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 1546,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 1554,
  [2163] = 2132,
  [2164] = 1842,
  [2165] = 1503,
  [2166] = 1506,
  [2167] = 1639,
  [2168] = 1714,
  [2169] = 1902,
  [2170] = 2170,
  [2171] = 2013,
  [2172] = 1874,
  [2173] = 1726,
  [2174] = 1727,
  [2175] = 2038,
  [2176] = 1730,
  [2177] = 1654,
  [2178] = 1807,
  [2179] = 1812,
  [2180] = 2180,
  [2181] = 1879,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 1657,
  [2187] = 1880,
  [2188] = 1824,
  [2189] = 1813,
  [2190] = 1833,
  [2191] = 1834,
  [2192] = 1836,
  [2193] = 1886,
  [2194] = 1822,
  [2195] = 1837,
  [2196] = 1838,
  [2197] = 1839,
  [2198] = 2198,
  [2199] = 1910,
  [2200] = 1890,
  [2201] = 1892,
  [2202] = 1802,
  [2203] = 1893,
  [2204] = 1843,
  [2205] = 1844,
  [2206] = 1659,
  [2207] = 2207,
  [2208] = 1894,
  [2209] = 1553,
  [2210] = 1845,
  [2211] = 1546,
  [2212] = 1846,
  [2213] = 1814,
  [2214] = 1898,
  [2215] = 1706,
  [2216] = 1848,
  [2217] = 1899,
  [2218] = 1552,
  [2219] = 1639,
  [2220] = 1805,
  [2221] = 132,
  [2222] = 2222,
  [2223] = 133,
  [2224] = 2224,
  [2225] = 1507,
  [2226] = 1686,
  [2227] = 2227,
  [2228] = 2151,
  [2229] = 1872,
  [2230] = 1825,
  [2231] = 1815,
  [2232] = 2232,
  [2233] = 1819,
  [2234] = 1811,
  [2235] = 1803,
  [2236] = 2236,
  [2237] = 1817,
  [2238] = 2238,
  [2239] = 1823,
  [2240] = 1850,
  [2241] = 1835,
  [2242] = 1717,
  [2243] = 1852,
  [2244] = 1502,
  [2245] = 1639,
  [2246] = 2246,
  [2247] = 1798,
  [2248] = 1800,
  [2249] = 1500,
  [2250] = 1828,
  [2251] = 1504,
  [2252] = 1799,
  [2253] = 1878,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 1832,
  [2259] = 1505,
  [2260] = 2260,
  [2261] = 1806,
  [2262] = 1639,
  [2263] = 1501,
  [2264] = 1808,
  [2265] = 1809,
  [2266] = 1797,
  [2267] = 1701,
  [2268] = 2268,
  [2269] = 1893,
  [2270] = 1717,
  [2271] = 2142,
  [2272] = 1886,
  [2273] = 1910,
  [2274] = 1890,
  [2275] = 1892,
  [2276] = 2276,
  [2277] = 1867,
  [2278] = 1868,
  [2279] = 1893,
  [2280] = 2280,
  [2281] = 1508,
  [2282] = 1894,
  [2283] = 2159,
  [2284] = 1898,
  [2285] = 1884,
  [2286] = 2137,
  [2287] = 2158,
  [2288] = 1902,
  [2289] = 2138,
  [2290] = 1899,
  [2291] = 1874,
  [2292] = 2129,
  [2293] = 1706,
  [2294] = 1898,
  [2295] = 1899,
  [2296] = 2144,
  [2297] = 1884,
  [2298] = 1902,
  [2299] = 1874,
  [2300] = 1554,
  [2301] = 1879,
  [2302] = 1880,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2130,
  [2307] = 1555,
  [2308] = 1879,
  [2309] = 2154,
  [2310] = 1880,
  [2311] = 1886,
  [2312] = 1910,
  [2313] = 1890,
  [2314] = 1892,
  [2315] = 2315,
  [2316] = 2156,
  [2317] = 1714,
  [2318] = 1716,
  [2319] = 1878,
  [2320] = 2160,
  [2321] = 1894,
  [2322] = 1701,
  [2323] = 2143,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 1706,
  [2327] = 1878,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 1714,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 1717,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 1725,
  [2337] = 1654,
  [2338] = 2338,
  [2339] = 1734,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 793,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 1657,
  [2346] = 2346,
  [2347] = 1716,
  [2348] = 1701,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 1706,
  [2352] = 2352,
  [2353] = 1884,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 1707,
  [2357] = 1714,
  [2358] = 1701,
  [2359] = 2359,
  [2360] = 1717,
  [2361] = 1573,
  [2362] = 794,
  [2363] = 2363,
  [2364] = 1956,
  [2365] = 1659,
  [2366] = 2366,
  [2367] = 1823,
  [2368] = 1798,
  [2369] = 1800,
  [2370] = 1845,
  [2371] = 1828,
  [2372] = 1846,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 1716,
  [2377] = 1803,
  [2378] = 2378,
  [2379] = 1799,
  [2380] = 1717,
  [2381] = 132,
  [2382] = 2382,
  [2383] = 1956,
  [2384] = 1714,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 1578,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 1806,
  [2391] = 1716,
  [2392] = 1848,
  [2393] = 1808,
  [2394] = 1837,
  [2395] = 1809,
  [2396] = 2396,
  [2397] = 1797,
  [2398] = 1844,
  [2399] = 1812,
  [2400] = 1568,
  [2401] = 1575,
  [2402] = 1850,
  [2403] = 2403,
  [2404] = 1701,
  [2405] = 1813,
  [2406] = 1842,
  [2407] = 1805,
  [2408] = 2408,
  [2409] = 1571,
  [2410] = 1572,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 1717,
  [2414] = 2414,
  [2415] = 133,
  [2416] = 1580,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2305,
  [2422] = 2422,
  [2423] = 2170,
  [2424] = 1802,
  [2425] = 1701,
  [2426] = 1838,
  [2427] = 1706,
  [2428] = 2428,
  [2429] = 1814,
  [2430] = 1956,
  [2431] = 1583,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 1706,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 1815,
  [2438] = 1819,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 1714,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 1569,
  [2446] = 1585,
  [2447] = 1567,
  [2448] = 2304,
  [2449] = 2449,
  [2450] = 2198,
  [2451] = 1584,
  [2452] = 1817,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 1824,
  [2458] = 1835,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 1574,
  [2463] = 1577,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 1833,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 1811,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 1822,
  [2477] = 1843,
  [2478] = 1852,
  [2479] = 1582,
  [2480] = 1834,
  [2481] = 1807,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 1581,
  [2489] = 2489,
  [2490] = 1836,
  [2491] = 2491,
  [2492] = 1839,
  [2493] = 1727,
  [2494] = 1878,
  [2495] = 1686,
  [2496] = 2151,
  [2497] = 1902,
  [2498] = 1874,
  [2499] = 2499,
  [2500] = 1879,
  [2501] = 1880,
  [2502] = 1502,
  [2503] = 1500,
  [2504] = 1504,
  [2505] = 1505,
  [2506] = 1501,
  [2507] = 1503,
  [2508] = 1506,
  [2509] = 1560,
  [2510] = 2013,
  [2511] = 2038,
  [2512] = 1726,
  [2513] = 1854,
  [2514] = 1701,
  [2515] = 1706,
  [2516] = 1714,
  [2517] = 1717,
  [2518] = 1886,
  [2519] = 1910,
  [2520] = 1890,
  [2521] = 1892,
  [2522] = 1893,
  [2523] = 2523,
  [2524] = 1894,
  [2525] = 1898,
  [2526] = 1899,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 1863,
  [2530] = 1573,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 1730,
  [2534] = 1894,
  [2535] = 1734,
  [2536] = 2304,
  [2537] = 1854,
  [2538] = 2154,
  [2539] = 2156,
  [2540] = 1707,
  [2541] = 1886,
  [2542] = 1863,
  [2543] = 2158,
  [2544] = 2159,
  [2545] = 2129,
  [2546] = 2130,
  [2547] = 2137,
  [2548] = 1910,
  [2549] = 2138,
  [2550] = 2143,
  [2551] = 2144,
  [2552] = 2160,
  [2553] = 2142,
  [2554] = 1502,
  [2555] = 1880,
  [2556] = 2151,
  [2557] = 1902,
  [2558] = 1854,
  [2559] = 1874,
  [2560] = 1879,
  [2561] = 1880,
  [2562] = 1886,
  [2563] = 1910,
  [2564] = 1890,
  [2565] = 1892,
  [2566] = 1893,
  [2567] = 1894,
  [2568] = 1956,
  [2569] = 1898,
  [2570] = 1879,
  [2571] = 1890,
  [2572] = 1892,
  [2573] = 1825,
  [2574] = 1725,
  [2575] = 1701,
  [2576] = 1706,
  [2577] = 1893,
  [2578] = 1714,
  [2579] = 1717,
  [2580] = 1500,
  [2581] = 1504,
  [2582] = 1505,
  [2583] = 1659,
  [2584] = 1501,
  [2585] = 1503,
  [2586] = 1506,
  [2587] = 1546,
  [2588] = 1654,
  [2589] = 1898,
  [2590] = 1899,
  [2591] = 1686,
  [2592] = 1716,
  [2593] = 1726,
  [2594] = 1727,
  [2595] = 1730,
  [2596] = 1863,
  [2597] = 1560,
  [2598] = 1874,
  [2599] = 1657,
  [2600] = 1902,
  [2601] = 2305,
  [2602] = 1899,
  [2603] = 1560,
  [2604] = 1800,
  [2605] = 1822,
  [2606] = 1828,
  [2607] = 1806,
  [2608] = 1686,
  [2609] = 1808,
  [2610] = 1809,
  [2611] = 1811,
  [2612] = 1817,
  [2613] = 2304,
  [2614] = 1714,
  [2615] = 1823,
  [2616] = 1850,
  [2617] = 1802,
  [2618] = 1884,
  [2619] = 1717,
  [2620] = 1803,
  [2621] = 1807,
  [2622] = 1835,
  [2623] = 2305,
  [2624] = 1799,
  [2625] = 1797,
  [2626] = 1805,
  [2627] = 1812,
  [2628] = 1872,
  [2629] = 1813,
  [2630] = 1814,
  [2631] = 1726,
  [2632] = 1727,
  [2633] = 2633,
  [2634] = 1815,
  [2635] = 1819,
  [2636] = 1832,
  [2637] = 1554,
  [2638] = 2531,
  [2639] = 2532,
  [2640] = 1555,
  [2641] = 1730,
  [2642] = 1833,
  [2643] = 1834,
  [2644] = 1836,
  [2645] = 1837,
  [2646] = 1838,
  [2647] = 1839,
  [2648] = 1701,
  [2649] = 1842,
  [2650] = 1843,
  [2651] = 1825,
  [2652] = 1844,
  [2653] = 1706,
  [2654] = 1845,
  [2655] = 2633,
  [2656] = 1824,
  [2657] = 1884,
  [2658] = 2633,
  [2659] = 2633,
  [2660] = 1846,
  [2661] = 2531,
  [2662] = 2532,
  [2663] = 1560,
  [2664] = 1848,
  [2665] = 1852,
  [2666] = 1798,
  [2667] = 1832,
  [2668] = 1500,
  [2669] = 1686,
  [2670] = 1825,
  [2671] = 1879,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 1880,
  [2675] = 1884,
  [2676] = 1730,
  [2677] = 1727,
  [2678] = 1825,
  [2679] = 1902,
  [2680] = 1910,
  [2681] = 2681,
  [2682] = 1863,
  [2683] = 2673,
  [2684] = 1892,
  [2685] = 1854,
  [2686] = 1899,
  [2687] = 2673,
  [2688] = 1502,
  [2689] = 2673,
  [2690] = 2673,
  [2691] = 1898,
  [2692] = 1866,
  [2693] = 2673,
  [2694] = 1505,
  [2695] = 1560,
  [2696] = 1501,
  [2697] = 1503,
  [2698] = 1506,
  [2699] = 2013,
  [2700] = 1874,
  [2701] = 1560,
  [2702] = 244,
  [2703] = 1859,
  [2704] = 250,
  [2705] = 2673,
  [2706] = 1890,
  [2707] = 1857,
  [2708] = 2708,
  [2709] = 1552,
  [2710] = 2038,
  [2711] = 1726,
  [2712] = 1893,
  [2713] = 1858,
  [2714] = 1886,
  [2715] = 2715,
  [2716] = 2151,
  [2717] = 2717,
  [2718] = 1894,
  [2719] = 2719,
  [2720] = 1504,
  [2721] = 2474,
  [2722] = 1500,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 1504,
  [2728] = 1505,
  [2729] = 1501,
  [2730] = 1503,
  [2731] = 1506,
  [2732] = 1701,
  [2733] = 1686,
  [2734] = 2414,
  [2735] = 1956,
  [2736] = 2736,
  [2737] = 2038,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2304,
  [2742] = 2736,
  [2743] = 2738,
  [2744] = 2412,
  [2745] = 2013,
  [2746] = 1706,
  [2747] = 2154,
  [2748] = 2156,
  [2749] = 1872,
  [2750] = 2736,
  [2751] = 2738,
  [2752] = 1714,
  [2753] = 2461,
  [2754] = 2038,
  [2755] = 1858,
  [2756] = 2736,
  [2757] = 2738,
  [2758] = 2305,
  [2759] = 2736,
  [2760] = 2738,
  [2761] = 1726,
  [2762] = 1727,
  [2763] = 2158,
  [2764] = 2764,
  [2765] = 2129,
  [2766] = 2130,
  [2767] = 2736,
  [2768] = 1730,
  [2769] = 2013,
  [2770] = 1859,
  [2771] = 1717,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2736,
  [2776] = 1866,
  [2777] = 2738,
  [2778] = 1502,
  [2779] = 2137,
  [2780] = 2138,
  [2781] = 2143,
  [2782] = 2144,
  [2783] = 2455,
  [2784] = 2473,
  [2785] = 2460,
  [2786] = 2464,
  [2787] = 2465,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 1857,
  [2793] = 2475,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2160,
  [2797] = 2142,
  [2798] = 2738,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2159,
  [2802] = 2129,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2156,
  [2806] = 1833,
  [2807] = 1835,
  [2808] = 2130,
  [2809] = 1837,
  [2810] = 2154,
  [2811] = 1842,
  [2812] = 1825,
  [2813] = 2160,
  [2814] = 1805,
  [2815] = 2138,
  [2816] = 2816,
  [2817] = 2531,
  [2818] = 2143,
  [2819] = 1508,
  [2820] = 2142,
  [2821] = 2821,
  [2822] = 2144,
  [2823] = 2823,
  [2824] = 2158,
  [2825] = 1825,
  [2826] = 1573,
  [2827] = 1884,
  [2828] = 1852,
  [2829] = 2159,
  [2830] = 2137,
  [2831] = 2532,
  [2832] = 2821,
  [2833] = 2151,
  [2834] = 2140,
  [2835] = 2835,
  [2836] = 2836,
  [2837] = 2836,
  [2838] = 2838,
  [2839] = 2838,
  [2840] = 1858,
  [2841] = 2841,
  [2842] = 2821,
  [2843] = 1854,
  [2844] = 2726,
  [2845] = 2838,
  [2846] = 1833,
  [2847] = 2160,
  [2848] = 2788,
  [2849] = 2137,
  [2850] = 2841,
  [2851] = 1852,
  [2852] = 1805,
  [2853] = 2161,
  [2854] = 2854,
  [2855] = 2158,
  [2856] = 1863,
  [2857] = 2127,
  [2858] = 2789,
  [2859] = 2841,
  [2860] = 1837,
  [2861] = 1863,
  [2862] = 2838,
  [2863] = 2142,
  [2864] = 2375,
  [2865] = 2835,
  [2866] = 2836,
  [2867] = 2821,
  [2868] = 2821,
  [2869] = 2772,
  [2870] = 2790,
  [2871] = 2791,
  [2872] = 2794,
  [2873] = 2795,
  [2874] = 2799,
  [2875] = 2800,
  [2876] = 2764,
  [2877] = 2773,
  [2878] = 2774,
  [2879] = 2154,
  [2880] = 2153,
  [2881] = 1866,
  [2882] = 2836,
  [2883] = 1507,
  [2884] = 2838,
  [2885] = 1835,
  [2886] = 2854,
  [2887] = 2836,
  [2888] = 2841,
  [2889] = 1725,
  [2890] = 2804,
  [2891] = 2013,
  [2892] = 2835,
  [2893] = 1842,
  [2894] = 2159,
  [2895] = 2841,
  [2896] = 2835,
  [2897] = 2739,
  [2898] = 1859,
  [2899] = 1508,
  [2900] = 2835,
  [2901] = 1507,
  [2902] = 2821,
  [2903] = 2836,
  [2904] = 2835,
  [2905] = 1857,
  [2906] = 2838,
  [2907] = 1734,
  [2908] = 2841,
  [2909] = 2723,
  [2910] = 1707,
  [2911] = 2038,
  [2912] = 2823,
  [2913] = 2156,
  [2914] = 2740,
  [2915] = 2821,
  [2916] = 2143,
  [2917] = 2144,
  [2918] = 2129,
  [2919] = 2724,
  [2920] = 2130,
  [2921] = 2138,
  [2922] = 2725,
  [2923] = 2821,
  [2924] = 2838,
  [2925] = 1854,
  [2926] = 2133,
  [2927] = 2841,
  [2928] = 2854,
  [2929] = 2836,
  [2930] = 2835,
  [2931] = 1734,
  [2932] = 2773,
  [2933] = 2774,
  [2934] = 2153,
  [2935] = 2790,
  [2936] = 2791,
  [2937] = 2794,
  [2938] = 2795,
  [2939] = 2799,
  [2940] = 2800,
  [2941] = 1910,
  [2942] = 2764,
  [2943] = 1890,
  [2944] = 2257,
  [2945] = 2945,
  [2946] = 2160,
  [2947] = 2142,
  [2948] = 1892,
  [2949] = 2945,
  [2950] = 2154,
  [2951] = 2156,
  [2952] = 2821,
  [2953] = 1894,
  [2954] = 2821,
  [2955] = 1893,
  [2956] = 1902,
  [2957] = 2158,
  [2958] = 1817,
  [2959] = 2945,
  [2960] = 1553,
  [2961] = 1824,
  [2962] = 2305,
  [2963] = 1822,
  [2964] = 1725,
  [2965] = 2159,
  [2966] = 1508,
  [2967] = 1884,
  [2968] = 1872,
  [2969] = 2969,
  [2970] = 1811,
  [2971] = 2971,
  [2972] = 2945,
  [2973] = 2133,
  [2974] = 1823,
  [2975] = 1850,
  [2976] = 1716,
  [2977] = 1802,
  [2978] = 1803,
  [2979] = 2979,
  [2980] = 2821,
  [2981] = 2788,
  [2982] = 2821,
  [2983] = 1807,
  [2984] = 2945,
  [2985] = 2723,
  [2986] = 2821,
  [2987] = 2304,
  [2988] = 2161,
  [2989] = 2821,
  [2990] = 2129,
  [2991] = 1508,
  [2992] = 2227,
  [2993] = 2724,
  [2994] = 2130,
  [2995] = 2725,
  [2996] = 1879,
  [2997] = 1507,
  [2998] = 2821,
  [2999] = 1799,
  [3000] = 1797,
  [3001] = 1832,
  [3002] = 1880,
  [3003] = 2772,
  [3004] = 1813,
  [3005] = 1814,
  [3006] = 1815,
  [3007] = 1819,
  [3008] = 2137,
  [3009] = 3009,
  [3010] = 3010,
  [3011] = 2821,
  [3012] = 2138,
  [3013] = 2232,
  [3014] = 2527,
  [3015] = 2143,
  [3016] = 2127,
  [3017] = 2971,
  [3018] = 2945,
  [3019] = 2821,
  [3020] = 2821,
  [3021] = 3021,
  [3022] = 2180,
  [3023] = 2726,
  [3024] = 2236,
  [3025] = 3010,
  [3026] = 2144,
  [3027] = 2971,
  [3028] = 1872,
  [3029] = 3010,
  [3030] = 3010,
  [3031] = 2971,
  [3032] = 1834,
  [3033] = 1836,
  [3034] = 1886,
  [3035] = 1838,
  [3036] = 2971,
  [3037] = 1839,
  [3038] = 1878,
  [3039] = 2971,
  [3040] = 1843,
  [3041] = 1844,
  [3042] = 1845,
  [3043] = 2789,
  [3044] = 1846,
  [3045] = 2971,
  [3046] = 1848,
  [3047] = 1874,
  [3048] = 2246,
  [3049] = 3049,
  [3050] = 2140,
  [3051] = 1898,
  [3052] = 1707,
  [3053] = 1899,
  [3054] = 2740,
  [3055] = 2969,
  [3056] = 2151,
  [3057] = 1798,
  [3058] = 1800,
  [3059] = 1828,
  [3060] = 1806,
  [3061] = 1808,
  [3062] = 1809,
  [3063] = 2969,
  [3064] = 2739,
  [3065] = 1812,
  [3066] = 2315,
  [3067] = 2725,
  [3068] = 1848,
  [3069] = 2726,
  [3070] = 2344,
  [3071] = 2344,
  [3072] = 1834,
  [3073] = 2325,
  [3074] = 1836,
  [3075] = 1659,
  [3076] = 1799,
  [3077] = 2227,
  [3078] = 2329,
  [3079] = 1797,
  [3080] = 2257,
  [3081] = 2772,
  [3082] = 2774,
  [3083] = 1507,
  [3084] = 2343,
  [3085] = 1798,
  [3086] = 3049,
  [3087] = 1878,
  [3088] = 2180,
  [3089] = 1838,
  [3090] = 1800,
  [3091] = 1839,
  [3092] = 1835,
  [3093] = 2343,
  [3094] = 1833,
  [3095] = 793,
  [3096] = 2354,
  [3097] = 2789,
  [3098] = 1828,
  [3099] = 1806,
  [3100] = 1808,
  [3101] = 1854,
  [3102] = 1837,
  [3103] = 1809,
  [3104] = 794,
  [3105] = 1843,
  [3106] = 1842,
  [3107] = 2366,
  [3108] = 1657,
  [3109] = 2773,
  [3110] = 2303,
  [3111] = 2739,
  [3112] = 2788,
  [3113] = 1812,
  [3114] = 2821,
  [3115] = 2232,
  [3116] = 2821,
  [3117] = 1844,
  [3118] = 1852,
  [3119] = 1813,
  [3120] = 2823,
  [3121] = 1814,
  [3122] = 2740,
  [3123] = 1823,
  [3124] = 2343,
  [3125] = 2708,
  [3126] = 2816,
  [3127] = 1811,
  [3128] = 1817,
  [3129] = 1850,
  [3130] = 1815,
  [3131] = 2795,
  [3132] = 2799,
  [3133] = 1807,
  [3134] = 2800,
  [3135] = 2764,
  [3136] = 1819,
  [3137] = 1845,
  [3138] = 1824,
  [3139] = 2343,
  [3140] = 3140,
  [3141] = 1802,
  [3142] = 1803,
  [3143] = 2723,
  [3144] = 1956,
  [3145] = 2331,
  [3146] = 2328,
  [3147] = 2280,
  [3148] = 2236,
  [3149] = 1716,
  [3150] = 1654,
  [3151] = 1805,
  [3152] = 1872,
  [3153] = 1508,
  [3154] = 2790,
  [3155] = 3155,
  [3156] = 2791,
  [3157] = 1846,
  [3158] = 1863,
  [3159] = 2724,
  [3160] = 1832,
  [3161] = 1822,
  [3162] = 2246,
  [3163] = 2343,
  [3164] = 2804,
  [3165] = 2794,
  [3166] = 2341,
  [3167] = 2788,
  [3168] = 1577,
  [3169] = 2256,
  [3170] = 2207,
  [3171] = 2821,
  [3172] = 3172,
  [3173] = 3173,
  [3174] = 2821,
  [3175] = 2821,
  [3176] = 1574,
  [3177] = 2338,
  [3178] = 2724,
  [3179] = 1567,
  [3180] = 2328,
  [3181] = 2352,
  [3182] = 3182,
  [3183] = 2329,
  [3184] = 2422,
  [3185] = 2460,
  [3186] = 1707,
  [3187] = 2343,
  [3188] = 2725,
  [3189] = 3182,
  [3190] = 1582,
  [3191] = 2726,
  [3192] = 1581,
  [3193] = 1583,
  [3194] = 2772,
  [3195] = 2378,
  [3196] = 2341,
  [3197] = 2790,
  [3198] = 2791,
  [3199] = 2325,
  [3200] = 2794,
  [3201] = 2238,
  [3202] = 2795,
  [3203] = 2821,
  [3204] = 2354,
  [3205] = 2464,
  [3206] = 2182,
  [3207] = 2823,
  [3208] = 2183,
  [3209] = 794,
  [3210] = 2151,
  [3211] = 1585,
  [3212] = 2799,
  [3213] = 2465,
  [3214] = 1734,
  [3215] = 2800,
  [3216] = 2764,
  [3217] = 2418,
  [3218] = 2773,
  [3219] = 1580,
  [3220] = 1569,
  [3221] = 132,
  [3222] = 2343,
  [3223] = 3172,
  [3224] = 3172,
  [3225] = 2739,
  [3226] = 2184,
  [3227] = 2821,
  [3228] = 3173,
  [3229] = 1584,
  [3230] = 2185,
  [3231] = 2774,
  [3232] = 2804,
  [3233] = 1572,
  [3234] = 3234,
  [3235] = 2422,
  [3236] = 2375,
  [3237] = 2378,
  [3238] = 1571,
  [3239] = 1508,
  [3240] = 2315,
  [3241] = 2304,
  [3242] = 2303,
  [3243] = 2418,
  [3244] = 2305,
  [3245] = 1956,
  [3246] = 2268,
  [3247] = 1575,
  [3248] = 2366,
  [3249] = 2325,
  [3250] = 2739,
  [3251] = 2328,
  [3252] = 2329,
  [3253] = 2740,
  [3254] = 2331,
  [3255] = 2788,
  [3256] = 2789,
  [3257] = 2772,
  [3258] = 2341,
  [3259] = 2790,
  [3260] = 2791,
  [3261] = 2794,
  [3262] = 2795,
  [3263] = 2799,
  [3264] = 2800,
  [3265] = 2764,
  [3266] = 2773,
  [3267] = 2774,
  [3268] = 2366,
  [3269] = 2723,
  [3270] = 2724,
  [3271] = 2725,
  [3272] = 2726,
  [3273] = 1578,
  [3274] = 2222,
  [3275] = 2355,
  [3276] = 1725,
  [3277] = 2475,
  [3278] = 793,
  [3279] = 2474,
  [3280] = 3172,
  [3281] = 2455,
  [3282] = 2354,
  [3283] = 2349,
  [3284] = 2375,
  [3285] = 3285,
  [3286] = 3286,
  [3287] = 2789,
  [3288] = 3182,
  [3289] = 2331,
  [3290] = 3290,
  [3291] = 3172,
  [3292] = 2276,
  [3293] = 2254,
  [3294] = 3294,
  [3295] = 3172,
  [3296] = 2723,
  [3297] = 2343,
  [3298] = 2255,
  [3299] = 2280,
  [3300] = 3172,
  [3301] = 3172,
  [3302] = 2523,
  [3303] = 133,
  [3304] = 2821,
  [3305] = 2412,
  [3306] = 3172,
  [3307] = 1568,
  [3308] = 2344,
  [3309] = 2740,
  [3310] = 2484,
  [3311] = 1813,
  [3312] = 2346,
  [3313] = 2246,
  [3314] = 2375,
  [3315] = 2435,
  [3316] = 2436,
  [3317] = 2352,
  [3318] = 1814,
  [3319] = 2442,
  [3320] = 2444,
  [3321] = 1585,
  [3322] = 1567,
  [3323] = 1584,
  [3324] = 1807,
  [3325] = 1878,
  [3326] = 2332,
  [3327] = 2334,
  [3328] = 2335,
  [3329] = 2340,
  [3330] = 2439,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 2363,
  [3334] = 1574,
  [3335] = 1577,
  [3336] = 1815,
  [3337] = 3331,
  [3338] = 1819,
  [3339] = 2432,
  [3340] = 3332,
  [3341] = 2343,
  [3342] = 2455,
  [3343] = 2460,
  [3344] = 2467,
  [3345] = 2468,
  [3346] = 2471,
  [3347] = 2440,
  [3348] = 2257,
  [3349] = 2403,
  [3350] = 1798,
  [3351] = 1800,
  [3352] = 2396,
  [3353] = 1828,
  [3354] = 1706,
  [3355] = 1806,
  [3356] = 1808,
  [3357] = 1809,
  [3358] = 2254,
  [3359] = 2464,
  [3360] = 1568,
  [3361] = 2465,
  [3362] = 2255,
  [3363] = 2485,
  [3364] = 2486,
  [3365] = 2474,
  [3366] = 2475,
  [3367] = 1714,
  [3368] = 2256,
  [3369] = 2459,
  [3370] = 1575,
  [3371] = 1872,
  [3372] = 2453,
  [3373] = 1578,
  [3374] = 2408,
  [3375] = 2386,
  [3376] = 1717,
  [3377] = 2449,
  [3378] = 132,
  [3379] = 2375,
  [3380] = 1582,
  [3381] = 2491,
  [3382] = 2374,
  [3383] = 2385,
  [3384] = 3331,
  [3385] = 3332,
  [3386] = 1811,
  [3387] = 1817,
  [3388] = 1581,
  [3389] = 2388,
  [3390] = 2454,
  [3391] = 2489,
  [3392] = 1583,
  [3393] = 2472,
  [3394] = 2350,
  [3395] = 2389,
  [3396] = 2443,
  [3397] = 2469,
  [3398] = 2487,
  [3399] = 2482,
  [3400] = 1657,
  [3401] = 2804,
  [3402] = 1546,
  [3403] = 2343,
  [3404] = 2382,
  [3405] = 2373,
  [3406] = 1569,
  [3407] = 2238,
  [3408] = 1823,
  [3409] = 2483,
  [3410] = 2151,
  [3411] = 2182,
  [3412] = 1902,
  [3413] = 1850,
  [3414] = 1874,
  [3415] = 2422,
  [3416] = 2349,
  [3417] = 1879,
  [3418] = 1880,
  [3419] = 2183,
  [3420] = 1802,
  [3421] = 1803,
  [3422] = 1886,
  [3423] = 1910,
  [3424] = 1890,
  [3425] = 1892,
  [3426] = 1893,
  [3427] = 793,
  [3428] = 1894,
  [3429] = 2232,
  [3430] = 1898,
  [3431] = 1899,
  [3432] = 2184,
  [3433] = 2185,
  [3434] = 2433,
  [3435] = 2378,
  [3436] = 2821,
  [3437] = 2473,
  [3438] = 1571,
  [3439] = 1572,
  [3440] = 2418,
  [3441] = 1507,
  [3442] = 2412,
  [3443] = 2823,
  [3444] = 1832,
  [3445] = 1580,
  [3446] = 1824,
  [3447] = 1854,
  [3448] = 1863,
  [3449] = 794,
  [3450] = 2821,
  [3451] = 1714,
  [3452] = 1717,
  [3453] = 2821,
  [3454] = 2414,
  [3455] = 2207,
  [3456] = 2355,
  [3457] = 2236,
  [3458] = 1834,
  [3459] = 1701,
  [3460] = 2343,
  [3461] = 1836,
  [3462] = 1822,
  [3463] = 2170,
  [3464] = 1654,
  [3465] = 2821,
  [3466] = 2013,
  [3467] = 2038,
  [3468] = 2821,
  [3469] = 133,
  [3470] = 1838,
  [3471] = 1839,
  [3472] = 1843,
  [3473] = 1844,
  [3474] = 2417,
  [3475] = 1845,
  [3476] = 2151,
  [3477] = 2420,
  [3478] = 2276,
  [3479] = 1799,
  [3480] = 1846,
  [3481] = 2344,
  [3482] = 1797,
  [3483] = 2461,
  [3484] = 2419,
  [3485] = 2411,
  [3486] = 2338,
  [3487] = 2456,
  [3488] = 2428,
  [3489] = 2268,
  [3490] = 2222,
  [3491] = 1812,
  [3492] = 1659,
  [3493] = 1848,
  [3494] = 2198,
  [3495] = 1503,
  [3496] = 2487,
  [3497] = 2472,
  [3498] = 2414,
  [3499] = 2469,
  [3500] = 2403,
  [3501] = 2408,
  [3502] = 3502,
  [3503] = 2325,
  [3504] = 1730,
  [3505] = 1580,
  [3506] = 1500,
  [3507] = 1504,
  [3508] = 1505,
  [3509] = 1501,
  [3510] = 1503,
  [3511] = 1506,
  [3512] = 2432,
  [3513] = 3513,
  [3514] = 2440,
  [3515] = 2789,
  [3516] = 2346,
  [3517] = 132,
  [3518] = 1569,
  [3519] = 2350,
  [3520] = 2455,
  [3521] = 2304,
  [3522] = 2460,
  [3523] = 2464,
  [3524] = 3524,
  [3525] = 2465,
  [3526] = 133,
  [3527] = 2474,
  [3528] = 2772,
  [3529] = 2341,
  [3530] = 2790,
  [3531] = 2791,
  [3532] = 2794,
  [3533] = 2795,
  [3534] = 2799,
  [3535] = 2800,
  [3536] = 2764,
  [3537] = 2475,
  [3538] = 2773,
  [3539] = 2774,
  [3540] = 3540,
  [3541] = 2343,
  [3542] = 1582,
  [3543] = 1581,
  [3544] = 1583,
  [3545] = 1726,
  [3546] = 2473,
  [3547] = 2373,
  [3548] = 1686,
  [3549] = 2467,
  [3550] = 2382,
  [3551] = 2482,
  [3552] = 2788,
  [3553] = 2388,
  [3554] = 2328,
  [3555] = 2433,
  [3556] = 2725,
  [3557] = 1578,
  [3558] = 2375,
  [3559] = 2468,
  [3560] = 1727,
  [3561] = 2396,
  [3562] = 2329,
  [3563] = 2483,
  [3564] = 2386,
  [3565] = 2484,
  [3566] = 1568,
  [3567] = 1575,
  [3568] = 2739,
  [3569] = 2459,
  [3570] = 2366,
  [3571] = 1502,
  [3572] = 1500,
  [3573] = 1504,
  [3574] = 1505,
  [3575] = 1501,
  [3576] = 2723,
  [3577] = 1506,
  [3578] = 1701,
  [3579] = 1706,
  [3580] = 1714,
  [3581] = 1571,
  [3582] = 1572,
  [3583] = 2412,
  [3584] = 2375,
  [3585] = 2485,
  [3586] = 1717,
  [3587] = 2280,
  [3588] = 2375,
  [3589] = 2340,
  [3590] = 2154,
  [3591] = 2156,
  [3592] = 1585,
  [3593] = 1584,
  [3594] = 2422,
  [3595] = 1574,
  [3596] = 2158,
  [3597] = 1508,
  [3598] = 2159,
  [3599] = 2129,
  [3600] = 2130,
  [3601] = 2137,
  [3602] = 2138,
  [3603] = 2143,
  [3604] = 2144,
  [3605] = 2160,
  [3606] = 2142,
  [3607] = 2419,
  [3608] = 2170,
  [3609] = 1577,
  [3610] = 2449,
  [3611] = 2491,
  [3612] = 2198,
  [3613] = 2486,
  [3614] = 2378,
  [3615] = 2417,
  [3616] = 2724,
  [3617] = 2420,
  [3618] = 2374,
  [3619] = 2816,
  [3620] = 2332,
  [3621] = 2334,
  [3622] = 2335,
  [3623] = 2436,
  [3624] = 2439,
  [3625] = 2280,
  [3626] = 2363,
  [3627] = 2428,
  [3628] = 2456,
  [3629] = 1508,
  [3630] = 2435,
  [3631] = 2385,
  [3632] = 2331,
  [3633] = 2454,
  [3634] = 2471,
  [3635] = 2411,
  [3636] = 2489,
  [3637] = 2453,
  [3638] = 3638,
  [3639] = 2305,
  [3640] = 2442,
  [3641] = 2444,
  [3642] = 2375,
  [3643] = 2418,
  [3644] = 2740,
  [3645] = 1567,
  [3646] = 2461,
  [3647] = 2389,
  [3648] = 2726,
  [3649] = 1502,
  [3650] = 2443,
  [3651] = 3651,
  [3652] = 1825,
  [3653] = 3653,
  [3654] = 1539,
  [3655] = 3653,
  [3656] = 3651,
  [3657] = 2373,
  [3658] = 3653,
  [3659] = 1701,
  [3660] = 1706,
  [3661] = 2341,
  [3662] = 3653,
  [3663] = 3653,
  [3664] = 3664,
  [3665] = 3651,
  [3666] = 3666,
  [3667] = 2366,
  [3668] = 3668,
  [3669] = 2471,
  [3670] = 3653,
  [3671] = 3668,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3653,
  [3675] = 3673,
  [3676] = 2329,
  [3677] = 3668,
  [3678] = 1863,
  [3679] = 3653,
  [3680] = 3672,
  [3681] = 1714,
  [3682] = 2325,
  [3683] = 1508,
  [3684] = 3673,
  [3685] = 3653,
  [3686] = 1717,
  [3687] = 2331,
  [3688] = 3688,
  [3689] = 3666,
  [3690] = 3653,
  [3691] = 3653,
  [3692] = 3651,
  [3693] = 3668,
  [3694] = 3666,
  [3695] = 3332,
  [3696] = 3651,
  [3697] = 3672,
  [3698] = 3666,
  [3699] = 1884,
  [3700] = 3651,
  [3701] = 3653,
  [3702] = 3666,
  [3703] = 2428,
  [3704] = 3651,
  [3705] = 3666,
  [3706] = 3653,
  [3707] = 3666,
  [3708] = 3666,
  [3709] = 3651,
  [3710] = 3666,
  [3711] = 3651,
  [3712] = 3672,
  [3713] = 3713,
  [3714] = 3672,
  [3715] = 3715,
  [3716] = 3716,
  [3717] = 3717,
  [3718] = 3718,
  [3719] = 3673,
  [3720] = 3673,
  [3721] = 3653,
  [3722] = 2804,
  [3723] = 3668,
  [3724] = 3668,
  [3725] = 3672,
  [3726] = 2449,
  [3727] = 2823,
  [3728] = 3716,
  [3729] = 3673,
  [3730] = 3672,
  [3731] = 3009,
  [3732] = 2338,
  [3733] = 3021,
  [3734] = 3673,
  [3735] = 2338,
  [3736] = 3736,
  [3737] = 3672,
  [3738] = 3653,
  [3739] = 3673,
  [3740] = 3718,
  [3741] = 3653,
  [3742] = 3716,
  [3743] = 2328,
  [3744] = 3718,
  [3745] = 3672,
  [3746] = 3673,
  [3747] = 3716,
  [3748] = 3718,
  [3749] = 1854,
  [3750] = 3716,
  [3751] = 3718,
  [3752] = 3716,
  [3753] = 3718,
  [3754] = 3331,
  [3755] = 3653,
  [3756] = 1878,
  [3757] = 2198,
  [3758] = 3758,
  [3759] = 2385,
  [3760] = 2389,
  [3761] = 3761,
  [3762] = 132,
  [3763] = 2487,
  [3764] = 2443,
  [3765] = 1583,
  [3766] = 133,
  [3767] = 2467,
  [3768] = 3761,
  [3769] = 2468,
  [3770] = 2227,
  [3771] = 1580,
  [3772] = 2396,
  [3773] = 2467,
  [3774] = 2468,
  [3775] = 2170,
  [3776] = 3761,
  [3777] = 3331,
  [3778] = 2417,
  [3779] = 2461,
  [3780] = 3761,
  [3781] = 2471,
  [3782] = 1701,
  [3783] = 1706,
  [3784] = 2482,
  [3785] = 1568,
  [3786] = 1575,
  [3787] = 1567,
  [3788] = 3761,
  [3789] = 2436,
  [3790] = 1858,
  [3791] = 2489,
  [3792] = 2442,
  [3793] = 1956,
  [3794] = 2483,
  [3795] = 2432,
  [3796] = 2484,
  [3797] = 2472,
  [3798] = 2485,
  [3799] = 2013,
  [3800] = 2486,
  [3801] = 1571,
  [3802] = 1572,
  [3803] = 1859,
  [3804] = 1714,
  [3805] = 3761,
  [3806] = 2454,
  [3807] = 1717,
  [3808] = 2440,
  [3809] = 2469,
  [3810] = 1574,
  [3811] = 1577,
  [3812] = 1866,
  [3813] = 2482,
  [3814] = 3761,
  [3815] = 2304,
  [3816] = 2305,
  [3817] = 2473,
  [3818] = 3761,
  [3819] = 1857,
  [3820] = 3761,
  [3821] = 2435,
  [3822] = 3331,
  [3823] = 3332,
  [3824] = 2459,
  [3825] = 2038,
  [3826] = 2484,
  [3827] = 3761,
  [3828] = 2485,
  [3829] = 2486,
  [3830] = 2432,
  [3831] = 2382,
  [3832] = 3761,
  [3833] = 3761,
  [3834] = 3761,
  [3835] = 1569,
  [3836] = 3290,
  [3837] = 3761,
  [3838] = 2816,
  [3839] = 2442,
  [3840] = 1578,
  [3841] = 2417,
  [3842] = 2420,
  [3843] = 2386,
  [3844] = 2449,
  [3845] = 2414,
  [3846] = 2428,
  [3847] = 2411,
  [3848] = 2444,
  [3849] = 2411,
  [3850] = 2459,
  [3851] = 2491,
  [3852] = 2374,
  [3853] = 2382,
  [3854] = 2385,
  [3855] = 3761,
  [3856] = 2454,
  [3857] = 2489,
  [3858] = 2420,
  [3859] = 2373,
  [3860] = 2483,
  [3861] = 2472,
  [3862] = 2389,
  [3863] = 2443,
  [3864] = 2469,
  [3865] = 2487,
  [3866] = 3332,
  [3867] = 3761,
  [3868] = 2440,
  [3869] = 3761,
  [3870] = 2386,
  [3871] = 2396,
  [3872] = 2444,
  [3873] = 2374,
  [3874] = 2435,
  [3875] = 2436,
  [3876] = 1585,
  [3877] = 1582,
  [3878] = 2491,
  [3879] = 1584,
  [3880] = 1507,
  [3881] = 3761,
  [3882] = 1581,
  [3883] = 3761,
  [3884] = 1716,
  [3885] = 3885,
  [3886] = 2138,
  [3887] = 3887,
  [3888] = 2129,
  [3889] = 1706,
  [3890] = 3331,
  [3891] = 3891,
  [3892] = 3887,
  [3893] = 2143,
  [3894] = 3887,
  [3895] = 2130,
  [3896] = 2144,
  [3897] = 3897,
  [3898] = 3887,
  [3899] = 1554,
  [3900] = 3887,
  [3901] = 3891,
  [3902] = 2158,
  [3903] = 3891,
  [3904] = 3897,
  [3905] = 3897,
  [3906] = 1859,
  [3907] = 1701,
  [3908] = 1717,
  [3909] = 3897,
  [3910] = 2159,
  [3911] = 2137,
  [3912] = 3885,
  [3913] = 2160,
  [3914] = 1555,
  [3915] = 2142,
  [3916] = 2304,
  [3917] = 1858,
  [3918] = 3891,
  [3919] = 1508,
  [3920] = 2305,
  [3921] = 2154,
  [3922] = 2156,
  [3923] = 3897,
  [3924] = 1714,
  [3925] = 3887,
  [3926] = 3332,
  [3927] = 1866,
  [3928] = 3897,
  [3929] = 3891,
  [3930] = 3891,
  [3931] = 3891,
  [3932] = 3887,
  [3933] = 1857,
  [3934] = 3897,
  [3935] = 2232,
  [3936] = 3936,
  [3937] = 3936,
  [3938] = 1842,
  [3939] = 3331,
  [3940] = 1833,
  [3941] = 3332,
  [3942] = 3942,
  [3943] = 2151,
  [3944] = 2151,
  [3945] = 1835,
  [3946] = 3332,
  [3947] = 2257,
  [3948] = 3942,
  [3949] = 1552,
  [3950] = 1854,
  [3951] = 2236,
  [3952] = 3332,
  [3953] = 3331,
  [3954] = 3954,
  [3955] = 3936,
  [3956] = 3942,
  [3957] = 1837,
  [3958] = 1863,
  [3959] = 1852,
  [3960] = 1805,
  [3961] = 3331,
  [3962] = 1553,
  [3963] = 3331,
  [3964] = 2246,
  [3965] = 3332,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 3966,
  [3970] = 3970,
  [3971] = 1854,
  [3972] = 3966,
  [3973] = 3967,
  [3974] = 2151,
  [3975] = 3968,
  [3976] = 3966,
  [3977] = 3967,
  [3978] = 3968,
  [3979] = 3968,
  [3980] = 2324,
  [3981] = 1725,
  [3982] = 3970,
  [3983] = 3970,
  [3984] = 3966,
  [3985] = 3968,
  [3986] = 3966,
  [3987] = 3970,
  [3988] = 3331,
  [3989] = 2304,
  [3990] = 2305,
  [3991] = 3715,
  [3992] = 3968,
  [3993] = 3967,
  [3994] = 3332,
  [3995] = 1956,
  [3996] = 3970,
  [3997] = 3967,
  [3998] = 3968,
  [3999] = 3331,
  [4000] = 3332,
  [4001] = 3717,
  [4002] = 4002,
  [4003] = 3970,
  [4004] = 3967,
  [4005] = 1734,
  [4006] = 1507,
  [4007] = 3966,
  [4008] = 1707,
  [4009] = 3970,
  [4010] = 3967,
  [4011] = 1863,
  [4012] = 2359,
  [4013] = 1546,
  [4014] = 1555,
  [4015] = 2305,
  [4016] = 1839,
  [4017] = 1815,
  [4018] = 1846,
  [4019] = 1798,
  [4020] = 1800,
  [4021] = 1859,
  [4022] = 1824,
  [4023] = 3936,
  [4024] = 1828,
  [4025] = 1806,
  [4026] = 1834,
  [4027] = 1822,
  [4028] = 267,
  [4029] = 1819,
  [4030] = 1808,
  [4031] = 1866,
  [4032] = 1809,
  [4033] = 3942,
  [4034] = 1836,
  [4035] = 3954,
  [4036] = 1573,
  [4037] = 247,
  [4038] = 1838,
  [4039] = 346,
  [4040] = 367,
  [4041] = 1848,
  [4042] = 1513,
  [4043] = 1823,
  [4044] = 1799,
  [4045] = 1850,
  [4046] = 256,
  [4047] = 1811,
  [4048] = 1817,
  [4049] = 1802,
  [4050] = 1858,
  [4051] = 1803,
  [4052] = 1843,
  [4053] = 1812,
  [4054] = 1813,
  [4055] = 1814,
  [4056] = 2304,
  [4057] = 1844,
  [4058] = 260,
  [4059] = 1857,
  [4060] = 3331,
  [4061] = 3332,
  [4062] = 1807,
  [4063] = 1797,
  [4064] = 1845,
  [4065] = 1554,
  [4066] = 2740,
  [4067] = 1857,
  [4068] = 4068,
  [4069] = 2774,
  [4070] = 2772,
  [4071] = 2473,
  [4072] = 2790,
  [4073] = 3936,
  [4074] = 4074,
  [4075] = 2789,
  [4076] = 2257,
  [4077] = 2791,
  [4078] = 2794,
  [4079] = 4079,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 4082,
  [4083] = 2236,
  [4084] = 4084,
  [4085] = 4085,
  [4086] = 2726,
  [4087] = 3942,
  [4088] = 4088,
  [4089] = 3936,
  [4090] = 4079,
  [4091] = 2414,
  [4092] = 4079,
  [4093] = 3332,
  [4094] = 4094,
  [4095] = 3331,
  [4096] = 2795,
  [4097] = 4088,
  [4098] = 4080,
  [4099] = 1507,
  [4100] = 3942,
  [4101] = 4068,
  [4102] = 1859,
  [4103] = 2788,
  [4104] = 4081,
  [4105] = 2232,
  [4106] = 4082,
  [4107] = 2725,
  [4108] = 4085,
  [4109] = 2799,
  [4110] = 2800,
  [4111] = 1539,
  [4112] = 3331,
  [4113] = 3332,
  [4114] = 2461,
  [4115] = 3332,
  [4116] = 2246,
  [4117] = 2723,
  [4118] = 2739,
  [4119] = 4081,
  [4120] = 4082,
  [4121] = 2764,
  [4122] = 2773,
  [4123] = 3331,
  [4124] = 4085,
  [4125] = 1858,
  [4126] = 4094,
  [4127] = 2724,
  [4128] = 1866,
  [4129] = 1539,
  [4130] = 2151,
  [4131] = 1874,
  [4132] = 1555,
  [4133] = 2523,
  [4134] = 4134,
  [4135] = 2170,
  [4136] = 3942,
  [4137] = 1894,
  [4138] = 2305,
  [4139] = 2528,
  [4140] = 1899,
  [4141] = 1956,
  [4142] = 1902,
  [4143] = 4143,
  [4144] = 3331,
  [4145] = 2499,
  [4146] = 4146,
  [4147] = 4147,
  [4148] = 2823,
  [4149] = 2198,
  [4150] = 1892,
  [4151] = 1884,
  [4152] = 3936,
  [4153] = 1893,
  [4154] = 1886,
  [4155] = 2304,
  [4156] = 1890,
  [4157] = 1898,
  [4158] = 4143,
  [4159] = 3332,
  [4160] = 1910,
  [4161] = 4161,
  [4162] = 4162,
  [4163] = 1554,
  [4164] = 2804,
  [4165] = 1879,
  [4166] = 4143,
  [4167] = 1880,
  [4168] = 1571,
  [4169] = 3331,
  [4170] = 2349,
  [4171] = 3332,
  [4172] = 4079,
  [4173] = 2823,
  [4174] = 1568,
  [4175] = 4081,
  [4176] = 4082,
  [4177] = 4085,
  [4178] = 1555,
  [4179] = 1582,
  [4180] = 1572,
  [4181] = 1574,
  [4182] = 1854,
  [4183] = 3936,
  [4184] = 1577,
  [4185] = 4185,
  [4186] = 1508,
  [4187] = 4084,
  [4188] = 1575,
  [4189] = 2198,
  [4190] = 1573,
  [4191] = 2170,
  [4192] = 1580,
  [4193] = 2804,
  [4194] = 2352,
  [4195] = 3936,
  [4196] = 1554,
  [4197] = 1716,
  [4198] = 1585,
  [4199] = 3942,
  [4200] = 1581,
  [4201] = 132,
  [4202] = 1567,
  [4203] = 3942,
  [4204] = 3942,
  [4205] = 1583,
  [4206] = 4084,
  [4207] = 1584,
  [4208] = 3936,
  [4209] = 2355,
  [4210] = 133,
  [4211] = 1546,
  [4212] = 3942,
  [4213] = 1863,
  [4214] = 1578,
  [4215] = 1569,
  [4216] = 3936,
  [4217] = 2304,
  [4218] = 3936,
  [4219] = 2789,
  [4220] = 2764,
  [4221] = 2725,
  [4222] = 2799,
  [4223] = 2151,
  [4224] = 3942,
  [4225] = 3942,
  [4226] = 2799,
  [4227] = 4081,
  [4228] = 2800,
  [4229] = 4082,
  [4230] = 4161,
  [4231] = 4079,
  [4232] = 2724,
  [4233] = 2739,
  [4234] = 2774,
  [4235] = 4235,
  [4236] = 2726,
  [4237] = 1832,
  [4238] = 2773,
  [4239] = 4239,
  [4240] = 2772,
  [4241] = 2740,
  [4242] = 2795,
  [4243] = 1553,
  [4244] = 2724,
  [4245] = 4085,
  [4246] = 3332,
  [4247] = 2726,
  [4248] = 3331,
  [4249] = 2305,
  [4250] = 2725,
  [4251] = 2774,
  [4252] = 2740,
  [4253] = 4253,
  [4254] = 2788,
  [4255] = 4085,
  [4256] = 4079,
  [4257] = 1552,
  [4258] = 2764,
  [4259] = 4081,
  [4260] = 2789,
  [4261] = 3936,
  [4262] = 2800,
  [4263] = 4082,
  [4264] = 1956,
  [4265] = 2772,
  [4266] = 2773,
  [4267] = 1552,
  [4268] = 1553,
  [4269] = 2790,
  [4270] = 2788,
  [4271] = 2791,
  [4272] = 2739,
  [4273] = 2723,
  [4274] = 4134,
  [4275] = 2790,
  [4276] = 2791,
  [4277] = 2794,
  [4278] = 2795,
  [4279] = 2794,
  [4280] = 2723,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 1504,
  [4285] = 1716,
  [4286] = 3942,
  [4287] = 1505,
  [4288] = 1893,
  [4289] = 4283,
  [4290] = 1894,
  [4291] = 4291,
  [4292] = 1501,
  [4293] = 1503,
  [4294] = 1902,
  [4295] = 4291,
  [4296] = 1506,
  [4297] = 1874,
  [4298] = 4282,
  [4299] = 1730,
  [4300] = 4282,
  [4301] = 2038,
  [4302] = 1898,
  [4303] = 4282,
  [4304] = 1899,
  [4305] = 4282,
  [4306] = 2804,
  [4307] = 4307,
  [4308] = 4085,
  [4309] = 4309,
  [4310] = 4281,
  [4311] = 1573,
  [4312] = 1886,
  [4313] = 4313,
  [4314] = 4291,
  [4315] = 1726,
  [4316] = 4291,
  [4317] = 4079,
  [4318] = 4282,
  [4319] = 1956,
  [4320] = 4313,
  [4321] = 4282,
  [4322] = 4082,
  [4323] = 4282,
  [4324] = 1879,
  [4325] = 4283,
  [4326] = 1727,
  [4327] = 4327,
  [4328] = 4283,
  [4329] = 1910,
  [4330] = 4330,
  [4331] = 1560,
  [4332] = 1890,
  [4333] = 3936,
  [4334] = 2246,
  [4335] = 4282,
  [4336] = 4283,
  [4337] = 4282,
  [4338] = 4282,
  [4339] = 4282,
  [4340] = 4340,
  [4341] = 4282,
  [4342] = 1686,
  [4343] = 4282,
  [4344] = 4344,
  [4345] = 4081,
  [4346] = 4283,
  [4347] = 4313,
  [4348] = 4313,
  [4349] = 4185,
  [4350] = 4282,
  [4351] = 2257,
  [4352] = 4313,
  [4353] = 2232,
  [4354] = 1884,
  [4355] = 2823,
  [4356] = 4291,
  [4357] = 2013,
  [4358] = 2236,
  [4359] = 4283,
  [4360] = 4313,
  [4361] = 4282,
  [4362] = 4281,
  [4363] = 1892,
  [4364] = 1880,
  [4365] = 1502,
  [4366] = 4282,
  [4367] = 1500,
  [4368] = 4291,
  [4369] = 3936,
  [4370] = 2325,
  [4371] = 2739,
  [4372] = 4372,
  [4373] = 2328,
  [4374] = 2329,
  [4375] = 2740,
  [4376] = 2331,
  [4377] = 4377,
  [4378] = 2788,
  [4379] = 4379,
  [4380] = 2789,
  [4381] = 2304,
  [4382] = 2305,
  [4383] = 2772,
  [4384] = 2341,
  [4385] = 2790,
  [4386] = 2791,
  [4387] = 2794,
  [4388] = 2795,
  [4389] = 2799,
  [4390] = 2800,
  [4391] = 2764,
  [4392] = 2773,
  [4393] = 2774,
  [4394] = 1825,
  [4395] = 2366,
  [4396] = 2723,
  [4397] = 2724,
  [4398] = 2725,
  [4399] = 1508,
  [4400] = 2280,
  [4401] = 2726,
  [4402] = 4402,
  [4403] = 4372,
  [4404] = 4404,
  [4405] = 4404,
  [4406] = 4377,
  [4407] = 3942,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 3942,
  [4412] = 1863,
  [4413] = 4372,
  [4414] = 4404,
  [4415] = 4415,
  [4416] = 4377,
  [4417] = 4417,
  [4418] = 1854,
  [4419] = 4372,
  [4420] = 2154,
  [4421] = 2156,
  [4422] = 4404,
  [4423] = 1707,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4079,
  [4427] = 4377,
  [4428] = 4081,
  [4429] = 4082,
  [4430] = 4085,
  [4431] = 4431,
  [4432] = 4432,
  [4433] = 2158,
  [4434] = 2159,
  [4435] = 4372,
  [4436] = 2129,
  [4437] = 2130,
  [4438] = 4404,
  [4439] = 4439,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 4079,
  [4443] = 3173,
  [4444] = 4377,
  [4445] = 4081,
  [4446] = 4082,
  [4447] = 4085,
  [4448] = 4074,
  [4449] = 4372,
  [4450] = 4079,
  [4451] = 2137,
  [4452] = 4452,
  [4453] = 4377,
  [4454] = 4081,
  [4455] = 4082,
  [4456] = 2138,
  [4457] = 4085,
  [4458] = 2143,
  [4459] = 2144,
  [4460] = 4079,
  [4461] = 4461,
  [4462] = 4081,
  [4463] = 4082,
  [4464] = 4085,
  [4465] = 4465,
  [4466] = 4466,
  [4467] = 4377,
  [4468] = 2160,
  [4469] = 2142,
  [4470] = 4470,
  [4471] = 3936,
  [4472] = 4472,
  [4473] = 4084,
  [4474] = 2151,
  [4475] = 4417,
  [4476] = 2788,
  [4477] = 2789,
  [4478] = 4478,
  [4479] = 2772,
  [4480] = 2790,
  [4481] = 2791,
  [4482] = 2794,
  [4483] = 2795,
  [4484] = 2799,
  [4485] = 2800,
  [4486] = 2764,
  [4487] = 2773,
  [4488] = 4377,
  [4489] = 2774,
  [4490] = 4327,
  [4491] = 2723,
  [4492] = 2724,
  [4493] = 2725,
  [4494] = 2726,
  [4495] = 4495,
  [4496] = 4478,
  [4497] = 4478,
  [4498] = 4377,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 4478,
  [4502] = 4478,
  [4503] = 4478,
  [4504] = 4478,
  [4505] = 2739,
  [4506] = 2740,
  [4507] = 4507,
  [4508] = 2341,
  [4509] = 4377,
  [4510] = 2366,
  [4511] = 4511,
  [4512] = 4512,
  [4513] = 1716,
  [4514] = 4424,
  [4515] = 4425,
  [4516] = 1573,
  [4517] = 2788,
  [4518] = 2789,
  [4519] = 2772,
  [4520] = 2790,
  [4521] = 2791,
  [4522] = 2794,
  [4523] = 2795,
  [4524] = 2799,
  [4525] = 2800,
  [4526] = 2764,
  [4527] = 2773,
  [4528] = 2774,
  [4529] = 2723,
  [4530] = 2724,
  [4531] = 2725,
  [4532] = 2726,
  [4533] = 2739,
  [4534] = 2740,
  [4535] = 2325,
  [4536] = 2328,
  [4537] = 2329,
  [4538] = 2331,
  [4539] = 4377,
  [4540] = 4377,
  [4541] = 4377,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4544,
  [4545] = 3942,
  [4546] = 4546,
  [4547] = 4542,
  [4548] = 4548,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 1854,
  [4560] = 1863,
  [4561] = 4550,
  [4562] = 4551,
  [4563] = 4563,
  [4564] = 4564,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4567,
  [4568] = 4565,
  [4569] = 4569,
  [4570] = 4546,
  [4571] = 4546,
  [4572] = 4572,
  [4573] = 4542,
  [4574] = 4574,
  [4575] = 4548,
  [4576] = 4550,
  [4577] = 4551,
  [4578] = 4552,
  [4579] = 4555,
  [4580] = 4580,
  [4581] = 4558,
  [4582] = 4572,
  [4583] = 4552,
  [4584] = 1824,
  [4585] = 1822,
  [4586] = 4586,
  [4587] = 4566,
  [4588] = 4567,
  [4589] = 4563,
  [4590] = 1823,
  [4591] = 1850,
  [4592] = 4556,
  [4593] = 1802,
  [4594] = 1803,
  [4595] = 4565,
  [4596] = 4566,
  [4597] = 4567,
  [4598] = 4553,
  [4599] = 4554,
  [4600] = 4546,
  [4601] = 1807,
  [4602] = 4542,
  [4603] = 4548,
  [4604] = 4555,
  [4605] = 4550,
  [4606] = 4551,
  [4607] = 4552,
  [4608] = 4555,
  [4609] = 4558,
  [4610] = 1835,
  [4611] = 1799,
  [4612] = 1797,
  [4613] = 1805,
  [4614] = 1812,
  [4615] = 1813,
  [4616] = 1814,
  [4617] = 1815,
  [4618] = 4563,
  [4619] = 1819,
  [4620] = 2823,
  [4621] = 4565,
  [4622] = 4566,
  [4623] = 4567,
  [4624] = 4546,
  [4625] = 4542,
  [4626] = 4548,
  [4627] = 4550,
  [4628] = 4551,
  [4629] = 4552,
  [4630] = 1833,
  [4631] = 4546,
  [4632] = 1834,
  [4633] = 1836,
  [4634] = 4634,
  [4635] = 1837,
  [4636] = 1838,
  [4637] = 4548,
  [4638] = 1839,
  [4639] = 4550,
  [4640] = 4551,
  [4641] = 4552,
  [4642] = 1842,
  [4643] = 1843,
  [4644] = 1844,
  [4645] = 1845,
  [4646] = 1846,
  [4647] = 2804,
  [4648] = 1848,
  [4649] = 4649,
  [4650] = 4546,
  [4651] = 4542,
  [4652] = 4543,
  [4653] = 4548,
  [4654] = 4552,
  [4655] = 4548,
  [4656] = 4546,
  [4657] = 4542,
  [4658] = 1852,
  [4659] = 1798,
  [4660] = 1800,
  [4661] = 1828,
  [4662] = 1806,
  [4663] = 1808,
  [4664] = 4546,
  [4665] = 1809,
  [4666] = 4666,
  [4667] = 4542,
  [4668] = 4546,
  [4669] = 4546,
  [4670] = 4546,
  [4671] = 4542,
  [4672] = 1811,
  [4673] = 4556,
  [4674] = 1817,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4677,
  [4678] = 4676,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 4549,
  [4682] = 4682,
  [4683] = 4556,
  [4684] = 4572,
  [4685] = 4685,
  [4686] = 4586,
  [4687] = 4556,
  [4688] = 4572,
  [4689] = 4586,
  [4690] = 4556,
  [4691] = 4586,
  [4692] = 4079,
  [4693] = 4081,
  [4694] = 4082,
  [4695] = 4085,
  [4696] = 4676,
  [4697] = 4557,
  [4698] = 4558,
  [4699] = 4572,
  [4700] = 4556,
  [4701] = 4572,
  [4702] = 4586,
  [4703] = 4703,
  [4704] = 4676,
  [4705] = 4676,
  [4706] = 4676,
  [4707] = 4707,
  [4708] = 4676,
  [4709] = 4572,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4079,
  [4713] = 4713,
  [4714] = 4081,
  [4715] = 4082,
  [4716] = 4085,
  [4717] = 3936,
  [4718] = 4586,
  [4719] = 4563,
  [4720] = 2338,
  [4721] = 4586,
  [4722] = 4710,
  [4723] = 4565,
  [4724] = 4563,
  [4725] = 4566,
  [4726] = 4567,
  [4727] = 4727,
  [4728] = 4728,
  [4729] = 4729,
  [4730] = 4543,
  [4731] = 4543,
  [4732] = 4543,
  [4733] = 4543,
  [4734] = 4550,
  [4735] = 2473,
  [4736] = 4736,
  [4737] = 2417,
  [4738] = 2420,
  [4739] = 4739,
  [4740] = 4736,
  [4741] = 4741,
  [4742] = 4736,
  [4743] = 2428,
  [4744] = 4736,
  [4745] = 2461,
  [4746] = 2467,
  [4747] = 3936,
  [4748] = 2435,
  [4749] = 4736,
  [4750] = 2468,
  [4751] = 2436,
  [4752] = 2471,
  [4753] = 2038,
  [4754] = 4710,
  [4755] = 4710,
  [4756] = 4079,
  [4757] = 4081,
  [4758] = 4082,
  [4759] = 4085,
  [4760] = 2442,
  [4761] = 2444,
  [4762] = 2484,
  [4763] = 2198,
  [4764] = 2382,
  [4765] = 2396,
  [4766] = 2485,
  [4767] = 2486,
  [4768] = 2459,
  [4769] = 2440,
  [4770] = 2443,
  [4771] = 4710,
  [4772] = 2449,
  [4773] = 2411,
  [4774] = 2491,
  [4775] = 2374,
  [4776] = 2385,
  [4777] = 2432,
  [4778] = 4778,
  [4779] = 2389,
  [4780] = 4736,
  [4781] = 4781,
  [4782] = 2170,
  [4783] = 3942,
  [4784] = 4710,
  [4785] = 4785,
  [4786] = 2454,
  [4787] = 2469,
  [4788] = 2489,
  [4789] = 2482,
  [4790] = 2487,
  [4791] = 2472,
  [4792] = 2483,
  [4793] = 4736,
  [4794] = 4710,
  [4795] = 2414,
  [4796] = 4710,
  [4797] = 2373,
  [4798] = 2013,
  [4799] = 2386,
  [4800] = 4800,
  [4801] = 2144,
  [4802] = 2305,
  [4803] = 2304,
  [4804] = 1555,
  [4805] = 4081,
  [4806] = 2160,
  [4807] = 4710,
  [4808] = 4710,
  [4809] = 4809,
  [4810] = 4710,
  [4811] = 2154,
  [4812] = 2305,
  [4813] = 1854,
  [4814] = 4710,
  [4815] = 2304,
  [4816] = 2142,
  [4817] = 4710,
  [4818] = 4809,
  [4819] = 2304,
  [4820] = 4710,
  [4821] = 4710,
  [4822] = 4085,
  [4823] = 4710,
  [4824] = 4824,
  [4825] = 4800,
  [4826] = 4082,
  [4827] = 1956,
  [4828] = 1725,
  [4829] = 2156,
  [4830] = 1863,
  [4831] = 4831,
  [4832] = 4824,
  [4833] = 2137,
  [4834] = 4834,
  [4835] = 4079,
  [4836] = 2159,
  [4837] = 1734,
  [4838] = 2151,
  [4839] = 4710,
  [4840] = 4079,
  [4841] = 3942,
  [4842] = 4081,
  [4843] = 1554,
  [4844] = 4082,
  [4845] = 1707,
  [4846] = 2138,
  [4847] = 3936,
  [4848] = 4085,
  [4849] = 4085,
  [4850] = 2129,
  [4851] = 2130,
  [4852] = 2305,
  [4853] = 2143,
  [4854] = 2158,
  [4855] = 4081,
  [4856] = 4710,
  [4857] = 4079,
  [4858] = 4858,
  [4859] = 4859,
  [4860] = 1806,
  [4861] = 1832,
  [4862] = 4858,
  [4863] = 1799,
  [4864] = 4858,
  [4865] = 1833,
  [4866] = 1819,
  [4867] = 1797,
  [4868] = 4868,
  [4869] = 1800,
  [4870] = 4868,
  [4871] = 1846,
  [4872] = 1834,
  [4873] = 4858,
  [4874] = 1848,
  [4875] = 1836,
  [4876] = 4868,
  [4877] = 1814,
  [4878] = 4858,
  [4879] = 4879,
  [4880] = 4880,
  [4881] = 1823,
  [4882] = 1852,
  [4883] = 4858,
  [4884] = 1837,
  [4885] = 1808,
  [4886] = 4710,
  [4887] = 1812,
  [4888] = 1838,
  [4889] = 4868,
  [4890] = 1839,
  [4891] = 4858,
  [4892] = 1850,
  [4893] = 4868,
  [4894] = 4710,
  [4895] = 1802,
  [4896] = 1803,
  [4897] = 1815,
  [4898] = 1824,
  [4899] = 4081,
  [4900] = 4868,
  [4901] = 4085,
  [4902] = 4868,
  [4903] = 4082,
  [4904] = 1807,
  [4905] = 1822,
  [4906] = 1798,
  [4907] = 4858,
  [4908] = 4879,
  [4909] = 4858,
  [4910] = 1828,
  [4911] = 4868,
  [4912] = 1842,
  [4913] = 1843,
  [4914] = 1844,
  [4915] = 1872,
  [4916] = 4868,
  [4917] = 4880,
  [4918] = 4858,
  [4919] = 1835,
  [4920] = 4868,
  [4921] = 1809,
  [4922] = 4858,
  [4923] = 1813,
  [4924] = 4868,
  [4925] = 1845,
  [4926] = 1805,
  [4927] = 4868,
  [4928] = 4858,
  [4929] = 1811,
  [4930] = 1817,
  [4931] = 4710,
  [4932] = 4710,
  [4933] = 2304,
  [4934] = 4879,
  [4935] = 2305,
  [4936] = 4880,
  [4937] = 4710,
  [4938] = 2527,
  [4939] = 4710,
  [4940] = 4710,
  [4941] = 4879,
  [4942] = 4081,
  [4943] = 4085,
  [4944] = 4879,
  [4945] = 4879,
  [4946] = 4879,
  [4947] = 4082,
  [4948] = 4880,
  [4949] = 4880,
  [4950] = 4880,
  [4951] = 4710,
  [4952] = 2013,
  [4953] = 4079,
  [4954] = 4880,
  [4955] = 2038,
  [4956] = 4880,
  [4957] = 4879,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4710,
  [4961] = 4710,
  [4962] = 4962,
  [4963] = 4958,
  [4964] = 4081,
  [4965] = 4880,
  [4966] = 4710,
  [4967] = 4082,
  [4968] = 4968,
  [4969] = 1555,
  [4970] = 1554,
  [4971] = 4879,
  [4972] = 4962,
  [4973] = 4958,
  [4974] = 4880,
  [4975] = 4879,
  [4976] = 4879,
  [4977] = 4880,
  [4978] = 4879,
  [4979] = 4968,
  [4980] = 4880,
  [4981] = 4880,
  [4982] = 4962,
  [4983] = 4079,
  [4984] = 4958,
  [4985] = 4085,
  [4986] = 4968,
  [4987] = 4962,
  [4988] = 1902,
  [4989] = 4962,
  [4990] = 4958,
  [4991] = 1874,
  [4992] = 4968,
  [4993] = 4879,
  [4994] = 4880,
  [4995] = 4880,
  [4996] = 4962,
  [4997] = 4962,
  [4998] = 4968,
  [4999] = 4962,
  [5000] = 4958,
  [5001] = 1879,
  [5002] = 1880,
  [5003] = 1573,
  [5004] = 4968,
  [5005] = 4958,
  [5006] = 4968,
  [5007] = 3290,
  [5008] = 4968,
  [5009] = 4968,
  [5010] = 4962,
  [5011] = 4958,
  [5012] = 2151,
  [5013] = 5013,
  [5014] = 4879,
  [5015] = 4879,
  [5016] = 4879,
  [5017] = 4880,
  [5018] = 4710,
  [5019] = 4879,
  [5020] = 4880,
  [5021] = 1886,
  [5022] = 1910,
  [5023] = 1890,
  [5024] = 1892,
  [5025] = 1893,
  [5026] = 4968,
  [5027] = 4958,
  [5028] = 1894,
  [5029] = 4968,
  [5030] = 4880,
  [5031] = 4879,
  [5032] = 1898,
  [5033] = 1899,
  [5034] = 4710,
  [5035] = 4968,
  [5036] = 2154,
  [5037] = 5037,
  [5038] = 5038,
  [5039] = 5039,
  [5040] = 5037,
  [5041] = 5038,
  [5042] = 5042,
  [5043] = 5043,
  [5044] = 5044,
  [5045] = 5037,
  [5046] = 5038,
  [5047] = 5039,
  [5048] = 5037,
  [5049] = 5038,
  [5050] = 5039,
  [5051] = 5037,
  [5052] = 5038,
  [5053] = 5039,
  [5054] = 5037,
  [5055] = 5038,
  [5056] = 5039,
  [5057] = 5039,
  [5058] = 5037,
  [5059] = 5037,
  [5060] = 5038,
  [5061] = 5039,
  [5062] = 5037,
  [5063] = 5038,
  [5064] = 5039,
  [5065] = 5037,
  [5066] = 5038,
  [5067] = 5039,
  [5068] = 5037,
  [5069] = 5038,
  [5070] = 5039,
  [5071] = 5037,
  [5072] = 5038,
  [5073] = 5039,
  [5074] = 5037,
  [5075] = 5038,
  [5076] = 5039,
  [5077] = 5037,
  [5078] = 5038,
  [5079] = 5039,
  [5080] = 5037,
  [5081] = 5038,
  [5082] = 5039,
  [5083] = 5037,
  [5084] = 5038,
  [5085] = 5039,
  [5086] = 5037,
  [5087] = 5037,
  [5088] = 5088,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5038,
  [5092] = 5042,
  [5093] = 5043,
  [5094] = 5044,
  [5095] = 5039,
  [5096] = 4879,
  [5097] = 4880,
  [5098] = 5038,
  [5099] = 5039,
  [5100] = 4879,
  [5101] = 4880,
  [5102] = 5088,
  [5103] = 5089,
  [5104] = 5090,
  [5105] = 5088,
  [5106] = 5089,
  [5107] = 5090,
  [5108] = 5042,
  [5109] = 5043,
  [5110] = 5044,
  [5111] = 5088,
  [5112] = 5089,
  [5113] = 5090,
  [5114] = 5042,
  [5115] = 5043,
  [5116] = 5044,
  [5117] = 2527,
  [5118] = 5088,
  [5119] = 5089,
  [5120] = 5090,
  [5121] = 5042,
  [5122] = 5043,
  [5123] = 5044,
  [5124] = 5088,
  [5125] = 5089,
  [5126] = 5090,
  [5127] = 5042,
  [5128] = 5043,
  [5129] = 5044,
  [5130] = 5038,
  [5131] = 5088,
  [5132] = 5089,
  [5133] = 5090,
  [5134] = 5042,
  [5135] = 5043,
  [5136] = 5044,
  [5137] = 2156,
  [5138] = 2158,
  [5139] = 2159,
  [5140] = 2129,
  [5141] = 2130,
  [5142] = 2137,
  [5143] = 2138,
  [5144] = 2143,
  [5145] = 2144,
  [5146] = 2160,
  [5147] = 2142,
  [5148] = 2527,
  [5149] = 5039,
  [5150] = 5150,
  [5151] = 4880,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5150,
  [5155] = 5150,
  [5156] = 5153,
  [5157] = 5157,
  [5158] = 5153,
  [5159] = 4879,
  [5160] = 4879,
  [5161] = 5161,
  [5162] = 5152,
  [5163] = 4880,
  [5164] = 5157,
  [5165] = 5153,
  [5166] = 5153,
  [5167] = 5161,
  [5168] = 4880,
  [5169] = 5150,
  [5170] = 5153,
  [5171] = 5150,
  [5172] = 5172,
  [5173] = 5161,
  [5174] = 5152,
  [5175] = 4879,
  [5176] = 4879,
  [5177] = 5161,
  [5178] = 5178,
  [5179] = 5152,
  [5180] = 5150,
  [5181] = 5161,
  [5182] = 5152,
  [5183] = 4880,
  [5184] = 5157,
  [5185] = 5150,
  [5186] = 5150,
  [5187] = 5150,
  [5188] = 5150,
  [5189] = 5189,
  [5190] = 5153,
  [5191] = 5191,
  [5192] = 5153,
  [5193] = 5150,
  [5194] = 4879,
  [5195] = 5150,
  [5196] = 5161,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5150,
  [5200] = 5152,
  [5201] = 5152,
  [5202] = 5153,
  [5203] = 5161,
  [5204] = 5204,
  [5205] = 5150,
  [5206] = 5150,
  [5207] = 5153,
  [5208] = 5153,
  [5209] = 5153,
  [5210] = 5153,
  [5211] = 4880,
  [5212] = 5153,
  [5213] = 5152,
  [5214] = 5150,
  [5215] = 5157,
  [5216] = 5161,
  [5217] = 4879,
  [5218] = 5153,
  [5219] = 4880,
  [5220] = 5152,
  [5221] = 5221,
  [5222] = 5161,
  [5223] = 5153,
  [5224] = 5150,
  [5225] = 5157,
  [5226] = 5153,
  [5227] = 5153,
  [5228] = 5153,
  [5229] = 5150,
  [5230] = 5153,
  [5231] = 5231,
  [5232] = 1573,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 4880,
  [5236] = 5236,
  [5237] = 4879,
  [5238] = 5238,
  [5239] = 5231,
  [5240] = 5238,
  [5241] = 1884,
  [5242] = 5242,
  [5243] = 4879,
  [5244] = 4879,
  [5245] = 4880,
  [5246] = 4880,
  [5247] = 5236,
  [5248] = 5236,
  [5249] = 5231,
  [5250] = 5238,
  [5251] = 3715,
  [5252] = 3717,
  [5253] = 5242,
  [5254] = 5236,
  [5255] = 5231,
  [5256] = 5238,
  [5257] = 5242,
  [5258] = 4880,
  [5259] = 5236,
  [5260] = 5238,
  [5261] = 5242,
  [5262] = 5236,
  [5263] = 5238,
  [5264] = 5242,
  [5265] = 5236,
  [5266] = 5266,
  [5267] = 5238,
  [5268] = 5268,
  [5269] = 5242,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 4879,
  [5274] = 4880,
  [5275] = 5242,
  [5276] = 5276,
  [5277] = 5270,
  [5278] = 5271,
  [5279] = 5272,
  [5280] = 4879,
  [5281] = 5270,
  [5282] = 5272,
  [5283] = 5270,
  [5284] = 5271,
  [5285] = 5270,
  [5286] = 5272,
  [5287] = 5270,
  [5288] = 5271,
  [5289] = 5271,
  [5290] = 5270,
  [5291] = 5272,
  [5292] = 5272,
  [5293] = 3009,
  [5294] = 5271,
  [5295] = 5271,
  [5296] = 5272,
  [5297] = 5270,
  [5298] = 5271,
  [5299] = 5272,
  [5300] = 5271,
  [5301] = 5270,
  [5302] = 5270,
  [5303] = 5271,
  [5304] = 5272,
  [5305] = 5272,
  [5306] = 5270,
  [5307] = 5270,
  [5308] = 5271,
  [5309] = 5270,
  [5310] = 5271,
  [5311] = 5272,
  [5312] = 5271,
  [5313] = 5270,
  [5314] = 5271,
  [5315] = 5271,
  [5316] = 5272,
  [5317] = 5272,
  [5318] = 5272,
  [5319] = 5270,
  [5320] = 5271,
  [5321] = 5272,
  [5322] = 5272,
  [5323] = 5270,
  [5324] = 3021,
  [5325] = 5271,
  [5326] = 5271,
  [5327] = 5272,
  [5328] = 5272,
  [5329] = 5270,
  [5330] = 5270,
  [5331] = 5270,
  [5332] = 5332,
  [5333] = 5272,
  [5334] = 5272,
  [5335] = 5270,
  [5336] = 5271,
  [5337] = 5332,
  [5338] = 5271,
  [5339] = 5332,
  [5340] = 5332,
  [5341] = 5341,
  [5342] = 5341,
  [5343] = 5343,
  [5344] = 5343,
  [5345] = 5270,
  [5346] = 5271,
  [5347] = 5272,
  [5348] = 5270,
  [5349] = 5270,
  [5350] = 5271,
  [5351] = 5272,
  [5352] = 5271,
  [5353] = 2198,
  [5354] = 5272,
  [5355] = 5270,
  [5356] = 5270,
  [5357] = 5271,
  [5358] = 5341,
  [5359] = 5343,
  [5360] = 5343,
  [5361] = 5271,
  [5362] = 5272,
  [5363] = 5272,
  [5364] = 5343,
  [5365] = 5343,
  [5366] = 5271,
  [5367] = 5343,
  [5368] = 5272,
  [5369] = 2170,
  [5370] = 5270,
  [5371] = 5270,
  [5372] = 5272,
  [5373] = 5271,
  [5374] = 5271,
  [5375] = 5270,
  [5376] = 5271,
  [5377] = 5377,
  [5378] = 5272,
  [5379] = 5377,
  [5380] = 5270,
  [5381] = 5272,
  [5382] = 5382,
  [5383] = 5270,
  [5384] = 5377,
  [5385] = 5270,
  [5386] = 5271,
  [5387] = 5272,
  [5388] = 5271,
  [5389] = 5272,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5341,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5394,
  [5396] = 5396,
  [5397] = 5394,
  [5398] = 5396,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5396,
  [5402] = 5402,
  [5403] = 5396,
  [5404] = 5404,
  [5405] = 5394,
  [5406] = 5396,
  [5407] = 5396,
  [5408] = 5399,
  [5409] = 5394,
  [5410] = 5396,
  [5411] = 5399,
  [5412] = 5412,
  [5413] = 5341,
  [5414] = 5399,
  [5415] = 5394,
  [5416] = 5396,
  [5417] = 5390,
  [5418] = 5418,
  [5419] = 5399,
  [5420] = 5394,
  [5421] = 5421,
  [5422] = 5412,
  [5423] = 5394,
  [5424] = 5394,
  [5425] = 5425,
  [5426] = 5426,
  [5427] = 5396,
  [5428] = 5394,
  [5429] = 5400,
  [5430] = 5396,
  [5431] = 5421,
  [5432] = 5432,
  [5433] = 5394,
  [5434] = 5396,
  [5435] = 2198,
  [5436] = 2170,
  [5437] = 5396,
  [5438] = 5432,
  [5439] = 5396,
  [5440] = 5391,
  [5441] = 5394,
  [5442] = 5425,
  [5443] = 5399,
  [5444] = 5394,
  [5445] = 5399,
  [5446] = 5446,
  [5447] = 5394,
  [5448] = 5396,
  [5449] = 5394,
  [5450] = 5396,
  [5451] = 5446,
  [5452] = 5394,
  [5453] = 5453,
  [5454] = 5341,
  [5455] = 5399,
  [5456] = 5456,
  [5457] = 5399,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 5460,
  [5461] = 5394,
  [5462] = 5396,
  [5463] = 5399,
  [5464] = 5446,
  [5465] = 5396,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5468,
  [5469] = 5469,
  [5470] = 5470,
  [5471] = 5468,
  [5472] = 5472,
  [5473] = 5473,
  [5474] = 5474,
  [5475] = 5468,
  [5476] = 5470,
  [5477] = 5467,
  [5478] = 5473,
  [5479] = 5432,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5481,
  [5483] = 5468,
  [5484] = 5467,
  [5485] = 1585,
  [5486] = 5486,
  [5487] = 2198,
  [5488] = 5425,
  [5489] = 5467,
  [5490] = 5467,
  [5491] = 1584,
  [5492] = 5473,
  [5493] = 5481,
  [5494] = 5486,
  [5495] = 5466,
  [5496] = 5474,
  [5497] = 5474,
  [5498] = 5467,
  [5499] = 5474,
  [5500] = 5466,
  [5501] = 5473,
  [5502] = 5502,
  [5503] = 5453,
  [5504] = 5474,
  [5505] = 5473,
  [5506] = 2170,
  [5507] = 5467,
  [5508] = 5466,
  [5509] = 133,
  [5510] = 5473,
  [5511] = 5466,
  [5512] = 5470,
  [5513] = 5467,
  [5514] = 132,
  [5515] = 5421,
  [5516] = 5474,
  [5517] = 5517,
  [5518] = 5474,
  [5519] = 5341,
  [5520] = 5473,
  [5521] = 5521,
  [5522] = 5470,
  [5523] = 5470,
  [5524] = 5470,
  [5525] = 5468,
  [5526] = 5470,
  [5527] = 5400,
  [5528] = 5425,
  [5529] = 5529,
  [5530] = 5466,
  [5531] = 5474,
  [5532] = 5473,
  [5533] = 5467,
  [5534] = 5474,
  [5535] = 5474,
  [5536] = 5473,
  [5537] = 5466,
  [5538] = 5466,
  [5539] = 5470,
  [5540] = 5466,
  [5541] = 5470,
  [5542] = 5470,
  [5543] = 5467,
  [5544] = 5473,
  [5545] = 5480,
  [5546] = 5466,
  [5547] = 5467,
  [5548] = 5474,
  [5549] = 5474,
  [5550] = 5473,
  [5551] = 5473,
  [5552] = 5474,
  [5553] = 5473,
  [5554] = 5466,
  [5555] = 5467,
  [5556] = 5412,
  [5557] = 5474,
  [5558] = 5466,
  [5559] = 5473,
  [5560] = 5470,
  [5561] = 5470,
  [5562] = 5474,
  [5563] = 5473,
  [5564] = 5467,
  [5565] = 5466,
  [5566] = 1580,
  [5567] = 1569,
  [5568] = 5568,
  [5569] = 5400,
  [5570] = 5467,
  [5571] = 1582,
  [5572] = 1581,
  [5573] = 1583,
  [5574] = 5421,
  [5575] = 5575,
  [5576] = 5486,
  [5577] = 5470,
  [5578] = 5466,
  [5579] = 5470,
  [5580] = 5467,
  [5581] = 5473,
  [5582] = 5467,
  [5583] = 5466,
  [5584] = 5466,
  [5585] = 5467,
  [5586] = 5470,
  [5587] = 5468,
  [5588] = 1568,
  [5589] = 5466,
  [5590] = 5470,
  [5591] = 1575,
  [5592] = 5432,
  [5593] = 1571,
  [5594] = 1572,
  [5595] = 5470,
  [5596] = 5468,
  [5597] = 5412,
  [5598] = 5467,
  [5599] = 1567,
  [5600] = 5466,
  [5601] = 5474,
  [5602] = 1574,
  [5603] = 1577,
  [5604] = 5473,
  [5605] = 5605,
  [5606] = 5480,
  [5607] = 5474,
  [5608] = 1578,
  [5609] = 5470,
  [5610] = 5473,
  [5611] = 5474,
  [5612] = 5612,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 5613,
  [5617] = 5615,
  [5618] = 5613,
  [5619] = 5612,
  [5620] = 5615,
  [5621] = 5621,
  [5622] = 5613,
  [5623] = 5612,
  [5624] = 5341,
  [5625] = 5612,
  [5626] = 5613,
  [5627] = 5613,
  [5628] = 5613,
  [5629] = 5613,
  [5630] = 5615,
  [5631] = 5613,
  [5632] = 5612,
  [5633] = 5633,
  [5634] = 5634,
  [5635] = 5613,
  [5636] = 5636,
  [5637] = 5637,
  [5638] = 5638,
  [5639] = 5638,
  [5640] = 5640,
  [5641] = 5641,
  [5642] = 5633,
  [5643] = 5615,
  [5644] = 5634,
  [5645] = 5645,
  [5646] = 5640,
  [5647] = 5647,
  [5648] = 5612,
  [5649] = 5649,
  [5650] = 5650,
  [5651] = 5651,
  [5652] = 5652,
  [5653] = 5614,
  [5654] = 5654,
  [5655] = 5460,
  [5656] = 5637,
  [5657] = 5657,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 5660,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 5645,
  [5664] = 5612,
  [5665] = 5665,
  [5666] = 5649,
  [5667] = 5458,
  [5668] = 5651,
  [5669] = 5658,
  [5670] = 5661,
  [5671] = 5662,
  [5672] = 5613,
  [5673] = 2227,
  [5674] = 5650,
  [5675] = 5652,
  [5676] = 5654,
  [5677] = 5659,
  [5678] = 5651,
  [5679] = 5658,
  [5680] = 5661,
  [5681] = 5662,
  [5682] = 5682,
  [5683] = 5651,
  [5684] = 5658,
  [5685] = 5661,
  [5686] = 5662,
  [5687] = 5615,
  [5688] = 5688,
  [5689] = 5341,
  [5690] = 5612,
  [5691] = 5691,
  [5692] = 5692,
  [5693] = 5693,
  [5694] = 5640,
  [5695] = 5615,
  [5696] = 5647,
  [5697] = 5612,
  [5698] = 5651,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 5701,
  [5702] = 5658,
  [5703] = 5661,
  [5704] = 5662,
  [5705] = 5651,
  [5706] = 5658,
  [5707] = 5661,
  [5708] = 5662,
  [5709] = 5640,
  [5710] = 5710,
  [5711] = 5647,
  [5712] = 2823,
  [5713] = 5713,
  [5714] = 5613,
  [5715] = 5715,
  [5716] = 5640,
  [5717] = 5647,
  [5718] = 5615,
  [5719] = 5719,
  [5720] = 5640,
  [5721] = 5647,
  [5722] = 5722,
  [5723] = 5341,
  [5724] = 5612,
  [5725] = 5615,
  [5726] = 5726,
  [5727] = 5640,
  [5728] = 5647,
  [5729] = 5729,
  [5730] = 5640,
  [5731] = 5647,
  [5732] = 5640,
  [5733] = 5647,
  [5734] = 5688,
  [5735] = 5735,
  [5736] = 5615,
  [5737] = 5612,
  [5738] = 5722,
  [5739] = 5613,
  [5740] = 5688,
  [5741] = 5722,
  [5742] = 5688,
  [5743] = 5613,
  [5744] = 5744,
  [5745] = 5647,
  [5746] = 5615,
  [5747] = 5682,
  [5748] = 5615,
  [5749] = 5612,
  [5750] = 5418,
  [5751] = 5341,
  [5752] = 5612,
  [5753] = 5615,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5756,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 2344,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5341,
  [5769] = 5769,
  [5770] = 2823,
  [5771] = 5758,
  [5772] = 5772,
  [5773] = 5754,
  [5774] = 5774,
  [5775] = 5764,
  [5776] = 5776,
  [5777] = 5692,
  [5778] = 5778,
  [5779] = 5766,
  [5780] = 5780,
  [5781] = 5776,
  [5782] = 5769,
  [5783] = 5778,
  [5784] = 5784,
  [5785] = 5769,
  [5786] = 5778,
  [5787] = 1854,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5774,
  [5791] = 5764,
  [5792] = 5636,
  [5793] = 5641,
  [5794] = 5769,
  [5795] = 5735,
  [5796] = 5701,
  [5797] = 5766,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 5766,
  [5802] = 5621,
  [5803] = 5803,
  [5804] = 5665,
  [5805] = 5805,
  [5806] = 5764,
  [5807] = 5774,
  [5808] = 5808,
  [5809] = 5764,
  [5810] = 5764,
  [5811] = 5774,
  [5812] = 5812,
  [5813] = 5764,
  [5814] = 5759,
  [5815] = 5341,
  [5816] = 1863,
  [5817] = 5817,
  [5818] = 5760,
  [5819] = 5756,
  [5820] = 5744,
  [5821] = 5660,
  [5822] = 5761,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5755,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5693,
  [5833] = 5833,
  [5834] = 5834,
  [5835] = 5835,
  [5836] = 5766,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5839,
  [5840] = 5766,
  [5841] = 5841,
  [5842] = 5766,
  [5843] = 5757,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5658,
  [5847] = 5651,
  [5848] = 5425,
  [5849] = 5661,
  [5850] = 5662,
  [5851] = 1569,
  [5852] = 5412,
  [5853] = 5412,
  [5854] = 132,
  [5855] = 5400,
  [5856] = 1582,
  [5857] = 2227,
  [5858] = 2140,
  [5859] = 5421,
  [5860] = 794,
  [5861] = 5651,
  [5862] = 5432,
  [5863] = 5658,
  [5864] = 5661,
  [5865] = 1584,
  [5866] = 5341,
  [5867] = 5605,
  [5868] = 5868,
  [5869] = 2170,
  [5870] = 1575,
  [5871] = 5662,
  [5872] = 2343,
  [5873] = 1581,
  [5874] = 2422,
  [5875] = 5875,
  [5876] = 1583,
  [5877] = 2198,
  [5878] = 5878,
  [5879] = 1574,
  [5880] = 5400,
  [5881] = 2127,
  [5882] = 1568,
  [5883] = 5883,
  [5884] = 1585,
  [5885] = 2161,
  [5886] = 793,
  [5887] = 5883,
  [5888] = 5888,
  [5889] = 2133,
  [5890] = 1578,
  [5891] = 1580,
  [5892] = 5883,
  [5893] = 5421,
  [5894] = 2153,
  [5895] = 133,
  [5896] = 2418,
  [5897] = 1571,
  [5898] = 5898,
  [5899] = 5883,
  [5900] = 5425,
  [5901] = 1567,
  [5902] = 5432,
  [5903] = 5883,
  [5904] = 1577,
  [5905] = 5502,
  [5906] = 1572,
  [5907] = 2180,
  [5908] = 5662,
  [5909] = 5909,
  [5910] = 5341,
  [5911] = 5911,
  [5912] = 5662,
  [5913] = 5913,
  [5914] = 5651,
  [5915] = 1654,
  [5916] = 5651,
  [5917] = 5661,
  [5918] = 2378,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5341,
  [5922] = 5662,
  [5923] = 5661,
  [5924] = 5651,
  [5925] = 5341,
  [5926] = 5658,
  [5927] = 5661,
  [5928] = 5662,
  [5929] = 5658,
  [5930] = 5651,
  [5931] = 5919,
  [5932] = 5658,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 1659,
  [5936] = 5936,
  [5937] = 5937,
  [5938] = 1508,
  [5939] = 5658,
  [5940] = 5661,
  [5941] = 1657,
  [5942] = 5942,
  [5943] = 5662,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5772,
  [5947] = 5947,
  [5948] = 5944,
  [5949] = 5400,
  [5950] = 5944,
  [5951] = 2182,
  [5952] = 2465,
  [5953] = 5944,
  [5954] = 2183,
  [5955] = 5341,
  [5956] = 2184,
  [5957] = 2185,
  [5958] = 5958,
  [5959] = 5651,
  [5960] = 5658,
  [5961] = 5823,
  [5962] = 5834,
  [5963] = 5838,
  [5964] = 5964,
  [5965] = 2207,
  [5966] = 5805,
  [5967] = 5839,
  [5968] = 5412,
  [5969] = 5421,
  [5970] = 5425,
  [5971] = 5831,
  [5972] = 5972,
  [5973] = 5973,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5944,
  [5978] = 5978,
  [5979] = 5432,
  [5980] = 2475,
  [5981] = 5981,
  [5982] = 5982,
  [5983] = 5824,
  [5984] = 5944,
  [5985] = 5985,
  [5986] = 5845,
  [5987] = 5944,
  [5988] = 5944,
  [5989] = 5989,
  [5990] = 5432,
  [5991] = 5972,
  [5992] = 5658,
  [5993] = 5944,
  [5994] = 5944,
  [5995] = 5973,
  [5996] = 2170,
  [5997] = 5974,
  [5998] = 5425,
  [5999] = 5975,
  [6000] = 5833,
  [6001] = 5976,
  [6002] = 5944,
  [6003] = 5844,
  [6004] = 5978,
  [6005] = 5981,
  [6006] = 5944,
  [6007] = 5982,
  [6008] = 5972,
  [6009] = 5784,
  [6010] = 5661,
  [6011] = 5944,
  [6012] = 5973,
  [6013] = 5661,
  [6014] = 5974,
  [6015] = 5812,
  [6016] = 5662,
  [6017] = 5975,
  [6018] = 5788,
  [6019] = 5976,
  [6020] = 5400,
  [6021] = 2268,
  [6022] = 6022,
  [6023] = 2222,
  [6024] = 2474,
  [6025] = 5651,
  [6026] = 5829,
  [6027] = 5412,
  [6028] = 2412,
  [6029] = 5944,
  [6030] = 5978,
  [6031] = 5944,
  [6032] = 5841,
  [6033] = 5767,
  [6034] = 5981,
  [6035] = 2198,
  [6036] = 5982,
  [6037] = 5835,
  [6038] = 6038,
  [6039] = 6039,
  [6040] = 5944,
  [6041] = 5944,
  [6042] = 5944,
  [6043] = 5808,
  [6044] = 6044,
  [6045] = 5780,
  [6046] = 2455,
  [6047] = 2460,
  [6048] = 2254,
  [6049] = 2255,
  [6050] = 2256,
  [6051] = 2464,
  [6052] = 5944,
  [6053] = 2238,
  [6054] = 5817,
  [6055] = 5421,
  [6056] = 6056,
  [6057] = 5662,
  [6058] = 5661,
  [6059] = 5662,
  [6060] = 5651,
  [6061] = 5658,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 5651,
  [6065] = 5662,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 6062,
  [6069] = 6069,
  [6070] = 6062,
  [6071] = 5661,
  [6072] = 6072,
  [6073] = 6067,
  [6074] = 5661,
  [6075] = 6075,
  [6076] = 6067,
  [6077] = 5662,
  [6078] = 6067,
  [6079] = 6079,
  [6080] = 6062,
  [6081] = 1878,
  [6082] = 6069,
  [6083] = 6083,
  [6084] = 6069,
  [6085] = 5658,
  [6086] = 5662,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6067,
  [6090] = 6079,
  [6091] = 5661,
  [6092] = 6072,
  [6093] = 6093,
  [6094] = 5651,
  [6095] = 6062,
  [6096] = 6096,
  [6097] = 5658,
  [6098] = 5661,
  [6099] = 6066,
  [6100] = 6069,
  [6101] = 5662,
  [6102] = 6102,
  [6103] = 6075,
  [6104] = 6062,
  [6105] = 5662,
  [6106] = 5661,
  [6107] = 6067,
  [6108] = 6079,
  [6109] = 6079,
  [6110] = 6110,
  [6111] = 6079,
  [6112] = 6112,
  [6113] = 6079,
  [6114] = 5651,
  [6115] = 6079,
  [6116] = 5341,
  [6117] = 6067,
  [6118] = 5651,
  [6119] = 6119,
  [6120] = 5658,
  [6121] = 6121,
  [6122] = 5651,
  [6123] = 6062,
  [6124] = 5651,
  [6125] = 6125,
  [6126] = 6110,
  [6127] = 6093,
  [6128] = 5658,
  [6129] = 5658,
  [6130] = 5651,
  [6131] = 5661,
  [6132] = 5662,
  [6133] = 5658,
  [6134] = 5661,
  [6135] = 5658,
  [6136] = 6136,
  [6137] = 5662,
  [6138] = 6138,
  [6139] = 1701,
  [6140] = 5662,
  [6141] = 6141,
  [6142] = 6136,
  [6143] = 5412,
  [6144] = 6144,
  [6145] = 2198,
  [6146] = 2127,
  [6147] = 2161,
  [6148] = 6148,
  [6149] = 6136,
  [6150] = 6136,
  [6151] = 6141,
  [6152] = 6136,
  [6153] = 5651,
  [6154] = 5658,
  [6155] = 5661,
  [6156] = 5662,
  [6157] = 5651,
  [6158] = 5658,
  [6159] = 5661,
  [6160] = 5662,
  [6161] = 1714,
  [6162] = 2127,
  [6163] = 6136,
  [6164] = 2170,
  [6165] = 1717,
  [6166] = 5425,
  [6167] = 6141,
  [6168] = 2153,
  [6169] = 6136,
  [6170] = 1706,
  [6171] = 2133,
  [6172] = 6138,
  [6173] = 6136,
  [6174] = 5651,
  [6175] = 6141,
  [6176] = 6141,
  [6177] = 6141,
  [6178] = 2170,
  [6179] = 5400,
  [6180] = 5412,
  [6181] = 6138,
  [6182] = 6136,
  [6183] = 6138,
  [6184] = 6184,
  [6185] = 5412,
  [6186] = 5432,
  [6187] = 6138,
  [6188] = 5421,
  [6189] = 6138,
  [6190] = 6136,
  [6191] = 5425,
  [6192] = 2133,
  [6193] = 5972,
  [6194] = 5400,
  [6195] = 6138,
  [6196] = 5421,
  [6197] = 5973,
  [6198] = 6198,
  [6199] = 5974,
  [6200] = 5975,
  [6201] = 5976,
  [6202] = 2140,
  [6203] = 5978,
  [6204] = 5981,
  [6205] = 5432,
  [6206] = 5421,
  [6207] = 6136,
  [6208] = 5982,
  [6209] = 6136,
  [6210] = 5658,
  [6211] = 6136,
  [6212] = 6136,
  [6213] = 2161,
  [6214] = 6136,
  [6215] = 6136,
  [6216] = 5425,
  [6217] = 5432,
  [6218] = 5661,
  [6219] = 5400,
  [6220] = 6136,
  [6221] = 2153,
  [6222] = 5421,
  [6223] = 5432,
  [6224] = 6136,
  [6225] = 2140,
  [6226] = 6136,
  [6227] = 5341,
  [6228] = 5651,
  [6229] = 6229,
  [6230] = 5412,
  [6231] = 6141,
  [6232] = 2198,
  [6233] = 6136,
  [6234] = 5425,
  [6235] = 5658,
  [6236] = 5400,
  [6237] = 5661,
  [6238] = 6148,
  [6239] = 6093,
  [6240] = 6240,
  [6241] = 6241,
  [6242] = 6242,
  [6243] = 6066,
  [6244] = 6244,
  [6245] = 6240,
  [6246] = 5978,
  [6247] = 6247,
  [6248] = 6248,
  [6249] = 6249,
  [6250] = 5981,
  [6251] = 6248,
  [6252] = 5972,
  [6253] = 6253,
  [6254] = 5975,
  [6255] = 5976,
  [6256] = 5981,
  [6257] = 5651,
  [6258] = 6240,
  [6259] = 5973,
  [6260] = 5658,
  [6261] = 5974,
  [6262] = 5661,
  [6263] = 6247,
  [6264] = 5662,
  [6265] = 5978,
  [6266] = 5982,
  [6267] = 6242,
  [6268] = 6248,
  [6269] = 6269,
  [6270] = 6270,
  [6271] = 6240,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6247,
  [6276] = 6269,
  [6277] = 6248,
  [6278] = 5920,
  [6279] = 6248,
  [6280] = 6242,
  [6281] = 6240,
  [6282] = 5976,
  [6283] = 6075,
  [6284] = 2180,
  [6285] = 5651,
  [6286] = 6269,
  [6287] = 5658,
  [6288] = 5661,
  [6289] = 6248,
  [6290] = 5662,
  [6291] = 6273,
  [6292] = 6242,
  [6293] = 5972,
  [6294] = 6248,
  [6295] = 6110,
  [6296] = 6240,
  [6297] = 6248,
  [6298] = 5982,
  [6299] = 6248,
  [6300] = 6072,
  [6301] = 6269,
  [6302] = 5974,
  [6303] = 5975,
  [6304] = 6304,
  [6305] = 6247,
  [6306] = 6240,
  [6307] = 5973,
  [6308] = 6248,
  [6309] = 6240,
  [6310] = 2180,
  [6311] = 6311,
  [6312] = 6240,
  [6313] = 6242,
  [6314] = 6240,
  [6315] = 6315,
  [6316] = 6315,
  [6317] = 6315,
  [6318] = 6318,
  [6319] = 5658,
  [6320] = 6320,
  [6321] = 6315,
  [6322] = 6315,
  [6323] = 5978,
  [6324] = 6324,
  [6325] = 5651,
  [6326] = 5651,
  [6327] = 5658,
  [6328] = 5651,
  [6329] = 5661,
  [6330] = 5658,
  [6331] = 5975,
  [6332] = 6315,
  [6333] = 5976,
  [6334] = 5661,
  [6335] = 5662,
  [6336] = 6315,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 6315,
  [6340] = 6315,
  [6341] = 5662,
  [6342] = 6315,
  [6343] = 6315,
  [6344] = 5661,
  [6345] = 6315,
  [6346] = 5973,
  [6347] = 5972,
  [6348] = 6348,
  [6349] = 6315,
  [6350] = 6315,
  [6351] = 6315,
  [6352] = 5662,
  [6353] = 6315,
  [6354] = 3664,
  [6355] = 5981,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6315,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 2340,
  [6362] = 6315,
  [6363] = 5982,
  [6364] = 5974,
  [6365] = 6315,
  [6366] = 6315,
  [6367] = 5973,
  [6368] = 5981,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 6371,
  [6372] = 5982,
  [6373] = 6369,
  [6374] = 6374,
  [6375] = 5972,
  [6376] = 6374,
  [6377] = 5973,
  [6378] = 6369,
  [6379] = 6379,
  [6380] = 5974,
  [6381] = 5974,
  [6382] = 5975,
  [6383] = 5975,
  [6384] = 2304,
  [6385] = 5412,
  [6386] = 6371,
  [6387] = 5976,
  [6388] = 6369,
  [6389] = 1501,
  [6390] = 2170,
  [6391] = 6370,
  [6392] = 5978,
  [6393] = 5976,
  [6394] = 6371,
  [6395] = 2305,
  [6396] = 6374,
  [6397] = 6397,
  [6398] = 5982,
  [6399] = 6110,
  [6400] = 5976,
  [6401] = 1505,
  [6402] = 6402,
  [6403] = 5972,
  [6404] = 5421,
  [6405] = 5425,
  [6406] = 6369,
  [6407] = 6407,
  [6408] = 6408,
  [6409] = 5973,
  [6410] = 6410,
  [6411] = 6371,
  [6412] = 5425,
  [6413] = 5974,
  [6414] = 6370,
  [6415] = 6415,
  [6416] = 1504,
  [6417] = 6370,
  [6418] = 5978,
  [6419] = 5982,
  [6420] = 5972,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6371,
  [6424] = 6075,
  [6425] = 6425,
  [6426] = 5432,
  [6427] = 6427,
  [6428] = 6428,
  [6429] = 5973,
  [6430] = 5981,
  [6431] = 5400,
  [6432] = 6370,
  [6433] = 6374,
  [6434] = 6374,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6370,
  [6438] = 6438,
  [6439] = 5974,
  [6440] = 6440,
  [6441] = 6441,
  [6442] = 5421,
  [6443] = 5978,
  [6444] = 5975,
  [6445] = 1500,
  [6446] = 6370,
  [6447] = 5975,
  [6448] = 5976,
  [6449] = 6449,
  [6450] = 5432,
  [6451] = 6369,
  [6452] = 5981,
  [6453] = 6371,
  [6454] = 6454,
  [6455] = 6072,
  [6456] = 6456,
  [6457] = 6374,
  [6458] = 5981,
  [6459] = 2198,
  [6460] = 5972,
  [6461] = 6461,
  [6462] = 6066,
  [6463] = 6371,
  [6464] = 6374,
  [6465] = 6093,
  [6466] = 5982,
  [6467] = 6369,
  [6468] = 5978,
  [6469] = 1503,
  [6470] = 1502,
  [6471] = 1506,
  [6472] = 6472,
  [6473] = 6473,
  [6474] = 5412,
  [6475] = 5400,
  [6476] = 5982,
  [6477] = 5981,
  [6478] = 6478,
  [6479] = 6479,
  [6480] = 5978,
  [6481] = 5974,
  [6482] = 6478,
  [6483] = 5975,
  [6484] = 5973,
  [6485] = 5972,
  [6486] = 6478,
  [6487] = 6478,
  [6488] = 5981,
  [6489] = 6489,
  [6490] = 5978,
  [6491] = 5425,
  [6492] = 6489,
  [6493] = 6478,
  [6494] = 5421,
  [6495] = 5974,
  [6496] = 5400,
  [6497] = 6478,
  [6498] = 5432,
  [6499] = 6478,
  [6500] = 5412,
  [6501] = 6478,
  [6502] = 6502,
  [6503] = 5975,
  [6504] = 5982,
  [6505] = 6505,
  [6506] = 5982,
  [6507] = 6507,
  [6508] = 6508,
  [6509] = 6478,
  [6510] = 6510,
  [6511] = 6511,
  [6512] = 6478,
  [6513] = 5976,
  [6514] = 5973,
  [6515] = 6478,
  [6516] = 6478,
  [6517] = 6478,
  [6518] = 6518,
  [6519] = 5972,
  [6520] = 5976,
  [6521] = 5978,
  [6522] = 6522,
  [6523] = 5974,
  [6524] = 5973,
  [6525] = 6110,
  [6526] = 6526,
  [6527] = 6527,
  [6528] = 6526,
  [6529] = 6529,
  [6530] = 6526,
  [6531] = 6526,
  [6532] = 6526,
  [6533] = 5803,
  [6534] = 6526,
  [6535] = 6529,
  [6536] = 6526,
  [6537] = 6526,
  [6538] = 6526,
  [6539] = 6526,
  [6540] = 6526,
  [6541] = 6526,
  [6542] = 6526,
  [6543] = 6526,
  [6544] = 6526,
  [6545] = 6526,
  [6546] = 6526,
  [6547] = 6547,
  [6548] = 6527,
  [6549] = 6529,
  [6550] = 6526,
  [6551] = 6551,
  [6552] = 6527,
  [6553] = 6526,
  [6554] = 6529,
  [6555] = 6547,
  [6556] = 6551,
  [6557] = 6547,
  [6558] = 6547,
  [6559] = 6551,
  [6560] = 6527,
  [6561] = 5828,
  [6562] = 6551,
  [6563] = 6551,
  [6564] = 6551,
  [6565] = 6093,
  [6566] = 6066,
  [6567] = 6526,
  [6568] = 6072,
  [6569] = 6075,
  [6570] = 5972,
  [6571] = 6526,
  [6572] = 5973,
  [6573] = 5974,
  [6574] = 5975,
  [6575] = 5976,
  [6576] = 5978,
  [6577] = 5981,
  [6578] = 5982,
  [6579] = 6551,
  [6580] = 6580,
  [6581] = 6581,
  [6582] = 2343,
  [6583] = 6581,
  [6584] = 6584,
  [6585] = 6585,
  [6586] = 5976,
  [6587] = 6587,
  [6588] = 6588,
  [6589] = 5978,
  [6590] = 6590,
  [6591] = 6591,
  [6592] = 6592,
  [6593] = 5982,
  [6594] = 6594,
  [6595] = 6595,
  [6596] = 6584,
  [6597] = 6597,
  [6598] = 6598,
  [6599] = 5973,
  [6600] = 5974,
  [6601] = 5973,
  [6602] = 5974,
  [6603] = 5972,
  [6604] = 5975,
  [6605] = 6605,
  [6606] = 6606,
  [6607] = 6607,
  [6608] = 5978,
  [6609] = 6609,
  [6610] = 5974,
  [6611] = 6581,
  [6612] = 6584,
  [6613] = 5978,
  [6614] = 6614,
  [6615] = 5972,
  [6616] = 6616,
  [6617] = 5982,
  [6618] = 5981,
  [6619] = 5975,
  [6620] = 6620,
  [6621] = 5976,
  [6622] = 6087,
  [6623] = 6102,
  [6624] = 6587,
  [6625] = 6584,
  [6626] = 5974,
  [6627] = 5981,
  [6628] = 5982,
  [6629] = 6587,
  [6630] = 5803,
  [6631] = 6631,
  [6632] = 5978,
  [6633] = 6096,
  [6634] = 6634,
  [6635] = 6635,
  [6636] = 5982,
  [6637] = 6587,
  [6638] = 6638,
  [6639] = 6125,
  [6640] = 6088,
  [6641] = 6584,
  [6642] = 6093,
  [6643] = 6066,
  [6644] = 5973,
  [6645] = 5974,
  [6646] = 5978,
  [6647] = 6647,
  [6648] = 6584,
  [6649] = 5982,
  [6650] = 6650,
  [6651] = 5973,
  [6652] = 6110,
  [6653] = 5828,
  [6654] = 6584,
  [6655] = 6655,
  [6656] = 6072,
  [6657] = 6581,
  [6658] = 6075,
  [6659] = 5973,
  [6660] = 6660,
  [6661] = 5978,
  [6662] = 6662,
  [6663] = 5982,
  [6664] = 6660,
  [6665] = 6665,
  [6666] = 6666,
  [6667] = 6667,
  [6668] = 6668,
  [6669] = 6666,
  [6670] = 6670,
  [6671] = 6665,
  [6672] = 6660,
  [6673] = 6673,
  [6674] = 5975,
  [6675] = 6675,
  [6676] = 6676,
  [6677] = 5976,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 5981,
  [6681] = 6678,
  [6682] = 6673,
  [6683] = 6683,
  [6684] = 6666,
  [6685] = 6685,
  [6686] = 2161,
  [6687] = 6665,
  [6688] = 5974,
  [6689] = 6689,
  [6690] = 2127,
  [6691] = 6691,
  [6692] = 2153,
  [6693] = 6693,
  [6694] = 6678,
  [6695] = 2133,
  [6696] = 6660,
  [6697] = 6662,
  [6698] = 6676,
  [6699] = 6666,
  [6700] = 2343,
  [6701] = 6676,
  [6702] = 6689,
  [6703] = 6673,
  [6704] = 6704,
  [6705] = 6676,
  [6706] = 6673,
  [6707] = 6676,
  [6708] = 6673,
  [6709] = 6676,
  [6710] = 6673,
  [6711] = 6676,
  [6712] = 6673,
  [6713] = 6665,
  [6714] = 2140,
  [6715] = 6678,
  [6716] = 6716,
  [6717] = 5973,
  [6718] = 5972,
  [6719] = 6719,
  [6720] = 6720,
  [6721] = 6721,
  [6722] = 6722,
  [6723] = 6723,
  [6724] = 5981,
  [6725] = 6725,
  [6726] = 6720,
  [6727] = 6722,
  [6728] = 6728,
  [6729] = 6729,
  [6730] = 6730,
  [6731] = 6731,
  [6732] = 6732,
  [6733] = 6733,
  [6734] = 6734,
  [6735] = 6735,
  [6736] = 6736,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 2343,
  [6740] = 6723,
  [6741] = 6270,
  [6742] = 6244,
  [6743] = 6743,
  [6744] = 6744,
  [6745] = 6723,
  [6746] = 5972,
  [6747] = 6743,
  [6748] = 6723,
  [6749] = 6723,
  [6750] = 6725,
  [6751] = 6720,
  [6752] = 6304,
  [6753] = 6722,
  [6754] = 6754,
  [6755] = 2180,
  [6756] = 6756,
  [6757] = 6757,
  [6758] = 6743,
  [6759] = 6723,
  [6760] = 2343,
  [6761] = 6728,
  [6762] = 6729,
  [6763] = 6730,
  [6764] = 6764,
  [6765] = 6732,
  [6766] = 6733,
  [6767] = 6743,
  [6768] = 6728,
  [6769] = 6729,
  [6770] = 6743,
  [6771] = 6730,
  [6772] = 6743,
  [6773] = 6723,
  [6774] = 6743,
  [6775] = 6775,
  [6776] = 6776,
  [6777] = 5975,
  [6778] = 5976,
  [6779] = 5973,
  [6780] = 6780,
  [6781] = 5974,
  [6782] = 6782,
  [6783] = 6783,
  [6784] = 5978,
  [6785] = 5982,
  [6786] = 6732,
  [6787] = 6733,
  [6788] = 6788,
  [6789] = 6725,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 5978,
  [6793] = 6793,
  [6794] = 6794,
  [6795] = 5982,
  [6796] = 6796,
  [6797] = 6797,
  [6798] = 2343,
  [6799] = 6791,
  [6800] = 6800,
  [6801] = 6801,
  [6802] = 6802,
  [6803] = 6803,
  [6804] = 6804,
  [6805] = 2315,
  [6806] = 6801,
  [6807] = 6807,
  [6808] = 6801,
  [6809] = 6809,
  [6810] = 6797,
  [6811] = 6802,
  [6812] = 6801,
  [6813] = 6797,
  [6814] = 6791,
  [6815] = 6794,
  [6816] = 6794,
  [6817] = 6801,
  [6818] = 6800,
  [6819] = 6819,
  [6820] = 6794,
  [6821] = 6791,
  [6822] = 6822,
  [6823] = 6801,
  [6824] = 6797,
  [6825] = 6791,
  [6826] = 6826,
  [6827] = 6822,
  [6828] = 5828,
  [6829] = 6797,
  [6830] = 6791,
  [6831] = 6793,
  [6832] = 6794,
  [6833] = 6794,
  [6834] = 6794,
  [6835] = 6797,
  [6836] = 6801,
  [6837] = 6791,
  [6838] = 6794,
  [6839] = 2170,
  [6840] = 6800,
  [6841] = 6841,
  [6842] = 6822,
  [6843] = 6843,
  [6844] = 6844,
  [6845] = 2343,
  [6846] = 5973,
  [6847] = 6847,
  [6848] = 5972,
  [6849] = 6801,
  [6850] = 6822,
  [6851] = 6801,
  [6852] = 6852,
  [6853] = 6822,
  [6854] = 5974,
  [6855] = 5975,
  [6856] = 5976,
  [6857] = 6797,
  [6858] = 6797,
  [6859] = 6791,
  [6860] = 6797,
  [6861] = 5981,
  [6862] = 2198,
  [6863] = 6794,
  [6864] = 6791,
  [6865] = 6865,
  [6866] = 6800,
  [6867] = 6867,
  [6868] = 6868,
  [6869] = 6869,
  [6870] = 6870,
  [6871] = 6871,
  [6872] = 6872,
  [6873] = 6867,
  [6874] = 6874,
  [6875] = 6875,
  [6876] = 6876,
  [6877] = 6877,
  [6878] = 6878,
  [6879] = 6872,
  [6880] = 6878,
  [6881] = 6869,
  [6882] = 6882,
  [6883] = 6883,
  [6884] = 6882,
  [6885] = 6885,
  [6886] = 6875,
  [6887] = 6877,
  [6888] = 6888,
  [6889] = 6871,
  [6890] = 6890,
  [6891] = 6891,
  [6892] = 6878,
  [6893] = 6875,
  [6894] = 6894,
  [6895] = 6869,
  [6896] = 6890,
  [6897] = 6867,
  [6898] = 6898,
  [6899] = 6899,
  [6900] = 6900,
  [6901] = 6875,
  [6902] = 6902,
  [6903] = 6878,
  [6904] = 6904,
  [6905] = 6905,
  [6906] = 6877,
  [6907] = 6907,
  [6908] = 6904,
  [6909] = 6909,
  [6910] = 6871,
  [6911] = 6877,
  [6912] = 6877,
  [6913] = 6913,
  [6914] = 6878,
  [6915] = 6890,
  [6916] = 6869,
  [6917] = 6872,
  [6918] = 6869,
  [6919] = 6875,
  [6920] = 6872,
  [6921] = 6869,
  [6922] = 6904,
  [6923] = 6882,
  [6924] = 6871,
  [6925] = 6877,
  [6926] = 6882,
  [6927] = 6871,
  [6928] = 6907,
  [6929] = 6929,
  [6930] = 6890,
  [6931] = 6904,
  [6932] = 6890,
  [6933] = 6871,
  [6934] = 6885,
  [6935] = 6876,
  [6936] = 6871,
  [6937] = 6869,
  [6938] = 6867,
  [6939] = 6939,
  [6940] = 6904,
  [6941] = 6890,
  [6942] = 6890,
  [6943] = 6885,
  [6944] = 6878,
  [6945] = 6869,
  [6946] = 6885,
  [6947] = 6877,
  [6948] = 6877,
  [6949] = 6875,
  [6950] = 6950,
  [6951] = 6877,
  [6952] = 6952,
  [6953] = 6891,
  [6954] = 6890,
  [6955] = 6878,
  [6956] = 6869,
  [6957] = 6957,
  [6958] = 6882,
  [6959] = 6868,
  [6960] = 6867,
  [6961] = 6875,
  [6962] = 6890,
  [6963] = 6891,
  [6964] = 6870,
  [6965] = 6875,
  [6966] = 6877,
  [6967] = 6891,
  [6968] = 6882,
  [6969] = 6877,
  [6970] = 6970,
  [6971] = 6875,
  [6972] = 6877,
  [6973] = 6973,
  [6974] = 6872,
  [6975] = 6907,
  [6976] = 6869,
  [6977] = 6885,
  [6978] = 6867,
  [6979] = 6891,
  [6980] = 6876,
  [6981] = 2343,
  [6982] = 6890,
  [6983] = 6983,
  [6984] = 5828,
  [6985] = 6985,
  [6986] = 6877,
  [6987] = 6872,
  [6988] = 6904,
  [6989] = 6867,
  [6990] = 6907,
  [6991] = 6876,
  [6992] = 6907,
  [6993] = 6890,
  [6994] = 6875,
  [6995] = 6867,
  [6996] = 6878,
  [6997] = 6877,
  [6998] = 6890,
  [6999] = 6878,
  [7000] = 7000,
  [7001] = 6869,
  [7002] = 6882,
  [7003] = 6872,
  [7004] = 6869,
  [7005] = 6890,
  [7006] = 6872,
  [7007] = 6868,
  [7008] = 6870,
  [7009] = 6885,
  [7010] = 6877,
  [7011] = 6877,
  [7012] = 6869,
  [7013] = 6868,
  [7014] = 6870,
  [7015] = 6867,
  [7016] = 6869,
  [7017] = 6890,
  [7018] = 6868,
  [7019] = 6870,
  [7020] = 6867,
  [7021] = 7021,
  [7022] = 6870,
  [7023] = 6868,
  [7024] = 6870,
  [7025] = 6875,
  [7026] = 6890,
  [7027] = 7027,
  [7028] = 6891,
  [7029] = 6878,
  [7030] = 6868,
  [7031] = 6870,
  [7032] = 7032,
  [7033] = 6890,
  [7034] = 6868,
  [7035] = 6870,
  [7036] = 6868,
  [7037] = 6907,
  [7038] = 6867,
  [7039] = 6878,
  [7040] = 6877,
  [7041] = 7041,
  [7042] = 6867,
  [7043] = 6890,
  [7044] = 7044,
  [7045] = 6878,
  [7046] = 7046,
  [7047] = 7047,
  [7048] = 6869,
  [7049] = 6877,
  [7050] = 6890,
  [7051] = 6904,
  [7052] = 6875,
  [7053] = 6869,
  [7054] = 6869,
  [7055] = 6872,
  [7056] = 7056,
  [7057] = 6877,
  [7058] = 6890,
  [7059] = 6885,
  [7060] = 7060,
  [7061] = 7061,
  [7062] = 7062,
  [7063] = 7063,
  [7064] = 7064,
  [7065] = 7065,
  [7066] = 7066,
  [7067] = 7061,
  [7068] = 7068,
  [7069] = 2389,
  [7070] = 7061,
  [7071] = 7062,
  [7072] = 7063,
  [7073] = 7064,
  [7074] = 7074,
  [7075] = 7075,
  [7076] = 7068,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7068,
  [7080] = 7068,
  [7081] = 7081,
  [7082] = 7068,
  [7083] = 7068,
  [7084] = 2443,
  [7085] = 7085,
  [7086] = 7086,
  [7087] = 2487,
  [7088] = 7088,
  [7089] = 7089,
  [7090] = 7090,
  [7091] = 7085,
  [7092] = 7092,
  [7093] = 7089,
  [7094] = 7062,
  [7095] = 7062,
  [7096] = 7063,
  [7097] = 7064,
  [7098] = 7063,
  [7099] = 7099,
  [7100] = 7064,
  [7101] = 7101,
  [7102] = 7102,
  [7103] = 7103,
  [7104] = 7104,
  [7105] = 7105,
  [7106] = 7106,
  [7107] = 7105,
  [7108] = 7108,
  [7109] = 7103,
  [7110] = 7110,
  [7111] = 7105,
  [7112] = 7090,
  [7113] = 7113,
  [7114] = 7114,
  [7115] = 7115,
  [7116] = 7116,
  [7117] = 7117,
  [7118] = 7118,
  [7119] = 7119,
  [7120] = 7120,
  [7121] = 6591,
  [7122] = 7106,
  [7123] = 7123,
  [7124] = 7068,
  [7125] = 7125,
  [7126] = 7126,
  [7127] = 7066,
  [7128] = 7060,
  [7129] = 7129,
  [7130] = 7130,
  [7131] = 7131,
  [7132] = 7131,
  [7133] = 7133,
  [7134] = 7123,
  [7135] = 7126,
  [7136] = 7133,
  [7137] = 7137,
  [7138] = 7138,
  [7139] = 7139,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 7142,
  [7143] = 7143,
  [7144] = 7060,
  [7145] = 7129,
  [7146] = 7146,
  [7147] = 7103,
  [7148] = 7131,
  [7149] = 7149,
  [7150] = 7150,
  [7151] = 7151,
  [7152] = 7065,
  [7153] = 7153,
  [7154] = 7068,
  [7155] = 7155,
  [7156] = 7156,
  [7157] = 7157,
  [7158] = 7081,
  [7159] = 7159,
  [7160] = 7120,
  [7161] = 7161,
  [7162] = 7114,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 7068,
  [7166] = 7081,
  [7167] = 7167,
  [7168] = 7113,
  [7169] = 7120,
  [7170] = 7140,
  [7171] = 7171,
  [7172] = 7119,
  [7173] = 7085,
  [7174] = 231,
  [7175] = 7089,
  [7176] = 7062,
  [7177] = 7177,
  [7178] = 7085,
  [7179] = 7089,
  [7180] = 7062,
  [7181] = 7181,
  [7182] = 7153,
  [7183] = 7063,
  [7184] = 7063,
  [7185] = 7064,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7061,
  [7189] = 7064,
  [7190] = 7101,
  [7191] = 7110,
  [7192] = 7156,
  [7193] = 7116,
  [7194] = 7103,
  [7195] = 7105,
  [7196] = 7196,
  [7197] = 7197,
  [7198] = 7062,
  [7199] = 7063,
  [7200] = 7064,
  [7201] = 7103,
  [7202] = 7202,
  [7203] = 7103,
  [7204] = 7104,
  [7205] = 7119,
  [7206] = 7206,
  [7207] = 7161,
  [7208] = 7105,
  [7209] = 7106,
  [7210] = 7133,
  [7211] = 7123,
  [7212] = 7126,
  [7213] = 7140,
  [7214] = 7114,
  [7215] = 7113,
  [7216] = 7216,
  [7217] = 7060,
  [7218] = 7068,
  [7219] = 7129,
  [7220] = 7061,
  [7221] = 7221,
  [7222] = 7090,
  [7223] = 7092,
  [7224] = 7224,
  [7225] = 7065,
  [7226] = 7131,
  [7227] = 7090,
  [7228] = 7228,
  [7229] = 7149,
  [7230] = 227,
  [7231] = 7119,
  [7232] = 7133,
  [7233] = 7115,
  [7234] = 7234,
  [7235] = 7140,
  [7236] = 7115,
  [7237] = 7065,
  [7238] = 7161,
  [7239] = 7068,
  [7240] = 7156,
  [7241] = 7119,
  [7242] = 7074,
  [7243] = 7243,
  [7244] = 7061,
  [7245] = 7104,
  [7246] = 7156,
  [7247] = 7074,
  [7248] = 7101,
  [7249] = 7110,
  [7250] = 7116,
  [7251] = 7251,
  [7252] = 7123,
  [7253] = 7066,
  [7254] = 7126,
  [7255] = 7061,
  [7256] = 2485,
  [7257] = 2486,
  [7258] = 7081,
  [7259] = 7259,
  [7260] = 7090,
  [7261] = 7081,
  [7262] = 7092,
  [7263] = 7062,
  [7264] = 7063,
  [7265] = 7167,
  [7266] = 7064,
  [7267] = 7120,
  [7268] = 7074,
  [7269] = 7114,
  [7270] = 7061,
  [7271] = 7115,
  [7272] = 7061,
  [7273] = 7085,
  [7274] = 7089,
  [7275] = 7062,
  [7276] = 7063,
  [7277] = 7064,
  [7278] = 7092,
  [7279] = 7279,
  [7280] = 7103,
  [7281] = 2436,
  [7282] = 7282,
  [7283] = 7104,
  [7284] = 7161,
  [7285] = 7068,
  [7286] = 7286,
  [7287] = 7092,
  [7288] = 7288,
  [7289] = 7156,
  [7290] = 7123,
  [7291] = 7115,
  [7292] = 7292,
  [7293] = 7126,
  [7294] = 7161,
  [7295] = 7295,
  [7296] = 7060,
  [7297] = 7129,
  [7298] = 7131,
  [7299] = 7149,
  [7300] = 7092,
  [7301] = 7301,
  [7302] = 7068,
  [7303] = 7303,
  [7304] = 7060,
  [7305] = 7129,
  [7306] = 7115,
  [7307] = 7101,
  [7308] = 7308,
  [7309] = 7110,
  [7310] = 7131,
  [7311] = 7061,
  [7312] = 7092,
  [7313] = 2343,
  [7314] = 7149,
  [7315] = 7138,
  [7316] = 7116,
  [7317] = 7115,
  [7318] = 7318,
  [7319] = 7153,
  [7320] = 7092,
  [7321] = 7062,
  [7322] = 7092,
  [7323] = 7063,
  [7324] = 7064,
  [7325] = 7092,
  [7326] = 7101,
  [7327] = 7092,
  [7328] = 7092,
  [7329] = 7329,
  [7330] = 7330,
  [7331] = 7331,
  [7332] = 7332,
  [7333] = 7251,
  [7334] = 7066,
  [7335] = 7335,
  [7336] = 7114,
  [7337] = 7161,
  [7338] = 7156,
  [7339] = 7068,
  [7340] = 7110,
  [7341] = 7341,
  [7342] = 7342,
  [7343] = 7343,
  [7344] = 7068,
  [7345] = 7345,
  [7346] = 7119,
  [7347] = 7101,
  [7348] = 7123,
  [7349] = 7116,
  [7350] = 7161,
  [7351] = 7061,
  [7352] = 7110,
  [7353] = 7353,
  [7354] = 7114,
  [7355] = 7062,
  [7356] = 7063,
  [7357] = 7114,
  [7358] = 7064,
  [7359] = 7090,
  [7360] = 7114,
  [7361] = 7361,
  [7362] = 7068,
  [7363] = 7116,
  [7364] = 7138,
  [7365] = 7149,
  [7366] = 7068,
  [7367] = 7251,
  [7368] = 7060,
  [7369] = 7133,
  [7370] = 7129,
  [7371] = 7371,
  [7372] = 7251,
  [7373] = 7373,
  [7374] = 7374,
  [7375] = 7156,
  [7376] = 7068,
  [7377] = 7377,
  [7378] = 7378,
  [7379] = 7119,
  [7380] = 7133,
  [7381] = 7066,
  [7382] = 7085,
  [7383] = 7383,
  [7384] = 7065,
  [7385] = 7065,
  [7386] = 7089,
  [7387] = 7061,
  [7388] = 7062,
  [7389] = 7063,
  [7390] = 7064,
  [7391] = 7391,
  [7392] = 7392,
  [7393] = 7062,
  [7394] = 7394,
  [7395] = 7074,
  [7396] = 7119,
  [7397] = 7061,
  [7398] = 7167,
  [7399] = 7126,
  [7400] = 7400,
  [7401] = 7133,
  [7402] = 7101,
  [7403] = 7110,
  [7404] = 7116,
  [7405] = 7068,
  [7406] = 7061,
  [7407] = 7066,
  [7408] = 7062,
  [7409] = 7409,
  [7410] = 7063,
  [7411] = 7064,
  [7412] = 7412,
  [7413] = 7156,
  [7414] = 7153,
  [7415] = 7063,
  [7416] = 7416,
  [7417] = 7074,
  [7418] = 2374,
  [7419] = 7068,
  [7420] = 2385,
  [7421] = 7061,
  [7422] = 7061,
  [7423] = 7062,
  [7424] = 7063,
  [7425] = 7064,
  [7426] = 7161,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7081,
  [7430] = 7120,
  [7431] = 7101,
  [7432] = 7110,
  [7433] = 7064,
  [7434] = 7081,
  [7435] = 7085,
  [7436] = 7068,
  [7437] = 7089,
  [7438] = 7062,
  [7439] = 7063,
  [7440] = 7064,
  [7441] = 7103,
  [7442] = 7105,
  [7443] = 7116,
  [7444] = 7061,
  [7445] = 7062,
  [7446] = 7063,
  [7447] = 7064,
  [7448] = 7448,
  [7449] = 7449,
  [7450] = 7123,
  [7451] = 7126,
  [7452] = 7167,
  [7453] = 7453,
  [7454] = 7120,
  [7455] = 7074,
  [7456] = 2454,
  [7457] = 7457,
  [7458] = 7129,
  [7459] = 7459,
  [7460] = 7460,
  [7461] = 7066,
  [7462] = 7131,
  [7463] = 7149,
  [7464] = 7464,
  [7465] = 2489,
  [7466] = 7068,
  [7467] = 7105,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7470,
  [7471] = 7471,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7477,
  [7478] = 7477,
  [7479] = 7470,
  [7480] = 7480,
  [7481] = 7481,
  [7482] = 7482,
  [7483] = 7483,
  [7484] = 7482,
  [7485] = 7485,
  [7486] = 7486,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 7482,
  [7490] = 7480,
  [7491] = 7491,
  [7492] = 7492,
  [7493] = 7475,
  [7494] = 7470,
  [7495] = 7473,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7470,
  [7500] = 7500,
  [7501] = 7470,
  [7502] = 7502,
  [7503] = 7470,
  [7504] = 7504,
  [7505] = 7505,
  [7506] = 7506,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7509,
  [7510] = 7486,
  [7511] = 7483,
  [7512] = 7508,
  [7513] = 7507,
  [7514] = 7482,
  [7515] = 7515,
  [7516] = 7471,
  [7517] = 7482,
  [7518] = 7472,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 7521,
  [7522] = 7477,
  [7523] = 7480,
  [7524] = 7488,
  [7525] = 7482,
  [7526] = 7526,
  [7527] = 7475,
  [7528] = 7481,
  [7529] = 7496,
  [7530] = 7530,
  [7531] = 7500,
  [7532] = 7483,
  [7533] = 7469,
  [7534] = 7534,
  [7535] = 7504,
  [7536] = 7506,
  [7537] = 7507,
  [7538] = 7538,
  [7539] = 7530,
  [7540] = 7508,
  [7541] = 7541,
  [7542] = 7542,
  [7543] = 7543,
  [7544] = 7544,
  [7545] = 7545,
  [7546] = 7472,
  [7547] = 7547,
  [7548] = 7502,
  [7549] = 7481,
  [7550] = 7477,
  [7551] = 7480,
  [7552] = 7526,
  [7553] = 7482,
  [7554] = 7483,
  [7555] = 7497,
  [7556] = 7556,
  [7557] = 7496,
  [7558] = 7504,
  [7559] = 7500,
  [7560] = 7515,
  [7561] = 7561,
  [7562] = 7504,
  [7563] = 7561,
  [7564] = 7475,
  [7565] = 7565,
  [7566] = 7506,
  [7567] = 7486,
  [7568] = 7472,
  [7569] = 7469,
  [7570] = 7477,
  [7571] = 7469,
  [7572] = 7470,
  [7573] = 7508,
  [7574] = 7530,
  [7575] = 7575,
  [7576] = 7496,
  [7577] = 7496,
  [7578] = 7472,
  [7579] = 7500,
  [7580] = 7504,
  [7581] = 7534,
  [7582] = 7481,
  [7583] = 7472,
  [7584] = 7486,
  [7585] = 7542,
  [7586] = 7504,
  [7587] = 7470,
  [7588] = 7588,
  [7589] = 7470,
  [7590] = 7590,
  [7591] = 7475,
  [7592] = 7504,
  [7593] = 7593,
  [7594] = 7497,
  [7595] = 7475,
  [7596] = 7596,
  [7597] = 7492,
  [7598] = 7475,
  [7599] = 7473,
  [7600] = 7547,
  [7601] = 7481,
  [7602] = 7602,
  [7603] = 7520,
  [7604] = 7504,
  [7605] = 7469,
  [7606] = 7606,
  [7607] = 7470,
  [7608] = 7534,
  [7609] = 7505,
  [7610] = 7486,
  [7611] = 7498,
  [7612] = 7593,
  [7613] = 7543,
  [7614] = 7515,
  [7615] = 7615,
  [7616] = 7505,
  [7617] = 7475,
  [7618] = 7488,
  [7619] = 7575,
  [7620] = 7469,
  [7621] = 7508,
  [7622] = 7508,
  [7623] = 7623,
  [7624] = 7469,
  [7625] = 7543,
  [7626] = 7626,
  [7627] = 7507,
  [7628] = 7628,
  [7629] = 7506,
  [7630] = 7498,
  [7631] = 7496,
  [7632] = 7542,
  [7633] = 7505,
  [7634] = 7547,
  [7635] = 7635,
  [7636] = 7636,
  [7637] = 7497,
  [7638] = 7520,
  [7639] = 7639,
  [7640] = 7486,
  [7641] = 7636,
  [7642] = 7642,
  [7643] = 7508,
  [7644] = 7515,
  [7645] = 7500,
  [7646] = 7502,
  [7647] = 7547,
  [7648] = 7648,
  [7649] = 7649,
  [7650] = 7650,
  [7651] = 7507,
  [7652] = 7515,
  [7653] = 7475,
  [7654] = 7654,
  [7655] = 7469,
  [7656] = 7470,
  [7657] = 7469,
  [7658] = 7526,
  [7659] = 7485,
  [7660] = 7542,
  [7661] = 7471,
  [7662] = 7504,
  [7663] = 7498,
  [7664] = 7505,
  [7665] = 7470,
  [7666] = 7507,
  [7667] = 7544,
  [7668] = 7534,
  [7669] = 7492,
  [7670] = 7498,
  [7671] = 7593,
  [7672] = 7593,
  [7673] = 7507,
  [7674] = 7530,
  [7675] = 7675,
  [7676] = 7547,
  [7677] = 7506,
  [7678] = 7678,
  [7679] = 7498,
  [7680] = 7636,
  [7681] = 7507,
  [7682] = 7682,
  [7683] = 7561,
  [7684] = 7486,
  [7685] = 7685,
  [7686] = 7686,
  [7687] = 7687,
  [7688] = 7636,
  [7689] = 7508,
  [7690] = 7488,
  [7691] = 7547,
  [7692] = 7469,
  [7693] = 7542,
  [7694] = 7636,
  [7695] = 7471,
  [7696] = 7544,
  [7697] = 7508,
  [7698] = 7472,
  [7699] = 7502,
  [7700] = 7526,
  [7701] = 7507,
  [7702] = 7534,
  [7703] = 7547,
  [7704] = 7542,
  [7705] = 7507,
  [7706] = 7473,
  [7707] = 7469,
  [7708] = 7502,
  [7709] = 7526,
  [7710] = 7710,
  [7711] = 7477,
  [7712] = 7542,
  [7713] = 7508,
  [7714] = 7500,
  [7715] = 7485,
  [7716] = 7507,
  [7717] = 7480,
  [7718] = 7544,
  [7719] = 7719,
  [7720] = 7502,
  [7721] = 7526,
  [7722] = 7502,
  [7723] = 7723,
  [7724] = 7507,
  [7725] = 7542,
  [7726] = 7547,
  [7727] = 7526,
  [7728] = 7486,
  [7729] = 7542,
  [7730] = 7471,
  [7731] = 7731,
  [7732] = 7502,
  [7733] = 7561,
  [7734] = 7526,
  [7735] = 7520,
  [7736] = 7498,
  [7737] = 7530,
  [7738] = 7502,
  [7739] = 7508,
  [7740] = 7526,
  [7741] = 7507,
  [7742] = 7486,
  [7743] = 7473,
  [7744] = 7507,
  [7745] = 7502,
  [7746] = 7486,
  [7747] = 7747,
  [7748] = 7507,
  [7749] = 7561,
  [7750] = 7520,
  [7751] = 7492,
  [7752] = 7752,
  [7753] = 7472,
  [7754] = 7544,
  [7755] = 7486,
  [7756] = 7756,
  [7757] = 7473,
  [7758] = 7534,
  [7759] = 7526,
  [7760] = 7542,
  [7761] = 7469,
  [7762] = 7762,
  [7763] = 7486,
  [7764] = 7468,
  [7765] = 7485,
  [7766] = 7723,
  [7767] = 7534,
  [7768] = 7480,
  [7769] = 7508,
  [7770] = 7530,
  [7771] = 7543,
  [7772] = 7470,
  [7773] = 7502,
  [7774] = 7526,
  [7775] = 7534,
  [7776] = 7534,
  [7777] = 7561,
  [7778] = 7507,
  [7779] = 7470,
  [7780] = 7547,
  [7781] = 7781,
  [7782] = 7530,
  [7783] = 7496,
  [7784] = 7534,
  [7785] = 7482,
  [7786] = 7485,
  [7787] = 7475,
  [7788] = 7497,
  [7789] = 7475,
  [7790] = 7496,
  [7791] = 7636,
  [7792] = 7500,
  [7793] = 7502,
  [7794] = 7500,
  [7795] = 7485,
  [7796] = 7506,
  [7797] = 7473,
  [7798] = 7798,
  [7799] = 7723,
  [7800] = 7526,
  [7801] = 7723,
  [7802] = 7470,
  [7803] = 7803,
  [7804] = 7475,
  [7805] = 7515,
  [7806] = 7530,
  [7807] = 7504,
  [7808] = 7505,
  [7809] = 7530,
  [7810] = 7468,
  [7811] = 7481,
  [7812] = 7812,
  [7813] = 7544,
  [7814] = 7530,
  [7815] = 7815,
  [7816] = 7468,
  [7817] = 7515,
  [7818] = 7470,
  [7819] = 7468,
  [7820] = 7468,
  [7821] = 7534,
  [7822] = 7468,
  [7823] = 7468,
  [7824] = 7468,
  [7825] = 7468,
  [7826] = 7468,
  [7827] = 7477,
  [7828] = 7468,
  [7829] = 7468,
  [7830] = 7468,
  [7831] = 7468,
  [7832] = 7468,
  [7833] = 7543,
  [7834] = 7468,
  [7835] = 7561,
  [7836] = 7534,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 7839,
  [7840] = 7840,
  [7841] = 7841,
  [7842] = 7842,
  [7843] = 7843,
  [7844] = 7844,
  [7845] = 7845,
  [7846] = 1714,
  [7847] = 7847,
  [7848] = 7848,
  [7849] = 7849,
  [7850] = 7850,
  [7851] = 7851,
  [7852] = 7844,
  [7853] = 7838,
  [7854] = 7854,
  [7855] = 7855,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7850,
  [7859] = 7859,
  [7860] = 7860,
  [7861] = 7861,
  [7862] = 7862,
  [7863] = 7838,
  [7864] = 7864,
  [7865] = 7865,
  [7866] = 7866,
  [7867] = 7867,
  [7868] = 7868,
  [7869] = 7869,
  [7870] = 7870,
  [7871] = 7871,
  [7872] = 7872,
  [7873] = 7873,
  [7874] = 7861,
  [7875] = 7875,
  [7876] = 7876,
  [7877] = 7862,
  [7878] = 7878,
  [7879] = 7879,
  [7880] = 7878,
  [7881] = 7881,
  [7882] = 7882,
  [7883] = 7869,
  [7884] = 7879,
  [7885] = 7885,
  [7886] = 7886,
  [7887] = 7887,
  [7888] = 7888,
  [7889] = 7889,
  [7890] = 7849,
  [7891] = 7891,
  [7892] = 7892,
  [7893] = 7893,
  [7894] = 7894,
  [7895] = 7888,
  [7896] = 7896,
  [7897] = 7870,
  [7898] = 7898,
  [7899] = 7899,
  [7900] = 7900,
  [7901] = 7901,
  [7902] = 7902,
  [7903] = 7903,
  [7904] = 7904,
  [7905] = 7905,
  [7906] = 7900,
  [7907] = 7907,
  [7908] = 7908,
  [7909] = 7849,
  [7910] = 7854,
  [7911] = 7911,
  [7912] = 7885,
  [7913] = 7913,
  [7914] = 7914,
  [7915] = 7855,
  [7916] = 7916,
  [7917] = 7917,
  [7918] = 7862,
  [7919] = 7919,
  [7920] = 7903,
  [7921] = 7921,
  [7922] = 7922,
  [7923] = 7923,
  [7924] = 7924,
  [7925] = 7924,
  [7926] = 7842,
  [7927] = 7927,
  [7928] = 7928,
  [7929] = 7929,
  [7930] = 7919,
  [7931] = 7838,
  [7932] = 7932,
  [7933] = 7876,
  [7934] = 7916,
  [7935] = 7896,
  [7936] = 7936,
  [7937] = 7913,
  [7938] = 7887,
  [7939] = 7850,
  [7940] = 7940,
  [7941] = 7941,
  [7942] = 7942,
  [7943] = 7898,
  [7944] = 7838,
  [7945] = 7945,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7862,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7954,
  [7955] = 7955,
  [7956] = 7896,
  [7957] = 7951,
  [7958] = 7958,
  [7959] = 7952,
  [7960] = 7960,
  [7961] = 7961,
  [7962] = 7953,
  [7963] = 7847,
  [7964] = 7869,
  [7965] = 7870,
  [7966] = 7900,
  [7967] = 7929,
  [7968] = 7903,
  [7969] = 7969,
  [7970] = 7843,
  [7971] = 7971,
  [7972] = 7932,
  [7973] = 7973,
  [7974] = 7941,
  [7975] = 7975,
  [7976] = 7854,
  [7977] = 7855,
  [7978] = 7978,
  [7979] = 7840,
  [7980] = 7960,
  [7981] = 7981,
  [7982] = 7840,
  [7983] = 7983,
  [7984] = 7984,
  [7985] = 7849,
  [7986] = 7986,
  [7987] = 7987,
  [7988] = 7879,
  [7989] = 7989,
  [7990] = 7892,
  [7991] = 7871,
  [7992] = 7992,
  [7993] = 7904,
  [7994] = 7867,
  [7995] = 7872,
  [7996] = 7873,
  [7997] = 7981,
  [7998] = 7914,
  [7999] = 7861,
  [8000] = 7989,
  [8001] = 7921,
  [8002] = 8002,
  [8003] = 8003,
  [8004] = 7921,
  [8005] = 8005,
  [8006] = 8006,
  [8007] = 7879,
  [8008] = 8008,
  [8009] = 8009,
  [8010] = 7953,
  [8011] = 7847,
  [8012] = 7932,
  [8013] = 8013,
  [8014] = 8014,
  [8015] = 7869,
  [8016] = 8016,
  [8017] = 7862,
  [8018] = 8018,
  [8019] = 7898,
  [8020] = 8020,
  [8021] = 1717,
  [8022] = 7849,
  [8023] = 8023,
  [8024] = 7946,
  [8025] = 8025,
  [8026] = 7953,
  [8027] = 7866,
  [8028] = 7867,
  [8029] = 8029,
  [8030] = 8030,
  [8031] = 8031,
  [8032] = 7960,
  [8033] = 7981,
  [8034] = 8034,
  [8035] = 7919,
  [8036] = 8036,
  [8037] = 8037,
  [8038] = 8013,
  [8039] = 7843,
  [8040] = 7929,
  [8041] = 7843,
  [8042] = 8042,
  [8043] = 7866,
  [8044] = 7867,
  [8045] = 8045,
  [8046] = 7868,
  [8047] = 7854,
  [8048] = 7855,
  [8049] = 8049,
  [8050] = 7904,
  [8051] = 8051,
  [8052] = 8052,
  [8053] = 7913,
  [8054] = 7868,
  [8055] = 7875,
  [8056] = 8056,
  [8057] = 7921,
  [8058] = 7924,
  [8059] = 8016,
  [8060] = 8060,
  [8061] = 8061,
  [8062] = 7989,
  [8063] = 8018,
  [8064] = 7887,
  [8065] = 7875,
  [8066] = 8066,
  [8067] = 7854,
  [8068] = 7855,
  [8069] = 8069,
  [8070] = 8070,
  [8071] = 7898,
  [8072] = 7876,
  [8073] = 8073,
  [8074] = 7866,
  [8075] = 7919,
  [8076] = 7867,
  [8077] = 7953,
  [8078] = 7848,
  [8079] = 7898,
  [8080] = 8080,
  [8081] = 7971,
  [8082] = 8034,
  [8083] = 7960,
  [8084] = 8084,
  [8085] = 8085,
  [8086] = 7878,
  [8087] = 8037,
  [8088] = 7868,
  [8089] = 7958,
  [8090] = 8045,
  [8091] = 7859,
  [8092] = 7843,
  [8093] = 8051,
  [8094] = 8052,
  [8095] = 8095,
  [8096] = 7868,
  [8097] = 7885,
  [8098] = 7854,
  [8099] = 7855,
  [8100] = 8023,
  [8101] = 7904,
  [8102] = 8060,
  [8103] = 7840,
  [8104] = 8104,
  [8105] = 7916,
  [8106] = 8106,
  [8107] = 8107,
  [8108] = 7921,
  [8109] = 8109,
  [8110] = 8061,
  [8111] = 7886,
  [8112] = 7887,
  [8113] = 7888,
  [8114] = 7875,
  [8115] = 8030,
  [8116] = 7924,
  [8117] = 8117,
  [8118] = 8118,
  [8119] = 7867,
  [8120] = 7842,
  [8121] = 7898,
  [8122] = 7904,
  [8123] = 8123,
  [8124] = 8124,
  [8125] = 8014,
  [8126] = 8126,
  [8127] = 8127,
  [8128] = 7842,
  [8129] = 8061,
  [8130] = 7960,
  [8131] = 7845,
  [8132] = 8031,
  [8133] = 8133,
  [8134] = 7942,
  [8135] = 8135,
  [8136] = 8136,
  [8137] = 7879,
  [8138] = 8138,
  [8139] = 7919,
  [8140] = 8140,
  [8141] = 7905,
  [8142] = 7854,
  [8143] = 7855,
  [8144] = 8144,
  [8145] = 7924,
  [8146] = 8146,
  [8147] = 7878,
  [8148] = 8148,
  [8149] = 8013,
  [8150] = 7845,
  [8151] = 7898,
  [8152] = 8030,
  [8153] = 7973,
  [8154] = 8014,
  [8155] = 7960,
  [8156] = 8016,
  [8157] = 7922,
  [8158] = 7855,
  [8159] = 7940,
  [8160] = 7875,
  [8161] = 7847,
  [8162] = 8162,
  [8163] = 7916,
  [8164] = 7898,
  [8165] = 7878,
  [8166] = 7919,
  [8167] = 7960,
  [8168] = 7845,
  [8169] = 7855,
  [8170] = 7941,
  [8171] = 7879,
  [8172] = 7838,
  [8173] = 8018,
  [8174] = 7898,
  [8175] = 7960,
  [8176] = 7855,
  [8177] = 7840,
  [8178] = 8178,
  [8179] = 7960,
  [8180] = 7855,
  [8181] = 8181,
  [8182] = 5735,
  [8183] = 7960,
  [8184] = 7855,
  [8185] = 7960,
  [8186] = 7855,
  [8187] = 7960,
  [8188] = 7855,
  [8189] = 7960,
  [8190] = 7855,
  [8191] = 7960,
  [8192] = 7855,
  [8193] = 7960,
  [8194] = 7855,
  [8195] = 8195,
  [8196] = 7840,
  [8197] = 7867,
  [8198] = 8138,
  [8199] = 5693,
  [8200] = 8200,
  [8201] = 8201,
  [8202] = 8202,
  [8203] = 7896,
  [8204] = 7870,
  [8205] = 8205,
  [8206] = 8206,
  [8207] = 8207,
  [8208] = 7900,
  [8209] = 8209,
  [8210] = 7903,
  [8211] = 7896,
  [8212] = 8212,
  [8213] = 8213,
  [8214] = 7885,
  [8215] = 7929,
  [8216] = 7886,
  [8217] = 8217,
  [8218] = 8202,
  [8219] = 8219,
  [8220] = 8023,
  [8221] = 7896,
  [8222] = 7914,
  [8223] = 8223,
  [8224] = 7913,
  [8225] = 8225,
  [8226] = 7888,
  [8227] = 7862,
  [8228] = 7870,
  [8229] = 7919,
  [8230] = 8126,
  [8231] = 8136,
  [8232] = 8232,
  [8233] = 7879,
  [8234] = 7952,
  [8235] = 7900,
  [8236] = 7986,
  [8237] = 7871,
  [8238] = 8238,
  [8239] = 8239,
  [8240] = 7903,
  [8241] = 8056,
  [8242] = 7870,
  [8243] = 8243,
  [8244] = 8025,
  [8245] = 8245,
  [8246] = 8106,
  [8247] = 7847,
  [8248] = 8133,
  [8249] = 7924,
  [8250] = 8250,
  [8251] = 8014,
  [8252] = 7958,
  [8253] = 8253,
  [8254] = 7842,
  [8255] = 7845,
  [8256] = 8256,
  [8257] = 7879,
  [8258] = 8258,
  [8259] = 7872,
  [8260] = 7916,
  [8261] = 8261,
  [8262] = 8262,
  [8263] = 7946,
  [8264] = 8264,
  [8265] = 7900,
  [8266] = 8212,
  [8267] = 8267,
  [8268] = 8144,
  [8269] = 8195,
  [8270] = 8146,
  [8271] = 8271,
  [8272] = 8272,
  [8273] = 8030,
  [8274] = 7986,
  [8275] = 7958,
  [8276] = 7840,
  [8277] = 7889,
  [8278] = 8023,
  [8279] = 8279,
  [8280] = 7867,
  [8281] = 7873,
  [8282] = 7983,
  [8283] = 8107,
  [8284] = 7929,
  [8285] = 7840,
  [8286] = 8286,
  [8287] = 7942,
  [8288] = 7896,
  [8289] = 8030,
  [8290] = 8290,
  [8291] = 8291,
  [8292] = 8292,
  [8293] = 8293,
  [8294] = 7847,
  [8295] = 7870,
  [8296] = 7983,
  [8297] = 7878,
  [8298] = 7973,
  [8299] = 7840,
  [8300] = 8300,
  [8301] = 8301,
  [8302] = 7896,
  [8303] = 7870,
  [8304] = 7900,
  [8305] = 8305,
  [8306] = 7903,
  [8307] = 8307,
  [8308] = 7892,
  [8309] = 7929,
  [8310] = 7903,
  [8311] = 8311,
  [8312] = 8312,
  [8313] = 7838,
  [8314] = 8314,
  [8315] = 8023,
  [8316] = 8316,
  [8317] = 7837,
  [8318] = 7887,
  [8319] = 7900,
  [8320] = 7849,
  [8321] = 6843,
  [8322] = 7932,
  [8323] = 7867,
  [8324] = 7903,
  [8325] = 7843,
  [8326] = 7861,
  [8327] = 7840,
  [8328] = 7867,
  [8329] = 8238,
  [8330] = 7869,
  [8331] = 7847,
  [8332] = 8238,
  [8333] = 7848,
  [8334] = 8334,
  [8335] = 7849,
  [8336] = 7866,
  [8337] = 8337,
  [8338] = 8338,
  [8339] = 7885,
  [8340] = 8025,
  [8341] = 8056,
  [8342] = 7916,
  [8343] = 8238,
  [8344] = 7951,
  [8345] = 8345,
  [8346] = 8346,
  [8347] = 7860,
  [8348] = 7871,
  [8349] = 7919,
  [8350] = 7876,
  [8351] = 7872,
  [8352] = 7971,
  [8353] = 7973,
  [8354] = 7873,
  [8355] = 8355,
  [8356] = 7919,
  [8357] = 7876,
  [8358] = 7941,
  [8359] = 7866,
  [8360] = 7862,
  [8361] = 7924,
  [8362] = 7924,
  [8363] = 8056,
  [8364] = 7840,
  [8365] = 8365,
  [8366] = 7867,
  [8367] = 7840,
  [8368] = 7867,
  [8369] = 8369,
  [8370] = 7879,
  [8371] = 7870,
  [8372] = 7900,
  [8373] = 8373,
  [8374] = 8144,
  [8375] = 7847,
  [8376] = 7986,
  [8377] = 8377,
  [8378] = 8378,
  [8379] = 8146,
  [8380] = 7903,
  [8381] = 8146,
  [8382] = 7859,
  [8383] = 8030,
  [8384] = 8384,
  [8385] = 7847,
  [8386] = 7848,
  [8387] = 7868,
  [8388] = 8056,
  [8389] = 8389,
  [8390] = 8261,
  [8391] = 7838,
  [8392] = 7885,
  [8393] = 8393,
  [8394] = 7983,
  [8395] = 7861,
  [8396] = 8396,
  [8397] = 8397,
  [8398] = 8398,
  [8399] = 8138,
  [8400] = 8201,
  [8401] = 8202,
  [8402] = 8205,
  [8403] = 7838,
  [8404] = 8207,
  [8405] = 8200,
  [8406] = 7896,
  [8407] = 7929,
  [8408] = 7875,
  [8409] = 8201,
  [8410] = 8223,
  [8411] = 7951,
  [8412] = 8225,
  [8413] = 8413,
  [8414] = 8414,
  [8415] = 8415,
  [8416] = 8136,
  [8417] = 8232,
  [8418] = 7986,
  [8419] = 7871,
  [8420] = 7847,
  [8421] = 8133,
  [8422] = 8030,
  [8423] = 7840,
  [8424] = 7872,
  [8425] = 8195,
  [8426] = 7889,
  [8427] = 7873,
  [8428] = 8428,
  [8429] = 8138,
  [8430] = 8201,
  [8431] = 8205,
  [8432] = 7867,
  [8433] = 8207,
  [8434] = 7916,
  [8435] = 8205,
  [8436] = 8223,
  [8437] = 8437,
  [8438] = 8225,
  [8439] = 7952,
  [8440] = 7913,
  [8441] = 8136,
  [8442] = 8232,
  [8443] = 8133,
  [8444] = 8126,
  [8445] = 7862,
  [8446] = 7862,
  [8447] = 8195,
  [8448] = 7889,
  [8449] = 5621,
  [8450] = 8138,
  [8451] = 8201,
  [8452] = 8205,
  [8453] = 8223,
  [8454] = 8207,
  [8455] = 7879,
  [8456] = 7892,
  [8457] = 8223,
  [8458] = 8225,
  [8459] = 8459,
  [8460] = 8023,
  [8461] = 8136,
  [8462] = 8232,
  [8463] = 8133,
  [8464] = 8464,
  [8465] = 7861,
  [8466] = 7929,
  [8467] = 8195,
  [8468] = 7889,
  [8469] = 8469,
  [8470] = 8138,
  [8471] = 8201,
  [8472] = 8205,
  [8473] = 7916,
  [8474] = 8207,
  [8475] = 7885,
  [8476] = 8476,
  [8477] = 8225,
  [8478] = 7847,
  [8479] = 8479,
  [8480] = 8136,
  [8481] = 8232,
  [8482] = 8133,
  [8483] = 7986,
  [8484] = 8261,
  [8485] = 8485,
  [8486] = 8195,
  [8487] = 7889,
  [8488] = 8488,
  [8489] = 8138,
  [8490] = 8201,
  [8491] = 7919,
  [8492] = 8207,
  [8493] = 7913,
  [8494] = 7904,
  [8495] = 7905,
  [8496] = 7887,
  [8497] = 8136,
  [8498] = 8232,
  [8499] = 7924,
  [8500] = 5744,
  [8501] = 8232,
  [8502] = 8195,
  [8503] = 8503,
  [8504] = 8138,
  [8505] = 8201,
  [8506] = 8207,
  [8507] = 7840,
  [8508] = 8232,
  [8509] = 7867,
  [8510] = 8510,
  [8511] = 8195,
  [8512] = 8512,
  [8513] = 8138,
  [8514] = 8201,
  [8515] = 8207,
  [8516] = 8516,
  [8517] = 8232,
  [8518] = 7848,
  [8519] = 8195,
  [8520] = 8138,
  [8521] = 8201,
  [8522] = 8207,
  [8523] = 8232,
  [8524] = 8195,
  [8525] = 8201,
  [8526] = 8232,
  [8527] = 8195,
  [8528] = 8201,
  [8529] = 8232,
  [8530] = 8195,
  [8531] = 8232,
  [8532] = 8195,
  [8533] = 8232,
  [8534] = 8195,
  [8535] = 8232,
  [8536] = 8195,
  [8537] = 8232,
  [8538] = 8195,
  [8539] = 8232,
  [8540] = 8195,
  [8541] = 7878,
  [8542] = 8542,
  [8543] = 8202,
  [8544] = 7945,
  [8545] = 7954,
  [8546] = 7914,
  [8547] = 8060,
  [8548] = 7859,
  [8549] = 7847,
  [8550] = 7973,
  [8551] = 8551,
  [8552] = 8144,
  [8553] = 8553,
  [8554] = 7929,
  [8555] = 8555,
  [8556] = 7921,
  [8557] = 7913,
  [8558] = 7838,
  [8559] = 8559,
  [8560] = 7951,
  [8561] = 8106,
  [8562] = 8562,
  [8563] = 7896,
  [8564] = 8564,
  [8565] = 7861,
  [8566] = 8566,
  [8567] = 8567,
  [8568] = 7946,
  [8569] = 7958,
  [8570] = 8570,
  [8571] = 8571,
  [8572] = 8572,
  [8573] = 7973,
  [8574] = 7904,
  [8575] = 8034,
  [8576] = 7905,
  [8577] = 8577,
  [8578] = 7862,
  [8579] = 7952,
  [8580] = 7973,
  [8581] = 7941,
  [8582] = 7941,
  [8583] = 7840,
  [8584] = 7916,
  [8585] = 7847,
  [8586] = 8586,
  [8587] = 7896,
  [8588] = 8588,
  [8589] = 7848,
  [8590] = 7887,
  [8591] = 8591,
  [8592] = 8212,
  [8593] = 8144,
  [8594] = 7879,
  [8595] = 7946,
  [8596] = 7916,
  [8597] = 8207,
  [8598] = 7840,
  [8599] = 7983,
  [8600] = 7958,
  [8601] = 8146,
  [8602] = 7932,
  [8603] = 7986,
  [8604] = 7869,
  [8605] = 8238,
  [8606] = 7929,
  [8607] = 7849,
  [8608] = 7886,
  [8609] = 8037,
  [8610] = 7898,
  [8611] = 8014,
  [8612] = 7871,
  [8613] = 8045,
  [8614] = 7914,
  [8615] = 8056,
  [8616] = 7872,
  [8617] = 7873,
  [8618] = 8051,
  [8619] = 8619,
  [8620] = 7928,
  [8621] = 7973,
  [8622] = 7840,
  [8623] = 7866,
  [8624] = 7879,
  [8625] = 8052,
  [8626] = 7919,
  [8627] = 8202,
  [8628] = 7945,
  [8629] = 7954,
  [8630] = 7940,
  [8631] = 7876,
  [8632] = 8632,
  [8633] = 7871,
  [8634] = 8106,
  [8635] = 8562,
  [8636] = 7867,
  [8637] = 7872,
  [8638] = 7868,
  [8639] = 7951,
  [8640] = 8202,
  [8641] = 7945,
  [8642] = 7954,
  [8643] = 7952,
  [8644] = 7953,
  [8645] = 8106,
  [8646] = 8562,
  [8647] = 7921,
  [8648] = 7875,
  [8649] = 7942,
  [8650] = 7945,
  [8651] = 7954,
  [8652] = 7932,
  [8653] = 8653,
  [8654] = 8106,
  [8655] = 8562,
  [8656] = 8656,
  [8657] = 8657,
  [8658] = 7945,
  [8659] = 7954,
  [8660] = 7849,
  [8661] = 8661,
  [8662] = 8106,
  [8663] = 8562,
  [8664] = 7919,
  [8665] = 7945,
  [8666] = 7954,
  [8667] = 7867,
  [8668] = 8106,
  [8669] = 8562,
  [8670] = 7873,
  [8671] = 8106,
  [8672] = 8562,
  [8673] = 7960,
  [8674] = 8562,
  [8675] = 7924,
  [8676] = 8562,
  [8677] = 7928,
  [8678] = 8562,
  [8679] = 7896,
  [8680] = 8562,
  [8681] = 7932,
  [8682] = 8562,
  [8683] = 7896,
  [8684] = 8562,
  [8685] = 7971,
  [8686] = 8562,
  [8687] = 7879,
  [8688] = 8562,
  [8689] = 7973,
  [8690] = 8562,
  [8691] = 8073,
  [8692] = 7837,
  [8693] = 8693,
  [8694] = 8073,
  [8695] = 7837,
  [8696] = 8562,
  [8697] = 8073,
  [8698] = 7837,
  [8699] = 8699,
  [8700] = 8073,
  [8701] = 7837,
  [8702] = 8702,
  [8703] = 8073,
  [8704] = 8704,
  [8705] = 7960,
  [8706] = 7837,
  [8707] = 7837,
  [8708] = 7837,
  [8709] = 7837,
  [8710] = 7837,
  [8711] = 7837,
  [8712] = 7837,
  [8713] = 7837,
  [8714] = 7837,
  [8715] = 7837,
  [8716] = 7837,
  [8717] = 7983,
  [8718] = 8718,
  [8719] = 7941,
  [8720] = 8720,
  [8721] = 8225,
  [8722] = 8123,
  [8723] = 8123,
  [8724] = 8123,
  [8725] = 8123,
  [8726] = 8123,
  [8727] = 7867,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(340);
      ADVANCE_MAP(
        '!', 407,
        '"', 525,
        '#', 286,
        '%', 431,
        '&', 441,
        '\'', 516,
        '(', 344,
        ')', 347,
        '*', 427,
        '+', 421,
        ',', 346,
        '-', 410,
        '.', 491,
        '/', 429,
        '0', 498,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 467,
        '\\', 2,
        ']', 469,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 435,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(338);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(176);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(176);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(188);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(188);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(184);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(184);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(198);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(198);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(185);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(185);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(189);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(189);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(179);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(179);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(180);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(180);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(186);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(186);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(190);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(190);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(244);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(251);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(251);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(178);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(178);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(97);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 349,
        '!', 273,
        '%', 430,
        '&', 440,
        '(', 405,
        '*', 426,
        '+', 419,
        '-', 409,
        '/', 428,
        '<', 454,
        '=', 274,
        '>', 445,
      );
      if (lookahead == '\\') SKIP(98);
      if (lookahead == '^') ADVANCE(437);
      if (lookahead == '|') ADVANCE(436);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(250);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(250);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(106);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\'') ADVANCE(516);
      if (lookahead == '/') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(518);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(520);
      if (lookahead != 0) ADVANCE(517);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(532);
      if (lookahead == '\r') ADVANCE(531);
      if (lookahead == 'U') ADVANCE(336);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == 'x') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(534);
      if (lookahead != 0) ADVANCE(531);
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == '/') ADVANCE(526);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(529);
      if (lookahead != 0) ADVANCE(530);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(342);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '(') ADVANCE(344);
      if (lookahead == '/') ADVANCE(370);
      if (lookahead == '\\') ADVANCE(365);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(264);
      if (lookahead != 0) ADVANCE(372);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(342);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '/') ADVANCE(370);
      if (lookahead == '\\') ADVANCE(365);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(264);
      if (lookahead != 0) ADVANCE(372);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(342);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '(') ADVANCE(405);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(342);
      if (lookahead == '(') ADVANCE(405);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 115:
      if (lookahead == '\n') ADVANCE(342);
      if (lookahead == '/') ADVANCE(370);
      if (lookahead == '\\') ADVANCE(365);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      if (lookahead != 0) ADVANCE(372);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(252);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(252);
      if (lookahead == '\r') SKIP(116);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(204);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(204);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(182);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(182);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(160);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 162:
      if (lookahead == '\r') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(634);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 407,
        '"', 525,
        '#', 286,
        '%', 431,
        '&', 441,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 421,
        ',', 346,
        '-', 410,
        '.', 491,
        '/', 429,
        '0', 498,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 467,
        '\\', 2,
        ']', 469,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 435,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 407,
        '"', 525,
        '#', 295,
        '%', 431,
        '&', 441,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 421,
        ',', 346,
        '-', 411,
        '.', 491,
        '/', 429,
        '0', 498,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 465,
        '\\', 119,
        ']', 469,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 435,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 407,
        '"', 525,
        '#', 295,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 422,
        ',', 346,
        '-', 412,
        '.', 491,
        '/', 428,
        '0', 498,
        ':', 475,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 465,
        '\\', 147,
        ']', 469,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 436,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 407,
        '"', 525,
        '%', 431,
        '&', 441,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 421,
        ',', 346,
        '-', 410,
        '.', 491,
        '/', 429,
        '0', 498,
        ':', 271,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 465,
        '\\', 16,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 435,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 407,
        '"', 525,
        '%', 431,
        '&', 441,
        '\'', 516,
        '(', 405,
        '*', 427,
        '+', 421,
        ',', 346,
        '-', 411,
        '.', 491,
        '/', 429,
        '0', 498,
        ':', 271,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 465,
        '\\', 18,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 435,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 407,
        '"', 525,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 405,
        '*', 426,
        '+', 422,
        ',', 346,
        '-', 412,
        '.', 491,
        '/', 428,
        '0', 498,
        ':', 271,
        '<', 453,
        '=', 274,
        '>', 641,
        '?', 476,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 465,
        '\\', 121,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 436,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 407,
        '"', 237,
        '%', 431,
        '&', 441,
        '(', 253,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '/', 429,
        ':', 271,
        '<', 451,
        '=', 471,
        '>', 446,
        '[', 283,
        '\\', 26,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '|', 435,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 407,
        '"', 237,
        '%', 431,
        '&', 441,
        '(', 253,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 446,
        '[', 284,
        '\\', 82,
        '^', 438,
        '|', 435,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 286,
        '&', 440,
        '\'', 516,
        '(', 405,
        '*', 426,
        '+', 422,
        ',', 346,
        '-', 413,
        '.', 315,
        '/', 255,
        '0', 498,
        ':', 271,
        ';', 459,
        '<', 272,
        '>', 444,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 6,
        ']', 285,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 434,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 290,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 422,
        ',', 346,
        '-', 413,
        '.', 492,
        '/', 428,
        '0', 498,
        ':', 475,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 4,
        ']', 469,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 309,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 294,
        '&', 439,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 422,
        '-', 413,
        '.', 261,
        '/', 255,
        '0', 498,
        ':', 271,
        ';', 459,
        '>', 277,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 10,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 288,
        '&', 440,
        '\'', 516,
        '(', 405,
        '*', 426,
        '+', 422,
        ',', 346,
        '-', 413,
        '.', 315,
        '/', 255,
        '0', 498,
        ':', 271,
        ';', 459,
        '>', 275,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 8,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '&', 440,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 422,
        ',', 346,
        '-', 413,
        '.', 492,
        '/', 255,
        '0', 498,
        ':', 271,
        ';', 459,
        '=', 470,
        '>', 641,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 465,
        '\\', 12,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '&', 439,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 422,
        ',', 346,
        '-', 413,
        '.', 492,
        '/', 255,
        '0', 498,
        ':', 475,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 465,
        '\\', 14,
        ']', 469,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '&', 439,
        '\'', 516,
        '(', 405,
        '*', 426,
        '+', 422,
        '-', 412,
        '.', 315,
        '/', 255,
        '0', 498,
        ':', 271,
        '<', 450,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 28,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 406,
        '\'', 516,
        '(', 405,
        ')', 347,
        '+', 424,
        '-', 417,
        '.', 315,
        '/', 255,
        '0', 498,
        'L', 560,
        'U', 561,
        '\\', 96,
        'u', 562,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 465,
        '\\', 46,
        ']', 469,
        '^', 438,
        'u', 550,
        '{', 463,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 465,
        '\\', 58,
        ']', 469,
        '^', 438,
        'u', 550,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 465,
        '\\', 58,
        ']', 469,
        '^', 438,
        'u', 655,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '#', 295,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 474,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 465,
        '\\', 133,
        ']', 469,
        '^', 437,
        'u', 550,
        '|', 436,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '#', 295,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 474,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 465,
        '\\', 133,
        ']', 469,
        '^', 437,
        'u', 655,
        '|', 436,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        ':', 271,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 32,
        '^', 438,
        'u', 550,
        '{', 463,
        '|', 435,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        ':', 271,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 465,
        '\\', 42,
        '^', 438,
        'u', 550,
        '{', 463,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 465,
        '\\', 66,
        '^', 438,
        'u', 550,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 465,
        '\\', 66,
        '^', 438,
        'u', 655,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 30,
        '^', 438,
        'u', 550,
        '{', 463,
        '|', 435,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 271,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 465,
        '\\', 44,
        '^', 438,
        'u', 550,
        '{', 463,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 465,
        '\\', 68,
        '^', 438,
        'u', 550,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 465,
        '\\', 68,
        '^', 438,
        'u', 655,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 405,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        '<', 453,
        '=', 274,
        '>', 641,
        '?', 476,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 465,
        '\\', 137,
        '^', 437,
        'u', 550,
        '|', 436,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 273,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 405,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        '<', 453,
        '=', 274,
        '>', 641,
        '?', 476,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 465,
        '\\', 137,
        '^', 437,
        'u', 655,
        '|', 436,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 273,
        '#', 306,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 475,
        ';', 459,
        '<', 453,
        '=', 471,
        '>', 445,
        '?', 476,
        '[', 466,
        '\\', 36,
        ']', 469,
        '^', 437,
        '{', 463,
        '|', 436,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        '0', 642,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 466,
        '\\', 34,
        ']', 469,
        '^', 438,
        '{', 463,
        '|', 435,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 48,
        ']', 469,
        '^', 438,
        '{', 463,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 466,
        '\\', 159,
        ']', 469,
        '^', 438,
        '{', 463,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 40,
        ']', 469,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 127,
        ']', 469,
        '^', 438,
        '{', 463,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 141,
        ']', 469,
        '^', 438,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 141,
        ']', 469,
        '^', 438,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 468,
        '\\', 72,
        ']', 469,
        '^', 438,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 475,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        '[', 465,
        '\\', 123,
        ']', 469,
        '^', 437,
        '{', 463,
        '|', 436,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 474,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        '[', 465,
        '\\', 125,
        ']', 469,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 436,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 474,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        '[', 465,
        '\\', 149,
        ']', 469,
        '^', 437,
        '{', 463,
        '|', 436,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 474,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        '[', 465,
        '\\', 153,
        ']', 469,
        '^', 437,
        '|', 436,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 273,
        '#', 295,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 474,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        '[', 465,
        '\\', 153,
        ']', 469,
        '^', 437,
        '|', 436,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 273,
        '#', 289,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 419,
        ',', 346,
        '-', 409,
        '/', 428,
        ':', 271,
        ';', 459,
        '<', 454,
        '=', 274,
        '>', 445,
        '[', 466,
        '\\', 22,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '|', 436,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 54,
        '^', 438,
        '{', 463,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        ':', 271,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 466,
        '\\', 38,
        '^', 438,
        '{', 463,
        '|', 435,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        ':', 474,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 131,
        '^', 438,
        '{', 463,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 467,
        '\\', 86,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 50,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 145,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 465,
        '\\', 145,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 414,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 468,
        '\\', 157,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 475,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 56,
        '^', 438,
        '{', 463,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ':', 474,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 139,
        '^', 438,
        '{', 463,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 446,
        '?', 476,
        '[', 467,
        '\\', 84,
        '^', 438,
        '|', 435,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        '[', 466,
        '\\', 80,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 52,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 143,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 143,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '(', 405,
        '*', 427,
        '+', 423,
        ',', 346,
        '-', 415,
        '.', 490,
        '/', 429,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        '[', 468,
        '\\', 155,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 273,
        '%', 431,
        '&', 441,
        '*', 427,
        '+', 425,
        ',', 346,
        '-', 418,
        '.', 254,
        '/', 429,
        '<', 452,
        '=', 471,
        '>', 446,
        '\\', 92,
        '^', 438,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 273,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 475,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        '[', 465,
        '\\', 60,
        ']', 469,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 436,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 273,
        '%', 430,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 271,
        ';', 459,
        '<', 453,
        '=', 274,
        '>', 445,
        '?', 476,
        '[', 465,
        '\\', 135,
        ']', 285,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 436,
        '}', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 273,
        '%', 430,
        '&', 440,
        '(', 405,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 475,
        '<', 453,
        '=', 274,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 151,
        '^', 437,
        '{', 463,
        '|', 436,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 273,
        '%', 430,
        '&', 440,
        '(', 405,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        ':', 474,
        '<', 453,
        '=', 274,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 70,
        '^', 437,
        '{', 463,
        '|', 436,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '!', 273,
        '%', 430,
        '&', 440,
        '(', 405,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        '<', 453,
        '=', 274,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 129,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 436,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '!', 273,
        '%', 430,
        '&', 440,
        '(', 405,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        '<', 453,
        '=', 274,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 161,
        '^', 437,
        '|', 436,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '!', 273,
        '%', 430,
        '&', 440,
        '(', 405,
        '*', 426,
        '+', 420,
        ',', 346,
        '-', 416,
        '.', 490,
        '/', 428,
        '<', 453,
        '=', 274,
        '>', 641,
        '?', 476,
        '[', 465,
        '\\', 161,
        '^', 437,
        '|', 436,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '"', 525,
        '&', 440,
        '(', 405,
        '*', 426,
        '/', 255,
        ':', 271,
        'L', 544,
        'U', 548,
        '[', 466,
        '\\', 74,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 551,
        'v', 611,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '"', 525,
        ')', 347,
        ',', 346,
        '/', 255,
        ':', 474,
        'L', 543,
        'R', 545,
        'U', 547,
        '\\', 105,
        'u', 550,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 235:
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '<') ADVANCE(279);
      if (lookahead == 'L') ADVANCE(544);
      if (lookahead == 'U') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == 'u') ADVANCE(552);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 236:
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      END_STATE();
    case 237:
      if (lookahead == '"') ADVANCE(651);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 291,
        '&', 440,
        '(', 405,
        '*', 426,
        ',', 346,
        '-', 278,
        '/', 255,
        ':', 271,
        ';', 459,
        '[', 466,
        '\\', 24,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 309,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '#', 295,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        ',', 346,
        '-', 278,
        '.', 260,
        '/', 255,
        ':', 475,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        '[', 466,
        '\\', 62,
        ']', 469,
        '{', 463,
        '|', 309,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '#', 287,
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 419,
        ',', 346,
        '-', 278,
        '.', 260,
        '/', 255,
        ':', 475,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        '[', 466,
        '\\', 20,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
        '|', 309,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        ',', 346,
        '-', 278,
        '.', 260,
        '/', 255,
        ':', 475,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        '[', 465,
        '\\', 64,
        '{', 463,
        '|', 309,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        ',', 346,
        '-', 278,
        '.', 260,
        '/', 255,
        ':', 474,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        '[', 466,
        '\\', 78,
        ']', 469,
        '{', 463,
        '|', 309,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        ',', 346,
        '-', 278,
        '/', 255,
        ':', 474,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        '[', 466,
        '\\', 76,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        ',', 346,
        '.', 260,
        '/', 255,
        ':', 474,
        ';', 459,
        '=', 470,
        '>', 641,
        '[', 465,
        '\\', 90,
        '{', 463,
        '|', 309,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '&', 440,
        '(', 405,
        ')', 347,
        '*', 426,
        ',', 346,
        '/', 255,
        ';', 459,
        '=', 470,
        '>', 641,
        '[', 465,
        '\\', 88,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 463,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 246:
      ADVANCE_MAP(
        '&', 439,
        '*', 426,
        '.', 260,
        '/', 255,
        ':', 271,
        '=', 470,
        '\\', 101,
        ']', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 247:
      if (lookahead == '\'') ADVANCE(516);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      END_STATE();
    case 248:
      if (lookahead == '\'') ADVANCE(320);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 249:
      if (lookahead == '\'') ADVANCE(316);
      if (lookahead == '.') ADVANCE(505);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(310);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(249);
      END_STATE();
    case 250:
      ADVANCE_MAP(
        '(', 405,
        ')', 347,
        ',', 346,
        '/', 255,
        ':', 474,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        '[', 467,
        '\\', 103,
        ']', 469,
        '{', 463,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 251:
      ADVANCE_MAP(
        '(', 405,
        '/', 255,
        ':', 271,
        'F', 568,
        'T', 572,
        '[', 465,
        '\\', 94,
        'f', 578,
        't', 619,
        '{', 463,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 252:
      if (lookahead == '(') ADVANCE(405);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 253:
      if (lookahead == ')') ADVANCE(649);
      END_STATE();
    case 254:
      if (lookahead == '*') ADVANCE(493);
      END_STATE();
    case 255:
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 256:
      if (lookahead == '*') ADVANCE(648);
      END_STATE();
    case 257:
      if (lookahead == '*') ADVANCE(257);
      if (lookahead == '/') ADVANCE(632);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 258:
      if (lookahead == '*') ADVANCE(257);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 259:
      if (lookahead == '*') ADVANCE(257);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 260:
      if (lookahead == '.') ADVANCE(262);
      END_STATE();
    case 261:
      if (lookahead == '.') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 262:
      if (lookahead == '.') ADVANCE(345);
      END_STATE();
    case 263:
      if (lookahead == '.') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(503);
      END_STATE();
    case 264:
      if (lookahead == '/') ADVANCE(370);
      if (lookahead == '\\') ADVANCE(365);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      if (lookahead != 0) ADVANCE(372);
      END_STATE();
    case 265:
      if (lookahead == '1') ADVANCE(269);
      END_STATE();
    case 266:
      if (lookahead == '2') ADVANCE(496);
      END_STATE();
    case 267:
      if (lookahead == '2') ADVANCE(270);
      if (lookahead == '6') ADVANCE(496);
      END_STATE();
    case 268:
      if (lookahead == '4') ADVANCE(496);
      END_STATE();
    case 269:
      if (lookahead == '6') ADVANCE(496);
      END_STATE();
    case 270:
      if (lookahead == '8') ADVANCE(496);
      END_STATE();
    case 271:
      if (lookahead == ':') ADVANCE(460);
      END_STATE();
    case 272:
      if (lookahead == '<') ADVANCE(455);
      if (lookahead == '=') ADVANCE(448);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(443);
      END_STATE();
    case 274:
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 275:
      if (lookahead == '=') ADVANCE(447);
      if (lookahead == '>') ADVANCE(457);
      END_STATE();
    case 276:
      if (lookahead == '=') ADVANCE(483);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(276);
      END_STATE();
    case 278:
      if (lookahead == '>') ADVANCE(494);
      END_STATE();
    case 279:
      if (lookahead == '>') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(279);
      END_STATE();
    case 280:
      if (lookahead == '>') ADVANCE(539);
      if (lookahead == '\\') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(279);
      END_STATE();
    case 281:
      if (lookahead == 'F') ADVANCE(265);
      END_STATE();
    case 282:
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      END_STATE();
    case 283:
      if (lookahead == '[') ADVANCE(461);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 284:
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 285:
      if (lookahead == ']') ADVANCE(462);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'e') ADVANCE(399);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'e') ADVANCE(399);
      if (lookahead == 'i') ADVANCE(388);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'e') ADVANCE(401);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'e') ADVANCE(401);
      if (lookahead == 'i') ADVANCE(388);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 290:
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(290);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 291:
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'i') ADVANCE(388);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(291);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 292:
      if (lookahead == 'd') ADVANCE(304);
      END_STATE();
    case 293:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(308);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(294);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(295);
      END_STATE();
    case 296:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 299:
      if (lookahead == 'f') ADVANCE(265);
      END_STATE();
    case 300:
      if (lookahead == 'f') ADVANCE(350);
      END_STATE();
    case 301:
      if (lookahead == 'f') ADVANCE(356);
      END_STATE();
    case 302:
      if (lookahead == 'f') ADVANCE(358);
      END_STATE();
    case 303:
      if (lookahead == 'f') ADVANCE(360);
      END_STATE();
    case 304:
      if (lookahead == 'i') ADVANCE(300);
      END_STATE();
    case 305:
      if (lookahead == 'i') ADVANCE(301);
      if (lookahead == 's') ADVANCE(296);
      END_STATE();
    case 306:
      if (lookahead == 'i') ADVANCE(388);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(306);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 307:
      if (lookahead == 'l') ADVANCE(305);
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 309:
      if (lookahead == '|') ADVANCE(432);
      END_STATE();
    case 310:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(502);
      END_STATE();
    case 311:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 312:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(500);
      END_STATE();
    case 313:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(499);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(249);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(502);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(631);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(503);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(531);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(537);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(331);
      END_STATE();
    case 334:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(332);
      END_STATE();
    case 335:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(333);
      END_STATE();
    case 336:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(334);
      END_STATE();
    case 337:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(372);
      END_STATE();
    case 338:
      if (eof) ADVANCE(340);
      ADVANCE_MAP(
        '!', 407,
        '"', 525,
        '#', 286,
        '%', 431,
        '&', 441,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 427,
        '+', 421,
        ',', 346,
        '-', 410,
        '.', 491,
        '/', 429,
        '0', 498,
        ':', 475,
        ';', 459,
        '<', 451,
        '=', 471,
        '>', 641,
        '?', 476,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 467,
        '\\', 2,
        ']', 469,
        '^', 438,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 435,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(338);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 339:
      if (eof) ADVANCE(340);
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 290,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 405,
        ')', 347,
        '*', 426,
        '+', 422,
        ',', 346,
        '-', 413,
        '.', 492,
        '/', 428,
        '0', 498,
        ':', 475,
        ';', 459,
        '<', 450,
        '=', 470,
        '>', 641,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 4,
        ']', 469,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 463,
        '|', 309,
        '}', 464,
        '~', 408,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(339);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(383);
      if (lookahead == 'n') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(349);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(297);
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(385);
      if (lookahead == 'n') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(258);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '/') ADVANCE(632);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(258);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(639);
      if (lookahead == '\r') ADVANCE(633);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(264);
      if (lookahead == '\r') ADVANCE(366);
      if (lookahead == '/') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0) ADVANCE(372);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(264);
      if (lookahead == '/') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0) ADVANCE(372);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(373);
      if (lookahead == '/') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0) ADVANCE(372);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(371);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(638);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(372);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(372);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0) ADVANCE(372);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(398);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(343);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(341);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(359);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(361);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(402);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(390);
      if (lookahead == 's') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(397);
      if (lookahead == 'n') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(404);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(443);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(488);
      if (lookahead == '.') ADVANCE(315);
      if (lookahead == '0') ADVANCE(498);
      if (lookahead == '=') ADVANCE(481);
      if (lookahead == '>') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(488);
      if (lookahead == '.') ADVANCE(315);
      if (lookahead == '0') ADVANCE(498);
      if (lookahead == '=') ADVANCE(481);
      if (lookahead == '>') ADVANCE(494);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(488);
      if (lookahead == '.') ADVANCE(315);
      if (lookahead == '0') ADVANCE(498);
      if (lookahead == '>') ADVANCE(494);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(488);
      if (lookahead == '.') ADVANCE(315);
      if (lookahead == '0') ADVANCE(498);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(488);
      if (lookahead == '=') ADVANCE(481);
      if (lookahead == '>') ADVANCE(495);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(488);
      if (lookahead == '=') ADVANCE(481);
      if (lookahead == '>') ADVANCE(494);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(488);
      if (lookahead == '>') ADVANCE(494);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(315);
      if (lookahead == '0') ADVANCE(498);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(481);
      if (lookahead == '>') ADVANCE(256);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(489);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(489);
      if (lookahead == '.') ADVANCE(315);
      if (lookahead == '0') ADVANCE(498);
      if (lookahead == '=') ADVANCE(480);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(489);
      if (lookahead == '.') ADVANCE(315);
      if (lookahead == '0') ADVANCE(498);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(489);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(315);
      if (lookahead == '0') ADVANCE(498);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(639);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(486);
      if (lookahead == '|') ADVANCE(432);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(432);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(485);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(433);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(433);
      if (lookahead == '=') ADVANCE(484);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(447);
      if (lookahead == '>') ADVANCE(457);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(447);
      if (lookahead == '>') ADVANCE(458);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(487);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(456);
      if (lookahead == '=') ADVANCE(449);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(456);
      if (lookahead == '=') ADVANCE(448);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(455);
      if (lookahead == '=') ADVANCE(449);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(455);
      if (lookahead == '=') ADVANCE(448);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(482);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(483);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(461);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(461);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(567);
      if (lookahead == '3') ADVANCE(565);
      if (lookahead == '6') ADVANCE(566);
      if (lookahead == '8') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'p') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(460);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(493);
      if (lookahead == '.') ADVANCE(262);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(493);
      if (lookahead == '.') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(648);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 315,
        'B', 281,
        'b', 299,
        'E', 310,
        'e', 310,
        'F', 504,
        'f', 504,
        'L', 496,
        'l', 496,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 313,
        '.', 505,
        'L', 506,
        'l', 509,
        'B', 312,
        'b', 312,
        'E', 310,
        'e', 310,
        'U', 508,
        'u', 508,
        'X', 263,
        'x', 263,
        'Z', 511,
        'z', 511,
        '8', 249,
        '9', 249,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(499);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 313,
        '.', 505,
        'L', 506,
        'l', 509,
        'E', 310,
        'e', 310,
        'U', 508,
        'u', 508,
        'Z', 511,
        'z', 511,
        '8', 249,
        '9', 249,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 312,
        'L', 506,
        'l', 509,
        'U', 508,
        'u', 508,
        'Z', 511,
        'z', 511,
        '0', 500,
        '1', 500,
      );
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 314,
        '.', 505,
        'L', 506,
        'l', 509,
        'E', 310,
        'e', 310,
        'U', 508,
        'u', 508,
        'Z', 511,
        'z', 511,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(317);
      if (lookahead == 'B') ADVANCE(281);
      if (lookahead == 'b') ADVANCE(299);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(504);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(502);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 319,
        '.', 311,
        'L', 506,
        'l', 509,
        'P', 310,
        'p', 310,
        'U', 508,
        'u', 508,
        'Z', 511,
        'z', 511,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(503);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(267);
      if (lookahead == '3') ADVANCE(266);
      if (lookahead == '6') ADVANCE(268);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 281,
        'b', 299,
        'E', 310,
        'e', 310,
        'F', 504,
        'f', 504,
        'L', 496,
        'l', 496,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(511);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(496);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(496);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(507);
      if (lookahead == 'l') ADVANCE(510);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(496);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(511);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(496);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(496);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(496);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(532);
      if (lookahead == '\r') ADVANCE(531);
      if (lookahead == 'U') ADVANCE(336);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == 'x') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(534);
      if (lookahead != 0) ADVANCE(531);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(528);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(527);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(528);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(528);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(526);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(529);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(533);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(531);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(535);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(536);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(279);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(643);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == '\'') ADVANCE(514);
      if (lookahead == 'R') ADVANCE(554);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == 'R') ADVANCE(554);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '8') ADVANCE(555);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '8') ADVANCE(556);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '8') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '8') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(644);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '\'') ADVANCE(515);
      if (lookahead == 'R') ADVANCE(559);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == 'R') ADVANCE(559);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(645);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(647);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(514);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '8') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(515);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(567);
      if (lookahead == '3') ADVANCE(565);
      if (lookahead == '6') ADVANCE(566);
      if (lookahead == '8') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'p') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(571);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(541);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(574);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == '_') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == '_') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(600);
      if (lookahead == 'l') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(629);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(604);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'b') ADVANCE(605);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'd') ADVANCE(473);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'd') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'e') ADVANCE(540);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'e') ADVANCE(473);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'e') ADVANCE(541);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'e') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'f') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'f') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'g') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'h') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(630);
      if (lookahead == 's') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(630);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'l') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'l') ADVANCE(473);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'l') ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'l') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'l') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'l') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'l') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'n') ADVANCE(621);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'n') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'n') ADVANCE(623);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'o') ADVANCE(626);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'o') ADVANCE(598);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'o') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'o') ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'o') ADVANCE(613);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'p') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'r') ADVANCE(472);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'r') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'r') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'r') ADVANCE(628);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 's') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 't') ADVANCE(472);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 't') ADVANCE(473);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 't') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 't') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 't') ADVANCE(618);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'u') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'u') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'u') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'x') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (lookahead == 'z') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(282);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(639);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(369);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(634);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(638);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(637);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(369);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(369);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(162);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_pure_virtual_clause_token1);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(656);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(643);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == 'R') ADVANCE(657);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '8') ADVANCE(658);
      if (lookahead == 'R') ADVANCE(659);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(644);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == 'R') ADVANCE(660);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(645);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(647);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 84,
        'b', 85,
        'c', 86,
        'd', 87,
        'e', 88,
        'f', 89,
        'i', 90,
        'l', 91,
        'r', 92,
        's', 93,
        't', 94,
        'u', 95,
        'v', 96,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(166);
      if (lookahead == 's') ADVANCE(167);
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(170);
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(173);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(174);
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(180);
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(182);
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(184);
      if (lookahead == 'p') ADVANCE(185);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(186);
      if (lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(189);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(190);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(191);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(193);
      if (lookahead == 'o') ADVANCE(194);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(195);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(197);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(198);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(199);
      if (lookahead == 'r') ADVANCE(200);
      if (lookahead == 'y') ADVANCE(201);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(202);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(203);
      if (lookahead == 's') ADVANCE(204);
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(206);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(207);
      if (lookahead == 'i') ADVANCE(208);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(211);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(212);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(214);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(216);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(217);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(218);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(219);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(221);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(223);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(224);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(225);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(229);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(232);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(234);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(235);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(236);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(238);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(240);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(242);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(243);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(244);
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(249);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(250);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(251);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(252);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(253);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(254);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(255);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 164:
      if (lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 166:
      if (lookahead == 'i') ADVANCE(259);
      END_STATE();
    case 167:
      if (lookahead == 'm') ADVANCE(260);
      END_STATE();
    case 168:
      if (lookahead == 't') ADVANCE(261);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(262);
      END_STATE();
    case 170:
      if (lookahead == 'e') ADVANCE(263);
      END_STATE();
    case 171:
      if (lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(265);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(266);
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 174:
      if (lookahead == 's') ADVANCE(268);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 176:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 177:
      if (lookahead == 'l') ADVANCE(271);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 179:
      if (lookahead == 's') ADVANCE(273);
      END_STATE();
    case 180:
      if (lookahead == 't') ADVANCE(274);
      END_STATE();
    case 181:
      if (lookahead == 'd') ADVANCE(275);
      END_STATE();
    case 182:
      if (lookahead == 'i') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(277);
      END_STATE();
    case 183:
      if (lookahead == 'y') ADVANCE(278);
      END_STATE();
    case 184:
      if (lookahead == 'a') ADVANCE(279);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 186:
      if (lookahead == 'c') ADVANCE(281);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(282);
      END_STATE();
    case 188:
      if (lookahead == 'g') ADVANCE(283);
      END_STATE();
    case 189:
      if (lookahead == 'l') ADVANCE(284);
      END_STATE();
    case 190:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 191:
      if (lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 194:
      if (lookahead == 'r') ADVANCE(288);
      END_STATE();
    case 195:
      if (lookahead == 'k') ADVANCE(289);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 197:
      if (lookahead == 'h') ADVANCE(290);
      END_STATE();
    case 198:
      if (lookahead == 's') ADVANCE(291);
      END_STATE();
    case 199:
      if (lookahead == 'w') ADVANCE(292);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 202:
      if (lookahead == 'l') ADVANCE(295);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(298);
      END_STATE();
    case 206:
      if (lookahead == 't') ADVANCE(299);
      END_STATE();
    case 207:
      if (lookahead == 'u') ADVANCE(300);
      END_STATE();
    case 208:
      if (lookahead == 'n') ADVANCE(301);
      END_STATE();
    case 209:
      if (lookahead == 't') ADVANCE(302);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 212:
      if (lookahead == 'i') ADVANCE(303);
      END_STATE();
    case 213:
      if (lookahead == 'r') ADVANCE(304);
      END_STATE();
    case 214:
      if (lookahead == 'l') ADVANCE(305);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(306);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 217:
      if (lookahead == 'n') ADVANCE(307);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 219:
      if (lookahead == 'b') ADVANCE(308);
      END_STATE();
    case 220:
      if (lookahead == 's') ADVANCE(309);
      END_STATE();
    case 221:
      if (lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 222:
      if (lookahead == 't') ADVANCE(311);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 224:
      if (lookahead == 'p') ADVANCE(313);
      END_STATE();
    case 225:
      if (lookahead == 'e') ADVANCE(314);
      END_STATE();
    case 226:
      if (lookahead == 'a') ADVANCE(315);
      END_STATE();
    case 227:
      if (lookahead == 'q') ADVANCE(316);
      END_STATE();
    case 228:
      if (lookahead == 'r') ADVANCE(317);
      END_STATE();
    case 229:
      if (lookahead == 'a') ADVANCE(318);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(320);
      END_STATE();
    case 232:
      if (lookahead == 's') ADVANCE(321);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 234:
      if (lookahead == 'r') ADVANCE(323);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(324);
      END_STATE();
    case 236:
      if (lookahead == 't') ADVANCE(325);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(326);
      END_STATE();
    case 238:
      if (lookahead == 'o') ADVANCE(327);
      END_STATE();
    case 239:
      if (lookahead == 'i') ADVANCE(328);
      END_STATE();
    case 240:
      if (lookahead == 'c') ADVANCE(329);
      END_STATE();
    case 241:
      if (lookahead == 'c') ADVANCE(330);
      END_STATE();
    case 242:
      if (lookahead == 'l') ADVANCE(331);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 244:
      if (lookahead == 'a') ADVANCE(332);
      END_STATE();
    case 245:
      if (lookahead == 'w') ADVANCE(333);
      END_STATE();
    case 246:
      if (lookahead == 'd') ADVANCE(334);
      if (lookahead == 'n') ADVANCE(335);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(336);
      END_STATE();
    case 248:
      if (lookahead == 'g') ADVANCE(337);
      END_STATE();
    case 249:
      if (lookahead == 'g') ADVANCE(338);
      END_STATE();
    case 250:
      if (lookahead == 'u') ADVANCE(339);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(340);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 253:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 254:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 255:
      if (lookahead == 'i') ADVANCE(344);
      END_STATE();
    case 256:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 257:
      if (lookahead == 'u') ADVANCE(346);
      END_STATE();
    case 258:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 259:
      if (lookahead == 'g') ADVANCE(348);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(349);
      END_STATE();
    case 261:
      if (lookahead == 'r') ADVANCE(350);
      END_STATE();
    case 262:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(352);
      END_STATE();
    case 264:
      if (lookahead == 'c') ADVANCE(353);
      END_STATE();
    case 265:
      if (lookahead == 'l') ADVANCE(354);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 269:
      if (lookahead == 'a') ADVANCE(358);
      END_STATE();
    case 270:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(360);
      END_STATE();
    case 272:
      if (lookahead == 'v') ADVANCE(361);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(362);
      END_STATE();
    case 274:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 275:
      if (lookahead == 'c') ADVANCE(364);
      END_STATE();
    case 276:
      if (lookahead == 's') ADVANCE(365);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 279:
      if (lookahead == 'l') ADVANCE(367);
      END_STATE();
    case 280:
      if (lookahead == 'r') ADVANCE(368);
      END_STATE();
    case 281:
      if (lookahead == 't') ADVANCE(369);
      END_STATE();
    case 282:
      if (lookahead == 'a') ADVANCE(370);
      END_STATE();
    case 283:
      if (lookahead == 'n') ADVANCE(371);
      END_STATE();
    case 284:
      if (lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 285:
      if (lookahead == 'a') ADVANCE(373);
      if (lookahead == 'o') ADVANCE(374);
      END_STATE();
    case 286:
      if (lookahead == 'q') ADVANCE(375);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(376);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 292:
      if (lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 293:
      if (lookahead == 't') ADVANCE(378);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 296:
      if (lookahead == 'p') ADVANCE(380);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(381);
      if (lookahead == 'i') ADVANCE(382);
      END_STATE();
    case 298:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 299:
      if (lookahead == 'y') ADVANCE(384);
      END_STATE();
    case 300:
      if (lookahead == 'l') ADVANCE(385);
      END_STATE();
    case 301:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 302:
      if (lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 303:
      if (lookahead == 'c') ADVANCE(388);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(389);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 306:
      if (lookahead == 'd') ADVANCE(390);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 308:
      if (lookahead == 'l') ADVANCE(392);
      END_STATE();
    case 309:
      if (lookahead == 'p') ADVANCE(393);
      END_STATE();
    case 310:
      if (lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 311:
      if (lookahead == 'u') ADVANCE(395);
      END_STATE();
    case 312:
      if (lookahead == 'q') ADVANCE(396);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(397);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 315:
      if (lookahead == 't') ADVANCE(399);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 317:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 318:
      if (lookahead == 't') ADVANCE(401);
      END_STATE();
    case 319:
      if (lookahead == 'c') ADVANCE(402);
      END_STATE();
    case 320:
      if (lookahead == 'c') ADVANCE(403);
      END_STATE();
    case 321:
      if (lookahead == 't') ADVANCE(404);
      END_STATE();
    case 322:
      if (lookahead == 'r') ADVANCE(405);
      END_STATE();
    case 323:
      if (lookahead == 'i') ADVANCE(406);
      END_STATE();
    case 324:
      if (lookahead == 'n') ADVANCE(407);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 327:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 328:
      if (lookahead == 'c') ADVANCE(410);
      END_STATE();
    case 329:
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 330:
      if (lookahead == 'h') ADVANCE(412);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(413);
      END_STATE();
    case 332:
      if (lookahead == 'd') ADVANCE(414);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(415);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(416);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 337:
      if (lookahead == 'n') ADVANCE(417);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 339:
      if (lookahead == 'a') ADVANCE(418);
      END_STATE();
    case 340:
      if (lookahead == 'i') ADVANCE(419);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 342:
      if (lookahead == 'q') ADVANCE(420);
      END_STATE();
    case 343:
      if (lookahead == 'a') ADVANCE(421);
      if (lookahead == 'o') ADVANCE(422);
      END_STATE();
    case 344:
      if (lookahead == 'c') ADVANCE(423);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(424);
      END_STATE();
    case 346:
      if (lookahead == 'l') ADVANCE(425);
      END_STATE();
    case 347:
      if (lookahead == 'u') ADVANCE(426);
      END_STATE();
    case 348:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 349:
      if (lookahead == '_') ADVANCE(428);
      END_STATE();
    case 350:
      if (lookahead == 'i') ADVANCE(429);
      END_STATE();
    case 351:
      if (lookahead == 'd') ADVANCE(430);
      END_STATE();
    case 352:
      if (lookahead == 'l') ADVANCE(431);
      END_STATE();
    case 353:
      if (lookahead == 'a') ADVANCE(432);
      END_STATE();
    case 354:
      if (lookahead == 's') ADVANCE(433);
      END_STATE();
    case 355:
      if (lookahead == 'p') ADVANCE(434);
      END_STATE();
    case 356:
      if (lookahead == 'n') ADVANCE(435);
      END_STATE();
    case 357:
      if (lookahead == 'c') ADVANCE(436);
      END_STATE();
    case 358:
      if (lookahead == 'l') ADVANCE(437);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(438);
      END_STATE();
    case 360:
      if (lookahead == 'n') ADVANCE(439);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(440);
      END_STATE();
    case 362:
      if (lookahead == 'r') ADVANCE(441);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 364:
      if (lookahead == 'a') ADVANCE(442);
      END_STATE();
    case 365:
      if (lookahead == 'c') ADVANCE(443);
      END_STATE();
    case 366:
      if (lookahead == 'a') ADVANCE(444);
      END_STATE();
    case 367:
      if (lookahead == 'i') ADVANCE(445);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 369:
      if (lookahead == 'o') ADVANCE(446);
      END_STATE();
    case 370:
      if (lookahead == 't') ADVANCE(447);
      END_STATE();
    case 371:
      if (lookahead == 'o') ADVANCE(448);
      END_STATE();
    case 372:
      if (lookahead == 'g') ADVANCE(449);
      END_STATE();
    case 373:
      if (lookahead == 's') ADVANCE(450);
      END_STATE();
    case 374:
      if (lookahead == 'f') ADVANCE(451);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 377:
      if (lookahead == 'i') ADVANCE(452);
      END_STATE();
    case 378:
      if (lookahead == 'u') ADVANCE(453);
      END_STATE();
    case 379:
      if (lookahead == 'l') ADVANCE(454);
      END_STATE();
    case 380:
      if (lookahead == 't') ADVANCE(455);
      END_STATE();
    case 381:
      if (lookahead == 'v') ADVANCE(456);
      if (lookahead == 'x') ADVANCE(457);
      END_STATE();
    case 382:
      if (lookahead == 'n') ADVANCE(458);
      END_STATE();
    case 383:
      if (lookahead == 'u') ADVANCE(459);
      END_STATE();
    case 384:
      if (lookahead == 'p') ADVANCE(460);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(461);
      END_STATE();
    case 386:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 388:
      if (lookahead == 'i') ADVANCE(463);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 393:
      if (lookahead == 'a') ADVANCE(465);
      END_STATE();
    case 394:
      if (lookahead == 'p') ADVANCE(466);
      END_STATE();
    case 395:
      if (lookahead == 'r') ADVANCE(467);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 397:
      if (lookahead == 'r') ADVANCE(468);
      END_STATE();
    case 398:
      if (lookahead == 'o') ADVANCE(469);
      END_STATE();
    case 399:
      if (lookahead == 'o') ADVANCE(470);
      END_STATE();
    case 400:
      if (lookahead == 'd') ADVANCE(471);
      END_STATE();
    case 401:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 402:
      if (lookahead == 't') ADVANCE(473);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 404:
      if (lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 405:
      if (lookahead == 'e') ADVANCE(475);
      END_STATE();
    case 406:
      if (lookahead == 'c') ADVANCE(476);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(477);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 413:
      if (lookahead == 't') ADVANCE(478);
      END_STATE();
    case 414:
      if (lookahead == '_') ADVANCE(479);
      END_STATE();
    case 415:
      if (lookahead == 'f') ADVANCE(480);
      END_STATE();
    case 416:
      if (lookahead == 'm') ADVANCE(481);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 419:
      if (lookahead == 'l') ADVANCE(484);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 421:
      if (lookahead == 's') ADVANCE(485);
      END_STATE();
    case 422:
      if (lookahead == 'f') ADVANCE(486);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 424:
      if (lookahead == 'c') ADVANCE(487);
      END_STATE();
    case 425:
      if (lookahead == 'l') ADVANCE(488);
      END_STATE();
    case 426:
      if (lookahead == 'r') ADVANCE(489);
      END_STATE();
    case 427:
      if (lookahead == 'o') ADVANCE(490);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 429:
      if (lookahead == 'b') ADVANCE(491);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 432:
      if (lookahead == 'l') ADVANCE(492);
      END_STATE();
    case 433:
      if (lookahead == 'p') ADVANCE(493);
      END_STATE();
    case 434:
      if (lookahead == 't') ADVANCE(494);
      END_STATE();
    case 435:
      if (lookahead == 's') ADVANCE(495);
      END_STATE();
    case 436:
      if (lookahead == 'a') ADVANCE(496);
      END_STATE();
    case 437:
      if (lookahead == 'l') ADVANCE(497);
      END_STATE();
    case 438:
      if (lookahead == 'i') ADVANCE(498);
      END_STATE();
    case 439:
      if (lookahead == 'e') ADVANCE(499);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 441:
      if (lookahead == 'i') ADVANCE(500);
      END_STATE();
    case 442:
      if (lookahead == 'l') ADVANCE(501);
      END_STATE();
    case 443:
      if (lookahead == 'a') ADVANCE(502);
      END_STATE();
    case 444:
      if (lookahead == 'd') ADVANCE(503);
      END_STATE();
    case 445:
      if (lookahead == 'g') ADVANCE(504);
      END_STATE();
    case 446:
      if (lookahead == 'r') ADVANCE(505);
      END_STATE();
    case 447:
      if (lookahead == 'i') ADVANCE(506);
      END_STATE();
    case 448:
      if (lookahead == 'f') ADVANCE(507);
      END_STATE();
    case 449:
      if (lookahead == 'n') ADVANCE(508);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 452:
      if (lookahead == 't') ADVANCE(509);
      END_STATE();
    case 453:
      if (lookahead == 'r') ADVANCE(510);
      END_STATE();
    case 454:
      if (lookahead == 'd') ADVANCE(511);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 456:
      if (lookahead == 'a') ADVANCE(512);
      END_STATE();
    case 457:
      if (lookahead == 'p') ADVANCE(513);
      END_STATE();
    case 458:
      if (lookahead == 'i') ADVANCE(514);
      END_STATE();
    case 459:
      if (lookahead == 'e') ADVANCE(515);
      END_STATE();
    case 460:
      if (lookahead == 'e') ADVANCE(516);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 463:
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 465:
      if (lookahead == 'c') ADVANCE(518);
      END_STATE();
    case 466:
      if (lookahead == 't') ADVANCE(519);
      END_STATE();
    case 467:
      if (lookahead == 'n') ADVANCE(520);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 469:
      if (lookahead == 'f') ADVANCE(521);
      END_STATE();
    case 470:
      if (lookahead == 'r') ADVANCE(522);
      END_STATE();
    case 471:
      if (lookahead == 'e') ADVANCE(523);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 473:
      if (lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 474:
      if (lookahead == 'r') ADVANCE(525);
      END_STATE();
    case 475:
      if (lookahead == 's') ADVANCE(526);
      END_STATE();
    case 476:
      if (lookahead == 't') ADVANCE(527);
      END_STATE();
    case 477:
      if (lookahead == 'a') ADVANCE(528);
      END_STATE();
    case 478:
      if (lookahead == 'e') ADVANCE(529);
      END_STATE();
    case 479:
      if (lookahead == 'l') ADVANCE(530);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 481:
      if (lookahead == 'e') ADVANCE(531);
      END_STATE();
    case 482:
      if (lookahead == 'd') ADVANCE(532);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 484:
      if (lookahead == 'e') ADVANCE(533);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 489:
      if (lookahead == 'n') ADVANCE(534);
      END_STATE();
    case 490:
      if (lookahead == 'f') ADVANCE(535);
      END_STATE();
    case 491:
      if (lookahead == 'u') ADVANCE(536);
      END_STATE();
    case 492:
      if (lookahead == 'l') ADVANCE(537);
      END_STATE();
    case 493:
      if (lookahead == 'e') ADVANCE(538);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 495:
      if (lookahead == 'i') ADVANCE(539);
      END_STATE();
    case 496:
      if (lookahead == 'l') ADVANCE(540);
      END_STATE();
    case 497:
      if (lookahead == 'y') ADVANCE(541);
      END_STATE();
    case 498:
      if (lookahead == 'n') ADVANCE(542);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(543);
      END_STATE();
    case 500:
      if (lookahead == 'c') ADVANCE(544);
      END_STATE();
    case 501:
      if (lookahead == 'l') ADVANCE(545);
      END_STATE();
    case 502:
      if (lookahead == 'l') ADVANCE(546);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 504:
      if (lookahead == 'n') ADVANCE(547);
      END_STATE();
    case 505:
      if (lookahead == 'c') ADVANCE(548);
      END_STATE();
    case 506:
      if (lookahead == 'l') ADVANCE(549);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 508:
      if (lookahead == 'e') ADVANCE(550);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 510:
      if (lookahead == 'n') ADVANCE(551);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 512:
      if (lookahead == 'l') ADVANCE(552);
      END_STATE();
    case 513:
      if (lookahead == 'r') ADVANCE(553);
      END_STATE();
    case 514:
      if (lookahead == 't') ADVANCE(554);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 518:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 524:
      if (lookahead == 'd') ADVANCE(556);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 528:
      if (lookahead == 's') ADVANCE(557);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 530:
      if (lookahead == 'o') ADVANCE(558);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(559);
      END_STATE();
    case 536:
      if (lookahead == 't') ADVANCE(560);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 538:
      if (lookahead == 'c') ADVANCE(561);
      END_STATE();
    case 539:
      if (lookahead == 'o') ADVANCE(562);
      END_STATE();
    case 540:
      if (lookahead == 'l') ADVANCE(563);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 542:
      if (lookahead == 'l') ADVANCE(564);
      END_STATE();
    case 543:
      if (lookahead == '_') ADVANCE(565);
      END_STATE();
    case 544:
      if (lookahead == 't') ADVANCE(566);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 546:
      if (lookahead == 'l') ADVANCE(567);
      END_STATE();
    case 547:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 548:
      if (lookahead == 'a') ADVANCE(569);
      END_STATE();
    case 549:
      if (lookahead == 'e') ADVANCE(570);
      END_STATE();
    case 550:
      if (lookahead == 'd') ADVANCE(571);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 557:
      if (lookahead == 's') ADVANCE(572);
      END_STATE();
    case 558:
      if (lookahead == 'c') ADVANCE(573);
      END_STATE();
    case 559:
      if (lookahead == '_') ADVANCE(574);
      END_STATE();
    case 560:
      if (lookahead == 'e') ADVANCE(575);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 562:
      if (lookahead == 'n') ADVANCE(576);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 564:
      if (lookahead == 'i') ADVANCE(577);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(578);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 568:
      if (lookahead == 'd') ADVANCE(579);
      END_STATE();
    case 569:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 570:
      if (lookahead == '_') ADVANCE(581);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 572:
      if (lookahead == 'e') ADVANCE(582);
      END_STATE();
    case 573:
      if (lookahead == 'a') ADVANCE(583);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym___attribute);
      if (lookahead == '_') ADVANCE(584);
      END_STATE();
    case 576:
      if (lookahead == '_') ADVANCE(585);
      END_STATE();
    case 577:
      if (lookahead == 'n') ADVANCE(586);
      END_STATE();
    case 578:
      if (lookahead == '_') ADVANCE(587);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 580:
      if (lookahead == 'l') ADVANCE(588);
      END_STATE();
    case 581:
      if (lookahead == '_') ADVANCE(589);
      END_STATE();
    case 582:
      if (lookahead == 'r') ADVANCE(590);
      END_STATE();
    case 583:
      if (lookahead == 'l') ADVANCE(591);
      END_STATE();
    case 584:
      if (lookahead == '_') ADVANCE(592);
      END_STATE();
    case 585:
      if (lookahead == '_') ADVANCE(593);
      END_STATE();
    case 586:
      if (lookahead == 'e') ADVANCE(594);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym___volatile__);
      END_STATE();
    case 590:
      if (lookahead == 't') ADVANCE(595);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 339},
  [2] = {.lex_state = 339},
  [3] = {.lex_state = 339},
  [4] = {.lex_state = 339},
  [5] = {.lex_state = 339},
  [6] = {.lex_state = 339},
  [7] = {.lex_state = 339},
  [8] = {.lex_state = 339},
  [9] = {.lex_state = 339},
  [10] = {.lex_state = 339},
  [11] = {.lex_state = 339},
  [12] = {.lex_state = 339},
  [13] = {.lex_state = 171},
  [14] = {.lex_state = 171},
  [15] = {.lex_state = 171},
  [16] = {.lex_state = 171},
  [17] = {.lex_state = 171},
  [18] = {.lex_state = 171},
  [19] = {.lex_state = 171},
  [20] = {.lex_state = 171},
  [21] = {.lex_state = 171},
  [22] = {.lex_state = 171},
  [23] = {.lex_state = 171},
  [24] = {.lex_state = 171},
  [25] = {.lex_state = 171},
  [26] = {.lex_state = 171},
  [27] = {.lex_state = 171},
  [28] = {.lex_state = 171},
  [29] = {.lex_state = 171},
  [30] = {.lex_state = 171},
  [31] = {.lex_state = 171},
  [32] = {.lex_state = 171},
  [33] = {.lex_state = 171},
  [34] = {.lex_state = 339},
  [35] = {.lex_state = 339},
  [36] = {.lex_state = 339},
  [37] = {.lex_state = 174},
  [38] = {.lex_state = 339},
  [39] = {.lex_state = 339},
  [40] = {.lex_state = 339},
  [41] = {.lex_state = 174},
  [42] = {.lex_state = 339},
  [43] = {.lex_state = 339},
  [44] = {.lex_state = 339},
  [45] = {.lex_state = 339},
  [46] = {.lex_state = 339},
  [47] = {.lex_state = 339},
  [48] = {.lex_state = 339},
  [49] = {.lex_state = 339},
  [50] = {.lex_state = 339},
  [51] = {.lex_state = 339},
  [52] = {.lex_state = 339},
  [53] = {.lex_state = 339},
  [54] = {.lex_state = 339},
  [55] = {.lex_state = 339},
  [56] = {.lex_state = 339},
  [57] = {.lex_state = 339},
  [58] = {.lex_state = 339},
  [59] = {.lex_state = 339},
  [60] = {.lex_state = 339},
  [61] = {.lex_state = 339},
  [62] = {.lex_state = 339},
  [63] = {.lex_state = 339},
  [64] = {.lex_state = 339},
  [65] = {.lex_state = 339},
  [66] = {.lex_state = 339},
  [67] = {.lex_state = 339},
  [68] = {.lex_state = 339},
  [69] = {.lex_state = 339},
  [70] = {.lex_state = 339},
  [71] = {.lex_state = 339},
  [72] = {.lex_state = 339},
  [73] = {.lex_state = 339},
  [74] = {.lex_state = 339},
  [75] = {.lex_state = 339},
  [76] = {.lex_state = 339},
  [77] = {.lex_state = 339},
  [78] = {.lex_state = 339},
  [79] = {.lex_state = 174},
  [80] = {.lex_state = 339},
  [81] = {.lex_state = 339},
  [82] = {.lex_state = 171},
  [83] = {.lex_state = 171},
  [84] = {.lex_state = 171},
  [85] = {.lex_state = 171},
  [86] = {.lex_state = 171},
  [87] = {.lex_state = 339},
  [88] = {.lex_state = 174},
  [89] = {.lex_state = 339},
  [90] = {.lex_state = 339},
  [91] = {.lex_state = 339},
  [92] = {.lex_state = 339},
  [93] = {.lex_state = 339},
  [94] = {.lex_state = 339},
  [95] = {.lex_state = 174},
  [96] = {.lex_state = 339},
  [97] = {.lex_state = 339},
  [98] = {.lex_state = 174},
  [99] = {.lex_state = 339},
  [100] = {.lex_state = 174},
  [101] = {.lex_state = 174},
  [102] = {.lex_state = 173},
  [103] = {.lex_state = 173},
  [104] = {.lex_state = 173},
  [105] = {.lex_state = 173},
  [106] = {.lex_state = 173},
  [107] = {.lex_state = 173},
  [108] = {.lex_state = 173},
  [109] = {.lex_state = 173},
  [110] = {.lex_state = 173},
  [111] = {.lex_state = 173},
  [112] = {.lex_state = 173},
  [113] = {.lex_state = 173},
  [114] = {.lex_state = 173},
  [115] = {.lex_state = 173},
  [116] = {.lex_state = 173},
  [117] = {.lex_state = 173},
  [118] = {.lex_state = 173},
  [119] = {.lex_state = 173},
  [120] = {.lex_state = 175},
  [121] = {.lex_state = 173},
  [122] = {.lex_state = 175},
  [123] = {.lex_state = 175},
  [124] = {.lex_state = 173},
  [125] = {.lex_state = 173},
  [126] = {.lex_state = 173},
  [127] = {.lex_state = 173},
  [128] = {.lex_state = 173},
  [129] = {.lex_state = 173},
  [130] = {.lex_state = 173},
  [131] = {.lex_state = 173},
  [132] = {.lex_state = 339},
  [133] = {.lex_state = 339},
  [134] = {.lex_state = 164},
  [135] = {.lex_state = 164},
  [136] = {.lex_state = 176},
  [137] = {.lex_state = 176},
  [138] = {.lex_state = 164},
  [139] = {.lex_state = 176},
  [140] = {.lex_state = 176},
  [141] = {.lex_state = 176},
  [142] = {.lex_state = 176},
  [143] = {.lex_state = 176},
  [144] = {.lex_state = 176},
  [145] = {.lex_state = 176},
  [146] = {.lex_state = 176},
  [147] = {.lex_state = 176},
  [148] = {.lex_state = 176},
  [149] = {.lex_state = 176},
  [150] = {.lex_state = 176},
  [151] = {.lex_state = 176},
  [152] = {.lex_state = 176},
  [153] = {.lex_state = 176},
  [154] = {.lex_state = 176},
  [155] = {.lex_state = 176},
  [156] = {.lex_state = 176},
  [157] = {.lex_state = 176},
  [158] = {.lex_state = 176},
  [159] = {.lex_state = 176},
  [160] = {.lex_state = 176},
  [161] = {.lex_state = 176},
  [162] = {.lex_state = 176},
  [163] = {.lex_state = 173},
  [164] = {.lex_state = 173},
  [165] = {.lex_state = 173},
  [166] = {.lex_state = 173},
  [167] = {.lex_state = 173},
  [168] = {.lex_state = 166},
  [169] = {.lex_state = 173},
  [170] = {.lex_state = 173},
  [171] = {.lex_state = 173},
  [172] = {.lex_state = 173},
  [173] = {.lex_state = 173},
  [174] = {.lex_state = 173},
  [175] = {.lex_state = 173},
  [176] = {.lex_state = 173},
  [177] = {.lex_state = 173},
  [178] = {.lex_state = 173},
  [179] = {.lex_state = 173},
  [180] = {.lex_state = 173},
  [181] = {.lex_state = 173},
  [182] = {.lex_state = 173},
  [183] = {.lex_state = 173},
  [184] = {.lex_state = 173},
  [185] = {.lex_state = 173},
  [186] = {.lex_state = 173},
  [187] = {.lex_state = 173},
  [188] = {.lex_state = 173},
  [189] = {.lex_state = 173},
  [190] = {.lex_state = 173},
  [191] = {.lex_state = 173},
  [192] = {.lex_state = 173},
  [193] = {.lex_state = 173},
  [194] = {.lex_state = 173},
  [195] = {.lex_state = 173},
  [196] = {.lex_state = 173},
  [197] = {.lex_state = 173},
  [198] = {.lex_state = 173},
  [199] = {.lex_state = 173},
  [200] = {.lex_state = 173},
  [201] = {.lex_state = 173},
  [202] = {.lex_state = 173},
  [203] = {.lex_state = 173},
  [204] = {.lex_state = 173},
  [205] = {.lex_state = 173},
  [206] = {.lex_state = 173},
  [207] = {.lex_state = 173},
  [208] = {.lex_state = 173},
  [209] = {.lex_state = 173},
  [210] = {.lex_state = 173},
  [211] = {.lex_state = 173},
  [212] = {.lex_state = 173},
  [213] = {.lex_state = 173},
  [214] = {.lex_state = 173},
  [215] = {.lex_state = 173},
  [216] = {.lex_state = 173},
  [217] = {.lex_state = 164},
  [218] = {.lex_state = 167},
  [219] = {.lex_state = 171},
  [220] = {.lex_state = 171},
  [221] = {.lex_state = 339},
  [222] = {.lex_state = 171},
  [223] = {.lex_state = 339},
  [224] = {.lex_state = 339},
  [225] = {.lex_state = 171},
  [226] = {.lex_state = 339},
  [227] = {.lex_state = 171},
  [228] = {.lex_state = 171},
  [229] = {.lex_state = 171},
  [230] = {.lex_state = 171},
  [231] = {.lex_state = 171},
  [232] = {.lex_state = 166},
  [233] = {.lex_state = 171},
  [234] = {.lex_state = 171},
  [235] = {.lex_state = 171},
  [236] = {.lex_state = 171},
  [237] = {.lex_state = 171},
  [238] = {.lex_state = 171},
  [239] = {.lex_state = 171},
  [240] = {.lex_state = 171},
  [241] = {.lex_state = 171},
  [242] = {.lex_state = 171},
  [243] = {.lex_state = 171},
  [244] = {.lex_state = 171},
  [245] = {.lex_state = 171},
  [246] = {.lex_state = 171},
  [247] = {.lex_state = 171},
  [248] = {.lex_state = 171},
  [249] = {.lex_state = 171},
  [250] = {.lex_state = 171},
  [251] = {.lex_state = 171},
  [252] = {.lex_state = 171},
  [253] = {.lex_state = 171},
  [254] = {.lex_state = 171},
  [255] = {.lex_state = 171},
  [256] = {.lex_state = 171},
  [257] = {.lex_state = 171},
  [258] = {.lex_state = 171},
  [259] = {.lex_state = 171},
  [260] = {.lex_state = 171},
  [261] = {.lex_state = 171},
  [262] = {.lex_state = 171},
  [263] = {.lex_state = 171},
  [264] = {.lex_state = 171},
  [265] = {.lex_state = 171},
  [266] = {.lex_state = 171},
  [267] = {.lex_state = 171},
  [268] = {.lex_state = 171},
  [269] = {.lex_state = 171},
  [270] = {.lex_state = 171},
  [271] = {.lex_state = 176},
  [272] = {.lex_state = 171},
  [273] = {.lex_state = 171},
  [274] = {.lex_state = 339},
  [275] = {.lex_state = 176},
  [276] = {.lex_state = 176},
  [277] = {.lex_state = 171},
  [278] = {.lex_state = 171},
  [279] = {.lex_state = 171},
  [280] = {.lex_state = 171},
  [281] = {.lex_state = 171},
  [282] = {.lex_state = 173},
  [283] = {.lex_state = 173},
  [284] = {.lex_state = 171},
  [285] = {.lex_state = 171},
  [286] = {.lex_state = 171},
  [287] = {.lex_state = 171},
  [288] = {.lex_state = 173},
  [289] = {.lex_state = 171},
  [290] = {.lex_state = 171},
  [291] = {.lex_state = 171},
  [292] = {.lex_state = 171},
  [293] = {.lex_state = 171},
  [294] = {.lex_state = 171},
  [295] = {.lex_state = 171},
  [296] = {.lex_state = 171},
  [297] = {.lex_state = 171},
  [298] = {.lex_state = 171},
  [299] = {.lex_state = 171},
  [300] = {.lex_state = 171},
  [301] = {.lex_state = 176},
  [302] = {.lex_state = 339},
  [303] = {.lex_state = 171},
  [304] = {.lex_state = 171},
  [305] = {.lex_state = 171},
  [306] = {.lex_state = 171},
  [307] = {.lex_state = 171},
  [308] = {.lex_state = 171},
  [309] = {.lex_state = 171},
  [310] = {.lex_state = 171},
  [311] = {.lex_state = 171},
  [312] = {.lex_state = 171},
  [313] = {.lex_state = 171},
  [314] = {.lex_state = 171},
  [315] = {.lex_state = 176},
  [316] = {.lex_state = 171},
  [317] = {.lex_state = 171},
  [318] = {.lex_state = 171},
  [319] = {.lex_state = 171},
  [320] = {.lex_state = 171},
  [321] = {.lex_state = 171},
  [322] = {.lex_state = 171},
  [323] = {.lex_state = 171},
  [324] = {.lex_state = 176},
  [325] = {.lex_state = 171},
  [326] = {.lex_state = 171},
  [327] = {.lex_state = 171},
  [328] = {.lex_state = 176},
  [329] = {.lex_state = 171},
  [330] = {.lex_state = 176},
  [331] = {.lex_state = 171},
  [332] = {.lex_state = 176},
  [333] = {.lex_state = 171},
  [334] = {.lex_state = 171},
  [335] = {.lex_state = 176},
  [336] = {.lex_state = 171},
  [337] = {.lex_state = 176},
  [338] = {.lex_state = 176},
  [339] = {.lex_state = 176},
  [340] = {.lex_state = 171},
  [341] = {.lex_state = 176},
  [342] = {.lex_state = 176},
  [343] = {.lex_state = 171},
  [344] = {.lex_state = 171},
  [345] = {.lex_state = 176},
  [346] = {.lex_state = 171},
  [347] = {.lex_state = 176},
  [348] = {.lex_state = 171},
  [349] = {.lex_state = 171},
  [350] = {.lex_state = 171},
  [351] = {.lex_state = 339},
  [352] = {.lex_state = 174},
  [353] = {.lex_state = 339},
  [354] = {.lex_state = 171},
  [355] = {.lex_state = 171},
  [356] = {.lex_state = 171},
  [357] = {.lex_state = 174},
  [358] = {.lex_state = 171},
  [359] = {.lex_state = 171},
  [360] = {.lex_state = 171},
  [361] = {.lex_state = 171},
  [362] = {.lex_state = 171},
  [363] = {.lex_state = 171},
  [364] = {.lex_state = 171},
  [365] = {.lex_state = 171},
  [366] = {.lex_state = 171},
  [367] = {.lex_state = 171},
  [368] = {.lex_state = 240},
  [369] = {.lex_state = 173},
  [370] = {.lex_state = 339},
  [371] = {.lex_state = 240},
  [372] = {.lex_state = 240},
  [373] = {.lex_state = 240},
  [374] = {.lex_state = 173},
  [375] = {.lex_state = 176},
  [376] = {.lex_state = 240},
  [377] = {.lex_state = 240},
  [378] = {.lex_state = 240},
  [379] = {.lex_state = 240},
  [380] = {.lex_state = 240},
  [381] = {.lex_state = 240},
  [382] = {.lex_state = 240},
  [383] = {.lex_state = 240},
  [384] = {.lex_state = 240},
  [385] = {.lex_state = 240},
  [386] = {.lex_state = 240},
  [387] = {.lex_state = 173},
  [388] = {.lex_state = 174},
  [389] = {.lex_state = 174},
  [390] = {.lex_state = 339},
  [391] = {.lex_state = 175},
  [392] = {.lex_state = 173},
  [393] = {.lex_state = 175},
  [394] = {.lex_state = 173},
  [395] = {.lex_state = 173},
  [396] = {.lex_state = 240},
  [397] = {.lex_state = 339},
  [398] = {.lex_state = 174},
  [399] = {.lex_state = 339},
  [400] = {.lex_state = 339},
  [401] = {.lex_state = 173},
  [402] = {.lex_state = 339},
  [403] = {.lex_state = 174},
  [404] = {.lex_state = 176},
  [405] = {.lex_state = 174},
  [406] = {.lex_state = 174},
  [407] = {.lex_state = 176},
  [408] = {.lex_state = 339},
  [409] = {.lex_state = 176},
  [410] = {.lex_state = 176},
  [411] = {.lex_state = 176},
  [412] = {.lex_state = 176},
  [413] = {.lex_state = 176},
  [414] = {.lex_state = 176},
  [415] = {.lex_state = 176},
  [416] = {.lex_state = 176},
  [417] = {.lex_state = 176},
  [418] = {.lex_state = 174},
  [419] = {.lex_state = 173},
  [420] = {.lex_state = 176},
  [421] = {.lex_state = 339},
  [422] = {.lex_state = 339},
  [423] = {.lex_state = 339},
  [424] = {.lex_state = 339},
  [425] = {.lex_state = 174},
  [426] = {.lex_state = 339},
  [427] = {.lex_state = 339},
  [428] = {.lex_state = 339},
  [429] = {.lex_state = 174},
  [430] = {.lex_state = 339},
  [431] = {.lex_state = 339},
  [432] = {.lex_state = 339},
  [433] = {.lex_state = 339},
  [434] = {.lex_state = 339},
  [435] = {.lex_state = 174},
  [436] = {.lex_state = 339},
  [437] = {.lex_state = 174},
  [438] = {.lex_state = 339},
  [439] = {.lex_state = 174},
  [440] = {.lex_state = 174},
  [441] = {.lex_state = 339},
  [442] = {.lex_state = 174},
  [443] = {.lex_state = 174},
  [444] = {.lex_state = 339},
  [445] = {.lex_state = 174},
  [446] = {.lex_state = 174},
  [447] = {.lex_state = 339},
  [448] = {.lex_state = 339},
  [449] = {.lex_state = 339},
  [450] = {.lex_state = 174},
  [451] = {.lex_state = 174},
  [452] = {.lex_state = 174},
  [453] = {.lex_state = 339},
  [454] = {.lex_state = 339},
  [455] = {.lex_state = 339},
  [456] = {.lex_state = 174},
  [457] = {.lex_state = 174},
  [458] = {.lex_state = 339},
  [459] = {.lex_state = 339},
  [460] = {.lex_state = 339},
  [461] = {.lex_state = 339},
  [462] = {.lex_state = 339},
  [463] = {.lex_state = 339},
  [464] = {.lex_state = 174},
  [465] = {.lex_state = 339},
  [466] = {.lex_state = 339},
  [467] = {.lex_state = 174},
  [468] = {.lex_state = 174},
  [469] = {.lex_state = 339},
  [470] = {.lex_state = 339},
  [471] = {.lex_state = 339},
  [472] = {.lex_state = 339},
  [473] = {.lex_state = 339},
  [474] = {.lex_state = 339},
  [475] = {.lex_state = 339},
  [476] = {.lex_state = 339},
  [477] = {.lex_state = 174},
  [478] = {.lex_state = 339},
  [479] = {.lex_state = 339},
  [480] = {.lex_state = 339},
  [481] = {.lex_state = 174},
  [482] = {.lex_state = 174},
  [483] = {.lex_state = 339},
  [484] = {.lex_state = 339},
  [485] = {.lex_state = 339},
  [486] = {.lex_state = 339},
  [487] = {.lex_state = 174},
  [488] = {.lex_state = 339},
  [489] = {.lex_state = 174},
  [490] = {.lex_state = 174},
  [491] = {.lex_state = 174},
  [492] = {.lex_state = 339},
  [493] = {.lex_state = 174},
  [494] = {.lex_state = 339},
  [495] = {.lex_state = 174},
  [496] = {.lex_state = 174},
  [497] = {.lex_state = 339},
  [498] = {.lex_state = 339},
  [499] = {.lex_state = 339},
  [500] = {.lex_state = 339},
  [501] = {.lex_state = 174},
  [502] = {.lex_state = 339},
  [503] = {.lex_state = 339},
  [504] = {.lex_state = 174},
  [505] = {.lex_state = 339},
  [506] = {.lex_state = 339},
  [507] = {.lex_state = 339},
  [508] = {.lex_state = 339},
  [509] = {.lex_state = 174},
  [510] = {.lex_state = 339},
  [511] = {.lex_state = 339},
  [512] = {.lex_state = 174},
  [513] = {.lex_state = 174},
  [514] = {.lex_state = 339},
  [515] = {.lex_state = 339},
  [516] = {.lex_state = 174},
  [517] = {.lex_state = 174},
  [518] = {.lex_state = 174},
  [519] = {.lex_state = 174},
  [520] = {.lex_state = 339},
  [521] = {.lex_state = 339},
  [522] = {.lex_state = 339},
  [523] = {.lex_state = 339},
  [524] = {.lex_state = 339},
  [525] = {.lex_state = 339},
  [526] = {.lex_state = 174},
  [527] = {.lex_state = 339},
  [528] = {.lex_state = 339},
  [529] = {.lex_state = 339},
  [530] = {.lex_state = 339},
  [531] = {.lex_state = 339},
  [532] = {.lex_state = 339},
  [533] = {.lex_state = 339},
  [534] = {.lex_state = 339},
  [535] = {.lex_state = 339},
  [536] = {.lex_state = 339},
  [537] = {.lex_state = 339},
  [538] = {.lex_state = 339},
  [539] = {.lex_state = 339},
  [540] = {.lex_state = 174},
  [541] = {.lex_state = 174},
  [542] = {.lex_state = 174},
  [543] = {.lex_state = 174},
  [544] = {.lex_state = 174},
  [545] = {.lex_state = 174},
  [546] = {.lex_state = 339},
  [547] = {.lex_state = 339},
  [548] = {.lex_state = 174},
  [549] = {.lex_state = 174},
  [550] = {.lex_state = 174},
  [551] = {.lex_state = 174},
  [552] = {.lex_state = 339},
  [553] = {.lex_state = 339},
  [554] = {.lex_state = 174},
  [555] = {.lex_state = 174},
  [556] = {.lex_state = 174},
  [557] = {.lex_state = 174},
  [558] = {.lex_state = 174},
  [559] = {.lex_state = 339},
  [560] = {.lex_state = 339},
  [561] = {.lex_state = 174},
  [562] = {.lex_state = 174},
  [563] = {.lex_state = 174},
  [564] = {.lex_state = 339},
  [565] = {.lex_state = 339},
  [566] = {.lex_state = 174},
  [567] = {.lex_state = 339},
  [568] = {.lex_state = 174},
  [569] = {.lex_state = 174},
  [570] = {.lex_state = 174},
  [571] = {.lex_state = 174},
  [572] = {.lex_state = 174},
  [573] = {.lex_state = 174},
  [574] = {.lex_state = 174},
  [575] = {.lex_state = 174},
  [576] = {.lex_state = 339},
  [577] = {.lex_state = 174},
  [578] = {.lex_state = 174},
  [579] = {.lex_state = 339},
  [580] = {.lex_state = 339},
  [581] = {.lex_state = 339},
  [582] = {.lex_state = 339},
  [583] = {.lex_state = 339},
  [584] = {.lex_state = 339},
  [585] = {.lex_state = 339},
  [586] = {.lex_state = 339},
  [587] = {.lex_state = 174},
  [588] = {.lex_state = 174},
  [589] = {.lex_state = 174},
  [590] = {.lex_state = 174},
  [591] = {.lex_state = 174},
  [592] = {.lex_state = 174},
  [593] = {.lex_state = 174},
  [594] = {.lex_state = 339},
  [595] = {.lex_state = 174},
  [596] = {.lex_state = 174},
  [597] = {.lex_state = 174},
  [598] = {.lex_state = 174},
  [599] = {.lex_state = 174},
  [600] = {.lex_state = 174},
  [601] = {.lex_state = 339},
  [602] = {.lex_state = 339},
  [603] = {.lex_state = 174},
  [604] = {.lex_state = 174},
  [605] = {.lex_state = 174},
  [606] = {.lex_state = 174},
  [607] = {.lex_state = 174},
  [608] = {.lex_state = 174},
  [609] = {.lex_state = 174},
  [610] = {.lex_state = 174},
  [611] = {.lex_state = 174},
  [612] = {.lex_state = 240},
  [613] = {.lex_state = 339},
  [614] = {.lex_state = 174},
  [615] = {.lex_state = 174},
  [616] = {.lex_state = 174},
  [617] = {.lex_state = 174},
  [618] = {.lex_state = 174},
  [619] = {.lex_state = 339},
  [620] = {.lex_state = 174},
  [621] = {.lex_state = 174},
  [622] = {.lex_state = 174},
  [623] = {.lex_state = 174},
  [624] = {.lex_state = 174},
  [625] = {.lex_state = 174},
  [626] = {.lex_state = 339},
  [627] = {.lex_state = 339},
  [628] = {.lex_state = 339},
  [629] = {.lex_state = 174},
  [630] = {.lex_state = 174},
  [631] = {.lex_state = 339},
  [632] = {.lex_state = 174},
  [633] = {.lex_state = 174},
  [634] = {.lex_state = 174},
  [635] = {.lex_state = 174},
  [636] = {.lex_state = 339},
  [637] = {.lex_state = 339},
  [638] = {.lex_state = 174},
  [639] = {.lex_state = 339},
  [640] = {.lex_state = 174},
  [641] = {.lex_state = 339},
  [642] = {.lex_state = 339},
  [643] = {.lex_state = 339},
  [644] = {.lex_state = 339},
  [645] = {.lex_state = 339},
  [646] = {.lex_state = 339},
  [647] = {.lex_state = 339},
  [648] = {.lex_state = 339},
  [649] = {.lex_state = 339},
  [650] = {.lex_state = 339},
  [651] = {.lex_state = 339},
  [652] = {.lex_state = 339},
  [653] = {.lex_state = 339},
  [654] = {.lex_state = 339},
  [655] = {.lex_state = 339},
  [656] = {.lex_state = 339},
  [657] = {.lex_state = 339},
  [658] = {.lex_state = 339},
  [659] = {.lex_state = 339},
  [660] = {.lex_state = 339},
  [661] = {.lex_state = 339},
  [662] = {.lex_state = 339},
  [663] = {.lex_state = 174},
  [664] = {.lex_state = 339},
  [665] = {.lex_state = 339},
  [666] = {.lex_state = 339},
  [667] = {.lex_state = 339},
  [668] = {.lex_state = 339},
  [669] = {.lex_state = 339},
  [670] = {.lex_state = 339},
  [671] = {.lex_state = 339},
  [672] = {.lex_state = 339},
  [673] = {.lex_state = 339},
  [674] = {.lex_state = 339},
  [675] = {.lex_state = 339},
  [676] = {.lex_state = 339},
  [677] = {.lex_state = 339},
  [678] = {.lex_state = 339},
  [679] = {.lex_state = 339},
  [680] = {.lex_state = 339},
  [681] = {.lex_state = 339},
  [682] = {.lex_state = 339},
  [683] = {.lex_state = 339},
  [684] = {.lex_state = 339},
  [685] = {.lex_state = 339},
  [686] = {.lex_state = 339},
  [687] = {.lex_state = 339},
  [688] = {.lex_state = 339},
  [689] = {.lex_state = 339},
  [690] = {.lex_state = 339},
  [691] = {.lex_state = 339},
  [692] = {.lex_state = 339},
  [693] = {.lex_state = 339},
  [694] = {.lex_state = 339},
  [695] = {.lex_state = 339},
  [696] = {.lex_state = 339},
  [697] = {.lex_state = 339},
  [698] = {.lex_state = 339},
  [699] = {.lex_state = 339},
  [700] = {.lex_state = 339},
  [701] = {.lex_state = 339},
  [702] = {.lex_state = 339},
  [703] = {.lex_state = 339},
  [704] = {.lex_state = 339},
  [705] = {.lex_state = 339},
  [706] = {.lex_state = 339},
  [707] = {.lex_state = 339},
  [708] = {.lex_state = 339},
  [709] = {.lex_state = 339},
  [710] = {.lex_state = 339},
  [711] = {.lex_state = 339},
  [712] = {.lex_state = 339},
  [713] = {.lex_state = 339},
  [714] = {.lex_state = 339},
  [715] = {.lex_state = 339},
  [716] = {.lex_state = 339},
  [717] = {.lex_state = 339},
  [718] = {.lex_state = 339},
  [719] = {.lex_state = 339},
  [720] = {.lex_state = 339},
  [721] = {.lex_state = 339},
  [722] = {.lex_state = 339},
  [723] = {.lex_state = 339},
  [724] = {.lex_state = 339},
  [725] = {.lex_state = 339},
  [726] = {.lex_state = 339},
  [727] = {.lex_state = 339},
  [728] = {.lex_state = 339},
  [729] = {.lex_state = 339},
  [730] = {.lex_state = 339},
  [731] = {.lex_state = 339},
  [732] = {.lex_state = 339},
  [733] = {.lex_state = 339},
  [734] = {.lex_state = 339},
  [735] = {.lex_state = 339},
  [736] = {.lex_state = 339},
  [737] = {.lex_state = 339},
  [738] = {.lex_state = 339},
  [739] = {.lex_state = 339},
  [740] = {.lex_state = 339},
  [741] = {.lex_state = 339},
  [742] = {.lex_state = 339},
  [743] = {.lex_state = 339},
  [744] = {.lex_state = 339},
  [745] = {.lex_state = 339},
  [746] = {.lex_state = 339},
  [747] = {.lex_state = 339},
  [748] = {.lex_state = 339},
  [749] = {.lex_state = 165},
  [750] = {.lex_state = 339},
  [751] = {.lex_state = 339},
  [752] = {.lex_state = 339},
  [753] = {.lex_state = 339},
  [754] = {.lex_state = 339},
  [755] = {.lex_state = 339},
  [756] = {.lex_state = 339},
  [757] = {.lex_state = 339},
  [758] = {.lex_state = 165},
  [759] = {.lex_state = 208},
  [760] = {.lex_state = 208},
  [761] = {.lex_state = 238},
  [762] = {.lex_state = 238},
  [763] = {.lex_state = 238},
  [764] = {.lex_state = 238},
  [765] = {.lex_state = 238},
  [766] = {.lex_state = 238},
  [767] = {.lex_state = 238},
  [768] = {.lex_state = 238},
  [769] = {.lex_state = 238},
  [770] = {.lex_state = 238},
  [771] = {.lex_state = 238},
  [772] = {.lex_state = 238},
  [773] = {.lex_state = 238},
  [774] = {.lex_state = 238},
  [775] = {.lex_state = 208},
  [776] = {.lex_state = 238},
  [777] = {.lex_state = 238},
  [778] = {.lex_state = 238},
  [779] = {.lex_state = 238},
  [780] = {.lex_state = 165},
  [781] = {.lex_state = 238},
  [782] = {.lex_state = 238},
  [783] = {.lex_state = 238},
  [784] = {.lex_state = 165},
  [785] = {.lex_state = 168},
  [786] = {.lex_state = 165},
  [787] = {.lex_state = 165},
  [788] = {.lex_state = 169},
  [789] = {.lex_state = 169},
  [790] = {.lex_state = 176},
  [791] = {.lex_state = 176},
  [792] = {.lex_state = 176},
  [793] = {.lex_state = 339},
  [794] = {.lex_state = 339},
  [795] = {.lex_state = 240},
  [796] = {.lex_state = 240},
  [797] = {.lex_state = 240},
  [798] = {.lex_state = 240},
  [799] = {.lex_state = 240},
  [800] = {.lex_state = 240},
  [801] = {.lex_state = 240},
  [802] = {.lex_state = 177},
  [803] = {.lex_state = 177},
  [804] = {.lex_state = 177},
  [805] = {.lex_state = 177},
  [806] = {.lex_state = 177},
  [807] = {.lex_state = 177},
  [808] = {.lex_state = 177},
  [809] = {.lex_state = 177},
  [810] = {.lex_state = 177},
  [811] = {.lex_state = 177},
  [812] = {.lex_state = 177},
  [813] = {.lex_state = 177},
  [814] = {.lex_state = 177},
  [815] = {.lex_state = 177},
  [816] = {.lex_state = 177},
  [817] = {.lex_state = 177},
  [818] = {.lex_state = 177},
  [819] = {.lex_state = 177},
  [820] = {.lex_state = 177},
  [821] = {.lex_state = 177},
  [822] = {.lex_state = 177},
  [823] = {.lex_state = 177},
  [824] = {.lex_state = 177},
  [825] = {.lex_state = 177},
  [826] = {.lex_state = 177},
  [827] = {.lex_state = 177},
  [828] = {.lex_state = 176},
  [829] = {.lex_state = 240},
  [830] = {.lex_state = 240},
  [831] = {.lex_state = 176},
  [832] = {.lex_state = 240},
  [833] = {.lex_state = 240},
  [834] = {.lex_state = 176},
  [835] = {.lex_state = 176},
  [836] = {.lex_state = 176},
  [837] = {.lex_state = 176},
  [838] = {.lex_state = 176},
  [839] = {.lex_state = 176},
  [840] = {.lex_state = 240},
  [841] = {.lex_state = 176},
  [842] = {.lex_state = 176},
  [843] = {.lex_state = 176},
  [844] = {.lex_state = 240},
  [845] = {.lex_state = 176},
  [846] = {.lex_state = 176},
  [847] = {.lex_state = 176},
  [848] = {.lex_state = 176},
  [849] = {.lex_state = 176},
  [850] = {.lex_state = 240},
  [851] = {.lex_state = 176},
  [852] = {.lex_state = 176},
  [853] = {.lex_state = 176},
  [854] = {.lex_state = 176},
  [855] = {.lex_state = 176},
  [856] = {.lex_state = 339},
  [857] = {.lex_state = 175},
  [858] = {.lex_state = 173},
  [859] = {.lex_state = 173},
  [860] = {.lex_state = 175},
  [861] = {.lex_state = 188},
  [862] = {.lex_state = 188},
  [863] = {.lex_state = 176},
  [864] = {.lex_state = 188},
  [865] = {.lex_state = 188},
  [866] = {.lex_state = 173},
  [867] = {.lex_state = 173},
  [868] = {.lex_state = 173},
  [869] = {.lex_state = 188},
  [870] = {.lex_state = 173},
  [871] = {.lex_state = 173},
  [872] = {.lex_state = 173},
  [873] = {.lex_state = 173},
  [874] = {.lex_state = 173},
  [875] = {.lex_state = 173},
  [876] = {.lex_state = 173},
  [877] = {.lex_state = 173},
  [878] = {.lex_state = 173},
  [879] = {.lex_state = 173},
  [880] = {.lex_state = 173},
  [881] = {.lex_state = 173},
  [882] = {.lex_state = 173},
  [883] = {.lex_state = 173},
  [884] = {.lex_state = 173},
  [885] = {.lex_state = 173},
  [886] = {.lex_state = 173},
  [887] = {.lex_state = 173},
  [888] = {.lex_state = 173},
  [889] = {.lex_state = 173},
  [890] = {.lex_state = 173},
  [891] = {.lex_state = 173},
  [892] = {.lex_state = 173},
  [893] = {.lex_state = 175},
  [894] = {.lex_state = 173},
  [895] = {.lex_state = 175},
  [896] = {.lex_state = 173},
  [897] = {.lex_state = 173},
  [898] = {.lex_state = 173},
  [899] = {.lex_state = 173},
  [900] = {.lex_state = 173},
  [901] = {.lex_state = 173},
  [902] = {.lex_state = 173},
  [903] = {.lex_state = 173},
  [904] = {.lex_state = 173},
  [905] = {.lex_state = 173},
  [906] = {.lex_state = 173},
  [907] = {.lex_state = 173},
  [908] = {.lex_state = 173},
  [909] = {.lex_state = 173},
  [910] = {.lex_state = 173},
  [911] = {.lex_state = 173},
  [912] = {.lex_state = 173},
  [913] = {.lex_state = 173},
  [914] = {.lex_state = 240},
  [915] = {.lex_state = 188},
  [916] = {.lex_state = 176},
  [917] = {.lex_state = 176},
  [918] = {.lex_state = 176},
  [919] = {.lex_state = 188},
  [920] = {.lex_state = 176},
  [921] = {.lex_state = 176},
  [922] = {.lex_state = 184},
  [923] = {.lex_state = 176},
  [924] = {.lex_state = 176},
  [925] = {.lex_state = 176},
  [926] = {.lex_state = 176},
  [927] = {.lex_state = 176},
  [928] = {.lex_state = 176},
  [929] = {.lex_state = 176},
  [930] = {.lex_state = 176},
  [931] = {.lex_state = 188},
  [932] = {.lex_state = 176},
  [933] = {.lex_state = 176},
  [934] = {.lex_state = 176},
  [935] = {.lex_state = 176},
  [936] = {.lex_state = 188},
  [937] = {.lex_state = 188},
  [938] = {.lex_state = 176},
  [939] = {.lex_state = 176},
  [940] = {.lex_state = 176},
  [941] = {.lex_state = 176},
  [942] = {.lex_state = 188},
  [943] = {.lex_state = 176},
  [944] = {.lex_state = 176},
  [945] = {.lex_state = 176},
  [946] = {.lex_state = 176},
  [947] = {.lex_state = 176},
  [948] = {.lex_state = 188},
  [949] = {.lex_state = 176},
  [950] = {.lex_state = 176},
  [951] = {.lex_state = 176},
  [952] = {.lex_state = 176},
  [953] = {.lex_state = 176},
  [954] = {.lex_state = 176},
  [955] = {.lex_state = 176},
  [956] = {.lex_state = 176},
  [957] = {.lex_state = 176},
  [958] = {.lex_state = 176},
  [959] = {.lex_state = 176},
  [960] = {.lex_state = 176},
  [961] = {.lex_state = 188},
  [962] = {.lex_state = 176},
  [963] = {.lex_state = 176},
  [964] = {.lex_state = 176},
  [965] = {.lex_state = 176},
  [966] = {.lex_state = 176},
  [967] = {.lex_state = 176},
  [968] = {.lex_state = 176},
  [969] = {.lex_state = 176},
  [970] = {.lex_state = 176},
  [971] = {.lex_state = 176},
  [972] = {.lex_state = 176},
  [973] = {.lex_state = 176},
  [974] = {.lex_state = 176},
  [975] = {.lex_state = 176},
  [976] = {.lex_state = 176},
  [977] = {.lex_state = 176},
  [978] = {.lex_state = 176},
  [979] = {.lex_state = 176},
  [980] = {.lex_state = 176},
  [981] = {.lex_state = 176},
  [982] = {.lex_state = 176},
  [983] = {.lex_state = 176},
  [984] = {.lex_state = 176},
  [985] = {.lex_state = 176},
  [986] = {.lex_state = 176},
  [987] = {.lex_state = 176},
  [988] = {.lex_state = 176},
  [989] = {.lex_state = 176},
  [990] = {.lex_state = 176},
  [991] = {.lex_state = 176},
  [992] = {.lex_state = 176},
  [993] = {.lex_state = 176},
  [994] = {.lex_state = 176},
  [995] = {.lex_state = 176},
  [996] = {.lex_state = 176},
  [997] = {.lex_state = 176},
  [998] = {.lex_state = 176},
  [999] = {.lex_state = 176},
  [1000] = {.lex_state = 176},
  [1001] = {.lex_state = 176},
  [1002] = {.lex_state = 176},
  [1003] = {.lex_state = 176},
  [1004] = {.lex_state = 176},
  [1005] = {.lex_state = 176},
  [1006] = {.lex_state = 176},
  [1007] = {.lex_state = 176},
  [1008] = {.lex_state = 176},
  [1009] = {.lex_state = 176},
  [1010] = {.lex_state = 176},
  [1011] = {.lex_state = 176},
  [1012] = {.lex_state = 176},
  [1013] = {.lex_state = 176},
  [1014] = {.lex_state = 176},
  [1015] = {.lex_state = 176},
  [1016] = {.lex_state = 176},
  [1017] = {.lex_state = 176},
  [1018] = {.lex_state = 176},
  [1019] = {.lex_state = 176},
  [1020] = {.lex_state = 176},
  [1021] = {.lex_state = 176},
  [1022] = {.lex_state = 176},
  [1023] = {.lex_state = 176},
  [1024] = {.lex_state = 176},
  [1025] = {.lex_state = 176},
  [1026] = {.lex_state = 176},
  [1027] = {.lex_state = 176},
  [1028] = {.lex_state = 176},
  [1029] = {.lex_state = 176},
  [1030] = {.lex_state = 176},
  [1031] = {.lex_state = 176},
  [1032] = {.lex_state = 176},
  [1033] = {.lex_state = 176},
  [1034] = {.lex_state = 176},
  [1035] = {.lex_state = 176},
  [1036] = {.lex_state = 176},
  [1037] = {.lex_state = 176},
  [1038] = {.lex_state = 176},
  [1039] = {.lex_state = 176},
  [1040] = {.lex_state = 176},
  [1041] = {.lex_state = 176},
  [1042] = {.lex_state = 176},
  [1043] = {.lex_state = 176},
  [1044] = {.lex_state = 176},
  [1045] = {.lex_state = 176},
  [1046] = {.lex_state = 176},
  [1047] = {.lex_state = 176},
  [1048] = {.lex_state = 176},
  [1049] = {.lex_state = 176},
  [1050] = {.lex_state = 176},
  [1051] = {.lex_state = 176},
  [1052] = {.lex_state = 176},
  [1053] = {.lex_state = 176},
  [1054] = {.lex_state = 176},
  [1055] = {.lex_state = 176},
  [1056] = {.lex_state = 176},
  [1057] = {.lex_state = 176},
  [1058] = {.lex_state = 176},
  [1059] = {.lex_state = 176},
  [1060] = {.lex_state = 176},
  [1061] = {.lex_state = 176},
  [1062] = {.lex_state = 176},
  [1063] = {.lex_state = 176},
  [1064] = {.lex_state = 176},
  [1065] = {.lex_state = 176},
  [1066] = {.lex_state = 176},
  [1067] = {.lex_state = 176},
  [1068] = {.lex_state = 176},
  [1069] = {.lex_state = 176},
  [1070] = {.lex_state = 176},
  [1071] = {.lex_state = 176},
  [1072] = {.lex_state = 176},
  [1073] = {.lex_state = 176},
  [1074] = {.lex_state = 176},
  [1075] = {.lex_state = 176},
  [1076] = {.lex_state = 176},
  [1077] = {.lex_state = 176},
  [1078] = {.lex_state = 176},
  [1079] = {.lex_state = 176},
  [1080] = {.lex_state = 176},
  [1081] = {.lex_state = 176},
  [1082] = {.lex_state = 176},
  [1083] = {.lex_state = 176},
  [1084] = {.lex_state = 176},
  [1085] = {.lex_state = 176},
  [1086] = {.lex_state = 176},
  [1087] = {.lex_state = 176},
  [1088] = {.lex_state = 176},
  [1089] = {.lex_state = 176},
  [1090] = {.lex_state = 176},
  [1091] = {.lex_state = 176},
  [1092] = {.lex_state = 176},
  [1093] = {.lex_state = 176},
  [1094] = {.lex_state = 176},
  [1095] = {.lex_state = 176},
  [1096] = {.lex_state = 176},
  [1097] = {.lex_state = 176},
  [1098] = {.lex_state = 176},
  [1099] = {.lex_state = 176},
  [1100] = {.lex_state = 176},
  [1101] = {.lex_state = 176},
  [1102] = {.lex_state = 176},
  [1103] = {.lex_state = 176},
  [1104] = {.lex_state = 176},
  [1105] = {.lex_state = 176},
  [1106] = {.lex_state = 176},
  [1107] = {.lex_state = 176},
  [1108] = {.lex_state = 176},
  [1109] = {.lex_state = 176},
  [1110] = {.lex_state = 176},
  [1111] = {.lex_state = 176},
  [1112] = {.lex_state = 176},
  [1113] = {.lex_state = 176},
  [1114] = {.lex_state = 176},
  [1115] = {.lex_state = 176},
  [1116] = {.lex_state = 176},
  [1117] = {.lex_state = 176},
  [1118] = {.lex_state = 176},
  [1119] = {.lex_state = 176},
  [1120] = {.lex_state = 176},
  [1121] = {.lex_state = 176},
  [1122] = {.lex_state = 176},
  [1123] = {.lex_state = 176},
  [1124] = {.lex_state = 176},
  [1125] = {.lex_state = 176},
  [1126] = {.lex_state = 176},
  [1127] = {.lex_state = 176},
  [1128] = {.lex_state = 176},
  [1129] = {.lex_state = 176},
  [1130] = {.lex_state = 176},
  [1131] = {.lex_state = 176},
  [1132] = {.lex_state = 176},
  [1133] = {.lex_state = 176},
  [1134] = {.lex_state = 176},
  [1135] = {.lex_state = 176},
  [1136] = {.lex_state = 176},
  [1137] = {.lex_state = 176},
  [1138] = {.lex_state = 176},
  [1139] = {.lex_state = 176},
  [1140] = {.lex_state = 176},
  [1141] = {.lex_state = 176},
  [1142] = {.lex_state = 176},
  [1143] = {.lex_state = 176},
  [1144] = {.lex_state = 176},
  [1145] = {.lex_state = 176},
  [1146] = {.lex_state = 176},
  [1147] = {.lex_state = 176},
  [1148] = {.lex_state = 176},
  [1149] = {.lex_state = 176},
  [1150] = {.lex_state = 176},
  [1151] = {.lex_state = 176},
  [1152] = {.lex_state = 176},
  [1153] = {.lex_state = 176},
  [1154] = {.lex_state = 176},
  [1155] = {.lex_state = 176},
  [1156] = {.lex_state = 176},
  [1157] = {.lex_state = 176},
  [1158] = {.lex_state = 176},
  [1159] = {.lex_state = 176},
  [1160] = {.lex_state = 176},
  [1161] = {.lex_state = 176},
  [1162] = {.lex_state = 176},
  [1163] = {.lex_state = 176},
  [1164] = {.lex_state = 176},
  [1165] = {.lex_state = 176},
  [1166] = {.lex_state = 176},
  [1167] = {.lex_state = 176},
  [1168] = {.lex_state = 176},
  [1169] = {.lex_state = 176},
  [1170] = {.lex_state = 176},
  [1171] = {.lex_state = 176},
  [1172] = {.lex_state = 176},
  [1173] = {.lex_state = 176},
  [1174] = {.lex_state = 176},
  [1175] = {.lex_state = 176},
  [1176] = {.lex_state = 176},
  [1177] = {.lex_state = 176},
  [1178] = {.lex_state = 176},
  [1179] = {.lex_state = 176},
  [1180] = {.lex_state = 176},
  [1181] = {.lex_state = 176},
  [1182] = {.lex_state = 176},
  [1183] = {.lex_state = 176},
  [1184] = {.lex_state = 176},
  [1185] = {.lex_state = 176},
  [1186] = {.lex_state = 176},
  [1187] = {.lex_state = 176},
  [1188] = {.lex_state = 176},
  [1189] = {.lex_state = 176},
  [1190] = {.lex_state = 176},
  [1191] = {.lex_state = 176},
  [1192] = {.lex_state = 176},
  [1193] = {.lex_state = 176},
  [1194] = {.lex_state = 176},
  [1195] = {.lex_state = 176},
  [1196] = {.lex_state = 176},
  [1197] = {.lex_state = 176},
  [1198] = {.lex_state = 176},
  [1199] = {.lex_state = 176},
  [1200] = {.lex_state = 176},
  [1201] = {.lex_state = 176},
  [1202] = {.lex_state = 176},
  [1203] = {.lex_state = 176},
  [1204] = {.lex_state = 176},
  [1205] = {.lex_state = 176},
  [1206] = {.lex_state = 176},
  [1207] = {.lex_state = 176},
  [1208] = {.lex_state = 176},
  [1209] = {.lex_state = 176},
  [1210] = {.lex_state = 176},
  [1211] = {.lex_state = 176},
  [1212] = {.lex_state = 176},
  [1213] = {.lex_state = 176},
  [1214] = {.lex_state = 176},
  [1215] = {.lex_state = 176},
  [1216] = {.lex_state = 176},
  [1217] = {.lex_state = 176},
  [1218] = {.lex_state = 176},
  [1219] = {.lex_state = 176},
  [1220] = {.lex_state = 176},
  [1221] = {.lex_state = 176},
  [1222] = {.lex_state = 176},
  [1223] = {.lex_state = 176},
  [1224] = {.lex_state = 176},
  [1225] = {.lex_state = 176},
  [1226] = {.lex_state = 176},
  [1227] = {.lex_state = 176},
  [1228] = {.lex_state = 176},
  [1229] = {.lex_state = 176},
  [1230] = {.lex_state = 176},
  [1231] = {.lex_state = 176},
  [1232] = {.lex_state = 176},
  [1233] = {.lex_state = 176},
  [1234] = {.lex_state = 176},
  [1235] = {.lex_state = 176},
  [1236] = {.lex_state = 176},
  [1237] = {.lex_state = 176},
  [1238] = {.lex_state = 176},
  [1239] = {.lex_state = 176},
  [1240] = {.lex_state = 176},
  [1241] = {.lex_state = 176},
  [1242] = {.lex_state = 176},
  [1243] = {.lex_state = 176},
  [1244] = {.lex_state = 176},
  [1245] = {.lex_state = 176},
  [1246] = {.lex_state = 176},
  [1247] = {.lex_state = 176},
  [1248] = {.lex_state = 176},
  [1249] = {.lex_state = 176},
  [1250] = {.lex_state = 176},
  [1251] = {.lex_state = 176},
  [1252] = {.lex_state = 176},
  [1253] = {.lex_state = 176},
  [1254] = {.lex_state = 176},
  [1255] = {.lex_state = 176},
  [1256] = {.lex_state = 176},
  [1257] = {.lex_state = 176},
  [1258] = {.lex_state = 176},
  [1259] = {.lex_state = 176},
  [1260] = {.lex_state = 176},
  [1261] = {.lex_state = 176},
  [1262] = {.lex_state = 176},
  [1263] = {.lex_state = 176},
  [1264] = {.lex_state = 176},
  [1265] = {.lex_state = 176},
  [1266] = {.lex_state = 176},
  [1267] = {.lex_state = 176},
  [1268] = {.lex_state = 176},
  [1269] = {.lex_state = 176},
  [1270] = {.lex_state = 176},
  [1271] = {.lex_state = 176},
  [1272] = {.lex_state = 176},
  [1273] = {.lex_state = 176},
  [1274] = {.lex_state = 176},
  [1275] = {.lex_state = 176},
  [1276] = {.lex_state = 176},
  [1277] = {.lex_state = 176},
  [1278] = {.lex_state = 176},
  [1279] = {.lex_state = 176},
  [1280] = {.lex_state = 176},
  [1281] = {.lex_state = 176},
  [1282] = {.lex_state = 176},
  [1283] = {.lex_state = 176},
  [1284] = {.lex_state = 176},
  [1285] = {.lex_state = 176},
  [1286] = {.lex_state = 176},
  [1287] = {.lex_state = 176},
  [1288] = {.lex_state = 176},
  [1289] = {.lex_state = 176},
  [1290] = {.lex_state = 176},
  [1291] = {.lex_state = 176},
  [1292] = {.lex_state = 176},
  [1293] = {.lex_state = 176},
  [1294] = {.lex_state = 176},
  [1295] = {.lex_state = 176},
  [1296] = {.lex_state = 176},
  [1297] = {.lex_state = 176},
  [1298] = {.lex_state = 176},
  [1299] = {.lex_state = 176},
  [1300] = {.lex_state = 176},
  [1301] = {.lex_state = 176},
  [1302] = {.lex_state = 176},
  [1303] = {.lex_state = 176},
  [1304] = {.lex_state = 176},
  [1305] = {.lex_state = 176},
  [1306] = {.lex_state = 176},
  [1307] = {.lex_state = 176},
  [1308] = {.lex_state = 176},
  [1309] = {.lex_state = 176},
  [1310] = {.lex_state = 176},
  [1311] = {.lex_state = 176},
  [1312] = {.lex_state = 176},
  [1313] = {.lex_state = 176},
  [1314] = {.lex_state = 176},
  [1315] = {.lex_state = 176},
  [1316] = {.lex_state = 176},
  [1317] = {.lex_state = 176},
  [1318] = {.lex_state = 176},
  [1319] = {.lex_state = 176},
  [1320] = {.lex_state = 176},
  [1321] = {.lex_state = 176},
  [1322] = {.lex_state = 176},
  [1323] = {.lex_state = 176},
  [1324] = {.lex_state = 176},
  [1325] = {.lex_state = 176},
  [1326] = {.lex_state = 176},
  [1327] = {.lex_state = 176},
  [1328] = {.lex_state = 176},
  [1329] = {.lex_state = 176},
  [1330] = {.lex_state = 176},
  [1331] = {.lex_state = 176},
  [1332] = {.lex_state = 176},
  [1333] = {.lex_state = 176},
  [1334] = {.lex_state = 176},
  [1335] = {.lex_state = 176},
  [1336] = {.lex_state = 176},
  [1337] = {.lex_state = 176},
  [1338] = {.lex_state = 176},
  [1339] = {.lex_state = 176},
  [1340] = {.lex_state = 176},
  [1341] = {.lex_state = 176},
  [1342] = {.lex_state = 176},
  [1343] = {.lex_state = 176},
  [1344] = {.lex_state = 176},
  [1345] = {.lex_state = 176},
  [1346] = {.lex_state = 176},
  [1347] = {.lex_state = 176},
  [1348] = {.lex_state = 176},
  [1349] = {.lex_state = 176},
  [1350] = {.lex_state = 176},
  [1351] = {.lex_state = 176},
  [1352] = {.lex_state = 176},
  [1353] = {.lex_state = 176},
  [1354] = {.lex_state = 176},
  [1355] = {.lex_state = 176},
  [1356] = {.lex_state = 176},
  [1357] = {.lex_state = 176},
  [1358] = {.lex_state = 176},
  [1359] = {.lex_state = 176},
  [1360] = {.lex_state = 176},
  [1361] = {.lex_state = 176},
  [1362] = {.lex_state = 176},
  [1363] = {.lex_state = 176},
  [1364] = {.lex_state = 176},
  [1365] = {.lex_state = 176},
  [1366] = {.lex_state = 176},
  [1367] = {.lex_state = 176},
  [1368] = {.lex_state = 176},
  [1369] = {.lex_state = 176},
  [1370] = {.lex_state = 176},
  [1371] = {.lex_state = 176},
  [1372] = {.lex_state = 176},
  [1373] = {.lex_state = 176},
  [1374] = {.lex_state = 176},
  [1375] = {.lex_state = 176},
  [1376] = {.lex_state = 176},
  [1377] = {.lex_state = 176},
  [1378] = {.lex_state = 176},
  [1379] = {.lex_state = 176},
  [1380] = {.lex_state = 176},
  [1381] = {.lex_state = 176},
  [1382] = {.lex_state = 176},
  [1383] = {.lex_state = 176},
  [1384] = {.lex_state = 176},
  [1385] = {.lex_state = 176},
  [1386] = {.lex_state = 176},
  [1387] = {.lex_state = 176},
  [1388] = {.lex_state = 176},
  [1389] = {.lex_state = 176},
  [1390] = {.lex_state = 176},
  [1391] = {.lex_state = 176},
  [1392] = {.lex_state = 176},
  [1393] = {.lex_state = 176},
  [1394] = {.lex_state = 176},
  [1395] = {.lex_state = 176},
  [1396] = {.lex_state = 176},
  [1397] = {.lex_state = 176},
  [1398] = {.lex_state = 176},
  [1399] = {.lex_state = 176},
  [1400] = {.lex_state = 176},
  [1401] = {.lex_state = 176},
  [1402] = {.lex_state = 176},
  [1403] = {.lex_state = 176},
  [1404] = {.lex_state = 176},
  [1405] = {.lex_state = 176},
  [1406] = {.lex_state = 176},
  [1407] = {.lex_state = 176},
  [1408] = {.lex_state = 176},
  [1409] = {.lex_state = 176},
  [1410] = {.lex_state = 176},
  [1411] = {.lex_state = 176},
  [1412] = {.lex_state = 176},
  [1413] = {.lex_state = 176},
  [1414] = {.lex_state = 176},
  [1415] = {.lex_state = 176},
  [1416] = {.lex_state = 176},
  [1417] = {.lex_state = 176},
  [1418] = {.lex_state = 176},
  [1419] = {.lex_state = 176},
  [1420] = {.lex_state = 176},
  [1421] = {.lex_state = 176},
  [1422] = {.lex_state = 176},
  [1423] = {.lex_state = 176},
  [1424] = {.lex_state = 176},
  [1425] = {.lex_state = 176},
  [1426] = {.lex_state = 176},
  [1427] = {.lex_state = 176},
  [1428] = {.lex_state = 176},
  [1429] = {.lex_state = 176},
  [1430] = {.lex_state = 176},
  [1431] = {.lex_state = 176},
  [1432] = {.lex_state = 176},
  [1433] = {.lex_state = 176},
  [1434] = {.lex_state = 176},
  [1435] = {.lex_state = 176},
  [1436] = {.lex_state = 176},
  [1437] = {.lex_state = 176},
  [1438] = {.lex_state = 176},
  [1439] = {.lex_state = 176},
  [1440] = {.lex_state = 176},
  [1441] = {.lex_state = 176},
  [1442] = {.lex_state = 176},
  [1443] = {.lex_state = 176},
  [1444] = {.lex_state = 176},
  [1445] = {.lex_state = 176},
  [1446] = {.lex_state = 176},
  [1447] = {.lex_state = 176},
  [1448] = {.lex_state = 176},
  [1449] = {.lex_state = 176},
  [1450] = {.lex_state = 176},
  [1451] = {.lex_state = 176},
  [1452] = {.lex_state = 176},
  [1453] = {.lex_state = 176},
  [1454] = {.lex_state = 176},
  [1455] = {.lex_state = 176},
  [1456] = {.lex_state = 176},
  [1457] = {.lex_state = 176},
  [1458] = {.lex_state = 176},
  [1459] = {.lex_state = 176},
  [1460] = {.lex_state = 176},
  [1461] = {.lex_state = 176},
  [1462] = {.lex_state = 176},
  [1463] = {.lex_state = 176},
  [1464] = {.lex_state = 176},
  [1465] = {.lex_state = 176},
  [1466] = {.lex_state = 176},
  [1467] = {.lex_state = 176},
  [1468] = {.lex_state = 176},
  [1469] = {.lex_state = 176},
  [1470] = {.lex_state = 176},
  [1471] = {.lex_state = 176},
  [1472] = {.lex_state = 176},
  [1473] = {.lex_state = 176},
  [1474] = {.lex_state = 176},
  [1475] = {.lex_state = 176},
  [1476] = {.lex_state = 176},
  [1477] = {.lex_state = 176},
  [1478] = {.lex_state = 176},
  [1479] = {.lex_state = 176},
  [1480] = {.lex_state = 176},
  [1481] = {.lex_state = 176},
  [1482] = {.lex_state = 176},
  [1483] = {.lex_state = 176},
  [1484] = {.lex_state = 176},
  [1485] = {.lex_state = 176},
  [1486] = {.lex_state = 176},
  [1487] = {.lex_state = 176},
  [1488] = {.lex_state = 176},
  [1489] = {.lex_state = 176},
  [1490] = {.lex_state = 176},
  [1491] = {.lex_state = 176},
  [1492] = {.lex_state = 176},
  [1493] = {.lex_state = 176},
  [1494] = {.lex_state = 176},
  [1495] = {.lex_state = 176},
  [1496] = {.lex_state = 176},
  [1497] = {.lex_state = 176},
  [1498] = {.lex_state = 176},
  [1499] = {.lex_state = 176},
  [1500] = {.lex_state = 195},
  [1501] = {.lex_state = 195},
  [1502] = {.lex_state = 195},
  [1503] = {.lex_state = 195},
  [1504] = {.lex_state = 195},
  [1505] = {.lex_state = 195},
  [1506] = {.lex_state = 195},
  [1507] = {.lex_state = 195},
  [1508] = {.lex_state = 195},
  [1509] = {.lex_state = 240},
  [1510] = {.lex_state = 240},
  [1511] = {.lex_state = 173},
  [1512] = {.lex_state = 173},
  [1513] = {.lex_state = 173},
  [1514] = {.lex_state = 194},
  [1515] = {.lex_state = 240},
  [1516] = {.lex_state = 194},
  [1517] = {.lex_state = 240},
  [1518] = {.lex_state = 194},
  [1519] = {.lex_state = 194},
  [1520] = {.lex_state = 194},
  [1521] = {.lex_state = 195},
  [1522] = {.lex_state = 240},
  [1523] = {.lex_state = 194},
  [1524] = {.lex_state = 194},
  [1525] = {.lex_state = 240},
  [1526] = {.lex_state = 210},
  [1527] = {.lex_state = 195},
  [1528] = {.lex_state = 210},
  [1529] = {.lex_state = 210},
  [1530] = {.lex_state = 195},
  [1531] = {.lex_state = 184},
  [1532] = {.lex_state = 210},
  [1533] = {.lex_state = 210},
  [1534] = {.lex_state = 210},
  [1535] = {.lex_state = 210},
  [1536] = {.lex_state = 210},
  [1537] = {.lex_state = 210},
  [1538] = {.lex_state = 195},
  [1539] = {.lex_state = 198},
  [1540] = {.lex_state = 185},
  [1541] = {.lex_state = 189},
  [1542] = {.lex_state = 210},
  [1543] = {.lex_state = 210},
  [1544] = {.lex_state = 210},
  [1545] = {.lex_state = 210},
  [1546] = {.lex_state = 198},
  [1547] = {.lex_state = 210},
  [1548] = {.lex_state = 179},
  [1549] = {.lex_state = 210},
  [1550] = {.lex_state = 210},
  [1551] = {.lex_state = 210},
  [1552] = {.lex_state = 198},
  [1553] = {.lex_state = 198},
  [1554] = {.lex_state = 198},
  [1555] = {.lex_state = 198},
  [1556] = {.lex_state = 198},
  [1557] = {.lex_state = 198},
  [1558] = {.lex_state = 196},
  [1559] = {.lex_state = 196},
  [1560] = {.lex_state = 240},
  [1561] = {.lex_state = 196},
  [1562] = {.lex_state = 196},
  [1563] = {.lex_state = 196},
  [1564] = {.lex_state = 196},
  [1565] = {.lex_state = 196},
  [1566] = {.lex_state = 194},
  [1567] = {.lex_state = 240},
  [1568] = {.lex_state = 240},
  [1569] = {.lex_state = 240},
  [1570] = {.lex_state = 213},
  [1571] = {.lex_state = 240},
  [1572] = {.lex_state = 240},
  [1573] = {.lex_state = 198},
  [1574] = {.lex_state = 240},
  [1575] = {.lex_state = 240},
  [1576] = {.lex_state = 213},
  [1577] = {.lex_state = 240},
  [1578] = {.lex_state = 240},
  [1579] = {.lex_state = 198},
  [1580] = {.lex_state = 240},
  [1581] = {.lex_state = 240},
  [1582] = {.lex_state = 240},
  [1583] = {.lex_state = 240},
  [1584] = {.lex_state = 240},
  [1585] = {.lex_state = 240},
  [1586] = {.lex_state = 213},
  [1587] = {.lex_state = 221},
  [1588] = {.lex_state = 221},
  [1589] = {.lex_state = 240},
  [1590] = {.lex_state = 240},
  [1591] = {.lex_state = 240},
  [1592] = {.lex_state = 221},
  [1593] = {.lex_state = 240},
  [1594] = {.lex_state = 240},
  [1595] = {.lex_state = 240},
  [1596] = {.lex_state = 213},
  [1597] = {.lex_state = 240},
  [1598] = {.lex_state = 240},
  [1599] = {.lex_state = 240},
  [1600] = {.lex_state = 240},
  [1601] = {.lex_state = 240},
  [1602] = {.lex_state = 240},
  [1603] = {.lex_state = 240},
  [1604] = {.lex_state = 240},
  [1605] = {.lex_state = 240},
  [1606] = {.lex_state = 240},
  [1607] = {.lex_state = 240},
  [1608] = {.lex_state = 213},
  [1609] = {.lex_state = 240},
  [1610] = {.lex_state = 240},
  [1611] = {.lex_state = 213},
  [1612] = {.lex_state = 213},
  [1613] = {.lex_state = 213},
  [1614] = {.lex_state = 213},
  [1615] = {.lex_state = 213},
  [1616] = {.lex_state = 204},
  [1617] = {.lex_state = 221},
  [1618] = {.lex_state = 221},
  [1619] = {.lex_state = 240},
  [1620] = {.lex_state = 221},
  [1621] = {.lex_state = 240},
  [1622] = {.lex_state = 240},
  [1623] = {.lex_state = 221},
  [1624] = {.lex_state = 194},
  [1625] = {.lex_state = 240},
  [1626] = {.lex_state = 204},
  [1627] = {.lex_state = 209},
  [1628] = {.lex_state = 209},
  [1629] = {.lex_state = 209},
  [1630] = {.lex_state = 209},
  [1631] = {.lex_state = 209},
  [1632] = {.lex_state = 209},
  [1633] = {.lex_state = 209},
  [1634] = {.lex_state = 213},
  [1635] = {.lex_state = 238},
  [1636] = {.lex_state = 238},
  [1637] = {.lex_state = 213},
  [1638] = {.lex_state = 194},
  [1639] = {.lex_state = 179},
  [1640] = {.lex_state = 204},
  [1641] = {.lex_state = 204},
  [1642] = {.lex_state = 213},
  [1643] = {.lex_state = 213},
  [1644] = {.lex_state = 240},
  [1645] = {.lex_state = 217},
  [1646] = {.lex_state = 217},
  [1647] = {.lex_state = 217},
  [1648] = {.lex_state = 217},
  [1649] = {.lex_state = 217},
  [1650] = {.lex_state = 217},
  [1651] = {.lex_state = 217},
  [1652] = {.lex_state = 240},
  [1653] = {.lex_state = 173},
  [1654] = {.lex_state = 181},
  [1655] = {.lex_state = 240},
  [1656] = {.lex_state = 240},
  [1657] = {.lex_state = 181},
  [1658] = {.lex_state = 173},
  [1659] = {.lex_state = 181},
  [1660] = {.lex_state = 240},
  [1661] = {.lex_state = 240},
  [1662] = {.lex_state = 240},
  [1663] = {.lex_state = 240},
  [1664] = {.lex_state = 176},
  [1665] = {.lex_state = 240},
  [1666] = {.lex_state = 240},
  [1667] = {.lex_state = 240},
  [1668] = {.lex_state = 210},
  [1669] = {.lex_state = 210},
  [1670] = {.lex_state = 240},
  [1671] = {.lex_state = 240},
  [1672] = {.lex_state = 240},
  [1673] = {.lex_state = 240},
  [1674] = {.lex_state = 240},
  [1675] = {.lex_state = 240},
  [1676] = {.lex_state = 240},
  [1677] = {.lex_state = 240},
  [1678] = {.lex_state = 240},
  [1679] = {.lex_state = 240},
  [1680] = {.lex_state = 240},
  [1681] = {.lex_state = 240},
  [1682] = {.lex_state = 240},
  [1683] = {.lex_state = 240},
  [1684] = {.lex_state = 240},
  [1685] = {.lex_state = 240},
  [1686] = {.lex_state = 226},
  [1687] = {.lex_state = 240},
  [1688] = {.lex_state = 240},
  [1689] = {.lex_state = 240},
  [1690] = {.lex_state = 240},
  [1691] = {.lex_state = 240},
  [1692] = {.lex_state = 240},
  [1693] = {.lex_state = 240},
  [1694] = {.lex_state = 240},
  [1695] = {.lex_state = 240},
  [1696] = {.lex_state = 240},
  [1697] = {.lex_state = 240},
  [1698] = {.lex_state = 240},
  [1699] = {.lex_state = 240},
  [1700] = {.lex_state = 240},
  [1701] = {.lex_state = 181},
  [1702] = {.lex_state = 240},
  [1703] = {.lex_state = 240},
  [1704] = {.lex_state = 240},
  [1705] = {.lex_state = 240},
  [1706] = {.lex_state = 181},
  [1707] = {.lex_state = 204},
  [1708] = {.lex_state = 240},
  [1709] = {.lex_state = 240},
  [1710] = {.lex_state = 240},
  [1711] = {.lex_state = 240},
  [1712] = {.lex_state = 240},
  [1713] = {.lex_state = 240},
  [1714] = {.lex_state = 181},
  [1715] = {.lex_state = 209},
  [1716] = {.lex_state = 199},
  [1717] = {.lex_state = 181},
  [1718] = {.lex_state = 240},
  [1719] = {.lex_state = 240},
  [1720] = {.lex_state = 240},
  [1721] = {.lex_state = 240},
  [1722] = {.lex_state = 240},
  [1723] = {.lex_state = 240},
  [1724] = {.lex_state = 194},
  [1725] = {.lex_state = 226},
  [1726] = {.lex_state = 226},
  [1727] = {.lex_state = 226},
  [1728] = {.lex_state = 240},
  [1729] = {.lex_state = 240},
  [1730] = {.lex_state = 226},
  [1731] = {.lex_state = 240},
  [1732] = {.lex_state = 240},
  [1733] = {.lex_state = 194},
  [1734] = {.lex_state = 226},
  [1735] = {.lex_state = 240},
  [1736] = {.lex_state = 240},
  [1737] = {.lex_state = 240},
  [1738] = {.lex_state = 240},
  [1739] = {.lex_state = 240},
  [1740] = {.lex_state = 240},
  [1741] = {.lex_state = 240},
  [1742] = {.lex_state = 240},
  [1743] = {.lex_state = 240},
  [1744] = {.lex_state = 240},
  [1745] = {.lex_state = 240},
  [1746] = {.lex_state = 240},
  [1747] = {.lex_state = 240},
  [1748] = {.lex_state = 240},
  [1749] = {.lex_state = 240},
  [1750] = {.lex_state = 240},
  [1751] = {.lex_state = 240},
  [1752] = {.lex_state = 240},
  [1753] = {.lex_state = 240},
  [1754] = {.lex_state = 240},
  [1755] = {.lex_state = 240},
  [1756] = {.lex_state = 240},
  [1757] = {.lex_state = 240},
  [1758] = {.lex_state = 240},
  [1759] = {.lex_state = 240},
  [1760] = {.lex_state = 240},
  [1761] = {.lex_state = 240},
  [1762] = {.lex_state = 240},
  [1763] = {.lex_state = 240},
  [1764] = {.lex_state = 240},
  [1765] = {.lex_state = 240},
  [1766] = {.lex_state = 240},
  [1767] = {.lex_state = 240},
  [1768] = {.lex_state = 240},
  [1769] = {.lex_state = 226},
  [1770] = {.lex_state = 240},
  [1771] = {.lex_state = 240},
  [1772] = {.lex_state = 240},
  [1773] = {.lex_state = 240},
  [1774] = {.lex_state = 240},
  [1775] = {.lex_state = 240},
  [1776] = {.lex_state = 194},
  [1777] = {.lex_state = 240},
  [1778] = {.lex_state = 240},
  [1779] = {.lex_state = 226},
  [1780] = {.lex_state = 240},
  [1781] = {.lex_state = 194},
  [1782] = {.lex_state = 240},
  [1783] = {.lex_state = 194},
  [1784] = {.lex_state = 194},
  [1785] = {.lex_state = 194},
  [1786] = {.lex_state = 194},
  [1787] = {.lex_state = 194},
  [1788] = {.lex_state = 194},
  [1789] = {.lex_state = 194},
  [1790] = {.lex_state = 226},
  [1791] = {.lex_state = 226},
  [1792] = {.lex_state = 226},
  [1793] = {.lex_state = 240},
  [1794] = {.lex_state = 226},
  [1795] = {.lex_state = 226},
  [1796] = {.lex_state = 240},
  [1797] = {.lex_state = 204},
  [1798] = {.lex_state = 204},
  [1799] = {.lex_state = 204},
  [1800] = {.lex_state = 204},
  [1801] = {.lex_state = 203},
  [1802] = {.lex_state = 204},
  [1803] = {.lex_state = 204},
  [1804] = {.lex_state = 208},
  [1805] = {.lex_state = 204},
  [1806] = {.lex_state = 204},
  [1807] = {.lex_state = 204},
  [1808] = {.lex_state = 204},
  [1809] = {.lex_state = 204},
  [1810] = {.lex_state = 208},
  [1811] = {.lex_state = 204},
  [1812] = {.lex_state = 204},
  [1813] = {.lex_state = 204},
  [1814] = {.lex_state = 204},
  [1815] = {.lex_state = 204},
  [1816] = {.lex_state = 204},
  [1817] = {.lex_state = 204},
  [1818] = {.lex_state = 209},
  [1819] = {.lex_state = 204},
  [1820] = {.lex_state = 217},
  [1821] = {.lex_state = 238},
  [1822] = {.lex_state = 204},
  [1823] = {.lex_state = 204},
  [1824] = {.lex_state = 204},
  [1825] = {.lex_state = 204},
  [1826] = {.lex_state = 176},
  [1827] = {.lex_state = 204},
  [1828] = {.lex_state = 204},
  [1829] = {.lex_state = 204},
  [1830] = {.lex_state = 238},
  [1831] = {.lex_state = 238},
  [1832] = {.lex_state = 240},
  [1833] = {.lex_state = 204},
  [1834] = {.lex_state = 204},
  [1835] = {.lex_state = 204},
  [1836] = {.lex_state = 204},
  [1837] = {.lex_state = 204},
  [1838] = {.lex_state = 204},
  [1839] = {.lex_state = 204},
  [1840] = {.lex_state = 179},
  [1841] = {.lex_state = 238},
  [1842] = {.lex_state = 204},
  [1843] = {.lex_state = 204},
  [1844] = {.lex_state = 204},
  [1845] = {.lex_state = 204},
  [1846] = {.lex_state = 204},
  [1847] = {.lex_state = 208},
  [1848] = {.lex_state = 204},
  [1849] = {.lex_state = 204},
  [1850] = {.lex_state = 204},
  [1851] = {.lex_state = 208},
  [1852] = {.lex_state = 204},
  [1853] = {.lex_state = 176},
  [1854] = {.lex_state = 196},
  [1855] = {.lex_state = 196},
  [1856] = {.lex_state = 239},
  [1857] = {.lex_state = 199},
  [1858] = {.lex_state = 199},
  [1859] = {.lex_state = 199},
  [1860] = {.lex_state = 217},
  [1861] = {.lex_state = 239},
  [1862] = {.lex_state = 239},
  [1863] = {.lex_state = 196},
  [1864] = {.lex_state = 239},
  [1865] = {.lex_state = 239},
  [1866] = {.lex_state = 199},
  [1867] = {.lex_state = 241},
  [1868] = {.lex_state = 241},
  [1869] = {.lex_state = 239},
  [1870] = {.lex_state = 239},
  [1871] = {.lex_state = 205},
  [1872] = {.lex_state = 205},
  [1873] = {.lex_state = 240},
  [1874] = {.lex_state = 205},
  [1875] = {.lex_state = 208},
  [1876] = {.lex_state = 230},
  [1877] = {.lex_state = 208},
  [1878] = {.lex_state = 181},
  [1879] = {.lex_state = 205},
  [1880] = {.lex_state = 205},
  [1881] = {.lex_state = 208},
  [1882] = {.lex_state = 238},
  [1883] = {.lex_state = 196},
  [1884] = {.lex_state = 205},
  [1885] = {.lex_state = 208},
  [1886] = {.lex_state = 205},
  [1887] = {.lex_state = 208},
  [1888] = {.lex_state = 196},
  [1889] = {.lex_state = 240},
  [1890] = {.lex_state = 205},
  [1891] = {.lex_state = 238},
  [1892] = {.lex_state = 205},
  [1893] = {.lex_state = 205},
  [1894] = {.lex_state = 205},
  [1895] = {.lex_state = 196},
  [1896] = {.lex_state = 196},
  [1897] = {.lex_state = 196},
  [1898] = {.lex_state = 205},
  [1899] = {.lex_state = 205},
  [1900] = {.lex_state = 196},
  [1901] = {.lex_state = 240},
  [1902] = {.lex_state = 205},
  [1903] = {.lex_state = 240},
  [1904] = {.lex_state = 240},
  [1905] = {.lex_state = 240},
  [1906] = {.lex_state = 238},
  [1907] = {.lex_state = 240},
  [1908] = {.lex_state = 240},
  [1909] = {.lex_state = 240},
  [1910] = {.lex_state = 205},
  [1911] = {.lex_state = 238},
  [1912] = {.lex_state = 238},
  [1913] = {.lex_state = 208},
  [1914] = {.lex_state = 208},
  [1915] = {.lex_state = 208},
  [1916] = {.lex_state = 208},
  [1917] = {.lex_state = 204},
  [1918] = {.lex_state = 208},
  [1919] = {.lex_state = 208},
  [1920] = {.lex_state = 208},
  [1921] = {.lex_state = 208},
  [1922] = {.lex_state = 208},
  [1923] = {.lex_state = 208},
  [1924] = {.lex_state = 208},
  [1925] = {.lex_state = 208},
  [1926] = {.lex_state = 208},
  [1927] = {.lex_state = 208},
  [1928] = {.lex_state = 208},
  [1929] = {.lex_state = 238},
  [1930] = {.lex_state = 181},
  [1931] = {.lex_state = 238},
  [1932] = {.lex_state = 208},
  [1933] = {.lex_state = 181},
  [1934] = {.lex_state = 208},
  [1935] = {.lex_state = 238},
  [1936] = {.lex_state = 208},
  [1937] = {.lex_state = 181},
  [1938] = {.lex_state = 208},
  [1939] = {.lex_state = 208},
  [1940] = {.lex_state = 208},
  [1941] = {.lex_state = 208},
  [1942] = {.lex_state = 208},
  [1943] = {.lex_state = 208},
  [1944] = {.lex_state = 238},
  [1945] = {.lex_state = 208},
  [1946] = {.lex_state = 208},
  [1947] = {.lex_state = 208},
  [1948] = {.lex_state = 208},
  [1949] = {.lex_state = 238},
  [1950] = {.lex_state = 208},
  [1951] = {.lex_state = 238},
  [1952] = {.lex_state = 238},
  [1953] = {.lex_state = 238},
  [1954] = {.lex_state = 238},
  [1955] = {.lex_state = 238},
  [1956] = {.lex_state = 196},
  [1957] = {.lex_state = 204},
  [1958] = {.lex_state = 238},
  [1959] = {.lex_state = 238},
  [1960] = {.lex_state = 238},
  [1961] = {.lex_state = 238},
  [1962] = {.lex_state = 208},
  [1963] = {.lex_state = 238},
  [1964] = {.lex_state = 208},
  [1965] = {.lex_state = 208},
  [1966] = {.lex_state = 238},
  [1967] = {.lex_state = 238},
  [1968] = {.lex_state = 208},
  [1969] = {.lex_state = 208},
  [1970] = {.lex_state = 208},
  [1971] = {.lex_state = 208},
  [1972] = {.lex_state = 238},
  [1973] = {.lex_state = 238},
  [1974] = {.lex_state = 188},
  [1975] = {.lex_state = 240},
  [1976] = {.lex_state = 179},
  [1977] = {.lex_state = 238},
  [1978] = {.lex_state = 238},
  [1979] = {.lex_state = 238},
  [1980] = {.lex_state = 238},
  [1981] = {.lex_state = 238},
  [1982] = {.lex_state = 208},
  [1983] = {.lex_state = 238},
  [1984] = {.lex_state = 238},
  [1985] = {.lex_state = 238},
  [1986] = {.lex_state = 188},
  [1987] = {.lex_state = 238},
  [1988] = {.lex_state = 238},
  [1989] = {.lex_state = 238},
  [1990] = {.lex_state = 208},
  [1991] = {.lex_state = 208},
  [1992] = {.lex_state = 199},
  [1993] = {.lex_state = 238},
  [1994] = {.lex_state = 240},
  [1995] = {.lex_state = 238},
  [1996] = {.lex_state = 238},
  [1997] = {.lex_state = 241},
  [1998] = {.lex_state = 203},
  [1999] = {.lex_state = 240},
  [2000] = {.lex_state = 203},
  [2001] = {.lex_state = 238},
  [2002] = {.lex_state = 208},
  [2003] = {.lex_state = 179},
  [2004] = {.lex_state = 238},
  [2005] = {.lex_state = 208},
  [2006] = {.lex_state = 240},
  [2007] = {.lex_state = 238},
  [2008] = {.lex_state = 238},
  [2009] = {.lex_state = 238},
  [2010] = {.lex_state = 238},
  [2011] = {.lex_state = 238},
  [2012] = {.lex_state = 238},
  [2013] = {.lex_state = 199},
  [2014] = {.lex_state = 238},
  [2015] = {.lex_state = 238},
  [2016] = {.lex_state = 238},
  [2017] = {.lex_state = 238},
  [2018] = {.lex_state = 238},
  [2019] = {.lex_state = 238},
  [2020] = {.lex_state = 238},
  [2021] = {.lex_state = 238},
  [2022] = {.lex_state = 238},
  [2023] = {.lex_state = 238},
  [2024] = {.lex_state = 238},
  [2025] = {.lex_state = 179},
  [2026] = {.lex_state = 208},
  [2027] = {.lex_state = 208},
  [2028] = {.lex_state = 238},
  [2029] = {.lex_state = 238},
  [2030] = {.lex_state = 238},
  [2031] = {.lex_state = 238},
  [2032] = {.lex_state = 238},
  [2033] = {.lex_state = 208},
  [2034] = {.lex_state = 208},
  [2035] = {.lex_state = 238},
  [2036] = {.lex_state = 208},
  [2037] = {.lex_state = 208},
  [2038] = {.lex_state = 199},
  [2039] = {.lex_state = 208},
  [2040] = {.lex_state = 184},
  [2041] = {.lex_state = 238},
  [2042] = {.lex_state = 238},
  [2043] = {.lex_state = 184},
  [2044] = {.lex_state = 238},
  [2045] = {.lex_state = 238},
  [2046] = {.lex_state = 238},
  [2047] = {.lex_state = 238},
  [2048] = {.lex_state = 208},
  [2049] = {.lex_state = 238},
  [2050] = {.lex_state = 208},
  [2051] = {.lex_state = 238},
  [2052] = {.lex_state = 238},
  [2053] = {.lex_state = 238},
  [2054] = {.lex_state = 238},
  [2055] = {.lex_state = 181},
  [2056] = {.lex_state = 240},
  [2057] = {.lex_state = 188},
  [2058] = {.lex_state = 238},
  [2059] = {.lex_state = 208},
  [2060] = {.lex_state = 208},
  [2061] = {.lex_state = 208},
  [2062] = {.lex_state = 238},
  [2063] = {.lex_state = 208},
  [2064] = {.lex_state = 238},
  [2065] = {.lex_state = 238},
  [2066] = {.lex_state = 238},
  [2067] = {.lex_state = 208},
  [2068] = {.lex_state = 208},
  [2069] = {.lex_state = 238},
  [2070] = {.lex_state = 238},
  [2071] = {.lex_state = 238},
  [2072] = {.lex_state = 238},
  [2073] = {.lex_state = 238},
  [2074] = {.lex_state = 238},
  [2075] = {.lex_state = 240},
  [2076] = {.lex_state = 208},
  [2077] = {.lex_state = 208},
  [2078] = {.lex_state = 208},
  [2079] = {.lex_state = 208},
  [2080] = {.lex_state = 208},
  [2081] = {.lex_state = 240},
  [2082] = {.lex_state = 205},
  [2083] = {.lex_state = 208},
  [2084] = {.lex_state = 208},
  [2085] = {.lex_state = 208},
  [2086] = {.lex_state = 208},
  [2087] = {.lex_state = 241},
  [2088] = {.lex_state = 240},
  [2089] = {.lex_state = 208},
  [2090] = {.lex_state = 208},
  [2091] = {.lex_state = 240},
  [2092] = {.lex_state = 208},
  [2093] = {.lex_state = 208},
  [2094] = {.lex_state = 238},
  [2095] = {.lex_state = 208},
  [2096] = {.lex_state = 208},
  [2097] = {.lex_state = 208},
  [2098] = {.lex_state = 208},
  [2099] = {.lex_state = 208},
  [2100] = {.lex_state = 238},
  [2101] = {.lex_state = 208},
  [2102] = {.lex_state = 208},
  [2103] = {.lex_state = 208},
  [2104] = {.lex_state = 208},
  [2105] = {.lex_state = 179},
  [2106] = {.lex_state = 208},
  [2107] = {.lex_state = 208},
  [2108] = {.lex_state = 238},
  [2109] = {.lex_state = 208},
  [2110] = {.lex_state = 208},
  [2111] = {.lex_state = 238},
  [2112] = {.lex_state = 208},
  [2113] = {.lex_state = 208},
  [2114] = {.lex_state = 208},
  [2115] = {.lex_state = 208},
  [2116] = {.lex_state = 208},
  [2117] = {.lex_state = 208},
  [2118] = {.lex_state = 208},
  [2119] = {.lex_state = 238},
  [2120] = {.lex_state = 238},
  [2121] = {.lex_state = 208},
  [2122] = {.lex_state = 208},
  [2123] = {.lex_state = 238},
  [2124] = {.lex_state = 238},
  [2125] = {.lex_state = 238},
  [2126] = {.lex_state = 230},
  [2127] = {.lex_state = 197},
  [2128] = {.lex_state = 187},
  [2129] = {.lex_state = 199},
  [2130] = {.lex_state = 199},
  [2131] = {.lex_state = 199},
  [2132] = {.lex_state = 179},
  [2133] = {.lex_state = 197},
  [2134] = {.lex_state = 187},
  [2135] = {.lex_state = 179},
  [2136] = {.lex_state = 179},
  [2137] = {.lex_state = 199},
  [2138] = {.lex_state = 199},
  [2139] = {.lex_state = 187},
  [2140] = {.lex_state = 197},
  [2141] = {.lex_state = 196},
  [2142] = {.lex_state = 199},
  [2143] = {.lex_state = 199},
  [2144] = {.lex_state = 199},
  [2145] = {.lex_state = 185},
  [2146] = {.lex_state = 196},
  [2147] = {.lex_state = 196},
  [2148] = {.lex_state = 179},
  [2149] = {.lex_state = 185},
  [2150] = {.lex_state = 179},
  [2151] = {.lex_state = 196},
  [2152] = {.lex_state = 179},
  [2153] = {.lex_state = 197},
  [2154] = {.lex_state = 199},
  [2155] = {.lex_state = 230},
  [2156] = {.lex_state = 199},
  [2157] = {.lex_state = 179},
  [2158] = {.lex_state = 199},
  [2159] = {.lex_state = 199},
  [2160] = {.lex_state = 199},
  [2161] = {.lex_state = 197},
  [2162] = {.lex_state = 230},
  [2163] = {.lex_state = 179},
  [2164] = {.lex_state = 199},
  [2165] = {.lex_state = 240},
  [2166] = {.lex_state = 240},
  [2167] = {.lex_state = 189},
  [2168] = {.lex_state = 181},
  [2169] = {.lex_state = 196},
  [2170] = {.lex_state = 240},
  [2171] = {.lex_state = 205},
  [2172] = {.lex_state = 196},
  [2173] = {.lex_state = 240},
  [2174] = {.lex_state = 240},
  [2175] = {.lex_state = 205},
  [2176] = {.lex_state = 240},
  [2177] = {.lex_state = 191},
  [2178] = {.lex_state = 199},
  [2179] = {.lex_state = 199},
  [2180] = {.lex_state = 197},
  [2181] = {.lex_state = 196},
  [2182] = {.lex_state = 197},
  [2183] = {.lex_state = 197},
  [2184] = {.lex_state = 197},
  [2185] = {.lex_state = 197},
  [2186] = {.lex_state = 191},
  [2187] = {.lex_state = 196},
  [2188] = {.lex_state = 199},
  [2189] = {.lex_state = 199},
  [2190] = {.lex_state = 199},
  [2191] = {.lex_state = 199},
  [2192] = {.lex_state = 199},
  [2193] = {.lex_state = 196},
  [2194] = {.lex_state = 199},
  [2195] = {.lex_state = 199},
  [2196] = {.lex_state = 199},
  [2197] = {.lex_state = 199},
  [2198] = {.lex_state = 240},
  [2199] = {.lex_state = 196},
  [2200] = {.lex_state = 196},
  [2201] = {.lex_state = 196},
  [2202] = {.lex_state = 199},
  [2203] = {.lex_state = 196},
  [2204] = {.lex_state = 199},
  [2205] = {.lex_state = 199},
  [2206] = {.lex_state = 191},
  [2207] = {.lex_state = 197},
  [2208] = {.lex_state = 196},
  [2209] = {.lex_state = 230},
  [2210] = {.lex_state = 199},
  [2211] = {.lex_state = 196},
  [2212] = {.lex_state = 199},
  [2213] = {.lex_state = 199},
  [2214] = {.lex_state = 196},
  [2215] = {.lex_state = 181},
  [2216] = {.lex_state = 199},
  [2217] = {.lex_state = 196},
  [2218] = {.lex_state = 230},
  [2219] = {.lex_state = 189},
  [2220] = {.lex_state = 199},
  [2221] = {.lex_state = 240},
  [2222] = {.lex_state = 197},
  [2223] = {.lex_state = 240},
  [2224] = {.lex_state = 179},
  [2225] = {.lex_state = 196},
  [2226] = {.lex_state = 240},
  [2227] = {.lex_state = 197},
  [2228] = {.lex_state = 196},
  [2229] = {.lex_state = 199},
  [2230] = {.lex_state = 240},
  [2231] = {.lex_state = 199},
  [2232] = {.lex_state = 199},
  [2233] = {.lex_state = 199},
  [2234] = {.lex_state = 199},
  [2235] = {.lex_state = 199},
  [2236] = {.lex_state = 199},
  [2237] = {.lex_state = 199},
  [2238] = {.lex_state = 197},
  [2239] = {.lex_state = 199},
  [2240] = {.lex_state = 199},
  [2241] = {.lex_state = 199},
  [2242] = {.lex_state = 181},
  [2243] = {.lex_state = 199},
  [2244] = {.lex_state = 240},
  [2245] = {.lex_state = 179},
  [2246] = {.lex_state = 199},
  [2247] = {.lex_state = 199},
  [2248] = {.lex_state = 199},
  [2249] = {.lex_state = 240},
  [2250] = {.lex_state = 199},
  [2251] = {.lex_state = 240},
  [2252] = {.lex_state = 199},
  [2253] = {.lex_state = 181},
  [2254] = {.lex_state = 197},
  [2255] = {.lex_state = 197},
  [2256] = {.lex_state = 197},
  [2257] = {.lex_state = 199},
  [2258] = {.lex_state = 199},
  [2259] = {.lex_state = 240},
  [2260] = {.lex_state = 179},
  [2261] = {.lex_state = 199},
  [2262] = {.lex_state = 179},
  [2263] = {.lex_state = 240},
  [2264] = {.lex_state = 199},
  [2265] = {.lex_state = 199},
  [2266] = {.lex_state = 199},
  [2267] = {.lex_state = 181},
  [2268] = {.lex_state = 197},
  [2269] = {.lex_state = 199},
  [2270] = {.lex_state = 181},
  [2271] = {.lex_state = 205},
  [2272] = {.lex_state = 229},
  [2273] = {.lex_state = 229},
  [2274] = {.lex_state = 229},
  [2275] = {.lex_state = 229},
  [2276] = {.lex_state = 196},
  [2277] = {.lex_state = 203},
  [2278] = {.lex_state = 203},
  [2279] = {.lex_state = 229},
  [2280] = {.lex_state = 199},
  [2281] = {.lex_state = 196},
  [2282] = {.lex_state = 229},
  [2283] = {.lex_state = 205},
  [2284] = {.lex_state = 199},
  [2285] = {.lex_state = 229},
  [2286] = {.lex_state = 205},
  [2287] = {.lex_state = 205},
  [2288] = {.lex_state = 229},
  [2289] = {.lex_state = 205},
  [2290] = {.lex_state = 199},
  [2291] = {.lex_state = 229},
  [2292] = {.lex_state = 205},
  [2293] = {.lex_state = 181},
  [2294] = {.lex_state = 229},
  [2295] = {.lex_state = 229},
  [2296] = {.lex_state = 205},
  [2297] = {.lex_state = 199},
  [2298] = {.lex_state = 199},
  [2299] = {.lex_state = 199},
  [2300] = {.lex_state = 240},
  [2301] = {.lex_state = 199},
  [2302] = {.lex_state = 199},
  [2303] = {.lex_state = 196},
  [2304] = {.lex_state = 199},
  [2305] = {.lex_state = 199},
  [2306] = {.lex_state = 205},
  [2307] = {.lex_state = 240},
  [2308] = {.lex_state = 229},
  [2309] = {.lex_state = 205},
  [2310] = {.lex_state = 229},
  [2311] = {.lex_state = 199},
  [2312] = {.lex_state = 199},
  [2313] = {.lex_state = 199},
  [2314] = {.lex_state = 199},
  [2315] = {.lex_state = 196},
  [2316] = {.lex_state = 205},
  [2317] = {.lex_state = 181},
  [2318] = {.lex_state = 229},
  [2319] = {.lex_state = 187},
  [2320] = {.lex_state = 205},
  [2321] = {.lex_state = 199},
  [2322] = {.lex_state = 181},
  [2323] = {.lex_state = 205},
  [2324] = {.lex_state = 239},
  [2325] = {.lex_state = 196},
  [2326] = {.lex_state = 187},
  [2327] = {.lex_state = 191},
  [2328] = {.lex_state = 196},
  [2329] = {.lex_state = 196},
  [2330] = {.lex_state = 187},
  [2331] = {.lex_state = 196},
  [2332] = {.lex_state = 199},
  [2333] = {.lex_state = 181},
  [2334] = {.lex_state = 199},
  [2335] = {.lex_state = 199},
  [2336] = {.lex_state = 239},
  [2337] = {.lex_state = 187},
  [2338] = {.lex_state = 199},
  [2339] = {.lex_state = 239},
  [2340] = {.lex_state = 199},
  [2341] = {.lex_state = 196},
  [2342] = {.lex_state = 197},
  [2343] = {.lex_state = 199},
  [2344] = {.lex_state = 202},
  [2345] = {.lex_state = 187},
  [2346] = {.lex_state = 199},
  [2347] = {.lex_state = 211},
  [2348] = {.lex_state = 181},
  [2349] = {.lex_state = 197},
  [2350] = {.lex_state = 199},
  [2351] = {.lex_state = 181},
  [2352] = {.lex_state = 197},
  [2353] = {.lex_state = 196},
  [2354] = {.lex_state = 196},
  [2355] = {.lex_state = 197},
  [2356] = {.lex_state = 239},
  [2357] = {.lex_state = 181},
  [2358] = {.lex_state = 187},
  [2359] = {.lex_state = 239},
  [2360] = {.lex_state = 187},
  [2361] = {.lex_state = 230},
  [2362] = {.lex_state = 197},
  [2363] = {.lex_state = 199},
  [2364] = {.lex_state = 209},
  [2365] = {.lex_state = 187},
  [2366] = {.lex_state = 196},
  [2367] = {.lex_state = 239},
  [2368] = {.lex_state = 239},
  [2369] = {.lex_state = 239},
  [2370] = {.lex_state = 239},
  [2371] = {.lex_state = 239},
  [2372] = {.lex_state = 239},
  [2373] = {.lex_state = 199},
  [2374] = {.lex_state = 199},
  [2375] = {.lex_state = 199},
  [2376] = {.lex_state = 239},
  [2377] = {.lex_state = 239},
  [2378] = {.lex_state = 199},
  [2379] = {.lex_state = 239},
  [2380] = {.lex_state = 187},
  [2381] = {.lex_state = 199},
  [2382] = {.lex_state = 199},
  [2383] = {.lex_state = 239},
  [2384] = {.lex_state = 187},
  [2385] = {.lex_state = 199},
  [2386] = {.lex_state = 199},
  [2387] = {.lex_state = 199},
  [2388] = {.lex_state = 199},
  [2389] = {.lex_state = 199},
  [2390] = {.lex_state = 239},
  [2391] = {.lex_state = 218},
  [2392] = {.lex_state = 239},
  [2393] = {.lex_state = 239},
  [2394] = {.lex_state = 239},
  [2395] = {.lex_state = 239},
  [2396] = {.lex_state = 199},
  [2397] = {.lex_state = 239},
  [2398] = {.lex_state = 239},
  [2399] = {.lex_state = 239},
  [2400] = {.lex_state = 199},
  [2401] = {.lex_state = 199},
  [2402] = {.lex_state = 239},
  [2403] = {.lex_state = 199},
  [2404] = {.lex_state = 187},
  [2405] = {.lex_state = 239},
  [2406] = {.lex_state = 239},
  [2407] = {.lex_state = 239},
  [2408] = {.lex_state = 199},
  [2409] = {.lex_state = 199},
  [2410] = {.lex_state = 199},
  [2411] = {.lex_state = 199},
  [2412] = {.lex_state = 199},
  [2413] = {.lex_state = 191},
  [2414] = {.lex_state = 199},
  [2415] = {.lex_state = 199},
  [2416] = {.lex_state = 199},
  [2417] = {.lex_state = 199},
  [2418] = {.lex_state = 199},
  [2419] = {.lex_state = 199},
  [2420] = {.lex_state = 199},
  [2421] = {.lex_state = 199},
  [2422] = {.lex_state = 199},
  [2423] = {.lex_state = 199},
  [2424] = {.lex_state = 239},
  [2425] = {.lex_state = 191},
  [2426] = {.lex_state = 239},
  [2427] = {.lex_state = 191},
  [2428] = {.lex_state = 199},
  [2429] = {.lex_state = 239},
  [2430] = {.lex_state = 217},
  [2431] = {.lex_state = 199},
  [2432] = {.lex_state = 199},
  [2433] = {.lex_state = 199},
  [2434] = {.lex_state = 187},
  [2435] = {.lex_state = 199},
  [2436] = {.lex_state = 199},
  [2437] = {.lex_state = 239},
  [2438] = {.lex_state = 239},
  [2439] = {.lex_state = 199},
  [2440] = {.lex_state = 199},
  [2441] = {.lex_state = 191},
  [2442] = {.lex_state = 199},
  [2443] = {.lex_state = 199},
  [2444] = {.lex_state = 199},
  [2445] = {.lex_state = 199},
  [2446] = {.lex_state = 199},
  [2447] = {.lex_state = 199},
  [2448] = {.lex_state = 199},
  [2449] = {.lex_state = 199},
  [2450] = {.lex_state = 199},
  [2451] = {.lex_state = 199},
  [2452] = {.lex_state = 239},
  [2453] = {.lex_state = 199},
  [2454] = {.lex_state = 199},
  [2455] = {.lex_state = 199},
  [2456] = {.lex_state = 199},
  [2457] = {.lex_state = 239},
  [2458] = {.lex_state = 239},
  [2459] = {.lex_state = 199},
  [2460] = {.lex_state = 199},
  [2461] = {.lex_state = 199},
  [2462] = {.lex_state = 199},
  [2463] = {.lex_state = 199},
  [2464] = {.lex_state = 199},
  [2465] = {.lex_state = 199},
  [2466] = {.lex_state = 239},
  [2467] = {.lex_state = 199},
  [2468] = {.lex_state = 199},
  [2469] = {.lex_state = 199},
  [2470] = {.lex_state = 239},
  [2471] = {.lex_state = 199},
  [2472] = {.lex_state = 199},
  [2473] = {.lex_state = 199},
  [2474] = {.lex_state = 199},
  [2475] = {.lex_state = 199},
  [2476] = {.lex_state = 239},
  [2477] = {.lex_state = 239},
  [2478] = {.lex_state = 239},
  [2479] = {.lex_state = 199},
  [2480] = {.lex_state = 239},
  [2481] = {.lex_state = 239},
  [2482] = {.lex_state = 199},
  [2483] = {.lex_state = 199},
  [2484] = {.lex_state = 199},
  [2485] = {.lex_state = 199},
  [2486] = {.lex_state = 199},
  [2487] = {.lex_state = 199},
  [2488] = {.lex_state = 199},
  [2489] = {.lex_state = 199},
  [2490] = {.lex_state = 239},
  [2491] = {.lex_state = 199},
  [2492] = {.lex_state = 239},
  [2493] = {.lex_state = 228},
  [2494] = {.lex_state = 187},
  [2495] = {.lex_state = 228},
  [2496] = {.lex_state = 209},
  [2497] = {.lex_state = 209},
  [2498] = {.lex_state = 209},
  [2499] = {.lex_state = 239},
  [2500] = {.lex_state = 209},
  [2501] = {.lex_state = 209},
  [2502] = {.lex_state = 228},
  [2503] = {.lex_state = 228},
  [2504] = {.lex_state = 228},
  [2505] = {.lex_state = 228},
  [2506] = {.lex_state = 228},
  [2507] = {.lex_state = 228},
  [2508] = {.lex_state = 228},
  [2509] = {.lex_state = 228},
  [2510] = {.lex_state = 229},
  [2511] = {.lex_state = 229},
  [2512] = {.lex_state = 228},
  [2513] = {.lex_state = 209},
  [2514] = {.lex_state = 191},
  [2515] = {.lex_state = 191},
  [2516] = {.lex_state = 191},
  [2517] = {.lex_state = 191},
  [2518] = {.lex_state = 209},
  [2519] = {.lex_state = 209},
  [2520] = {.lex_state = 209},
  [2521] = {.lex_state = 209},
  [2522] = {.lex_state = 209},
  [2523] = {.lex_state = 239},
  [2524] = {.lex_state = 209},
  [2525] = {.lex_state = 209},
  [2526] = {.lex_state = 209},
  [2527] = {.lex_state = 239},
  [2528] = {.lex_state = 239},
  [2529] = {.lex_state = 209},
  [2530] = {.lex_state = 240},
  [2531] = {.lex_state = 241},
  [2532] = {.lex_state = 241},
  [2533] = {.lex_state = 228},
  [2534] = {.lex_state = 239},
  [2535] = {.lex_state = 228},
  [2536] = {.lex_state = 211},
  [2537] = {.lex_state = 176},
  [2538] = {.lex_state = 229},
  [2539] = {.lex_state = 229},
  [2540] = {.lex_state = 229},
  [2541] = {.lex_state = 239},
  [2542] = {.lex_state = 217},
  [2543] = {.lex_state = 229},
  [2544] = {.lex_state = 229},
  [2545] = {.lex_state = 229},
  [2546] = {.lex_state = 229},
  [2547] = {.lex_state = 229},
  [2548] = {.lex_state = 239},
  [2549] = {.lex_state = 229},
  [2550] = {.lex_state = 229},
  [2551] = {.lex_state = 229},
  [2552] = {.lex_state = 229},
  [2553] = {.lex_state = 229},
  [2554] = {.lex_state = 239},
  [2555] = {.lex_state = 239},
  [2556] = {.lex_state = 217},
  [2557] = {.lex_state = 217},
  [2558] = {.lex_state = 217},
  [2559] = {.lex_state = 217},
  [2560] = {.lex_state = 217},
  [2561] = {.lex_state = 217},
  [2562] = {.lex_state = 217},
  [2563] = {.lex_state = 217},
  [2564] = {.lex_state = 217},
  [2565] = {.lex_state = 217},
  [2566] = {.lex_state = 217},
  [2567] = {.lex_state = 217},
  [2568] = {.lex_state = 209},
  [2569] = {.lex_state = 217},
  [2570] = {.lex_state = 239},
  [2571] = {.lex_state = 239},
  [2572] = {.lex_state = 239},
  [2573] = {.lex_state = 229},
  [2574] = {.lex_state = 228},
  [2575] = {.lex_state = 187},
  [2576] = {.lex_state = 187},
  [2577] = {.lex_state = 239},
  [2578] = {.lex_state = 187},
  [2579] = {.lex_state = 187},
  [2580] = {.lex_state = 239},
  [2581] = {.lex_state = 239},
  [2582] = {.lex_state = 239},
  [2583] = {.lex_state = 183},
  [2584] = {.lex_state = 239},
  [2585] = {.lex_state = 239},
  [2586] = {.lex_state = 239},
  [2587] = {.lex_state = 239},
  [2588] = {.lex_state = 183},
  [2589] = {.lex_state = 239},
  [2590] = {.lex_state = 239},
  [2591] = {.lex_state = 209},
  [2592] = {.lex_state = 211},
  [2593] = {.lex_state = 209},
  [2594] = {.lex_state = 209},
  [2595] = {.lex_state = 209},
  [2596] = {.lex_state = 176},
  [2597] = {.lex_state = 209},
  [2598] = {.lex_state = 239},
  [2599] = {.lex_state = 183},
  [2600] = {.lex_state = 239},
  [2601] = {.lex_state = 211},
  [2602] = {.lex_state = 217},
  [2603] = {.lex_state = 217},
  [2604] = {.lex_state = 229},
  [2605] = {.lex_state = 229},
  [2606] = {.lex_state = 229},
  [2607] = {.lex_state = 229},
  [2608] = {.lex_state = 217},
  [2609] = {.lex_state = 229},
  [2610] = {.lex_state = 229},
  [2611] = {.lex_state = 229},
  [2612] = {.lex_state = 229},
  [2613] = {.lex_state = 218},
  [2614] = {.lex_state = 187},
  [2615] = {.lex_state = 229},
  [2616] = {.lex_state = 229},
  [2617] = {.lex_state = 229},
  [2618] = {.lex_state = 209},
  [2619] = {.lex_state = 187},
  [2620] = {.lex_state = 229},
  [2621] = {.lex_state = 229},
  [2622] = {.lex_state = 229},
  [2623] = {.lex_state = 218},
  [2624] = {.lex_state = 229},
  [2625] = {.lex_state = 229},
  [2626] = {.lex_state = 229},
  [2627] = {.lex_state = 229},
  [2628] = {.lex_state = 229},
  [2629] = {.lex_state = 229},
  [2630] = {.lex_state = 229},
  [2631] = {.lex_state = 217},
  [2632] = {.lex_state = 217},
  [2633] = {.lex_state = 233},
  [2634] = {.lex_state = 229},
  [2635] = {.lex_state = 229},
  [2636] = {.lex_state = 229},
  [2637] = {.lex_state = 240},
  [2638] = {.lex_state = 203},
  [2639] = {.lex_state = 203},
  [2640] = {.lex_state = 240},
  [2641] = {.lex_state = 217},
  [2642] = {.lex_state = 229},
  [2643] = {.lex_state = 229},
  [2644] = {.lex_state = 229},
  [2645] = {.lex_state = 229},
  [2646] = {.lex_state = 229},
  [2647] = {.lex_state = 229},
  [2648] = {.lex_state = 187},
  [2649] = {.lex_state = 229},
  [2650] = {.lex_state = 229},
  [2651] = {.lex_state = 211},
  [2652] = {.lex_state = 229},
  [2653] = {.lex_state = 187},
  [2654] = {.lex_state = 229},
  [2655] = {.lex_state = 233},
  [2656] = {.lex_state = 229},
  [2657] = {.lex_state = 239},
  [2658] = {.lex_state = 233},
  [2659] = {.lex_state = 233},
  [2660] = {.lex_state = 229},
  [2661] = {.lex_state = 241},
  [2662] = {.lex_state = 241},
  [2663] = {.lex_state = 209},
  [2664] = {.lex_state = 229},
  [2665] = {.lex_state = 229},
  [2666] = {.lex_state = 229},
  [2667] = {.lex_state = 239},
  [2668] = {.lex_state = 176},
  [2669] = {.lex_state = 176},
  [2670] = {.lex_state = 176},
  [2671] = {.lex_state = 209},
  [2672] = {.lex_state = 176},
  [2673] = {.lex_state = 194},
  [2674] = {.lex_state = 209},
  [2675] = {.lex_state = 217},
  [2676] = {.lex_state = 176},
  [2677] = {.lex_state = 176},
  [2678] = {.lex_state = 218},
  [2679] = {.lex_state = 209},
  [2680] = {.lex_state = 209},
  [2681] = {.lex_state = 176},
  [2682] = {.lex_state = 209},
  [2683] = {.lex_state = 194},
  [2684] = {.lex_state = 209},
  [2685] = {.lex_state = 209},
  [2686] = {.lex_state = 209},
  [2687] = {.lex_state = 194},
  [2688] = {.lex_state = 176},
  [2689] = {.lex_state = 194},
  [2690] = {.lex_state = 194},
  [2691] = {.lex_state = 209},
  [2692] = {.lex_state = 209},
  [2693] = {.lex_state = 194},
  [2694] = {.lex_state = 176},
  [2695] = {.lex_state = 239},
  [2696] = {.lex_state = 176},
  [2697] = {.lex_state = 176},
  [2698] = {.lex_state = 176},
  [2699] = {.lex_state = 209},
  [2700] = {.lex_state = 209},
  [2701] = {.lex_state = 176},
  [2702] = {.lex_state = 176},
  [2703] = {.lex_state = 209},
  [2704] = {.lex_state = 176},
  [2705] = {.lex_state = 194},
  [2706] = {.lex_state = 209},
  [2707] = {.lex_state = 209},
  [2708] = {.lex_state = 239},
  [2709] = {.lex_state = 239},
  [2710] = {.lex_state = 209},
  [2711] = {.lex_state = 176},
  [2712] = {.lex_state = 209},
  [2713] = {.lex_state = 209},
  [2714] = {.lex_state = 209},
  [2715] = {.lex_state = 176},
  [2716] = {.lex_state = 209},
  [2717] = {.lex_state = 176},
  [2718] = {.lex_state = 209},
  [2719] = {.lex_state = 176},
  [2720] = {.lex_state = 176},
  [2721] = {.lex_state = 197},
  [2722] = {.lex_state = 209},
  [2723] = {.lex_state = 196},
  [2724] = {.lex_state = 196},
  [2725] = {.lex_state = 196},
  [2726] = {.lex_state = 196},
  [2727] = {.lex_state = 209},
  [2728] = {.lex_state = 209},
  [2729] = {.lex_state = 209},
  [2730] = {.lex_state = 209},
  [2731] = {.lex_state = 209},
  [2732] = {.lex_state = 183},
  [2733] = {.lex_state = 209},
  [2734] = {.lex_state = 227},
  [2735] = {.lex_state = 239},
  [2736] = {.lex_state = 194},
  [2737] = {.lex_state = 239},
  [2738] = {.lex_state = 194},
  [2739] = {.lex_state = 196},
  [2740] = {.lex_state = 196},
  [2741] = {.lex_state = 211},
  [2742] = {.lex_state = 194},
  [2743] = {.lex_state = 194},
  [2744] = {.lex_state = 197},
  [2745] = {.lex_state = 239},
  [2746] = {.lex_state = 183},
  [2747] = {.lex_state = 209},
  [2748] = {.lex_state = 209},
  [2749] = {.lex_state = 243},
  [2750] = {.lex_state = 194},
  [2751] = {.lex_state = 194},
  [2752] = {.lex_state = 183},
  [2753] = {.lex_state = 227},
  [2754] = {.lex_state = 217},
  [2755] = {.lex_state = 217},
  [2756] = {.lex_state = 194},
  [2757] = {.lex_state = 194},
  [2758] = {.lex_state = 211},
  [2759] = {.lex_state = 194},
  [2760] = {.lex_state = 194},
  [2761] = {.lex_state = 209},
  [2762] = {.lex_state = 209},
  [2763] = {.lex_state = 209},
  [2764] = {.lex_state = 196},
  [2765] = {.lex_state = 209},
  [2766] = {.lex_state = 209},
  [2767] = {.lex_state = 194},
  [2768] = {.lex_state = 209},
  [2769] = {.lex_state = 217},
  [2770] = {.lex_state = 217},
  [2771] = {.lex_state = 183},
  [2772] = {.lex_state = 196},
  [2773] = {.lex_state = 196},
  [2774] = {.lex_state = 196},
  [2775] = {.lex_state = 194},
  [2776] = {.lex_state = 217},
  [2777] = {.lex_state = 194},
  [2778] = {.lex_state = 209},
  [2779] = {.lex_state = 209},
  [2780] = {.lex_state = 209},
  [2781] = {.lex_state = 209},
  [2782] = {.lex_state = 209},
  [2783] = {.lex_state = 197},
  [2784] = {.lex_state = 227},
  [2785] = {.lex_state = 197},
  [2786] = {.lex_state = 197},
  [2787] = {.lex_state = 197},
  [2788] = {.lex_state = 196},
  [2789] = {.lex_state = 196},
  [2790] = {.lex_state = 196},
  [2791] = {.lex_state = 196},
  [2792] = {.lex_state = 217},
  [2793] = {.lex_state = 197},
  [2794] = {.lex_state = 196},
  [2795] = {.lex_state = 196},
  [2796] = {.lex_state = 209},
  [2797] = {.lex_state = 209},
  [2798] = {.lex_state = 194},
  [2799] = {.lex_state = 196},
  [2800] = {.lex_state = 196},
  [2801] = {.lex_state = 209},
  [2802] = {.lex_state = 217},
  [2803] = {.lex_state = 239},
  [2804] = {.lex_state = 200},
  [2805] = {.lex_state = 217},
  [2806] = {.lex_state = 209},
  [2807] = {.lex_state = 209},
  [2808] = {.lex_state = 217},
  [2809] = {.lex_state = 209},
  [2810] = {.lex_state = 217},
  [2811] = {.lex_state = 209},
  [2812] = {.lex_state = 211},
  [2813] = {.lex_state = 217},
  [2814] = {.lex_state = 209},
  [2815] = {.lex_state = 217},
  [2816] = {.lex_state = 239},
  [2817] = {.lex_state = 203},
  [2818] = {.lex_state = 217},
  [2819] = {.lex_state = 195},
  [2820] = {.lex_state = 217},
  [2821] = {.lex_state = 242},
  [2822] = {.lex_state = 217},
  [2823] = {.lex_state = 200},
  [2824] = {.lex_state = 217},
  [2825] = {.lex_state = 242},
  [2826] = {.lex_state = 240},
  [2827] = {.lex_state = 209},
  [2828] = {.lex_state = 209},
  [2829] = {.lex_state = 217},
  [2830] = {.lex_state = 217},
  [2831] = {.lex_state = 203},
  [2832] = {.lex_state = 242},
  [2833] = {.lex_state = 239},
  [2834] = {.lex_state = 210},
  [2835] = {.lex_state = 203},
  [2836] = {.lex_state = 203},
  [2837] = {.lex_state = 203},
  [2838] = {.lex_state = 203},
  [2839] = {.lex_state = 203},
  [2840] = {.lex_state = 209},
  [2841] = {.lex_state = 203},
  [2842] = {.lex_state = 239},
  [2843] = {.lex_state = 239},
  [2844] = {.lex_state = 196},
  [2845] = {.lex_state = 203},
  [2846] = {.lex_state = 217},
  [2847] = {.lex_state = 239},
  [2848] = {.lex_state = 196},
  [2849] = {.lex_state = 239},
  [2850] = {.lex_state = 203},
  [2851] = {.lex_state = 217},
  [2852] = {.lex_state = 217},
  [2853] = {.lex_state = 210},
  [2854] = {.lex_state = 209},
  [2855] = {.lex_state = 239},
  [2856] = {.lex_state = 239},
  [2857] = {.lex_state = 210},
  [2858] = {.lex_state = 196},
  [2859] = {.lex_state = 203},
  [2860] = {.lex_state = 217},
  [2861] = {.lex_state = 239},
  [2862] = {.lex_state = 203},
  [2863] = {.lex_state = 239},
  [2864] = {.lex_state = 196},
  [2865] = {.lex_state = 203},
  [2866] = {.lex_state = 203},
  [2867] = {.lex_state = 242},
  [2868] = {.lex_state = 242},
  [2869] = {.lex_state = 196},
  [2870] = {.lex_state = 196},
  [2871] = {.lex_state = 196},
  [2872] = {.lex_state = 196},
  [2873] = {.lex_state = 196},
  [2874] = {.lex_state = 196},
  [2875] = {.lex_state = 196},
  [2876] = {.lex_state = 196},
  [2877] = {.lex_state = 196},
  [2878] = {.lex_state = 196},
  [2879] = {.lex_state = 239},
  [2880] = {.lex_state = 210},
  [2881] = {.lex_state = 209},
  [2882] = {.lex_state = 203},
  [2883] = {.lex_state = 195},
  [2884] = {.lex_state = 203},
  [2885] = {.lex_state = 217},
  [2886] = {.lex_state = 209},
  [2887] = {.lex_state = 203},
  [2888] = {.lex_state = 203},
  [2889] = {.lex_state = 209},
  [2890] = {.lex_state = 200},
  [2891] = {.lex_state = 209},
  [2892] = {.lex_state = 203},
  [2893] = {.lex_state = 217},
  [2894] = {.lex_state = 239},
  [2895] = {.lex_state = 203},
  [2896] = {.lex_state = 203},
  [2897] = {.lex_state = 196},
  [2898] = {.lex_state = 209},
  [2899] = {.lex_state = 228},
  [2900] = {.lex_state = 203},
  [2901] = {.lex_state = 210},
  [2902] = {.lex_state = 239},
  [2903] = {.lex_state = 203},
  [2904] = {.lex_state = 203},
  [2905] = {.lex_state = 209},
  [2906] = {.lex_state = 203},
  [2907] = {.lex_state = 209},
  [2908] = {.lex_state = 203},
  [2909] = {.lex_state = 196},
  [2910] = {.lex_state = 209},
  [2911] = {.lex_state = 209},
  [2912] = {.lex_state = 200},
  [2913] = {.lex_state = 239},
  [2914] = {.lex_state = 196},
  [2915] = {.lex_state = 242},
  [2916] = {.lex_state = 239},
  [2917] = {.lex_state = 239},
  [2918] = {.lex_state = 239},
  [2919] = {.lex_state = 196},
  [2920] = {.lex_state = 239},
  [2921] = {.lex_state = 239},
  [2922] = {.lex_state = 196},
  [2923] = {.lex_state = 242},
  [2924] = {.lex_state = 203},
  [2925] = {.lex_state = 239},
  [2926] = {.lex_state = 210},
  [2927] = {.lex_state = 203},
  [2928] = {.lex_state = 209},
  [2929] = {.lex_state = 203},
  [2930] = {.lex_state = 203},
  [2931] = {.lex_state = 217},
  [2932] = {.lex_state = 196},
  [2933] = {.lex_state = 196},
  [2934] = {.lex_state = 220},
  [2935] = {.lex_state = 196},
  [2936] = {.lex_state = 196},
  [2937] = {.lex_state = 196},
  [2938] = {.lex_state = 196},
  [2939] = {.lex_state = 196},
  [2940] = {.lex_state = 196},
  [2941] = {.lex_state = 239},
  [2942] = {.lex_state = 196},
  [2943] = {.lex_state = 239},
  [2944] = {.lex_state = 209},
  [2945] = {.lex_state = 170},
  [2946] = {.lex_state = 209},
  [2947] = {.lex_state = 209},
  [2948] = {.lex_state = 239},
  [2949] = {.lex_state = 170},
  [2950] = {.lex_state = 209},
  [2951] = {.lex_state = 209},
  [2952] = {.lex_state = 239},
  [2953] = {.lex_state = 239},
  [2954] = {.lex_state = 239},
  [2955] = {.lex_state = 239},
  [2956] = {.lex_state = 239},
  [2957] = {.lex_state = 209},
  [2958] = {.lex_state = 209},
  [2959] = {.lex_state = 170},
  [2960] = {.lex_state = 239},
  [2961] = {.lex_state = 209},
  [2962] = {.lex_state = 194},
  [2963] = {.lex_state = 209},
  [2964] = {.lex_state = 217},
  [2965] = {.lex_state = 209},
  [2966] = {.lex_state = 203},
  [2967] = {.lex_state = 239},
  [2968] = {.lex_state = 209},
  [2969] = {.lex_state = 240},
  [2970] = {.lex_state = 209},
  [2971] = {.lex_state = 240},
  [2972] = {.lex_state = 170},
  [2973] = {.lex_state = 220},
  [2974] = {.lex_state = 209},
  [2975] = {.lex_state = 209},
  [2976] = {.lex_state = 242},
  [2977] = {.lex_state = 209},
  [2978] = {.lex_state = 209},
  [2979] = {.lex_state = 176},
  [2980] = {.lex_state = 194},
  [2981] = {.lex_state = 196},
  [2982] = {.lex_state = 194},
  [2983] = {.lex_state = 209},
  [2984] = {.lex_state = 170},
  [2985] = {.lex_state = 196},
  [2986] = {.lex_state = 194},
  [2987] = {.lex_state = 194},
  [2988] = {.lex_state = 220},
  [2989] = {.lex_state = 194},
  [2990] = {.lex_state = 209},
  [2991] = {.lex_state = 210},
  [2992] = {.lex_state = 210},
  [2993] = {.lex_state = 196},
  [2994] = {.lex_state = 209},
  [2995] = {.lex_state = 196},
  [2996] = {.lex_state = 239},
  [2997] = {.lex_state = 209},
  [2998] = {.lex_state = 239},
  [2999] = {.lex_state = 209},
  [3000] = {.lex_state = 209},
  [3001] = {.lex_state = 209},
  [3002] = {.lex_state = 239},
  [3003] = {.lex_state = 196},
  [3004] = {.lex_state = 209},
  [3005] = {.lex_state = 209},
  [3006] = {.lex_state = 209},
  [3007] = {.lex_state = 209},
  [3008] = {.lex_state = 209},
  [3009] = {.lex_state = 239},
  [3010] = {.lex_state = 240},
  [3011] = {.lex_state = 239},
  [3012] = {.lex_state = 209},
  [3013] = {.lex_state = 209},
  [3014] = {.lex_state = 239},
  [3015] = {.lex_state = 209},
  [3016] = {.lex_state = 220},
  [3017] = {.lex_state = 240},
  [3018] = {.lex_state = 170},
  [3019] = {.lex_state = 239},
  [3020] = {.lex_state = 239},
  [3021] = {.lex_state = 239},
  [3022] = {.lex_state = 210},
  [3023] = {.lex_state = 196},
  [3024] = {.lex_state = 209},
  [3025] = {.lex_state = 240},
  [3026] = {.lex_state = 209},
  [3027] = {.lex_state = 240},
  [3028] = {.lex_state = 239},
  [3029] = {.lex_state = 240},
  [3030] = {.lex_state = 240},
  [3031] = {.lex_state = 240},
  [3032] = {.lex_state = 209},
  [3033] = {.lex_state = 209},
  [3034] = {.lex_state = 239},
  [3035] = {.lex_state = 209},
  [3036] = {.lex_state = 240},
  [3037] = {.lex_state = 209},
  [3038] = {.lex_state = 183},
  [3039] = {.lex_state = 240},
  [3040] = {.lex_state = 209},
  [3041] = {.lex_state = 209},
  [3042] = {.lex_state = 209},
  [3043] = {.lex_state = 196},
  [3044] = {.lex_state = 209},
  [3045] = {.lex_state = 240},
  [3046] = {.lex_state = 209},
  [3047] = {.lex_state = 239},
  [3048] = {.lex_state = 209},
  [3049] = {.lex_state = 239},
  [3050] = {.lex_state = 220},
  [3051] = {.lex_state = 239},
  [3052] = {.lex_state = 217},
  [3053] = {.lex_state = 239},
  [3054] = {.lex_state = 196},
  [3055] = {.lex_state = 240},
  [3056] = {.lex_state = 239},
  [3057] = {.lex_state = 209},
  [3058] = {.lex_state = 209},
  [3059] = {.lex_state = 209},
  [3060] = {.lex_state = 209},
  [3061] = {.lex_state = 209},
  [3062] = {.lex_state = 209},
  [3063] = {.lex_state = 240},
  [3064] = {.lex_state = 196},
  [3065] = {.lex_state = 209},
  [3066] = {.lex_state = 209},
  [3067] = {.lex_state = 209},
  [3068] = {.lex_state = 217},
  [3069] = {.lex_state = 209},
  [3070] = {.lex_state = 219},
  [3071] = {.lex_state = 212},
  [3072] = {.lex_state = 217},
  [3073] = {.lex_state = 209},
  [3074] = {.lex_state = 217},
  [3075] = {.lex_state = 183},
  [3076] = {.lex_state = 217},
  [3077] = {.lex_state = 220},
  [3078] = {.lex_state = 209},
  [3079] = {.lex_state = 217},
  [3080] = {.lex_state = 217},
  [3081] = {.lex_state = 209},
  [3082] = {.lex_state = 209},
  [3083] = {.lex_state = 217},
  [3084] = {.lex_state = 210},
  [3085] = {.lex_state = 217},
  [3086] = {.lex_state = 240},
  [3087] = {.lex_state = 183},
  [3088] = {.lex_state = 220},
  [3089] = {.lex_state = 217},
  [3090] = {.lex_state = 217},
  [3091] = {.lex_state = 217},
  [3092] = {.lex_state = 209},
  [3093] = {.lex_state = 196},
  [3094] = {.lex_state = 209},
  [3095] = {.lex_state = 240},
  [3096] = {.lex_state = 209},
  [3097] = {.lex_state = 209},
  [3098] = {.lex_state = 217},
  [3099] = {.lex_state = 217},
  [3100] = {.lex_state = 217},
  [3101] = {.lex_state = 239},
  [3102] = {.lex_state = 209},
  [3103] = {.lex_state = 217},
  [3104] = {.lex_state = 240},
  [3105] = {.lex_state = 217},
  [3106] = {.lex_state = 209},
  [3107] = {.lex_state = 209},
  [3108] = {.lex_state = 183},
  [3109] = {.lex_state = 209},
  [3110] = {.lex_state = 209},
  [3111] = {.lex_state = 209},
  [3112] = {.lex_state = 209},
  [3113] = {.lex_state = 217},
  [3114] = {.lex_state = 239},
  [3115] = {.lex_state = 217},
  [3116] = {.lex_state = 239},
  [3117] = {.lex_state = 217},
  [3118] = {.lex_state = 209},
  [3119] = {.lex_state = 217},
  [3120] = {.lex_state = 200},
  [3121] = {.lex_state = 217},
  [3122] = {.lex_state = 209},
  [3123] = {.lex_state = 217},
  [3124] = {.lex_state = 195},
  [3125] = {.lex_state = 240},
  [3126] = {.lex_state = 239},
  [3127] = {.lex_state = 217},
  [3128] = {.lex_state = 217},
  [3129] = {.lex_state = 217},
  [3130] = {.lex_state = 217},
  [3131] = {.lex_state = 209},
  [3132] = {.lex_state = 209},
  [3133] = {.lex_state = 217},
  [3134] = {.lex_state = 209},
  [3135] = {.lex_state = 209},
  [3136] = {.lex_state = 217},
  [3137] = {.lex_state = 217},
  [3138] = {.lex_state = 217},
  [3139] = {.lex_state = 195},
  [3140] = {.lex_state = 239},
  [3141] = {.lex_state = 217},
  [3142] = {.lex_state = 217},
  [3143] = {.lex_state = 209},
  [3144] = {.lex_state = 203},
  [3145] = {.lex_state = 209},
  [3146] = {.lex_state = 209},
  [3147] = {.lex_state = 209},
  [3148] = {.lex_state = 217},
  [3149] = {.lex_state = 205},
  [3150] = {.lex_state = 183},
  [3151] = {.lex_state = 209},
  [3152] = {.lex_state = 217},
  [3153] = {.lex_state = 209},
  [3154] = {.lex_state = 209},
  [3155] = {.lex_state = 240},
  [3156] = {.lex_state = 209},
  [3157] = {.lex_state = 217},
  [3158] = {.lex_state = 239},
  [3159] = {.lex_state = 209},
  [3160] = {.lex_state = 217},
  [3161] = {.lex_state = 217},
  [3162] = {.lex_state = 217},
  [3163] = {.lex_state = 210},
  [3164] = {.lex_state = 200},
  [3165] = {.lex_state = 209},
  [3166] = {.lex_state = 209},
  [3167] = {.lex_state = 217},
  [3168] = {.lex_state = 205},
  [3169] = {.lex_state = 210},
  [3170] = {.lex_state = 210},
  [3171] = {.lex_state = 239},
  [3172] = {.lex_state = 209},
  [3173] = {.lex_state = 210},
  [3174] = {.lex_state = 194},
  [3175] = {.lex_state = 239},
  [3176] = {.lex_state = 205},
  [3177] = {.lex_state = 209},
  [3178] = {.lex_state = 217},
  [3179] = {.lex_state = 205},
  [3180] = {.lex_state = 217},
  [3181] = {.lex_state = 210},
  [3182] = {.lex_state = 210},
  [3183] = {.lex_state = 217},
  [3184] = {.lex_state = 210},
  [3185] = {.lex_state = 210},
  [3186] = {.lex_state = 209},
  [3187] = {.lex_state = 209},
  [3188] = {.lex_state = 217},
  [3189] = {.lex_state = 195},
  [3190] = {.lex_state = 205},
  [3191] = {.lex_state = 217},
  [3192] = {.lex_state = 205},
  [3193] = {.lex_state = 205},
  [3194] = {.lex_state = 217},
  [3195] = {.lex_state = 195},
  [3196] = {.lex_state = 217},
  [3197] = {.lex_state = 217},
  [3198] = {.lex_state = 217},
  [3199] = {.lex_state = 217},
  [3200] = {.lex_state = 217},
  [3201] = {.lex_state = 210},
  [3202] = {.lex_state = 217},
  [3203] = {.lex_state = 239},
  [3204] = {.lex_state = 217},
  [3205] = {.lex_state = 210},
  [3206] = {.lex_state = 210},
  [3207] = {.lex_state = 214},
  [3208] = {.lex_state = 210},
  [3209] = {.lex_state = 210},
  [3210] = {.lex_state = 203},
  [3211] = {.lex_state = 205},
  [3212] = {.lex_state = 217},
  [3213] = {.lex_state = 210},
  [3214] = {.lex_state = 209},
  [3215] = {.lex_state = 217},
  [3216] = {.lex_state = 217},
  [3217] = {.lex_state = 195},
  [3218] = {.lex_state = 217},
  [3219] = {.lex_state = 205},
  [3220] = {.lex_state = 205},
  [3221] = {.lex_state = 205},
  [3222] = {.lex_state = 209},
  [3223] = {.lex_state = 209},
  [3224] = {.lex_state = 209},
  [3225] = {.lex_state = 217},
  [3226] = {.lex_state = 210},
  [3227] = {.lex_state = 194},
  [3228] = {.lex_state = 195},
  [3229] = {.lex_state = 205},
  [3230] = {.lex_state = 210},
  [3231] = {.lex_state = 217},
  [3232] = {.lex_state = 214},
  [3233] = {.lex_state = 205},
  [3234] = {.lex_state = 239},
  [3235] = {.lex_state = 195},
  [3236] = {.lex_state = 196},
  [3237] = {.lex_state = 210},
  [3238] = {.lex_state = 205},
  [3239] = {.lex_state = 217},
  [3240] = {.lex_state = 217},
  [3241] = {.lex_state = 239},
  [3242] = {.lex_state = 217},
  [3243] = {.lex_state = 210},
  [3244] = {.lex_state = 239},
  [3245] = {.lex_state = 203},
  [3246] = {.lex_state = 210},
  [3247] = {.lex_state = 205},
  [3248] = {.lex_state = 217},
  [3249] = {.lex_state = 199},
  [3250] = {.lex_state = 199},
  [3251] = {.lex_state = 199},
  [3252] = {.lex_state = 199},
  [3253] = {.lex_state = 199},
  [3254] = {.lex_state = 199},
  [3255] = {.lex_state = 199},
  [3256] = {.lex_state = 199},
  [3257] = {.lex_state = 199},
  [3258] = {.lex_state = 199},
  [3259] = {.lex_state = 199},
  [3260] = {.lex_state = 199},
  [3261] = {.lex_state = 199},
  [3262] = {.lex_state = 199},
  [3263] = {.lex_state = 199},
  [3264] = {.lex_state = 199},
  [3265] = {.lex_state = 199},
  [3266] = {.lex_state = 199},
  [3267] = {.lex_state = 199},
  [3268] = {.lex_state = 199},
  [3269] = {.lex_state = 199},
  [3270] = {.lex_state = 199},
  [3271] = {.lex_state = 199},
  [3272] = {.lex_state = 199},
  [3273] = {.lex_state = 205},
  [3274] = {.lex_state = 210},
  [3275] = {.lex_state = 210},
  [3276] = {.lex_state = 209},
  [3277] = {.lex_state = 210},
  [3278] = {.lex_state = 210},
  [3279] = {.lex_state = 210},
  [3280] = {.lex_state = 209},
  [3281] = {.lex_state = 210},
  [3282] = {.lex_state = 199},
  [3283] = {.lex_state = 210},
  [3284] = {.lex_state = 196},
  [3285] = {.lex_state = 196},
  [3286] = {.lex_state = 196},
  [3287] = {.lex_state = 217},
  [3288] = {.lex_state = 195},
  [3289] = {.lex_state = 217},
  [3290] = {.lex_state = 243},
  [3291] = {.lex_state = 209},
  [3292] = {.lex_state = 209},
  [3293] = {.lex_state = 210},
  [3294] = {.lex_state = 194},
  [3295] = {.lex_state = 209},
  [3296] = {.lex_state = 217},
  [3297] = {.lex_state = 209},
  [3298] = {.lex_state = 210},
  [3299] = {.lex_state = 217},
  [3300] = {.lex_state = 209},
  [3301] = {.lex_state = 209},
  [3302] = {.lex_state = 240},
  [3303] = {.lex_state = 205},
  [3304] = {.lex_state = 239},
  [3305] = {.lex_state = 210},
  [3306] = {.lex_state = 209},
  [3307] = {.lex_state = 205},
  [3308] = {.lex_state = 216},
  [3309] = {.lex_state = 217},
  [3310] = {.lex_state = 209},
  [3311] = {.lex_state = 209},
  [3312] = {.lex_state = 209},
  [3313] = {.lex_state = 209},
  [3314] = {.lex_state = 209},
  [3315] = {.lex_state = 209},
  [3316] = {.lex_state = 209},
  [3317] = {.lex_state = 220},
  [3318] = {.lex_state = 209},
  [3319] = {.lex_state = 209},
  [3320] = {.lex_state = 209},
  [3321] = {.lex_state = 209},
  [3322] = {.lex_state = 209},
  [3323] = {.lex_state = 209},
  [3324] = {.lex_state = 209},
  [3325] = {.lex_state = 183},
  [3326] = {.lex_state = 209},
  [3327] = {.lex_state = 209},
  [3328] = {.lex_state = 209},
  [3329] = {.lex_state = 209},
  [3330] = {.lex_state = 209},
  [3331] = {.lex_state = 242},
  [3332] = {.lex_state = 242},
  [3333] = {.lex_state = 209},
  [3334] = {.lex_state = 209},
  [3335] = {.lex_state = 209},
  [3336] = {.lex_state = 209},
  [3337] = {.lex_state = 239},
  [3338] = {.lex_state = 209},
  [3339] = {.lex_state = 209},
  [3340] = {.lex_state = 239},
  [3341] = {.lex_state = 217},
  [3342] = {.lex_state = 209},
  [3343] = {.lex_state = 209},
  [3344] = {.lex_state = 209},
  [3345] = {.lex_state = 209},
  [3346] = {.lex_state = 209},
  [3347] = {.lex_state = 209},
  [3348] = {.lex_state = 209},
  [3349] = {.lex_state = 209},
  [3350] = {.lex_state = 209},
  [3351] = {.lex_state = 209},
  [3352] = {.lex_state = 209},
  [3353] = {.lex_state = 209},
  [3354] = {.lex_state = 183},
  [3355] = {.lex_state = 209},
  [3356] = {.lex_state = 209},
  [3357] = {.lex_state = 209},
  [3358] = {.lex_state = 220},
  [3359] = {.lex_state = 209},
  [3360] = {.lex_state = 209},
  [3361] = {.lex_state = 209},
  [3362] = {.lex_state = 220},
  [3363] = {.lex_state = 209},
  [3364] = {.lex_state = 209},
  [3365] = {.lex_state = 209},
  [3366] = {.lex_state = 209},
  [3367] = {.lex_state = 183},
  [3368] = {.lex_state = 220},
  [3369] = {.lex_state = 209},
  [3370] = {.lex_state = 209},
  [3371] = {.lex_state = 209},
  [3372] = {.lex_state = 209},
  [3373] = {.lex_state = 209},
  [3374] = {.lex_state = 209},
  [3375] = {.lex_state = 209},
  [3376] = {.lex_state = 240},
  [3377] = {.lex_state = 209},
  [3378] = {.lex_state = 209},
  [3379] = {.lex_state = 209},
  [3380] = {.lex_state = 209},
  [3381] = {.lex_state = 209},
  [3382] = {.lex_state = 209},
  [3383] = {.lex_state = 209},
  [3384] = {.lex_state = 242},
  [3385] = {.lex_state = 242},
  [3386] = {.lex_state = 209},
  [3387] = {.lex_state = 209},
  [3388] = {.lex_state = 209},
  [3389] = {.lex_state = 209},
  [3390] = {.lex_state = 209},
  [3391] = {.lex_state = 209},
  [3392] = {.lex_state = 209},
  [3393] = {.lex_state = 209},
  [3394] = {.lex_state = 209},
  [3395] = {.lex_state = 209},
  [3396] = {.lex_state = 209},
  [3397] = {.lex_state = 209},
  [3398] = {.lex_state = 209},
  [3399] = {.lex_state = 209},
  [3400] = {.lex_state = 193},
  [3401] = {.lex_state = 222},
  [3402] = {.lex_state = 203},
  [3403] = {.lex_state = 196},
  [3404] = {.lex_state = 209},
  [3405] = {.lex_state = 209},
  [3406] = {.lex_state = 209},
  [3407] = {.lex_state = 220},
  [3408] = {.lex_state = 209},
  [3409] = {.lex_state = 209},
  [3410] = {.lex_state = 203},
  [3411] = {.lex_state = 220},
  [3412] = {.lex_state = 203},
  [3413] = {.lex_state = 209},
  [3414] = {.lex_state = 203},
  [3415] = {.lex_state = 209},
  [3416] = {.lex_state = 220},
  [3417] = {.lex_state = 203},
  [3418] = {.lex_state = 203},
  [3419] = {.lex_state = 220},
  [3420] = {.lex_state = 209},
  [3421] = {.lex_state = 209},
  [3422] = {.lex_state = 203},
  [3423] = {.lex_state = 203},
  [3424] = {.lex_state = 203},
  [3425] = {.lex_state = 203},
  [3426] = {.lex_state = 203},
  [3427] = {.lex_state = 220},
  [3428] = {.lex_state = 203},
  [3429] = {.lex_state = 209},
  [3430] = {.lex_state = 203},
  [3431] = {.lex_state = 203},
  [3432] = {.lex_state = 220},
  [3433] = {.lex_state = 220},
  [3434] = {.lex_state = 209},
  [3435] = {.lex_state = 209},
  [3436] = {.lex_state = 194},
  [3437] = {.lex_state = 209},
  [3438] = {.lex_state = 209},
  [3439] = {.lex_state = 209},
  [3440] = {.lex_state = 209},
  [3441] = {.lex_state = 239},
  [3442] = {.lex_state = 209},
  [3443] = {.lex_state = 222},
  [3444] = {.lex_state = 209},
  [3445] = {.lex_state = 209},
  [3446] = {.lex_state = 209},
  [3447] = {.lex_state = 203},
  [3448] = {.lex_state = 203},
  [3449] = {.lex_state = 220},
  [3450] = {.lex_state = 242},
  [3451] = {.lex_state = 240},
  [3452] = {.lex_state = 183},
  [3453] = {.lex_state = 242},
  [3454] = {.lex_state = 209},
  [3455] = {.lex_state = 220},
  [3456] = {.lex_state = 220},
  [3457] = {.lex_state = 209},
  [3458] = {.lex_state = 209},
  [3459] = {.lex_state = 183},
  [3460] = {.lex_state = 217},
  [3461] = {.lex_state = 209},
  [3462] = {.lex_state = 209},
  [3463] = {.lex_state = 209},
  [3464] = {.lex_state = 193},
  [3465] = {.lex_state = 242},
  [3466] = {.lex_state = 239},
  [3467] = {.lex_state = 239},
  [3468] = {.lex_state = 242},
  [3469] = {.lex_state = 209},
  [3470] = {.lex_state = 209},
  [3471] = {.lex_state = 209},
  [3472] = {.lex_state = 209},
  [3473] = {.lex_state = 209},
  [3474] = {.lex_state = 209},
  [3475] = {.lex_state = 209},
  [3476] = {.lex_state = 239},
  [3477] = {.lex_state = 209},
  [3478] = {.lex_state = 217},
  [3479] = {.lex_state = 209},
  [3480] = {.lex_state = 209},
  [3481] = {.lex_state = 224},
  [3482] = {.lex_state = 209},
  [3483] = {.lex_state = 209},
  [3484] = {.lex_state = 209},
  [3485] = {.lex_state = 209},
  [3486] = {.lex_state = 217},
  [3487] = {.lex_state = 209},
  [3488] = {.lex_state = 209},
  [3489] = {.lex_state = 220},
  [3490] = {.lex_state = 220},
  [3491] = {.lex_state = 209},
  [3492] = {.lex_state = 193},
  [3493] = {.lex_state = 209},
  [3494] = {.lex_state = 209},
  [3495] = {.lex_state = 203},
  [3496] = {.lex_state = 217},
  [3497] = {.lex_state = 217},
  [3498] = {.lex_state = 217},
  [3499] = {.lex_state = 217},
  [3500] = {.lex_state = 217},
  [3501] = {.lex_state = 217},
  [3502] = {.lex_state = 196},
  [3503] = {.lex_state = 209},
  [3504] = {.lex_state = 203},
  [3505] = {.lex_state = 217},
  [3506] = {.lex_state = 199},
  [3507] = {.lex_state = 199},
  [3508] = {.lex_state = 199},
  [3509] = {.lex_state = 199},
  [3510] = {.lex_state = 199},
  [3511] = {.lex_state = 199},
  [3512] = {.lex_state = 217},
  [3513] = {.lex_state = 196},
  [3514] = {.lex_state = 217},
  [3515] = {.lex_state = 209},
  [3516] = {.lex_state = 217},
  [3517] = {.lex_state = 217},
  [3518] = {.lex_state = 217},
  [3519] = {.lex_state = 217},
  [3520] = {.lex_state = 217},
  [3521] = {.lex_state = 205},
  [3522] = {.lex_state = 217},
  [3523] = {.lex_state = 217},
  [3524] = {.lex_state = 240},
  [3525] = {.lex_state = 217},
  [3526] = {.lex_state = 217},
  [3527] = {.lex_state = 217},
  [3528] = {.lex_state = 209},
  [3529] = {.lex_state = 209},
  [3530] = {.lex_state = 209},
  [3531] = {.lex_state = 209},
  [3532] = {.lex_state = 209},
  [3533] = {.lex_state = 209},
  [3534] = {.lex_state = 209},
  [3535] = {.lex_state = 209},
  [3536] = {.lex_state = 209},
  [3537] = {.lex_state = 217},
  [3538] = {.lex_state = 209},
  [3539] = {.lex_state = 209},
  [3540] = {.lex_state = 195},
  [3541] = {.lex_state = 196},
  [3542] = {.lex_state = 217},
  [3543] = {.lex_state = 217},
  [3544] = {.lex_state = 217},
  [3545] = {.lex_state = 203},
  [3546] = {.lex_state = 217},
  [3547] = {.lex_state = 217},
  [3548] = {.lex_state = 203},
  [3549] = {.lex_state = 217},
  [3550] = {.lex_state = 217},
  [3551] = {.lex_state = 217},
  [3552] = {.lex_state = 209},
  [3553] = {.lex_state = 217},
  [3554] = {.lex_state = 209},
  [3555] = {.lex_state = 217},
  [3556] = {.lex_state = 209},
  [3557] = {.lex_state = 217},
  [3558] = {.lex_state = 199},
  [3559] = {.lex_state = 217},
  [3560] = {.lex_state = 203},
  [3561] = {.lex_state = 217},
  [3562] = {.lex_state = 209},
  [3563] = {.lex_state = 217},
  [3564] = {.lex_state = 217},
  [3565] = {.lex_state = 217},
  [3566] = {.lex_state = 217},
  [3567] = {.lex_state = 217},
  [3568] = {.lex_state = 209},
  [3569] = {.lex_state = 217},
  [3570] = {.lex_state = 209},
  [3571] = {.lex_state = 203},
  [3572] = {.lex_state = 203},
  [3573] = {.lex_state = 203},
  [3574] = {.lex_state = 203},
  [3575] = {.lex_state = 203},
  [3576] = {.lex_state = 209},
  [3577] = {.lex_state = 203},
  [3578] = {.lex_state = 183},
  [3579] = {.lex_state = 183},
  [3580] = {.lex_state = 183},
  [3581] = {.lex_state = 217},
  [3582] = {.lex_state = 217},
  [3583] = {.lex_state = 217},
  [3584] = {.lex_state = 217},
  [3585] = {.lex_state = 217},
  [3586] = {.lex_state = 183},
  [3587] = {.lex_state = 205},
  [3588] = {.lex_state = 217},
  [3589] = {.lex_state = 217},
  [3590] = {.lex_state = 239},
  [3591] = {.lex_state = 239},
  [3592] = {.lex_state = 217},
  [3593] = {.lex_state = 217},
  [3594] = {.lex_state = 217},
  [3595] = {.lex_state = 217},
  [3596] = {.lex_state = 239},
  [3597] = {.lex_state = 209},
  [3598] = {.lex_state = 239},
  [3599] = {.lex_state = 239},
  [3600] = {.lex_state = 239},
  [3601] = {.lex_state = 239},
  [3602] = {.lex_state = 239},
  [3603] = {.lex_state = 239},
  [3604] = {.lex_state = 239},
  [3605] = {.lex_state = 239},
  [3606] = {.lex_state = 239},
  [3607] = {.lex_state = 217},
  [3608] = {.lex_state = 217},
  [3609] = {.lex_state = 217},
  [3610] = {.lex_state = 217},
  [3611] = {.lex_state = 217},
  [3612] = {.lex_state = 217},
  [3613] = {.lex_state = 217},
  [3614] = {.lex_state = 217},
  [3615] = {.lex_state = 217},
  [3616] = {.lex_state = 209},
  [3617] = {.lex_state = 217},
  [3618] = {.lex_state = 217},
  [3619] = {.lex_state = 239},
  [3620] = {.lex_state = 217},
  [3621] = {.lex_state = 217},
  [3622] = {.lex_state = 217},
  [3623] = {.lex_state = 217},
  [3624] = {.lex_state = 217},
  [3625] = {.lex_state = 209},
  [3626] = {.lex_state = 217},
  [3627] = {.lex_state = 217},
  [3628] = {.lex_state = 217},
  [3629] = {.lex_state = 203},
  [3630] = {.lex_state = 217},
  [3631] = {.lex_state = 217},
  [3632] = {.lex_state = 209},
  [3633] = {.lex_state = 217},
  [3634] = {.lex_state = 217},
  [3635] = {.lex_state = 217},
  [3636] = {.lex_state = 217},
  [3637] = {.lex_state = 217},
  [3638] = {.lex_state = 196},
  [3639] = {.lex_state = 205},
  [3640] = {.lex_state = 217},
  [3641] = {.lex_state = 217},
  [3642] = {.lex_state = 196},
  [3643] = {.lex_state = 217},
  [3644] = {.lex_state = 209},
  [3645] = {.lex_state = 217},
  [3646] = {.lex_state = 217},
  [3647] = {.lex_state = 217},
  [3648] = {.lex_state = 209},
  [3649] = {.lex_state = 199},
  [3650] = {.lex_state = 217},
  [3651] = {.lex_state = 240},
  [3652] = {.lex_state = 205},
  [3653] = {.lex_state = 240},
  [3654] = {.lex_state = 243},
  [3655] = {.lex_state = 240},
  [3656] = {.lex_state = 240},
  [3657] = {.lex_state = 205},
  [3658] = {.lex_state = 240},
  [3659] = {.lex_state = 183},
  [3660] = {.lex_state = 183},
  [3661] = {.lex_state = 203},
  [3662] = {.lex_state = 240},
  [3663] = {.lex_state = 240},
  [3664] = {.lex_state = 240},
  [3665] = {.lex_state = 240},
  [3666] = {.lex_state = 240},
  [3667] = {.lex_state = 203},
  [3668] = {.lex_state = 240},
  [3669] = {.lex_state = 205},
  [3670] = {.lex_state = 240},
  [3671] = {.lex_state = 240},
  [3672] = {.lex_state = 240},
  [3673] = {.lex_state = 240},
  [3674] = {.lex_state = 240},
  [3675] = {.lex_state = 240},
  [3676] = {.lex_state = 203},
  [3677] = {.lex_state = 240},
  [3678] = {.lex_state = 203},
  [3679] = {.lex_state = 240},
  [3680] = {.lex_state = 240},
  [3681] = {.lex_state = 183},
  [3682] = {.lex_state = 203},
  [3683] = {.lex_state = 194},
  [3684] = {.lex_state = 240},
  [3685] = {.lex_state = 240},
  [3686] = {.lex_state = 183},
  [3687] = {.lex_state = 203},
  [3688] = {.lex_state = 240},
  [3689] = {.lex_state = 240},
  [3690] = {.lex_state = 240},
  [3691] = {.lex_state = 240},
  [3692] = {.lex_state = 240},
  [3693] = {.lex_state = 240},
  [3694] = {.lex_state = 240},
  [3695] = {.lex_state = 239},
  [3696] = {.lex_state = 240},
  [3697] = {.lex_state = 240},
  [3698] = {.lex_state = 240},
  [3699] = {.lex_state = 203},
  [3700] = {.lex_state = 240},
  [3701] = {.lex_state = 240},
  [3702] = {.lex_state = 240},
  [3703] = {.lex_state = 205},
  [3704] = {.lex_state = 240},
  [3705] = {.lex_state = 240},
  [3706] = {.lex_state = 240},
  [3707] = {.lex_state = 240},
  [3708] = {.lex_state = 240},
  [3709] = {.lex_state = 240},
  [3710] = {.lex_state = 240},
  [3711] = {.lex_state = 240},
  [3712] = {.lex_state = 240},
  [3713] = {.lex_state = 196},
  [3714] = {.lex_state = 240},
  [3715] = {.lex_state = 243},
  [3716] = {.lex_state = 240},
  [3717] = {.lex_state = 243},
  [3718] = {.lex_state = 240},
  [3719] = {.lex_state = 240},
  [3720] = {.lex_state = 240},
  [3721] = {.lex_state = 240},
  [3722] = {.lex_state = 214},
  [3723] = {.lex_state = 240},
  [3724] = {.lex_state = 240},
  [3725] = {.lex_state = 240},
  [3726] = {.lex_state = 205},
  [3727] = {.lex_state = 214},
  [3728] = {.lex_state = 240},
  [3729] = {.lex_state = 240},
  [3730] = {.lex_state = 240},
  [3731] = {.lex_state = 194},
  [3732] = {.lex_state = 209},
  [3733] = {.lex_state = 194},
  [3734] = {.lex_state = 240},
  [3735] = {.lex_state = 205},
  [3736] = {.lex_state = 240},
  [3737] = {.lex_state = 240},
  [3738] = {.lex_state = 240},
  [3739] = {.lex_state = 240},
  [3740] = {.lex_state = 240},
  [3741] = {.lex_state = 240},
  [3742] = {.lex_state = 240},
  [3743] = {.lex_state = 203},
  [3744] = {.lex_state = 240},
  [3745] = {.lex_state = 240},
  [3746] = {.lex_state = 240},
  [3747] = {.lex_state = 240},
  [3748] = {.lex_state = 240},
  [3749] = {.lex_state = 203},
  [3750] = {.lex_state = 240},
  [3751] = {.lex_state = 240},
  [3752] = {.lex_state = 240},
  [3753] = {.lex_state = 240},
  [3754] = {.lex_state = 239},
  [3755] = {.lex_state = 240},
  [3756] = {.lex_state = 193},
  [3757] = {.lex_state = 209},
  [3758] = {.lex_state = 240},
  [3759] = {.lex_state = 205},
  [3760] = {.lex_state = 205},
  [3761] = {.lex_state = 240},
  [3762] = {.lex_state = 209},
  [3763] = {.lex_state = 205},
  [3764] = {.lex_state = 205},
  [3765] = {.lex_state = 209},
  [3766] = {.lex_state = 209},
  [3767] = {.lex_state = 205},
  [3768] = {.lex_state = 240},
  [3769] = {.lex_state = 205},
  [3770] = {.lex_state = 239},
  [3771] = {.lex_state = 209},
  [3772] = {.lex_state = 209},
  [3773] = {.lex_state = 209},
  [3774] = {.lex_state = 209},
  [3775] = {.lex_state = 209},
  [3776] = {.lex_state = 240},
  [3777] = {.lex_state = 242},
  [3778] = {.lex_state = 205},
  [3779] = {.lex_state = 209},
  [3780] = {.lex_state = 240},
  [3781] = {.lex_state = 209},
  [3782] = {.lex_state = 193},
  [3783] = {.lex_state = 193},
  [3784] = {.lex_state = 205},
  [3785] = {.lex_state = 209},
  [3786] = {.lex_state = 209},
  [3787] = {.lex_state = 209},
  [3788] = {.lex_state = 240},
  [3789] = {.lex_state = 205},
  [3790] = {.lex_state = 203},
  [3791] = {.lex_state = 205},
  [3792] = {.lex_state = 209},
  [3793] = {.lex_state = 228},
  [3794] = {.lex_state = 205},
  [3795] = {.lex_state = 205},
  [3796] = {.lex_state = 209},
  [3797] = {.lex_state = 205},
  [3798] = {.lex_state = 209},
  [3799] = {.lex_state = 203},
  [3800] = {.lex_state = 209},
  [3801] = {.lex_state = 209},
  [3802] = {.lex_state = 209},
  [3803] = {.lex_state = 203},
  [3804] = {.lex_state = 193},
  [3805] = {.lex_state = 240},
  [3806] = {.lex_state = 205},
  [3807] = {.lex_state = 193},
  [3808] = {.lex_state = 205},
  [3809] = {.lex_state = 205},
  [3810] = {.lex_state = 209},
  [3811] = {.lex_state = 209},
  [3812] = {.lex_state = 203},
  [3813] = {.lex_state = 209},
  [3814] = {.lex_state = 240},
  [3815] = {.lex_state = 205},
  [3816] = {.lex_state = 205},
  [3817] = {.lex_state = 209},
  [3818] = {.lex_state = 240},
  [3819] = {.lex_state = 203},
  [3820] = {.lex_state = 240},
  [3821] = {.lex_state = 205},
  [3822] = {.lex_state = 241},
  [3823] = {.lex_state = 241},
  [3824] = {.lex_state = 209},
  [3825] = {.lex_state = 203},
  [3826] = {.lex_state = 205},
  [3827] = {.lex_state = 240},
  [3828] = {.lex_state = 205},
  [3829] = {.lex_state = 205},
  [3830] = {.lex_state = 209},
  [3831] = {.lex_state = 205},
  [3832] = {.lex_state = 240},
  [3833] = {.lex_state = 240},
  [3834] = {.lex_state = 240},
  [3835] = {.lex_state = 209},
  [3836] = {.lex_state = 241},
  [3837] = {.lex_state = 240},
  [3838] = {.lex_state = 239},
  [3839] = {.lex_state = 205},
  [3840] = {.lex_state = 209},
  [3841] = {.lex_state = 209},
  [3842] = {.lex_state = 209},
  [3843] = {.lex_state = 209},
  [3844] = {.lex_state = 209},
  [3845] = {.lex_state = 209},
  [3846] = {.lex_state = 209},
  [3847] = {.lex_state = 205},
  [3848] = {.lex_state = 205},
  [3849] = {.lex_state = 209},
  [3850] = {.lex_state = 205},
  [3851] = {.lex_state = 209},
  [3852] = {.lex_state = 209},
  [3853] = {.lex_state = 209},
  [3854] = {.lex_state = 209},
  [3855] = {.lex_state = 240},
  [3856] = {.lex_state = 209},
  [3857] = {.lex_state = 209},
  [3858] = {.lex_state = 205},
  [3859] = {.lex_state = 209},
  [3860] = {.lex_state = 209},
  [3861] = {.lex_state = 209},
  [3862] = {.lex_state = 209},
  [3863] = {.lex_state = 209},
  [3864] = {.lex_state = 209},
  [3865] = {.lex_state = 209},
  [3866] = {.lex_state = 242},
  [3867] = {.lex_state = 240},
  [3868] = {.lex_state = 209},
  [3869] = {.lex_state = 240},
  [3870] = {.lex_state = 205},
  [3871] = {.lex_state = 205},
  [3872] = {.lex_state = 209},
  [3873] = {.lex_state = 205},
  [3874] = {.lex_state = 209},
  [3875] = {.lex_state = 209},
  [3876] = {.lex_state = 209},
  [3877] = {.lex_state = 209},
  [3878] = {.lex_state = 205},
  [3879] = {.lex_state = 209},
  [3880] = {.lex_state = 239},
  [3881] = {.lex_state = 240},
  [3882] = {.lex_state = 209},
  [3883] = {.lex_state = 240},
  [3884] = {.lex_state = 242},
  [3885] = {.lex_state = 241},
  [3886] = {.lex_state = 203},
  [3887] = {.lex_state = 203},
  [3888] = {.lex_state = 203},
  [3889] = {.lex_state = 193},
  [3890] = {.lex_state = 194},
  [3891] = {.lex_state = 203},
  [3892] = {.lex_state = 203},
  [3893] = {.lex_state = 203},
  [3894] = {.lex_state = 203},
  [3895] = {.lex_state = 203},
  [3896] = {.lex_state = 203},
  [3897] = {.lex_state = 203},
  [3898] = {.lex_state = 203},
  [3899] = {.lex_state = 243},
  [3900] = {.lex_state = 203},
  [3901] = {.lex_state = 203},
  [3902] = {.lex_state = 203},
  [3903] = {.lex_state = 203},
  [3904] = {.lex_state = 203},
  [3905] = {.lex_state = 203},
  [3906] = {.lex_state = 203},
  [3907] = {.lex_state = 193},
  [3908] = {.lex_state = 193},
  [3909] = {.lex_state = 203},
  [3910] = {.lex_state = 203},
  [3911] = {.lex_state = 203},
  [3912] = {.lex_state = 241},
  [3913] = {.lex_state = 203},
  [3914] = {.lex_state = 243},
  [3915] = {.lex_state = 203},
  [3916] = {.lex_state = 242},
  [3917] = {.lex_state = 203},
  [3918] = {.lex_state = 203},
  [3919] = {.lex_state = 239},
  [3920] = {.lex_state = 242},
  [3921] = {.lex_state = 203},
  [3922] = {.lex_state = 203},
  [3923] = {.lex_state = 203},
  [3924] = {.lex_state = 193},
  [3925] = {.lex_state = 203},
  [3926] = {.lex_state = 194},
  [3927] = {.lex_state = 203},
  [3928] = {.lex_state = 203},
  [3929] = {.lex_state = 203},
  [3930] = {.lex_state = 203},
  [3931] = {.lex_state = 203},
  [3932] = {.lex_state = 203},
  [3933] = {.lex_state = 203},
  [3934] = {.lex_state = 203},
  [3935] = {.lex_state = 205},
  [3936] = {.lex_state = 239},
  [3937] = {.lex_state = 242},
  [3938] = {.lex_state = 203},
  [3939] = {.lex_state = 203},
  [3940] = {.lex_state = 203},
  [3941] = {.lex_state = 241},
  [3942] = {.lex_state = 239},
  [3943] = {.lex_state = 239},
  [3944] = {.lex_state = 228},
  [3945] = {.lex_state = 203},
  [3946] = {.lex_state = 203},
  [3947] = {.lex_state = 205},
  [3948] = {.lex_state = 242},
  [3949] = {.lex_state = 243},
  [3950] = {.lex_state = 228},
  [3951] = {.lex_state = 205},
  [3952] = {.lex_state = 241},
  [3953] = {.lex_state = 241},
  [3954] = {.lex_state = 239},
  [3955] = {.lex_state = 242},
  [3956] = {.lex_state = 242},
  [3957] = {.lex_state = 203},
  [3958] = {.lex_state = 228},
  [3959] = {.lex_state = 203},
  [3960] = {.lex_state = 203},
  [3961] = {.lex_state = 203},
  [3962] = {.lex_state = 243},
  [3963] = {.lex_state = 241},
  [3964] = {.lex_state = 205},
  [3965] = {.lex_state = 203},
  [3966] = {.lex_state = 240},
  [3967] = {.lex_state = 240},
  [3968] = {.lex_state = 240},
  [3969] = {.lex_state = 240},
  [3970] = {.lex_state = 240},
  [3971] = {.lex_state = 239},
  [3972] = {.lex_state = 240},
  [3973] = {.lex_state = 240},
  [3974] = {.lex_state = 239},
  [3975] = {.lex_state = 240},
  [3976] = {.lex_state = 240},
  [3977] = {.lex_state = 240},
  [3978] = {.lex_state = 240},
  [3979] = {.lex_state = 240},
  [3980] = {.lex_state = 194},
  [3981] = {.lex_state = 203},
  [3982] = {.lex_state = 240},
  [3983] = {.lex_state = 240},
  [3984] = {.lex_state = 240},
  [3985] = {.lex_state = 240},
  [3986] = {.lex_state = 240},
  [3987] = {.lex_state = 240},
  [3988] = {.lex_state = 239},
  [3989] = {.lex_state = 229},
  [3990] = {.lex_state = 229},
  [3991] = {.lex_state = 241},
  [3992] = {.lex_state = 240},
  [3993] = {.lex_state = 240},
  [3994] = {.lex_state = 239},
  [3995] = {.lex_state = 239},
  [3996] = {.lex_state = 240},
  [3997] = {.lex_state = 240},
  [3998] = {.lex_state = 240},
  [3999] = {.lex_state = 241},
  [4000] = {.lex_state = 241},
  [4001] = {.lex_state = 241},
  [4002] = {.lex_state = 241},
  [4003] = {.lex_state = 240},
  [4004] = {.lex_state = 240},
  [4005] = {.lex_state = 203},
  [4006] = {.lex_state = 239},
  [4007] = {.lex_state = 240},
  [4008] = {.lex_state = 203},
  [4009] = {.lex_state = 240},
  [4010] = {.lex_state = 240},
  [4011] = {.lex_state = 239},
  [4012] = {.lex_state = 194},
  [4013] = {.lex_state = 243},
  [4014] = {.lex_state = 245},
  [4015] = {.lex_state = 242},
  [4016] = {.lex_state = 203},
  [4017] = {.lex_state = 203},
  [4018] = {.lex_state = 203},
  [4019] = {.lex_state = 203},
  [4020] = {.lex_state = 203},
  [4021] = {.lex_state = 205},
  [4022] = {.lex_state = 203},
  [4023] = {.lex_state = 239},
  [4024] = {.lex_state = 203},
  [4025] = {.lex_state = 203},
  [4026] = {.lex_state = 203},
  [4027] = {.lex_state = 203},
  [4028] = {.lex_state = 240},
  [4029] = {.lex_state = 203},
  [4030] = {.lex_state = 203},
  [4031] = {.lex_state = 205},
  [4032] = {.lex_state = 203},
  [4033] = {.lex_state = 239},
  [4034] = {.lex_state = 203},
  [4035] = {.lex_state = 242},
  [4036] = {.lex_state = 243},
  [4037] = {.lex_state = 240},
  [4038] = {.lex_state = 203},
  [4039] = {.lex_state = 240},
  [4040] = {.lex_state = 240},
  [4041] = {.lex_state = 203},
  [4042] = {.lex_state = 240},
  [4043] = {.lex_state = 203},
  [4044] = {.lex_state = 203},
  [4045] = {.lex_state = 203},
  [4046] = {.lex_state = 240},
  [4047] = {.lex_state = 203},
  [4048] = {.lex_state = 203},
  [4049] = {.lex_state = 203},
  [4050] = {.lex_state = 205},
  [4051] = {.lex_state = 203},
  [4052] = {.lex_state = 203},
  [4053] = {.lex_state = 203},
  [4054] = {.lex_state = 203},
  [4055] = {.lex_state = 203},
  [4056] = {.lex_state = 242},
  [4057] = {.lex_state = 203},
  [4058] = {.lex_state = 240},
  [4059] = {.lex_state = 205},
  [4060] = {.lex_state = 242},
  [4061] = {.lex_state = 242},
  [4062] = {.lex_state = 203},
  [4063] = {.lex_state = 203},
  [4064] = {.lex_state = 203},
  [4065] = {.lex_state = 245},
  [4066] = {.lex_state = 203},
  [4067] = {.lex_state = 229},
  [4068] = {.lex_state = 194},
  [4069] = {.lex_state = 203},
  [4070] = {.lex_state = 203},
  [4071] = {.lex_state = 205},
  [4072] = {.lex_state = 203},
  [4073] = {.lex_state = 241},
  [4074] = {.lex_state = 203},
  [4075] = {.lex_state = 203},
  [4076] = {.lex_state = 203},
  [4077] = {.lex_state = 203},
  [4078] = {.lex_state = 203},
  [4079] = {.lex_state = 242},
  [4080] = {.lex_state = 194},
  [4081] = {.lex_state = 242},
  [4082] = {.lex_state = 242},
  [4083] = {.lex_state = 203},
  [4084] = {.lex_state = 241},
  [4085] = {.lex_state = 242},
  [4086] = {.lex_state = 203},
  [4087] = {.lex_state = 242},
  [4088] = {.lex_state = 194},
  [4089] = {.lex_state = 242},
  [4090] = {.lex_state = 239},
  [4091] = {.lex_state = 205},
  [4092] = {.lex_state = 242},
  [4093] = {.lex_state = 241},
  [4094] = {.lex_state = 194},
  [4095] = {.lex_state = 241},
  [4096] = {.lex_state = 203},
  [4097] = {.lex_state = 194},
  [4098] = {.lex_state = 194},
  [4099] = {.lex_state = 239},
  [4100] = {.lex_state = 241},
  [4101] = {.lex_state = 194},
  [4102] = {.lex_state = 229},
  [4103] = {.lex_state = 203},
  [4104] = {.lex_state = 239},
  [4105] = {.lex_state = 203},
  [4106] = {.lex_state = 239},
  [4107] = {.lex_state = 203},
  [4108] = {.lex_state = 239},
  [4109] = {.lex_state = 203},
  [4110] = {.lex_state = 203},
  [4111] = {.lex_state = 245},
  [4112] = {.lex_state = 205},
  [4113] = {.lex_state = 203},
  [4114] = {.lex_state = 205},
  [4115] = {.lex_state = 205},
  [4116] = {.lex_state = 203},
  [4117] = {.lex_state = 203},
  [4118] = {.lex_state = 203},
  [4119] = {.lex_state = 242},
  [4120] = {.lex_state = 242},
  [4121] = {.lex_state = 203},
  [4122] = {.lex_state = 203},
  [4123] = {.lex_state = 203},
  [4124] = {.lex_state = 242},
  [4125] = {.lex_state = 229},
  [4126] = {.lex_state = 194},
  [4127] = {.lex_state = 203},
  [4128] = {.lex_state = 229},
  [4129] = {.lex_state = 241},
  [4130] = {.lex_state = 241},
  [4131] = {.lex_state = 242},
  [4132] = {.lex_state = 204},
  [4133] = {.lex_state = 194},
  [4134] = {.lex_state = 239},
  [4135] = {.lex_state = 205},
  [4136] = {.lex_state = 194},
  [4137] = {.lex_state = 242},
  [4138] = {.lex_state = 242},
  [4139] = {.lex_state = 194},
  [4140] = {.lex_state = 242},
  [4141] = {.lex_state = 241},
  [4142] = {.lex_state = 242},
  [4143] = {.lex_state = 203},
  [4144] = {.lex_state = 241},
  [4145] = {.lex_state = 194},
  [4146] = {.lex_state = 194},
  [4147] = {.lex_state = 194},
  [4148] = {.lex_state = 206},
  [4149] = {.lex_state = 205},
  [4150] = {.lex_state = 242},
  [4151] = {.lex_state = 242},
  [4152] = {.lex_state = 194},
  [4153] = {.lex_state = 242},
  [4154] = {.lex_state = 242},
  [4155] = {.lex_state = 242},
  [4156] = {.lex_state = 242},
  [4157] = {.lex_state = 242},
  [4158] = {.lex_state = 203},
  [4159] = {.lex_state = 241},
  [4160] = {.lex_state = 242},
  [4161] = {.lex_state = 239},
  [4162] = {.lex_state = 194},
  [4163] = {.lex_state = 204},
  [4164] = {.lex_state = 206},
  [4165] = {.lex_state = 242},
  [4166] = {.lex_state = 203},
  [4167] = {.lex_state = 242},
  [4168] = {.lex_state = 229},
  [4169] = {.lex_state = 203},
  [4170] = {.lex_state = 242},
  [4171] = {.lex_state = 203},
  [4172] = {.lex_state = 239},
  [4173] = {.lex_state = 206},
  [4174] = {.lex_state = 229},
  [4175] = {.lex_state = 239},
  [4176] = {.lex_state = 239},
  [4177] = {.lex_state = 239},
  [4178] = {.lex_state = 230},
  [4179] = {.lex_state = 229},
  [4180] = {.lex_state = 229},
  [4181] = {.lex_state = 229},
  [4182] = {.lex_state = 241},
  [4183] = {.lex_state = 203},
  [4184] = {.lex_state = 229},
  [4185] = {.lex_state = 239},
  [4186] = {.lex_state = 194},
  [4187] = {.lex_state = 241},
  [4188] = {.lex_state = 229},
  [4189] = {.lex_state = 203},
  [4190] = {.lex_state = 245},
  [4191] = {.lex_state = 203},
  [4192] = {.lex_state = 229},
  [4193] = {.lex_state = 206},
  [4194] = {.lex_state = 242},
  [4195] = {.lex_state = 241},
  [4196] = {.lex_state = 230},
  [4197] = {.lex_state = 242},
  [4198] = {.lex_state = 229},
  [4199] = {.lex_state = 203},
  [4200] = {.lex_state = 229},
  [4201] = {.lex_state = 229},
  [4202] = {.lex_state = 229},
  [4203] = {.lex_state = 241},
  [4204] = {.lex_state = 203},
  [4205] = {.lex_state = 229},
  [4206] = {.lex_state = 203},
  [4207] = {.lex_state = 229},
  [4208] = {.lex_state = 203},
  [4209] = {.lex_state = 242},
  [4210] = {.lex_state = 229},
  [4211] = {.lex_state = 245},
  [4212] = {.lex_state = 241},
  [4213] = {.lex_state = 241},
  [4214] = {.lex_state = 229},
  [4215] = {.lex_state = 229},
  [4216] = {.lex_state = 241},
  [4217] = {.lex_state = 242},
  [4218] = {.lex_state = 239},
  [4219] = {.lex_state = 203},
  [4220] = {.lex_state = 203},
  [4221] = {.lex_state = 203},
  [4222] = {.lex_state = 203},
  [4223] = {.lex_state = 241},
  [4224] = {.lex_state = 241},
  [4225] = {.lex_state = 239},
  [4226] = {.lex_state = 203},
  [4227] = {.lex_state = 242},
  [4228] = {.lex_state = 203},
  [4229] = {.lex_state = 242},
  [4230] = {.lex_state = 242},
  [4231] = {.lex_state = 242},
  [4232] = {.lex_state = 203},
  [4233] = {.lex_state = 203},
  [4234] = {.lex_state = 203},
  [4235] = {.lex_state = 203},
  [4236] = {.lex_state = 203},
  [4237] = {.lex_state = 242},
  [4238] = {.lex_state = 203},
  [4239] = {.lex_state = 203},
  [4240] = {.lex_state = 203},
  [4241] = {.lex_state = 203},
  [4242] = {.lex_state = 203},
  [4243] = {.lex_state = 241},
  [4244] = {.lex_state = 203},
  [4245] = {.lex_state = 241},
  [4246] = {.lex_state = 205},
  [4247] = {.lex_state = 203},
  [4248] = {.lex_state = 205},
  [4249] = {.lex_state = 242},
  [4250] = {.lex_state = 203},
  [4251] = {.lex_state = 203},
  [4252] = {.lex_state = 203},
  [4253] = {.lex_state = 203},
  [4254] = {.lex_state = 203},
  [4255] = {.lex_state = 242},
  [4256] = {.lex_state = 241},
  [4257] = {.lex_state = 241},
  [4258] = {.lex_state = 203},
  [4259] = {.lex_state = 241},
  [4260] = {.lex_state = 203},
  [4261] = {.lex_state = 241},
  [4262] = {.lex_state = 203},
  [4263] = {.lex_state = 241},
  [4264] = {.lex_state = 241},
  [4265] = {.lex_state = 203},
  [4266] = {.lex_state = 203},
  [4267] = {.lex_state = 245},
  [4268] = {.lex_state = 245},
  [4269] = {.lex_state = 203},
  [4270] = {.lex_state = 203},
  [4271] = {.lex_state = 203},
  [4272] = {.lex_state = 203},
  [4273] = {.lex_state = 203},
  [4274] = {.lex_state = 242},
  [4275] = {.lex_state = 203},
  [4276] = {.lex_state = 203},
  [4277] = {.lex_state = 203},
  [4278] = {.lex_state = 203},
  [4279] = {.lex_state = 203},
  [4280] = {.lex_state = 203},
  [4281] = {.lex_state = 203},
  [4282] = {.lex_state = 229},
  [4283] = {.lex_state = 203},
  [4284] = {.lex_state = 241},
  [4285] = {.lex_state = 244},
  [4286] = {.lex_state = 242},
  [4287] = {.lex_state = 241},
  [4288] = {.lex_state = 241},
  [4289] = {.lex_state = 203},
  [4290] = {.lex_state = 241},
  [4291] = {.lex_state = 203},
  [4292] = {.lex_state = 241},
  [4293] = {.lex_state = 241},
  [4294] = {.lex_state = 241},
  [4295] = {.lex_state = 203},
  [4296] = {.lex_state = 241},
  [4297] = {.lex_state = 241},
  [4298] = {.lex_state = 229},
  [4299] = {.lex_state = 241},
  [4300] = {.lex_state = 229},
  [4301] = {.lex_state = 242},
  [4302] = {.lex_state = 241},
  [4303] = {.lex_state = 229},
  [4304] = {.lex_state = 241},
  [4305] = {.lex_state = 229},
  [4306] = {.lex_state = 206},
  [4307] = {.lex_state = 203},
  [4308] = {.lex_state = 194},
  [4309] = {.lex_state = 203},
  [4310] = {.lex_state = 203},
  [4311] = {.lex_state = 204},
  [4312] = {.lex_state = 241},
  [4313] = {.lex_state = 203},
  [4314] = {.lex_state = 203},
  [4315] = {.lex_state = 241},
  [4316] = {.lex_state = 203},
  [4317] = {.lex_state = 194},
  [4318] = {.lex_state = 229},
  [4319] = {.lex_state = 241},
  [4320] = {.lex_state = 203},
  [4321] = {.lex_state = 229},
  [4322] = {.lex_state = 194},
  [4323] = {.lex_state = 229},
  [4324] = {.lex_state = 241},
  [4325] = {.lex_state = 203},
  [4326] = {.lex_state = 241},
  [4327] = {.lex_state = 203},
  [4328] = {.lex_state = 203},
  [4329] = {.lex_state = 241},
  [4330] = {.lex_state = 225},
  [4331] = {.lex_state = 241},
  [4332] = {.lex_state = 241},
  [4333] = {.lex_state = 242},
  [4334] = {.lex_state = 229},
  [4335] = {.lex_state = 229},
  [4336] = {.lex_state = 203},
  [4337] = {.lex_state = 229},
  [4338] = {.lex_state = 229},
  [4339] = {.lex_state = 229},
  [4340] = {.lex_state = 203},
  [4341] = {.lex_state = 229},
  [4342] = {.lex_state = 241},
  [4343] = {.lex_state = 229},
  [4344] = {.lex_state = 203},
  [4345] = {.lex_state = 194},
  [4346] = {.lex_state = 203},
  [4347] = {.lex_state = 203},
  [4348] = {.lex_state = 203},
  [4349] = {.lex_state = 242},
  [4350] = {.lex_state = 229},
  [4351] = {.lex_state = 229},
  [4352] = {.lex_state = 203},
  [4353] = {.lex_state = 229},
  [4354] = {.lex_state = 241},
  [4355] = {.lex_state = 206},
  [4356] = {.lex_state = 203},
  [4357] = {.lex_state = 242},
  [4358] = {.lex_state = 229},
  [4359] = {.lex_state = 203},
  [4360] = {.lex_state = 203},
  [4361] = {.lex_state = 229},
  [4362] = {.lex_state = 203},
  [4363] = {.lex_state = 241},
  [4364] = {.lex_state = 241},
  [4365] = {.lex_state = 241},
  [4366] = {.lex_state = 229},
  [4367] = {.lex_state = 241},
  [4368] = {.lex_state = 203},
  [4369] = {.lex_state = 203},
  [4370] = {.lex_state = 229},
  [4371] = {.lex_state = 229},
  [4372] = {.lex_state = 203},
  [4373] = {.lex_state = 229},
  [4374] = {.lex_state = 229},
  [4375] = {.lex_state = 229},
  [4376] = {.lex_state = 229},
  [4377] = {.lex_state = 205},
  [4378] = {.lex_state = 229},
  [4379] = {.lex_state = 203},
  [4380] = {.lex_state = 229},
  [4381] = {.lex_state = 244},
  [4382] = {.lex_state = 244},
  [4383] = {.lex_state = 229},
  [4384] = {.lex_state = 229},
  [4385] = {.lex_state = 229},
  [4386] = {.lex_state = 229},
  [4387] = {.lex_state = 229},
  [4388] = {.lex_state = 229},
  [4389] = {.lex_state = 229},
  [4390] = {.lex_state = 229},
  [4391] = {.lex_state = 229},
  [4392] = {.lex_state = 229},
  [4393] = {.lex_state = 229},
  [4394] = {.lex_state = 244},
  [4395] = {.lex_state = 229},
  [4396] = {.lex_state = 229},
  [4397] = {.lex_state = 229},
  [4398] = {.lex_state = 229},
  [4399] = {.lex_state = 228},
  [4400] = {.lex_state = 229},
  [4401] = {.lex_state = 229},
  [4402] = {.lex_state = 203},
  [4403] = {.lex_state = 203},
  [4404] = {.lex_state = 203},
  [4405] = {.lex_state = 203},
  [4406] = {.lex_state = 205},
  [4407] = {.lex_state = 203},
  [4408] = {.lex_state = 203},
  [4409] = {.lex_state = 203},
  [4410] = {.lex_state = 203},
  [4411] = {.lex_state = 205},
  [4412] = {.lex_state = 241},
  [4413] = {.lex_state = 203},
  [4414] = {.lex_state = 203},
  [4415] = {.lex_state = 203},
  [4416] = {.lex_state = 205},
  [4417] = {.lex_state = 203},
  [4418] = {.lex_state = 241},
  [4419] = {.lex_state = 203},
  [4420] = {.lex_state = 242},
  [4421] = {.lex_state = 242},
  [4422] = {.lex_state = 203},
  [4423] = {.lex_state = 242},
  [4424] = {.lex_state = 203},
  [4425] = {.lex_state = 203},
  [4426] = {.lex_state = 203},
  [4427] = {.lex_state = 205},
  [4428] = {.lex_state = 203},
  [4429] = {.lex_state = 203},
  [4430] = {.lex_state = 203},
  [4431] = {.lex_state = 203},
  [4432] = {.lex_state = 203},
  [4433] = {.lex_state = 242},
  [4434] = {.lex_state = 242},
  [4435] = {.lex_state = 203},
  [4436] = {.lex_state = 242},
  [4437] = {.lex_state = 242},
  [4438] = {.lex_state = 203},
  [4439] = {.lex_state = 203},
  [4440] = {.lex_state = 203},
  [4441] = {.lex_state = 203},
  [4442] = {.lex_state = 241},
  [4443] = {.lex_state = 194},
  [4444] = {.lex_state = 205},
  [4445] = {.lex_state = 241},
  [4446] = {.lex_state = 241},
  [4447] = {.lex_state = 241},
  [4448] = {.lex_state = 203},
  [4449] = {.lex_state = 203},
  [4450] = {.lex_state = 241},
  [4451] = {.lex_state = 242},
  [4452] = {.lex_state = 203},
  [4453] = {.lex_state = 205},
  [4454] = {.lex_state = 241},
  [4455] = {.lex_state = 241},
  [4456] = {.lex_state = 242},
  [4457] = {.lex_state = 241},
  [4458] = {.lex_state = 242},
  [4459] = {.lex_state = 242},
  [4460] = {.lex_state = 203},
  [4461] = {.lex_state = 203},
  [4462] = {.lex_state = 203},
  [4463] = {.lex_state = 203},
  [4464] = {.lex_state = 203},
  [4465] = {.lex_state = 203},
  [4466] = {.lex_state = 203},
  [4467] = {.lex_state = 205},
  [4468] = {.lex_state = 242},
  [4469] = {.lex_state = 242},
  [4470] = {.lex_state = 203},
  [4471] = {.lex_state = 205},
  [4472] = {.lex_state = 229},
  [4473] = {.lex_state = 203},
  [4474] = {.lex_state = 241},
  [4475] = {.lex_state = 229},
  [4476] = {.lex_state = 205},
  [4477] = {.lex_state = 205},
  [4478] = {.lex_state = 203},
  [4479] = {.lex_state = 205},
  [4480] = {.lex_state = 205},
  [4481] = {.lex_state = 205},
  [4482] = {.lex_state = 205},
  [4483] = {.lex_state = 205},
  [4484] = {.lex_state = 205},
  [4485] = {.lex_state = 205},
  [4486] = {.lex_state = 205},
  [4487] = {.lex_state = 205},
  [4488] = {.lex_state = 205},
  [4489] = {.lex_state = 205},
  [4490] = {.lex_state = 205},
  [4491] = {.lex_state = 205},
  [4492] = {.lex_state = 205},
  [4493] = {.lex_state = 205},
  [4494] = {.lex_state = 205},
  [4495] = {.lex_state = 203},
  [4496] = {.lex_state = 203},
  [4497] = {.lex_state = 203},
  [4498] = {.lex_state = 205},
  [4499] = {.lex_state = 203},
  [4500] = {.lex_state = 203},
  [4501] = {.lex_state = 203},
  [4502] = {.lex_state = 203},
  [4503] = {.lex_state = 203},
  [4504] = {.lex_state = 203},
  [4505] = {.lex_state = 205},
  [4506] = {.lex_state = 205},
  [4507] = {.lex_state = 203},
  [4508] = {.lex_state = 205},
  [4509] = {.lex_state = 205},
  [4510] = {.lex_state = 205},
  [4511] = {.lex_state = 203},
  [4512] = {.lex_state = 203},
  [4513] = {.lex_state = 204},
  [4514] = {.lex_state = 229},
  [4515] = {.lex_state = 229},
  [4516] = {.lex_state = 230},
  [4517] = {.lex_state = 203},
  [4518] = {.lex_state = 203},
  [4519] = {.lex_state = 203},
  [4520] = {.lex_state = 203},
  [4521] = {.lex_state = 203},
  [4522] = {.lex_state = 203},
  [4523] = {.lex_state = 203},
  [4524] = {.lex_state = 203},
  [4525] = {.lex_state = 203},
  [4526] = {.lex_state = 203},
  [4527] = {.lex_state = 203},
  [4528] = {.lex_state = 203},
  [4529] = {.lex_state = 203},
  [4530] = {.lex_state = 203},
  [4531] = {.lex_state = 203},
  [4532] = {.lex_state = 203},
  [4533] = {.lex_state = 203},
  [4534] = {.lex_state = 203},
  [4535] = {.lex_state = 205},
  [4536] = {.lex_state = 205},
  [4537] = {.lex_state = 205},
  [4538] = {.lex_state = 205},
  [4539] = {.lex_state = 205},
  [4540] = {.lex_state = 205},
  [4541] = {.lex_state = 205},
  [4542] = {.lex_state = 203},
  [4543] = {.lex_state = 203},
  [4544] = {.lex_state = 203},
  [4545] = {.lex_state = 241},
  [4546] = {.lex_state = 203},
  [4547] = {.lex_state = 203},
  [4548] = {.lex_state = 203},
  [4549] = {.lex_state = 203},
  [4550] = {.lex_state = 203},
  [4551] = {.lex_state = 203},
  [4552] = {.lex_state = 203},
  [4553] = {.lex_state = 203},
  [4554] = {.lex_state = 203},
  [4555] = {.lex_state = 203},
  [4556] = {.lex_state = 240},
  [4557] = {.lex_state = 203},
  [4558] = {.lex_state = 203},
  [4559] = {.lex_state = 240},
  [4560] = {.lex_state = 240},
  [4561] = {.lex_state = 203},
  [4562] = {.lex_state = 203},
  [4563] = {.lex_state = 205},
  [4564] = {.lex_state = 203},
  [4565] = {.lex_state = 203},
  [4566] = {.lex_state = 203},
  [4567] = {.lex_state = 203},
  [4568] = {.lex_state = 203},
  [4569] = {.lex_state = 242},
  [4570] = {.lex_state = 203},
  [4571] = {.lex_state = 203},
  [4572] = {.lex_state = 240},
  [4573] = {.lex_state = 203},
  [4574] = {.lex_state = 203},
  [4575] = {.lex_state = 203},
  [4576] = {.lex_state = 203},
  [4577] = {.lex_state = 203},
  [4578] = {.lex_state = 203},
  [4579] = {.lex_state = 203},
  [4580] = {.lex_state = 203},
  [4581] = {.lex_state = 203},
  [4582] = {.lex_state = 240},
  [4583] = {.lex_state = 203},
  [4584] = {.lex_state = 242},
  [4585] = {.lex_state = 242},
  [4586] = {.lex_state = 240},
  [4587] = {.lex_state = 203},
  [4588] = {.lex_state = 203},
  [4589] = {.lex_state = 205},
  [4590] = {.lex_state = 242},
  [4591] = {.lex_state = 242},
  [4592] = {.lex_state = 240},
  [4593] = {.lex_state = 242},
  [4594] = {.lex_state = 242},
  [4595] = {.lex_state = 203},
  [4596] = {.lex_state = 203},
  [4597] = {.lex_state = 203},
  [4598] = {.lex_state = 203},
  [4599] = {.lex_state = 203},
  [4600] = {.lex_state = 203},
  [4601] = {.lex_state = 242},
  [4602] = {.lex_state = 203},
  [4603] = {.lex_state = 203},
  [4604] = {.lex_state = 203},
  [4605] = {.lex_state = 203},
  [4606] = {.lex_state = 203},
  [4607] = {.lex_state = 203},
  [4608] = {.lex_state = 203},
  [4609] = {.lex_state = 203},
  [4610] = {.lex_state = 242},
  [4611] = {.lex_state = 242},
  [4612] = {.lex_state = 242},
  [4613] = {.lex_state = 242},
  [4614] = {.lex_state = 242},
  [4615] = {.lex_state = 242},
  [4616] = {.lex_state = 242},
  [4617] = {.lex_state = 242},
  [4618] = {.lex_state = 205},
  [4619] = {.lex_state = 242},
  [4620] = {.lex_state = 231},
  [4621] = {.lex_state = 203},
  [4622] = {.lex_state = 203},
  [4623] = {.lex_state = 203},
  [4624] = {.lex_state = 203},
  [4625] = {.lex_state = 203},
  [4626] = {.lex_state = 203},
  [4627] = {.lex_state = 203},
  [4628] = {.lex_state = 203},
  [4629] = {.lex_state = 203},
  [4630] = {.lex_state = 242},
  [4631] = {.lex_state = 203},
  [4632] = {.lex_state = 242},
  [4633] = {.lex_state = 242},
  [4634] = {.lex_state = 203},
  [4635] = {.lex_state = 242},
  [4636] = {.lex_state = 242},
  [4637] = {.lex_state = 203},
  [4638] = {.lex_state = 242},
  [4639] = {.lex_state = 203},
  [4640] = {.lex_state = 203},
  [4641] = {.lex_state = 203},
  [4642] = {.lex_state = 242},
  [4643] = {.lex_state = 242},
  [4644] = {.lex_state = 242},
  [4645] = {.lex_state = 242},
  [4646] = {.lex_state = 242},
  [4647] = {.lex_state = 231},
  [4648] = {.lex_state = 242},
  [4649] = {.lex_state = 203},
  [4650] = {.lex_state = 203},
  [4651] = {.lex_state = 203},
  [4652] = {.lex_state = 203},
  [4653] = {.lex_state = 203},
  [4654] = {.lex_state = 203},
  [4655] = {.lex_state = 203},
  [4656] = {.lex_state = 203},
  [4657] = {.lex_state = 203},
  [4658] = {.lex_state = 242},
  [4659] = {.lex_state = 242},
  [4660] = {.lex_state = 242},
  [4661] = {.lex_state = 242},
  [4662] = {.lex_state = 242},
  [4663] = {.lex_state = 242},
  [4664] = {.lex_state = 203},
  [4665] = {.lex_state = 242},
  [4666] = {.lex_state = 203},
  [4667] = {.lex_state = 203},
  [4668] = {.lex_state = 203},
  [4669] = {.lex_state = 203},
  [4670] = {.lex_state = 203},
  [4671] = {.lex_state = 203},
  [4672] = {.lex_state = 242},
  [4673] = {.lex_state = 240},
  [4674] = {.lex_state = 242},
  [4675] = {.lex_state = 203},
  [4676] = {.lex_state = 203},
  [4677] = {.lex_state = 203},
  [4678] = {.lex_state = 203},
  [4679] = {.lex_state = 203},
  [4680] = {.lex_state = 203},
  [4681] = {.lex_state = 203},
  [4682] = {.lex_state = 203},
  [4683] = {.lex_state = 240},
  [4684] = {.lex_state = 240},
  [4685] = {.lex_state = 203},
  [4686] = {.lex_state = 240},
  [4687] = {.lex_state = 240},
  [4688] = {.lex_state = 240},
  [4689] = {.lex_state = 240},
  [4690] = {.lex_state = 240},
  [4691] = {.lex_state = 240},
  [4692] = {.lex_state = 241},
  [4693] = {.lex_state = 241},
  [4694] = {.lex_state = 241},
  [4695] = {.lex_state = 241},
  [4696] = {.lex_state = 203},
  [4697] = {.lex_state = 203},
  [4698] = {.lex_state = 203},
  [4699] = {.lex_state = 240},
  [4700] = {.lex_state = 240},
  [4701] = {.lex_state = 240},
  [4702] = {.lex_state = 240},
  [4703] = {.lex_state = 203},
  [4704] = {.lex_state = 203},
  [4705] = {.lex_state = 203},
  [4706] = {.lex_state = 203},
  [4707] = {.lex_state = 203},
  [4708] = {.lex_state = 203},
  [4709] = {.lex_state = 240},
  [4710] = {.lex_state = 242},
  [4711] = {.lex_state = 203},
  [4712] = {.lex_state = 239},
  [4713] = {.lex_state = 203},
  [4714] = {.lex_state = 239},
  [4715] = {.lex_state = 239},
  [4716] = {.lex_state = 239},
  [4717] = {.lex_state = 241},
  [4718] = {.lex_state = 240},
  [4719] = {.lex_state = 205},
  [4720] = {.lex_state = 229},
  [4721] = {.lex_state = 240},
  [4722] = {.lex_state = 242},
  [4723] = {.lex_state = 203},
  [4724] = {.lex_state = 205},
  [4725] = {.lex_state = 203},
  [4726] = {.lex_state = 203},
  [4727] = {.lex_state = 203},
  [4728] = {.lex_state = 203},
  [4729] = {.lex_state = 203},
  [4730] = {.lex_state = 203},
  [4731] = {.lex_state = 203},
  [4732] = {.lex_state = 203},
  [4733] = {.lex_state = 203},
  [4734] = {.lex_state = 203},
  [4735] = {.lex_state = 229},
  [4736] = {.lex_state = 203},
  [4737] = {.lex_state = 229},
  [4738] = {.lex_state = 229},
  [4739] = {.lex_state = 203},
  [4740] = {.lex_state = 203},
  [4741] = {.lex_state = 194},
  [4742] = {.lex_state = 203},
  [4743] = {.lex_state = 229},
  [4744] = {.lex_state = 203},
  [4745] = {.lex_state = 229},
  [4746] = {.lex_state = 229},
  [4747] = {.lex_state = 203},
  [4748] = {.lex_state = 229},
  [4749] = {.lex_state = 203},
  [4750] = {.lex_state = 229},
  [4751] = {.lex_state = 229},
  [4752] = {.lex_state = 229},
  [4753] = {.lex_state = 241},
  [4754] = {.lex_state = 242},
  [4755] = {.lex_state = 242},
  [4756] = {.lex_state = 242},
  [4757] = {.lex_state = 242},
  [4758] = {.lex_state = 242},
  [4759] = {.lex_state = 242},
  [4760] = {.lex_state = 229},
  [4761] = {.lex_state = 229},
  [4762] = {.lex_state = 229},
  [4763] = {.lex_state = 229},
  [4764] = {.lex_state = 229},
  [4765] = {.lex_state = 229},
  [4766] = {.lex_state = 229},
  [4767] = {.lex_state = 229},
  [4768] = {.lex_state = 229},
  [4769] = {.lex_state = 229},
  [4770] = {.lex_state = 229},
  [4771] = {.lex_state = 242},
  [4772] = {.lex_state = 229},
  [4773] = {.lex_state = 229},
  [4774] = {.lex_state = 229},
  [4775] = {.lex_state = 229},
  [4776] = {.lex_state = 229},
  [4777] = {.lex_state = 229},
  [4778] = {.lex_state = 206},
  [4779] = {.lex_state = 229},
  [4780] = {.lex_state = 203},
  [4781] = {.lex_state = 203},
  [4782] = {.lex_state = 229},
  [4783] = {.lex_state = 203},
  [4784] = {.lex_state = 242},
  [4785] = {.lex_state = 203},
  [4786] = {.lex_state = 229},
  [4787] = {.lex_state = 229},
  [4788] = {.lex_state = 229},
  [4789] = {.lex_state = 229},
  [4790] = {.lex_state = 229},
  [4791] = {.lex_state = 229},
  [4792] = {.lex_state = 229},
  [4793] = {.lex_state = 203},
  [4794] = {.lex_state = 239},
  [4795] = {.lex_state = 229},
  [4796] = {.lex_state = 239},
  [4797] = {.lex_state = 229},
  [4798] = {.lex_state = 241},
  [4799] = {.lex_state = 229},
  [4800] = {.lex_state = 194},
  [4801] = {.lex_state = 241},
  [4802] = {.lex_state = 204},
  [4803] = {.lex_state = 205},
  [4804] = {.lex_state = 240},
  [4805] = {.lex_state = 203},
  [4806] = {.lex_state = 241},
  [4807] = {.lex_state = 194},
  [4808] = {.lex_state = 239},
  [4809] = {.lex_state = 194},
  [4810] = {.lex_state = 194},
  [4811] = {.lex_state = 241},
  [4812] = {.lex_state = 229},
  [4813] = {.lex_state = 241},
  [4814] = {.lex_state = 239},
  [4815] = {.lex_state = 204},
  [4816] = {.lex_state = 241},
  [4817] = {.lex_state = 194},
  [4818] = {.lex_state = 194},
  [4819] = {.lex_state = 229},
  [4820] = {.lex_state = 239},
  [4821] = {.lex_state = 239},
  [4822] = {.lex_state = 203},
  [4823] = {.lex_state = 194},
  [4824] = {.lex_state = 194},
  [4825] = {.lex_state = 194},
  [4826] = {.lex_state = 203},
  [4827] = {.lex_state = 240},
  [4828] = {.lex_state = 241},
  [4829] = {.lex_state = 241},
  [4830] = {.lex_state = 241},
  [4831] = {.lex_state = 239},
  [4832] = {.lex_state = 194},
  [4833] = {.lex_state = 241},
  [4834] = {.lex_state = 203},
  [4835] = {.lex_state = 205},
  [4836] = {.lex_state = 241},
  [4837] = {.lex_state = 241},
  [4838] = {.lex_state = 239},
  [4839] = {.lex_state = 239},
  [4840] = {.lex_state = 203},
  [4841] = {.lex_state = 205},
  [4842] = {.lex_state = 205},
  [4843] = {.lex_state = 240},
  [4844] = {.lex_state = 205},
  [4845] = {.lex_state = 241},
  [4846] = {.lex_state = 241},
  [4847] = {.lex_state = 205},
  [4848] = {.lex_state = 205},
  [4849] = {.lex_state = 241},
  [4850] = {.lex_state = 241},
  [4851] = {.lex_state = 241},
  [4852] = {.lex_state = 205},
  [4853] = {.lex_state = 241},
  [4854] = {.lex_state = 241},
  [4855] = {.lex_state = 241},
  [4856] = {.lex_state = 239},
  [4857] = {.lex_state = 241},
  [4858] = {.lex_state = 195},
  [4859] = {.lex_state = 240},
  [4860] = {.lex_state = 241},
  [4861] = {.lex_state = 241},
  [4862] = {.lex_state = 195},
  [4863] = {.lex_state = 241},
  [4864] = {.lex_state = 195},
  [4865] = {.lex_state = 241},
  [4866] = {.lex_state = 241},
  [4867] = {.lex_state = 241},
  [4868] = {.lex_state = 239},
  [4869] = {.lex_state = 241},
  [4870] = {.lex_state = 239},
  [4871] = {.lex_state = 241},
  [4872] = {.lex_state = 241},
  [4873] = {.lex_state = 195},
  [4874] = {.lex_state = 241},
  [4875] = {.lex_state = 241},
  [4876] = {.lex_state = 239},
  [4877] = {.lex_state = 241},
  [4878] = {.lex_state = 195},
  [4879] = {.lex_state = 242},
  [4880] = {.lex_state = 242},
  [4881] = {.lex_state = 241},
  [4882] = {.lex_state = 241},
  [4883] = {.lex_state = 195},
  [4884] = {.lex_state = 241},
  [4885] = {.lex_state = 241},
  [4886] = {.lex_state = 239},
  [4887] = {.lex_state = 241},
  [4888] = {.lex_state = 241},
  [4889] = {.lex_state = 239},
  [4890] = {.lex_state = 241},
  [4891] = {.lex_state = 195},
  [4892] = {.lex_state = 241},
  [4893] = {.lex_state = 239},
  [4894] = {.lex_state = 239},
  [4895] = {.lex_state = 241},
  [4896] = {.lex_state = 241},
  [4897] = {.lex_state = 241},
  [4898] = {.lex_state = 241},
  [4899] = {.lex_state = 241},
  [4900] = {.lex_state = 239},
  [4901] = {.lex_state = 241},
  [4902] = {.lex_state = 239},
  [4903] = {.lex_state = 241},
  [4904] = {.lex_state = 241},
  [4905] = {.lex_state = 241},
  [4906] = {.lex_state = 241},
  [4907] = {.lex_state = 195},
  [4908] = {.lex_state = 242},
  [4909] = {.lex_state = 195},
  [4910] = {.lex_state = 241},
  [4911] = {.lex_state = 239},
  [4912] = {.lex_state = 241},
  [4913] = {.lex_state = 241},
  [4914] = {.lex_state = 241},
  [4915] = {.lex_state = 241},
  [4916] = {.lex_state = 239},
  [4917] = {.lex_state = 242},
  [4918] = {.lex_state = 195},
  [4919] = {.lex_state = 241},
  [4920] = {.lex_state = 239},
  [4921] = {.lex_state = 241},
  [4922] = {.lex_state = 195},
  [4923] = {.lex_state = 241},
  [4924] = {.lex_state = 239},
  [4925] = {.lex_state = 241},
  [4926] = {.lex_state = 241},
  [4927] = {.lex_state = 239},
  [4928] = {.lex_state = 195},
  [4929] = {.lex_state = 241},
  [4930] = {.lex_state = 241},
  [4931] = {.lex_state = 239},
  [4932] = {.lex_state = 239},
  [4933] = {.lex_state = 242},
  [4934] = {.lex_state = 242},
  [4935] = {.lex_state = 242},
  [4936] = {.lex_state = 242},
  [4937] = {.lex_state = 239},
  [4938] = {.lex_state = 241},
  [4939] = {.lex_state = 239},
  [4940] = {.lex_state = 194},
  [4941] = {.lex_state = 239},
  [4942] = {.lex_state = 203},
  [4943] = {.lex_state = 203},
  [4944] = {.lex_state = 242},
  [4945] = {.lex_state = 239},
  [4946] = {.lex_state = 242},
  [4947] = {.lex_state = 203},
  [4948] = {.lex_state = 242},
  [4949] = {.lex_state = 242},
  [4950] = {.lex_state = 239},
  [4951] = {.lex_state = 194},
  [4952] = {.lex_state = 240},
  [4953] = {.lex_state = 203},
  [4954] = {.lex_state = 239},
  [4955] = {.lex_state = 240},
  [4956] = {.lex_state = 242},
  [4957] = {.lex_state = 242},
  [4958] = {.lex_state = 240},
  [4959] = {.lex_state = 240},
  [4960] = {.lex_state = 242},
  [4961] = {.lex_state = 242},
  [4962] = {.lex_state = 240},
  [4963] = {.lex_state = 240},
  [4964] = {.lex_state = 205},
  [4965] = {.lex_state = 195},
  [4966] = {.lex_state = 194},
  [4967] = {.lex_state = 205},
  [4968] = {.lex_state = 195},
  [4969] = {.lex_state = 240},
  [4970] = {.lex_state = 240},
  [4971] = {.lex_state = 195},
  [4972] = {.lex_state = 240},
  [4973] = {.lex_state = 240},
  [4974] = {.lex_state = 195},
  [4975] = {.lex_state = 239},
  [4976] = {.lex_state = 195},
  [4977] = {.lex_state = 195},
  [4978] = {.lex_state = 239},
  [4979] = {.lex_state = 195},
  [4980] = {.lex_state = 239},
  [4981] = {.lex_state = 239},
  [4982] = {.lex_state = 240},
  [4983] = {.lex_state = 205},
  [4984] = {.lex_state = 240},
  [4985] = {.lex_state = 205},
  [4986] = {.lex_state = 195},
  [4987] = {.lex_state = 240},
  [4988] = {.lex_state = 240},
  [4989] = {.lex_state = 240},
  [4990] = {.lex_state = 240},
  [4991] = {.lex_state = 240},
  [4992] = {.lex_state = 195},
  [4993] = {.lex_state = 239},
  [4994] = {.lex_state = 239},
  [4995] = {.lex_state = 239},
  [4996] = {.lex_state = 240},
  [4997] = {.lex_state = 240},
  [4998] = {.lex_state = 195},
  [4999] = {.lex_state = 240},
  [5000] = {.lex_state = 240},
  [5001] = {.lex_state = 240},
  [5002] = {.lex_state = 240},
  [5003] = {.lex_state = 240},
  [5004] = {.lex_state = 195},
  [5005] = {.lex_state = 240},
  [5006] = {.lex_state = 195},
  [5007] = {.lex_state = 205},
  [5008] = {.lex_state = 195},
  [5009] = {.lex_state = 195},
  [5010] = {.lex_state = 240},
  [5011] = {.lex_state = 240},
  [5012] = {.lex_state = 240},
  [5013] = {.lex_state = 240},
  [5014] = {.lex_state = 239},
  [5015] = {.lex_state = 195},
  [5016] = {.lex_state = 239},
  [5017] = {.lex_state = 239},
  [5018] = {.lex_state = 242},
  [5019] = {.lex_state = 239},
  [5020] = {.lex_state = 239},
  [5021] = {.lex_state = 240},
  [5022] = {.lex_state = 240},
  [5023] = {.lex_state = 240},
  [5024] = {.lex_state = 240},
  [5025] = {.lex_state = 240},
  [5026] = {.lex_state = 195},
  [5027] = {.lex_state = 240},
  [5028] = {.lex_state = 240},
  [5029] = {.lex_state = 195},
  [5030] = {.lex_state = 195},
  [5031] = {.lex_state = 195},
  [5032] = {.lex_state = 240},
  [5033] = {.lex_state = 240},
  [5034] = {.lex_state = 242},
  [5035] = {.lex_state = 195},
  [5036] = {.lex_state = 240},
  [5037] = {.lex_state = 195},
  [5038] = {.lex_state = 195},
  [5039] = {.lex_state = 195},
  [5040] = {.lex_state = 195},
  [5041] = {.lex_state = 195},
  [5042] = {.lex_state = 195},
  [5043] = {.lex_state = 195},
  [5044] = {.lex_state = 195},
  [5045] = {.lex_state = 195},
  [5046] = {.lex_state = 195},
  [5047] = {.lex_state = 195},
  [5048] = {.lex_state = 195},
  [5049] = {.lex_state = 195},
  [5050] = {.lex_state = 195},
  [5051] = {.lex_state = 195},
  [5052] = {.lex_state = 195},
  [5053] = {.lex_state = 195},
  [5054] = {.lex_state = 195},
  [5055] = {.lex_state = 195},
  [5056] = {.lex_state = 195},
  [5057] = {.lex_state = 195},
  [5058] = {.lex_state = 195},
  [5059] = {.lex_state = 195},
  [5060] = {.lex_state = 195},
  [5061] = {.lex_state = 195},
  [5062] = {.lex_state = 195},
  [5063] = {.lex_state = 195},
  [5064] = {.lex_state = 195},
  [5065] = {.lex_state = 195},
  [5066] = {.lex_state = 195},
  [5067] = {.lex_state = 195},
  [5068] = {.lex_state = 195},
  [5069] = {.lex_state = 195},
  [5070] = {.lex_state = 195},
  [5071] = {.lex_state = 195},
  [5072] = {.lex_state = 195},
  [5073] = {.lex_state = 195},
  [5074] = {.lex_state = 195},
  [5075] = {.lex_state = 195},
  [5076] = {.lex_state = 195},
  [5077] = {.lex_state = 195},
  [5078] = {.lex_state = 195},
  [5079] = {.lex_state = 195},
  [5080] = {.lex_state = 195},
  [5081] = {.lex_state = 195},
  [5082] = {.lex_state = 195},
  [5083] = {.lex_state = 195},
  [5084] = {.lex_state = 195},
  [5085] = {.lex_state = 195},
  [5086] = {.lex_state = 195},
  [5087] = {.lex_state = 195},
  [5088] = {.lex_state = 195},
  [5089] = {.lex_state = 195},
  [5090] = {.lex_state = 195},
  [5091] = {.lex_state = 195},
  [5092] = {.lex_state = 195},
  [5093] = {.lex_state = 195},
  [5094] = {.lex_state = 195},
  [5095] = {.lex_state = 195},
  [5096] = {.lex_state = 239},
  [5097] = {.lex_state = 239},
  [5098] = {.lex_state = 195},
  [5099] = {.lex_state = 195},
  [5100] = {.lex_state = 239},
  [5101] = {.lex_state = 239},
  [5102] = {.lex_state = 195},
  [5103] = {.lex_state = 195},
  [5104] = {.lex_state = 195},
  [5105] = {.lex_state = 195},
  [5106] = {.lex_state = 195},
  [5107] = {.lex_state = 195},
  [5108] = {.lex_state = 195},
  [5109] = {.lex_state = 195},
  [5110] = {.lex_state = 195},
  [5111] = {.lex_state = 195},
  [5112] = {.lex_state = 195},
  [5113] = {.lex_state = 195},
  [5114] = {.lex_state = 195},
  [5115] = {.lex_state = 195},
  [5116] = {.lex_state = 195},
  [5117] = {.lex_state = 203},
  [5118] = {.lex_state = 195},
  [5119] = {.lex_state = 195},
  [5120] = {.lex_state = 195},
  [5121] = {.lex_state = 195},
  [5122] = {.lex_state = 195},
  [5123] = {.lex_state = 195},
  [5124] = {.lex_state = 195},
  [5125] = {.lex_state = 195},
  [5126] = {.lex_state = 195},
  [5127] = {.lex_state = 195},
  [5128] = {.lex_state = 195},
  [5129] = {.lex_state = 195},
  [5130] = {.lex_state = 195},
  [5131] = {.lex_state = 195},
  [5132] = {.lex_state = 195},
  [5133] = {.lex_state = 195},
  [5134] = {.lex_state = 195},
  [5135] = {.lex_state = 195},
  [5136] = {.lex_state = 195},
  [5137] = {.lex_state = 240},
  [5138] = {.lex_state = 240},
  [5139] = {.lex_state = 240},
  [5140] = {.lex_state = 240},
  [5141] = {.lex_state = 240},
  [5142] = {.lex_state = 240},
  [5143] = {.lex_state = 240},
  [5144] = {.lex_state = 240},
  [5145] = {.lex_state = 240},
  [5146] = {.lex_state = 240},
  [5147] = {.lex_state = 240},
  [5148] = {.lex_state = 203},
  [5149] = {.lex_state = 195},
  [5150] = {.lex_state = 195},
  [5151] = {.lex_state = 239},
  [5152] = {.lex_state = 240},
  [5153] = {.lex_state = 240},
  [5154] = {.lex_state = 195},
  [5155] = {.lex_state = 195},
  [5156] = {.lex_state = 240},
  [5157] = {.lex_state = 203},
  [5158] = {.lex_state = 240},
  [5159] = {.lex_state = 239},
  [5160] = {.lex_state = 195},
  [5161] = {.lex_state = 240},
  [5162] = {.lex_state = 240},
  [5163] = {.lex_state = 239},
  [5164] = {.lex_state = 203},
  [5165] = {.lex_state = 240},
  [5166] = {.lex_state = 240},
  [5167] = {.lex_state = 240},
  [5168] = {.lex_state = 239},
  [5169] = {.lex_state = 195},
  [5170] = {.lex_state = 240},
  [5171] = {.lex_state = 195},
  [5172] = {.lex_state = 240},
  [5173] = {.lex_state = 240},
  [5174] = {.lex_state = 240},
  [5175] = {.lex_state = 239},
  [5176] = {.lex_state = 195},
  [5177] = {.lex_state = 240},
  [5178] = {.lex_state = 195},
  [5179] = {.lex_state = 240},
  [5180] = {.lex_state = 195},
  [5181] = {.lex_state = 240},
  [5182] = {.lex_state = 240},
  [5183] = {.lex_state = 195},
  [5184] = {.lex_state = 203},
  [5185] = {.lex_state = 195},
  [5186] = {.lex_state = 195},
  [5187] = {.lex_state = 195},
  [5188] = {.lex_state = 195},
  [5189] = {.lex_state = 240},
  [5190] = {.lex_state = 240},
  [5191] = {.lex_state = 195},
  [5192] = {.lex_state = 240},
  [5193] = {.lex_state = 195},
  [5194] = {.lex_state = 239},
  [5195] = {.lex_state = 195},
  [5196] = {.lex_state = 240},
  [5197] = {.lex_state = 203},
  [5198] = {.lex_state = 203},
  [5199] = {.lex_state = 195},
  [5200] = {.lex_state = 240},
  [5201] = {.lex_state = 240},
  [5202] = {.lex_state = 240},
  [5203] = {.lex_state = 240},
  [5204] = {.lex_state = 195},
  [5205] = {.lex_state = 195},
  [5206] = {.lex_state = 195},
  [5207] = {.lex_state = 240},
  [5208] = {.lex_state = 240},
  [5209] = {.lex_state = 240},
  [5210] = {.lex_state = 240},
  [5211] = {.lex_state = 195},
  [5212] = {.lex_state = 240},
  [5213] = {.lex_state = 240},
  [5214] = {.lex_state = 195},
  [5215] = {.lex_state = 203},
  [5216] = {.lex_state = 240},
  [5217] = {.lex_state = 239},
  [5218] = {.lex_state = 240},
  [5219] = {.lex_state = 239},
  [5220] = {.lex_state = 240},
  [5221] = {.lex_state = 203},
  [5222] = {.lex_state = 240},
  [5223] = {.lex_state = 240},
  [5224] = {.lex_state = 195},
  [5225] = {.lex_state = 203},
  [5226] = {.lex_state = 240},
  [5227] = {.lex_state = 240},
  [5228] = {.lex_state = 240},
  [5229] = {.lex_state = 195},
  [5230] = {.lex_state = 240},
  [5231] = {.lex_state = 203},
  [5232] = {.lex_state = 240},
  [5233] = {.lex_state = 240},
  [5234] = {.lex_state = 203},
  [5235] = {.lex_state = 197},
  [5236] = {.lex_state = 203},
  [5237] = {.lex_state = 197},
  [5238] = {.lex_state = 203},
  [5239] = {.lex_state = 203},
  [5240] = {.lex_state = 203},
  [5241] = {.lex_state = 240},
  [5242] = {.lex_state = 203},
  [5243] = {.lex_state = 195},
  [5244] = {.lex_state = 197},
  [5245] = {.lex_state = 197},
  [5246] = {.lex_state = 197},
  [5247] = {.lex_state = 203},
  [5248] = {.lex_state = 203},
  [5249] = {.lex_state = 203},
  [5250] = {.lex_state = 203},
  [5251] = {.lex_state = 205},
  [5252] = {.lex_state = 205},
  [5253] = {.lex_state = 203},
  [5254] = {.lex_state = 203},
  [5255] = {.lex_state = 203},
  [5256] = {.lex_state = 203},
  [5257] = {.lex_state = 203},
  [5258] = {.lex_state = 195},
  [5259] = {.lex_state = 203},
  [5260] = {.lex_state = 203},
  [5261] = {.lex_state = 203},
  [5262] = {.lex_state = 203},
  [5263] = {.lex_state = 203},
  [5264] = {.lex_state = 203},
  [5265] = {.lex_state = 203},
  [5266] = {.lex_state = 203},
  [5267] = {.lex_state = 203},
  [5268] = {.lex_state = 240},
  [5269] = {.lex_state = 203},
  [5270] = {.lex_state = 242},
  [5271] = {.lex_state = 242},
  [5272] = {.lex_state = 242},
  [5273] = {.lex_state = 197},
  [5274] = {.lex_state = 197},
  [5275] = {.lex_state = 203},
  [5276] = {.lex_state = 203},
  [5277] = {.lex_state = 242},
  [5278] = {.lex_state = 242},
  [5279] = {.lex_state = 242},
  [5280] = {.lex_state = 197},
  [5281] = {.lex_state = 242},
  [5282] = {.lex_state = 242},
  [5283] = {.lex_state = 239},
  [5284] = {.lex_state = 239},
  [5285] = {.lex_state = 239},
  [5286] = {.lex_state = 239},
  [5287] = {.lex_state = 242},
  [5288] = {.lex_state = 242},
  [5289] = {.lex_state = 239},
  [5290] = {.lex_state = 242},
  [5291] = {.lex_state = 242},
  [5292] = {.lex_state = 242},
  [5293] = {.lex_state = 241},
  [5294] = {.lex_state = 242},
  [5295] = {.lex_state = 242},
  [5296] = {.lex_state = 239},
  [5297] = {.lex_state = 242},
  [5298] = {.lex_state = 242},
  [5299] = {.lex_state = 242},
  [5300] = {.lex_state = 239},
  [5301] = {.lex_state = 195},
  [5302] = {.lex_state = 239},
  [5303] = {.lex_state = 239},
  [5304] = {.lex_state = 239},
  [5305] = {.lex_state = 195},
  [5306] = {.lex_state = 239},
  [5307] = {.lex_state = 195},
  [5308] = {.lex_state = 195},
  [5309] = {.lex_state = 239},
  [5310] = {.lex_state = 239},
  [5311] = {.lex_state = 239},
  [5312] = {.lex_state = 195},
  [5313] = {.lex_state = 239},
  [5314] = {.lex_state = 195},
  [5315] = {.lex_state = 195},
  [5316] = {.lex_state = 239},
  [5317] = {.lex_state = 195},
  [5318] = {.lex_state = 239},
  [5319] = {.lex_state = 239},
  [5320] = {.lex_state = 239},
  [5321] = {.lex_state = 239},
  [5322] = {.lex_state = 195},
  [5323] = {.lex_state = 239},
  [5324] = {.lex_state = 241},
  [5325] = {.lex_state = 239},
  [5326] = {.lex_state = 239},
  [5327] = {.lex_state = 195},
  [5328] = {.lex_state = 239},
  [5329] = {.lex_state = 195},
  [5330] = {.lex_state = 195},
  [5331] = {.lex_state = 239},
  [5332] = {.lex_state = 240},
  [5333] = {.lex_state = 239},
  [5334] = {.lex_state = 239},
  [5335] = {.lex_state = 239},
  [5336] = {.lex_state = 239},
  [5337] = {.lex_state = 240},
  [5338] = {.lex_state = 239},
  [5339] = {.lex_state = 240},
  [5340] = {.lex_state = 240},
  [5341] = {.lex_state = 242},
  [5342] = {.lex_state = 242},
  [5343] = {.lex_state = 251},
  [5344] = {.lex_state = 251},
  [5345] = {.lex_state = 239},
  [5346] = {.lex_state = 239},
  [5347] = {.lex_state = 239},
  [5348] = {.lex_state = 239},
  [5349] = {.lex_state = 239},
  [5350] = {.lex_state = 239},
  [5351] = {.lex_state = 239},
  [5352] = {.lex_state = 239},
  [5353] = {.lex_state = 195},
  [5354] = {.lex_state = 239},
  [5355] = {.lex_state = 195},
  [5356] = {.lex_state = 239},
  [5357] = {.lex_state = 195},
  [5358] = {.lex_state = 239},
  [5359] = {.lex_state = 251},
  [5360] = {.lex_state = 251},
  [5361] = {.lex_state = 195},
  [5362] = {.lex_state = 195},
  [5363] = {.lex_state = 239},
  [5364] = {.lex_state = 251},
  [5365] = {.lex_state = 251},
  [5366] = {.lex_state = 239},
  [5367] = {.lex_state = 251},
  [5368] = {.lex_state = 195},
  [5369] = {.lex_state = 195},
  [5370] = {.lex_state = 195},
  [5371] = {.lex_state = 197},
  [5372] = {.lex_state = 197},
  [5373] = {.lex_state = 197},
  [5374] = {.lex_state = 197},
  [5375] = {.lex_state = 197},
  [5376] = {.lex_state = 197},
  [5377] = {.lex_state = 242},
  [5378] = {.lex_state = 197},
  [5379] = {.lex_state = 242},
  [5380] = {.lex_state = 197},
  [5381] = {.lex_state = 195},
  [5382] = {.lex_state = 194},
  [5383] = {.lex_state = 195},
  [5384] = {.lex_state = 242},
  [5385] = {.lex_state = 197},
  [5386] = {.lex_state = 197},
  [5387] = {.lex_state = 197},
  [5388] = {.lex_state = 195},
  [5389] = {.lex_state = 197},
  [5390] = {.lex_state = 239},
  [5391] = {.lex_state = 239},
  [5392] = {.lex_state = 239},
  [5393] = {.lex_state = 242},
  [5394] = {.lex_state = 251},
  [5395] = {.lex_state = 251},
  [5396] = {.lex_state = 251},
  [5397] = {.lex_state = 251},
  [5398] = {.lex_state = 251},
  [5399] = {.lex_state = 251},
  [5400] = {.lex_state = 239},
  [5401] = {.lex_state = 251},
  [5402] = {.lex_state = 239},
  [5403] = {.lex_state = 251},
  [5404] = {.lex_state = 239},
  [5405] = {.lex_state = 251},
  [5406] = {.lex_state = 251},
  [5407] = {.lex_state = 251},
  [5408] = {.lex_state = 251},
  [5409] = {.lex_state = 251},
  [5410] = {.lex_state = 251},
  [5411] = {.lex_state = 251},
  [5412] = {.lex_state = 239},
  [5413] = {.lex_state = 241},
  [5414] = {.lex_state = 251},
  [5415] = {.lex_state = 251},
  [5416] = {.lex_state = 251},
  [5417] = {.lex_state = 242},
  [5418] = {.lex_state = 239},
  [5419] = {.lex_state = 251},
  [5420] = {.lex_state = 251},
  [5421] = {.lex_state = 239},
  [5422] = {.lex_state = 239},
  [5423] = {.lex_state = 251},
  [5424] = {.lex_state = 251},
  [5425] = {.lex_state = 239},
  [5426] = {.lex_state = 239},
  [5427] = {.lex_state = 251},
  [5428] = {.lex_state = 251},
  [5429] = {.lex_state = 239},
  [5430] = {.lex_state = 251},
  [5431] = {.lex_state = 239},
  [5432] = {.lex_state = 239},
  [5433] = {.lex_state = 251},
  [5434] = {.lex_state = 251},
  [5435] = {.lex_state = 239},
  [5436] = {.lex_state = 239},
  [5437] = {.lex_state = 251},
  [5438] = {.lex_state = 239},
  [5439] = {.lex_state = 251},
  [5440] = {.lex_state = 242},
  [5441] = {.lex_state = 251},
  [5442] = {.lex_state = 239},
  [5443] = {.lex_state = 251},
  [5444] = {.lex_state = 251},
  [5445] = {.lex_state = 251},
  [5446] = {.lex_state = 194},
  [5447] = {.lex_state = 251},
  [5448] = {.lex_state = 251},
  [5449] = {.lex_state = 251},
  [5450] = {.lex_state = 251},
  [5451] = {.lex_state = 194},
  [5452] = {.lex_state = 251},
  [5453] = {.lex_state = 208},
  [5454] = {.lex_state = 242},
  [5455] = {.lex_state = 251},
  [5456] = {.lex_state = 239},
  [5457] = {.lex_state = 251},
  [5458] = {.lex_state = 239},
  [5459] = {.lex_state = 239},
  [5460] = {.lex_state = 239},
  [5461] = {.lex_state = 251},
  [5462] = {.lex_state = 251},
  [5463] = {.lex_state = 251},
  [5464] = {.lex_state = 194},
  [5465] = {.lex_state = 251},
  [5466] = {.lex_state = 195},
  [5467] = {.lex_state = 195},
  [5468] = {.lex_state = 239},
  [5469] = {.lex_state = 242},
  [5470] = {.lex_state = 195},
  [5471] = {.lex_state = 239},
  [5472] = {.lex_state = 242},
  [5473] = {.lex_state = 195},
  [5474] = {.lex_state = 195},
  [5475] = {.lex_state = 239},
  [5476] = {.lex_state = 195},
  [5477] = {.lex_state = 195},
  [5478] = {.lex_state = 195},
  [5479] = {.lex_state = 242},
  [5480] = {.lex_state = 194},
  [5481] = {.lex_state = 208},
  [5482] = {.lex_state = 208},
  [5483] = {.lex_state = 239},
  [5484] = {.lex_state = 195},
  [5485] = {.lex_state = 242},
  [5486] = {.lex_state = 178},
  [5487] = {.lex_state = 242},
  [5488] = {.lex_state = 242},
  [5489] = {.lex_state = 195},
  [5490] = {.lex_state = 195},
  [5491] = {.lex_state = 242},
  [5492] = {.lex_state = 195},
  [5493] = {.lex_state = 208},
  [5494] = {.lex_state = 178},
  [5495] = {.lex_state = 195},
  [5496] = {.lex_state = 195},
  [5497] = {.lex_state = 195},
  [5498] = {.lex_state = 195},
  [5499] = {.lex_state = 195},
  [5500] = {.lex_state = 195},
  [5501] = {.lex_state = 195},
  [5502] = {.lex_state = 242},
  [5503] = {.lex_state = 99},
  [5504] = {.lex_state = 195},
  [5505] = {.lex_state = 195},
  [5506] = {.lex_state = 242},
  [5507] = {.lex_state = 195},
  [5508] = {.lex_state = 195},
  [5509] = {.lex_state = 242},
  [5510] = {.lex_state = 195},
  [5511] = {.lex_state = 195},
  [5512] = {.lex_state = 195},
  [5513] = {.lex_state = 195},
  [5514] = {.lex_state = 242},
  [5515] = {.lex_state = 242},
  [5516] = {.lex_state = 195},
  [5517] = {.lex_state = 242},
  [5518] = {.lex_state = 195},
  [5519] = {.lex_state = 194},
  [5520] = {.lex_state = 195},
  [5521] = {.lex_state = 242},
  [5522] = {.lex_state = 195},
  [5523] = {.lex_state = 195},
  [5524] = {.lex_state = 195},
  [5525] = {.lex_state = 239},
  [5526] = {.lex_state = 195},
  [5527] = {.lex_state = 242},
  [5528] = {.lex_state = 242},
  [5529] = {.lex_state = 194},
  [5530] = {.lex_state = 195},
  [5531] = {.lex_state = 195},
  [5532] = {.lex_state = 195},
  [5533] = {.lex_state = 195},
  [5534] = {.lex_state = 195},
  [5535] = {.lex_state = 195},
  [5536] = {.lex_state = 195},
  [5537] = {.lex_state = 195},
  [5538] = {.lex_state = 195},
  [5539] = {.lex_state = 195},
  [5540] = {.lex_state = 195},
  [5541] = {.lex_state = 195},
  [5542] = {.lex_state = 195},
  [5543] = {.lex_state = 195},
  [5544] = {.lex_state = 195},
  [5545] = {.lex_state = 194},
  [5546] = {.lex_state = 195},
  [5547] = {.lex_state = 195},
  [5548] = {.lex_state = 195},
  [5549] = {.lex_state = 195},
  [5550] = {.lex_state = 195},
  [5551] = {.lex_state = 195},
  [5552] = {.lex_state = 195},
  [5553] = {.lex_state = 195},
  [5554] = {.lex_state = 195},
  [5555] = {.lex_state = 195},
  [5556] = {.lex_state = 242},
  [5557] = {.lex_state = 195},
  [5558] = {.lex_state = 195},
  [5559] = {.lex_state = 195},
  [5560] = {.lex_state = 195},
  [5561] = {.lex_state = 195},
  [5562] = {.lex_state = 195},
  [5563] = {.lex_state = 195},
  [5564] = {.lex_state = 195},
  [5565] = {.lex_state = 195},
  [5566] = {.lex_state = 242},
  [5567] = {.lex_state = 242},
  [5568] = {.lex_state = 242},
  [5569] = {.lex_state = 242},
  [5570] = {.lex_state = 195},
  [5571] = {.lex_state = 242},
  [5572] = {.lex_state = 242},
  [5573] = {.lex_state = 242},
  [5574] = {.lex_state = 242},
  [5575] = {.lex_state = 242},
  [5576] = {.lex_state = 178},
  [5577] = {.lex_state = 195},
  [5578] = {.lex_state = 195},
  [5579] = {.lex_state = 195},
  [5580] = {.lex_state = 195},
  [5581] = {.lex_state = 195},
  [5582] = {.lex_state = 195},
  [5583] = {.lex_state = 195},
  [5584] = {.lex_state = 195},
  [5585] = {.lex_state = 195},
  [5586] = {.lex_state = 195},
  [5587] = {.lex_state = 239},
  [5588] = {.lex_state = 242},
  [5589] = {.lex_state = 195},
  [5590] = {.lex_state = 195},
  [5591] = {.lex_state = 242},
  [5592] = {.lex_state = 242},
  [5593] = {.lex_state = 242},
  [5594] = {.lex_state = 242},
  [5595] = {.lex_state = 195},
  [5596] = {.lex_state = 239},
  [5597] = {.lex_state = 242},
  [5598] = {.lex_state = 195},
  [5599] = {.lex_state = 242},
  [5600] = {.lex_state = 195},
  [5601] = {.lex_state = 195},
  [5602] = {.lex_state = 242},
  [5603] = {.lex_state = 242},
  [5604] = {.lex_state = 195},
  [5605] = {.lex_state = 242},
  [5606] = {.lex_state = 194},
  [5607] = {.lex_state = 195},
  [5608] = {.lex_state = 242},
  [5609] = {.lex_state = 195},
  [5610] = {.lex_state = 195},
  [5611] = {.lex_state = 195},
  [5612] = {.lex_state = 246},
  [5613] = {.lex_state = 194},
  [5614] = {.lex_state = 178},
  [5615] = {.lex_state = 246},
  [5616] = {.lex_state = 194},
  [5617] = {.lex_state = 246},
  [5618] = {.lex_state = 194},
  [5619] = {.lex_state = 246},
  [5620] = {.lex_state = 246},
  [5621] = {.lex_state = 208},
  [5622] = {.lex_state = 194},
  [5623] = {.lex_state = 246},
  [5624] = {.lex_state = 203},
  [5625] = {.lex_state = 246},
  [5626] = {.lex_state = 194},
  [5627] = {.lex_state = 194},
  [5628] = {.lex_state = 194},
  [5629] = {.lex_state = 194},
  [5630] = {.lex_state = 246},
  [5631] = {.lex_state = 194},
  [5632] = {.lex_state = 246},
  [5633] = {.lex_state = 178},
  [5634] = {.lex_state = 178},
  [5635] = {.lex_state = 194},
  [5636] = {.lex_state = 208},
  [5637] = {.lex_state = 178},
  [5638] = {.lex_state = 178},
  [5639] = {.lex_state = 178},
  [5640] = {.lex_state = 240},
  [5641] = {.lex_state = 208},
  [5642] = {.lex_state = 178},
  [5643] = {.lex_state = 246},
  [5644] = {.lex_state = 178},
  [5645] = {.lex_state = 178},
  [5646] = {.lex_state = 240},
  [5647] = {.lex_state = 240},
  [5648] = {.lex_state = 246},
  [5649] = {.lex_state = 178},
  [5650] = {.lex_state = 178},
  [5651] = {.lex_state = 242},
  [5652] = {.lex_state = 178},
  [5653] = {.lex_state = 178},
  [5654] = {.lex_state = 178},
  [5655] = {.lex_state = 242},
  [5656] = {.lex_state = 178},
  [5657] = {.lex_state = 178},
  [5658] = {.lex_state = 242},
  [5659] = {.lex_state = 178},
  [5660] = {.lex_state = 208},
  [5661] = {.lex_state = 242},
  [5662] = {.lex_state = 242},
  [5663] = {.lex_state = 178},
  [5664] = {.lex_state = 246},
  [5665] = {.lex_state = 208},
  [5666] = {.lex_state = 178},
  [5667] = {.lex_state = 242},
  [5668] = {.lex_state = 239},
  [5669] = {.lex_state = 239},
  [5670] = {.lex_state = 239},
  [5671] = {.lex_state = 239},
  [5672] = {.lex_state = 194},
  [5673] = {.lex_state = 242},
  [5674] = {.lex_state = 178},
  [5675] = {.lex_state = 178},
  [5676] = {.lex_state = 178},
  [5677] = {.lex_state = 178},
  [5678] = {.lex_state = 242},
  [5679] = {.lex_state = 242},
  [5680] = {.lex_state = 242},
  [5681] = {.lex_state = 242},
  [5682] = {.lex_state = 178},
  [5683] = {.lex_state = 239},
  [5684] = {.lex_state = 239},
  [5685] = {.lex_state = 239},
  [5686] = {.lex_state = 239},
  [5687] = {.lex_state = 246},
  [5688] = {.lex_state = 178},
  [5689] = {.lex_state = 241},
  [5690] = {.lex_state = 246},
  [5691] = {.lex_state = 178},
  [5692] = {.lex_state = 208},
  [5693] = {.lex_state = 208},
  [5694] = {.lex_state = 240},
  [5695] = {.lex_state = 246},
  [5696] = {.lex_state = 240},
  [5697] = {.lex_state = 246},
  [5698] = {.lex_state = 242},
  [5699] = {.lex_state = 178},
  [5700] = {.lex_state = 178},
  [5701] = {.lex_state = 208},
  [5702] = {.lex_state = 242},
  [5703] = {.lex_state = 242},
  [5704] = {.lex_state = 242},
  [5705] = {.lex_state = 242},
  [5706] = {.lex_state = 242},
  [5707] = {.lex_state = 242},
  [5708] = {.lex_state = 242},
  [5709] = {.lex_state = 240},
  [5710] = {.lex_state = 178},
  [5711] = {.lex_state = 240},
  [5712] = {.lex_state = 208},
  [5713] = {.lex_state = 178},
  [5714] = {.lex_state = 194},
  [5715] = {.lex_state = 178},
  [5716] = {.lex_state = 240},
  [5717] = {.lex_state = 240},
  [5718] = {.lex_state = 246},
  [5719] = {.lex_state = 246},
  [5720] = {.lex_state = 240},
  [5721] = {.lex_state = 240},
  [5722] = {.lex_state = 178},
  [5723] = {.lex_state = 241},
  [5724] = {.lex_state = 246},
  [5725] = {.lex_state = 246},
  [5726] = {.lex_state = 246},
  [5727] = {.lex_state = 240},
  [5728] = {.lex_state = 240},
  [5729] = {.lex_state = 178},
  [5730] = {.lex_state = 240},
  [5731] = {.lex_state = 240},
  [5732] = {.lex_state = 240},
  [5733] = {.lex_state = 240},
  [5734] = {.lex_state = 178},
  [5735] = {.lex_state = 208},
  [5736] = {.lex_state = 246},
  [5737] = {.lex_state = 246},
  [5738] = {.lex_state = 178},
  [5739] = {.lex_state = 194},
  [5740] = {.lex_state = 178},
  [5741] = {.lex_state = 178},
  [5742] = {.lex_state = 178},
  [5743] = {.lex_state = 194},
  [5744] = {.lex_state = 208},
  [5745] = {.lex_state = 240},
  [5746] = {.lex_state = 246},
  [5747] = {.lex_state = 178},
  [5748] = {.lex_state = 246},
  [5749] = {.lex_state = 246},
  [5750] = {.lex_state = 242},
  [5751] = {.lex_state = 203},
  [5752] = {.lex_state = 246},
  [5753] = {.lex_state = 246},
  [5754] = {.lex_state = 208},
  [5755] = {.lex_state = 208},
  [5756] = {.lex_state = 208},
  [5757] = {.lex_state = 208},
  [5758] = {.lex_state = 208},
  [5759] = {.lex_state = 208},
  [5760] = {.lex_state = 208},
  [5761] = {.lex_state = 208},
  [5762] = {.lex_state = 208},
  [5763] = {.lex_state = 240},
  [5764] = {.lex_state = 194},
  [5765] = {.lex_state = 250},
  [5766] = {.lex_state = 240},
  [5767] = {.lex_state = 242},
  [5768] = {.lex_state = 241},
  [5769] = {.lex_state = 240},
  [5770] = {.lex_state = 99},
  [5771] = {.lex_state = 99},
  [5772] = {.lex_state = 242},
  [5773] = {.lex_state = 99},
  [5774] = {.lex_state = 99},
  [5775] = {.lex_state = 194},
  [5776] = {.lex_state = 208},
  [5777] = {.lex_state = 99},
  [5778] = {.lex_state = 99},
  [5779] = {.lex_state = 240},
  [5780] = {.lex_state = 242},
  [5781] = {.lex_state = 208},
  [5782] = {.lex_state = 240},
  [5783] = {.lex_state = 99},
  [5784] = {.lex_state = 242},
  [5785] = {.lex_state = 240},
  [5786] = {.lex_state = 99},
  [5787] = {.lex_state = 241},
  [5788] = {.lex_state = 242},
  [5789] = {.lex_state = 99},
  [5790] = {.lex_state = 99},
  [5791] = {.lex_state = 194},
  [5792] = {.lex_state = 99},
  [5793] = {.lex_state = 99},
  [5794] = {.lex_state = 240},
  [5795] = {.lex_state = 99},
  [5796] = {.lex_state = 99},
  [5797] = {.lex_state = 240},
  [5798] = {.lex_state = 99},
  [5799] = {.lex_state = 99},
  [5800] = {.lex_state = 99},
  [5801] = {.lex_state = 240},
  [5802] = {.lex_state = 99},
  [5803] = {.lex_state = 239},
  [5804] = {.lex_state = 99},
  [5805] = {.lex_state = 242},
  [5806] = {.lex_state = 194},
  [5807] = {.lex_state = 99},
  [5808] = {.lex_state = 242},
  [5809] = {.lex_state = 194},
  [5810] = {.lex_state = 194},
  [5811] = {.lex_state = 99},
  [5812] = {.lex_state = 242},
  [5813] = {.lex_state = 194},
  [5814] = {.lex_state = 99},
  [5815] = {.lex_state = 239},
  [5816] = {.lex_state = 241},
  [5817] = {.lex_state = 242},
  [5818] = {.lex_state = 99},
  [5819] = {.lex_state = 99},
  [5820] = {.lex_state = 99},
  [5821] = {.lex_state = 99},
  [5822] = {.lex_state = 99},
  [5823] = {.lex_state = 242},
  [5824] = {.lex_state = 242},
  [5825] = {.lex_state = 99},
  [5826] = {.lex_state = 99},
  [5827] = {.lex_state = 99},
  [5828] = {.lex_state = 239},
  [5829] = {.lex_state = 242},
  [5830] = {.lex_state = 99},
  [5831] = {.lex_state = 242},
  [5832] = {.lex_state = 99},
  [5833] = {.lex_state = 242},
  [5834] = {.lex_state = 242},
  [5835] = {.lex_state = 242},
  [5836] = {.lex_state = 240},
  [5837] = {.lex_state = 242},
  [5838] = {.lex_state = 242},
  [5839] = {.lex_state = 242},
  [5840] = {.lex_state = 240},
  [5841] = {.lex_state = 242},
  [5842] = {.lex_state = 240},
  [5843] = {.lex_state = 99},
  [5844] = {.lex_state = 242},
  [5845] = {.lex_state = 242},
  [5846] = {.lex_state = 239},
  [5847] = {.lex_state = 239},
  [5848] = {.lex_state = 241},
  [5849] = {.lex_state = 239},
  [5850] = {.lex_state = 239},
  [5851] = {.lex_state = 241},
  [5852] = {.lex_state = 241},
  [5853] = {.lex_state = 241},
  [5854] = {.lex_state = 241},
  [5855] = {.lex_state = 241},
  [5856] = {.lex_state = 241},
  [5857] = {.lex_state = 239},
  [5858] = {.lex_state = 239},
  [5859] = {.lex_state = 241},
  [5860] = {.lex_state = 242},
  [5861] = {.lex_state = 239},
  [5862] = {.lex_state = 241},
  [5863] = {.lex_state = 239},
  [5864] = {.lex_state = 239},
  [5865] = {.lex_state = 241},
  [5866] = {.lex_state = 242},
  [5867] = {.lex_state = 244},
  [5868] = {.lex_state = 195},
  [5869] = {.lex_state = 241},
  [5870] = {.lex_state = 241},
  [5871] = {.lex_state = 239},
  [5872] = {.lex_state = 242},
  [5873] = {.lex_state = 241},
  [5874] = {.lex_state = 242},
  [5875] = {.lex_state = 239},
  [5876] = {.lex_state = 241},
  [5877] = {.lex_state = 241},
  [5878] = {.lex_state = 195},
  [5879] = {.lex_state = 241},
  [5880] = {.lex_state = 241},
  [5881] = {.lex_state = 239},
  [5882] = {.lex_state = 241},
  [5883] = {.lex_state = 239},
  [5884] = {.lex_state = 241},
  [5885] = {.lex_state = 239},
  [5886] = {.lex_state = 242},
  [5887] = {.lex_state = 239},
  [5888] = {.lex_state = 195},
  [5889] = {.lex_state = 239},
  [5890] = {.lex_state = 241},
  [5891] = {.lex_state = 241},
  [5892] = {.lex_state = 239},
  [5893] = {.lex_state = 241},
  [5894] = {.lex_state = 239},
  [5895] = {.lex_state = 241},
  [5896] = {.lex_state = 242},
  [5897] = {.lex_state = 241},
  [5898] = {.lex_state = 195},
  [5899] = {.lex_state = 239},
  [5900] = {.lex_state = 241},
  [5901] = {.lex_state = 241},
  [5902] = {.lex_state = 241},
  [5903] = {.lex_state = 239},
  [5904] = {.lex_state = 241},
  [5905] = {.lex_state = 244},
  [5906] = {.lex_state = 241},
  [5907] = {.lex_state = 239},
  [5908] = {.lex_state = 241},
  [5909] = {.lex_state = 246},
  [5910] = {.lex_state = 175},
  [5911] = {.lex_state = 194},
  [5912] = {.lex_state = 242},
  [5913] = {.lex_state = 234},
  [5914] = {.lex_state = 242},
  [5915] = {.lex_state = 234},
  [5916] = {.lex_state = 242},
  [5917] = {.lex_state = 242},
  [5918] = {.lex_state = 242},
  [5919] = {.lex_state = 194},
  [5920] = {.lex_state = 239},
  [5921] = {.lex_state = 205},
  [5922] = {.lex_state = 242},
  [5923] = {.lex_state = 242},
  [5924] = {.lex_state = 241},
  [5925] = {.lex_state = 241},
  [5926] = {.lex_state = 241},
  [5927] = {.lex_state = 241},
  [5928] = {.lex_state = 241},
  [5929] = {.lex_state = 242},
  [5930] = {.lex_state = 241},
  [5931] = {.lex_state = 194},
  [5932] = {.lex_state = 241},
  [5933] = {.lex_state = 194},
  [5934] = {.lex_state = 195},
  [5935] = {.lex_state = 234},
  [5936] = {.lex_state = 246},
  [5937] = {.lex_state = 239},
  [5938] = {.lex_state = 239},
  [5939] = {.lex_state = 242},
  [5940] = {.lex_state = 241},
  [5941] = {.lex_state = 234},
  [5942] = {.lex_state = 195},
  [5943] = {.lex_state = 195},
  [5944] = {.lex_state = 240},
  [5945] = {.lex_state = 242},
  [5946] = {.lex_state = 244},
  [5947] = {.lex_state = 242},
  [5948] = {.lex_state = 240},
  [5949] = {.lex_state = 199},
  [5950] = {.lex_state = 240},
  [5951] = {.lex_state = 242},
  [5952] = {.lex_state = 242},
  [5953] = {.lex_state = 240},
  [5954] = {.lex_state = 242},
  [5955] = {.lex_state = 175},
  [5956] = {.lex_state = 242},
  [5957] = {.lex_state = 242},
  [5958] = {.lex_state = 242},
  [5959] = {.lex_state = 195},
  [5960] = {.lex_state = 195},
  [5961] = {.lex_state = 244},
  [5962] = {.lex_state = 244},
  [5963] = {.lex_state = 244},
  [5964] = {.lex_state = 242},
  [5965] = {.lex_state = 242},
  [5966] = {.lex_state = 244},
  [5967] = {.lex_state = 244},
  [5968] = {.lex_state = 199},
  [5969] = {.lex_state = 199},
  [5970] = {.lex_state = 199},
  [5971] = {.lex_state = 244},
  [5972] = {.lex_state = 242},
  [5973] = {.lex_state = 242},
  [5974] = {.lex_state = 242},
  [5975] = {.lex_state = 242},
  [5976] = {.lex_state = 242},
  [5977] = {.lex_state = 240},
  [5978] = {.lex_state = 242},
  [5979] = {.lex_state = 199},
  [5980] = {.lex_state = 242},
  [5981] = {.lex_state = 242},
  [5982] = {.lex_state = 242},
  [5983] = {.lex_state = 244},
  [5984] = {.lex_state = 240},
  [5985] = {.lex_state = 242},
  [5986] = {.lex_state = 244},
  [5987] = {.lex_state = 240},
  [5988] = {.lex_state = 240},
  [5989] = {.lex_state = 242},
  [5990] = {.lex_state = 199},
  [5991] = {.lex_state = 239},
  [5992] = {.lex_state = 195},
  [5993] = {.lex_state = 240},
  [5994] = {.lex_state = 240},
  [5995] = {.lex_state = 239},
  [5996] = {.lex_state = 199},
  [5997] = {.lex_state = 239},
  [5998] = {.lex_state = 199},
  [5999] = {.lex_state = 239},
  [6000] = {.lex_state = 244},
  [6001] = {.lex_state = 239},
  [6002] = {.lex_state = 240},
  [6003] = {.lex_state = 244},
  [6004] = {.lex_state = 239},
  [6005] = {.lex_state = 239},
  [6006] = {.lex_state = 240},
  [6007] = {.lex_state = 239},
  [6008] = {.lex_state = 242},
  [6009] = {.lex_state = 244},
  [6010] = {.lex_state = 195},
  [6011] = {.lex_state = 240},
  [6012] = {.lex_state = 242},
  [6013] = {.lex_state = 195},
  [6014] = {.lex_state = 242},
  [6015] = {.lex_state = 244},
  [6016] = {.lex_state = 195},
  [6017] = {.lex_state = 242},
  [6018] = {.lex_state = 244},
  [6019] = {.lex_state = 242},
  [6020] = {.lex_state = 199},
  [6021] = {.lex_state = 242},
  [6022] = {.lex_state = 242},
  [6023] = {.lex_state = 242},
  [6024] = {.lex_state = 242},
  [6025] = {.lex_state = 195},
  [6026] = {.lex_state = 244},
  [6027] = {.lex_state = 199},
  [6028] = {.lex_state = 242},
  [6029] = {.lex_state = 240},
  [6030] = {.lex_state = 242},
  [6031] = {.lex_state = 240},
  [6032] = {.lex_state = 244},
  [6033] = {.lex_state = 244},
  [6034] = {.lex_state = 242},
  [6035] = {.lex_state = 199},
  [6036] = {.lex_state = 242},
  [6037] = {.lex_state = 244},
  [6038] = {.lex_state = 242},
  [6039] = {.lex_state = 242},
  [6040] = {.lex_state = 240},
  [6041] = {.lex_state = 240},
  [6042] = {.lex_state = 240},
  [6043] = {.lex_state = 244},
  [6044] = {.lex_state = 242},
  [6045] = {.lex_state = 244},
  [6046] = {.lex_state = 242},
  [6047] = {.lex_state = 242},
  [6048] = {.lex_state = 242},
  [6049] = {.lex_state = 242},
  [6050] = {.lex_state = 242},
  [6051] = {.lex_state = 242},
  [6052] = {.lex_state = 240},
  [6053] = {.lex_state = 242},
  [6054] = {.lex_state = 244},
  [6055] = {.lex_state = 199},
  [6056] = {.lex_state = 242},
  [6057] = {.lex_state = 196},
  [6058] = {.lex_state = 217},
  [6059] = {.lex_state = 217},
  [6060] = {.lex_state = 241},
  [6061] = {.lex_state = 196},
  [6062] = {.lex_state = 188},
  [6063] = {.lex_state = 195},
  [6064] = {.lex_state = 241},
  [6065] = {.lex_state = 241},
  [6066] = {.lex_state = 239},
  [6067] = {.lex_state = 188},
  [6068] = {.lex_state = 188},
  [6069] = {.lex_state = 195},
  [6070] = {.lex_state = 188},
  [6071] = {.lex_state = 241},
  [6072] = {.lex_state = 242},
  [6073] = {.lex_state = 188},
  [6074] = {.lex_state = 196},
  [6075] = {.lex_state = 242},
  [6076] = {.lex_state = 188},
  [6077] = {.lex_state = 196},
  [6078] = {.lex_state = 188},
  [6079] = {.lex_state = 188},
  [6080] = {.lex_state = 188},
  [6081] = {.lex_state = 181},
  [6082] = {.lex_state = 195},
  [6083] = {.lex_state = 195},
  [6084] = {.lex_state = 195},
  [6085] = {.lex_state = 241},
  [6086] = {.lex_state = 196},
  [6087] = {.lex_state = 242},
  [6088] = {.lex_state = 242},
  [6089] = {.lex_state = 188},
  [6090] = {.lex_state = 188},
  [6091] = {.lex_state = 241},
  [6092] = {.lex_state = 239},
  [6093] = {.lex_state = 242},
  [6094] = {.lex_state = 217},
  [6095] = {.lex_state = 188},
  [6096] = {.lex_state = 242},
  [6097] = {.lex_state = 217},
  [6098] = {.lex_state = 217},
  [6099] = {.lex_state = 242},
  [6100] = {.lex_state = 195},
  [6101] = {.lex_state = 241},
  [6102] = {.lex_state = 242},
  [6103] = {.lex_state = 239},
  [6104] = {.lex_state = 188},
  [6105] = {.lex_state = 217},
  [6106] = {.lex_state = 196},
  [6107] = {.lex_state = 188},
  [6108] = {.lex_state = 188},
  [6109] = {.lex_state = 188},
  [6110] = {.lex_state = 239},
  [6111] = {.lex_state = 188},
  [6112] = {.lex_state = 188},
  [6113] = {.lex_state = 188},
  [6114] = {.lex_state = 196},
  [6115] = {.lex_state = 188},
  [6116] = {.lex_state = 203},
  [6117] = {.lex_state = 188},
  [6118] = {.lex_state = 196},
  [6119] = {.lex_state = 195},
  [6120] = {.lex_state = 196},
  [6121] = {.lex_state = 195},
  [6122] = {.lex_state = 217},
  [6123] = {.lex_state = 188},
  [6124] = {.lex_state = 196},
  [6125] = {.lex_state = 242},
  [6126] = {.lex_state = 242},
  [6127] = {.lex_state = 239},
  [6128] = {.lex_state = 196},
  [6129] = {.lex_state = 241},
  [6130] = {.lex_state = 196},
  [6131] = {.lex_state = 196},
  [6132] = {.lex_state = 196},
  [6133] = {.lex_state = 196},
  [6134] = {.lex_state = 196},
  [6135] = {.lex_state = 217},
  [6136] = {.lex_state = 195},
  [6137] = {.lex_state = 217},
  [6138] = {.lex_state = 242},
  [6139] = {.lex_state = 234},
  [6140] = {.lex_state = 217},
  [6141] = {.lex_state = 242},
  [6142] = {.lex_state = 195},
  [6143] = {.lex_state = 195},
  [6144] = {.lex_state = 195},
  [6145] = {.lex_state = 217},
  [6146] = {.lex_state = 195},
  [6147] = {.lex_state = 242},
  [6148] = {.lex_state = 239},
  [6149] = {.lex_state = 195},
  [6150] = {.lex_state = 195},
  [6151] = {.lex_state = 242},
  [6152] = {.lex_state = 195},
  [6153] = {.lex_state = 239},
  [6154] = {.lex_state = 239},
  [6155] = {.lex_state = 239},
  [6156] = {.lex_state = 239},
  [6157] = {.lex_state = 239},
  [6158] = {.lex_state = 239},
  [6159] = {.lex_state = 239},
  [6160] = {.lex_state = 239},
  [6161] = {.lex_state = 234},
  [6162] = {.lex_state = 242},
  [6163] = {.lex_state = 195},
  [6164] = {.lex_state = 195},
  [6165] = {.lex_state = 234},
  [6166] = {.lex_state = 195},
  [6167] = {.lex_state = 242},
  [6168] = {.lex_state = 242},
  [6169] = {.lex_state = 195},
  [6170] = {.lex_state = 234},
  [6171] = {.lex_state = 195},
  [6172] = {.lex_state = 242},
  [6173] = {.lex_state = 195},
  [6174] = {.lex_state = 217},
  [6175] = {.lex_state = 242},
  [6176] = {.lex_state = 242},
  [6177] = {.lex_state = 242},
  [6178] = {.lex_state = 217},
  [6179] = {.lex_state = 195},
  [6180] = {.lex_state = 217},
  [6181] = {.lex_state = 242},
  [6182] = {.lex_state = 195},
  [6183] = {.lex_state = 242},
  [6184] = {.lex_state = 195},
  [6185] = {.lex_state = 195},
  [6186] = {.lex_state = 217},
  [6187] = {.lex_state = 242},
  [6188] = {.lex_state = 217},
  [6189] = {.lex_state = 242},
  [6190] = {.lex_state = 195},
  [6191] = {.lex_state = 217},
  [6192] = {.lex_state = 242},
  [6193] = {.lex_state = 239},
  [6194] = {.lex_state = 217},
  [6195] = {.lex_state = 242},
  [6196] = {.lex_state = 217},
  [6197] = {.lex_state = 239},
  [6198] = {.lex_state = 195},
  [6199] = {.lex_state = 239},
  [6200] = {.lex_state = 239},
  [6201] = {.lex_state = 239},
  [6202] = {.lex_state = 195},
  [6203] = {.lex_state = 239},
  [6204] = {.lex_state = 239},
  [6205] = {.lex_state = 217},
  [6206] = {.lex_state = 195},
  [6207] = {.lex_state = 195},
  [6208] = {.lex_state = 239},
  [6209] = {.lex_state = 195},
  [6210] = {.lex_state = 217},
  [6211] = {.lex_state = 195},
  [6212] = {.lex_state = 195},
  [6213] = {.lex_state = 195},
  [6214] = {.lex_state = 195},
  [6215] = {.lex_state = 195},
  [6216] = {.lex_state = 195},
  [6217] = {.lex_state = 195},
  [6218] = {.lex_state = 217},
  [6219] = {.lex_state = 195},
  [6220] = {.lex_state = 195},
  [6221] = {.lex_state = 195},
  [6222] = {.lex_state = 195},
  [6223] = {.lex_state = 195},
  [6224] = {.lex_state = 195},
  [6225] = {.lex_state = 242},
  [6226] = {.lex_state = 195},
  [6227] = {.lex_state = 204},
  [6228] = {.lex_state = 217},
  [6229] = {.lex_state = 195},
  [6230] = {.lex_state = 217},
  [6231] = {.lex_state = 242},
  [6232] = {.lex_state = 195},
  [6233] = {.lex_state = 195},
  [6234] = {.lex_state = 217},
  [6235] = {.lex_state = 217},
  [6236] = {.lex_state = 217},
  [6237] = {.lex_state = 217},
  [6238] = {.lex_state = 239},
  [6239] = {.lex_state = 239},
  [6240] = {.lex_state = 194},
  [6241] = {.lex_state = 195},
  [6242] = {.lex_state = 195},
  [6243] = {.lex_state = 239},
  [6244] = {.lex_state = 242},
  [6245] = {.lex_state = 194},
  [6246] = {.lex_state = 242},
  [6247] = {.lex_state = 242},
  [6248] = {.lex_state = 194},
  [6249] = {.lex_state = 195},
  [6250] = {.lex_state = 242},
  [6251] = {.lex_state = 194},
  [6252] = {.lex_state = 241},
  [6253] = {.lex_state = 195},
  [6254] = {.lex_state = 241},
  [6255] = {.lex_state = 241},
  [6256] = {.lex_state = 241},
  [6257] = {.lex_state = 197},
  [6258] = {.lex_state = 194},
  [6259] = {.lex_state = 241},
  [6260] = {.lex_state = 197},
  [6261] = {.lex_state = 241},
  [6262] = {.lex_state = 197},
  [6263] = {.lex_state = 242},
  [6264] = {.lex_state = 197},
  [6265] = {.lex_state = 241},
  [6266] = {.lex_state = 241},
  [6267] = {.lex_state = 195},
  [6268] = {.lex_state = 194},
  [6269] = {.lex_state = 242},
  [6270] = {.lex_state = 242},
  [6271] = {.lex_state = 194},
  [6272] = {.lex_state = 195},
  [6273] = {.lex_state = 175},
  [6274] = {.lex_state = 195},
  [6275] = {.lex_state = 242},
  [6276] = {.lex_state = 242},
  [6277] = {.lex_state = 194},
  [6278] = {.lex_state = 242},
  [6279] = {.lex_state = 194},
  [6280] = {.lex_state = 195},
  [6281] = {.lex_state = 194},
  [6282] = {.lex_state = 242},
  [6283] = {.lex_state = 239},
  [6284] = {.lex_state = 242},
  [6285] = {.lex_state = 197},
  [6286] = {.lex_state = 242},
  [6287] = {.lex_state = 197},
  [6288] = {.lex_state = 197},
  [6289] = {.lex_state = 194},
  [6290] = {.lex_state = 197},
  [6291] = {.lex_state = 175},
  [6292] = {.lex_state = 195},
  [6293] = {.lex_state = 242},
  [6294] = {.lex_state = 194},
  [6295] = {.lex_state = 239},
  [6296] = {.lex_state = 194},
  [6297] = {.lex_state = 194},
  [6298] = {.lex_state = 242},
  [6299] = {.lex_state = 194},
  [6300] = {.lex_state = 239},
  [6301] = {.lex_state = 242},
  [6302] = {.lex_state = 242},
  [6303] = {.lex_state = 242},
  [6304] = {.lex_state = 242},
  [6305] = {.lex_state = 242},
  [6306] = {.lex_state = 194},
  [6307] = {.lex_state = 242},
  [6308] = {.lex_state = 194},
  [6309] = {.lex_state = 194},
  [6310] = {.lex_state = 195},
  [6311] = {.lex_state = 175},
  [6312] = {.lex_state = 194},
  [6313] = {.lex_state = 195},
  [6314] = {.lex_state = 194},
  [6315] = {.lex_state = 195},
  [6316] = {.lex_state = 195},
  [6317] = {.lex_state = 195},
  [6318] = {.lex_state = 0},
  [6319] = {.lex_state = 196},
  [6320] = {.lex_state = 242},
  [6321] = {.lex_state = 195},
  [6322] = {.lex_state = 195},
  [6323] = {.lex_state = 195},
  [6324] = {.lex_state = 242},
  [6325] = {.lex_state = 199},
  [6326] = {.lex_state = 199},
  [6327] = {.lex_state = 199},
  [6328] = {.lex_state = 196},
  [6329] = {.lex_state = 199},
  [6330] = {.lex_state = 199},
  [6331] = {.lex_state = 195},
  [6332] = {.lex_state = 195},
  [6333] = {.lex_state = 195},
  [6334] = {.lex_state = 199},
  [6335] = {.lex_state = 199},
  [6336] = {.lex_state = 195},
  [6337] = {.lex_state = 242},
  [6338] = {.lex_state = 242},
  [6339] = {.lex_state = 195},
  [6340] = {.lex_state = 195},
  [6341] = {.lex_state = 199},
  [6342] = {.lex_state = 195},
  [6343] = {.lex_state = 195},
  [6344] = {.lex_state = 196},
  [6345] = {.lex_state = 195},
  [6346] = {.lex_state = 195},
  [6347] = {.lex_state = 195},
  [6348] = {.lex_state = 242},
  [6349] = {.lex_state = 195},
  [6350] = {.lex_state = 195},
  [6351] = {.lex_state = 195},
  [6352] = {.lex_state = 196},
  [6353] = {.lex_state = 195},
  [6354] = {.lex_state = 203},
  [6355] = {.lex_state = 195},
  [6356] = {.lex_state = 242},
  [6357] = {.lex_state = 242},
  [6358] = {.lex_state = 195},
  [6359] = {.lex_state = 242},
  [6360] = {.lex_state = 242},
  [6361] = {.lex_state = 242},
  [6362] = {.lex_state = 195},
  [6363] = {.lex_state = 195},
  [6364] = {.lex_state = 195},
  [6365] = {.lex_state = 195},
  [6366] = {.lex_state = 195},
  [6367] = {.lex_state = 196},
  [6368] = {.lex_state = 241},
  [6369] = {.lex_state = 195},
  [6370] = {.lex_state = 195},
  [6371] = {.lex_state = 195},
  [6372] = {.lex_state = 196},
  [6373] = {.lex_state = 195},
  [6374] = {.lex_state = 195},
  [6375] = {.lex_state = 241},
  [6376] = {.lex_state = 195},
  [6377] = {.lex_state = 241},
  [6378] = {.lex_state = 195},
  [6379] = {.lex_state = 195},
  [6380] = {.lex_state = 196},
  [6381] = {.lex_state = 241},
  [6382] = {.lex_state = 196},
  [6383] = {.lex_state = 241},
  [6384] = {.lex_state = 229},
  [6385] = {.lex_state = 197},
  [6386] = {.lex_state = 195},
  [6387] = {.lex_state = 241},
  [6388] = {.lex_state = 195},
  [6389] = {.lex_state = 242},
  [6390] = {.lex_state = 197},
  [6391] = {.lex_state = 195},
  [6392] = {.lex_state = 196},
  [6393] = {.lex_state = 196},
  [6394] = {.lex_state = 195},
  [6395] = {.lex_state = 229},
  [6396] = {.lex_state = 195},
  [6397] = {.lex_state = 195},
  [6398] = {.lex_state = 196},
  [6399] = {.lex_state = 195},
  [6400] = {.lex_state = 217},
  [6401] = {.lex_state = 242},
  [6402] = {.lex_state = 195},
  [6403] = {.lex_state = 196},
  [6404] = {.lex_state = 197},
  [6405] = {.lex_state = 197},
  [6406] = {.lex_state = 195},
  [6407] = {.lex_state = 195},
  [6408] = {.lex_state = 194},
  [6409] = {.lex_state = 217},
  [6410] = {.lex_state = 195},
  [6411] = {.lex_state = 195},
  [6412] = {.lex_state = 197},
  [6413] = {.lex_state = 217},
  [6414] = {.lex_state = 195},
  [6415] = {.lex_state = 195},
  [6416] = {.lex_state = 242},
  [6417] = {.lex_state = 195},
  [6418] = {.lex_state = 217},
  [6419] = {.lex_state = 217},
  [6420] = {.lex_state = 196},
  [6421] = {.lex_state = 195},
  [6422] = {.lex_state = 195},
  [6423] = {.lex_state = 195},
  [6424] = {.lex_state = 195},
  [6425] = {.lex_state = 195},
  [6426] = {.lex_state = 197},
  [6427] = {.lex_state = 195},
  [6428] = {.lex_state = 195},
  [6429] = {.lex_state = 196},
  [6430] = {.lex_state = 196},
  [6431] = {.lex_state = 197},
  [6432] = {.lex_state = 195},
  [6433] = {.lex_state = 195},
  [6434] = {.lex_state = 195},
  [6435] = {.lex_state = 195},
  [6436] = {.lex_state = 195},
  [6437] = {.lex_state = 195},
  [6438] = {.lex_state = 195},
  [6439] = {.lex_state = 196},
  [6440] = {.lex_state = 195},
  [6441] = {.lex_state = 195},
  [6442] = {.lex_state = 197},
  [6443] = {.lex_state = 241},
  [6444] = {.lex_state = 217},
  [6445] = {.lex_state = 242},
  [6446] = {.lex_state = 195},
  [6447] = {.lex_state = 196},
  [6448] = {.lex_state = 196},
  [6449] = {.lex_state = 195},
  [6450] = {.lex_state = 197},
  [6451] = {.lex_state = 195},
  [6452] = {.lex_state = 217},
  [6453] = {.lex_state = 195},
  [6454] = {.lex_state = 195},
  [6455] = {.lex_state = 195},
  [6456] = {.lex_state = 195},
  [6457] = {.lex_state = 195},
  [6458] = {.lex_state = 196},
  [6459] = {.lex_state = 197},
  [6460] = {.lex_state = 217},
  [6461] = {.lex_state = 195},
  [6462] = {.lex_state = 195},
  [6463] = {.lex_state = 195},
  [6464] = {.lex_state = 195},
  [6465] = {.lex_state = 195},
  [6466] = {.lex_state = 241},
  [6467] = {.lex_state = 195},
  [6468] = {.lex_state = 196},
  [6469] = {.lex_state = 242},
  [6470] = {.lex_state = 242},
  [6471] = {.lex_state = 242},
  [6472] = {.lex_state = 195},
  [6473] = {.lex_state = 195},
  [6474] = {.lex_state = 197},
  [6475] = {.lex_state = 197},
  [6476] = {.lex_state = 241},
  [6477] = {.lex_state = 217},
  [6478] = {.lex_state = 194},
  [6479] = {.lex_state = 195},
  [6480] = {.lex_state = 239},
  [6481] = {.lex_state = 217},
  [6482] = {.lex_state = 194},
  [6483] = {.lex_state = 239},
  [6484] = {.lex_state = 239},
  [6485] = {.lex_state = 217},
  [6486] = {.lex_state = 194},
  [6487] = {.lex_state = 194},
  [6488] = {.lex_state = 239},
  [6489] = {.lex_state = 217},
  [6490] = {.lex_state = 217},
  [6491] = {.lex_state = 196},
  [6492] = {.lex_state = 196},
  [6493] = {.lex_state = 194},
  [6494] = {.lex_state = 196},
  [6495] = {.lex_state = 239},
  [6496] = {.lex_state = 196},
  [6497] = {.lex_state = 194},
  [6498] = {.lex_state = 196},
  [6499] = {.lex_state = 194},
  [6500] = {.lex_state = 196},
  [6501] = {.lex_state = 194},
  [6502] = {.lex_state = 339},
  [6503] = {.lex_state = 217},
  [6504] = {.lex_state = 239},
  [6505] = {.lex_state = 195},
  [6506] = {.lex_state = 217},
  [6507] = {.lex_state = 195},
  [6508] = {.lex_state = 195},
  [6509] = {.lex_state = 194},
  [6510] = {.lex_state = 181},
  [6511] = {.lex_state = 195},
  [6512] = {.lex_state = 194},
  [6513] = {.lex_state = 217},
  [6514] = {.lex_state = 217},
  [6515] = {.lex_state = 194},
  [6516] = {.lex_state = 194},
  [6517] = {.lex_state = 194},
  [6518] = {.lex_state = 195},
  [6519] = {.lex_state = 239},
  [6520] = {.lex_state = 239},
  [6521] = {.lex_state = 241},
  [6522] = {.lex_state = 181},
  [6523] = {.lex_state = 241},
  [6524] = {.lex_state = 241},
  [6525] = {.lex_state = 339},
  [6526] = {.lex_state = 195},
  [6527] = {.lex_state = 195},
  [6528] = {.lex_state = 195},
  [6529] = {.lex_state = 195},
  [6530] = {.lex_state = 195},
  [6531] = {.lex_state = 195},
  [6532] = {.lex_state = 195},
  [6533] = {.lex_state = 339},
  [6534] = {.lex_state = 195},
  [6535] = {.lex_state = 195},
  [6536] = {.lex_state = 195},
  [6537] = {.lex_state = 195},
  [6538] = {.lex_state = 195},
  [6539] = {.lex_state = 195},
  [6540] = {.lex_state = 195},
  [6541] = {.lex_state = 195},
  [6542] = {.lex_state = 195},
  [6543] = {.lex_state = 195},
  [6544] = {.lex_state = 195},
  [6545] = {.lex_state = 195},
  [6546] = {.lex_state = 195},
  [6547] = {.lex_state = 235},
  [6548] = {.lex_state = 195},
  [6549] = {.lex_state = 195},
  [6550] = {.lex_state = 195},
  [6551] = {.lex_state = 195},
  [6552] = {.lex_state = 195},
  [6553] = {.lex_state = 195},
  [6554] = {.lex_state = 195},
  [6555] = {.lex_state = 235},
  [6556] = {.lex_state = 195},
  [6557] = {.lex_state = 235},
  [6558] = {.lex_state = 235},
  [6559] = {.lex_state = 195},
  [6560] = {.lex_state = 195},
  [6561] = {.lex_state = 339},
  [6562] = {.lex_state = 195},
  [6563] = {.lex_state = 195},
  [6564] = {.lex_state = 195},
  [6565] = {.lex_state = 339},
  [6566] = {.lex_state = 339},
  [6567] = {.lex_state = 195},
  [6568] = {.lex_state = 339},
  [6569] = {.lex_state = 339},
  [6570] = {.lex_state = 197},
  [6571] = {.lex_state = 195},
  [6572] = {.lex_state = 197},
  [6573] = {.lex_state = 197},
  [6574] = {.lex_state = 197},
  [6575] = {.lex_state = 197},
  [6576] = {.lex_state = 197},
  [6577] = {.lex_state = 197},
  [6578] = {.lex_state = 197},
  [6579] = {.lex_state = 195},
  [6580] = {.lex_state = 195},
  [6581] = {.lex_state = 339},
  [6582] = {.lex_state = 243},
  [6583] = {.lex_state = 339},
  [6584] = {.lex_state = 339},
  [6585] = {.lex_state = 175},
  [6586] = {.lex_state = 175},
  [6587] = {.lex_state = 339},
  [6588] = {.lex_state = 339},
  [6589] = {.lex_state = 217},
  [6590] = {.lex_state = 241},
  [6591] = {.lex_state = 239},
  [6592] = {.lex_state = 339},
  [6593] = {.lex_state = 217},
  [6594] = {.lex_state = 195},
  [6595] = {.lex_state = 195},
  [6596] = {.lex_state = 339},
  [6597] = {.lex_state = 195},
  [6598] = {.lex_state = 195},
  [6599] = {.lex_state = 241},
  [6600] = {.lex_state = 241},
  [6601] = {.lex_state = 175},
  [6602] = {.lex_state = 175},
  [6603] = {.lex_state = 175},
  [6604] = {.lex_state = 175},
  [6605] = {.lex_state = 195},
  [6606] = {.lex_state = 195},
  [6607] = {.lex_state = 195},
  [6608] = {.lex_state = 175},
  [6609] = {.lex_state = 195},
  [6610] = {.lex_state = 217},
  [6611] = {.lex_state = 339},
  [6612] = {.lex_state = 339},
  [6613] = {.lex_state = 241},
  [6614] = {.lex_state = 194},
  [6615] = {.lex_state = 199},
  [6616] = {.lex_state = 339},
  [6617] = {.lex_state = 175},
  [6618] = {.lex_state = 175},
  [6619] = {.lex_state = 199},
  [6620] = {.lex_state = 194},
  [6621] = {.lex_state = 199},
  [6622] = {.lex_state = 339},
  [6623] = {.lex_state = 339},
  [6624] = {.lex_state = 339},
  [6625] = {.lex_state = 339},
  [6626] = {.lex_state = 196},
  [6627] = {.lex_state = 199},
  [6628] = {.lex_state = 241},
  [6629] = {.lex_state = 339},
  [6630] = {.lex_state = 239},
  [6631] = {.lex_state = 195},
  [6632] = {.lex_state = 196},
  [6633] = {.lex_state = 339},
  [6634] = {.lex_state = 197},
  [6635] = {.lex_state = 195},
  [6636] = {.lex_state = 196},
  [6637] = {.lex_state = 339},
  [6638] = {.lex_state = 339},
  [6639] = {.lex_state = 339},
  [6640] = {.lex_state = 339},
  [6641] = {.lex_state = 339},
  [6642] = {.lex_state = 197},
  [6643] = {.lex_state = 197},
  [6644] = {.lex_state = 199},
  [6645] = {.lex_state = 199},
  [6646] = {.lex_state = 199},
  [6647] = {.lex_state = 175},
  [6648] = {.lex_state = 339},
  [6649] = {.lex_state = 199},
  [6650] = {.lex_state = 339},
  [6651] = {.lex_state = 217},
  [6652] = {.lex_state = 197},
  [6653] = {.lex_state = 239},
  [6654] = {.lex_state = 339},
  [6655] = {.lex_state = 195},
  [6656] = {.lex_state = 197},
  [6657] = {.lex_state = 339},
  [6658] = {.lex_state = 197},
  [6659] = {.lex_state = 196},
  [6660] = {.lex_state = 195},
  [6661] = {.lex_state = 175},
  [6662] = {.lex_state = 241},
  [6663] = {.lex_state = 175},
  [6664] = {.lex_state = 195},
  [6665] = {.lex_state = 195},
  [6666] = {.lex_state = 339},
  [6667] = {.lex_state = 195},
  [6668] = {.lex_state = 217},
  [6669] = {.lex_state = 339},
  [6670] = {.lex_state = 175},
  [6671] = {.lex_state = 195},
  [6672] = {.lex_state = 195},
  [6673] = {.lex_state = 195},
  [6674] = {.lex_state = 175},
  [6675] = {.lex_state = 339},
  [6676] = {.lex_state = 195},
  [6677] = {.lex_state = 175},
  [6678] = {.lex_state = 339},
  [6679] = {.lex_state = 217},
  [6680] = {.lex_state = 175},
  [6681] = {.lex_state = 339},
  [6682] = {.lex_state = 195},
  [6683] = {.lex_state = 339},
  [6684] = {.lex_state = 339},
  [6685] = {.lex_state = 339},
  [6686] = {.lex_state = 197},
  [6687] = {.lex_state = 195},
  [6688] = {.lex_state = 175},
  [6689] = {.lex_state = 195},
  [6690] = {.lex_state = 197},
  [6691] = {.lex_state = 217},
  [6692] = {.lex_state = 197},
  [6693] = {.lex_state = 175},
  [6694] = {.lex_state = 339},
  [6695] = {.lex_state = 197},
  [6696] = {.lex_state = 195},
  [6697] = {.lex_state = 241},
  [6698] = {.lex_state = 195},
  [6699] = {.lex_state = 339},
  [6700] = {.lex_state = 239},
  [6701] = {.lex_state = 195},
  [6702] = {.lex_state = 195},
  [6703] = {.lex_state = 195},
  [6704] = {.lex_state = 195},
  [6705] = {.lex_state = 195},
  [6706] = {.lex_state = 195},
  [6707] = {.lex_state = 195},
  [6708] = {.lex_state = 195},
  [6709] = {.lex_state = 195},
  [6710] = {.lex_state = 195},
  [6711] = {.lex_state = 195},
  [6712] = {.lex_state = 195},
  [6713] = {.lex_state = 195},
  [6714] = {.lex_state = 197},
  [6715] = {.lex_state = 339},
  [6716] = {.lex_state = 339},
  [6717] = {.lex_state = 175},
  [6718] = {.lex_state = 175},
  [6719] = {.lex_state = 194},
  [6720] = {.lex_state = 195},
  [6721] = {.lex_state = 194},
  [6722] = {.lex_state = 195},
  [6723] = {.lex_state = 239},
  [6724] = {.lex_state = 196},
  [6725] = {.lex_state = 195},
  [6726] = {.lex_state = 195},
  [6727] = {.lex_state = 195},
  [6728] = {.lex_state = 195},
  [6729] = {.lex_state = 195},
  [6730] = {.lex_state = 195},
  [6731] = {.lex_state = 240},
  [6732] = {.lex_state = 195},
  [6733] = {.lex_state = 195},
  [6734] = {.lex_state = 240},
  [6735] = {.lex_state = 194},
  [6736] = {.lex_state = 240},
  [6737] = {.lex_state = 194},
  [6738] = {.lex_state = 240},
  [6739] = {.lex_state = 339},
  [6740] = {.lex_state = 239},
  [6741] = {.lex_state = 339},
  [6742] = {.lex_state = 339},
  [6743] = {.lex_state = 239},
  [6744] = {.lex_state = 240},
  [6745] = {.lex_state = 239},
  [6746] = {.lex_state = 196},
  [6747] = {.lex_state = 239},
  [6748] = {.lex_state = 239},
  [6749] = {.lex_state = 239},
  [6750] = {.lex_state = 195},
  [6751] = {.lex_state = 195},
  [6752] = {.lex_state = 339},
  [6753] = {.lex_state = 195},
  [6754] = {.lex_state = 194},
  [6755] = {.lex_state = 197},
  [6756] = {.lex_state = 195},
  [6757] = {.lex_state = 194},
  [6758] = {.lex_state = 239},
  [6759] = {.lex_state = 239},
  [6760] = {.lex_state = 339},
  [6761] = {.lex_state = 195},
  [6762] = {.lex_state = 195},
  [6763] = {.lex_state = 195},
  [6764] = {.lex_state = 240},
  [6765] = {.lex_state = 195},
  [6766] = {.lex_state = 195},
  [6767] = {.lex_state = 239},
  [6768] = {.lex_state = 195},
  [6769] = {.lex_state = 195},
  [6770] = {.lex_state = 239},
  [6771] = {.lex_state = 195},
  [6772] = {.lex_state = 239},
  [6773] = {.lex_state = 239},
  [6774] = {.lex_state = 239},
  [6775] = {.lex_state = 194},
  [6776] = {.lex_state = 194},
  [6777] = {.lex_state = 196},
  [6778] = {.lex_state = 196},
  [6779] = {.lex_state = 196},
  [6780] = {.lex_state = 0},
  [6781] = {.lex_state = 196},
  [6782] = {.lex_state = 194},
  [6783] = {.lex_state = 194},
  [6784] = {.lex_state = 196},
  [6785] = {.lex_state = 196},
  [6786] = {.lex_state = 195},
  [6787] = {.lex_state = 195},
  [6788] = {.lex_state = 0},
  [6789] = {.lex_state = 195},
  [6790] = {.lex_state = 194},
  [6791] = {.lex_state = 195},
  [6792] = {.lex_state = 198},
  [6793] = {.lex_state = 175},
  [6794] = {.lex_state = 195},
  [6795] = {.lex_state = 198},
  [6796] = {.lex_state = 195},
  [6797] = {.lex_state = 195},
  [6798] = {.lex_state = 339},
  [6799] = {.lex_state = 195},
  [6800] = {.lex_state = 195},
  [6801] = {.lex_state = 195},
  [6802] = {.lex_state = 175},
  [6803] = {.lex_state = 195},
  [6804] = {.lex_state = 217},
  [6805] = {.lex_state = 339},
  [6806] = {.lex_state = 195},
  [6807] = {.lex_state = 239},
  [6808] = {.lex_state = 195},
  [6809] = {.lex_state = 195},
  [6810] = {.lex_state = 195},
  [6811] = {.lex_state = 175},
  [6812] = {.lex_state = 195},
  [6813] = {.lex_state = 195},
  [6814] = {.lex_state = 195},
  [6815] = {.lex_state = 195},
  [6816] = {.lex_state = 195},
  [6817] = {.lex_state = 195},
  [6818] = {.lex_state = 195},
  [6819] = {.lex_state = 171},
  [6820] = {.lex_state = 195},
  [6821] = {.lex_state = 195},
  [6822] = {.lex_state = 195},
  [6823] = {.lex_state = 195},
  [6824] = {.lex_state = 195},
  [6825] = {.lex_state = 195},
  [6826] = {.lex_state = 195},
  [6827] = {.lex_state = 195},
  [6828] = {.lex_state = 339},
  [6829] = {.lex_state = 195},
  [6830] = {.lex_state = 195},
  [6831] = {.lex_state = 175},
  [6832] = {.lex_state = 195},
  [6833] = {.lex_state = 195},
  [6834] = {.lex_state = 195},
  [6835] = {.lex_state = 195},
  [6836] = {.lex_state = 195},
  [6837] = {.lex_state = 195},
  [6838] = {.lex_state = 195},
  [6839] = {.lex_state = 195},
  [6840] = {.lex_state = 195},
  [6841] = {.lex_state = 195},
  [6842] = {.lex_state = 195},
  [6843] = {.lex_state = 195},
  [6844] = {.lex_state = 195},
  [6845] = {.lex_state = 339},
  [6846] = {.lex_state = 198},
  [6847] = {.lex_state = 217},
  [6848] = {.lex_state = 198},
  [6849] = {.lex_state = 195},
  [6850] = {.lex_state = 195},
  [6851] = {.lex_state = 195},
  [6852] = {.lex_state = 195},
  [6853] = {.lex_state = 195},
  [6854] = {.lex_state = 198},
  [6855] = {.lex_state = 198},
  [6856] = {.lex_state = 198},
  [6857] = {.lex_state = 195},
  [6858] = {.lex_state = 195},
  [6859] = {.lex_state = 195},
  [6860] = {.lex_state = 195},
  [6861] = {.lex_state = 198},
  [6862] = {.lex_state = 195},
  [6863] = {.lex_state = 195},
  [6864] = {.lex_state = 195},
  [6865] = {.lex_state = 195},
  [6866] = {.lex_state = 195},
  [6867] = {.lex_state = 198},
  [6868] = {.lex_state = 339},
  [6869] = {.lex_state = 0},
  [6870] = {.lex_state = 339},
  [6871] = {.lex_state = 239},
  [6872] = {.lex_state = 339},
  [6873] = {.lex_state = 198},
  [6874] = {.lex_state = 0},
  [6875] = {.lex_state = 108},
  [6876] = {.lex_state = 339},
  [6877] = {.lex_state = 110},
  [6878] = {.lex_state = 198},
  [6879] = {.lex_state = 339},
  [6880] = {.lex_state = 198},
  [6881] = {.lex_state = 0},
  [6882] = {.lex_state = 339},
  [6883] = {.lex_state = 0},
  [6884] = {.lex_state = 339},
  [6885] = {.lex_state = 111},
  [6886] = {.lex_state = 108},
  [6887] = {.lex_state = 110},
  [6888] = {.lex_state = 0},
  [6889] = {.lex_state = 239},
  [6890] = {.lex_state = 110},
  [6891] = {.lex_state = 339},
  [6892] = {.lex_state = 198},
  [6893] = {.lex_state = 108},
  [6894] = {.lex_state = 110},
  [6895] = {.lex_state = 0},
  [6896] = {.lex_state = 110},
  [6897] = {.lex_state = 198},
  [6898] = {.lex_state = 171},
  [6899] = {.lex_state = 195},
  [6900] = {.lex_state = 195},
  [6901] = {.lex_state = 108},
  [6902] = {.lex_state = 198},
  [6903] = {.lex_state = 198},
  [6904] = {.lex_state = 198},
  [6905] = {.lex_state = 195},
  [6906] = {.lex_state = 110},
  [6907] = {.lex_state = 195},
  [6908] = {.lex_state = 198},
  [6909] = {.lex_state = 198},
  [6910] = {.lex_state = 239},
  [6911] = {.lex_state = 110},
  [6912] = {.lex_state = 110},
  [6913] = {.lex_state = 195},
  [6914] = {.lex_state = 198},
  [6915] = {.lex_state = 110},
  [6916] = {.lex_state = 0},
  [6917] = {.lex_state = 339},
  [6918] = {.lex_state = 0},
  [6919] = {.lex_state = 108},
  [6920] = {.lex_state = 339},
  [6921] = {.lex_state = 0},
  [6922] = {.lex_state = 198},
  [6923] = {.lex_state = 339},
  [6924] = {.lex_state = 239},
  [6925] = {.lex_state = 110},
  [6926] = {.lex_state = 339},
  [6927] = {.lex_state = 239},
  [6928] = {.lex_state = 195},
  [6929] = {.lex_state = 195},
  [6930] = {.lex_state = 110},
  [6931] = {.lex_state = 198},
  [6932] = {.lex_state = 110},
  [6933] = {.lex_state = 239},
  [6934] = {.lex_state = 111},
  [6935] = {.lex_state = 339},
  [6936] = {.lex_state = 239},
  [6937] = {.lex_state = 0},
  [6938] = {.lex_state = 198},
  [6939] = {.lex_state = 198},
  [6940] = {.lex_state = 198},
  [6941] = {.lex_state = 110},
  [6942] = {.lex_state = 110},
  [6943] = {.lex_state = 111},
  [6944] = {.lex_state = 198},
  [6945] = {.lex_state = 0},
  [6946] = {.lex_state = 111},
  [6947] = {.lex_state = 110},
  [6948] = {.lex_state = 110},
  [6949] = {.lex_state = 108},
  [6950] = {.lex_state = 239},
  [6951] = {.lex_state = 110},
  [6952] = {.lex_state = 198},
  [6953] = {.lex_state = 339},
  [6954] = {.lex_state = 110},
  [6955] = {.lex_state = 198},
  [6956] = {.lex_state = 0},
  [6957] = {.lex_state = 0},
  [6958] = {.lex_state = 339},
  [6959] = {.lex_state = 339},
  [6960] = {.lex_state = 198},
  [6961] = {.lex_state = 108},
  [6962] = {.lex_state = 110},
  [6963] = {.lex_state = 339},
  [6964] = {.lex_state = 339},
  [6965] = {.lex_state = 108},
  [6966] = {.lex_state = 110},
  [6967] = {.lex_state = 339},
  [6968] = {.lex_state = 339},
  [6969] = {.lex_state = 110},
  [6970] = {.lex_state = 198},
  [6971] = {.lex_state = 108},
  [6972] = {.lex_state = 110},
  [6973] = {.lex_state = 198},
  [6974] = {.lex_state = 339},
  [6975] = {.lex_state = 195},
  [6976] = {.lex_state = 0},
  [6977] = {.lex_state = 111},
  [6978] = {.lex_state = 198},
  [6979] = {.lex_state = 339},
  [6980] = {.lex_state = 339},
  [6981] = {.lex_state = 339},
  [6982] = {.lex_state = 110},
  [6983] = {.lex_state = 239},
  [6984] = {.lex_state = 339},
  [6985] = {.lex_state = 198},
  [6986] = {.lex_state = 110},
  [6987] = {.lex_state = 339},
  [6988] = {.lex_state = 198},
  [6989] = {.lex_state = 198},
  [6990] = {.lex_state = 195},
  [6991] = {.lex_state = 339},
  [6992] = {.lex_state = 195},
  [6993] = {.lex_state = 110},
  [6994] = {.lex_state = 108},
  [6995] = {.lex_state = 198},
  [6996] = {.lex_state = 198},
  [6997] = {.lex_state = 110},
  [6998] = {.lex_state = 110},
  [6999] = {.lex_state = 198},
  [7000] = {.lex_state = 195},
  [7001] = {.lex_state = 0},
  [7002] = {.lex_state = 339},
  [7003] = {.lex_state = 339},
  [7004] = {.lex_state = 0},
  [7005] = {.lex_state = 110},
  [7006] = {.lex_state = 339},
  [7007] = {.lex_state = 339},
  [7008] = {.lex_state = 339},
  [7009] = {.lex_state = 111},
  [7010] = {.lex_state = 110},
  [7011] = {.lex_state = 110},
  [7012] = {.lex_state = 0},
  [7013] = {.lex_state = 339},
  [7014] = {.lex_state = 339},
  [7015] = {.lex_state = 198},
  [7016] = {.lex_state = 0},
  [7017] = {.lex_state = 110},
  [7018] = {.lex_state = 339},
  [7019] = {.lex_state = 339},
  [7020] = {.lex_state = 198},
  [7021] = {.lex_state = 239},
  [7022] = {.lex_state = 339},
  [7023] = {.lex_state = 339},
  [7024] = {.lex_state = 339},
  [7025] = {.lex_state = 108},
  [7026] = {.lex_state = 110},
  [7027] = {.lex_state = 217},
  [7028] = {.lex_state = 339},
  [7029] = {.lex_state = 198},
  [7030] = {.lex_state = 339},
  [7031] = {.lex_state = 339},
  [7032] = {.lex_state = 198},
  [7033] = {.lex_state = 110},
  [7034] = {.lex_state = 339},
  [7035] = {.lex_state = 339},
  [7036] = {.lex_state = 339},
  [7037] = {.lex_state = 195},
  [7038] = {.lex_state = 198},
  [7039] = {.lex_state = 198},
  [7040] = {.lex_state = 110},
  [7041] = {.lex_state = 198},
  [7042] = {.lex_state = 198},
  [7043] = {.lex_state = 110},
  [7044] = {.lex_state = 195},
  [7045] = {.lex_state = 198},
  [7046] = {.lex_state = 108},
  [7047] = {.lex_state = 195},
  [7048] = {.lex_state = 0},
  [7049] = {.lex_state = 110},
  [7050] = {.lex_state = 110},
  [7051] = {.lex_state = 198},
  [7052] = {.lex_state = 108},
  [7053] = {.lex_state = 0},
  [7054] = {.lex_state = 0},
  [7055] = {.lex_state = 339},
  [7056] = {.lex_state = 339},
  [7057] = {.lex_state = 110},
  [7058] = {.lex_state = 110},
  [7059] = {.lex_state = 111},
  [7060] = {.lex_state = 198},
  [7061] = {.lex_state = 0},
  [7062] = {.lex_state = 0},
  [7063] = {.lex_state = 0},
  [7064] = {.lex_state = 0},
  [7065] = {.lex_state = 0},
  [7066] = {.lex_state = 195},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 195},
  [7069] = {.lex_state = 195},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 0},
  [7072] = {.lex_state = 0},
  [7073] = {.lex_state = 0},
  [7074] = {.lex_state = 198},
  [7075] = {.lex_state = 0},
  [7076] = {.lex_state = 195},
  [7077] = {.lex_state = 0},
  [7078] = {.lex_state = 217},
  [7079] = {.lex_state = 195},
  [7080] = {.lex_state = 195},
  [7081] = {.lex_state = 0},
  [7082] = {.lex_state = 195},
  [7083] = {.lex_state = 195},
  [7084] = {.lex_state = 195},
  [7085] = {.lex_state = 198},
  [7086] = {.lex_state = 0},
  [7087] = {.lex_state = 195},
  [7088] = {.lex_state = 0},
  [7089] = {.lex_state = 198},
  [7090] = {.lex_state = 195},
  [7091] = {.lex_state = 198},
  [7092] = {.lex_state = 108},
  [7093] = {.lex_state = 198},
  [7094] = {.lex_state = 0},
  [7095] = {.lex_state = 0},
  [7096] = {.lex_state = 0},
  [7097] = {.lex_state = 0},
  [7098] = {.lex_state = 0},
  [7099] = {.lex_state = 0},
  [7100] = {.lex_state = 0},
  [7101] = {.lex_state = 0},
  [7102] = {.lex_state = 0},
  [7103] = {.lex_state = 0},
  [7104] = {.lex_state = 0},
  [7105] = {.lex_state = 195},
  [7106] = {.lex_state = 0},
  [7107] = {.lex_state = 195},
  [7108] = {.lex_state = 0},
  [7109] = {.lex_state = 0},
  [7110] = {.lex_state = 0},
  [7111] = {.lex_state = 195},
  [7112] = {.lex_state = 195},
  [7113] = {.lex_state = 0},
  [7114] = {.lex_state = 0},
  [7115] = {.lex_state = 195},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 0},
  [7118] = {.lex_state = 0},
  [7119] = {.lex_state = 171},
  [7120] = {.lex_state = 0},
  [7121] = {.lex_state = 339},
  [7122] = {.lex_state = 0},
  [7123] = {.lex_state = 198},
  [7124] = {.lex_state = 195},
  [7125] = {.lex_state = 0},
  [7126] = {.lex_state = 198},
  [7127] = {.lex_state = 195},
  [7128] = {.lex_state = 198},
  [7129] = {.lex_state = 198},
  [7130] = {.lex_state = 0},
  [7131] = {.lex_state = 198},
  [7132] = {.lex_state = 198},
  [7133] = {.lex_state = 0},
  [7134] = {.lex_state = 198},
  [7135] = {.lex_state = 198},
  [7136] = {.lex_state = 0},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 0},
  [7139] = {.lex_state = 0},
  [7140] = {.lex_state = 0},
  [7141] = {.lex_state = 0},
  [7142] = {.lex_state = 198},
  [7143] = {.lex_state = 0},
  [7144] = {.lex_state = 198},
  [7145] = {.lex_state = 198},
  [7146] = {.lex_state = 0},
  [7147] = {.lex_state = 0},
  [7148] = {.lex_state = 198},
  [7149] = {.lex_state = 0},
  [7150] = {.lex_state = 195},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 0},
  [7153] = {.lex_state = 113},
  [7154] = {.lex_state = 195},
  [7155] = {.lex_state = 195},
  [7156] = {.lex_state = 171},
  [7157] = {.lex_state = 0},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 0},
  [7161] = {.lex_state = 195},
  [7162] = {.lex_state = 0},
  [7163] = {.lex_state = 0},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 195},
  [7166] = {.lex_state = 0},
  [7167] = {.lex_state = 0},
  [7168] = {.lex_state = 0},
  [7169] = {.lex_state = 0},
  [7170] = {.lex_state = 0},
  [7171] = {.lex_state = 0},
  [7172] = {.lex_state = 171},
  [7173] = {.lex_state = 198},
  [7174] = {.lex_state = 195},
  [7175] = {.lex_state = 198},
  [7176] = {.lex_state = 0},
  [7177] = {.lex_state = 195},
  [7178] = {.lex_state = 198},
  [7179] = {.lex_state = 198},
  [7180] = {.lex_state = 0},
  [7181] = {.lex_state = 0},
  [7182] = {.lex_state = 113},
  [7183] = {.lex_state = 0},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 0},
  [7186] = {.lex_state = 195},
  [7187] = {.lex_state = 198},
  [7188] = {.lex_state = 0},
  [7189] = {.lex_state = 0},
  [7190] = {.lex_state = 0},
  [7191] = {.lex_state = 0},
  [7192] = {.lex_state = 171},
  [7193] = {.lex_state = 0},
  [7194] = {.lex_state = 0},
  [7195] = {.lex_state = 195},
  [7196] = {.lex_state = 195},
  [7197] = {.lex_state = 0},
  [7198] = {.lex_state = 0},
  [7199] = {.lex_state = 0},
  [7200] = {.lex_state = 0},
  [7201] = {.lex_state = 0},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 0},
  [7204] = {.lex_state = 0},
  [7205] = {.lex_state = 171},
  [7206] = {.lex_state = 171},
  [7207] = {.lex_state = 195},
  [7208] = {.lex_state = 195},
  [7209] = {.lex_state = 0},
  [7210] = {.lex_state = 0},
  [7211] = {.lex_state = 198},
  [7212] = {.lex_state = 198},
  [7213] = {.lex_state = 0},
  [7214] = {.lex_state = 0},
  [7215] = {.lex_state = 0},
  [7216] = {.lex_state = 198},
  [7217] = {.lex_state = 198},
  [7218] = {.lex_state = 195},
  [7219] = {.lex_state = 198},
  [7220] = {.lex_state = 0},
  [7221] = {.lex_state = 0},
  [7222] = {.lex_state = 195},
  [7223] = {.lex_state = 108},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 0},
  [7226] = {.lex_state = 198},
  [7227] = {.lex_state = 195},
  [7228] = {.lex_state = 0},
  [7229] = {.lex_state = 0},
  [7230] = {.lex_state = 195},
  [7231] = {.lex_state = 171},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 195},
  [7234] = {.lex_state = 0},
  [7235] = {.lex_state = 0},
  [7236] = {.lex_state = 195},
  [7237] = {.lex_state = 0},
  [7238] = {.lex_state = 195},
  [7239] = {.lex_state = 195},
  [7240] = {.lex_state = 171},
  [7241] = {.lex_state = 171},
  [7242] = {.lex_state = 198},
  [7243] = {.lex_state = 0},
  [7244] = {.lex_state = 0},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 171},
  [7247] = {.lex_state = 198},
  [7248] = {.lex_state = 0},
  [7249] = {.lex_state = 0},
  [7250] = {.lex_state = 0},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 198},
  [7253] = {.lex_state = 195},
  [7254] = {.lex_state = 198},
  [7255] = {.lex_state = 0},
  [7256] = {.lex_state = 195},
  [7257] = {.lex_state = 195},
  [7258] = {.lex_state = 0},
  [7259] = {.lex_state = 198},
  [7260] = {.lex_state = 195},
  [7261] = {.lex_state = 0},
  [7262] = {.lex_state = 108},
  [7263] = {.lex_state = 0},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 198},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 0},
  [7271] = {.lex_state = 195},
  [7272] = {.lex_state = 0},
  [7273] = {.lex_state = 198},
  [7274] = {.lex_state = 198},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 108},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 195},
  [7282] = {.lex_state = 0},
  [7283] = {.lex_state = 0},
  [7284] = {.lex_state = 195},
  [7285] = {.lex_state = 195},
  [7286] = {.lex_state = 0},
  [7287] = {.lex_state = 108},
  [7288] = {.lex_state = 0},
  [7289] = {.lex_state = 171},
  [7290] = {.lex_state = 198},
  [7291] = {.lex_state = 195},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 198},
  [7294] = {.lex_state = 195},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 198},
  [7297] = {.lex_state = 198},
  [7298] = {.lex_state = 198},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 108},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 195},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 198},
  [7305] = {.lex_state = 198},
  [7306] = {.lex_state = 195},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 0},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 198},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 108},
  [7313] = {.lex_state = 339},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 0},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 195},
  [7318] = {.lex_state = 198},
  [7319] = {.lex_state = 113},
  [7320] = {.lex_state = 108},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 108},
  [7323] = {.lex_state = 0},
  [7324] = {.lex_state = 0},
  [7325] = {.lex_state = 108},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 108},
  [7328] = {.lex_state = 108},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 175},
  [7331] = {.lex_state = 0},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 195},
  [7335] = {.lex_state = 175},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 195},
  [7338] = {.lex_state = 171},
  [7339] = {.lex_state = 195},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 198},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 198},
  [7344] = {.lex_state = 195},
  [7345] = {.lex_state = 0},
  [7346] = {.lex_state = 171},
  [7347] = {.lex_state = 0},
  [7348] = {.lex_state = 198},
  [7349] = {.lex_state = 0},
  [7350] = {.lex_state = 195},
  [7351] = {.lex_state = 0},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 0},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 0},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 195},
  [7360] = {.lex_state = 0},
  [7361] = {.lex_state = 0},
  [7362] = {.lex_state = 195},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 0},
  [7366] = {.lex_state = 195},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 198},
  [7369] = {.lex_state = 0},
  [7370] = {.lex_state = 198},
  [7371] = {.lex_state = 339},
  [7372] = {.lex_state = 0},
  [7373] = {.lex_state = 0},
  [7374] = {.lex_state = 0},
  [7375] = {.lex_state = 171},
  [7376] = {.lex_state = 195},
  [7377] = {.lex_state = 0},
  [7378] = {.lex_state = 164},
  [7379] = {.lex_state = 171},
  [7380] = {.lex_state = 0},
  [7381] = {.lex_state = 195},
  [7382] = {.lex_state = 198},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 198},
  [7387] = {.lex_state = 0},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 0},
  [7390] = {.lex_state = 0},
  [7391] = {.lex_state = 195},
  [7392] = {.lex_state = 195},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 198},
  [7395] = {.lex_state = 198},
  [7396] = {.lex_state = 171},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 0},
  [7399] = {.lex_state = 198},
  [7400] = {.lex_state = 0},
  [7401] = {.lex_state = 0},
  [7402] = {.lex_state = 0},
  [7403] = {.lex_state = 0},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 195},
  [7406] = {.lex_state = 0},
  [7407] = {.lex_state = 195},
  [7408] = {.lex_state = 0},
  [7409] = {.lex_state = 175},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 171},
  [7414] = {.lex_state = 113},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 198},
  [7418] = {.lex_state = 195},
  [7419] = {.lex_state = 195},
  [7420] = {.lex_state = 195},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 0},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 0},
  [7426] = {.lex_state = 195},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 195},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 0},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 198},
  [7436] = {.lex_state = 195},
  [7437] = {.lex_state = 198},
  [7438] = {.lex_state = 0},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 0},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 195},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 0},
  [7445] = {.lex_state = 0},
  [7446] = {.lex_state = 0},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 0},
  [7449] = {.lex_state = 195},
  [7450] = {.lex_state = 198},
  [7451] = {.lex_state = 198},
  [7452] = {.lex_state = 0},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 198},
  [7456] = {.lex_state = 195},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 198},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 195},
  [7462] = {.lex_state = 198},
  [7463] = {.lex_state = 0},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 195},
  [7466] = {.lex_state = 195},
  [7467] = {.lex_state = 195},
  [7468] = {.lex_state = 339, .external_lex_state = 2},
  [7469] = {.lex_state = 0},
  [7470] = {.lex_state = 195},
  [7471] = {.lex_state = 339},
  [7472] = {.lex_state = 339},
  [7473] = {.lex_state = 0},
  [7474] = {.lex_state = 171},
  [7475] = {.lex_state = 0},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 0},
  [7478] = {.lex_state = 0},
  [7479] = {.lex_state = 195},
  [7480] = {.lex_state = 339},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 0},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 0},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 0},
  [7490] = {.lex_state = 339},
  [7491] = {.lex_state = 0},
  [7492] = {.lex_state = 339},
  [7493] = {.lex_state = 0},
  [7494] = {.lex_state = 195},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 195},
  [7497] = {.lex_state = 339},
  [7498] = {.lex_state = 112},
  [7499] = {.lex_state = 195},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 195},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 195},
  [7504] = {.lex_state = 339},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 339},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 0},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 339},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 0},
  [7516] = {.lex_state = 339},
  [7517] = {.lex_state = 0},
  [7518] = {.lex_state = 339},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 339},
  [7521] = {.lex_state = 195},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 339},
  [7524] = {.lex_state = 0},
  [7525] = {.lex_state = 0},
  [7526] = {.lex_state = 0},
  [7527] = {.lex_state = 0},
  [7528] = {.lex_state = 0},
  [7529] = {.lex_state = 195},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 0},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 339},
  [7536] = {.lex_state = 0},
  [7537] = {.lex_state = 339},
  [7538] = {.lex_state = 171},
  [7539] = {.lex_state = 0},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 171},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 0},
  [7544] = {.lex_state = 339},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 339},
  [7547] = {.lex_state = 0},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 0},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 339},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 339},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 195},
  [7558] = {.lex_state = 339},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 112},
  [7562] = {.lex_state = 339},
  [7563] = {.lex_state = 112},
  [7564] = {.lex_state = 0},
  [7565] = {.lex_state = 0},
  [7566] = {.lex_state = 0},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 339},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 0},
  [7571] = {.lex_state = 0},
  [7572] = {.lex_state = 195},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 0},
  [7575] = {.lex_state = 195},
  [7576] = {.lex_state = 195},
  [7577] = {.lex_state = 195},
  [7578] = {.lex_state = 339},
  [7579] = {.lex_state = 0},
  [7580] = {.lex_state = 339},
  [7581] = {.lex_state = 0},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 339},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 0},
  [7586] = {.lex_state = 339},
  [7587] = {.lex_state = 195},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 195},
  [7590] = {.lex_state = 0},
  [7591] = {.lex_state = 0},
  [7592] = {.lex_state = 339},
  [7593] = {.lex_state = 0},
  [7594] = {.lex_state = 339},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 339},
  [7597] = {.lex_state = 339},
  [7598] = {.lex_state = 0},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 0},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 339},
  [7604] = {.lex_state = 339},
  [7605] = {.lex_state = 0},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 195},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 0},
  [7610] = {.lex_state = 0},
  [7611] = {.lex_state = 112},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 0},
  [7614] = {.lex_state = 0},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 0},
  [7617] = {.lex_state = 0},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 195},
  [7620] = {.lex_state = 0},
  [7621] = {.lex_state = 0},
  [7622] = {.lex_state = 0},
  [7623] = {.lex_state = 112},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 339},
  [7628] = {.lex_state = 195},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 112},
  [7631] = {.lex_state = 195},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 0},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 339},
  [7637] = {.lex_state = 339},
  [7638] = {.lex_state = 339},
  [7639] = {.lex_state = 0},
  [7640] = {.lex_state = 0},
  [7641] = {.lex_state = 339},
  [7642] = {.lex_state = 0},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 0},
  [7645] = {.lex_state = 0},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 0},
  [7648] = {.lex_state = 0},
  [7649] = {.lex_state = 112},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 339},
  [7652] = {.lex_state = 0},
  [7653] = {.lex_state = 0},
  [7654] = {.lex_state = 0},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 195},
  [7657] = {.lex_state = 0},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 0},
  [7661] = {.lex_state = 339},
  [7662] = {.lex_state = 339},
  [7663] = {.lex_state = 112},
  [7664] = {.lex_state = 0},
  [7665] = {.lex_state = 195},
  [7666] = {.lex_state = 339},
  [7667] = {.lex_state = 339},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 339},
  [7670] = {.lex_state = 112},
  [7671] = {.lex_state = 0},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 339},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 0},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 112},
  [7680] = {.lex_state = 339},
  [7681] = {.lex_state = 339},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 112},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 0},
  [7687] = {.lex_state = 0},
  [7688] = {.lex_state = 339},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 0},
  [7693] = {.lex_state = 0},
  [7694] = {.lex_state = 339},
  [7695] = {.lex_state = 339},
  [7696] = {.lex_state = 339},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 339},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 339},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 0},
  [7705] = {.lex_state = 339},
  [7706] = {.lex_state = 0},
  [7707] = {.lex_state = 0},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 0},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 0},
  [7716] = {.lex_state = 339},
  [7717] = {.lex_state = 339},
  [7718] = {.lex_state = 339},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 0},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 339},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 0},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 0},
  [7730] = {.lex_state = 339},
  [7731] = {.lex_state = 195},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 112},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 339},
  [7736] = {.lex_state = 112},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 0},
  [7740] = {.lex_state = 0},
  [7741] = {.lex_state = 339},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 339},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 112},
  [7748] = {.lex_state = 339},
  [7749] = {.lex_state = 112},
  [7750] = {.lex_state = 339},
  [7751] = {.lex_state = 339},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 339},
  [7754] = {.lex_state = 339},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 0},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 0},
  [7762] = {.lex_state = 0},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 339, .external_lex_state = 2},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 0},
  [7768] = {.lex_state = 339},
  [7769] = {.lex_state = 0},
  [7770] = {.lex_state = 0},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 195},
  [7773] = {.lex_state = 0},
  [7774] = {.lex_state = 0},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 112},
  [7778] = {.lex_state = 339},
  [7779] = {.lex_state = 195},
  [7780] = {.lex_state = 0},
  [7781] = {.lex_state = 0},
  [7782] = {.lex_state = 0},
  [7783] = {.lex_state = 195},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 0},
  [7788] = {.lex_state = 339},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 195},
  [7791] = {.lex_state = 339},
  [7792] = {.lex_state = 0},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 0},
  [7799] = {.lex_state = 0},
  [7800] = {.lex_state = 0},
  [7801] = {.lex_state = 0},
  [7802] = {.lex_state = 195},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 0},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 339},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 0},
  [7810] = {.lex_state = 339, .external_lex_state = 2},
  [7811] = {.lex_state = 0},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 339},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 339, .external_lex_state = 2},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 195},
  [7819] = {.lex_state = 339, .external_lex_state = 2},
  [7820] = {.lex_state = 339, .external_lex_state = 2},
  [7821] = {.lex_state = 0},
  [7822] = {.lex_state = 339, .external_lex_state = 2},
  [7823] = {.lex_state = 339, .external_lex_state = 2},
  [7824] = {.lex_state = 339, .external_lex_state = 2},
  [7825] = {.lex_state = 339, .external_lex_state = 2},
  [7826] = {.lex_state = 339, .external_lex_state = 2},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 339, .external_lex_state = 2},
  [7829] = {.lex_state = 339, .external_lex_state = 2},
  [7830] = {.lex_state = 339, .external_lex_state = 2},
  [7831] = {.lex_state = 339, .external_lex_state = 2},
  [7832] = {.lex_state = 339, .external_lex_state = 2},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 339, .external_lex_state = 2},
  [7835] = {.lex_state = 112},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 339},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 0},
  [7841] = {.lex_state = 195},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 195},
  [7844] = {.lex_state = 195},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 113},
  [7847] = {.lex_state = 0},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 0},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 195},
  [7852] = {.lex_state = 195},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 0},
  [7855] = {.lex_state = 0, .external_lex_state = 2},
  [7856] = {.lex_state = 339},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 173},
  [7860] = {.lex_state = 0},
  [7861] = {.lex_state = 0},
  [7862] = {.lex_state = 195},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 0},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 0},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 195},
  [7878] = {.lex_state = 113},
  [7879] = {.lex_state = 198},
  [7880] = {.lex_state = 113},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 173},
  [7883] = {.lex_state = 0},
  [7884] = {.lex_state = 198},
  [7885] = {.lex_state = 113},
  [7886] = {.lex_state = 173},
  [7887] = {.lex_state = 113},
  [7888] = {.lex_state = 173},
  [7889] = {.lex_state = 198},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 339},
  [7892] = {.lex_state = 173},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 173},
  [7895] = {.lex_state = 173},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 339},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 195},
  [7902] = {.lex_state = 173},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 195},
  [7905] = {.lex_state = 195},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 173},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 198},
  [7912] = {.lex_state = 113},
  [7913] = {.lex_state = 0},
  [7914] = {.lex_state = 195},
  [7915] = {.lex_state = 0, .external_lex_state = 2},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 339},
  [7918] = {.lex_state = 195},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 339},
  [7922] = {.lex_state = 195},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 0},
  [7928] = {.lex_state = 173},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 339},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 113},
  [7939] = {.lex_state = 0},
  [7940] = {.lex_state = 195},
  [7941] = {.lex_state = 0},
  [7942] = {.lex_state = 113},
  [7943] = {.lex_state = 339},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 339},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 195},
  [7948] = {.lex_state = 195},
  [7949] = {.lex_state = 173},
  [7950] = {.lex_state = 173},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 195},
  [7954] = {.lex_state = 195},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 0},
  [7957] = {.lex_state = 0},
  [7958] = {.lex_state = 0},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 195},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 173},
  [7970] = {.lex_state = 195},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 0},
  [7975] = {.lex_state = 195},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 0, .external_lex_state = 2},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 0},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 173},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 195},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 339},
  [7987] = {.lex_state = 173},
  [7988] = {.lex_state = 198},
  [7989] = {.lex_state = 173},
  [7990] = {.lex_state = 173},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 171},
  [7993] = {.lex_state = 195},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 0},
  [7996] = {.lex_state = 0},
  [7997] = {.lex_state = 173},
  [7998] = {.lex_state = 195},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 173},
  [8001] = {.lex_state = 339},
  [8002] = {.lex_state = 195},
  [8003] = {.lex_state = 173},
  [8004] = {.lex_state = 339},
  [8005] = {.lex_state = 173},
  [8006] = {.lex_state = 174},
  [8007] = {.lex_state = 198},
  [8008] = {.lex_state = 0},
  [8009] = {.lex_state = 0},
  [8010] = {.lex_state = 195},
  [8011] = {.lex_state = 0},
  [8012] = {.lex_state = 0},
  [8013] = {.lex_state = 0},
  [8014] = {.lex_state = 198},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 0},
  [8017] = {.lex_state = 195},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 339},
  [8020] = {.lex_state = 0},
  [8021] = {.lex_state = 113},
  [8022] = {.lex_state = 0},
  [8023] = {.lex_state = 195},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 195},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 339},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 173},
  [8034] = {.lex_state = 173},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 339},
  [8037] = {.lex_state = 0},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 195},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 195},
  [8042] = {.lex_state = 339},
  [8043] = {.lex_state = 0},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 0},
  [8048] = {.lex_state = 0, .external_lex_state = 2},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 195},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 0},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 339},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 0},
  [8060] = {.lex_state = 0},
  [8061] = {.lex_state = 0},
  [8062] = {.lex_state = 173},
  [8063] = {.lex_state = 0},
  [8064] = {.lex_state = 113},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 0},
  [8068] = {.lex_state = 0, .external_lex_state = 2},
  [8069] = {.lex_state = 0},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 339},
  [8072] = {.lex_state = 0},
  [8073] = {.lex_state = 339},
  [8074] = {.lex_state = 0},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 195},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 339},
  [8080] = {.lex_state = 171},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 173},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 113},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 0},
  [8091] = {.lex_state = 173},
  [8092] = {.lex_state = 195},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 173},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 113},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 0, .external_lex_state = 2},
  [8100] = {.lex_state = 195},
  [8101] = {.lex_state = 195},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 195},
  [8107] = {.lex_state = 0},
  [8108] = {.lex_state = 339},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 173},
  [8112] = {.lex_state = 113},
  [8113] = {.lex_state = 173},
  [8114] = {.lex_state = 0},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 0},
  [8117] = {.lex_state = 339},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 339},
  [8122] = {.lex_state = 195},
  [8123] = {.lex_state = 339},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 198},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 339},
  [8128] = {.lex_state = 0},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 339},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 113},
  [8135] = {.lex_state = 339},
  [8136] = {.lex_state = 339},
  [8137] = {.lex_state = 198},
  [8138] = {.lex_state = 339},
  [8139] = {.lex_state = 0},
  [8140] = {.lex_state = 171},
  [8141] = {.lex_state = 195},
  [8142] = {.lex_state = 0},
  [8143] = {.lex_state = 0, .external_lex_state = 2},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 113},
  [8148] = {.lex_state = 0},
  [8149] = {.lex_state = 0},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 339},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 198},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 195},
  [8158] = {.lex_state = 0, .external_lex_state = 2},
  [8159] = {.lex_state = 195},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 339},
  [8165] = {.lex_state = 113},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 0},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 0, .external_lex_state = 2},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 198},
  [8172] = {.lex_state = 0},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 339},
  [8175] = {.lex_state = 0},
  [8176] = {.lex_state = 0, .external_lex_state = 2},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 0},
  [8180] = {.lex_state = 0, .external_lex_state = 2},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 113},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 0, .external_lex_state = 2},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 0, .external_lex_state = 2},
  [8187] = {.lex_state = 0},
  [8188] = {.lex_state = 0, .external_lex_state = 2},
  [8189] = {.lex_state = 0},
  [8190] = {.lex_state = 0, .external_lex_state = 2},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 0, .external_lex_state = 2},
  [8193] = {.lex_state = 0},
  [8194] = {.lex_state = 0, .external_lex_state = 2},
  [8195] = {.lex_state = 0},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 0},
  [8198] = {.lex_state = 339},
  [8199] = {.lex_state = 113},
  [8200] = {.lex_state = 339},
  [8201] = {.lex_state = 339},
  [8202] = {.lex_state = 339},
  [8203] = {.lex_state = 0},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 339},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 339},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 0},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 0},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 0},
  [8214] = {.lex_state = 113},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 173},
  [8217] = {.lex_state = 195},
  [8218] = {.lex_state = 339},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 195},
  [8221] = {.lex_state = 0},
  [8222] = {.lex_state = 195},
  [8223] = {.lex_state = 195},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 339},
  [8226] = {.lex_state = 173},
  [8227] = {.lex_state = 195},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 0},
  [8230] = {.lex_state = 0},
  [8231] = {.lex_state = 339},
  [8232] = {.lex_state = 0, .external_lex_state = 3},
  [8233] = {.lex_state = 198},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 0},
  [8236] = {.lex_state = 339},
  [8237] = {.lex_state = 0},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 0},
  [8240] = {.lex_state = 0},
  [8241] = {.lex_state = 0},
  [8242] = {.lex_state = 0},
  [8243] = {.lex_state = 174},
  [8244] = {.lex_state = 0},
  [8245] = {.lex_state = 0},
  [8246] = {.lex_state = 195},
  [8247] = {.lex_state = 0},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 0},
  [8250] = {.lex_state = 339},
  [8251] = {.lex_state = 198},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 0},
  [8254] = {.lex_state = 0},
  [8255] = {.lex_state = 0},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 198},
  [8258] = {.lex_state = 0},
  [8259] = {.lex_state = 0},
  [8260] = {.lex_state = 0},
  [8261] = {.lex_state = 198},
  [8262] = {.lex_state = 0},
  [8263] = {.lex_state = 0},
  [8264] = {.lex_state = 0},
  [8265] = {.lex_state = 0},
  [8266] = {.lex_state = 0},
  [8267] = {.lex_state = 0},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 0},
  [8271] = {.lex_state = 0},
  [8272] = {.lex_state = 0},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 339},
  [8275] = {.lex_state = 0},
  [8276] = {.lex_state = 0},
  [8277] = {.lex_state = 198},
  [8278] = {.lex_state = 195},
  [8279] = {.lex_state = 0},
  [8280] = {.lex_state = 0},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 195},
  [8283] = {.lex_state = 0},
  [8284] = {.lex_state = 0},
  [8285] = {.lex_state = 0},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 113},
  [8288] = {.lex_state = 0},
  [8289] = {.lex_state = 0},
  [8290] = {.lex_state = 0},
  [8291] = {.lex_state = 0},
  [8292] = {.lex_state = 0},
  [8293] = {.lex_state = 195},
  [8294] = {.lex_state = 0},
  [8295] = {.lex_state = 0},
  [8296] = {.lex_state = 195},
  [8297] = {.lex_state = 113},
  [8298] = {.lex_state = 0},
  [8299] = {.lex_state = 0},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 173},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 0},
  [8304] = {.lex_state = 0},
  [8305] = {.lex_state = 339},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 208},
  [8308] = {.lex_state = 173},
  [8309] = {.lex_state = 0},
  [8310] = {.lex_state = 0},
  [8311] = {.lex_state = 173},
  [8312] = {.lex_state = 173},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 240},
  [8315] = {.lex_state = 195},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 339},
  [8318] = {.lex_state = 113},
  [8319] = {.lex_state = 0},
  [8320] = {.lex_state = 0},
  [8321] = {.lex_state = 198},
  [8322] = {.lex_state = 0},
  [8323] = {.lex_state = 0},
  [8324] = {.lex_state = 0},
  [8325] = {.lex_state = 195},
  [8326] = {.lex_state = 0},
  [8327] = {.lex_state = 0},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 0},
  [8330] = {.lex_state = 0},
  [8331] = {.lex_state = 0},
  [8332] = {.lex_state = 0},
  [8333] = {.lex_state = 0},
  [8334] = {.lex_state = 195},
  [8335] = {.lex_state = 0},
  [8336] = {.lex_state = 0},
  [8337] = {.lex_state = 195},
  [8338] = {.lex_state = 0},
  [8339] = {.lex_state = 113},
  [8340] = {.lex_state = 0},
  [8341] = {.lex_state = 0},
  [8342] = {.lex_state = 0},
  [8343] = {.lex_state = 0},
  [8344] = {.lex_state = 0},
  [8345] = {.lex_state = 0},
  [8346] = {.lex_state = 0},
  [8347] = {.lex_state = 0},
  [8348] = {.lex_state = 0},
  [8349] = {.lex_state = 0},
  [8350] = {.lex_state = 0},
  [8351] = {.lex_state = 0},
  [8352] = {.lex_state = 0},
  [8353] = {.lex_state = 0},
  [8354] = {.lex_state = 0},
  [8355] = {.lex_state = 0},
  [8356] = {.lex_state = 0},
  [8357] = {.lex_state = 0},
  [8358] = {.lex_state = 0},
  [8359] = {.lex_state = 0},
  [8360] = {.lex_state = 195},
  [8361] = {.lex_state = 0},
  [8362] = {.lex_state = 0},
  [8363] = {.lex_state = 0},
  [8364] = {.lex_state = 0},
  [8365] = {.lex_state = 0},
  [8366] = {.lex_state = 0},
  [8367] = {.lex_state = 0},
  [8368] = {.lex_state = 0},
  [8369] = {.lex_state = 173},
  [8370] = {.lex_state = 198},
  [8371] = {.lex_state = 0},
  [8372] = {.lex_state = 0},
  [8373] = {.lex_state = 0},
  [8374] = {.lex_state = 0},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 339},
  [8377] = {.lex_state = 0},
  [8378] = {.lex_state = 0},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 0},
  [8382] = {.lex_state = 173},
  [8383] = {.lex_state = 0},
  [8384] = {.lex_state = 195},
  [8385] = {.lex_state = 0},
  [8386] = {.lex_state = 0},
  [8387] = {.lex_state = 0},
  [8388] = {.lex_state = 0},
  [8389] = {.lex_state = 339},
  [8390] = {.lex_state = 198},
  [8391] = {.lex_state = 0},
  [8392] = {.lex_state = 113},
  [8393] = {.lex_state = 195},
  [8394] = {.lex_state = 195},
  [8395] = {.lex_state = 0},
  [8396] = {.lex_state = 173},
  [8397] = {.lex_state = 173},
  [8398] = {.lex_state = 173},
  [8399] = {.lex_state = 339},
  [8400] = {.lex_state = 339},
  [8401] = {.lex_state = 339},
  [8402] = {.lex_state = 339},
  [8403] = {.lex_state = 0},
  [8404] = {.lex_state = 339},
  [8405] = {.lex_state = 339},
  [8406] = {.lex_state = 0},
  [8407] = {.lex_state = 0},
  [8408] = {.lex_state = 0},
  [8409] = {.lex_state = 339},
  [8410] = {.lex_state = 195},
  [8411] = {.lex_state = 0},
  [8412] = {.lex_state = 339},
  [8413] = {.lex_state = 195},
  [8414] = {.lex_state = 339},
  [8415] = {.lex_state = 0},
  [8416] = {.lex_state = 339},
  [8417] = {.lex_state = 0, .external_lex_state = 3},
  [8418] = {.lex_state = 339},
  [8419] = {.lex_state = 0},
  [8420] = {.lex_state = 0},
  [8421] = {.lex_state = 0},
  [8422] = {.lex_state = 0},
  [8423] = {.lex_state = 0},
  [8424] = {.lex_state = 0},
  [8425] = {.lex_state = 0},
  [8426] = {.lex_state = 198},
  [8427] = {.lex_state = 0},
  [8428] = {.lex_state = 339},
  [8429] = {.lex_state = 339},
  [8430] = {.lex_state = 339},
  [8431] = {.lex_state = 339},
  [8432] = {.lex_state = 0},
  [8433] = {.lex_state = 339},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 339},
  [8436] = {.lex_state = 195},
  [8437] = {.lex_state = 0},
  [8438] = {.lex_state = 339},
  [8439] = {.lex_state = 0},
  [8440] = {.lex_state = 0},
  [8441] = {.lex_state = 339},
  [8442] = {.lex_state = 0, .external_lex_state = 3},
  [8443] = {.lex_state = 0},
  [8444] = {.lex_state = 0},
  [8445] = {.lex_state = 195},
  [8446] = {.lex_state = 195},
  [8447] = {.lex_state = 0},
  [8448] = {.lex_state = 198},
  [8449] = {.lex_state = 113},
  [8450] = {.lex_state = 339},
  [8451] = {.lex_state = 339},
  [8452] = {.lex_state = 339},
  [8453] = {.lex_state = 195},
  [8454] = {.lex_state = 339},
  [8455] = {.lex_state = 198},
  [8456] = {.lex_state = 173},
  [8457] = {.lex_state = 195},
  [8458] = {.lex_state = 339},
  [8459] = {.lex_state = 195},
  [8460] = {.lex_state = 195},
  [8461] = {.lex_state = 339},
  [8462] = {.lex_state = 0, .external_lex_state = 3},
  [8463] = {.lex_state = 0},
  [8464] = {.lex_state = 195},
  [8465] = {.lex_state = 0},
  [8466] = {.lex_state = 0},
  [8467] = {.lex_state = 0},
  [8468] = {.lex_state = 198},
  [8469] = {.lex_state = 339},
  [8470] = {.lex_state = 339},
  [8471] = {.lex_state = 339},
  [8472] = {.lex_state = 339},
  [8473] = {.lex_state = 0},
  [8474] = {.lex_state = 339},
  [8475] = {.lex_state = 113},
  [8476] = {.lex_state = 195},
  [8477] = {.lex_state = 339},
  [8478] = {.lex_state = 0},
  [8479] = {.lex_state = 0},
  [8480] = {.lex_state = 339},
  [8481] = {.lex_state = 0, .external_lex_state = 3},
  [8482] = {.lex_state = 0},
  [8483] = {.lex_state = 339},
  [8484] = {.lex_state = 198},
  [8485] = {.lex_state = 195},
  [8486] = {.lex_state = 0},
  [8487] = {.lex_state = 198},
  [8488] = {.lex_state = 0},
  [8489] = {.lex_state = 339},
  [8490] = {.lex_state = 339},
  [8491] = {.lex_state = 0},
  [8492] = {.lex_state = 339},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 195},
  [8495] = {.lex_state = 195},
  [8496] = {.lex_state = 113},
  [8497] = {.lex_state = 339},
  [8498] = {.lex_state = 0, .external_lex_state = 3},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 113},
  [8501] = {.lex_state = 0, .external_lex_state = 3},
  [8502] = {.lex_state = 0},
  [8503] = {.lex_state = 173},
  [8504] = {.lex_state = 339},
  [8505] = {.lex_state = 339},
  [8506] = {.lex_state = 339},
  [8507] = {.lex_state = 0},
  [8508] = {.lex_state = 0, .external_lex_state = 3},
  [8509] = {.lex_state = 0},
  [8510] = {.lex_state = 195},
  [8511] = {.lex_state = 0},
  [8512] = {.lex_state = 0},
  [8513] = {.lex_state = 339},
  [8514] = {.lex_state = 339},
  [8515] = {.lex_state = 339},
  [8516] = {.lex_state = 173},
  [8517] = {.lex_state = 0, .external_lex_state = 3},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 0},
  [8520] = {.lex_state = 339},
  [8521] = {.lex_state = 339},
  [8522] = {.lex_state = 339},
  [8523] = {.lex_state = 0, .external_lex_state = 3},
  [8524] = {.lex_state = 0},
  [8525] = {.lex_state = 339},
  [8526] = {.lex_state = 0, .external_lex_state = 3},
  [8527] = {.lex_state = 0},
  [8528] = {.lex_state = 339},
  [8529] = {.lex_state = 0, .external_lex_state = 3},
  [8530] = {.lex_state = 0},
  [8531] = {.lex_state = 0, .external_lex_state = 3},
  [8532] = {.lex_state = 0},
  [8533] = {.lex_state = 0, .external_lex_state = 3},
  [8534] = {.lex_state = 0},
  [8535] = {.lex_state = 0, .external_lex_state = 3},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 0, .external_lex_state = 3},
  [8538] = {.lex_state = 0},
  [8539] = {.lex_state = 0, .external_lex_state = 3},
  [8540] = {.lex_state = 0},
  [8541] = {.lex_state = 113},
  [8542] = {.lex_state = 0},
  [8543] = {.lex_state = 339},
  [8544] = {.lex_state = 339},
  [8545] = {.lex_state = 195},
  [8546] = {.lex_state = 195},
  [8547] = {.lex_state = 0},
  [8548] = {.lex_state = 173},
  [8549] = {.lex_state = 0},
  [8550] = {.lex_state = 0},
  [8551] = {.lex_state = 0},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 173},
  [8554] = {.lex_state = 0},
  [8555] = {.lex_state = 173},
  [8556] = {.lex_state = 339},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 0},
  [8560] = {.lex_state = 0},
  [8561] = {.lex_state = 195},
  [8562] = {.lex_state = 0, .external_lex_state = 3},
  [8563] = {.lex_state = 0},
  [8564] = {.lex_state = 173},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 173},
  [8567] = {.lex_state = 171},
  [8568] = {.lex_state = 0},
  [8569] = {.lex_state = 0},
  [8570] = {.lex_state = 0},
  [8571] = {.lex_state = 173},
  [8572] = {.lex_state = 195},
  [8573] = {.lex_state = 0},
  [8574] = {.lex_state = 195},
  [8575] = {.lex_state = 173},
  [8576] = {.lex_state = 195},
  [8577] = {.lex_state = 173},
  [8578] = {.lex_state = 195},
  [8579] = {.lex_state = 0},
  [8580] = {.lex_state = 0},
  [8581] = {.lex_state = 0},
  [8582] = {.lex_state = 0},
  [8583] = {.lex_state = 0},
  [8584] = {.lex_state = 0},
  [8585] = {.lex_state = 0},
  [8586] = {.lex_state = 0},
  [8587] = {.lex_state = 0},
  [8588] = {.lex_state = 0},
  [8589] = {.lex_state = 0},
  [8590] = {.lex_state = 113},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 0},
  [8593] = {.lex_state = 0},
  [8594] = {.lex_state = 198},
  [8595] = {.lex_state = 0},
  [8596] = {.lex_state = 0},
  [8597] = {.lex_state = 339},
  [8598] = {.lex_state = 0},
  [8599] = {.lex_state = 195},
  [8600] = {.lex_state = 0},
  [8601] = {.lex_state = 0},
  [8602] = {.lex_state = 0},
  [8603] = {.lex_state = 339},
  [8604] = {.lex_state = 0},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 0},
  [8607] = {.lex_state = 0},
  [8608] = {.lex_state = 173},
  [8609] = {.lex_state = 0},
  [8610] = {.lex_state = 339},
  [8611] = {.lex_state = 198},
  [8612] = {.lex_state = 0},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 195},
  [8615] = {.lex_state = 0},
  [8616] = {.lex_state = 0},
  [8617] = {.lex_state = 0},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 0},
  [8620] = {.lex_state = 173},
  [8621] = {.lex_state = 0},
  [8622] = {.lex_state = 0},
  [8623] = {.lex_state = 0},
  [8624] = {.lex_state = 198},
  [8625] = {.lex_state = 0},
  [8626] = {.lex_state = 0},
  [8627] = {.lex_state = 339},
  [8628] = {.lex_state = 339},
  [8629] = {.lex_state = 195},
  [8630] = {.lex_state = 195},
  [8631] = {.lex_state = 0},
  [8632] = {.lex_state = 0},
  [8633] = {.lex_state = 0},
  [8634] = {.lex_state = 195},
  [8635] = {.lex_state = 0, .external_lex_state = 3},
  [8636] = {.lex_state = 0},
  [8637] = {.lex_state = 0},
  [8638] = {.lex_state = 0},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 339},
  [8641] = {.lex_state = 339},
  [8642] = {.lex_state = 195},
  [8643] = {.lex_state = 0},
  [8644] = {.lex_state = 195},
  [8645] = {.lex_state = 195},
  [8646] = {.lex_state = 0, .external_lex_state = 3},
  [8647] = {.lex_state = 339},
  [8648] = {.lex_state = 0},
  [8649] = {.lex_state = 113},
  [8650] = {.lex_state = 339},
  [8651] = {.lex_state = 195},
  [8652] = {.lex_state = 0},
  [8653] = {.lex_state = 0},
  [8654] = {.lex_state = 195},
  [8655] = {.lex_state = 0, .external_lex_state = 3},
  [8656] = {.lex_state = 195},
  [8657] = {.lex_state = 0},
  [8658] = {.lex_state = 339},
  [8659] = {.lex_state = 195},
  [8660] = {.lex_state = 0},
  [8661] = {.lex_state = 195},
  [8662] = {.lex_state = 195},
  [8663] = {.lex_state = 0, .external_lex_state = 3},
  [8664] = {.lex_state = 0},
  [8665] = {.lex_state = 339},
  [8666] = {.lex_state = 195},
  [8667] = {.lex_state = 0},
  [8668] = {.lex_state = 195},
  [8669] = {.lex_state = 0, .external_lex_state = 3},
  [8670] = {.lex_state = 0},
  [8671] = {.lex_state = 195},
  [8672] = {.lex_state = 0, .external_lex_state = 3},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 0, .external_lex_state = 3},
  [8675] = {.lex_state = 0},
  [8676] = {.lex_state = 0, .external_lex_state = 3},
  [8677] = {.lex_state = 173},
  [8678] = {.lex_state = 0, .external_lex_state = 3},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 0, .external_lex_state = 3},
  [8681] = {.lex_state = 0},
  [8682] = {.lex_state = 0, .external_lex_state = 3},
  [8683] = {.lex_state = 0},
  [8684] = {.lex_state = 0, .external_lex_state = 3},
  [8685] = {.lex_state = 0},
  [8686] = {.lex_state = 0, .external_lex_state = 3},
  [8687] = {.lex_state = 198},
  [8688] = {.lex_state = 0, .external_lex_state = 3},
  [8689] = {.lex_state = 0},
  [8690] = {.lex_state = 0, .external_lex_state = 3},
  [8691] = {.lex_state = 339},
  [8692] = {.lex_state = 339},
  [8693] = {.lex_state = 0},
  [8694] = {.lex_state = 339},
  [8695] = {.lex_state = 339},
  [8696] = {.lex_state = 0, .external_lex_state = 3},
  [8697] = {.lex_state = 339},
  [8698] = {.lex_state = 339},
  [8699] = {.lex_state = 195},
  [8700] = {.lex_state = 339},
  [8701] = {.lex_state = 339},
  [8702] = {.lex_state = 0},
  [8703] = {.lex_state = 339},
  [8704] = {.lex_state = 195},
  [8705] = {.lex_state = 0},
  [8706] = {.lex_state = 339},
  [8707] = {.lex_state = 339},
  [8708] = {.lex_state = 339},
  [8709] = {.lex_state = 339},
  [8710] = {.lex_state = 339},
  [8711] = {.lex_state = 339},
  [8712] = {.lex_state = 339},
  [8713] = {.lex_state = 339},
  [8714] = {.lex_state = 339},
  [8715] = {.lex_state = 339},
  [8716] = {.lex_state = 339},
  [8717] = {.lex_state = 195},
  [8718] = {.lex_state = 0},
  [8719] = {.lex_state = 0},
  [8720] = {.lex_state = 195},
  [8721] = {.lex_state = 339},
  [8722] = {.lex_state = 339},
  [8723] = {.lex_state = 339},
  [8724] = {.lex_state = 339},
  [8725] = {.lex_state = 339},
  [8726] = {.lex_state = 339},
  [8727] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym___attribute] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym___volatile__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(7955),
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4678),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1903),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6247),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(752),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4785),
    [sym__string] = STATE(4778),
    [sym_conditional_expression] = STATE(4834),
    [sym_assignment_expression] = STATE(4834),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4834),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(4834),
    [sym_cast_expression] = STATE(4834),
    [sym_sizeof_expression] = STATE(4834),
    [sym_alignof_expression] = STATE(4834),
    [sym_offsetof_expression] = STATE(4834),
    [sym_generic_expression] = STATE(4834),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4834),
    [sym_extension_expression] = STATE(4834),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4834),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(4778),
    [sym_concatenated_string] = STATE(4778),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(4834),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1724),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1724),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4741),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(4834),
    [sym_new_expression] = STATE(4834),
    [sym_delete_expression] = STATE(4834),
    [sym_requires_clause] = STATE(4834),
    [sym_requires_expression] = STATE(4834),
    [sym_lambda_expression] = STATE(4834),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(4834),
    [sym_parameter_pack_expansion] = STATE(4834),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1724),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(63),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(119),
  },
  [2] = {
    [sym__block_item] = STATE(39),
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(39),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [3] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [4] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [5] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [6] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [7] = {
    [sym__block_item] = STATE(39),
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(39),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [8] = {
    [sym__block_item] = STATE(50),
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(50),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(50),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(50),
    [sym_template_instantiation] = STATE(50),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(50),
    [sym_operator_cast_declaration] = STATE(50),
    [sym_constructor_or_destructor_definition] = STATE(50),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(50),
    [sym_namespace_alias_definition] = STATE(50),
    [sym_using_declaration] = STATE(50),
    [sym_alias_declaration] = STATE(50),
    [sym_static_assert_declaration] = STATE(50),
    [sym_concept_definition] = STATE(50),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [9] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [10] = {
    [sym__block_item] = STATE(76),
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if] = STATE(76),
    [sym_preproc_ifdef] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(76),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(76),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(76),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(76),
    [sym_template_instantiation] = STATE(76),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(76),
    [sym_operator_cast_declaration] = STATE(76),
    [sym_constructor_or_destructor_definition] = STATE(76),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_alias_definition] = STATE(76),
    [sym_using_declaration] = STATE(76),
    [sym_alias_declaration] = STATE(76),
    [sym_static_assert_declaration] = STATE(76),
    [sym_concept_definition] = STATE(76),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(76),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [11] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [12] = {
    [sym__block_item] = STATE(76),
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if] = STATE(76),
    [sym_preproc_ifdef] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(76),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(76),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(76),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(76),
    [sym_template_instantiation] = STATE(76),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(76),
    [sym_operator_cast_declaration] = STATE(76),
    [sym_constructor_or_destructor_definition] = STATE(76),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_alias_definition] = STATE(76),
    [sym_using_declaration] = STATE(76),
    [sym_alias_declaration] = STATE(76),
    [sym_static_assert_declaration] = STATE(76),
    [sym_concept_definition] = STATE(76),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(76),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [13] = {
    [sym__block_item] = STATE(14),
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(7859),
    [sym_preproc_elif] = STATE(7859),
    [sym_preproc_elifdef] = STATE(7859),
    [sym_function_definition] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(14),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(14),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(14),
    [sym_template_instantiation] = STATE(14),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(14),
    [sym_operator_cast_declaration] = STATE(14),
    [sym_constructor_or_destructor_definition] = STATE(14),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(14),
    [sym_namespace_alias_definition] = STATE(14),
    [sym_using_declaration] = STATE(14),
    [sym_alias_declaration] = STATE(14),
    [sym_static_assert_declaration] = STATE(14),
    [sym_concept_definition] = STATE(14),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [14] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7895),
    [sym_preproc_elif] = STATE(7895),
    [sym_preproc_elifdef] = STATE(7895),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [15] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8308),
    [sym_preproc_elif] = STATE(8308),
    [sym_preproc_elifdef] = STATE(8308),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [16] = {
    [sym__block_item] = STATE(19),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(8312),
    [sym_preproc_elif] = STATE(8312),
    [sym_preproc_elifdef] = STATE(8312),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(19),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(19),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(19),
    [sym_template_instantiation] = STATE(19),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(19),
    [sym_operator_cast_declaration] = STATE(19),
    [sym_constructor_or_destructor_definition] = STATE(19),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(19),
    [sym_namespace_alias_definition] = STATE(19),
    [sym_using_declaration] = STATE(19),
    [sym_alias_declaration] = STATE(19),
    [sym_static_assert_declaration] = STATE(19),
    [sym_concept_definition] = STATE(19),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [17] = {
    [sym__block_item] = STATE(15),
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(8608),
    [sym_preproc_elif] = STATE(8608),
    [sym_preproc_elifdef] = STATE(8608),
    [sym_function_definition] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(15),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(15),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(15),
    [sym_template_instantiation] = STATE(15),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(15),
    [sym_operator_cast_declaration] = STATE(15),
    [sym_constructor_or_destructor_definition] = STATE(15),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(15),
    [sym_namespace_alias_definition] = STATE(15),
    [sym_using_declaration] = STATE(15),
    [sym_alias_declaration] = STATE(15),
    [sym_static_assert_declaration] = STATE(15),
    [sym_concept_definition] = STATE(15),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [18] = {
    [sym__block_item] = STATE(20),
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(8566),
    [sym_preproc_elif] = STATE(8566),
    [sym_preproc_elifdef] = STATE(8566),
    [sym_function_definition] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(20),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(20),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(20),
    [sym_template_instantiation] = STATE(20),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(20),
    [sym_operator_cast_declaration] = STATE(20),
    [sym_constructor_or_destructor_definition] = STATE(20),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(20),
    [sym_namespace_alias_definition] = STATE(20),
    [sym_using_declaration] = STATE(20),
    [sym_alias_declaration] = STATE(20),
    [sym_static_assert_declaration] = STATE(20),
    [sym_concept_definition] = STATE(20),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [19] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8571),
    [sym_preproc_elif] = STATE(8571),
    [sym_preproc_elifdef] = STATE(8571),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [20] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8398),
    [sym_preproc_elif] = STATE(8398),
    [sym_preproc_elifdef] = STATE(8398),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [21] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(8382),
    [sym_preproc_elif] = STATE(8382),
    [sym_preproc_elifdef] = STATE(8382),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [22] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8113),
    [sym_preproc_elif] = STATE(8113),
    [sym_preproc_elifdef] = STATE(8113),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [23] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(8111),
    [sym_preproc_elif] = STATE(8111),
    [sym_preproc_elifdef] = STATE(8111),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [24] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8456),
    [sym_preproc_elif] = STATE(8456),
    [sym_preproc_elifdef] = STATE(8456),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [25] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7892),
    [sym_preproc_elif] = STATE(7892),
    [sym_preproc_elifdef] = STATE(7892),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [26] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8226),
    [sym_preproc_elif] = STATE(8226),
    [sym_preproc_elifdef] = STATE(8226),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [27] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7888),
    [sym_preproc_elif] = STATE(7888),
    [sym_preproc_elifdef] = STATE(7888),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [28] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(7886),
    [sym_preproc_elif] = STATE(7886),
    [sym_preproc_elifdef] = STATE(7886),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [29] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7990),
    [sym_preproc_elif] = STATE(7990),
    [sym_preproc_elifdef] = STATE(7990),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [30] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(8216),
    [sym_preproc_elif] = STATE(8216),
    [sym_preproc_elifdef] = STATE(8216),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [31] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(8548),
    [sym_preproc_elif] = STATE(8548),
    [sym_preproc_elifdef] = STATE(8548),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [32] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(8091),
    [sym_preproc_elif] = STATE(8091),
    [sym_preproc_elifdef] = STATE(8091),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6263),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(333),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1784),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1784),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1784),
    [sym_identifier] = ACTIONS(375),
    [aux_sym_preproc_include_token1] = ACTIONS(378),
    [aux_sym_preproc_def_token1] = ACTIONS(381),
    [aux_sym_preproc_if_token1] = ACTIONS(384),
    [aux_sym_preproc_if_token2] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(389),
    [aux_sym_preproc_else_token1] = ACTIONS(387),
    [aux_sym_preproc_elif_token1] = ACTIONS(387),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(387),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(387),
    [sym_preproc_directive] = ACTIONS(392),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym___extension__] = ACTIONS(419),
    [anon_sym_typedef] = ACTIONS(422),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(428),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(449),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(461),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [sym_primitive_type] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(485),
    [anon_sym_switch] = ACTIONS(488),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_default] = ACTIONS(494),
    [anon_sym_while] = ACTIONS(497),
    [anon_sym_do] = ACTIONS(500),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_return] = ACTIONS(506),
    [anon_sym_break] = ACTIONS(509),
    [anon_sym_continue] = ACTIONS(512),
    [anon_sym_goto] = ACTIONS(515),
    [anon_sym___try] = ACTIONS(518),
    [anon_sym___leave] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [sym_number_literal] = ACTIONS(542),
    [anon_sym_L_SQUOTE] = ACTIONS(545),
    [anon_sym_u_SQUOTE] = ACTIONS(545),
    [anon_sym_U_SQUOTE] = ACTIONS(545),
    [anon_sym_u8_SQUOTE] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(545),
    [anon_sym_L_DQUOTE] = ACTIONS(548),
    [anon_sym_u_DQUOTE] = ACTIONS(548),
    [anon_sym_U_DQUOTE] = ACTIONS(548),
    [anon_sym_u8_DQUOTE] = ACTIONS(548),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [anon_sym_NULL] = ACTIONS(554),
    [anon_sym_nullptr] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(557),
    [anon_sym_decltype] = ACTIONS(560),
    [anon_sym_explicit] = ACTIONS(563),
    [anon_sym_typename] = ACTIONS(566),
    [anon_sym_template] = ACTIONS(569),
    [anon_sym_operator] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_delete] = ACTIONS(578),
    [anon_sym_throw] = ACTIONS(581),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_using] = ACTIONS(587),
    [anon_sym_static_assert] = ACTIONS(590),
    [anon_sym_concept] = ACTIONS(593),
    [anon_sym_co_return] = ACTIONS(596),
    [anon_sym_co_yield] = ACTIONS(599),
    [anon_sym_R_DQUOTE] = ACTIONS(602),
    [anon_sym_LR_DQUOTE] = ACTIONS(602),
    [anon_sym_uR_DQUOTE] = ACTIONS(602),
    [anon_sym_UR_DQUOTE] = ACTIONS(602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(602),
    [anon_sym_co_await] = ACTIONS(605),
    [anon_sym_new] = ACTIONS(608),
    [anon_sym_requires] = ACTIONS(611),
    [sym_this] = ACTIONS(551),
  },
  [34] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [35] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [36] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [37] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4704),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1908),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6305),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(516),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2683),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(663),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1786),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6770),
    [sym__constructor_specifiers] = STATE(1786),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6770),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1786),
    [sym_identifier] = ACTIONS(624),
    [aux_sym_preproc_include_token1] = ACTIONS(627),
    [aux_sym_preproc_def_token1] = ACTIONS(630),
    [aux_sym_preproc_if_token1] = ACTIONS(633),
    [aux_sym_preproc_if_token2] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(636),
    [sym_preproc_directive] = ACTIONS(639),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym___extension__] = ACTIONS(645),
    [anon_sym_typedef] = ACTIONS(648),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(651),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(654),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(657),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [sym_primitive_type] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(660),
    [anon_sym_switch] = ACTIONS(663),
    [anon_sym_case] = ACTIONS(666),
    [anon_sym_default] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(672),
    [anon_sym_do] = ACTIONS(675),
    [anon_sym_for] = ACTIONS(678),
    [anon_sym_return] = ACTIONS(681),
    [anon_sym_break] = ACTIONS(684),
    [anon_sym_continue] = ACTIONS(687),
    [anon_sym_goto] = ACTIONS(690),
    [anon_sym___try] = ACTIONS(693),
    [anon_sym___leave] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [sym_number_literal] = ACTIONS(542),
    [anon_sym_L_SQUOTE] = ACTIONS(545),
    [anon_sym_u_SQUOTE] = ACTIONS(545),
    [anon_sym_U_SQUOTE] = ACTIONS(545),
    [anon_sym_u8_SQUOTE] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(545),
    [anon_sym_L_DQUOTE] = ACTIONS(548),
    [anon_sym_u_DQUOTE] = ACTIONS(548),
    [anon_sym_U_DQUOTE] = ACTIONS(548),
    [anon_sym_u8_DQUOTE] = ACTIONS(548),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [anon_sym_NULL] = ACTIONS(554),
    [anon_sym_nullptr] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(557),
    [anon_sym_decltype] = ACTIONS(560),
    [anon_sym_explicit] = ACTIONS(563),
    [anon_sym_typename] = ACTIONS(566),
    [anon_sym_template] = ACTIONS(699),
    [anon_sym_operator] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(702),
    [anon_sym_delete] = ACTIONS(578),
    [anon_sym_throw] = ACTIONS(705),
    [anon_sym_namespace] = ACTIONS(708),
    [anon_sym_using] = ACTIONS(711),
    [anon_sym_static_assert] = ACTIONS(714),
    [anon_sym_concept] = ACTIONS(717),
    [anon_sym_co_return] = ACTIONS(720),
    [anon_sym_co_yield] = ACTIONS(723),
    [anon_sym_R_DQUOTE] = ACTIONS(602),
    [anon_sym_LR_DQUOTE] = ACTIONS(602),
    [anon_sym_uR_DQUOTE] = ACTIONS(602),
    [anon_sym_UR_DQUOTE] = ACTIONS(602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(602),
    [anon_sym_co_await] = ACTIONS(605),
    [anon_sym_new] = ACTIONS(608),
    [anon_sym_requires] = ACTIONS(611),
    [sym_this] = ACTIONS(551),
  },
  [38] = {
    [sym__block_item] = STATE(39),
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(39),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [39] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [40] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [41] = {
    [sym__block_item] = STATE(79),
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4704),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1908),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6305),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(516),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2683),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(663),
    [sym_statement] = STATE(79),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1786),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(6770),
    [sym__constructor_specifiers] = STATE(1786),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6770),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1786),
    [sym_identifier] = ACTIONS(732),
    [aux_sym_preproc_include_token1] = ACTIONS(734),
    [aux_sym_preproc_def_token1] = ACTIONS(736),
    [aux_sym_preproc_if_token1] = ACTIONS(738),
    [aux_sym_preproc_if_token2] = ACTIONS(740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(742),
    [sym_preproc_directive] = ACTIONS(744),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(748),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(752),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(756),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(784),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(790),
    [anon_sym_using] = ACTIONS(792),
    [anon_sym_static_assert] = ACTIONS(794),
    [anon_sym_concept] = ACTIONS(796),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [42] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [43] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [44] = {
    [sym__block_item] = STATE(45),
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(45),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(45),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(45),
    [sym_template_instantiation] = STATE(45),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(45),
    [sym_operator_cast_declaration] = STATE(45),
    [sym_constructor_or_destructor_definition] = STATE(45),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(45),
    [sym_namespace_alias_definition] = STATE(45),
    [sym_using_declaration] = STATE(45),
    [sym_alias_declaration] = STATE(45),
    [sym_static_assert_declaration] = STATE(45),
    [sym_concept_definition] = STATE(45),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [45] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [46] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [47] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(812),
    [aux_sym_preproc_include_token1] = ACTIONS(815),
    [aux_sym_preproc_def_token1] = ACTIONS(818),
    [aux_sym_preproc_if_token1] = ACTIONS(821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(824),
    [sym_preproc_directive] = ACTIONS(827),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym___extension__] = ACTIONS(833),
    [anon_sym_typedef] = ACTIONS(836),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(839),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(842),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(847),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [sym_primitive_type] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(853),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_default] = ACTIONS(859),
    [anon_sym_while] = ACTIONS(862),
    [anon_sym_do] = ACTIONS(865),
    [anon_sym_for] = ACTIONS(868),
    [anon_sym_return] = ACTIONS(871),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(877),
    [anon_sym_goto] = ACTIONS(880),
    [anon_sym___try] = ACTIONS(883),
    [anon_sym___leave] = ACTIONS(886),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [sym_number_literal] = ACTIONS(542),
    [anon_sym_L_SQUOTE] = ACTIONS(545),
    [anon_sym_u_SQUOTE] = ACTIONS(545),
    [anon_sym_U_SQUOTE] = ACTIONS(545),
    [anon_sym_u8_SQUOTE] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(545),
    [anon_sym_L_DQUOTE] = ACTIONS(548),
    [anon_sym_u_DQUOTE] = ACTIONS(548),
    [anon_sym_U_DQUOTE] = ACTIONS(548),
    [anon_sym_u8_DQUOTE] = ACTIONS(548),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [anon_sym_NULL] = ACTIONS(554),
    [anon_sym_nullptr] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(557),
    [anon_sym_decltype] = ACTIONS(560),
    [anon_sym_explicit] = ACTIONS(563),
    [anon_sym_typename] = ACTIONS(566),
    [anon_sym_template] = ACTIONS(889),
    [anon_sym_operator] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(578),
    [anon_sym_throw] = ACTIONS(895),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(901),
    [anon_sym_static_assert] = ACTIONS(904),
    [anon_sym_concept] = ACTIONS(907),
    [anon_sym_co_return] = ACTIONS(910),
    [anon_sym_co_yield] = ACTIONS(913),
    [anon_sym_R_DQUOTE] = ACTIONS(602),
    [anon_sym_LR_DQUOTE] = ACTIONS(602),
    [anon_sym_uR_DQUOTE] = ACTIONS(602),
    [anon_sym_UR_DQUOTE] = ACTIONS(602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(602),
    [anon_sym_co_await] = ACTIONS(605),
    [anon_sym_new] = ACTIONS(608),
    [anon_sym_requires] = ACTIONS(611),
    [sym_this] = ACTIONS(551),
  },
  [48] = {
    [sym__block_item] = STATE(50),
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(50),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(50),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(50),
    [sym_template_instantiation] = STATE(50),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(50),
    [sym_operator_cast_declaration] = STATE(50),
    [sym_constructor_or_destructor_definition] = STATE(50),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(50),
    [sym_namespace_alias_definition] = STATE(50),
    [sym_using_declaration] = STATE(50),
    [sym_alias_declaration] = STATE(50),
    [sym_static_assert_declaration] = STATE(50),
    [sym_concept_definition] = STATE(50),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(916),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [49] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(918),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [50] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [51] = {
    [sym__block_item] = STATE(53),
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(53),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [52] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [53] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(926),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [54] = {
    [sym__block_item] = STATE(55),
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(55),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [55] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [56] = {
    [sym__block_item] = STATE(57),
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(57),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [57] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(934),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [58] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [59] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(938),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [60] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [61] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [62] = {
    [sym__block_item] = STATE(63),
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(63),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(944),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [63] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [64] = {
    [sym__block_item] = STATE(49),
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(49),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [65] = {
    [sym__block_item] = STATE(66),
    [sym_preproc_include] = STATE(66),
    [sym_preproc_def] = STATE(66),
    [sym_preproc_function_def] = STATE(66),
    [sym_preproc_call] = STATE(66),
    [sym_preproc_if] = STATE(66),
    [sym_preproc_ifdef] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(66),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(66),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(66),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(66),
    [sym_template_instantiation] = STATE(66),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(66),
    [sym_operator_cast_declaration] = STATE(66),
    [sym_constructor_or_destructor_definition] = STATE(66),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(66),
    [sym_namespace_alias_definition] = STATE(66),
    [sym_using_declaration] = STATE(66),
    [sym_alias_declaration] = STATE(66),
    [sym_static_assert_declaration] = STATE(66),
    [sym_concept_definition] = STATE(66),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(66),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [66] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [67] = {
    [sym__block_item] = STATE(68),
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(68),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(954),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [68] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(956),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [69] = {
    [sym__block_item] = STATE(70),
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(70),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [70] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [71] = {
    [sym__block_item] = STATE(72),
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(72),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [72] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(964),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [73] = {
    [sym__block_item] = STATE(74),
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(74),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [74] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [75] = {
    [sym__block_item] = STATE(76),
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if] = STATE(76),
    [sym_preproc_ifdef] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(76),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(76),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(76),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(76),
    [sym_template_instantiation] = STATE(76),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(76),
    [sym_operator_cast_declaration] = STATE(76),
    [sym_constructor_or_destructor_definition] = STATE(76),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_alias_definition] = STATE(76),
    [sym_using_declaration] = STATE(76),
    [sym_alias_declaration] = STATE(76),
    [sym_static_assert_declaration] = STATE(76),
    [sym_concept_definition] = STATE(76),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(76),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [76] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [77] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [78] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(664),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1781),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1781),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1781),
    [sym_identifier] = ACTIONS(614),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(976),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [79] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4704),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1908),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6305),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(516),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2683),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(663),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1786),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6770),
    [sym__constructor_specifiers] = STATE(1786),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4443),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3189),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6770),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1786),
    [sym_identifier] = ACTIONS(732),
    [aux_sym_preproc_include_token1] = ACTIONS(734),
    [aux_sym_preproc_def_token1] = ACTIONS(736),
    [aux_sym_preproc_if_token1] = ACTIONS(738),
    [aux_sym_preproc_if_token2] = ACTIONS(978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(742),
    [sym_preproc_directive] = ACTIONS(744),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(748),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(752),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(756),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(784),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(790),
    [anon_sym_using] = ACTIONS(792),
    [anon_sym_static_assert] = ACTIONS(794),
    [anon_sym_concept] = ACTIONS(796),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [80] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4678),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1903),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6247),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(752),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4785),
    [sym__string] = STATE(4778),
    [sym_conditional_expression] = STATE(4834),
    [sym_assignment_expression] = STATE(4834),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4834),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(4834),
    [sym_cast_expression] = STATE(4834),
    [sym_sizeof_expression] = STATE(4834),
    [sym_alignof_expression] = STATE(4834),
    [sym_offsetof_expression] = STATE(4834),
    [sym_generic_expression] = STATE(4834),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4834),
    [sym_extension_expression] = STATE(4834),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4834),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(4778),
    [sym_concatenated_string] = STATE(4778),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(4834),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1724),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1724),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4741),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(4834),
    [sym_new_expression] = STATE(4834),
    [sym_delete_expression] = STATE(4834),
    [sym_requires_clause] = STATE(4834),
    [sym_requires_expression] = STATE(4834),
    [sym_lambda_expression] = STATE(4834),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(4834),
    [sym_parameter_pack_expansion] = STATE(4834),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1724),
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_identifier] = ACTIONS(982),
    [aux_sym_preproc_include_token1] = ACTIONS(985),
    [aux_sym_preproc_def_token1] = ACTIONS(988),
    [aux_sym_preproc_if_token1] = ACTIONS(991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(994),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(1000),
    [anon_sym_BANG] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1006),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1018),
    [anon_sym_SEMI] = ACTIONS(1021),
    [anon_sym___extension__] = ACTIONS(1024),
    [anon_sym_typedef] = ACTIONS(1027),
    [anon_sym_virtual] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(1033),
    [anon_sym___attribute__] = ACTIONS(1036),
    [anon_sym___attribute] = ACTIONS(1036),
    [anon_sym_COLON_COLON] = ACTIONS(1039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1042),
    [anon_sym___declspec] = ACTIONS(1045),
    [anon_sym___based] = ACTIONS(1048),
    [anon_sym___cdecl] = ACTIONS(1051),
    [anon_sym___clrcall] = ACTIONS(1051),
    [anon_sym___stdcall] = ACTIONS(1051),
    [anon_sym___fastcall] = ACTIONS(1051),
    [anon_sym___thiscall] = ACTIONS(1051),
    [anon_sym___vectorcall] = ACTIONS(1051),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_signed] = ACTIONS(1057),
    [anon_sym_unsigned] = ACTIONS(1057),
    [anon_sym_long] = ACTIONS(1057),
    [anon_sym_short] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_register] = ACTIONS(1063),
    [anon_sym_inline] = ACTIONS(1066),
    [anon_sym___inline] = ACTIONS(1063),
    [anon_sym___inline__] = ACTIONS(1063),
    [anon_sym___forceinline] = ACTIONS(1063),
    [anon_sym_thread_local] = ACTIONS(1063),
    [anon_sym___thread] = ACTIONS(1063),
    [anon_sym_const] = ACTIONS(1069),
    [anon_sym_constexpr] = ACTIONS(1069),
    [anon_sym_volatile] = ACTIONS(1069),
    [anon_sym_restrict] = ACTIONS(1069),
    [anon_sym___restrict__] = ACTIONS(1069),
    [anon_sym__Atomic] = ACTIONS(1069),
    [anon_sym__Noreturn] = ACTIONS(1069),
    [anon_sym_noreturn] = ACTIONS(1069),
    [anon_sym__Nonnull] = ACTIONS(1069),
    [anon_sym_mutable] = ACTIONS(1069),
    [anon_sym_constinit] = ACTIONS(1069),
    [anon_sym_consteval] = ACTIONS(1069),
    [anon_sym_alignas] = ACTIONS(1072),
    [anon_sym__Alignas] = ACTIONS(1072),
    [sym_primitive_type] = ACTIONS(1075),
    [anon_sym_enum] = ACTIONS(1078),
    [anon_sym_class] = ACTIONS(1081),
    [anon_sym_struct] = ACTIONS(1084),
    [anon_sym_union] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_switch] = ACTIONS(1093),
    [anon_sym_case] = ACTIONS(1096),
    [anon_sym_default] = ACTIONS(1099),
    [anon_sym_while] = ACTIONS(1102),
    [anon_sym_do] = ACTIONS(1105),
    [anon_sym_for] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1111),
    [anon_sym_break] = ACTIONS(1114),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym_not] = ACTIONS(1009),
    [anon_sym_compl] = ACTIONS(1009),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_sizeof] = ACTIONS(1126),
    [anon_sym___alignof__] = ACTIONS(1129),
    [anon_sym___alignof] = ACTIONS(1129),
    [anon_sym__alignof] = ACTIONS(1129),
    [anon_sym_alignof] = ACTIONS(1129),
    [anon_sym__Alignof] = ACTIONS(1129),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1138),
    [anon_sym___asm__] = ACTIONS(1138),
    [anon_sym___asm] = ACTIONS(1138),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1144),
    [anon_sym_u_SQUOTE] = ACTIONS(1144),
    [anon_sym_U_SQUOTE] = ACTIONS(1144),
    [anon_sym_u8_SQUOTE] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_L_DQUOTE] = ACTIONS(1147),
    [anon_sym_u_DQUOTE] = ACTIONS(1147),
    [anon_sym_U_DQUOTE] = ACTIONS(1147),
    [anon_sym_u8_DQUOTE] = ACTIONS(1147),
    [anon_sym_DQUOTE] = ACTIONS(1147),
    [sym_true] = ACTIONS(1150),
    [sym_false] = ACTIONS(1150),
    [anon_sym_NULL] = ACTIONS(1153),
    [anon_sym_nullptr] = ACTIONS(1153),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1156),
    [anon_sym_decltype] = ACTIONS(1159),
    [anon_sym_explicit] = ACTIONS(1162),
    [anon_sym_typename] = ACTIONS(1165),
    [anon_sym_template] = ACTIONS(1168),
    [anon_sym_operator] = ACTIONS(1171),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_delete] = ACTIONS(1177),
    [anon_sym_throw] = ACTIONS(1180),
    [anon_sym_namespace] = ACTIONS(1183),
    [anon_sym_using] = ACTIONS(1186),
    [anon_sym_static_assert] = ACTIONS(1189),
    [anon_sym_concept] = ACTIONS(1192),
    [anon_sym_co_return] = ACTIONS(1195),
    [anon_sym_co_yield] = ACTIONS(1198),
    [anon_sym_R_DQUOTE] = ACTIONS(1201),
    [anon_sym_LR_DQUOTE] = ACTIONS(1201),
    [anon_sym_uR_DQUOTE] = ACTIONS(1201),
    [anon_sym_UR_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1201),
    [anon_sym_co_await] = ACTIONS(1204),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_requires] = ACTIONS(1210),
    [sym_this] = ACTIONS(1150),
  },
  [81] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4678),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1903),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6247),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(752),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4785),
    [sym__string] = STATE(4778),
    [sym_conditional_expression] = STATE(4834),
    [sym_assignment_expression] = STATE(4834),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4834),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(4834),
    [sym_cast_expression] = STATE(4834),
    [sym_sizeof_expression] = STATE(4834),
    [sym_alignof_expression] = STATE(4834),
    [sym_offsetof_expression] = STATE(4834),
    [sym_generic_expression] = STATE(4834),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4834),
    [sym_extension_expression] = STATE(4834),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4834),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_char_literal] = STATE(4778),
    [sym_concatenated_string] = STATE(4778),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(4834),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_explicit_function_specifier] = STATE(1724),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1724),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(4741),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(4834),
    [sym_new_expression] = STATE(4834),
    [sym_delete_expression] = STATE(4834),
    [sym_requires_clause] = STATE(4834),
    [sym_requires_expression] = STATE(4834),
    [sym_lambda_expression] = STATE(4834),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(4834),
    [sym_parameter_pack_expansion] = STATE(4834),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1724),
    [ts_builtin_sym_end] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(63),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(119),
  },
  [82] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1217),
    [aux_sym_preproc_def_token1] = ACTIONS(1217),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_if_token2] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1217),
    [aux_sym_preproc_else_token1] = ACTIONS(1217),
    [aux_sym_preproc_elif_token1] = ACTIONS(1217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1217),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1217),
    [sym_preproc_directive] = ACTIONS(1217),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1217),
    [anon_sym___cdecl] = ACTIONS(1217),
    [anon_sym___clrcall] = ACTIONS(1217),
    [anon_sym___stdcall] = ACTIONS(1217),
    [anon_sym___fastcall] = ACTIONS(1217),
    [anon_sym___thiscall] = ACTIONS(1217),
    [anon_sym___vectorcall] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1217),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(1217),
    [anon_sym_static_assert] = ACTIONS(1217),
    [anon_sym_concept] = ACTIONS(1217),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [83] = {
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token2] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1237),
    [aux_sym_preproc_else_token1] = ACTIONS(1237),
    [aux_sym_preproc_elif_token1] = ACTIONS(1237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1237),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1237),
    [anon_sym___cdecl] = ACTIONS(1237),
    [anon_sym___clrcall] = ACTIONS(1237),
    [anon_sym___stdcall] = ACTIONS(1237),
    [anon_sym___fastcall] = ACTIONS(1237),
    [anon_sym___thiscall] = ACTIONS(1237),
    [anon_sym___vectorcall] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1237),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_using] = ACTIONS(1237),
    [anon_sym_static_assert] = ACTIONS(1237),
    [anon_sym_concept] = ACTIONS(1237),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [84] = {
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1241),
    [aux_sym_preproc_def_token1] = ACTIONS(1241),
    [aux_sym_preproc_if_token1] = ACTIONS(1241),
    [aux_sym_preproc_if_token2] = ACTIONS(1241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1241),
    [aux_sym_preproc_else_token1] = ACTIONS(1241),
    [aux_sym_preproc_elif_token1] = ACTIONS(1241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1241),
    [sym_preproc_directive] = ACTIONS(1241),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1241),
    [anon_sym___cdecl] = ACTIONS(1241),
    [anon_sym___clrcall] = ACTIONS(1241),
    [anon_sym___stdcall] = ACTIONS(1241),
    [anon_sym___fastcall] = ACTIONS(1241),
    [anon_sym___thiscall] = ACTIONS(1241),
    [anon_sym___vectorcall] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1241),
    [anon_sym_default] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1241),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(1241),
    [anon_sym_static_assert] = ACTIONS(1241),
    [anon_sym_concept] = ACTIONS(1241),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [85] = {
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(1245),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [aux_sym_preproc_else_token1] = ACTIONS(1248),
    [aux_sym_preproc_elif_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym___extension__] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1273),
    [anon_sym_virtual] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_COLON_COLON] = ACTIONS(1285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___based] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1297),
    [anon_sym_unsigned] = ACTIONS(1297),
    [anon_sym_long] = ACTIONS(1297),
    [anon_sym_short] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym__Nonnull] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_constinit] = ACTIONS(1303),
    [anon_sym_consteval] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1306),
    [anon_sym__Alignas] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1345),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1351),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_not] = ACTIONS(1256),
    [anon_sym_compl] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1357),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1363),
    [anon_sym___alignof] = ACTIONS(1363),
    [anon_sym__alignof] = ACTIONS(1363),
    [anon_sym_alignof] = ACTIONS(1363),
    [anon_sym__Alignof] = ACTIONS(1363),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1369),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1375),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1381),
    [anon_sym_u_DQUOTE] = ACTIONS(1381),
    [anon_sym_U_DQUOTE] = ACTIONS(1381),
    [anon_sym_u8_DQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1387),
    [anon_sym_nullptr] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1390),
    [anon_sym_decltype] = ACTIONS(1393),
    [anon_sym_explicit] = ACTIONS(1248),
    [anon_sym_typename] = ACTIONS(1396),
    [anon_sym_template] = ACTIONS(1399),
    [anon_sym_operator] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1402),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_throw] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1248),
    [anon_sym_using] = ACTIONS(1248),
    [anon_sym_static_assert] = ACTIONS(1248),
    [anon_sym_concept] = ACTIONS(1248),
    [anon_sym_co_return] = ACTIONS(1411),
    [anon_sym_co_yield] = ACTIONS(1414),
    [anon_sym_R_DQUOTE] = ACTIONS(1417),
    [anon_sym_LR_DQUOTE] = ACTIONS(1417),
    [anon_sym_uR_DQUOTE] = ACTIONS(1417),
    [anon_sym_UR_DQUOTE] = ACTIONS(1417),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1417),
    [anon_sym_co_await] = ACTIONS(1420),
    [anon_sym_new] = ACTIONS(1423),
    [anon_sym_requires] = ACTIONS(1426),
    [sym_this] = ACTIONS(1384),
  },
  [86] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token2] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [aux_sym_preproc_else_token1] = ACTIONS(1429),
    [aux_sym_preproc_elif_token1] = ACTIONS(1429),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1429),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_using] = ACTIONS(1429),
    [anon_sym_static_assert] = ACTIONS(1429),
    [anon_sym_concept] = ACTIONS(1429),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [87] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5157),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [sym_identifier] = ACTIONS(1433),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1439),
    [anon_sym_typedef] = ACTIONS(1442),
    [anon_sym_virtual] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_COLON_COLON] = ACTIONS(1285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___based] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1445),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1297),
    [anon_sym_unsigned] = ACTIONS(1297),
    [anon_sym_long] = ACTIONS(1297),
    [anon_sym_short] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym__Nonnull] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_constinit] = ACTIONS(1303),
    [anon_sym_consteval] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1306),
    [anon_sym__Alignas] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1451),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1454),
    [anon_sym_do] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1463),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1475),
    [anon_sym___leave] = ACTIONS(1478),
    [anon_sym_not] = ACTIONS(1256),
    [anon_sym_compl] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1357),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1363),
    [anon_sym___alignof] = ACTIONS(1363),
    [anon_sym__alignof] = ACTIONS(1363),
    [anon_sym_alignof] = ACTIONS(1363),
    [anon_sym__Alignof] = ACTIONS(1363),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1369),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1375),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1381),
    [anon_sym_u_DQUOTE] = ACTIONS(1381),
    [anon_sym_U_DQUOTE] = ACTIONS(1381),
    [anon_sym_u8_DQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1387),
    [anon_sym_nullptr] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1390),
    [anon_sym_decltype] = ACTIONS(1393),
    [anon_sym_explicit] = ACTIONS(1248),
    [anon_sym_typename] = ACTIONS(1396),
    [anon_sym_template] = ACTIONS(1399),
    [anon_sym_operator] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1481),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_throw] = ACTIONS(1484),
    [anon_sym_namespace] = ACTIONS(1248),
    [anon_sym_using] = ACTIONS(1248),
    [anon_sym_static_assert] = ACTIONS(1248),
    [anon_sym_concept] = ACTIONS(1248),
    [anon_sym_co_return] = ACTIONS(1487),
    [anon_sym_co_yield] = ACTIONS(1490),
    [anon_sym_R_DQUOTE] = ACTIONS(1417),
    [anon_sym_LR_DQUOTE] = ACTIONS(1417),
    [anon_sym_uR_DQUOTE] = ACTIONS(1417),
    [anon_sym_UR_DQUOTE] = ACTIONS(1417),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1417),
    [anon_sym_co_await] = ACTIONS(1420),
    [anon_sym_new] = ACTIONS(1423),
    [anon_sym_requires] = ACTIONS(1426),
    [sym_this] = ACTIONS(1384),
  },
  [88] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5164),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(1493),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1496),
    [anon_sym___extension__] = ACTIONS(1499),
    [anon_sym_typedef] = ACTIONS(1502),
    [anon_sym_virtual] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_COLON_COLON] = ACTIONS(1285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___based] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_signed] = ACTIONS(1297),
    [anon_sym_unsigned] = ACTIONS(1297),
    [anon_sym_long] = ACTIONS(1297),
    [anon_sym_short] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym__Nonnull] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_constinit] = ACTIONS(1303),
    [anon_sym_consteval] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1306),
    [anon_sym__Alignas] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1511),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1514),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1523),
    [anon_sym_break] = ACTIONS(1526),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_goto] = ACTIONS(1532),
    [anon_sym___try] = ACTIONS(1535),
    [anon_sym___leave] = ACTIONS(1538),
    [anon_sym_not] = ACTIONS(1256),
    [anon_sym_compl] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1357),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1363),
    [anon_sym___alignof] = ACTIONS(1363),
    [anon_sym__alignof] = ACTIONS(1363),
    [anon_sym_alignof] = ACTIONS(1363),
    [anon_sym__Alignof] = ACTIONS(1363),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1369),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1375),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1381),
    [anon_sym_u_DQUOTE] = ACTIONS(1381),
    [anon_sym_U_DQUOTE] = ACTIONS(1381),
    [anon_sym_u8_DQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1387),
    [anon_sym_nullptr] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1390),
    [anon_sym_decltype] = ACTIONS(1393),
    [anon_sym_explicit] = ACTIONS(1248),
    [anon_sym_typename] = ACTIONS(1396),
    [anon_sym_template] = ACTIONS(1399),
    [anon_sym_operator] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_throw] = ACTIONS(1544),
    [anon_sym_namespace] = ACTIONS(1248),
    [anon_sym_using] = ACTIONS(1248),
    [anon_sym_static_assert] = ACTIONS(1248),
    [anon_sym_concept] = ACTIONS(1248),
    [anon_sym_co_return] = ACTIONS(1547),
    [anon_sym_co_yield] = ACTIONS(1550),
    [anon_sym_R_DQUOTE] = ACTIONS(1417),
    [anon_sym_LR_DQUOTE] = ACTIONS(1417),
    [anon_sym_uR_DQUOTE] = ACTIONS(1417),
    [anon_sym_UR_DQUOTE] = ACTIONS(1417),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1417),
    [anon_sym_co_await] = ACTIONS(1420),
    [anon_sym_new] = ACTIONS(1423),
    [anon_sym_requires] = ACTIONS(1426),
    [sym_this] = ACTIONS(1384),
  },
  [89] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5225),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [ts_builtin_sym_end] = ACTIONS(1431),
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1429),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_using] = ACTIONS(1429),
    [anon_sym_static_assert] = ACTIONS(1429),
    [anon_sym_concept] = ACTIONS(1429),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [90] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5225),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [ts_builtin_sym_end] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1241),
    [aux_sym_preproc_def_token1] = ACTIONS(1241),
    [aux_sym_preproc_if_token1] = ACTIONS(1241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1241),
    [sym_preproc_directive] = ACTIONS(1241),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1241),
    [anon_sym___cdecl] = ACTIONS(1241),
    [anon_sym___clrcall] = ACTIONS(1241),
    [anon_sym___stdcall] = ACTIONS(1241),
    [anon_sym___fastcall] = ACTIONS(1241),
    [anon_sym___thiscall] = ACTIONS(1241),
    [anon_sym___vectorcall] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1241),
    [anon_sym_default] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1241),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(1241),
    [anon_sym_static_assert] = ACTIONS(1241),
    [anon_sym_concept] = ACTIONS(1241),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [91] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5225),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_identifier] = ACTIONS(1563),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1566),
    [anon_sym___extension__] = ACTIONS(1569),
    [anon_sym_typedef] = ACTIONS(1572),
    [anon_sym_virtual] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_COLON_COLON] = ACTIONS(1285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___based] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_signed] = ACTIONS(1297),
    [anon_sym_unsigned] = ACTIONS(1297),
    [anon_sym_long] = ACTIONS(1297),
    [anon_sym_short] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym__Nonnull] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_constinit] = ACTIONS(1303),
    [anon_sym_consteval] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1306),
    [anon_sym__Alignas] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1584),
    [anon_sym_do] = ACTIONS(1587),
    [anon_sym_for] = ACTIONS(1590),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1596),
    [anon_sym_continue] = ACTIONS(1599),
    [anon_sym_goto] = ACTIONS(1602),
    [anon_sym___try] = ACTIONS(1605),
    [anon_sym___leave] = ACTIONS(1608),
    [anon_sym_not] = ACTIONS(1256),
    [anon_sym_compl] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1357),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1363),
    [anon_sym___alignof] = ACTIONS(1363),
    [anon_sym__alignof] = ACTIONS(1363),
    [anon_sym_alignof] = ACTIONS(1363),
    [anon_sym__Alignof] = ACTIONS(1363),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1369),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1375),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1381),
    [anon_sym_u_DQUOTE] = ACTIONS(1381),
    [anon_sym_U_DQUOTE] = ACTIONS(1381),
    [anon_sym_u8_DQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1387),
    [anon_sym_nullptr] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1390),
    [anon_sym_decltype] = ACTIONS(1393),
    [anon_sym_explicit] = ACTIONS(1248),
    [anon_sym_typename] = ACTIONS(1396),
    [anon_sym_template] = ACTIONS(1399),
    [anon_sym_operator] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1611),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_throw] = ACTIONS(1614),
    [anon_sym_namespace] = ACTIONS(1248),
    [anon_sym_using] = ACTIONS(1248),
    [anon_sym_static_assert] = ACTIONS(1248),
    [anon_sym_concept] = ACTIONS(1248),
    [anon_sym_co_return] = ACTIONS(1617),
    [anon_sym_co_yield] = ACTIONS(1620),
    [anon_sym_R_DQUOTE] = ACTIONS(1417),
    [anon_sym_LR_DQUOTE] = ACTIONS(1417),
    [anon_sym_uR_DQUOTE] = ACTIONS(1417),
    [anon_sym_UR_DQUOTE] = ACTIONS(1417),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1417),
    [anon_sym_co_await] = ACTIONS(1420),
    [anon_sym_new] = ACTIONS(1423),
    [anon_sym_requires] = ACTIONS(1426),
    [sym_this] = ACTIONS(1384),
  },
  [92] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5157),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1237),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1625),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1237),
    [anon_sym___cdecl] = ACTIONS(1237),
    [anon_sym___clrcall] = ACTIONS(1237),
    [anon_sym___stdcall] = ACTIONS(1237),
    [anon_sym___fastcall] = ACTIONS(1237),
    [anon_sym___thiscall] = ACTIONS(1237),
    [anon_sym___vectorcall] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1237),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_using] = ACTIONS(1237),
    [anon_sym_static_assert] = ACTIONS(1237),
    [anon_sym_concept] = ACTIONS(1237),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [93] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5157),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1241),
    [aux_sym_preproc_def_token1] = ACTIONS(1241),
    [aux_sym_preproc_if_token1] = ACTIONS(1241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1241),
    [sym_preproc_directive] = ACTIONS(1241),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1625),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1241),
    [anon_sym___cdecl] = ACTIONS(1241),
    [anon_sym___clrcall] = ACTIONS(1241),
    [anon_sym___stdcall] = ACTIONS(1241),
    [anon_sym___fastcall] = ACTIONS(1241),
    [anon_sym___thiscall] = ACTIONS(1241),
    [anon_sym___vectorcall] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1241),
    [anon_sym_default] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1241),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(1241),
    [anon_sym_static_assert] = ACTIONS(1241),
    [anon_sym_concept] = ACTIONS(1241),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [94] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5157),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1625),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1429),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_using] = ACTIONS(1429),
    [anon_sym_static_assert] = ACTIONS(1429),
    [anon_sym_concept] = ACTIONS(1429),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [95] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5164),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token2] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(1629),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1429),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_using] = ACTIONS(1429),
    [anon_sym_static_assert] = ACTIONS(1429),
    [anon_sym_concept] = ACTIONS(1429),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [96] = {
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5157),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(93),
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1217),
    [aux_sym_preproc_def_token1] = ACTIONS(1217),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1217),
    [sym_preproc_directive] = ACTIONS(1217),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1625),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1217),
    [anon_sym___cdecl] = ACTIONS(1217),
    [anon_sym___clrcall] = ACTIONS(1217),
    [anon_sym___stdcall] = ACTIONS(1217),
    [anon_sym___fastcall] = ACTIONS(1217),
    [anon_sym___thiscall] = ACTIONS(1217),
    [anon_sym___vectorcall] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1217),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(1217),
    [anon_sym_static_assert] = ACTIONS(1217),
    [anon_sym_concept] = ACTIONS(1217),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [97] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5225),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [ts_builtin_sym_end] = ACTIONS(1223),
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1217),
    [aux_sym_preproc_def_token1] = ACTIONS(1217),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1217),
    [sym_preproc_directive] = ACTIONS(1217),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1217),
    [anon_sym___cdecl] = ACTIONS(1217),
    [anon_sym___clrcall] = ACTIONS(1217),
    [anon_sym___stdcall] = ACTIONS(1217),
    [anon_sym___fastcall] = ACTIONS(1217),
    [anon_sym___thiscall] = ACTIONS(1217),
    [anon_sym___vectorcall] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1217),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(1217),
    [anon_sym_static_assert] = ACTIONS(1217),
    [anon_sym_concept] = ACTIONS(1217),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [98] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5164),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1217),
    [aux_sym_preproc_def_token1] = ACTIONS(1217),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_if_token2] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1217),
    [sym_preproc_directive] = ACTIONS(1217),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(1629),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1217),
    [anon_sym___cdecl] = ACTIONS(1217),
    [anon_sym___clrcall] = ACTIONS(1217),
    [anon_sym___stdcall] = ACTIONS(1217),
    [anon_sym___fastcall] = ACTIONS(1217),
    [anon_sym___thiscall] = ACTIONS(1217),
    [anon_sym___vectorcall] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1217),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(1217),
    [anon_sym_using] = ACTIONS(1217),
    [anon_sym_static_assert] = ACTIONS(1217),
    [anon_sym_concept] = ACTIONS(1217),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [99] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5225),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1237),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1237),
    [anon_sym___cdecl] = ACTIONS(1237),
    [anon_sym___clrcall] = ACTIONS(1237),
    [anon_sym___stdcall] = ACTIONS(1237),
    [anon_sym___fastcall] = ACTIONS(1237),
    [anon_sym___thiscall] = ACTIONS(1237),
    [anon_sym___vectorcall] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1237),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_using] = ACTIONS(1237),
    [anon_sym_static_assert] = ACTIONS(1237),
    [anon_sym_concept] = ACTIONS(1237),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [100] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5164),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token2] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1237),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(1629),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1237),
    [anon_sym___cdecl] = ACTIONS(1237),
    [anon_sym___clrcall] = ACTIONS(1237),
    [anon_sym___stdcall] = ACTIONS(1237),
    [anon_sym___fastcall] = ACTIONS(1237),
    [anon_sym___thiscall] = ACTIONS(1237),
    [anon_sym___vectorcall] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1237),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_using] = ACTIONS(1237),
    [anon_sym_static_assert] = ACTIONS(1237),
    [anon_sym_concept] = ACTIONS(1237),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [101] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5164),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1241),
    [aux_sym_preproc_def_token1] = ACTIONS(1241),
    [aux_sym_preproc_if_token1] = ACTIONS(1241),
    [aux_sym_preproc_if_token2] = ACTIONS(1241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1241),
    [sym_preproc_directive] = ACTIONS(1241),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(1629),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1241),
    [anon_sym___cdecl] = ACTIONS(1241),
    [anon_sym___clrcall] = ACTIONS(1241),
    [anon_sym___stdcall] = ACTIONS(1241),
    [anon_sym___fastcall] = ACTIONS(1241),
    [anon_sym___thiscall] = ACTIONS(1241),
    [anon_sym___vectorcall] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(1241),
    [anon_sym_default] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1241),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(1241),
    [anon_sym_static_assert] = ACTIONS(1241),
    [anon_sym_concept] = ACTIONS(1241),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [102] = {
    [sym_declaration] = STATE(506),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5157),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(506),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4307),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7635),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [103] = {
    [sym_declaration] = STATE(506),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5157),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(506),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [104] = {
    [sym_declaration] = STATE(501),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5164),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(516),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(501),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [105] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5215),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1637),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [106] = {
    [sym_declaration] = STATE(539),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5225),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(511),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(539),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1673),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [107] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5215),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1637),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [108] = {
    [sym_declaration] = STATE(539),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5225),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(424),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(539),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [109] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5215),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1637),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [110] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5215),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1637),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [111] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5215),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym___extension__] = ACTIONS(1693),
    [anon_sym_typedef] = ACTIONS(1696),
    [anon_sym_virtual] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_COLON_COLON] = ACTIONS(1285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1699),
    [anon_sym_signed] = ACTIONS(1297),
    [anon_sym_unsigned] = ACTIONS(1297),
    [anon_sym_long] = ACTIONS(1297),
    [anon_sym_short] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym__Nonnull] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_constinit] = ACTIONS(1303),
    [anon_sym_consteval] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1306),
    [anon_sym__Alignas] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_do] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_return] = ACTIONS(1717),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_continue] = ACTIONS(1723),
    [anon_sym_goto] = ACTIONS(1726),
    [anon_sym___try] = ACTIONS(1729),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(1256),
    [anon_sym_compl] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1357),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1363),
    [anon_sym___alignof] = ACTIONS(1363),
    [anon_sym__alignof] = ACTIONS(1363),
    [anon_sym_alignof] = ACTIONS(1363),
    [anon_sym__Alignof] = ACTIONS(1363),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1369),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1375),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1381),
    [anon_sym_u_DQUOTE] = ACTIONS(1381),
    [anon_sym_U_DQUOTE] = ACTIONS(1381),
    [anon_sym_u8_DQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1387),
    [anon_sym_nullptr] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1390),
    [anon_sym_decltype] = ACTIONS(1393),
    [anon_sym_typename] = ACTIONS(1396),
    [anon_sym_template] = ACTIONS(1399),
    [anon_sym_try] = ACTIONS(1735),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_throw] = ACTIONS(1738),
    [anon_sym_co_return] = ACTIONS(1741),
    [anon_sym_co_yield] = ACTIONS(1744),
    [anon_sym_R_DQUOTE] = ACTIONS(1417),
    [anon_sym_LR_DQUOTE] = ACTIONS(1417),
    [anon_sym_uR_DQUOTE] = ACTIONS(1417),
    [anon_sym_UR_DQUOTE] = ACTIONS(1417),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1417),
    [anon_sym_co_await] = ACTIONS(1420),
    [anon_sym_new] = ACTIONS(1423),
    [anon_sym_requires] = ACTIONS(1426),
    [sym_this] = ACTIONS(1384),
  },
  [112] = {
    [sym_declaration] = STATE(906),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5215),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(879),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(906),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [113] = {
    [sym_declaration] = STATE(255),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5184),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(884),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(255),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [114] = {
    [sym_declaration] = STATE(283),
    [sym_type_definition] = STATE(4042),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5221),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_expression_statement] = STATE(4042),
    [sym__for_statement_body] = STATE(8344),
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8049),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_alias_declaration] = STATE(4042),
    [sym__for_range_loop_body] = STATE(8234),
    [sym_init_statement] = STATE(1904),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym___extension__] = ACTIONS(1751),
    [anon_sym_typedef] = ACTIONS(1753),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1757),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [115] = {
    [sym_declaration] = STATE(283),
    [sym_type_definition] = STATE(4042),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5221),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_expression_statement] = STATE(4042),
    [sym__for_statement_body] = STATE(7951),
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8049),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_alias_declaration] = STATE(4042),
    [sym__for_range_loop_body] = STATE(7952),
    [sym_init_statement] = STATE(1904),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym___extension__] = ACTIONS(1751),
    [anon_sym_typedef] = ACTIONS(1753),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1757),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [116] = {
    [sym_declaration] = STATE(283),
    [sym_type_definition] = STATE(4042),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5221),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_expression_statement] = STATE(4042),
    [sym__for_statement_body] = STATE(8411),
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8049),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_alias_declaration] = STATE(4042),
    [sym__for_range_loop_body] = STATE(8439),
    [sym_init_statement] = STATE(1904),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym___extension__] = ACTIONS(1751),
    [anon_sym_typedef] = ACTIONS(1753),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1757),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [117] = {
    [sym_declaration] = STATE(283),
    [sym_type_definition] = STATE(4042),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5221),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_expression_statement] = STATE(4042),
    [sym__for_statement_body] = STATE(8560),
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8049),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_alias_declaration] = STATE(4042),
    [sym__for_range_loop_body] = STATE(8579),
    [sym_init_statement] = STATE(1904),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym___extension__] = ACTIONS(1751),
    [anon_sym_typedef] = ACTIONS(1753),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1757),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [118] = {
    [sym_declaration] = STATE(283),
    [sym_type_definition] = STATE(4042),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5221),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_expression_statement] = STATE(4042),
    [sym__for_statement_body] = STATE(7957),
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8049),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_alias_declaration] = STATE(4042),
    [sym__for_range_loop_body] = STATE(7959),
    [sym_init_statement] = STATE(1904),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym___extension__] = ACTIONS(1751),
    [anon_sym_typedef] = ACTIONS(1753),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1757),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [119] = {
    [sym_declaration] = STATE(283),
    [sym_type_definition] = STATE(4042),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5221),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_expression_statement] = STATE(4042),
    [sym__for_statement_body] = STATE(8639),
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8049),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_alias_declaration] = STATE(4042),
    [sym__for_range_loop_body] = STATE(8643),
    [sym_init_statement] = STATE(1904),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym___extension__] = ACTIONS(1751),
    [anon_sym_typedef] = ACTIONS(1753),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1757),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [120] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(5266),
    [sym__declarator] = STATE(6616),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(7935),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3173),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5635),
    [sym_qualified_identifier] = STATE(3182),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1763),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1779),
    [anon_sym___clrcall] = ACTIONS(1779),
    [anon_sym___stdcall] = ACTIONS(1779),
    [anon_sym___fastcall] = ACTIONS(1779),
    [anon_sym___thiscall] = ACTIONS(1779),
    [anon_sym___vectorcall] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [121] = {
    [sym_declaration] = STATE(1513),
    [sym_type_definition] = STATE(1513),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5197),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_expression_statement] = STATE(1513),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7642),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_alias_declaration] = STATE(1513),
    [sym_init_statement] = STATE(131),
    [sym_condition_declaration] = STATE(8693),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1637),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [122] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(5266),
    [sym__declarator] = STATE(6616),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(8212),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2928),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8212),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8221),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3173),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8228),
    [sym__unary_right_fold] = STATE(8235),
    [sym__binary_fold] = STATE(8240),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5635),
    [sym_qualified_identifier] = STATE(3182),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8244),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1763),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1779),
    [anon_sym___clrcall] = ACTIONS(1779),
    [anon_sym___stdcall] = ACTIONS(1779),
    [anon_sym___fastcall] = ACTIONS(1779),
    [anon_sym___thiscall] = ACTIONS(1779),
    [anon_sym___vectorcall] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [123] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(5266),
    [sym__declarator] = STATE(6616),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8288),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3173),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5635),
    [sym_qualified_identifier] = STATE(3182),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1763),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1779),
    [anon_sym___clrcall] = ACTIONS(1779),
    [anon_sym___stdcall] = ACTIONS(1779),
    [anon_sym___fastcall] = ACTIONS(1779),
    [anon_sym___thiscall] = ACTIONS(1779),
    [anon_sym___vectorcall] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_compound_statement] = STATE(7136),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7367),
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7136),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7367),
    [sym_variadic_parameter_declaration] = STATE(7367),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5629),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1841),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [125] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7295),
    [sym_expression] = STATE(3306),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7582),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7295),
    [sym_variadic_parameter_declaration] = STATE(7295),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8303),
    [sym__unary_right_fold] = STATE(8304),
    [sym__binary_fold] = STATE(8306),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5627),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3314),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1869),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1873),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [126] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7295),
    [sym_expression] = STATE(3301),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7582),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7295),
    [sym_variadic_parameter_declaration] = STATE(7295),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5627),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3314),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1869),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1873),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [127] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7295),
    [sym_expression] = STATE(3295),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7582),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7295),
    [sym_variadic_parameter_declaration] = STATE(7295),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8204),
    [sym__unary_right_fold] = STATE(8208),
    [sym__binary_fold] = STATE(8210),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5627),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3314),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1869),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1873),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [128] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7295),
    [sym_expression] = STATE(3280),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7582),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7295),
    [sym_variadic_parameter_declaration] = STATE(7295),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5627),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3314),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1869),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1873),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [129] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7295),
    [sym_expression] = STATE(3224),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7582),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7295),
    [sym_variadic_parameter_declaration] = STATE(7295),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8228),
    [sym__unary_right_fold] = STATE(8235),
    [sym__binary_fold] = STATE(8240),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5627),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3314),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1869),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1873),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [130] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7295),
    [sym_expression] = STATE(3300),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7582),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7295),
    [sym_variadic_parameter_declaration] = STATE(7295),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(7870),
    [sym__unary_right_fold] = STATE(7906),
    [sym__binary_fold] = STATE(7920),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5627),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3314),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1869),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1873),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [131] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5276),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_expression] = STATE(4408),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7881),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3009),
    [sym_template_function] = STATE(3794),
    [sym_condition_declaration] = STATE(7881),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5622),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(3021),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [132] = {
    [ts_builtin_sym_end] = ACTIONS(1907),
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(1907),
    [anon_sym_RPAREN] = ACTIONS(1907),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_PIPE_PIPE] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___except] = ACTIONS(1909),
    [anon_sym___finally] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_or] = ACTIONS(1909),
    [anon_sym_and] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_final] = ACTIONS(1909),
    [anon_sym_override] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_GT2] = ACTIONS(1907),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_catch] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1911),
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_include_token1] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1911),
    [anon_sym_RPAREN] = ACTIONS(1911),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_PIPE_PIPE] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1911),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___except] = ACTIONS(1913),
    [anon_sym___finally] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1911),
    [anon_sym_L_SQUOTE] = ACTIONS(1911),
    [anon_sym_u_SQUOTE] = ACTIONS(1911),
    [anon_sym_U_SQUOTE] = ACTIONS(1911),
    [anon_sym_u8_SQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [anon_sym_L_DQUOTE] = ACTIONS(1911),
    [anon_sym_u_DQUOTE] = ACTIONS(1911),
    [anon_sym_U_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8_DQUOTE] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_final] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_GT2] = ACTIONS(1911),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_catch] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1911),
    [anon_sym_LR_DQUOTE] = ACTIONS(1911),
    [anon_sym_uR_DQUOTE] = ACTIONS(1911),
    [anon_sym_UR_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1911),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
  },
  [134] = {
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_initializer_list] = STATE(2417),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [aux_sym_preproc_if_token2] = ACTIONS(1917),
    [aux_sym_preproc_else_token1] = ACTIONS(1917),
    [aux_sym_preproc_elif_token1] = ACTIONS(1915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1915),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_STAR_EQ] = ACTIONS(1917),
    [anon_sym_SLASH_EQ] = ACTIONS(1917),
    [anon_sym_PERCENT_EQ] = ACTIONS(1917),
    [anon_sym_PLUS_EQ] = ACTIONS(1917),
    [anon_sym_DASH_EQ] = ACTIONS(1917),
    [anon_sym_LT_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_GT_EQ] = ACTIONS(1917),
    [anon_sym_AMP_EQ] = ACTIONS(1917),
    [anon_sym_CARET_EQ] = ACTIONS(1917),
    [anon_sym_PIPE_EQ] = ACTIONS(1917),
    [anon_sym_and_eq] = ACTIONS(1915),
    [anon_sym_or_eq] = ACTIONS(1915),
    [anon_sym_xor_eq] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [135] = {
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_initializer_list] = STATE(2417),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_RPAREN] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_RBRACK] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1915),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_STAR_EQ] = ACTIONS(1917),
    [anon_sym_SLASH_EQ] = ACTIONS(1917),
    [anon_sym_PERCENT_EQ] = ACTIONS(1917),
    [anon_sym_PLUS_EQ] = ACTIONS(1917),
    [anon_sym_DASH_EQ] = ACTIONS(1917),
    [anon_sym_LT_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_GT_EQ] = ACTIONS(1917),
    [anon_sym_AMP_EQ] = ACTIONS(1917),
    [anon_sym_CARET_EQ] = ACTIONS(1917),
    [anon_sym_PIPE_EQ] = ACTIONS(1917),
    [anon_sym_and_eq] = ACTIONS(1915),
    [anon_sym_or_eq] = ACTIONS(1915),
    [anon_sym_xor_eq] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [136] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8549),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [137] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8420),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [138] = {
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_initializer_list] = STATE(2417),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1997),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym___attribute__] = ACTIONS(1915),
    [anon_sym___attribute] = ACTIONS(1915),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1915),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_STAR_EQ] = ACTIONS(1917),
    [anon_sym_SLASH_EQ] = ACTIONS(1917),
    [anon_sym_PERCENT_EQ] = ACTIONS(1917),
    [anon_sym_PLUS_EQ] = ACTIONS(1917),
    [anon_sym_DASH_EQ] = ACTIONS(1917),
    [anon_sym_LT_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_GT_EQ] = ACTIONS(1917),
    [anon_sym_AMP_EQ] = ACTIONS(1917),
    [anon_sym_CARET_EQ] = ACTIONS(1917),
    [anon_sym_PIPE_EQ] = ACTIONS(1917),
    [anon_sym_and_eq] = ACTIONS(1915),
    [anon_sym_or_eq] = ACTIONS(1915),
    [anon_sym_xor_eq] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [139] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(7935),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [140] = {
    [sym_compound_statement] = STATE(8212),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2928),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8212),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8221),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8228),
    [sym__unary_right_fold] = STATE(8235),
    [sym__binary_fold] = STATE(8240),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8244),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [141] = {
    [sym_compound_statement] = STATE(8212),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2928),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8212),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8478),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8228),
    [sym__unary_right_fold] = STATE(8235),
    [sym__binary_fold] = STATE(8240),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8244),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [142] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8288),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [143] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8585),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [144] = {
    [sym_compound_statement] = STATE(8266),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2886),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8266),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8302),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8303),
    [sym__unary_right_fold] = STATE(8304),
    [sym__binary_fold] = STATE(8306),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8340),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [145] = {
    [sym_compound_statement] = STATE(8266),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2886),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8266),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(7847),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8303),
    [sym__unary_right_fold] = STATE(8304),
    [sym__binary_fold] = STATE(8306),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8340),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [146] = {
    [sym_compound_statement] = STATE(8212),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2928),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8212),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8203),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8204),
    [sym__unary_right_fold] = STATE(8208),
    [sym__binary_fold] = STATE(8210),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8244),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [147] = {
    [sym_compound_statement] = STATE(8212),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2928),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8212),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8385),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8204),
    [sym__unary_right_fold] = STATE(8208),
    [sym__binary_fold] = STATE(8210),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8244),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [148] = {
    [sym_compound_statement] = STATE(8266),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2886),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8266),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8683),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(7870),
    [sym__unary_right_fold] = STATE(7906),
    [sym__binary_fold] = STATE(7920),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8340),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [149] = {
    [sym_compound_statement] = STATE(8266),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2886),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8266),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8331),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(7870),
    [sym__unary_right_fold] = STATE(7906),
    [sym__binary_fold] = STATE(7920),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8340),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [150] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(7896),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [151] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(7956),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [152] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8011),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [153] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8679),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [154] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8294),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [155] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8161),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [156] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8563),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [157] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8211),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [158] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(7963),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [159] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8406),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [160] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8247),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [161] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8587),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [162] = {
    [sym_compound_statement] = STATE(8592),
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(2854),
    [sym__string] = STATE(3232),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_type_descriptor] = STATE(8375),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7549),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5743),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(1775),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1785),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(515),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(174),
    [sym_compound_statement] = STATE(424),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(528),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(174),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(535),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2027),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(480),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2027),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(536),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2027),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [168] = {
    [sym_expression] = STATE(3107),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_initializer_list] = STATE(3474),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_RPAREN] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1915),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_STAR_EQ] = ACTIONS(1917),
    [anon_sym_SLASH_EQ] = ACTIONS(1917),
    [anon_sym_PERCENT_EQ] = ACTIONS(1917),
    [anon_sym_PLUS_EQ] = ACTIONS(1917),
    [anon_sym_DASH_EQ] = ACTIONS(1917),
    [anon_sym_LT_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_GT_EQ] = ACTIONS(1917),
    [anon_sym_AMP_EQ] = ACTIONS(1917),
    [anon_sym_CARET_EQ] = ACTIONS(1917),
    [anon_sym_PIPE_EQ] = ACTIONS(1917),
    [anon_sym_and_eq] = ACTIONS(1915),
    [anon_sym_or_eq] = ACTIONS(1915),
    [anon_sym_xor_eq] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1917),
    [sym_this] = ACTIONS(1813),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(227),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(252),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(242),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(2042),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2048),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2054),
    [anon_sym___extension__] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(2060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2066),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2075),
    [anon_sym_switch] = ACTIONS(2078),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2084),
    [anon_sym_while] = ACTIONS(2087),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2099),
    [anon_sym_continue] = ACTIONS(2102),
    [anon_sym_goto] = ACTIONS(2105),
    [anon_sym___try] = ACTIONS(2108),
    [anon_sym___leave] = ACTIONS(2111),
    [anon_sym_not] = ACTIONS(2048),
    [anon_sym_compl] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2114),
    [anon_sym_PLUS_PLUS] = ACTIONS(2114),
    [anon_sym_sizeof] = ACTIONS(2117),
    [anon_sym___alignof__] = ACTIONS(2120),
    [anon_sym___alignof] = ACTIONS(2120),
    [anon_sym__alignof] = ACTIONS(2120),
    [anon_sym_alignof] = ACTIONS(2120),
    [anon_sym__Alignof] = ACTIONS(2120),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2129),
    [anon_sym___asm__] = ACTIONS(2129),
    [anon_sym___asm] = ACTIONS(2129),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2135),
    [anon_sym_u_SQUOTE] = ACTIONS(2135),
    [anon_sym_U_SQUOTE] = ACTIONS(2135),
    [anon_sym_u8_SQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_L_DQUOTE] = ACTIONS(2138),
    [anon_sym_u_DQUOTE] = ACTIONS(2138),
    [anon_sym_U_DQUOTE] = ACTIONS(2138),
    [anon_sym_u8_DQUOTE] = ACTIONS(2138),
    [anon_sym_DQUOTE] = ACTIONS(2138),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [anon_sym_NULL] = ACTIONS(2144),
    [anon_sym_nullptr] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_co_return] = ACTIONS(2162),
    [anon_sym_co_yield] = ACTIONS(2165),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2141),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(164),
    [sym_compound_statement] = STATE(424),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(432),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(231),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(174),
    [sym_compound_statement] = STATE(424),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(528),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(174),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2042),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2048),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym___extension__] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(2060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_case] = ACTIONS(2195),
    [anon_sym_default] = ACTIONS(2198),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2207),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_goto] = ACTIONS(2219),
    [anon_sym___try] = ACTIONS(2222),
    [anon_sym___leave] = ACTIONS(2225),
    [anon_sym_not] = ACTIONS(2048),
    [anon_sym_compl] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2114),
    [anon_sym_PLUS_PLUS] = ACTIONS(2114),
    [anon_sym_sizeof] = ACTIONS(2117),
    [anon_sym___alignof__] = ACTIONS(2120),
    [anon_sym___alignof] = ACTIONS(2120),
    [anon_sym__alignof] = ACTIONS(2120),
    [anon_sym_alignof] = ACTIONS(2120),
    [anon_sym__Alignof] = ACTIONS(2120),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2129),
    [anon_sym___asm__] = ACTIONS(2129),
    [anon_sym___asm] = ACTIONS(2129),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2135),
    [anon_sym_u_SQUOTE] = ACTIONS(2135),
    [anon_sym_U_SQUOTE] = ACTIONS(2135),
    [anon_sym_u8_SQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_L_DQUOTE] = ACTIONS(2138),
    [anon_sym_u_DQUOTE] = ACTIONS(2138),
    [anon_sym_U_DQUOTE] = ACTIONS(2138),
    [anon_sym_u8_DQUOTE] = ACTIONS(2138),
    [anon_sym_DQUOTE] = ACTIONS(2138),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [anon_sym_NULL] = ACTIONS(2144),
    [anon_sym_nullptr] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_throw] = ACTIONS(2231),
    [anon_sym_co_return] = ACTIONS(2234),
    [anon_sym_co_yield] = ACTIONS(2237),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2141),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(164),
    [sym_compound_statement] = STATE(424),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(434),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(249),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(236),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(237),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(7230),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(532),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2027),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(528),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2042),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2048),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2243),
    [anon_sym___extension__] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(2060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2192),
    [anon_sym_case] = ACTIONS(2249),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2255),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_goto] = ACTIONS(2219),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2048),
    [anon_sym_compl] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2114),
    [anon_sym_PLUS_PLUS] = ACTIONS(2114),
    [anon_sym_sizeof] = ACTIONS(2117),
    [anon_sym___alignof__] = ACTIONS(2120),
    [anon_sym___alignof] = ACTIONS(2120),
    [anon_sym__alignof] = ACTIONS(2120),
    [anon_sym_alignof] = ACTIONS(2120),
    [anon_sym__Alignof] = ACTIONS(2120),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2129),
    [anon_sym___asm__] = ACTIONS(2129),
    [anon_sym___asm] = ACTIONS(2129),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2135),
    [anon_sym_u_SQUOTE] = ACTIONS(2135),
    [anon_sym_U_SQUOTE] = ACTIONS(2135),
    [anon_sym_u8_SQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_L_DQUOTE] = ACTIONS(2138),
    [anon_sym_u_DQUOTE] = ACTIONS(2138),
    [anon_sym_U_DQUOTE] = ACTIONS(2138),
    [anon_sym_u8_DQUOTE] = ACTIONS(2138),
    [anon_sym_DQUOTE] = ACTIONS(2138),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [anon_sym_NULL] = ACTIONS(2144),
    [anon_sym_nullptr] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2228),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_throw] = ACTIONS(2231),
    [anon_sym_co_return] = ACTIONS(2234),
    [anon_sym_co_yield] = ACTIONS(2237),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2141),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(7174),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(432),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(434),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(436),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(164),
    [sym_compound_statement] = STATE(424),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(436),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(8436),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(164),
    [sym_compound_statement] = STATE(424),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(400),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(516),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(418),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(516),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(489),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(516),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(456),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2269),
    [anon_sym_LPAREN2] = ACTIONS(2042),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2048),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym___extension__] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(2060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_switch] = ACTIONS(2281),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2290),
    [anon_sym_do] = ACTIONS(2293),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2299),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2305),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2311),
    [anon_sym___leave] = ACTIONS(2314),
    [anon_sym_not] = ACTIONS(2048),
    [anon_sym_compl] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2114),
    [anon_sym_PLUS_PLUS] = ACTIONS(2114),
    [anon_sym_sizeof] = ACTIONS(2117),
    [anon_sym___alignof__] = ACTIONS(2120),
    [anon_sym___alignof] = ACTIONS(2120),
    [anon_sym__alignof] = ACTIONS(2120),
    [anon_sym_alignof] = ACTIONS(2120),
    [anon_sym__Alignof] = ACTIONS(2120),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2129),
    [anon_sym___asm__] = ACTIONS(2129),
    [anon_sym___asm] = ACTIONS(2129),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2135),
    [anon_sym_u_SQUOTE] = ACTIONS(2135),
    [anon_sym_U_SQUOTE] = ACTIONS(2135),
    [anon_sym_u8_SQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_L_DQUOTE] = ACTIONS(2138),
    [anon_sym_u_DQUOTE] = ACTIONS(2138),
    [anon_sym_U_DQUOTE] = ACTIONS(2138),
    [anon_sym_u8_DQUOTE] = ACTIONS(2138),
    [anon_sym_DQUOTE] = ACTIONS(2138),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [anon_sym_NULL] = ACTIONS(2144),
    [anon_sym_nullptr] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_throw] = ACTIONS(2320),
    [anon_sym_co_return] = ACTIONS(2323),
    [anon_sym_co_yield] = ACTIONS(2326),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2141),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(516),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(403),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(164),
    [sym_compound_statement] = STATE(424),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(515),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(516),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(442),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(516),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(445),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(516),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(446),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(242),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8615),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(8453),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(207),
    [sym_compound_statement] = STATE(879),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(868),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(207),
    [sym_compound_statement] = STATE(879),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(912),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(201),
    [sym_compound_statement] = STATE(879),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(903),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_LPAREN2] = ACTIONS(2042),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2048),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2334),
    [anon_sym___extension__] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(2060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2340),
    [anon_sym_switch] = ACTIONS(2343),
    [anon_sym_case] = ACTIONS(2249),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2355),
    [anon_sym_break] = ACTIONS(2358),
    [anon_sym_continue] = ACTIONS(2361),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2367),
    [anon_sym___leave] = ACTIONS(2370),
    [anon_sym_not] = ACTIONS(2048),
    [anon_sym_compl] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2114),
    [anon_sym_PLUS_PLUS] = ACTIONS(2114),
    [anon_sym_sizeof] = ACTIONS(2117),
    [anon_sym___alignof__] = ACTIONS(2120),
    [anon_sym___alignof] = ACTIONS(2120),
    [anon_sym__alignof] = ACTIONS(2120),
    [anon_sym_alignof] = ACTIONS(2120),
    [anon_sym__Alignof] = ACTIONS(2120),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2129),
    [anon_sym___asm__] = ACTIONS(2129),
    [anon_sym___asm] = ACTIONS(2129),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2135),
    [anon_sym_u_SQUOTE] = ACTIONS(2135),
    [anon_sym_U_SQUOTE] = ACTIONS(2135),
    [anon_sym_u8_SQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_L_DQUOTE] = ACTIONS(2138),
    [anon_sym_u_DQUOTE] = ACTIONS(2138),
    [anon_sym_U_DQUOTE] = ACTIONS(2138),
    [anon_sym_u8_DQUOTE] = ACTIONS(2138),
    [anon_sym_DQUOTE] = ACTIONS(2138),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [anon_sym_NULL] = ACTIONS(2144),
    [anon_sym_nullptr] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2373),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2379),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2141),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(207),
    [sym_compound_statement] = STATE(879),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(866),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(207),
    [sym_compound_statement] = STATE(879),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(904),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(207),
    [sym_compound_statement] = STATE(879),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(898),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(207),
    [sym_compound_statement] = STATE(879),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(887),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(516),
    [sym_attributed_statement] = STATE(516),
    [sym_statement] = STATE(456),
    [sym_labeled_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_switch_statement] = STATE(516),
    [sym_case_statement] = STATE(516),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_seh_try_statement] = STATE(516),
    [sym_seh_leave_statement] = STATE(516),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(516),
    [sym_co_return_statement] = STATE(516),
    [sym_co_yield_statement] = STATE(516),
    [sym_throw_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(201),
    [sym_compound_statement] = STATE(879),
    [sym_attributed_statement] = STATE(879),
    [sym_statement] = STATE(903),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym_seh_try_statement] = STATE(879),
    [sym_seh_leave_statement] = STATE(879),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8388),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(879),
    [sym_co_return_statement] = STATE(879),
    [sym_co_yield_statement] = STATE(879),
    [sym_throw_statement] = STATE(879),
    [sym_try_statement] = STATE(879),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(201),
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1661),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1667),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1671),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(402),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2027),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(497),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2027),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(480),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_LPAREN2] = ACTIONS(2042),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2048),
    [anon_sym_STAR] = ACTIONS(2051),
    [anon_sym_AMP] = ACTIONS(2051),
    [anon_sym_SEMI] = ACTIONS(2243),
    [anon_sym___extension__] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(2060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [sym_primitive_type] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2391),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_do] = ACTIONS(2406),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2415),
    [anon_sym_continue] = ACTIONS(2418),
    [anon_sym_goto] = ACTIONS(2421),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2048),
    [anon_sym_compl] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2114),
    [anon_sym_PLUS_PLUS] = ACTIONS(2114),
    [anon_sym_sizeof] = ACTIONS(2117),
    [anon_sym___alignof__] = ACTIONS(2120),
    [anon_sym___alignof] = ACTIONS(2120),
    [anon_sym__alignof] = ACTIONS(2120),
    [anon_sym_alignof] = ACTIONS(2120),
    [anon_sym__Alignof] = ACTIONS(2120),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2126),
    [anon_sym_asm] = ACTIONS(2129),
    [anon_sym___asm__] = ACTIONS(2129),
    [anon_sym___asm] = ACTIONS(2129),
    [sym_number_literal] = ACTIONS(2132),
    [anon_sym_L_SQUOTE] = ACTIONS(2135),
    [anon_sym_u_SQUOTE] = ACTIONS(2135),
    [anon_sym_U_SQUOTE] = ACTIONS(2135),
    [anon_sym_u8_SQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [anon_sym_L_DQUOTE] = ACTIONS(2138),
    [anon_sym_u_DQUOTE] = ACTIONS(2138),
    [anon_sym_U_DQUOTE] = ACTIONS(2138),
    [anon_sym_u8_DQUOTE] = ACTIONS(2138),
    [anon_sym_DQUOTE] = ACTIONS(2138),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [anon_sym_NULL] = ACTIONS(2144),
    [anon_sym_nullptr] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2427),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_throw] = ACTIONS(2430),
    [anon_sym_co_return] = ACTIONS(2433),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2168),
    [anon_sym_LR_DQUOTE] = ACTIONS(2168),
    [anon_sym_uR_DQUOTE] = ACTIONS(2168),
    [anon_sym_UR_DQUOTE] = ACTIONS(2168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2168),
    [anon_sym_co_await] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2141),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(422),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2027),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(8457),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(164),
    [sym_compound_statement] = STATE(424),
    [sym_attributed_statement] = STATE(424),
    [sym_statement] = STATE(397),
    [sym_labeled_statement] = STATE(424),
    [sym_expression_statement] = STATE(424),
    [sym_if_statement] = STATE(424),
    [sym_switch_statement] = STATE(424),
    [sym_case_statement] = STATE(424),
    [sym_while_statement] = STATE(424),
    [sym_do_statement] = STATE(424),
    [sym_for_statement] = STATE(424),
    [sym_return_statement] = STATE(424),
    [sym_break_statement] = STATE(424),
    [sym_continue_statement] = STATE(424),
    [sym_goto_statement] = STATE(424),
    [sym_seh_try_statement] = STATE(424),
    [sym_seh_leave_statement] = STATE(424),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8363),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(424),
    [sym_co_return_statement] = STATE(424),
    [sym_co_yield_statement] = STATE(424),
    [sym_throw_statement] = STATE(424),
    [sym_try_statement] = STATE(424),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1559),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(8223),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(216),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(8410),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(216),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(511),
    [sym_statement] = STATE(528),
    [sym_labeled_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_goto_statement] = STATE(511),
    [sym_seh_try_statement] = STATE(511),
    [sym_seh_leave_statement] = STATE(511),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_for_range_loop] = STATE(511),
    [sym_co_return_statement] = STATE(511),
    [sym_co_yield_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2019),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1685),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [217] = {
    [sym_expression] = STATE(3268),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_initializer_list] = STATE(2417),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(2439),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1915),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_COLON] = ACTIONS(1915),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_STAR_EQ] = ACTIONS(1917),
    [anon_sym_SLASH_EQ] = ACTIONS(1917),
    [anon_sym_PERCENT_EQ] = ACTIONS(1917),
    [anon_sym_PLUS_EQ] = ACTIONS(1917),
    [anon_sym_DASH_EQ] = ACTIONS(1917),
    [anon_sym_LT_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_GT_EQ] = ACTIONS(1917),
    [anon_sym_AMP_EQ] = ACTIONS(1917),
    [anon_sym_CARET_EQ] = ACTIONS(1917),
    [anon_sym_PIPE_EQ] = ACTIONS(1917),
    [anon_sym_and_eq] = ACTIONS(1915),
    [anon_sym_or_eq] = ACTIONS(1915),
    [anon_sym_xor_eq] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [218] = {
    [sym_expression] = STATE(3248),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(3615),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACE] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1915),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_STAR_EQ] = ACTIONS(1917),
    [anon_sym_SLASH_EQ] = ACTIONS(1917),
    [anon_sym_PERCENT_EQ] = ACTIONS(1917),
    [anon_sym_PLUS_EQ] = ACTIONS(1917),
    [anon_sym_DASH_EQ] = ACTIONS(1917),
    [anon_sym_LT_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1917),
    [anon_sym_CARET_EQ] = ACTIONS(1917),
    [anon_sym_PIPE_EQ] = ACTIONS(1917),
    [anon_sym_and_eq] = ACTIONS(1915),
    [anon_sym_or_eq] = ACTIONS(1915),
    [anon_sym_xor_eq] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [219] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2497),
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [aux_sym_preproc_else_token1] = ACTIONS(2497),
    [aux_sym_preproc_elif_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_AMP_AMP] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym___extension__] = ACTIONS(2497),
    [anon_sym_typedef] = ACTIONS(2497),
    [anon_sym_virtual] = ACTIONS(2497),
    [anon_sym_extern] = ACTIONS(2497),
    [anon_sym___attribute__] = ACTIONS(2497),
    [anon_sym___attribute] = ACTIONS(2497),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2499),
    [anon_sym___declspec] = ACTIONS(2497),
    [anon_sym___based] = ACTIONS(2497),
    [anon_sym___cdecl] = ACTIONS(2497),
    [anon_sym___clrcall] = ACTIONS(2497),
    [anon_sym___stdcall] = ACTIONS(2497),
    [anon_sym___fastcall] = ACTIONS(2497),
    [anon_sym___thiscall] = ACTIONS(2497),
    [anon_sym___vectorcall] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2497),
    [anon_sym_unsigned] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_register] = ACTIONS(2497),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym___inline] = ACTIONS(2497),
    [anon_sym___inline__] = ACTIONS(2497),
    [anon_sym___forceinline] = ACTIONS(2497),
    [anon_sym_thread_local] = ACTIONS(2497),
    [anon_sym___thread] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_constexpr] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_restrict] = ACTIONS(2497),
    [anon_sym___restrict__] = ACTIONS(2497),
    [anon_sym__Atomic] = ACTIONS(2497),
    [anon_sym__Noreturn] = ACTIONS(2497),
    [anon_sym_noreturn] = ACTIONS(2497),
    [anon_sym__Nonnull] = ACTIONS(2497),
    [anon_sym_mutable] = ACTIONS(2497),
    [anon_sym_constinit] = ACTIONS(2497),
    [anon_sym_consteval] = ACTIONS(2497),
    [anon_sym_alignas] = ACTIONS(2497),
    [anon_sym__Alignas] = ACTIONS(2497),
    [sym_primitive_type] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_struct] = ACTIONS(2497),
    [anon_sym_union] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_goto] = ACTIONS(2497),
    [anon_sym___try] = ACTIONS(2497),
    [anon_sym___leave] = ACTIONS(2497),
    [anon_sym_not] = ACTIONS(2497),
    [anon_sym_compl] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_sizeof] = ACTIONS(2497),
    [anon_sym___alignof__] = ACTIONS(2497),
    [anon_sym___alignof] = ACTIONS(2497),
    [anon_sym__alignof] = ACTIONS(2497),
    [anon_sym_alignof] = ACTIONS(2497),
    [anon_sym__Alignof] = ACTIONS(2497),
    [anon_sym_offsetof] = ACTIONS(2497),
    [anon_sym__Generic] = ACTIONS(2497),
    [anon_sym_asm] = ACTIONS(2497),
    [anon_sym___asm__] = ACTIONS(2497),
    [anon_sym___asm] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2499),
    [anon_sym_L_SQUOTE] = ACTIONS(2499),
    [anon_sym_u_SQUOTE] = ACTIONS(2499),
    [anon_sym_U_SQUOTE] = ACTIONS(2499),
    [anon_sym_u8_SQUOTE] = ACTIONS(2499),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_L_DQUOTE] = ACTIONS(2499),
    [anon_sym_u_DQUOTE] = ACTIONS(2499),
    [anon_sym_U_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8_DQUOTE] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [anon_sym_NULL] = ACTIONS(2497),
    [anon_sym_nullptr] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2497),
    [anon_sym_decltype] = ACTIONS(2497),
    [anon_sym_explicit] = ACTIONS(2497),
    [anon_sym_typename] = ACTIONS(2497),
    [anon_sym_template] = ACTIONS(2497),
    [anon_sym_operator] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_static_assert] = ACTIONS(2497),
    [anon_sym_concept] = ACTIONS(2497),
    [anon_sym_co_return] = ACTIONS(2497),
    [anon_sym_co_yield] = ACTIONS(2497),
    [anon_sym_catch] = ACTIONS(2501),
    [anon_sym_R_DQUOTE] = ACTIONS(2499),
    [anon_sym_LR_DQUOTE] = ACTIONS(2499),
    [anon_sym_uR_DQUOTE] = ACTIONS(2499),
    [anon_sym_UR_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2499),
    [anon_sym_co_await] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2497),
  },
  [220] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_catch] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [221] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2519),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [222] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2549),
    [aux_sym_preproc_include_token1] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token2] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [aux_sym_preproc_else_token1] = ACTIONS(2549),
    [aux_sym_preproc_elif_token1] = ACTIONS(2549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_BANG] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_AMP_AMP] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym___extension__] = ACTIONS(2549),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2549),
    [anon_sym_extern] = ACTIONS(2549),
    [anon_sym___attribute__] = ACTIONS(2549),
    [anon_sym___attribute] = ACTIONS(2549),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2551),
    [anon_sym___declspec] = ACTIONS(2549),
    [anon_sym___based] = ACTIONS(2549),
    [anon_sym___cdecl] = ACTIONS(2549),
    [anon_sym___clrcall] = ACTIONS(2549),
    [anon_sym___stdcall] = ACTIONS(2549),
    [anon_sym___fastcall] = ACTIONS(2549),
    [anon_sym___thiscall] = ACTIONS(2549),
    [anon_sym___vectorcall] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_signed] = ACTIONS(2549),
    [anon_sym_unsigned] = ACTIONS(2549),
    [anon_sym_long] = ACTIONS(2549),
    [anon_sym_short] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_register] = ACTIONS(2549),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym___inline] = ACTIONS(2549),
    [anon_sym___inline__] = ACTIONS(2549),
    [anon_sym___forceinline] = ACTIONS(2549),
    [anon_sym_thread_local] = ACTIONS(2549),
    [anon_sym___thread] = ACTIONS(2549),
    [anon_sym_const] = ACTIONS(2549),
    [anon_sym_constexpr] = ACTIONS(2549),
    [anon_sym_volatile] = ACTIONS(2549),
    [anon_sym_restrict] = ACTIONS(2549),
    [anon_sym___restrict__] = ACTIONS(2549),
    [anon_sym__Atomic] = ACTIONS(2549),
    [anon_sym__Noreturn] = ACTIONS(2549),
    [anon_sym_noreturn] = ACTIONS(2549),
    [anon_sym__Nonnull] = ACTIONS(2549),
    [anon_sym_mutable] = ACTIONS(2549),
    [anon_sym_constinit] = ACTIONS(2549),
    [anon_sym_consteval] = ACTIONS(2549),
    [anon_sym_alignas] = ACTIONS(2549),
    [anon_sym__Alignas] = ACTIONS(2549),
    [sym_primitive_type] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_struct] = ACTIONS(2549),
    [anon_sym_union] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_switch] = ACTIONS(2549),
    [anon_sym_case] = ACTIONS(2549),
    [anon_sym_default] = ACTIONS(2549),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_break] = ACTIONS(2549),
    [anon_sym_continue] = ACTIONS(2549),
    [anon_sym_goto] = ACTIONS(2549),
    [anon_sym___try] = ACTIONS(2549),
    [anon_sym___leave] = ACTIONS(2549),
    [anon_sym_not] = ACTIONS(2549),
    [anon_sym_compl] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(2551),
    [anon_sym_PLUS_PLUS] = ACTIONS(2551),
    [anon_sym_sizeof] = ACTIONS(2549),
    [anon_sym___alignof__] = ACTIONS(2549),
    [anon_sym___alignof] = ACTIONS(2549),
    [anon_sym__alignof] = ACTIONS(2549),
    [anon_sym_alignof] = ACTIONS(2549),
    [anon_sym__Alignof] = ACTIONS(2549),
    [anon_sym_offsetof] = ACTIONS(2549),
    [anon_sym__Generic] = ACTIONS(2549),
    [anon_sym_asm] = ACTIONS(2549),
    [anon_sym___asm__] = ACTIONS(2549),
    [anon_sym___asm] = ACTIONS(2549),
    [sym_number_literal] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2551),
    [anon_sym_u_SQUOTE] = ACTIONS(2551),
    [anon_sym_U_SQUOTE] = ACTIONS(2551),
    [anon_sym_u8_SQUOTE] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_L_DQUOTE] = ACTIONS(2551),
    [anon_sym_u_DQUOTE] = ACTIONS(2551),
    [anon_sym_U_DQUOTE] = ACTIONS(2551),
    [anon_sym_u8_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(2551),
    [sym_true] = ACTIONS(2549),
    [sym_false] = ACTIONS(2549),
    [anon_sym_NULL] = ACTIONS(2549),
    [anon_sym_nullptr] = ACTIONS(2549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2549),
    [anon_sym_decltype] = ACTIONS(2549),
    [anon_sym_explicit] = ACTIONS(2549),
    [anon_sym_typename] = ACTIONS(2549),
    [anon_sym_template] = ACTIONS(2549),
    [anon_sym_operator] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_delete] = ACTIONS(2549),
    [anon_sym_throw] = ACTIONS(2549),
    [anon_sym_namespace] = ACTIONS(2549),
    [anon_sym_using] = ACTIONS(2549),
    [anon_sym_static_assert] = ACTIONS(2549),
    [anon_sym_concept] = ACTIONS(2549),
    [anon_sym_co_return] = ACTIONS(2549),
    [anon_sym_co_yield] = ACTIONS(2549),
    [anon_sym_catch] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2551),
    [anon_sym_LR_DQUOTE] = ACTIONS(2551),
    [anon_sym_uR_DQUOTE] = ACTIONS(2551),
    [anon_sym_UR_DQUOTE] = ACTIONS(2551),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2551),
    [anon_sym_co_await] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_requires] = ACTIONS(2549),
    [sym_this] = ACTIONS(2549),
  },
  [223] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2519),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(2553),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [224] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2519),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(2555),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [225] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2557),
    [aux_sym_preproc_include_token1] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token2] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [aux_sym_preproc_else_token1] = ACTIONS(2557),
    [aux_sym_preproc_elif_token1] = ACTIONS(2557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2559),
    [anon_sym_BANG] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2557),
    [anon_sym_PLUS] = ACTIONS(2557),
    [anon_sym_STAR] = ACTIONS(2559),
    [anon_sym_AMP_AMP] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym___extension__] = ACTIONS(2557),
    [anon_sym_typedef] = ACTIONS(2557),
    [anon_sym_virtual] = ACTIONS(2557),
    [anon_sym_extern] = ACTIONS(2557),
    [anon_sym___attribute__] = ACTIONS(2557),
    [anon_sym___attribute] = ACTIONS(2557),
    [anon_sym_COLON_COLON] = ACTIONS(2559),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2559),
    [anon_sym___declspec] = ACTIONS(2557),
    [anon_sym___based] = ACTIONS(2557),
    [anon_sym___cdecl] = ACTIONS(2557),
    [anon_sym___clrcall] = ACTIONS(2557),
    [anon_sym___stdcall] = ACTIONS(2557),
    [anon_sym___fastcall] = ACTIONS(2557),
    [anon_sym___thiscall] = ACTIONS(2557),
    [anon_sym___vectorcall] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_signed] = ACTIONS(2557),
    [anon_sym_unsigned] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_register] = ACTIONS(2557),
    [anon_sym_inline] = ACTIONS(2557),
    [anon_sym___inline] = ACTIONS(2557),
    [anon_sym___inline__] = ACTIONS(2557),
    [anon_sym___forceinline] = ACTIONS(2557),
    [anon_sym_thread_local] = ACTIONS(2557),
    [anon_sym___thread] = ACTIONS(2557),
    [anon_sym_const] = ACTIONS(2557),
    [anon_sym_constexpr] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_restrict] = ACTIONS(2557),
    [anon_sym___restrict__] = ACTIONS(2557),
    [anon_sym__Atomic] = ACTIONS(2557),
    [anon_sym__Noreturn] = ACTIONS(2557),
    [anon_sym_noreturn] = ACTIONS(2557),
    [anon_sym__Nonnull] = ACTIONS(2557),
    [anon_sym_mutable] = ACTIONS(2557),
    [anon_sym_constinit] = ACTIONS(2557),
    [anon_sym_consteval] = ACTIONS(2557),
    [anon_sym_alignas] = ACTIONS(2557),
    [anon_sym__Alignas] = ACTIONS(2557),
    [sym_primitive_type] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_struct] = ACTIONS(2557),
    [anon_sym_union] = ACTIONS(2557),
    [anon_sym_if] = ACTIONS(2557),
    [anon_sym_switch] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2557),
    [anon_sym_default] = ACTIONS(2557),
    [anon_sym_while] = ACTIONS(2557),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_for] = ACTIONS(2557),
    [anon_sym_return] = ACTIONS(2557),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2557),
    [anon_sym_goto] = ACTIONS(2557),
    [anon_sym___try] = ACTIONS(2557),
    [anon_sym___leave] = ACTIONS(2557),
    [anon_sym_not] = ACTIONS(2557),
    [anon_sym_compl] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2559),
    [anon_sym_PLUS_PLUS] = ACTIONS(2559),
    [anon_sym_sizeof] = ACTIONS(2557),
    [anon_sym___alignof__] = ACTIONS(2557),
    [anon_sym___alignof] = ACTIONS(2557),
    [anon_sym__alignof] = ACTIONS(2557),
    [anon_sym_alignof] = ACTIONS(2557),
    [anon_sym__Alignof] = ACTIONS(2557),
    [anon_sym_offsetof] = ACTIONS(2557),
    [anon_sym__Generic] = ACTIONS(2557),
    [anon_sym_asm] = ACTIONS(2557),
    [anon_sym___asm__] = ACTIONS(2557),
    [anon_sym___asm] = ACTIONS(2557),
    [sym_number_literal] = ACTIONS(2559),
    [anon_sym_L_SQUOTE] = ACTIONS(2559),
    [anon_sym_u_SQUOTE] = ACTIONS(2559),
    [anon_sym_U_SQUOTE] = ACTIONS(2559),
    [anon_sym_u8_SQUOTE] = ACTIONS(2559),
    [anon_sym_SQUOTE] = ACTIONS(2559),
    [anon_sym_L_DQUOTE] = ACTIONS(2559),
    [anon_sym_u_DQUOTE] = ACTIONS(2559),
    [anon_sym_U_DQUOTE] = ACTIONS(2559),
    [anon_sym_u8_DQUOTE] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2559),
    [sym_true] = ACTIONS(2557),
    [sym_false] = ACTIONS(2557),
    [anon_sym_NULL] = ACTIONS(2557),
    [anon_sym_nullptr] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2557),
    [anon_sym_decltype] = ACTIONS(2557),
    [anon_sym_explicit] = ACTIONS(2557),
    [anon_sym_typename] = ACTIONS(2557),
    [anon_sym_template] = ACTIONS(2557),
    [anon_sym_operator] = ACTIONS(2557),
    [anon_sym_try] = ACTIONS(2557),
    [anon_sym_delete] = ACTIONS(2557),
    [anon_sym_throw] = ACTIONS(2557),
    [anon_sym_namespace] = ACTIONS(2557),
    [anon_sym_using] = ACTIONS(2557),
    [anon_sym_static_assert] = ACTIONS(2557),
    [anon_sym_concept] = ACTIONS(2557),
    [anon_sym_co_return] = ACTIONS(2557),
    [anon_sym_co_yield] = ACTIONS(2557),
    [anon_sym_catch] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2559),
    [anon_sym_LR_DQUOTE] = ACTIONS(2559),
    [anon_sym_uR_DQUOTE] = ACTIONS(2559),
    [anon_sym_UR_DQUOTE] = ACTIONS(2559),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2559),
    [anon_sym_co_await] = ACTIONS(2557),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_requires] = ACTIONS(2557),
    [sym_this] = ACTIONS(2557),
  },
  [226] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2519),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(2561),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [227] = {
    [sym_else_clause] = STATE(234),
    [sym_identifier] = ACTIONS(2563),
    [aux_sym_preproc_include_token1] = ACTIONS(2563),
    [aux_sym_preproc_def_token1] = ACTIONS(2563),
    [aux_sym_preproc_if_token1] = ACTIONS(2563),
    [aux_sym_preproc_if_token2] = ACTIONS(2563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2563),
    [aux_sym_preproc_else_token1] = ACTIONS(2563),
    [aux_sym_preproc_elif_token1] = ACTIONS(2563),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2563),
    [sym_preproc_directive] = ACTIONS(2563),
    [anon_sym_LPAREN2] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_AMP_AMP] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2565),
    [anon_sym___extension__] = ACTIONS(2563),
    [anon_sym_typedef] = ACTIONS(2563),
    [anon_sym_virtual] = ACTIONS(2563),
    [anon_sym_extern] = ACTIONS(2563),
    [anon_sym___attribute__] = ACTIONS(2563),
    [anon_sym___attribute] = ACTIONS(2563),
    [anon_sym_COLON_COLON] = ACTIONS(2565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2565),
    [anon_sym___declspec] = ACTIONS(2563),
    [anon_sym___based] = ACTIONS(2563),
    [anon_sym___cdecl] = ACTIONS(2563),
    [anon_sym___clrcall] = ACTIONS(2563),
    [anon_sym___stdcall] = ACTIONS(2563),
    [anon_sym___fastcall] = ACTIONS(2563),
    [anon_sym___thiscall] = ACTIONS(2563),
    [anon_sym___vectorcall] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_signed] = ACTIONS(2563),
    [anon_sym_unsigned] = ACTIONS(2563),
    [anon_sym_long] = ACTIONS(2563),
    [anon_sym_short] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_static] = ACTIONS(2563),
    [anon_sym_register] = ACTIONS(2563),
    [anon_sym_inline] = ACTIONS(2563),
    [anon_sym___inline] = ACTIONS(2563),
    [anon_sym___inline__] = ACTIONS(2563),
    [anon_sym___forceinline] = ACTIONS(2563),
    [anon_sym_thread_local] = ACTIONS(2563),
    [anon_sym___thread] = ACTIONS(2563),
    [anon_sym_const] = ACTIONS(2563),
    [anon_sym_constexpr] = ACTIONS(2563),
    [anon_sym_volatile] = ACTIONS(2563),
    [anon_sym_restrict] = ACTIONS(2563),
    [anon_sym___restrict__] = ACTIONS(2563),
    [anon_sym__Atomic] = ACTIONS(2563),
    [anon_sym__Noreturn] = ACTIONS(2563),
    [anon_sym_noreturn] = ACTIONS(2563),
    [anon_sym__Nonnull] = ACTIONS(2563),
    [anon_sym_mutable] = ACTIONS(2563),
    [anon_sym_constinit] = ACTIONS(2563),
    [anon_sym_consteval] = ACTIONS(2563),
    [anon_sym_alignas] = ACTIONS(2563),
    [anon_sym__Alignas] = ACTIONS(2563),
    [sym_primitive_type] = ACTIONS(2563),
    [anon_sym_enum] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2563),
    [anon_sym_struct] = ACTIONS(2563),
    [anon_sym_union] = ACTIONS(2563),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(2567),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_case] = ACTIONS(2563),
    [anon_sym_default] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_do] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_return] = ACTIONS(2563),
    [anon_sym_break] = ACTIONS(2563),
    [anon_sym_continue] = ACTIONS(2563),
    [anon_sym_goto] = ACTIONS(2563),
    [anon_sym___try] = ACTIONS(2563),
    [anon_sym___leave] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_compl] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2565),
    [anon_sym_PLUS_PLUS] = ACTIONS(2565),
    [anon_sym_sizeof] = ACTIONS(2563),
    [anon_sym___alignof__] = ACTIONS(2563),
    [anon_sym___alignof] = ACTIONS(2563),
    [anon_sym__alignof] = ACTIONS(2563),
    [anon_sym_alignof] = ACTIONS(2563),
    [anon_sym__Alignof] = ACTIONS(2563),
    [anon_sym_offsetof] = ACTIONS(2563),
    [anon_sym__Generic] = ACTIONS(2563),
    [anon_sym_asm] = ACTIONS(2563),
    [anon_sym___asm__] = ACTIONS(2563),
    [anon_sym___asm] = ACTIONS(2563),
    [sym_number_literal] = ACTIONS(2565),
    [anon_sym_L_SQUOTE] = ACTIONS(2565),
    [anon_sym_u_SQUOTE] = ACTIONS(2565),
    [anon_sym_U_SQUOTE] = ACTIONS(2565),
    [anon_sym_u8_SQUOTE] = ACTIONS(2565),
    [anon_sym_SQUOTE] = ACTIONS(2565),
    [anon_sym_L_DQUOTE] = ACTIONS(2565),
    [anon_sym_u_DQUOTE] = ACTIONS(2565),
    [anon_sym_U_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [anon_sym_NULL] = ACTIONS(2563),
    [anon_sym_nullptr] = ACTIONS(2563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2563),
    [anon_sym_decltype] = ACTIONS(2563),
    [anon_sym_explicit] = ACTIONS(2563),
    [anon_sym_typename] = ACTIONS(2563),
    [anon_sym_template] = ACTIONS(2563),
    [anon_sym_operator] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2563),
    [anon_sym_delete] = ACTIONS(2563),
    [anon_sym_throw] = ACTIONS(2563),
    [anon_sym_namespace] = ACTIONS(2563),
    [anon_sym_using] = ACTIONS(2563),
    [anon_sym_static_assert] = ACTIONS(2563),
    [anon_sym_concept] = ACTIONS(2563),
    [anon_sym_co_return] = ACTIONS(2563),
    [anon_sym_co_yield] = ACTIONS(2563),
    [anon_sym_R_DQUOTE] = ACTIONS(2565),
    [anon_sym_LR_DQUOTE] = ACTIONS(2565),
    [anon_sym_uR_DQUOTE] = ACTIONS(2565),
    [anon_sym_UR_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2565),
    [anon_sym_co_await] = ACTIONS(2563),
    [anon_sym_new] = ACTIONS(2563),
    [anon_sym_requires] = ACTIONS(2563),
    [sym_this] = ACTIONS(2563),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [aux_sym_preproc_else_token1] = ACTIONS(1909),
    [aux_sym_preproc_elif_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_catch] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_include_token1] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token2] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [aux_sym_preproc_else_token1] = ACTIONS(1913),
    [aux_sym_preproc_elif_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1911),
    [anon_sym_L_SQUOTE] = ACTIONS(1911),
    [anon_sym_u_SQUOTE] = ACTIONS(1911),
    [anon_sym_U_SQUOTE] = ACTIONS(1911),
    [anon_sym_u8_SQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [anon_sym_L_DQUOTE] = ACTIONS(1911),
    [anon_sym_u_DQUOTE] = ACTIONS(1911),
    [anon_sym_U_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8_DQUOTE] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_catch] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1911),
    [anon_sym_LR_DQUOTE] = ACTIONS(1911),
    [anon_sym_uR_DQUOTE] = ACTIONS(1911),
    [anon_sym_UR_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1911),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
  },
  [230] = {
    [sym_identifier] = ACTIONS(2569),
    [aux_sym_preproc_include_token1] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token2] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [aux_sym_preproc_else_token1] = ACTIONS(2569),
    [aux_sym_preproc_elif_token1] = ACTIONS(2569),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2569),
    [anon_sym_STAR] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym___extension__] = ACTIONS(2569),
    [anon_sym_typedef] = ACTIONS(2569),
    [anon_sym_virtual] = ACTIONS(2569),
    [anon_sym_extern] = ACTIONS(2569),
    [anon_sym___attribute__] = ACTIONS(2569),
    [anon_sym___attribute] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2571),
    [anon_sym___declspec] = ACTIONS(2569),
    [anon_sym___based] = ACTIONS(2569),
    [anon_sym___cdecl] = ACTIONS(2569),
    [anon_sym___clrcall] = ACTIONS(2569),
    [anon_sym___stdcall] = ACTIONS(2569),
    [anon_sym___fastcall] = ACTIONS(2569),
    [anon_sym___thiscall] = ACTIONS(2569),
    [anon_sym___vectorcall] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_signed] = ACTIONS(2569),
    [anon_sym_unsigned] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_register] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym___inline] = ACTIONS(2569),
    [anon_sym___inline__] = ACTIONS(2569),
    [anon_sym___forceinline] = ACTIONS(2569),
    [anon_sym_thread_local] = ACTIONS(2569),
    [anon_sym___thread] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_constexpr] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_restrict] = ACTIONS(2569),
    [anon_sym___restrict__] = ACTIONS(2569),
    [anon_sym__Atomic] = ACTIONS(2569),
    [anon_sym__Noreturn] = ACTIONS(2569),
    [anon_sym_noreturn] = ACTIONS(2569),
    [anon_sym__Nonnull] = ACTIONS(2569),
    [anon_sym_mutable] = ACTIONS(2569),
    [anon_sym_constinit] = ACTIONS(2569),
    [anon_sym_consteval] = ACTIONS(2569),
    [anon_sym_alignas] = ACTIONS(2569),
    [anon_sym__Alignas] = ACTIONS(2569),
    [sym_primitive_type] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_struct] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2569),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_else] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2569),
    [anon_sym_case] = ACTIONS(2569),
    [anon_sym_default] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2569),
    [anon_sym_return] = ACTIONS(2569),
    [anon_sym_break] = ACTIONS(2569),
    [anon_sym_continue] = ACTIONS(2569),
    [anon_sym_goto] = ACTIONS(2569),
    [anon_sym___try] = ACTIONS(2569),
    [anon_sym___leave] = ACTIONS(2569),
    [anon_sym_not] = ACTIONS(2569),
    [anon_sym_compl] = ACTIONS(2569),
    [anon_sym_DASH_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_PLUS] = ACTIONS(2571),
    [anon_sym_sizeof] = ACTIONS(2569),
    [anon_sym___alignof__] = ACTIONS(2569),
    [anon_sym___alignof] = ACTIONS(2569),
    [anon_sym__alignof] = ACTIONS(2569),
    [anon_sym_alignof] = ACTIONS(2569),
    [anon_sym__Alignof] = ACTIONS(2569),
    [anon_sym_offsetof] = ACTIONS(2569),
    [anon_sym__Generic] = ACTIONS(2569),
    [anon_sym_asm] = ACTIONS(2569),
    [anon_sym___asm__] = ACTIONS(2569),
    [anon_sym___asm] = ACTIONS(2569),
    [sym_number_literal] = ACTIONS(2571),
    [anon_sym_L_SQUOTE] = ACTIONS(2571),
    [anon_sym_u_SQUOTE] = ACTIONS(2571),
    [anon_sym_U_SQUOTE] = ACTIONS(2571),
    [anon_sym_u8_SQUOTE] = ACTIONS(2571),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [anon_sym_L_DQUOTE] = ACTIONS(2571),
    [anon_sym_u_DQUOTE] = ACTIONS(2571),
    [anon_sym_U_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [sym_true] = ACTIONS(2569),
    [sym_false] = ACTIONS(2569),
    [anon_sym_NULL] = ACTIONS(2569),
    [anon_sym_nullptr] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2569),
    [anon_sym_decltype] = ACTIONS(2569),
    [anon_sym_explicit] = ACTIONS(2569),
    [anon_sym_typename] = ACTIONS(2569),
    [anon_sym_template] = ACTIONS(2569),
    [anon_sym_operator] = ACTIONS(2569),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_delete] = ACTIONS(2569),
    [anon_sym_throw] = ACTIONS(2569),
    [anon_sym_namespace] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_static_assert] = ACTIONS(2569),
    [anon_sym_concept] = ACTIONS(2569),
    [anon_sym_co_return] = ACTIONS(2569),
    [anon_sym_co_yield] = ACTIONS(2569),
    [anon_sym_catch] = ACTIONS(2569),
    [anon_sym_R_DQUOTE] = ACTIONS(2571),
    [anon_sym_LR_DQUOTE] = ACTIONS(2571),
    [anon_sym_uR_DQUOTE] = ACTIONS(2571),
    [anon_sym_UR_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2571),
    [anon_sym_co_await] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_requires] = ACTIONS(2569),
    [sym_this] = ACTIONS(2569),
  },
  [231] = {
    [sym_else_clause] = STATE(268),
    [sym_identifier] = ACTIONS(2573),
    [aux_sym_preproc_include_token1] = ACTIONS(2573),
    [aux_sym_preproc_def_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token2] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2573),
    [aux_sym_preproc_else_token1] = ACTIONS(2573),
    [aux_sym_preproc_elif_token1] = ACTIONS(2573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2573),
    [sym_preproc_directive] = ACTIONS(2573),
    [anon_sym_LPAREN2] = ACTIONS(2575),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(2575),
    [anon_sym_AMP_AMP] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym___extension__] = ACTIONS(2573),
    [anon_sym_typedef] = ACTIONS(2573),
    [anon_sym_virtual] = ACTIONS(2573),
    [anon_sym_extern] = ACTIONS(2573),
    [anon_sym___attribute__] = ACTIONS(2573),
    [anon_sym___attribute] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2575),
    [anon_sym___declspec] = ACTIONS(2573),
    [anon_sym___based] = ACTIONS(2573),
    [anon_sym___cdecl] = ACTIONS(2573),
    [anon_sym___clrcall] = ACTIONS(2573),
    [anon_sym___stdcall] = ACTIONS(2573),
    [anon_sym___fastcall] = ACTIONS(2573),
    [anon_sym___thiscall] = ACTIONS(2573),
    [anon_sym___vectorcall] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2573),
    [anon_sym_unsigned] = ACTIONS(2573),
    [anon_sym_long] = ACTIONS(2573),
    [anon_sym_short] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2573),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_register] = ACTIONS(2573),
    [anon_sym_inline] = ACTIONS(2573),
    [anon_sym___inline] = ACTIONS(2573),
    [anon_sym___inline__] = ACTIONS(2573),
    [anon_sym___forceinline] = ACTIONS(2573),
    [anon_sym_thread_local] = ACTIONS(2573),
    [anon_sym___thread] = ACTIONS(2573),
    [anon_sym_const] = ACTIONS(2573),
    [anon_sym_constexpr] = ACTIONS(2573),
    [anon_sym_volatile] = ACTIONS(2573),
    [anon_sym_restrict] = ACTIONS(2573),
    [anon_sym___restrict__] = ACTIONS(2573),
    [anon_sym__Atomic] = ACTIONS(2573),
    [anon_sym__Noreturn] = ACTIONS(2573),
    [anon_sym_noreturn] = ACTIONS(2573),
    [anon_sym__Nonnull] = ACTIONS(2573),
    [anon_sym_mutable] = ACTIONS(2573),
    [anon_sym_constinit] = ACTIONS(2573),
    [anon_sym_consteval] = ACTIONS(2573),
    [anon_sym_alignas] = ACTIONS(2573),
    [anon_sym__Alignas] = ACTIONS(2573),
    [sym_primitive_type] = ACTIONS(2573),
    [anon_sym_enum] = ACTIONS(2573),
    [anon_sym_class] = ACTIONS(2573),
    [anon_sym_struct] = ACTIONS(2573),
    [anon_sym_union] = ACTIONS(2573),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_else] = ACTIONS(2567),
    [anon_sym_switch] = ACTIONS(2573),
    [anon_sym_case] = ACTIONS(2573),
    [anon_sym_default] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(2573),
    [anon_sym_do] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2573),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_break] = ACTIONS(2573),
    [anon_sym_continue] = ACTIONS(2573),
    [anon_sym_goto] = ACTIONS(2573),
    [anon_sym___try] = ACTIONS(2573),
    [anon_sym___leave] = ACTIONS(2573),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_compl] = ACTIONS(2573),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_sizeof] = ACTIONS(2573),
    [anon_sym___alignof__] = ACTIONS(2573),
    [anon_sym___alignof] = ACTIONS(2573),
    [anon_sym__alignof] = ACTIONS(2573),
    [anon_sym_alignof] = ACTIONS(2573),
    [anon_sym__Alignof] = ACTIONS(2573),
    [anon_sym_offsetof] = ACTIONS(2573),
    [anon_sym__Generic] = ACTIONS(2573),
    [anon_sym_asm] = ACTIONS(2573),
    [anon_sym___asm__] = ACTIONS(2573),
    [anon_sym___asm] = ACTIONS(2573),
    [sym_number_literal] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2575),
    [anon_sym_u_SQUOTE] = ACTIONS(2575),
    [anon_sym_U_SQUOTE] = ACTIONS(2575),
    [anon_sym_u8_SQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_L_DQUOTE] = ACTIONS(2575),
    [anon_sym_u_DQUOTE] = ACTIONS(2575),
    [anon_sym_U_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8_DQUOTE] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [sym_true] = ACTIONS(2573),
    [sym_false] = ACTIONS(2573),
    [anon_sym_NULL] = ACTIONS(2573),
    [anon_sym_nullptr] = ACTIONS(2573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2573),
    [anon_sym_decltype] = ACTIONS(2573),
    [anon_sym_explicit] = ACTIONS(2573),
    [anon_sym_typename] = ACTIONS(2573),
    [anon_sym_template] = ACTIONS(2573),
    [anon_sym_operator] = ACTIONS(2573),
    [anon_sym_try] = ACTIONS(2573),
    [anon_sym_delete] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2573),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_using] = ACTIONS(2573),
    [anon_sym_static_assert] = ACTIONS(2573),
    [anon_sym_concept] = ACTIONS(2573),
    [anon_sym_co_return] = ACTIONS(2573),
    [anon_sym_co_yield] = ACTIONS(2573),
    [anon_sym_R_DQUOTE] = ACTIONS(2575),
    [anon_sym_LR_DQUOTE] = ACTIONS(2575),
    [anon_sym_uR_DQUOTE] = ACTIONS(2575),
    [anon_sym_UR_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2575),
    [anon_sym_co_await] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_requires] = ACTIONS(2573),
    [sym_this] = ACTIONS(2573),
  },
  [232] = {
    [sym_expression] = STATE(3570),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_initializer_list] = STATE(3841),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_RPAREN] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1865),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_EQ] = ACTIONS(1915),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_STAR_EQ] = ACTIONS(1917),
    [anon_sym_SLASH_EQ] = ACTIONS(1917),
    [anon_sym_PERCENT_EQ] = ACTIONS(1917),
    [anon_sym_PLUS_EQ] = ACTIONS(1917),
    [anon_sym_DASH_EQ] = ACTIONS(1917),
    [anon_sym_LT_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_GT_EQ] = ACTIONS(1917),
    [anon_sym_AMP_EQ] = ACTIONS(1917),
    [anon_sym_CARET_EQ] = ACTIONS(1917),
    [anon_sym_PIPE_EQ] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1917),
    [sym_this] = ACTIONS(1893),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2585),
    [aux_sym_preproc_include_token1] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token2] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [aux_sym_preproc_else_token1] = ACTIONS(2585),
    [aux_sym_preproc_elif_token1] = ACTIONS(2585),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2585),
    [anon_sym_STAR] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym___extension__] = ACTIONS(2585),
    [anon_sym_typedef] = ACTIONS(2585),
    [anon_sym_virtual] = ACTIONS(2585),
    [anon_sym_extern] = ACTIONS(2585),
    [anon_sym___attribute__] = ACTIONS(2585),
    [anon_sym___attribute] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2587),
    [anon_sym___declspec] = ACTIONS(2585),
    [anon_sym___based] = ACTIONS(2585),
    [anon_sym___cdecl] = ACTIONS(2585),
    [anon_sym___clrcall] = ACTIONS(2585),
    [anon_sym___stdcall] = ACTIONS(2585),
    [anon_sym___fastcall] = ACTIONS(2585),
    [anon_sym___thiscall] = ACTIONS(2585),
    [anon_sym___vectorcall] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_signed] = ACTIONS(2585),
    [anon_sym_unsigned] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_register] = ACTIONS(2585),
    [anon_sym_inline] = ACTIONS(2585),
    [anon_sym___inline] = ACTIONS(2585),
    [anon_sym___inline__] = ACTIONS(2585),
    [anon_sym___forceinline] = ACTIONS(2585),
    [anon_sym_thread_local] = ACTIONS(2585),
    [anon_sym___thread] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_constexpr] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_restrict] = ACTIONS(2585),
    [anon_sym___restrict__] = ACTIONS(2585),
    [anon_sym__Atomic] = ACTIONS(2585),
    [anon_sym__Noreturn] = ACTIONS(2585),
    [anon_sym_noreturn] = ACTIONS(2585),
    [anon_sym__Nonnull] = ACTIONS(2585),
    [anon_sym_mutable] = ACTIONS(2585),
    [anon_sym_constinit] = ACTIONS(2585),
    [anon_sym_consteval] = ACTIONS(2585),
    [anon_sym_alignas] = ACTIONS(2585),
    [anon_sym__Alignas] = ACTIONS(2585),
    [sym_primitive_type] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_union] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_switch] = ACTIONS(2585),
    [anon_sym_case] = ACTIONS(2585),
    [anon_sym_default] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_break] = ACTIONS(2585),
    [anon_sym_continue] = ACTIONS(2585),
    [anon_sym_goto] = ACTIONS(2585),
    [anon_sym___try] = ACTIONS(2585),
    [anon_sym___leave] = ACTIONS(2585),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_compl] = ACTIONS(2585),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_sizeof] = ACTIONS(2585),
    [anon_sym___alignof__] = ACTIONS(2585),
    [anon_sym___alignof] = ACTIONS(2585),
    [anon_sym__alignof] = ACTIONS(2585),
    [anon_sym_alignof] = ACTIONS(2585),
    [anon_sym__Alignof] = ACTIONS(2585),
    [anon_sym_offsetof] = ACTIONS(2585),
    [anon_sym__Generic] = ACTIONS(2585),
    [anon_sym_asm] = ACTIONS(2585),
    [anon_sym___asm__] = ACTIONS(2585),
    [anon_sym___asm] = ACTIONS(2585),
    [sym_number_literal] = ACTIONS(2587),
    [anon_sym_L_SQUOTE] = ACTIONS(2587),
    [anon_sym_u_SQUOTE] = ACTIONS(2587),
    [anon_sym_U_SQUOTE] = ACTIONS(2587),
    [anon_sym_u8_SQUOTE] = ACTIONS(2587),
    [anon_sym_SQUOTE] = ACTIONS(2587),
    [anon_sym_L_DQUOTE] = ACTIONS(2587),
    [anon_sym_u_DQUOTE] = ACTIONS(2587),
    [anon_sym_U_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [anon_sym_NULL] = ACTIONS(2585),
    [anon_sym_nullptr] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2585),
    [anon_sym_decltype] = ACTIONS(2585),
    [anon_sym_explicit] = ACTIONS(2585),
    [anon_sym_typename] = ACTIONS(2585),
    [anon_sym_template] = ACTIONS(2585),
    [anon_sym_operator] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_delete] = ACTIONS(2585),
    [anon_sym_throw] = ACTIONS(2585),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_static_assert] = ACTIONS(2585),
    [anon_sym_concept] = ACTIONS(2585),
    [anon_sym_co_return] = ACTIONS(2585),
    [anon_sym_co_yield] = ACTIONS(2585),
    [anon_sym_R_DQUOTE] = ACTIONS(2587),
    [anon_sym_LR_DQUOTE] = ACTIONS(2587),
    [anon_sym_uR_DQUOTE] = ACTIONS(2587),
    [anon_sym_UR_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2587),
    [anon_sym_co_await] = ACTIONS(2585),
    [anon_sym_new] = ACTIONS(2585),
    [anon_sym_requires] = ACTIONS(2585),
    [sym_this] = ACTIONS(2585),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2589),
    [aux_sym_preproc_include_token1] = ACTIONS(2589),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token2] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2589),
    [aux_sym_preproc_else_token1] = ACTIONS(2589),
    [aux_sym_preproc_elif_token1] = ACTIONS(2589),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2589),
    [sym_preproc_directive] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP_AMP] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2589),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2589),
    [anon_sym_typedef] = ACTIONS(2589),
    [anon_sym_virtual] = ACTIONS(2589),
    [anon_sym_extern] = ACTIONS(2589),
    [anon_sym___attribute__] = ACTIONS(2589),
    [anon_sym___attribute] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2591),
    [anon_sym___declspec] = ACTIONS(2589),
    [anon_sym___based] = ACTIONS(2589),
    [anon_sym___cdecl] = ACTIONS(2589),
    [anon_sym___clrcall] = ACTIONS(2589),
    [anon_sym___stdcall] = ACTIONS(2589),
    [anon_sym___fastcall] = ACTIONS(2589),
    [anon_sym___thiscall] = ACTIONS(2589),
    [anon_sym___vectorcall] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_signed] = ACTIONS(2589),
    [anon_sym_unsigned] = ACTIONS(2589),
    [anon_sym_long] = ACTIONS(2589),
    [anon_sym_short] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_register] = ACTIONS(2589),
    [anon_sym_inline] = ACTIONS(2589),
    [anon_sym___inline] = ACTIONS(2589),
    [anon_sym___inline__] = ACTIONS(2589),
    [anon_sym___forceinline] = ACTIONS(2589),
    [anon_sym_thread_local] = ACTIONS(2589),
    [anon_sym___thread] = ACTIONS(2589),
    [anon_sym_const] = ACTIONS(2589),
    [anon_sym_constexpr] = ACTIONS(2589),
    [anon_sym_volatile] = ACTIONS(2589),
    [anon_sym_restrict] = ACTIONS(2589),
    [anon_sym___restrict__] = ACTIONS(2589),
    [anon_sym__Atomic] = ACTIONS(2589),
    [anon_sym__Noreturn] = ACTIONS(2589),
    [anon_sym_noreturn] = ACTIONS(2589),
    [anon_sym__Nonnull] = ACTIONS(2589),
    [anon_sym_mutable] = ACTIONS(2589),
    [anon_sym_constinit] = ACTIONS(2589),
    [anon_sym_consteval] = ACTIONS(2589),
    [anon_sym_alignas] = ACTIONS(2589),
    [anon_sym__Alignas] = ACTIONS(2589),
    [sym_primitive_type] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_struct] = ACTIONS(2589),
    [anon_sym_union] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_case] = ACTIONS(2589),
    [anon_sym_default] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_goto] = ACTIONS(2589),
    [anon_sym___try] = ACTIONS(2589),
    [anon_sym___leave] = ACTIONS(2589),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2591),
    [anon_sym_PLUS_PLUS] = ACTIONS(2591),
    [anon_sym_sizeof] = ACTIONS(2589),
    [anon_sym___alignof__] = ACTIONS(2589),
    [anon_sym___alignof] = ACTIONS(2589),
    [anon_sym__alignof] = ACTIONS(2589),
    [anon_sym_alignof] = ACTIONS(2589),
    [anon_sym__Alignof] = ACTIONS(2589),
    [anon_sym_offsetof] = ACTIONS(2589),
    [anon_sym__Generic] = ACTIONS(2589),
    [anon_sym_asm] = ACTIONS(2589),
    [anon_sym___asm__] = ACTIONS(2589),
    [anon_sym___asm] = ACTIONS(2589),
    [sym_number_literal] = ACTIONS(2591),
    [anon_sym_L_SQUOTE] = ACTIONS(2591),
    [anon_sym_u_SQUOTE] = ACTIONS(2591),
    [anon_sym_U_SQUOTE] = ACTIONS(2591),
    [anon_sym_u8_SQUOTE] = ACTIONS(2591),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_L_DQUOTE] = ACTIONS(2591),
    [anon_sym_u_DQUOTE] = ACTIONS(2591),
    [anon_sym_U_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8_DQUOTE] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [anon_sym_NULL] = ACTIONS(2589),
    [anon_sym_nullptr] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2589),
    [anon_sym_decltype] = ACTIONS(2589),
    [anon_sym_explicit] = ACTIONS(2589),
    [anon_sym_typename] = ACTIONS(2589),
    [anon_sym_template] = ACTIONS(2589),
    [anon_sym_operator] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_delete] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_namespace] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(2589),
    [anon_sym_static_assert] = ACTIONS(2589),
    [anon_sym_concept] = ACTIONS(2589),
    [anon_sym_co_return] = ACTIONS(2589),
    [anon_sym_co_yield] = ACTIONS(2589),
    [anon_sym_R_DQUOTE] = ACTIONS(2591),
    [anon_sym_LR_DQUOTE] = ACTIONS(2591),
    [anon_sym_uR_DQUOTE] = ACTIONS(2591),
    [anon_sym_UR_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2591),
    [anon_sym_co_await] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_requires] = ACTIONS(2589),
    [sym_this] = ACTIONS(2589),
  },
  [235] = {
    [sym_identifier] = ACTIONS(2593),
    [aux_sym_preproc_include_token1] = ACTIONS(2593),
    [aux_sym_preproc_def_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token2] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [aux_sym_preproc_else_token1] = ACTIONS(2593),
    [aux_sym_preproc_elif_token1] = ACTIONS(2593),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2593),
    [anon_sym_LPAREN2] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_TILDE] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2593),
    [anon_sym_STAR] = ACTIONS(2595),
    [anon_sym_AMP_AMP] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(2593),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_typedef] = ACTIONS(2593),
    [anon_sym_virtual] = ACTIONS(2593),
    [anon_sym_extern] = ACTIONS(2593),
    [anon_sym___attribute__] = ACTIONS(2593),
    [anon_sym___attribute] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2595),
    [anon_sym___declspec] = ACTIONS(2593),
    [anon_sym___based] = ACTIONS(2593),
    [anon_sym___cdecl] = ACTIONS(2593),
    [anon_sym___clrcall] = ACTIONS(2593),
    [anon_sym___stdcall] = ACTIONS(2593),
    [anon_sym___fastcall] = ACTIONS(2593),
    [anon_sym___thiscall] = ACTIONS(2593),
    [anon_sym___vectorcall] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2593),
    [anon_sym_unsigned] = ACTIONS(2593),
    [anon_sym_long] = ACTIONS(2593),
    [anon_sym_short] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(2593),
    [anon_sym_static] = ACTIONS(2593),
    [anon_sym_register] = ACTIONS(2593),
    [anon_sym_inline] = ACTIONS(2593),
    [anon_sym___inline] = ACTIONS(2593),
    [anon_sym___inline__] = ACTIONS(2593),
    [anon_sym___forceinline] = ACTIONS(2593),
    [anon_sym_thread_local] = ACTIONS(2593),
    [anon_sym___thread] = ACTIONS(2593),
    [anon_sym_const] = ACTIONS(2593),
    [anon_sym_constexpr] = ACTIONS(2593),
    [anon_sym_volatile] = ACTIONS(2593),
    [anon_sym_restrict] = ACTIONS(2593),
    [anon_sym___restrict__] = ACTIONS(2593),
    [anon_sym__Atomic] = ACTIONS(2593),
    [anon_sym__Noreturn] = ACTIONS(2593),
    [anon_sym_noreturn] = ACTIONS(2593),
    [anon_sym__Nonnull] = ACTIONS(2593),
    [anon_sym_mutable] = ACTIONS(2593),
    [anon_sym_constinit] = ACTIONS(2593),
    [anon_sym_consteval] = ACTIONS(2593),
    [anon_sym_alignas] = ACTIONS(2593),
    [anon_sym__Alignas] = ACTIONS(2593),
    [sym_primitive_type] = ACTIONS(2593),
    [anon_sym_enum] = ACTIONS(2593),
    [anon_sym_class] = ACTIONS(2593),
    [anon_sym_struct] = ACTIONS(2593),
    [anon_sym_union] = ACTIONS(2593),
    [anon_sym_if] = ACTIONS(2593),
    [anon_sym_else] = ACTIONS(2593),
    [anon_sym_switch] = ACTIONS(2593),
    [anon_sym_case] = ACTIONS(2593),
    [anon_sym_default] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2593),
    [anon_sym_do] = ACTIONS(2593),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2593),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2593),
    [anon_sym_goto] = ACTIONS(2593),
    [anon_sym___try] = ACTIONS(2593),
    [anon_sym___leave] = ACTIONS(2593),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_compl] = ACTIONS(2593),
    [anon_sym_DASH_DASH] = ACTIONS(2595),
    [anon_sym_PLUS_PLUS] = ACTIONS(2595),
    [anon_sym_sizeof] = ACTIONS(2593),
    [anon_sym___alignof__] = ACTIONS(2593),
    [anon_sym___alignof] = ACTIONS(2593),
    [anon_sym__alignof] = ACTIONS(2593),
    [anon_sym_alignof] = ACTIONS(2593),
    [anon_sym__Alignof] = ACTIONS(2593),
    [anon_sym_offsetof] = ACTIONS(2593),
    [anon_sym__Generic] = ACTIONS(2593),
    [anon_sym_asm] = ACTIONS(2593),
    [anon_sym___asm__] = ACTIONS(2593),
    [anon_sym___asm] = ACTIONS(2593),
    [sym_number_literal] = ACTIONS(2595),
    [anon_sym_L_SQUOTE] = ACTIONS(2595),
    [anon_sym_u_SQUOTE] = ACTIONS(2595),
    [anon_sym_U_SQUOTE] = ACTIONS(2595),
    [anon_sym_u8_SQUOTE] = ACTIONS(2595),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_L_DQUOTE] = ACTIONS(2595),
    [anon_sym_u_DQUOTE] = ACTIONS(2595),
    [anon_sym_U_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8_DQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2595),
    [sym_true] = ACTIONS(2593),
    [sym_false] = ACTIONS(2593),
    [anon_sym_NULL] = ACTIONS(2593),
    [anon_sym_nullptr] = ACTIONS(2593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2593),
    [anon_sym_decltype] = ACTIONS(2593),
    [anon_sym_explicit] = ACTIONS(2593),
    [anon_sym_typename] = ACTIONS(2593),
    [anon_sym_template] = ACTIONS(2593),
    [anon_sym_operator] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_delete] = ACTIONS(2593),
    [anon_sym_throw] = ACTIONS(2593),
    [anon_sym_namespace] = ACTIONS(2593),
    [anon_sym_using] = ACTIONS(2593),
    [anon_sym_static_assert] = ACTIONS(2593),
    [anon_sym_concept] = ACTIONS(2593),
    [anon_sym_co_return] = ACTIONS(2593),
    [anon_sym_co_yield] = ACTIONS(2593),
    [anon_sym_R_DQUOTE] = ACTIONS(2595),
    [anon_sym_LR_DQUOTE] = ACTIONS(2595),
    [anon_sym_uR_DQUOTE] = ACTIONS(2595),
    [anon_sym_UR_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2595),
    [anon_sym_co_await] = ACTIONS(2593),
    [anon_sym_new] = ACTIONS(2593),
    [anon_sym_requires] = ACTIONS(2593),
    [sym_this] = ACTIONS(2593),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2597),
    [aux_sym_preproc_include_token1] = ACTIONS(2597),
    [aux_sym_preproc_def_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token2] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2597),
    [aux_sym_preproc_else_token1] = ACTIONS(2597),
    [aux_sym_preproc_elif_token1] = ACTIONS(2597),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2597),
    [sym_preproc_directive] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_STAR] = ACTIONS(2599),
    [anon_sym_AMP_AMP] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym___extension__] = ACTIONS(2597),
    [anon_sym_typedef] = ACTIONS(2597),
    [anon_sym_virtual] = ACTIONS(2597),
    [anon_sym_extern] = ACTIONS(2597),
    [anon_sym___attribute__] = ACTIONS(2597),
    [anon_sym___attribute] = ACTIONS(2597),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2599),
    [anon_sym___declspec] = ACTIONS(2597),
    [anon_sym___based] = ACTIONS(2597),
    [anon_sym___cdecl] = ACTIONS(2597),
    [anon_sym___clrcall] = ACTIONS(2597),
    [anon_sym___stdcall] = ACTIONS(2597),
    [anon_sym___fastcall] = ACTIONS(2597),
    [anon_sym___thiscall] = ACTIONS(2597),
    [anon_sym___vectorcall] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_static] = ACTIONS(2597),
    [anon_sym_register] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(2597),
    [anon_sym___inline] = ACTIONS(2597),
    [anon_sym___inline__] = ACTIONS(2597),
    [anon_sym___forceinline] = ACTIONS(2597),
    [anon_sym_thread_local] = ACTIONS(2597),
    [anon_sym___thread] = ACTIONS(2597),
    [anon_sym_const] = ACTIONS(2597),
    [anon_sym_constexpr] = ACTIONS(2597),
    [anon_sym_volatile] = ACTIONS(2597),
    [anon_sym_restrict] = ACTIONS(2597),
    [anon_sym___restrict__] = ACTIONS(2597),
    [anon_sym__Atomic] = ACTIONS(2597),
    [anon_sym__Noreturn] = ACTIONS(2597),
    [anon_sym_noreturn] = ACTIONS(2597),
    [anon_sym__Nonnull] = ACTIONS(2597),
    [anon_sym_mutable] = ACTIONS(2597),
    [anon_sym_constinit] = ACTIONS(2597),
    [anon_sym_consteval] = ACTIONS(2597),
    [anon_sym_alignas] = ACTIONS(2597),
    [anon_sym__Alignas] = ACTIONS(2597),
    [sym_primitive_type] = ACTIONS(2597),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_struct] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_else] = ACTIONS(2597),
    [anon_sym_switch] = ACTIONS(2597),
    [anon_sym_case] = ACTIONS(2597),
    [anon_sym_default] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_break] = ACTIONS(2597),
    [anon_sym_continue] = ACTIONS(2597),
    [anon_sym_goto] = ACTIONS(2597),
    [anon_sym___try] = ACTIONS(2597),
    [anon_sym___leave] = ACTIONS(2597),
    [anon_sym_not] = ACTIONS(2597),
    [anon_sym_compl] = ACTIONS(2597),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_sizeof] = ACTIONS(2597),
    [anon_sym___alignof__] = ACTIONS(2597),
    [anon_sym___alignof] = ACTIONS(2597),
    [anon_sym__alignof] = ACTIONS(2597),
    [anon_sym_alignof] = ACTIONS(2597),
    [anon_sym__Alignof] = ACTIONS(2597),
    [anon_sym_offsetof] = ACTIONS(2597),
    [anon_sym__Generic] = ACTIONS(2597),
    [anon_sym_asm] = ACTIONS(2597),
    [anon_sym___asm__] = ACTIONS(2597),
    [anon_sym___asm] = ACTIONS(2597),
    [sym_number_literal] = ACTIONS(2599),
    [anon_sym_L_SQUOTE] = ACTIONS(2599),
    [anon_sym_u_SQUOTE] = ACTIONS(2599),
    [anon_sym_U_SQUOTE] = ACTIONS(2599),
    [anon_sym_u8_SQUOTE] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_L_DQUOTE] = ACTIONS(2599),
    [anon_sym_u_DQUOTE] = ACTIONS(2599),
    [anon_sym_U_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2599),
    [sym_true] = ACTIONS(2597),
    [sym_false] = ACTIONS(2597),
    [anon_sym_NULL] = ACTIONS(2597),
    [anon_sym_nullptr] = ACTIONS(2597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2597),
    [anon_sym_decltype] = ACTIONS(2597),
    [anon_sym_explicit] = ACTIONS(2597),
    [anon_sym_typename] = ACTIONS(2597),
    [anon_sym_template] = ACTIONS(2597),
    [anon_sym_operator] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_delete] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2597),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_using] = ACTIONS(2597),
    [anon_sym_static_assert] = ACTIONS(2597),
    [anon_sym_concept] = ACTIONS(2597),
    [anon_sym_co_return] = ACTIONS(2597),
    [anon_sym_co_yield] = ACTIONS(2597),
    [anon_sym_R_DQUOTE] = ACTIONS(2599),
    [anon_sym_LR_DQUOTE] = ACTIONS(2599),
    [anon_sym_uR_DQUOTE] = ACTIONS(2599),
    [anon_sym_UR_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2599),
    [anon_sym_co_await] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_requires] = ACTIONS(2597),
    [sym_this] = ACTIONS(2597),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2601),
    [aux_sym_preproc_include_token1] = ACTIONS(2601),
    [aux_sym_preproc_def_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token2] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2601),
    [aux_sym_preproc_else_token1] = ACTIONS(2601),
    [aux_sym_preproc_elif_token1] = ACTIONS(2601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2601),
    [sym_preproc_directive] = ACTIONS(2601),
    [anon_sym_LPAREN2] = ACTIONS(2603),
    [anon_sym_BANG] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_AMP_AMP] = ACTIONS(2603),
    [anon_sym_AMP] = ACTIONS(2601),
    [anon_sym_SEMI] = ACTIONS(2603),
    [anon_sym___extension__] = ACTIONS(2601),
    [anon_sym_typedef] = ACTIONS(2601),
    [anon_sym_virtual] = ACTIONS(2601),
    [anon_sym_extern] = ACTIONS(2601),
    [anon_sym___attribute__] = ACTIONS(2601),
    [anon_sym___attribute] = ACTIONS(2601),
    [anon_sym_COLON_COLON] = ACTIONS(2603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2603),
    [anon_sym___declspec] = ACTIONS(2601),
    [anon_sym___based] = ACTIONS(2601),
    [anon_sym___cdecl] = ACTIONS(2601),
    [anon_sym___clrcall] = ACTIONS(2601),
    [anon_sym___stdcall] = ACTIONS(2601),
    [anon_sym___fastcall] = ACTIONS(2601),
    [anon_sym___thiscall] = ACTIONS(2601),
    [anon_sym___vectorcall] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_signed] = ACTIONS(2601),
    [anon_sym_unsigned] = ACTIONS(2601),
    [anon_sym_long] = ACTIONS(2601),
    [anon_sym_short] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_register] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2601),
    [anon_sym___inline] = ACTIONS(2601),
    [anon_sym___inline__] = ACTIONS(2601),
    [anon_sym___forceinline] = ACTIONS(2601),
    [anon_sym_thread_local] = ACTIONS(2601),
    [anon_sym___thread] = ACTIONS(2601),
    [anon_sym_const] = ACTIONS(2601),
    [anon_sym_constexpr] = ACTIONS(2601),
    [anon_sym_volatile] = ACTIONS(2601),
    [anon_sym_restrict] = ACTIONS(2601),
    [anon_sym___restrict__] = ACTIONS(2601),
    [anon_sym__Atomic] = ACTIONS(2601),
    [anon_sym__Noreturn] = ACTIONS(2601),
    [anon_sym_noreturn] = ACTIONS(2601),
    [anon_sym__Nonnull] = ACTIONS(2601),
    [anon_sym_mutable] = ACTIONS(2601),
    [anon_sym_constinit] = ACTIONS(2601),
    [anon_sym_consteval] = ACTIONS(2601),
    [anon_sym_alignas] = ACTIONS(2601),
    [anon_sym__Alignas] = ACTIONS(2601),
    [sym_primitive_type] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_struct] = ACTIONS(2601),
    [anon_sym_union] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_goto] = ACTIONS(2601),
    [anon_sym___try] = ACTIONS(2601),
    [anon_sym___leave] = ACTIONS(2601),
    [anon_sym_not] = ACTIONS(2601),
    [anon_sym_compl] = ACTIONS(2601),
    [anon_sym_DASH_DASH] = ACTIONS(2603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2603),
    [anon_sym_sizeof] = ACTIONS(2601),
    [anon_sym___alignof__] = ACTIONS(2601),
    [anon_sym___alignof] = ACTIONS(2601),
    [anon_sym__alignof] = ACTIONS(2601),
    [anon_sym_alignof] = ACTIONS(2601),
    [anon_sym__Alignof] = ACTIONS(2601),
    [anon_sym_offsetof] = ACTIONS(2601),
    [anon_sym__Generic] = ACTIONS(2601),
    [anon_sym_asm] = ACTIONS(2601),
    [anon_sym___asm__] = ACTIONS(2601),
    [anon_sym___asm] = ACTIONS(2601),
    [sym_number_literal] = ACTIONS(2603),
    [anon_sym_L_SQUOTE] = ACTIONS(2603),
    [anon_sym_u_SQUOTE] = ACTIONS(2603),
    [anon_sym_U_SQUOTE] = ACTIONS(2603),
    [anon_sym_u8_SQUOTE] = ACTIONS(2603),
    [anon_sym_SQUOTE] = ACTIONS(2603),
    [anon_sym_L_DQUOTE] = ACTIONS(2603),
    [anon_sym_u_DQUOTE] = ACTIONS(2603),
    [anon_sym_U_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8_DQUOTE] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(2603),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [anon_sym_NULL] = ACTIONS(2601),
    [anon_sym_nullptr] = ACTIONS(2601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2601),
    [anon_sym_decltype] = ACTIONS(2601),
    [anon_sym_explicit] = ACTIONS(2601),
    [anon_sym_typename] = ACTIONS(2601),
    [anon_sym_template] = ACTIONS(2601),
    [anon_sym_operator] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_delete] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_namespace] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(2601),
    [anon_sym_static_assert] = ACTIONS(2601),
    [anon_sym_concept] = ACTIONS(2601),
    [anon_sym_co_return] = ACTIONS(2601),
    [anon_sym_co_yield] = ACTIONS(2601),
    [anon_sym_R_DQUOTE] = ACTIONS(2603),
    [anon_sym_LR_DQUOTE] = ACTIONS(2603),
    [anon_sym_uR_DQUOTE] = ACTIONS(2603),
    [anon_sym_UR_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2603),
    [anon_sym_co_await] = ACTIONS(2601),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_requires] = ACTIONS(2601),
    [sym_this] = ACTIONS(2601),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2605),
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token2] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [aux_sym_preproc_else_token1] = ACTIONS(2605),
    [aux_sym_preproc_elif_token1] = ACTIONS(2605),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym___extension__] = ACTIONS(2605),
    [anon_sym_typedef] = ACTIONS(2605),
    [anon_sym_virtual] = ACTIONS(2605),
    [anon_sym_extern] = ACTIONS(2605),
    [anon_sym___attribute__] = ACTIONS(2605),
    [anon_sym___attribute] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym___declspec] = ACTIONS(2605),
    [anon_sym___based] = ACTIONS(2605),
    [anon_sym___cdecl] = ACTIONS(2605),
    [anon_sym___clrcall] = ACTIONS(2605),
    [anon_sym___stdcall] = ACTIONS(2605),
    [anon_sym___fastcall] = ACTIONS(2605),
    [anon_sym___thiscall] = ACTIONS(2605),
    [anon_sym___vectorcall] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_signed] = ACTIONS(2605),
    [anon_sym_unsigned] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_register] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym___inline] = ACTIONS(2605),
    [anon_sym___inline__] = ACTIONS(2605),
    [anon_sym___forceinline] = ACTIONS(2605),
    [anon_sym_thread_local] = ACTIONS(2605),
    [anon_sym___thread] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_constexpr] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_restrict] = ACTIONS(2605),
    [anon_sym___restrict__] = ACTIONS(2605),
    [anon_sym__Atomic] = ACTIONS(2605),
    [anon_sym__Noreturn] = ACTIONS(2605),
    [anon_sym_noreturn] = ACTIONS(2605),
    [anon_sym__Nonnull] = ACTIONS(2605),
    [anon_sym_mutable] = ACTIONS(2605),
    [anon_sym_constinit] = ACTIONS(2605),
    [anon_sym_consteval] = ACTIONS(2605),
    [anon_sym_alignas] = ACTIONS(2605),
    [anon_sym__Alignas] = ACTIONS(2605),
    [sym_primitive_type] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_switch] = ACTIONS(2605),
    [anon_sym_case] = ACTIONS(2605),
    [anon_sym_default] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_do] = ACTIONS(2605),
    [anon_sym_for] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_break] = ACTIONS(2605),
    [anon_sym_continue] = ACTIONS(2605),
    [anon_sym_goto] = ACTIONS(2605),
    [anon_sym___try] = ACTIONS(2605),
    [anon_sym___leave] = ACTIONS(2605),
    [anon_sym_not] = ACTIONS(2605),
    [anon_sym_compl] = ACTIONS(2605),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_sizeof] = ACTIONS(2605),
    [anon_sym___alignof__] = ACTIONS(2605),
    [anon_sym___alignof] = ACTIONS(2605),
    [anon_sym__alignof] = ACTIONS(2605),
    [anon_sym_alignof] = ACTIONS(2605),
    [anon_sym__Alignof] = ACTIONS(2605),
    [anon_sym_offsetof] = ACTIONS(2605),
    [anon_sym__Generic] = ACTIONS(2605),
    [anon_sym_asm] = ACTIONS(2605),
    [anon_sym___asm__] = ACTIONS(2605),
    [anon_sym___asm] = ACTIONS(2605),
    [sym_number_literal] = ACTIONS(2607),
    [anon_sym_L_SQUOTE] = ACTIONS(2607),
    [anon_sym_u_SQUOTE] = ACTIONS(2607),
    [anon_sym_U_SQUOTE] = ACTIONS(2607),
    [anon_sym_u8_SQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_L_DQUOTE] = ACTIONS(2607),
    [anon_sym_u_DQUOTE] = ACTIONS(2607),
    [anon_sym_U_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8_DQUOTE] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [sym_true] = ACTIONS(2605),
    [sym_false] = ACTIONS(2605),
    [anon_sym_NULL] = ACTIONS(2605),
    [anon_sym_nullptr] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2605),
    [anon_sym_decltype] = ACTIONS(2605),
    [anon_sym_explicit] = ACTIONS(2605),
    [anon_sym_typename] = ACTIONS(2605),
    [anon_sym_template] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_delete] = ACTIONS(2605),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_namespace] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_static_assert] = ACTIONS(2605),
    [anon_sym_concept] = ACTIONS(2605),
    [anon_sym_co_return] = ACTIONS(2605),
    [anon_sym_co_yield] = ACTIONS(2605),
    [anon_sym_R_DQUOTE] = ACTIONS(2607),
    [anon_sym_LR_DQUOTE] = ACTIONS(2607),
    [anon_sym_uR_DQUOTE] = ACTIONS(2607),
    [anon_sym_UR_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2607),
    [anon_sym_co_await] = ACTIONS(2605),
    [anon_sym_new] = ACTIONS(2605),
    [anon_sym_requires] = ACTIONS(2605),
    [sym_this] = ACTIONS(2605),
  },
  [239] = {
    [sym_identifier] = ACTIONS(2609),
    [aux_sym_preproc_include_token1] = ACTIONS(2609),
    [aux_sym_preproc_def_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token2] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2609),
    [aux_sym_preproc_else_token1] = ACTIONS(2609),
    [aux_sym_preproc_elif_token1] = ACTIONS(2609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2609),
    [sym_preproc_directive] = ACTIONS(2609),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_AMP_AMP] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2609),
    [anon_sym_typedef] = ACTIONS(2609),
    [anon_sym_virtual] = ACTIONS(2609),
    [anon_sym_extern] = ACTIONS(2609),
    [anon_sym___attribute__] = ACTIONS(2609),
    [anon_sym___attribute] = ACTIONS(2609),
    [anon_sym_COLON_COLON] = ACTIONS(2611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2609),
    [anon_sym___based] = ACTIONS(2609),
    [anon_sym___cdecl] = ACTIONS(2609),
    [anon_sym___clrcall] = ACTIONS(2609),
    [anon_sym___stdcall] = ACTIONS(2609),
    [anon_sym___fastcall] = ACTIONS(2609),
    [anon_sym___thiscall] = ACTIONS(2609),
    [anon_sym___vectorcall] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2609),
    [anon_sym_unsigned] = ACTIONS(2609),
    [anon_sym_long] = ACTIONS(2609),
    [anon_sym_short] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2609),
    [anon_sym_static] = ACTIONS(2609),
    [anon_sym_register] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(2609),
    [anon_sym___inline] = ACTIONS(2609),
    [anon_sym___inline__] = ACTIONS(2609),
    [anon_sym___forceinline] = ACTIONS(2609),
    [anon_sym_thread_local] = ACTIONS(2609),
    [anon_sym___thread] = ACTIONS(2609),
    [anon_sym_const] = ACTIONS(2609),
    [anon_sym_constexpr] = ACTIONS(2609),
    [anon_sym_volatile] = ACTIONS(2609),
    [anon_sym_restrict] = ACTIONS(2609),
    [anon_sym___restrict__] = ACTIONS(2609),
    [anon_sym__Atomic] = ACTIONS(2609),
    [anon_sym__Noreturn] = ACTIONS(2609),
    [anon_sym_noreturn] = ACTIONS(2609),
    [anon_sym__Nonnull] = ACTIONS(2609),
    [anon_sym_mutable] = ACTIONS(2609),
    [anon_sym_constinit] = ACTIONS(2609),
    [anon_sym_consteval] = ACTIONS(2609),
    [anon_sym_alignas] = ACTIONS(2609),
    [anon_sym__Alignas] = ACTIONS(2609),
    [sym_primitive_type] = ACTIONS(2609),
    [anon_sym_enum] = ACTIONS(2609),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2609),
    [anon_sym_union] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2609),
    [anon_sym_switch] = ACTIONS(2609),
    [anon_sym_case] = ACTIONS(2609),
    [anon_sym_default] = ACTIONS(2609),
    [anon_sym_while] = ACTIONS(2609),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_for] = ACTIONS(2609),
    [anon_sym_return] = ACTIONS(2609),
    [anon_sym_break] = ACTIONS(2609),
    [anon_sym_continue] = ACTIONS(2609),
    [anon_sym_goto] = ACTIONS(2609),
    [anon_sym___try] = ACTIONS(2609),
    [anon_sym___leave] = ACTIONS(2609),
    [anon_sym_not] = ACTIONS(2609),
    [anon_sym_compl] = ACTIONS(2609),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2609),
    [anon_sym___alignof__] = ACTIONS(2609),
    [anon_sym___alignof] = ACTIONS(2609),
    [anon_sym__alignof] = ACTIONS(2609),
    [anon_sym_alignof] = ACTIONS(2609),
    [anon_sym__Alignof] = ACTIONS(2609),
    [anon_sym_offsetof] = ACTIONS(2609),
    [anon_sym__Generic] = ACTIONS(2609),
    [anon_sym_asm] = ACTIONS(2609),
    [anon_sym___asm__] = ACTIONS(2609),
    [anon_sym___asm] = ACTIONS(2609),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2609),
    [sym_false] = ACTIONS(2609),
    [anon_sym_NULL] = ACTIONS(2609),
    [anon_sym_nullptr] = ACTIONS(2609),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2609),
    [anon_sym_decltype] = ACTIONS(2609),
    [anon_sym_explicit] = ACTIONS(2609),
    [anon_sym_typename] = ACTIONS(2609),
    [anon_sym_template] = ACTIONS(2609),
    [anon_sym_operator] = ACTIONS(2609),
    [anon_sym_try] = ACTIONS(2609),
    [anon_sym_delete] = ACTIONS(2609),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_using] = ACTIONS(2609),
    [anon_sym_static_assert] = ACTIONS(2609),
    [anon_sym_concept] = ACTIONS(2609),
    [anon_sym_co_return] = ACTIONS(2609),
    [anon_sym_co_yield] = ACTIONS(2609),
    [anon_sym_R_DQUOTE] = ACTIONS(2611),
    [anon_sym_LR_DQUOTE] = ACTIONS(2611),
    [anon_sym_uR_DQUOTE] = ACTIONS(2611),
    [anon_sym_UR_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2611),
    [anon_sym_co_await] = ACTIONS(2609),
    [anon_sym_new] = ACTIONS(2609),
    [anon_sym_requires] = ACTIONS(2609),
    [sym_this] = ACTIONS(2609),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2613),
    [aux_sym_preproc_include_token1] = ACTIONS(2613),
    [aux_sym_preproc_def_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token2] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2613),
    [aux_sym_preproc_else_token1] = ACTIONS(2613),
    [aux_sym_preproc_elif_token1] = ACTIONS(2613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2613),
    [sym_preproc_directive] = ACTIONS(2613),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(2613),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym___extension__] = ACTIONS(2613),
    [anon_sym_typedef] = ACTIONS(2613),
    [anon_sym_virtual] = ACTIONS(2613),
    [anon_sym_extern] = ACTIONS(2613),
    [anon_sym___attribute__] = ACTIONS(2613),
    [anon_sym___attribute] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2615),
    [anon_sym___declspec] = ACTIONS(2613),
    [anon_sym___based] = ACTIONS(2613),
    [anon_sym___cdecl] = ACTIONS(2613),
    [anon_sym___clrcall] = ACTIONS(2613),
    [anon_sym___stdcall] = ACTIONS(2613),
    [anon_sym___fastcall] = ACTIONS(2613),
    [anon_sym___thiscall] = ACTIONS(2613),
    [anon_sym___vectorcall] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_signed] = ACTIONS(2613),
    [anon_sym_unsigned] = ACTIONS(2613),
    [anon_sym_long] = ACTIONS(2613),
    [anon_sym_short] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_static] = ACTIONS(2613),
    [anon_sym_register] = ACTIONS(2613),
    [anon_sym_inline] = ACTIONS(2613),
    [anon_sym___inline] = ACTIONS(2613),
    [anon_sym___inline__] = ACTIONS(2613),
    [anon_sym___forceinline] = ACTIONS(2613),
    [anon_sym_thread_local] = ACTIONS(2613),
    [anon_sym___thread] = ACTIONS(2613),
    [anon_sym_const] = ACTIONS(2613),
    [anon_sym_constexpr] = ACTIONS(2613),
    [anon_sym_volatile] = ACTIONS(2613),
    [anon_sym_restrict] = ACTIONS(2613),
    [anon_sym___restrict__] = ACTIONS(2613),
    [anon_sym__Atomic] = ACTIONS(2613),
    [anon_sym__Noreturn] = ACTIONS(2613),
    [anon_sym_noreturn] = ACTIONS(2613),
    [anon_sym__Nonnull] = ACTIONS(2613),
    [anon_sym_mutable] = ACTIONS(2613),
    [anon_sym_constinit] = ACTIONS(2613),
    [anon_sym_consteval] = ACTIONS(2613),
    [anon_sym_alignas] = ACTIONS(2613),
    [anon_sym__Alignas] = ACTIONS(2613),
    [sym_primitive_type] = ACTIONS(2613),
    [anon_sym_enum] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_struct] = ACTIONS(2613),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_if] = ACTIONS(2613),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_switch] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_do] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_break] = ACTIONS(2613),
    [anon_sym_continue] = ACTIONS(2613),
    [anon_sym_goto] = ACTIONS(2613),
    [anon_sym___try] = ACTIONS(2613),
    [anon_sym___leave] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2613),
    [anon_sym_compl] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2613),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2613),
    [anon_sym__Generic] = ACTIONS(2613),
    [anon_sym_asm] = ACTIONS(2613),
    [anon_sym___asm__] = ACTIONS(2613),
    [anon_sym___asm] = ACTIONS(2613),
    [sym_number_literal] = ACTIONS(2615),
    [anon_sym_L_SQUOTE] = ACTIONS(2615),
    [anon_sym_u_SQUOTE] = ACTIONS(2615),
    [anon_sym_U_SQUOTE] = ACTIONS(2615),
    [anon_sym_u8_SQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE] = ACTIONS(2615),
    [anon_sym_L_DQUOTE] = ACTIONS(2615),
    [anon_sym_u_DQUOTE] = ACTIONS(2615),
    [anon_sym_U_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [sym_true] = ACTIONS(2613),
    [sym_false] = ACTIONS(2613),
    [anon_sym_NULL] = ACTIONS(2613),
    [anon_sym_nullptr] = ACTIONS(2613),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2613),
    [anon_sym_decltype] = ACTIONS(2613),
    [anon_sym_explicit] = ACTIONS(2613),
    [anon_sym_typename] = ACTIONS(2613),
    [anon_sym_template] = ACTIONS(2613),
    [anon_sym_operator] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2613),
    [anon_sym_delete] = ACTIONS(2613),
    [anon_sym_throw] = ACTIONS(2613),
    [anon_sym_namespace] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(2613),
    [anon_sym_static_assert] = ACTIONS(2613),
    [anon_sym_concept] = ACTIONS(2613),
    [anon_sym_co_return] = ACTIONS(2613),
    [anon_sym_co_yield] = ACTIONS(2613),
    [anon_sym_R_DQUOTE] = ACTIONS(2615),
    [anon_sym_LR_DQUOTE] = ACTIONS(2615),
    [anon_sym_uR_DQUOTE] = ACTIONS(2615),
    [anon_sym_UR_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2615),
    [anon_sym_co_await] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_requires] = ACTIONS(2613),
    [sym_this] = ACTIONS(2613),
  },
  [241] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym___attribute] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym__Nonnull] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym__Alignas] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [anon_sym___asm] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [aux_sym_preproc_else_token1] = ACTIONS(2621),
    [aux_sym_preproc_elif_token1] = ACTIONS(2621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym___attribute] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym__Nonnull] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym__Alignas] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [anon_sym___asm] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
  },
  [243] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [aux_sym_preproc_else_token1] = ACTIONS(2625),
    [aux_sym_preproc_elif_token1] = ACTIONS(2625),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym___attribute] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym__Nonnull] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym__Alignas] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym___attribute] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_else] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
  },
  [245] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym___attribute] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2641),
    [aux_sym_preproc_elif_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym___attribute] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_else] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
  },
  [249] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [aux_sym_preproc_else_token1] = ACTIONS(2645),
    [aux_sym_preproc_elif_token1] = ACTIONS(2645),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym___attribute] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym__Nonnull] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym__Alignas] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_else] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [anon_sym___asm] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token2] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [aux_sym_preproc_else_token1] = ACTIONS(2649),
    [aux_sym_preproc_elif_token1] = ACTIONS(2649),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym___attribute] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym__Nonnull] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym__Alignas] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [anon_sym___asm] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [aux_sym_preproc_else_token1] = ACTIONS(2653),
    [aux_sym_preproc_elif_token1] = ACTIONS(2653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [252] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token2] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [aux_sym_preproc_else_token1] = ACTIONS(2657),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym___attribute] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym__Nonnull] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym__Alignas] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [anon_sym___asm] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token2] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [aux_sym_preproc_else_token1] = ACTIONS(2661),
    [aux_sym_preproc_elif_token1] = ACTIONS(2661),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym___attribute] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym__Nonnull] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym__Alignas] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [anon_sym___asm] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token2] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [aux_sym_preproc_else_token1] = ACTIONS(2665),
    [aux_sym_preproc_elif_token1] = ACTIONS(2665),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym___attribute] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym__Nonnull] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym__Alignas] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_else] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [anon_sym___asm] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token2] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [aux_sym_preproc_else_token1] = ACTIONS(2669),
    [aux_sym_preproc_elif_token1] = ACTIONS(2669),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym___attribute] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym__Nonnull] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym__Alignas] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [anon_sym___asm] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [aux_sym_preproc_else_token1] = ACTIONS(2673),
    [aux_sym_preproc_elif_token1] = ACTIONS(2673),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym___attribute] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym__Nonnull] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym__Alignas] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [anon_sym___asm] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token2] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [aux_sym_preproc_else_token1] = ACTIONS(2677),
    [aux_sym_preproc_elif_token1] = ACTIONS(2677),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym___attribute] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym__Nonnull] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym__Alignas] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [anon_sym___asm] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [aux_sym_preproc_else_token1] = ACTIONS(1909),
    [aux_sym_preproc_elif_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_include_token1] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2683),
    [aux_sym_preproc_if_token1] = ACTIONS(2683),
    [aux_sym_preproc_if_token2] = ACTIONS(2683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2683),
    [aux_sym_preproc_else_token1] = ACTIONS(2683),
    [aux_sym_preproc_elif_token1] = ACTIONS(2683),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2683),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2683),
    [sym_preproc_directive] = ACTIONS(2683),
    [anon_sym_LPAREN2] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym___extension__] = ACTIONS(2683),
    [anon_sym_typedef] = ACTIONS(2683),
    [anon_sym_virtual] = ACTIONS(2683),
    [anon_sym_extern] = ACTIONS(2683),
    [anon_sym___attribute__] = ACTIONS(2683),
    [anon_sym___attribute] = ACTIONS(2683),
    [anon_sym_COLON_COLON] = ACTIONS(2685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2685),
    [anon_sym___declspec] = ACTIONS(2683),
    [anon_sym___based] = ACTIONS(2683),
    [anon_sym___cdecl] = ACTIONS(2683),
    [anon_sym___clrcall] = ACTIONS(2683),
    [anon_sym___stdcall] = ACTIONS(2683),
    [anon_sym___fastcall] = ACTIONS(2683),
    [anon_sym___thiscall] = ACTIONS(2683),
    [anon_sym___vectorcall] = ACTIONS(2683),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_signed] = ACTIONS(2683),
    [anon_sym_unsigned] = ACTIONS(2683),
    [anon_sym_long] = ACTIONS(2683),
    [anon_sym_short] = ACTIONS(2683),
    [anon_sym_LBRACK] = ACTIONS(2683),
    [anon_sym_static] = ACTIONS(2683),
    [anon_sym_register] = ACTIONS(2683),
    [anon_sym_inline] = ACTIONS(2683),
    [anon_sym___inline] = ACTIONS(2683),
    [anon_sym___inline__] = ACTIONS(2683),
    [anon_sym___forceinline] = ACTIONS(2683),
    [anon_sym_thread_local] = ACTIONS(2683),
    [anon_sym___thread] = ACTIONS(2683),
    [anon_sym_const] = ACTIONS(2683),
    [anon_sym_constexpr] = ACTIONS(2683),
    [anon_sym_volatile] = ACTIONS(2683),
    [anon_sym_restrict] = ACTIONS(2683),
    [anon_sym___restrict__] = ACTIONS(2683),
    [anon_sym__Atomic] = ACTIONS(2683),
    [anon_sym__Noreturn] = ACTIONS(2683),
    [anon_sym_noreturn] = ACTIONS(2683),
    [anon_sym__Nonnull] = ACTIONS(2683),
    [anon_sym_mutable] = ACTIONS(2683),
    [anon_sym_constinit] = ACTIONS(2683),
    [anon_sym_consteval] = ACTIONS(2683),
    [anon_sym_alignas] = ACTIONS(2683),
    [anon_sym__Alignas] = ACTIONS(2683),
    [sym_primitive_type] = ACTIONS(2683),
    [anon_sym_enum] = ACTIONS(2683),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_struct] = ACTIONS(2683),
    [anon_sym_union] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_else] = ACTIONS(2683),
    [anon_sym_switch] = ACTIONS(2683),
    [anon_sym_case] = ACTIONS(2683),
    [anon_sym_default] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(2683),
    [anon_sym_for] = ACTIONS(2683),
    [anon_sym_return] = ACTIONS(2683),
    [anon_sym_break] = ACTIONS(2683),
    [anon_sym_continue] = ACTIONS(2683),
    [anon_sym_goto] = ACTIONS(2683),
    [anon_sym___try] = ACTIONS(2683),
    [anon_sym___leave] = ACTIONS(2683),
    [anon_sym_not] = ACTIONS(2683),
    [anon_sym_compl] = ACTIONS(2683),
    [anon_sym_DASH_DASH] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2685),
    [anon_sym_sizeof] = ACTIONS(2683),
    [anon_sym___alignof__] = ACTIONS(2683),
    [anon_sym___alignof] = ACTIONS(2683),
    [anon_sym__alignof] = ACTIONS(2683),
    [anon_sym_alignof] = ACTIONS(2683),
    [anon_sym__Alignof] = ACTIONS(2683),
    [anon_sym_offsetof] = ACTIONS(2683),
    [anon_sym__Generic] = ACTIONS(2683),
    [anon_sym_asm] = ACTIONS(2683),
    [anon_sym___asm__] = ACTIONS(2683),
    [anon_sym___asm] = ACTIONS(2683),
    [sym_number_literal] = ACTIONS(2685),
    [anon_sym_L_SQUOTE] = ACTIONS(2685),
    [anon_sym_u_SQUOTE] = ACTIONS(2685),
    [anon_sym_U_SQUOTE] = ACTIONS(2685),
    [anon_sym_u8_SQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2685),
    [anon_sym_L_DQUOTE] = ACTIONS(2685),
    [anon_sym_u_DQUOTE] = ACTIONS(2685),
    [anon_sym_U_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [sym_true] = ACTIONS(2683),
    [sym_false] = ACTIONS(2683),
    [anon_sym_NULL] = ACTIONS(2683),
    [anon_sym_nullptr] = ACTIONS(2683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2683),
    [anon_sym_decltype] = ACTIONS(2683),
    [anon_sym_explicit] = ACTIONS(2683),
    [anon_sym_typename] = ACTIONS(2683),
    [anon_sym_template] = ACTIONS(2683),
    [anon_sym_operator] = ACTIONS(2683),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_delete] = ACTIONS(2683),
    [anon_sym_throw] = ACTIONS(2683),
    [anon_sym_namespace] = ACTIONS(2683),
    [anon_sym_using] = ACTIONS(2683),
    [anon_sym_static_assert] = ACTIONS(2683),
    [anon_sym_concept] = ACTIONS(2683),
    [anon_sym_co_return] = ACTIONS(2683),
    [anon_sym_co_yield] = ACTIONS(2683),
    [anon_sym_R_DQUOTE] = ACTIONS(2685),
    [anon_sym_LR_DQUOTE] = ACTIONS(2685),
    [anon_sym_uR_DQUOTE] = ACTIONS(2685),
    [anon_sym_UR_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2685),
    [anon_sym_co_await] = ACTIONS(2683),
    [anon_sym_new] = ACTIONS(2683),
    [anon_sym_requires] = ACTIONS(2683),
    [sym_this] = ACTIONS(2683),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2687),
    [aux_sym_preproc_include_token1] = ACTIONS(2687),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2687),
    [aux_sym_preproc_else_token1] = ACTIONS(2687),
    [aux_sym_preproc_elif_token1] = ACTIONS(2687),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2687),
    [sym_preproc_directive] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym___extension__] = ACTIONS(2687),
    [anon_sym_typedef] = ACTIONS(2687),
    [anon_sym_virtual] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym___attribute__] = ACTIONS(2687),
    [anon_sym___attribute] = ACTIONS(2687),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2689),
    [anon_sym___declspec] = ACTIONS(2687),
    [anon_sym___based] = ACTIONS(2687),
    [anon_sym___cdecl] = ACTIONS(2687),
    [anon_sym___clrcall] = ACTIONS(2687),
    [anon_sym___stdcall] = ACTIONS(2687),
    [anon_sym___fastcall] = ACTIONS(2687),
    [anon_sym___thiscall] = ACTIONS(2687),
    [anon_sym___vectorcall] = ACTIONS(2687),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_signed] = ACTIONS(2687),
    [anon_sym_unsigned] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_register] = ACTIONS(2687),
    [anon_sym_inline] = ACTIONS(2687),
    [anon_sym___inline] = ACTIONS(2687),
    [anon_sym___inline__] = ACTIONS(2687),
    [anon_sym___forceinline] = ACTIONS(2687),
    [anon_sym_thread_local] = ACTIONS(2687),
    [anon_sym___thread] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_constexpr] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_restrict] = ACTIONS(2687),
    [anon_sym___restrict__] = ACTIONS(2687),
    [anon_sym__Atomic] = ACTIONS(2687),
    [anon_sym__Noreturn] = ACTIONS(2687),
    [anon_sym_noreturn] = ACTIONS(2687),
    [anon_sym__Nonnull] = ACTIONS(2687),
    [anon_sym_mutable] = ACTIONS(2687),
    [anon_sym_constinit] = ACTIONS(2687),
    [anon_sym_consteval] = ACTIONS(2687),
    [anon_sym_alignas] = ACTIONS(2687),
    [anon_sym__Alignas] = ACTIONS(2687),
    [sym_primitive_type] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2687),
    [anon_sym_switch] = ACTIONS(2687),
    [anon_sym_case] = ACTIONS(2687),
    [anon_sym_default] = ACTIONS(2687),
    [anon_sym_while] = ACTIONS(2687),
    [anon_sym_do] = ACTIONS(2687),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_return] = ACTIONS(2687),
    [anon_sym_break] = ACTIONS(2687),
    [anon_sym_continue] = ACTIONS(2687),
    [anon_sym_goto] = ACTIONS(2687),
    [anon_sym___try] = ACTIONS(2687),
    [anon_sym___leave] = ACTIONS(2687),
    [anon_sym_not] = ACTIONS(2687),
    [anon_sym_compl] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_sizeof] = ACTIONS(2687),
    [anon_sym___alignof__] = ACTIONS(2687),
    [anon_sym___alignof] = ACTIONS(2687),
    [anon_sym__alignof] = ACTIONS(2687),
    [anon_sym_alignof] = ACTIONS(2687),
    [anon_sym__Alignof] = ACTIONS(2687),
    [anon_sym_offsetof] = ACTIONS(2687),
    [anon_sym__Generic] = ACTIONS(2687),
    [anon_sym_asm] = ACTIONS(2687),
    [anon_sym___asm__] = ACTIONS(2687),
    [anon_sym___asm] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2689),
    [anon_sym_L_SQUOTE] = ACTIONS(2689),
    [anon_sym_u_SQUOTE] = ACTIONS(2689),
    [anon_sym_U_SQUOTE] = ACTIONS(2689),
    [anon_sym_u8_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_L_DQUOTE] = ACTIONS(2689),
    [anon_sym_u_DQUOTE] = ACTIONS(2689),
    [anon_sym_U_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [sym_true] = ACTIONS(2687),
    [sym_false] = ACTIONS(2687),
    [anon_sym_NULL] = ACTIONS(2687),
    [anon_sym_nullptr] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2687),
    [anon_sym_decltype] = ACTIONS(2687),
    [anon_sym_explicit] = ACTIONS(2687),
    [anon_sym_typename] = ACTIONS(2687),
    [anon_sym_template] = ACTIONS(2687),
    [anon_sym_operator] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2687),
    [anon_sym_delete] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2687),
    [anon_sym_namespace] = ACTIONS(2687),
    [anon_sym_using] = ACTIONS(2687),
    [anon_sym_static_assert] = ACTIONS(2687),
    [anon_sym_concept] = ACTIONS(2687),
    [anon_sym_co_return] = ACTIONS(2687),
    [anon_sym_co_yield] = ACTIONS(2687),
    [anon_sym_R_DQUOTE] = ACTIONS(2689),
    [anon_sym_LR_DQUOTE] = ACTIONS(2689),
    [anon_sym_uR_DQUOTE] = ACTIONS(2689),
    [anon_sym_UR_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2689),
    [anon_sym_co_await] = ACTIONS(2687),
    [anon_sym_new] = ACTIONS(2687),
    [anon_sym_requires] = ACTIONS(2687),
    [sym_this] = ACTIONS(2687),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2691),
    [aux_sym_preproc_include_token1] = ACTIONS(2691),
    [aux_sym_preproc_def_token1] = ACTIONS(2691),
    [aux_sym_preproc_if_token1] = ACTIONS(2691),
    [aux_sym_preproc_if_token2] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2691),
    [aux_sym_preproc_elif_token1] = ACTIONS(2691),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2691),
    [sym_preproc_directive] = ACTIONS(2691),
    [anon_sym_LPAREN2] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2691),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2693),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym___extension__] = ACTIONS(2691),
    [anon_sym_typedef] = ACTIONS(2691),
    [anon_sym_virtual] = ACTIONS(2691),
    [anon_sym_extern] = ACTIONS(2691),
    [anon_sym___attribute__] = ACTIONS(2691),
    [anon_sym___attribute] = ACTIONS(2691),
    [anon_sym_COLON_COLON] = ACTIONS(2693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2693),
    [anon_sym___declspec] = ACTIONS(2691),
    [anon_sym___based] = ACTIONS(2691),
    [anon_sym___cdecl] = ACTIONS(2691),
    [anon_sym___clrcall] = ACTIONS(2691),
    [anon_sym___stdcall] = ACTIONS(2691),
    [anon_sym___fastcall] = ACTIONS(2691),
    [anon_sym___thiscall] = ACTIONS(2691),
    [anon_sym___vectorcall] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(2693),
    [anon_sym_signed] = ACTIONS(2691),
    [anon_sym_unsigned] = ACTIONS(2691),
    [anon_sym_long] = ACTIONS(2691),
    [anon_sym_short] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_static] = ACTIONS(2691),
    [anon_sym_register] = ACTIONS(2691),
    [anon_sym_inline] = ACTIONS(2691),
    [anon_sym___inline] = ACTIONS(2691),
    [anon_sym___inline__] = ACTIONS(2691),
    [anon_sym___forceinline] = ACTIONS(2691),
    [anon_sym_thread_local] = ACTIONS(2691),
    [anon_sym___thread] = ACTIONS(2691),
    [anon_sym_const] = ACTIONS(2691),
    [anon_sym_constexpr] = ACTIONS(2691),
    [anon_sym_volatile] = ACTIONS(2691),
    [anon_sym_restrict] = ACTIONS(2691),
    [anon_sym___restrict__] = ACTIONS(2691),
    [anon_sym__Atomic] = ACTIONS(2691),
    [anon_sym__Noreturn] = ACTIONS(2691),
    [anon_sym_noreturn] = ACTIONS(2691),
    [anon_sym__Nonnull] = ACTIONS(2691),
    [anon_sym_mutable] = ACTIONS(2691),
    [anon_sym_constinit] = ACTIONS(2691),
    [anon_sym_consteval] = ACTIONS(2691),
    [anon_sym_alignas] = ACTIONS(2691),
    [anon_sym__Alignas] = ACTIONS(2691),
    [sym_primitive_type] = ACTIONS(2691),
    [anon_sym_enum] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2691),
    [anon_sym_struct] = ACTIONS(2691),
    [anon_sym_union] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2691),
    [anon_sym_switch] = ACTIONS(2691),
    [anon_sym_case] = ACTIONS(2691),
    [anon_sym_default] = ACTIONS(2691),
    [anon_sym_while] = ACTIONS(2691),
    [anon_sym_do] = ACTIONS(2691),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_return] = ACTIONS(2691),
    [anon_sym_break] = ACTIONS(2691),
    [anon_sym_continue] = ACTIONS(2691),
    [anon_sym_goto] = ACTIONS(2691),
    [anon_sym___try] = ACTIONS(2691),
    [anon_sym___leave] = ACTIONS(2691),
    [anon_sym_not] = ACTIONS(2691),
    [anon_sym_compl] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_sizeof] = ACTIONS(2691),
    [anon_sym___alignof__] = ACTIONS(2691),
    [anon_sym___alignof] = ACTIONS(2691),
    [anon_sym__alignof] = ACTIONS(2691),
    [anon_sym_alignof] = ACTIONS(2691),
    [anon_sym__Alignof] = ACTIONS(2691),
    [anon_sym_offsetof] = ACTIONS(2691),
    [anon_sym__Generic] = ACTIONS(2691),
    [anon_sym_asm] = ACTIONS(2691),
    [anon_sym___asm__] = ACTIONS(2691),
    [anon_sym___asm] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2693),
    [anon_sym_L_SQUOTE] = ACTIONS(2693),
    [anon_sym_u_SQUOTE] = ACTIONS(2693),
    [anon_sym_U_SQUOTE] = ACTIONS(2693),
    [anon_sym_u8_SQUOTE] = ACTIONS(2693),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_L_DQUOTE] = ACTIONS(2693),
    [anon_sym_u_DQUOTE] = ACTIONS(2693),
    [anon_sym_U_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [sym_true] = ACTIONS(2691),
    [sym_false] = ACTIONS(2691),
    [anon_sym_NULL] = ACTIONS(2691),
    [anon_sym_nullptr] = ACTIONS(2691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2691),
    [anon_sym_decltype] = ACTIONS(2691),
    [anon_sym_explicit] = ACTIONS(2691),
    [anon_sym_typename] = ACTIONS(2691),
    [anon_sym_template] = ACTIONS(2691),
    [anon_sym_operator] = ACTIONS(2691),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_delete] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2691),
    [anon_sym_namespace] = ACTIONS(2691),
    [anon_sym_using] = ACTIONS(2691),
    [anon_sym_static_assert] = ACTIONS(2691),
    [anon_sym_concept] = ACTIONS(2691),
    [anon_sym_co_return] = ACTIONS(2691),
    [anon_sym_co_yield] = ACTIONS(2691),
    [anon_sym_R_DQUOTE] = ACTIONS(2693),
    [anon_sym_LR_DQUOTE] = ACTIONS(2693),
    [anon_sym_uR_DQUOTE] = ACTIONS(2693),
    [anon_sym_UR_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2693),
    [anon_sym_co_await] = ACTIONS(2691),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_requires] = ACTIONS(2691),
    [sym_this] = ACTIONS(2691),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2695),
    [aux_sym_preproc_include_token1] = ACTIONS(2695),
    [aux_sym_preproc_def_token1] = ACTIONS(2695),
    [aux_sym_preproc_if_token1] = ACTIONS(2695),
    [aux_sym_preproc_if_token2] = ACTIONS(2695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2695),
    [aux_sym_preproc_else_token1] = ACTIONS(2695),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2695),
    [sym_preproc_directive] = ACTIONS(2695),
    [anon_sym_LPAREN2] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym___extension__] = ACTIONS(2695),
    [anon_sym_typedef] = ACTIONS(2695),
    [anon_sym_virtual] = ACTIONS(2695),
    [anon_sym_extern] = ACTIONS(2695),
    [anon_sym___attribute__] = ACTIONS(2695),
    [anon_sym___attribute] = ACTIONS(2695),
    [anon_sym_COLON_COLON] = ACTIONS(2697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2697),
    [anon_sym___declspec] = ACTIONS(2695),
    [anon_sym___based] = ACTIONS(2695),
    [anon_sym___cdecl] = ACTIONS(2695),
    [anon_sym___clrcall] = ACTIONS(2695),
    [anon_sym___stdcall] = ACTIONS(2695),
    [anon_sym___fastcall] = ACTIONS(2695),
    [anon_sym___thiscall] = ACTIONS(2695),
    [anon_sym___vectorcall] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_signed] = ACTIONS(2695),
    [anon_sym_unsigned] = ACTIONS(2695),
    [anon_sym_long] = ACTIONS(2695),
    [anon_sym_short] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_register] = ACTIONS(2695),
    [anon_sym_inline] = ACTIONS(2695),
    [anon_sym___inline] = ACTIONS(2695),
    [anon_sym___inline__] = ACTIONS(2695),
    [anon_sym___forceinline] = ACTIONS(2695),
    [anon_sym_thread_local] = ACTIONS(2695),
    [anon_sym___thread] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_constexpr] = ACTIONS(2695),
    [anon_sym_volatile] = ACTIONS(2695),
    [anon_sym_restrict] = ACTIONS(2695),
    [anon_sym___restrict__] = ACTIONS(2695),
    [anon_sym__Atomic] = ACTIONS(2695),
    [anon_sym__Noreturn] = ACTIONS(2695),
    [anon_sym_noreturn] = ACTIONS(2695),
    [anon_sym__Nonnull] = ACTIONS(2695),
    [anon_sym_mutable] = ACTIONS(2695),
    [anon_sym_constinit] = ACTIONS(2695),
    [anon_sym_consteval] = ACTIONS(2695),
    [anon_sym_alignas] = ACTIONS(2695),
    [anon_sym__Alignas] = ACTIONS(2695),
    [sym_primitive_type] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(2695),
    [anon_sym_union] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2695),
    [anon_sym_switch] = ACTIONS(2695),
    [anon_sym_case] = ACTIONS(2695),
    [anon_sym_default] = ACTIONS(2695),
    [anon_sym_while] = ACTIONS(2695),
    [anon_sym_do] = ACTIONS(2695),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_return] = ACTIONS(2695),
    [anon_sym_break] = ACTIONS(2695),
    [anon_sym_continue] = ACTIONS(2695),
    [anon_sym_goto] = ACTIONS(2695),
    [anon_sym___try] = ACTIONS(2695),
    [anon_sym___leave] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_compl] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_sizeof] = ACTIONS(2695),
    [anon_sym___alignof__] = ACTIONS(2695),
    [anon_sym___alignof] = ACTIONS(2695),
    [anon_sym__alignof] = ACTIONS(2695),
    [anon_sym_alignof] = ACTIONS(2695),
    [anon_sym__Alignof] = ACTIONS(2695),
    [anon_sym_offsetof] = ACTIONS(2695),
    [anon_sym__Generic] = ACTIONS(2695),
    [anon_sym_asm] = ACTIONS(2695),
    [anon_sym___asm__] = ACTIONS(2695),
    [anon_sym___asm] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2697),
    [anon_sym_L_SQUOTE] = ACTIONS(2697),
    [anon_sym_u_SQUOTE] = ACTIONS(2697),
    [anon_sym_U_SQUOTE] = ACTIONS(2697),
    [anon_sym_u8_SQUOTE] = ACTIONS(2697),
    [anon_sym_SQUOTE] = ACTIONS(2697),
    [anon_sym_L_DQUOTE] = ACTIONS(2697),
    [anon_sym_u_DQUOTE] = ACTIONS(2697),
    [anon_sym_U_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [sym_true] = ACTIONS(2695),
    [sym_false] = ACTIONS(2695),
    [anon_sym_NULL] = ACTIONS(2695),
    [anon_sym_nullptr] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2695),
    [anon_sym_decltype] = ACTIONS(2695),
    [anon_sym_explicit] = ACTIONS(2695),
    [anon_sym_typename] = ACTIONS(2695),
    [anon_sym_template] = ACTIONS(2695),
    [anon_sym_operator] = ACTIONS(2695),
    [anon_sym_try] = ACTIONS(2695),
    [anon_sym_delete] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2695),
    [anon_sym_namespace] = ACTIONS(2695),
    [anon_sym_using] = ACTIONS(2695),
    [anon_sym_static_assert] = ACTIONS(2695),
    [anon_sym_concept] = ACTIONS(2695),
    [anon_sym_co_return] = ACTIONS(2695),
    [anon_sym_co_yield] = ACTIONS(2695),
    [anon_sym_R_DQUOTE] = ACTIONS(2697),
    [anon_sym_LR_DQUOTE] = ACTIONS(2697),
    [anon_sym_uR_DQUOTE] = ACTIONS(2697),
    [anon_sym_UR_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2697),
    [anon_sym_co_await] = ACTIONS(2695),
    [anon_sym_new] = ACTIONS(2695),
    [anon_sym_requires] = ACTIONS(2695),
    [sym_this] = ACTIONS(2695),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_include_token1] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [aux_sym_preproc_else_token1] = ACTIONS(2699),
    [aux_sym_preproc_elif_token1] = ACTIONS(2699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym___cdecl] = ACTIONS(2699),
    [anon_sym___clrcall] = ACTIONS(2699),
    [anon_sym___stdcall] = ACTIONS(2699),
    [anon_sym___fastcall] = ACTIONS(2699),
    [anon_sym___thiscall] = ACTIONS(2699),
    [anon_sym___vectorcall] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
    [anon_sym_concept] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_include_token1] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [aux_sym_preproc_else_token1] = ACTIONS(2699),
    [aux_sym_preproc_elif_token1] = ACTIONS(2699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym___cdecl] = ACTIONS(2699),
    [anon_sym___clrcall] = ACTIONS(2699),
    [anon_sym___stdcall] = ACTIONS(2699),
    [anon_sym___fastcall] = ACTIONS(2699),
    [anon_sym___thiscall] = ACTIONS(2699),
    [anon_sym___vectorcall] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
    [anon_sym_concept] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2703),
    [aux_sym_preproc_include_token1] = ACTIONS(2703),
    [aux_sym_preproc_def_token1] = ACTIONS(2703),
    [aux_sym_preproc_if_token1] = ACTIONS(2703),
    [aux_sym_preproc_if_token2] = ACTIONS(2703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2703),
    [aux_sym_preproc_else_token1] = ACTIONS(2703),
    [aux_sym_preproc_elif_token1] = ACTIONS(2703),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2703),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2703),
    [sym_preproc_directive] = ACTIONS(2703),
    [anon_sym_LPAREN2] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym___extension__] = ACTIONS(2703),
    [anon_sym_typedef] = ACTIONS(2703),
    [anon_sym_virtual] = ACTIONS(2703),
    [anon_sym_extern] = ACTIONS(2703),
    [anon_sym___attribute__] = ACTIONS(2703),
    [anon_sym___attribute] = ACTIONS(2703),
    [anon_sym_COLON_COLON] = ACTIONS(2705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2705),
    [anon_sym___declspec] = ACTIONS(2703),
    [anon_sym___based] = ACTIONS(2703),
    [anon_sym___cdecl] = ACTIONS(2703),
    [anon_sym___clrcall] = ACTIONS(2703),
    [anon_sym___stdcall] = ACTIONS(2703),
    [anon_sym___fastcall] = ACTIONS(2703),
    [anon_sym___thiscall] = ACTIONS(2703),
    [anon_sym___vectorcall] = ACTIONS(2703),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_signed] = ACTIONS(2703),
    [anon_sym_unsigned] = ACTIONS(2703),
    [anon_sym_long] = ACTIONS(2703),
    [anon_sym_short] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_register] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(2703),
    [anon_sym___inline] = ACTIONS(2703),
    [anon_sym___inline__] = ACTIONS(2703),
    [anon_sym___forceinline] = ACTIONS(2703),
    [anon_sym_thread_local] = ACTIONS(2703),
    [anon_sym___thread] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_constexpr] = ACTIONS(2703),
    [anon_sym_volatile] = ACTIONS(2703),
    [anon_sym_restrict] = ACTIONS(2703),
    [anon_sym___restrict__] = ACTIONS(2703),
    [anon_sym__Atomic] = ACTIONS(2703),
    [anon_sym__Noreturn] = ACTIONS(2703),
    [anon_sym_noreturn] = ACTIONS(2703),
    [anon_sym__Nonnull] = ACTIONS(2703),
    [anon_sym_mutable] = ACTIONS(2703),
    [anon_sym_constinit] = ACTIONS(2703),
    [anon_sym_consteval] = ACTIONS(2703),
    [anon_sym_alignas] = ACTIONS(2703),
    [anon_sym__Alignas] = ACTIONS(2703),
    [sym_primitive_type] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2703),
    [anon_sym_struct] = ACTIONS(2703),
    [anon_sym_union] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_else] = ACTIONS(2703),
    [anon_sym_switch] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2703),
    [anon_sym_default] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_goto] = ACTIONS(2703),
    [anon_sym___try] = ACTIONS(2703),
    [anon_sym___leave] = ACTIONS(2703),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_sizeof] = ACTIONS(2703),
    [anon_sym___alignof__] = ACTIONS(2703),
    [anon_sym___alignof] = ACTIONS(2703),
    [anon_sym__alignof] = ACTIONS(2703),
    [anon_sym_alignof] = ACTIONS(2703),
    [anon_sym__Alignof] = ACTIONS(2703),
    [anon_sym_offsetof] = ACTIONS(2703),
    [anon_sym__Generic] = ACTIONS(2703),
    [anon_sym_asm] = ACTIONS(2703),
    [anon_sym___asm__] = ACTIONS(2703),
    [anon_sym___asm] = ACTIONS(2703),
    [sym_number_literal] = ACTIONS(2705),
    [anon_sym_L_SQUOTE] = ACTIONS(2705),
    [anon_sym_u_SQUOTE] = ACTIONS(2705),
    [anon_sym_U_SQUOTE] = ACTIONS(2705),
    [anon_sym_u8_SQUOTE] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_L_DQUOTE] = ACTIONS(2705),
    [anon_sym_u_DQUOTE] = ACTIONS(2705),
    [anon_sym_U_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8_DQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2705),
    [sym_true] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
    [anon_sym_NULL] = ACTIONS(2703),
    [anon_sym_nullptr] = ACTIONS(2703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2703),
    [anon_sym_decltype] = ACTIONS(2703),
    [anon_sym_explicit] = ACTIONS(2703),
    [anon_sym_typename] = ACTIONS(2703),
    [anon_sym_template] = ACTIONS(2703),
    [anon_sym_operator] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [anon_sym_delete] = ACTIONS(2703),
    [anon_sym_throw] = ACTIONS(2703),
    [anon_sym_namespace] = ACTIONS(2703),
    [anon_sym_using] = ACTIONS(2703),
    [anon_sym_static_assert] = ACTIONS(2703),
    [anon_sym_concept] = ACTIONS(2703),
    [anon_sym_co_return] = ACTIONS(2703),
    [anon_sym_co_yield] = ACTIONS(2703),
    [anon_sym_R_DQUOTE] = ACTIONS(2705),
    [anon_sym_LR_DQUOTE] = ACTIONS(2705),
    [anon_sym_uR_DQUOTE] = ACTIONS(2705),
    [anon_sym_UR_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2705),
    [anon_sym_co_await] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2703),
    [anon_sym_requires] = ACTIONS(2703),
    [sym_this] = ACTIONS(2703),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2707),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2707),
    [aux_sym_preproc_if_token1] = ACTIONS(2707),
    [aux_sym_preproc_if_token2] = ACTIONS(2707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2707),
    [aux_sym_preproc_else_token1] = ACTIONS(2707),
    [aux_sym_preproc_elif_token1] = ACTIONS(2707),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2707),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2707),
    [sym_preproc_directive] = ACTIONS(2707),
    [anon_sym_LPAREN2] = ACTIONS(2709),
    [anon_sym_BANG] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2709),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym___extension__] = ACTIONS(2707),
    [anon_sym_typedef] = ACTIONS(2707),
    [anon_sym_virtual] = ACTIONS(2707),
    [anon_sym_extern] = ACTIONS(2707),
    [anon_sym___attribute__] = ACTIONS(2707),
    [anon_sym___attribute] = ACTIONS(2707),
    [anon_sym_COLON_COLON] = ACTIONS(2709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2709),
    [anon_sym___declspec] = ACTIONS(2707),
    [anon_sym___based] = ACTIONS(2707),
    [anon_sym___cdecl] = ACTIONS(2707),
    [anon_sym___clrcall] = ACTIONS(2707),
    [anon_sym___stdcall] = ACTIONS(2707),
    [anon_sym___fastcall] = ACTIONS(2707),
    [anon_sym___thiscall] = ACTIONS(2707),
    [anon_sym___vectorcall] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_signed] = ACTIONS(2707),
    [anon_sym_unsigned] = ACTIONS(2707),
    [anon_sym_long] = ACTIONS(2707),
    [anon_sym_short] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [anon_sym_static] = ACTIONS(2707),
    [anon_sym_register] = ACTIONS(2707),
    [anon_sym_inline] = ACTIONS(2707),
    [anon_sym___inline] = ACTIONS(2707),
    [anon_sym___inline__] = ACTIONS(2707),
    [anon_sym___forceinline] = ACTIONS(2707),
    [anon_sym_thread_local] = ACTIONS(2707),
    [anon_sym___thread] = ACTIONS(2707),
    [anon_sym_const] = ACTIONS(2707),
    [anon_sym_constexpr] = ACTIONS(2707),
    [anon_sym_volatile] = ACTIONS(2707),
    [anon_sym_restrict] = ACTIONS(2707),
    [anon_sym___restrict__] = ACTIONS(2707),
    [anon_sym__Atomic] = ACTIONS(2707),
    [anon_sym__Noreturn] = ACTIONS(2707),
    [anon_sym_noreturn] = ACTIONS(2707),
    [anon_sym__Nonnull] = ACTIONS(2707),
    [anon_sym_mutable] = ACTIONS(2707),
    [anon_sym_constinit] = ACTIONS(2707),
    [anon_sym_consteval] = ACTIONS(2707),
    [anon_sym_alignas] = ACTIONS(2707),
    [anon_sym__Alignas] = ACTIONS(2707),
    [sym_primitive_type] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(2707),
    [anon_sym_class] = ACTIONS(2707),
    [anon_sym_struct] = ACTIONS(2707),
    [anon_sym_union] = ACTIONS(2707),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_else] = ACTIONS(2707),
    [anon_sym_switch] = ACTIONS(2707),
    [anon_sym_case] = ACTIONS(2707),
    [anon_sym_default] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(2707),
    [anon_sym_do] = ACTIONS(2707),
    [anon_sym_for] = ACTIONS(2707),
    [anon_sym_return] = ACTIONS(2707),
    [anon_sym_break] = ACTIONS(2707),
    [anon_sym_continue] = ACTIONS(2707),
    [anon_sym_goto] = ACTIONS(2707),
    [anon_sym___try] = ACTIONS(2707),
    [anon_sym___leave] = ACTIONS(2707),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_compl] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2709),
    [anon_sym_sizeof] = ACTIONS(2707),
    [anon_sym___alignof__] = ACTIONS(2707),
    [anon_sym___alignof] = ACTIONS(2707),
    [anon_sym__alignof] = ACTIONS(2707),
    [anon_sym_alignof] = ACTIONS(2707),
    [anon_sym__Alignof] = ACTIONS(2707),
    [anon_sym_offsetof] = ACTIONS(2707),
    [anon_sym__Generic] = ACTIONS(2707),
    [anon_sym_asm] = ACTIONS(2707),
    [anon_sym___asm__] = ACTIONS(2707),
    [anon_sym___asm] = ACTIONS(2707),
    [sym_number_literal] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2709),
    [anon_sym_u_SQUOTE] = ACTIONS(2709),
    [anon_sym_U_SQUOTE] = ACTIONS(2709),
    [anon_sym_u8_SQUOTE] = ACTIONS(2709),
    [anon_sym_SQUOTE] = ACTIONS(2709),
    [anon_sym_L_DQUOTE] = ACTIONS(2709),
    [anon_sym_u_DQUOTE] = ACTIONS(2709),
    [anon_sym_U_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8_DQUOTE] = ACTIONS(2709),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_true] = ACTIONS(2707),
    [sym_false] = ACTIONS(2707),
    [anon_sym_NULL] = ACTIONS(2707),
    [anon_sym_nullptr] = ACTIONS(2707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2707),
    [anon_sym_decltype] = ACTIONS(2707),
    [anon_sym_explicit] = ACTIONS(2707),
    [anon_sym_typename] = ACTIONS(2707),
    [anon_sym_template] = ACTIONS(2707),
    [anon_sym_operator] = ACTIONS(2707),
    [anon_sym_try] = ACTIONS(2707),
    [anon_sym_delete] = ACTIONS(2707),
    [anon_sym_throw] = ACTIONS(2707),
    [anon_sym_namespace] = ACTIONS(2707),
    [anon_sym_using] = ACTIONS(2707),
    [anon_sym_static_assert] = ACTIONS(2707),
    [anon_sym_concept] = ACTIONS(2707),
    [anon_sym_co_return] = ACTIONS(2707),
    [anon_sym_co_yield] = ACTIONS(2707),
    [anon_sym_R_DQUOTE] = ACTIONS(2709),
    [anon_sym_LR_DQUOTE] = ACTIONS(2709),
    [anon_sym_uR_DQUOTE] = ACTIONS(2709),
    [anon_sym_UR_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2709),
    [anon_sym_co_await] = ACTIONS(2707),
    [anon_sym_new] = ACTIONS(2707),
    [anon_sym_requires] = ACTIONS(2707),
    [sym_this] = ACTIONS(2707),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2711),
    [aux_sym_preproc_include_token1] = ACTIONS(2711),
    [aux_sym_preproc_def_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token2] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2711),
    [aux_sym_preproc_else_token1] = ACTIONS(2711),
    [aux_sym_preproc_elif_token1] = ACTIONS(2711),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2711),
    [sym_preproc_directive] = ACTIONS(2711),
    [anon_sym_LPAREN2] = ACTIONS(2713),
    [anon_sym_BANG] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2711),
    [anon_sym_virtual] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym___attribute__] = ACTIONS(2711),
    [anon_sym___attribute] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2713),
    [anon_sym___declspec] = ACTIONS(2711),
    [anon_sym___based] = ACTIONS(2711),
    [anon_sym___cdecl] = ACTIONS(2711),
    [anon_sym___clrcall] = ACTIONS(2711),
    [anon_sym___stdcall] = ACTIONS(2711),
    [anon_sym___fastcall] = ACTIONS(2711),
    [anon_sym___thiscall] = ACTIONS(2711),
    [anon_sym___vectorcall] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(2713),
    [anon_sym_signed] = ACTIONS(2711),
    [anon_sym_unsigned] = ACTIONS(2711),
    [anon_sym_long] = ACTIONS(2711),
    [anon_sym_short] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_register] = ACTIONS(2711),
    [anon_sym_inline] = ACTIONS(2711),
    [anon_sym___inline] = ACTIONS(2711),
    [anon_sym___inline__] = ACTIONS(2711),
    [anon_sym___forceinline] = ACTIONS(2711),
    [anon_sym_thread_local] = ACTIONS(2711),
    [anon_sym___thread] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_constexpr] = ACTIONS(2711),
    [anon_sym_volatile] = ACTIONS(2711),
    [anon_sym_restrict] = ACTIONS(2711),
    [anon_sym___restrict__] = ACTIONS(2711),
    [anon_sym__Atomic] = ACTIONS(2711),
    [anon_sym__Noreturn] = ACTIONS(2711),
    [anon_sym_noreturn] = ACTIONS(2711),
    [anon_sym__Nonnull] = ACTIONS(2711),
    [anon_sym_mutable] = ACTIONS(2711),
    [anon_sym_constinit] = ACTIONS(2711),
    [anon_sym_consteval] = ACTIONS(2711),
    [anon_sym_alignas] = ACTIONS(2711),
    [anon_sym__Alignas] = ACTIONS(2711),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_else] = ACTIONS(2711),
    [anon_sym_switch] = ACTIONS(2711),
    [anon_sym_case] = ACTIONS(2711),
    [anon_sym_default] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_do] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_break] = ACTIONS(2711),
    [anon_sym_continue] = ACTIONS(2711),
    [anon_sym_goto] = ACTIONS(2711),
    [anon_sym___try] = ACTIONS(2711),
    [anon_sym___leave] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2711),
    [anon_sym_compl] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_sizeof] = ACTIONS(2711),
    [anon_sym___alignof__] = ACTIONS(2711),
    [anon_sym___alignof] = ACTIONS(2711),
    [anon_sym__alignof] = ACTIONS(2711),
    [anon_sym_alignof] = ACTIONS(2711),
    [anon_sym__Alignof] = ACTIONS(2711),
    [anon_sym_offsetof] = ACTIONS(2711),
    [anon_sym__Generic] = ACTIONS(2711),
    [anon_sym_asm] = ACTIONS(2711),
    [anon_sym___asm__] = ACTIONS(2711),
    [anon_sym___asm] = ACTIONS(2711),
    [sym_number_literal] = ACTIONS(2713),
    [anon_sym_L_SQUOTE] = ACTIONS(2713),
    [anon_sym_u_SQUOTE] = ACTIONS(2713),
    [anon_sym_U_SQUOTE] = ACTIONS(2713),
    [anon_sym_u8_SQUOTE] = ACTIONS(2713),
    [anon_sym_SQUOTE] = ACTIONS(2713),
    [anon_sym_L_DQUOTE] = ACTIONS(2713),
    [anon_sym_u_DQUOTE] = ACTIONS(2713),
    [anon_sym_U_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8_DQUOTE] = ACTIONS(2713),
    [anon_sym_DQUOTE] = ACTIONS(2713),
    [sym_true] = ACTIONS(2711),
    [sym_false] = ACTIONS(2711),
    [anon_sym_NULL] = ACTIONS(2711),
    [anon_sym_nullptr] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2711),
    [anon_sym_decltype] = ACTIONS(2711),
    [anon_sym_explicit] = ACTIONS(2711),
    [anon_sym_typename] = ACTIONS(2711),
    [anon_sym_template] = ACTIONS(2711),
    [anon_sym_operator] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_delete] = ACTIONS(2711),
    [anon_sym_throw] = ACTIONS(2711),
    [anon_sym_namespace] = ACTIONS(2711),
    [anon_sym_using] = ACTIONS(2711),
    [anon_sym_static_assert] = ACTIONS(2711),
    [anon_sym_concept] = ACTIONS(2711),
    [anon_sym_co_return] = ACTIONS(2711),
    [anon_sym_co_yield] = ACTIONS(2711),
    [anon_sym_R_DQUOTE] = ACTIONS(2713),
    [anon_sym_LR_DQUOTE] = ACTIONS(2713),
    [anon_sym_uR_DQUOTE] = ACTIONS(2713),
    [anon_sym_UR_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2713),
    [anon_sym_co_await] = ACTIONS(2711),
    [anon_sym_new] = ACTIONS(2711),
    [anon_sym_requires] = ACTIONS(2711),
    [sym_this] = ACTIONS(2711),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2715),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2715),
    [aux_sym_preproc_if_token1] = ACTIONS(2715),
    [aux_sym_preproc_if_token2] = ACTIONS(2715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2715),
    [aux_sym_preproc_else_token1] = ACTIONS(2715),
    [aux_sym_preproc_elif_token1] = ACTIONS(2715),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2715),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2715),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2717),
    [anon_sym_TILDE] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2715),
    [anon_sym_typedef] = ACTIONS(2715),
    [anon_sym_virtual] = ACTIONS(2715),
    [anon_sym_extern] = ACTIONS(2715),
    [anon_sym___attribute__] = ACTIONS(2715),
    [anon_sym___attribute] = ACTIONS(2715),
    [anon_sym_COLON_COLON] = ACTIONS(2717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2717),
    [anon_sym___declspec] = ACTIONS(2715),
    [anon_sym___based] = ACTIONS(2715),
    [anon_sym___cdecl] = ACTIONS(2715),
    [anon_sym___clrcall] = ACTIONS(2715),
    [anon_sym___stdcall] = ACTIONS(2715),
    [anon_sym___fastcall] = ACTIONS(2715),
    [anon_sym___thiscall] = ACTIONS(2715),
    [anon_sym___vectorcall] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2715),
    [anon_sym_unsigned] = ACTIONS(2715),
    [anon_sym_long] = ACTIONS(2715),
    [anon_sym_short] = ACTIONS(2715),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [anon_sym_static] = ACTIONS(2715),
    [anon_sym_register] = ACTIONS(2715),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym___inline] = ACTIONS(2715),
    [anon_sym___inline__] = ACTIONS(2715),
    [anon_sym___forceinline] = ACTIONS(2715),
    [anon_sym_thread_local] = ACTIONS(2715),
    [anon_sym___thread] = ACTIONS(2715),
    [anon_sym_const] = ACTIONS(2715),
    [anon_sym_constexpr] = ACTIONS(2715),
    [anon_sym_volatile] = ACTIONS(2715),
    [anon_sym_restrict] = ACTIONS(2715),
    [anon_sym___restrict__] = ACTIONS(2715),
    [anon_sym__Atomic] = ACTIONS(2715),
    [anon_sym__Noreturn] = ACTIONS(2715),
    [anon_sym_noreturn] = ACTIONS(2715),
    [anon_sym__Nonnull] = ACTIONS(2715),
    [anon_sym_mutable] = ACTIONS(2715),
    [anon_sym_constinit] = ACTIONS(2715),
    [anon_sym_consteval] = ACTIONS(2715),
    [anon_sym_alignas] = ACTIONS(2715),
    [anon_sym__Alignas] = ACTIONS(2715),
    [sym_primitive_type] = ACTIONS(2715),
    [anon_sym_enum] = ACTIONS(2715),
    [anon_sym_class] = ACTIONS(2715),
    [anon_sym_struct] = ACTIONS(2715),
    [anon_sym_union] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(2715),
    [anon_sym_switch] = ACTIONS(2715),
    [anon_sym_case] = ACTIONS(2715),
    [anon_sym_default] = ACTIONS(2715),
    [anon_sym_while] = ACTIONS(2715),
    [anon_sym_do] = ACTIONS(2715),
    [anon_sym_for] = ACTIONS(2715),
    [anon_sym_return] = ACTIONS(2715),
    [anon_sym_break] = ACTIONS(2715),
    [anon_sym_continue] = ACTIONS(2715),
    [anon_sym_goto] = ACTIONS(2715),
    [anon_sym___try] = ACTIONS(2715),
    [anon_sym___leave] = ACTIONS(2715),
    [anon_sym_not] = ACTIONS(2715),
    [anon_sym_compl] = ACTIONS(2715),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_sizeof] = ACTIONS(2715),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2715),
    [anon_sym__Generic] = ACTIONS(2715),
    [anon_sym_asm] = ACTIONS(2715),
    [anon_sym___asm__] = ACTIONS(2715),
    [anon_sym___asm] = ACTIONS(2715),
    [sym_number_literal] = ACTIONS(2717),
    [anon_sym_L_SQUOTE] = ACTIONS(2717),
    [anon_sym_u_SQUOTE] = ACTIONS(2717),
    [anon_sym_U_SQUOTE] = ACTIONS(2717),
    [anon_sym_u8_SQUOTE] = ACTIONS(2717),
    [anon_sym_SQUOTE] = ACTIONS(2717),
    [anon_sym_L_DQUOTE] = ACTIONS(2717),
    [anon_sym_u_DQUOTE] = ACTIONS(2717),
    [anon_sym_U_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8_DQUOTE] = ACTIONS(2717),
    [anon_sym_DQUOTE] = ACTIONS(2717),
    [sym_true] = ACTIONS(2715),
    [sym_false] = ACTIONS(2715),
    [anon_sym_NULL] = ACTIONS(2715),
    [anon_sym_nullptr] = ACTIONS(2715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2715),
    [anon_sym_decltype] = ACTIONS(2715),
    [anon_sym_explicit] = ACTIONS(2715),
    [anon_sym_typename] = ACTIONS(2715),
    [anon_sym_template] = ACTIONS(2715),
    [anon_sym_operator] = ACTIONS(2715),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_delete] = ACTIONS(2715),
    [anon_sym_throw] = ACTIONS(2715),
    [anon_sym_namespace] = ACTIONS(2715),
    [anon_sym_using] = ACTIONS(2715),
    [anon_sym_static_assert] = ACTIONS(2715),
    [anon_sym_concept] = ACTIONS(2715),
    [anon_sym_co_return] = ACTIONS(2715),
    [anon_sym_co_yield] = ACTIONS(2715),
    [anon_sym_R_DQUOTE] = ACTIONS(2717),
    [anon_sym_LR_DQUOTE] = ACTIONS(2717),
    [anon_sym_uR_DQUOTE] = ACTIONS(2717),
    [anon_sym_UR_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2717),
    [anon_sym_co_await] = ACTIONS(2715),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_requires] = ACTIONS(2715),
    [sym_this] = ACTIONS(2715),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2719),
    [aux_sym_preproc_include_token1] = ACTIONS(2719),
    [aux_sym_preproc_def_token1] = ACTIONS(2719),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_if_token2] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2719),
    [aux_sym_preproc_else_token1] = ACTIONS(2719),
    [aux_sym_preproc_elif_token1] = ACTIONS(2719),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2719),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2719),
    [sym_preproc_directive] = ACTIONS(2719),
    [anon_sym_LPAREN2] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2719),
    [anon_sym_typedef] = ACTIONS(2719),
    [anon_sym_virtual] = ACTIONS(2719),
    [anon_sym_extern] = ACTIONS(2719),
    [anon_sym___attribute__] = ACTIONS(2719),
    [anon_sym___attribute] = ACTIONS(2719),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2721),
    [anon_sym___declspec] = ACTIONS(2719),
    [anon_sym___based] = ACTIONS(2719),
    [anon_sym___cdecl] = ACTIONS(2719),
    [anon_sym___clrcall] = ACTIONS(2719),
    [anon_sym___stdcall] = ACTIONS(2719),
    [anon_sym___fastcall] = ACTIONS(2719),
    [anon_sym___thiscall] = ACTIONS(2719),
    [anon_sym___vectorcall] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2719),
    [anon_sym_unsigned] = ACTIONS(2719),
    [anon_sym_long] = ACTIONS(2719),
    [anon_sym_short] = ACTIONS(2719),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [anon_sym_static] = ACTIONS(2719),
    [anon_sym_register] = ACTIONS(2719),
    [anon_sym_inline] = ACTIONS(2719),
    [anon_sym___inline] = ACTIONS(2719),
    [anon_sym___inline__] = ACTIONS(2719),
    [anon_sym___forceinline] = ACTIONS(2719),
    [anon_sym_thread_local] = ACTIONS(2719),
    [anon_sym___thread] = ACTIONS(2719),
    [anon_sym_const] = ACTIONS(2719),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(2719),
    [anon_sym_restrict] = ACTIONS(2719),
    [anon_sym___restrict__] = ACTIONS(2719),
    [anon_sym__Atomic] = ACTIONS(2719),
    [anon_sym__Noreturn] = ACTIONS(2719),
    [anon_sym_noreturn] = ACTIONS(2719),
    [anon_sym__Nonnull] = ACTIONS(2719),
    [anon_sym_mutable] = ACTIONS(2719),
    [anon_sym_constinit] = ACTIONS(2719),
    [anon_sym_consteval] = ACTIONS(2719),
    [anon_sym_alignas] = ACTIONS(2719),
    [anon_sym__Alignas] = ACTIONS(2719),
    [sym_primitive_type] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(2719),
    [anon_sym_class] = ACTIONS(2719),
    [anon_sym_struct] = ACTIONS(2719),
    [anon_sym_union] = ACTIONS(2719),
    [anon_sym_if] = ACTIONS(2719),
    [anon_sym_else] = ACTIONS(2719),
    [anon_sym_switch] = ACTIONS(2719),
    [anon_sym_case] = ACTIONS(2719),
    [anon_sym_default] = ACTIONS(2719),
    [anon_sym_while] = ACTIONS(2719),
    [anon_sym_do] = ACTIONS(2719),
    [anon_sym_for] = ACTIONS(2719),
    [anon_sym_return] = ACTIONS(2719),
    [anon_sym_break] = ACTIONS(2719),
    [anon_sym_continue] = ACTIONS(2719),
    [anon_sym_goto] = ACTIONS(2719),
    [anon_sym___try] = ACTIONS(2719),
    [anon_sym___leave] = ACTIONS(2719),
    [anon_sym_not] = ACTIONS(2719),
    [anon_sym_compl] = ACTIONS(2719),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_sizeof] = ACTIONS(2719),
    [anon_sym___alignof__] = ACTIONS(2719),
    [anon_sym___alignof] = ACTIONS(2719),
    [anon_sym__alignof] = ACTIONS(2719),
    [anon_sym_alignof] = ACTIONS(2719),
    [anon_sym__Alignof] = ACTIONS(2719),
    [anon_sym_offsetof] = ACTIONS(2719),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2719),
    [anon_sym___asm__] = ACTIONS(2719),
    [anon_sym___asm] = ACTIONS(2719),
    [sym_number_literal] = ACTIONS(2721),
    [anon_sym_L_SQUOTE] = ACTIONS(2721),
    [anon_sym_u_SQUOTE] = ACTIONS(2721),
    [anon_sym_U_SQUOTE] = ACTIONS(2721),
    [anon_sym_u8_SQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_L_DQUOTE] = ACTIONS(2721),
    [anon_sym_u_DQUOTE] = ACTIONS(2721),
    [anon_sym_U_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8_DQUOTE] = ACTIONS(2721),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [sym_true] = ACTIONS(2719),
    [sym_false] = ACTIONS(2719),
    [anon_sym_NULL] = ACTIONS(2719),
    [anon_sym_nullptr] = ACTIONS(2719),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2719),
    [anon_sym_decltype] = ACTIONS(2719),
    [anon_sym_explicit] = ACTIONS(2719),
    [anon_sym_typename] = ACTIONS(2719),
    [anon_sym_template] = ACTIONS(2719),
    [anon_sym_operator] = ACTIONS(2719),
    [anon_sym_try] = ACTIONS(2719),
    [anon_sym_delete] = ACTIONS(2719),
    [anon_sym_throw] = ACTIONS(2719),
    [anon_sym_namespace] = ACTIONS(2719),
    [anon_sym_using] = ACTIONS(2719),
    [anon_sym_static_assert] = ACTIONS(2719),
    [anon_sym_concept] = ACTIONS(2719),
    [anon_sym_co_return] = ACTIONS(2719),
    [anon_sym_co_yield] = ACTIONS(2719),
    [anon_sym_R_DQUOTE] = ACTIONS(2721),
    [anon_sym_LR_DQUOTE] = ACTIONS(2721),
    [anon_sym_uR_DQUOTE] = ACTIONS(2721),
    [anon_sym_UR_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2721),
    [anon_sym_co_await] = ACTIONS(2719),
    [anon_sym_new] = ACTIONS(2719),
    [anon_sym_requires] = ACTIONS(2719),
    [sym_this] = ACTIONS(2719),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2723),
    [aux_sym_preproc_include_token1] = ACTIONS(2723),
    [aux_sym_preproc_def_token1] = ACTIONS(2723),
    [aux_sym_preproc_if_token1] = ACTIONS(2723),
    [aux_sym_preproc_if_token2] = ACTIONS(2723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2723),
    [aux_sym_preproc_else_token1] = ACTIONS(2723),
    [aux_sym_preproc_elif_token1] = ACTIONS(2723),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2723),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2723),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(2725),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2723),
    [anon_sym_typedef] = ACTIONS(2723),
    [anon_sym_virtual] = ACTIONS(2723),
    [anon_sym_extern] = ACTIONS(2723),
    [anon_sym___attribute__] = ACTIONS(2723),
    [anon_sym___attribute] = ACTIONS(2723),
    [anon_sym_COLON_COLON] = ACTIONS(2725),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2725),
    [anon_sym___declspec] = ACTIONS(2723),
    [anon_sym___based] = ACTIONS(2723),
    [anon_sym___cdecl] = ACTIONS(2723),
    [anon_sym___clrcall] = ACTIONS(2723),
    [anon_sym___stdcall] = ACTIONS(2723),
    [anon_sym___fastcall] = ACTIONS(2723),
    [anon_sym___thiscall] = ACTIONS(2723),
    [anon_sym___vectorcall] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2723),
    [anon_sym_unsigned] = ACTIONS(2723),
    [anon_sym_long] = ACTIONS(2723),
    [anon_sym_short] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_register] = ACTIONS(2723),
    [anon_sym_inline] = ACTIONS(2723),
    [anon_sym___inline] = ACTIONS(2723),
    [anon_sym___inline__] = ACTIONS(2723),
    [anon_sym___forceinline] = ACTIONS(2723),
    [anon_sym_thread_local] = ACTIONS(2723),
    [anon_sym___thread] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_constexpr] = ACTIONS(2723),
    [anon_sym_volatile] = ACTIONS(2723),
    [anon_sym_restrict] = ACTIONS(2723),
    [anon_sym___restrict__] = ACTIONS(2723),
    [anon_sym__Atomic] = ACTIONS(2723),
    [anon_sym__Noreturn] = ACTIONS(2723),
    [anon_sym_noreturn] = ACTIONS(2723),
    [anon_sym__Nonnull] = ACTIONS(2723),
    [anon_sym_mutable] = ACTIONS(2723),
    [anon_sym_constinit] = ACTIONS(2723),
    [anon_sym_consteval] = ACTIONS(2723),
    [anon_sym_alignas] = ACTIONS(2723),
    [anon_sym__Alignas] = ACTIONS(2723),
    [sym_primitive_type] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_struct] = ACTIONS(2723),
    [anon_sym_union] = ACTIONS(2723),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_else] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_case] = ACTIONS(2723),
    [anon_sym_default] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_goto] = ACTIONS(2723),
    [anon_sym___try] = ACTIONS(2723),
    [anon_sym___leave] = ACTIONS(2723),
    [anon_sym_not] = ACTIONS(2723),
    [anon_sym_compl] = ACTIONS(2723),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_sizeof] = ACTIONS(2723),
    [anon_sym___alignof__] = ACTIONS(2723),
    [anon_sym___alignof] = ACTIONS(2723),
    [anon_sym__alignof] = ACTIONS(2723),
    [anon_sym_alignof] = ACTIONS(2723),
    [anon_sym__Alignof] = ACTIONS(2723),
    [anon_sym_offsetof] = ACTIONS(2723),
    [anon_sym__Generic] = ACTIONS(2723),
    [anon_sym_asm] = ACTIONS(2723),
    [anon_sym___asm__] = ACTIONS(2723),
    [anon_sym___asm] = ACTIONS(2723),
    [sym_number_literal] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2725),
    [anon_sym_u_DQUOTE] = ACTIONS(2725),
    [anon_sym_U_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8_DQUOTE] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [anon_sym_NULL] = ACTIONS(2723),
    [anon_sym_nullptr] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2723),
    [anon_sym_decltype] = ACTIONS(2723),
    [anon_sym_explicit] = ACTIONS(2723),
    [anon_sym_typename] = ACTIONS(2723),
    [anon_sym_template] = ACTIONS(2723),
    [anon_sym_operator] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_using] = ACTIONS(2723),
    [anon_sym_static_assert] = ACTIONS(2723),
    [anon_sym_concept] = ACTIONS(2723),
    [anon_sym_co_return] = ACTIONS(2723),
    [anon_sym_co_yield] = ACTIONS(2723),
    [anon_sym_R_DQUOTE] = ACTIONS(2725),
    [anon_sym_LR_DQUOTE] = ACTIONS(2725),
    [anon_sym_uR_DQUOTE] = ACTIONS(2725),
    [anon_sym_UR_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2725),
    [anon_sym_co_await] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_requires] = ACTIONS(2723),
    [sym_this] = ACTIONS(2723),
  },
  [271] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4282),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6937),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7444),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [274] = {
    [sym_catch_clause] = STATE(274),
    [aux_sym_constructor_try_statement_repeat1] = STATE(274),
    [sym_identifier] = ACTIONS(2497),
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_AMP_AMP] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym___extension__] = ACTIONS(2497),
    [anon_sym_typedef] = ACTIONS(2497),
    [anon_sym_virtual] = ACTIONS(2497),
    [anon_sym_extern] = ACTIONS(2497),
    [anon_sym___attribute__] = ACTIONS(2497),
    [anon_sym___attribute] = ACTIONS(2497),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2499),
    [anon_sym___declspec] = ACTIONS(2497),
    [anon_sym___based] = ACTIONS(2497),
    [anon_sym___cdecl] = ACTIONS(2497),
    [anon_sym___clrcall] = ACTIONS(2497),
    [anon_sym___stdcall] = ACTIONS(2497),
    [anon_sym___fastcall] = ACTIONS(2497),
    [anon_sym___thiscall] = ACTIONS(2497),
    [anon_sym___vectorcall] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2497),
    [anon_sym_unsigned] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_register] = ACTIONS(2497),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym___inline] = ACTIONS(2497),
    [anon_sym___inline__] = ACTIONS(2497),
    [anon_sym___forceinline] = ACTIONS(2497),
    [anon_sym_thread_local] = ACTIONS(2497),
    [anon_sym___thread] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_constexpr] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_restrict] = ACTIONS(2497),
    [anon_sym___restrict__] = ACTIONS(2497),
    [anon_sym__Atomic] = ACTIONS(2497),
    [anon_sym__Noreturn] = ACTIONS(2497),
    [anon_sym_noreturn] = ACTIONS(2497),
    [anon_sym__Nonnull] = ACTIONS(2497),
    [anon_sym_mutable] = ACTIONS(2497),
    [anon_sym_constinit] = ACTIONS(2497),
    [anon_sym_consteval] = ACTIONS(2497),
    [anon_sym_alignas] = ACTIONS(2497),
    [anon_sym__Alignas] = ACTIONS(2497),
    [sym_primitive_type] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_struct] = ACTIONS(2497),
    [anon_sym_union] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_goto] = ACTIONS(2497),
    [anon_sym___try] = ACTIONS(2497),
    [anon_sym___leave] = ACTIONS(2497),
    [anon_sym_not] = ACTIONS(2497),
    [anon_sym_compl] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_sizeof] = ACTIONS(2497),
    [anon_sym___alignof__] = ACTIONS(2497),
    [anon_sym___alignof] = ACTIONS(2497),
    [anon_sym__alignof] = ACTIONS(2497),
    [anon_sym_alignof] = ACTIONS(2497),
    [anon_sym__Alignof] = ACTIONS(2497),
    [anon_sym_offsetof] = ACTIONS(2497),
    [anon_sym__Generic] = ACTIONS(2497),
    [anon_sym_asm] = ACTIONS(2497),
    [anon_sym___asm__] = ACTIONS(2497),
    [anon_sym___asm] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2499),
    [anon_sym_L_SQUOTE] = ACTIONS(2499),
    [anon_sym_u_SQUOTE] = ACTIONS(2499),
    [anon_sym_U_SQUOTE] = ACTIONS(2499),
    [anon_sym_u8_SQUOTE] = ACTIONS(2499),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_L_DQUOTE] = ACTIONS(2499),
    [anon_sym_u_DQUOTE] = ACTIONS(2499),
    [anon_sym_U_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8_DQUOTE] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [anon_sym_NULL] = ACTIONS(2497),
    [anon_sym_nullptr] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2497),
    [anon_sym_decltype] = ACTIONS(2497),
    [anon_sym_explicit] = ACTIONS(2497),
    [anon_sym_typename] = ACTIONS(2497),
    [anon_sym_template] = ACTIONS(2497),
    [anon_sym_operator] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_static_assert] = ACTIONS(2497),
    [anon_sym_concept] = ACTIONS(2497),
    [anon_sym_co_return] = ACTIONS(2497),
    [anon_sym_co_yield] = ACTIONS(2497),
    [anon_sym_catch] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2499),
    [anon_sym_LR_DQUOTE] = ACTIONS(2499),
    [anon_sym_uR_DQUOTE] = ACTIONS(2499),
    [anon_sym_UR_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2499),
    [anon_sym_co_await] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2497),
  },
  [275] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4298),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(7048),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7220),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [276] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4300),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6918),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7272),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [aux_sym_preproc_else_token1] = ACTIONS(2808),
    [aux_sym_preproc_elif_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym___attribute] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [aux_sym_preproc_else_token1] = ACTIONS(2812),
    [aux_sym_preproc_elif_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_virtual] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_virtual] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [aux_sym_preproc_else_token1] = ACTIONS(2820),
    [aux_sym_preproc_elif_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_virtual] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2822),
    [anon_sym_LR_DQUOTE] = ACTIONS(2822),
    [anon_sym_uR_DQUOTE] = ACTIONS(2822),
    [anon_sym_UR_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2822),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [aux_sym_preproc_else_token1] = ACTIONS(2824),
    [aux_sym_preproc_elif_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_virtual] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [282] = {
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8118),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym___attribute] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym__Nonnull] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym__Alignas] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2839),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [283] = {
    [sym_expression] = STATE(4410),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym___attribute] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2861),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [aux_sym_preproc_else_token1] = ACTIONS(2872),
    [aux_sym_preproc_elif_token1] = ACTIONS(2872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_AMP_AMP] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_virtual] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___based] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_constinit] = ACTIONS(2872),
    [anon_sym_consteval] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym___leave] = ACTIONS(2872),
    [anon_sym_not] = ACTIONS(2872),
    [anon_sym_compl] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2872),
    [anon_sym_decltype] = ACTIONS(2872),
    [anon_sym_explicit] = ACTIONS(2872),
    [anon_sym_typename] = ACTIONS(2872),
    [anon_sym_template] = ACTIONS(2872),
    [anon_sym_operator] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_static_assert] = ACTIONS(2872),
    [anon_sym_concept] = ACTIONS(2872),
    [anon_sym_co_return] = ACTIONS(2872),
    [anon_sym_co_yield] = ACTIONS(2872),
    [anon_sym_R_DQUOTE] = ACTIONS(2874),
    [anon_sym_LR_DQUOTE] = ACTIONS(2874),
    [anon_sym_uR_DQUOTE] = ACTIONS(2874),
    [anon_sym_UR_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2874),
    [anon_sym_co_await] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_requires] = ACTIONS(2872),
    [sym_this] = ACTIONS(2872),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [aux_sym_preproc_else_token1] = ACTIONS(2876),
    [aux_sym_preproc_elif_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym___attribute] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [sym_number_literal] = ACTIONS(2878),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [aux_sym_preproc_else_token1] = ACTIONS(2880),
    [aux_sym_preproc_elif_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym___attribute] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [sym_number_literal] = ACTIONS(2882),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token2] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [aux_sym_preproc_else_token1] = ACTIONS(2884),
    [aux_sym_preproc_elif_token1] = ACTIONS(2884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym___attribute] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [sym_number_literal] = ACTIONS(2886),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [288] = {
    [sym_expression] = STATE(4470),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7857),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym___attribute] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2902),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token2] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [aux_sym_preproc_else_token1] = ACTIONS(2908),
    [aux_sym_preproc_elif_token1] = ACTIONS(2908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym___attribute] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym___cdecl] = ACTIONS(2908),
    [anon_sym___clrcall] = ACTIONS(2908),
    [anon_sym___stdcall] = ACTIONS(2908),
    [anon_sym___fastcall] = ACTIONS(2908),
    [anon_sym___thiscall] = ACTIONS(2908),
    [anon_sym___vectorcall] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [sym_primitive_type] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym___try] = ACTIONS(2908),
    [anon_sym___leave] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [sym_number_literal] = ACTIONS(2910),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
    [anon_sym_concept] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [aux_sym_preproc_else_token1] = ACTIONS(2912),
    [aux_sym_preproc_elif_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [sym_number_literal] = ACTIONS(2914),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [aux_sym_preproc_else_token1] = ACTIONS(2912),
    [aux_sym_preproc_elif_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [sym_number_literal] = ACTIONS(2914),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token2] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [aux_sym_preproc_else_token1] = ACTIONS(2916),
    [aux_sym_preproc_elif_token1] = ACTIONS(2916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym___attribute] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [sym_number_literal] = ACTIONS(2918),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [aux_sym_preproc_else_token1] = ACTIONS(2920),
    [aux_sym_preproc_elif_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym___attribute] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [aux_sym_preproc_else_token1] = ACTIONS(2924),
    [aux_sym_preproc_elif_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym___attribute] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [aux_sym_preproc_else_token1] = ACTIONS(2932),
    [aux_sym_preproc_elif_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym___attribute] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [aux_sym_preproc_else_token1] = ACTIONS(2936),
    [aux_sym_preproc_elif_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym___attribute] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [aux_sym_preproc_else_token1] = ACTIONS(2940),
    [aux_sym_preproc_elif_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym___attribute] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym___attribute] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [301] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6916),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7270),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [302] = {
    [sym_catch_clause] = STATE(302),
    [aux_sym_constructor_try_statement_repeat1] = STATE(302),
    [ts_builtin_sym_end] = ACTIONS(2499),
    [sym_identifier] = ACTIONS(2497),
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_AMP_AMP] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym___extension__] = ACTIONS(2497),
    [anon_sym_typedef] = ACTIONS(2497),
    [anon_sym_virtual] = ACTIONS(2497),
    [anon_sym_extern] = ACTIONS(2497),
    [anon_sym___attribute__] = ACTIONS(2497),
    [anon_sym___attribute] = ACTIONS(2497),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2499),
    [anon_sym___declspec] = ACTIONS(2497),
    [anon_sym___based] = ACTIONS(2497),
    [anon_sym___cdecl] = ACTIONS(2497),
    [anon_sym___clrcall] = ACTIONS(2497),
    [anon_sym___stdcall] = ACTIONS(2497),
    [anon_sym___fastcall] = ACTIONS(2497),
    [anon_sym___thiscall] = ACTIONS(2497),
    [anon_sym___vectorcall] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2497),
    [anon_sym_unsigned] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_register] = ACTIONS(2497),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym___inline] = ACTIONS(2497),
    [anon_sym___inline__] = ACTIONS(2497),
    [anon_sym___forceinline] = ACTIONS(2497),
    [anon_sym_thread_local] = ACTIONS(2497),
    [anon_sym___thread] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_constexpr] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_restrict] = ACTIONS(2497),
    [anon_sym___restrict__] = ACTIONS(2497),
    [anon_sym__Atomic] = ACTIONS(2497),
    [anon_sym__Noreturn] = ACTIONS(2497),
    [anon_sym_noreturn] = ACTIONS(2497),
    [anon_sym__Nonnull] = ACTIONS(2497),
    [anon_sym_mutable] = ACTIONS(2497),
    [anon_sym_constinit] = ACTIONS(2497),
    [anon_sym_consteval] = ACTIONS(2497),
    [anon_sym_alignas] = ACTIONS(2497),
    [anon_sym__Alignas] = ACTIONS(2497),
    [sym_primitive_type] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_struct] = ACTIONS(2497),
    [anon_sym_union] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_goto] = ACTIONS(2497),
    [anon_sym___try] = ACTIONS(2497),
    [anon_sym___leave] = ACTIONS(2497),
    [anon_sym_not] = ACTIONS(2497),
    [anon_sym_compl] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_sizeof] = ACTIONS(2497),
    [anon_sym___alignof__] = ACTIONS(2497),
    [anon_sym___alignof] = ACTIONS(2497),
    [anon_sym__alignof] = ACTIONS(2497),
    [anon_sym_alignof] = ACTIONS(2497),
    [anon_sym__Alignof] = ACTIONS(2497),
    [anon_sym_offsetof] = ACTIONS(2497),
    [anon_sym__Generic] = ACTIONS(2497),
    [anon_sym_asm] = ACTIONS(2497),
    [anon_sym___asm__] = ACTIONS(2497),
    [anon_sym___asm] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2499),
    [anon_sym_L_SQUOTE] = ACTIONS(2499),
    [anon_sym_u_SQUOTE] = ACTIONS(2499),
    [anon_sym_U_SQUOTE] = ACTIONS(2499),
    [anon_sym_u8_SQUOTE] = ACTIONS(2499),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_L_DQUOTE] = ACTIONS(2499),
    [anon_sym_u_DQUOTE] = ACTIONS(2499),
    [anon_sym_U_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8_DQUOTE] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [anon_sym_NULL] = ACTIONS(2497),
    [anon_sym_nullptr] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2497),
    [anon_sym_decltype] = ACTIONS(2497),
    [anon_sym_explicit] = ACTIONS(2497),
    [anon_sym_typename] = ACTIONS(2497),
    [anon_sym_template] = ACTIONS(2497),
    [anon_sym_operator] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_static_assert] = ACTIONS(2497),
    [anon_sym_concept] = ACTIONS(2497),
    [anon_sym_co_return] = ACTIONS(2497),
    [anon_sym_co_yield] = ACTIONS(2497),
    [anon_sym_catch] = ACTIONS(2950),
    [anon_sym_R_DQUOTE] = ACTIONS(2499),
    [anon_sym_LR_DQUOTE] = ACTIONS(2499),
    [anon_sym_uR_DQUOTE] = ACTIONS(2499),
    [anon_sym_UR_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2499),
    [anon_sym_co_await] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2497),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [aux_sym_preproc_else_token1] = ACTIONS(2953),
    [aux_sym_preproc_elif_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [anon_sym___asm] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [anon_sym___asm] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym___attribute] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym__Nonnull] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [anon_sym___asm] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym___attribute] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym__Nonnull] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym__Alignas] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [anon_sym___asm] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [aux_sym_preproc_else_token1] = ACTIONS(2969),
    [aux_sym_preproc_elif_token1] = ACTIONS(2969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym___attribute] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym__Nonnull] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym__Alignas] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [anon_sym___asm] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym___attribute] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym__Nonnull] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym__Alignas] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [anon_sym___asm] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym___attribute] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym__Nonnull] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [anon_sym___asm] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym___attribute] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [anon_sym___asm] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [aux_sym_preproc_else_token1] = ACTIONS(2985),
    [aux_sym_preproc_elif_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym___attribute] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym__Nonnull] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym__Alignas] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [anon_sym___asm] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym___attribute] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [anon_sym___asm] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [aux_sym_preproc_else_token1] = ACTIONS(2993),
    [aux_sym_preproc_elif_token1] = ACTIONS(2993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym___attribute] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym___attribute] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [anon_sym___asm] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [315] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4366),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6881),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7244),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [316] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token2] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3003),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym___attribute] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym__Nonnull] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym__Alignas] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [anon_sym___asm] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [317] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym___attribute] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [318] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [aux_sym_preproc_else_token1] = ACTIONS(3011),
    [aux_sym_preproc_elif_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym___attribute] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [anon_sym___asm] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [319] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [aux_sym_preproc_else_token1] = ACTIONS(3015),
    [aux_sym_preproc_elif_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym___attribute] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [anon_sym___asm] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [320] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token2] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [aux_sym_preproc_else_token1] = ACTIONS(3019),
    [aux_sym_preproc_elif_token1] = ACTIONS(3019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_BANG] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym___attribute] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym___cdecl] = ACTIONS(3019),
    [anon_sym___clrcall] = ACTIONS(3019),
    [anon_sym___stdcall] = ACTIONS(3019),
    [anon_sym___fastcall] = ACTIONS(3019),
    [anon_sym___thiscall] = ACTIONS(3019),
    [anon_sym___vectorcall] = ACTIONS(3019),
    [anon_sym_LBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_switch] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(3019),
    [anon_sym_default] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_do] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_break] = ACTIONS(3019),
    [anon_sym_continue] = ACTIONS(3019),
    [anon_sym_goto] = ACTIONS(3019),
    [anon_sym___try] = ACTIONS(3019),
    [anon_sym___leave] = ACTIONS(3019),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_compl] = ACTIONS(3019),
    [anon_sym_DASH_DASH] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3021),
    [anon_sym_sizeof] = ACTIONS(3019),
    [anon_sym___alignof__] = ACTIONS(3019),
    [anon_sym___alignof] = ACTIONS(3019),
    [anon_sym__alignof] = ACTIONS(3019),
    [anon_sym_alignof] = ACTIONS(3019),
    [anon_sym__Alignof] = ACTIONS(3019),
    [anon_sym_offsetof] = ACTIONS(3019),
    [anon_sym__Generic] = ACTIONS(3019),
    [anon_sym_asm] = ACTIONS(3019),
    [anon_sym___asm__] = ACTIONS(3019),
    [anon_sym___asm] = ACTIONS(3019),
    [sym_number_literal] = ACTIONS(3021),
    [anon_sym_L_SQUOTE] = ACTIONS(3021),
    [anon_sym_u_SQUOTE] = ACTIONS(3021),
    [anon_sym_U_SQUOTE] = ACTIONS(3021),
    [anon_sym_u8_SQUOTE] = ACTIONS(3021),
    [anon_sym_SQUOTE] = ACTIONS(3021),
    [anon_sym_L_DQUOTE] = ACTIONS(3021),
    [anon_sym_u_DQUOTE] = ACTIONS(3021),
    [anon_sym_U_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8_DQUOTE] = ACTIONS(3021),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [anon_sym_NULL] = ACTIONS(3019),
    [anon_sym_nullptr] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(3019),
    [anon_sym_throw] = ACTIONS(3019),
    [anon_sym_namespace] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
    [anon_sym_concept] = ACTIONS(3019),
    [anon_sym_co_return] = ACTIONS(3019),
    [anon_sym_co_yield] = ACTIONS(3019),
    [anon_sym_R_DQUOTE] = ACTIONS(3021),
    [anon_sym_LR_DQUOTE] = ACTIONS(3021),
    [anon_sym_uR_DQUOTE] = ACTIONS(3021),
    [anon_sym_UR_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3021),
    [anon_sym_co_await] = ACTIONS(3019),
    [anon_sym_new] = ACTIONS(3019),
    [anon_sym_requires] = ACTIONS(3019),
    [sym_this] = ACTIONS(3019),
  },
  [321] = {
    [sym_identifier] = ACTIONS(3023),
    [aux_sym_preproc_include_token1] = ACTIONS(3023),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token2] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3023),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3023),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3023),
    [sym_preproc_directive] = ACTIONS(3023),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_BANG] = ACTIONS(3025),
    [anon_sym_TILDE] = ACTIONS(3025),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3025),
    [anon_sym_AMP_AMP] = ACTIONS(3025),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_SEMI] = ACTIONS(3025),
    [anon_sym___extension__] = ACTIONS(3023),
    [anon_sym_typedef] = ACTIONS(3023),
    [anon_sym_virtual] = ACTIONS(3023),
    [anon_sym_extern] = ACTIONS(3023),
    [anon_sym___attribute__] = ACTIONS(3023),
    [anon_sym___attribute] = ACTIONS(3023),
    [anon_sym_COLON_COLON] = ACTIONS(3025),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3025),
    [anon_sym___declspec] = ACTIONS(3023),
    [anon_sym___based] = ACTIONS(3023),
    [anon_sym___cdecl] = ACTIONS(3023),
    [anon_sym___clrcall] = ACTIONS(3023),
    [anon_sym___stdcall] = ACTIONS(3023),
    [anon_sym___fastcall] = ACTIONS(3023),
    [anon_sym___thiscall] = ACTIONS(3023),
    [anon_sym___vectorcall] = ACTIONS(3023),
    [anon_sym_LBRACE] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3023),
    [anon_sym_unsigned] = ACTIONS(3023),
    [anon_sym_long] = ACTIONS(3023),
    [anon_sym_short] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(3023),
    [anon_sym_register] = ACTIONS(3023),
    [anon_sym_inline] = ACTIONS(3023),
    [anon_sym___inline] = ACTIONS(3023),
    [anon_sym___inline__] = ACTIONS(3023),
    [anon_sym___forceinline] = ACTIONS(3023),
    [anon_sym_thread_local] = ACTIONS(3023),
    [anon_sym___thread] = ACTIONS(3023),
    [anon_sym_const] = ACTIONS(3023),
    [anon_sym_constexpr] = ACTIONS(3023),
    [anon_sym_volatile] = ACTIONS(3023),
    [anon_sym_restrict] = ACTIONS(3023),
    [anon_sym___restrict__] = ACTIONS(3023),
    [anon_sym__Atomic] = ACTIONS(3023),
    [anon_sym__Noreturn] = ACTIONS(3023),
    [anon_sym_noreturn] = ACTIONS(3023),
    [anon_sym__Nonnull] = ACTIONS(3023),
    [anon_sym_mutable] = ACTIONS(3023),
    [anon_sym_constinit] = ACTIONS(3023),
    [anon_sym_consteval] = ACTIONS(3023),
    [anon_sym_alignas] = ACTIONS(3023),
    [anon_sym__Alignas] = ACTIONS(3023),
    [sym_primitive_type] = ACTIONS(3023),
    [anon_sym_enum] = ACTIONS(3023),
    [anon_sym_class] = ACTIONS(3023),
    [anon_sym_struct] = ACTIONS(3023),
    [anon_sym_union] = ACTIONS(3023),
    [anon_sym_if] = ACTIONS(3023),
    [anon_sym_switch] = ACTIONS(3023),
    [anon_sym_case] = ACTIONS(3023),
    [anon_sym_default] = ACTIONS(3023),
    [anon_sym_while] = ACTIONS(3023),
    [anon_sym_do] = ACTIONS(3023),
    [anon_sym_for] = ACTIONS(3023),
    [anon_sym_return] = ACTIONS(3023),
    [anon_sym_break] = ACTIONS(3023),
    [anon_sym_continue] = ACTIONS(3023),
    [anon_sym_goto] = ACTIONS(3023),
    [anon_sym___try] = ACTIONS(3023),
    [anon_sym___leave] = ACTIONS(3023),
    [anon_sym_not] = ACTIONS(3023),
    [anon_sym_compl] = ACTIONS(3023),
    [anon_sym_DASH_DASH] = ACTIONS(3025),
    [anon_sym_PLUS_PLUS] = ACTIONS(3025),
    [anon_sym_sizeof] = ACTIONS(3023),
    [anon_sym___alignof__] = ACTIONS(3023),
    [anon_sym___alignof] = ACTIONS(3023),
    [anon_sym__alignof] = ACTIONS(3023),
    [anon_sym_alignof] = ACTIONS(3023),
    [anon_sym__Alignof] = ACTIONS(3023),
    [anon_sym_offsetof] = ACTIONS(3023),
    [anon_sym__Generic] = ACTIONS(3023),
    [anon_sym_asm] = ACTIONS(3023),
    [anon_sym___asm__] = ACTIONS(3023),
    [anon_sym___asm] = ACTIONS(3023),
    [sym_number_literal] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3025),
    [anon_sym_u_SQUOTE] = ACTIONS(3025),
    [anon_sym_U_SQUOTE] = ACTIONS(3025),
    [anon_sym_u8_SQUOTE] = ACTIONS(3025),
    [anon_sym_SQUOTE] = ACTIONS(3025),
    [anon_sym_L_DQUOTE] = ACTIONS(3025),
    [anon_sym_u_DQUOTE] = ACTIONS(3025),
    [anon_sym_U_DQUOTE] = ACTIONS(3025),
    [anon_sym_u8_DQUOTE] = ACTIONS(3025),
    [anon_sym_DQUOTE] = ACTIONS(3025),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [anon_sym_NULL] = ACTIONS(3023),
    [anon_sym_nullptr] = ACTIONS(3023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3023),
    [anon_sym_decltype] = ACTIONS(3023),
    [anon_sym_explicit] = ACTIONS(3023),
    [anon_sym_typename] = ACTIONS(3023),
    [anon_sym_template] = ACTIONS(3023),
    [anon_sym_operator] = ACTIONS(3023),
    [anon_sym_try] = ACTIONS(3023),
    [anon_sym_delete] = ACTIONS(3023),
    [anon_sym_throw] = ACTIONS(3023),
    [anon_sym_namespace] = ACTIONS(3023),
    [anon_sym_using] = ACTIONS(3023),
    [anon_sym_static_assert] = ACTIONS(3023),
    [anon_sym_concept] = ACTIONS(3023),
    [anon_sym_co_return] = ACTIONS(3023),
    [anon_sym_co_yield] = ACTIONS(3023),
    [anon_sym_R_DQUOTE] = ACTIONS(3025),
    [anon_sym_LR_DQUOTE] = ACTIONS(3025),
    [anon_sym_uR_DQUOTE] = ACTIONS(3025),
    [anon_sym_UR_DQUOTE] = ACTIONS(3025),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3025),
    [anon_sym_co_await] = ACTIONS(3023),
    [anon_sym_new] = ACTIONS(3023),
    [anon_sym_requires] = ACTIONS(3023),
    [sym_this] = ACTIONS(3023),
  },
  [322] = {
    [sym_identifier] = ACTIONS(3027),
    [aux_sym_preproc_include_token1] = ACTIONS(3027),
    [aux_sym_preproc_def_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token2] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3027),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3027),
    [anon_sym_LPAREN2] = ACTIONS(3029),
    [anon_sym_BANG] = ACTIONS(3029),
    [anon_sym_TILDE] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3027),
    [anon_sym_PLUS] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym___extension__] = ACTIONS(3027),
    [anon_sym_typedef] = ACTIONS(3027),
    [anon_sym_virtual] = ACTIONS(3027),
    [anon_sym_extern] = ACTIONS(3027),
    [anon_sym___attribute__] = ACTIONS(3027),
    [anon_sym___attribute] = ACTIONS(3027),
    [anon_sym_COLON_COLON] = ACTIONS(3029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3029),
    [anon_sym___declspec] = ACTIONS(3027),
    [anon_sym___based] = ACTIONS(3027),
    [anon_sym___cdecl] = ACTIONS(3027),
    [anon_sym___clrcall] = ACTIONS(3027),
    [anon_sym___stdcall] = ACTIONS(3027),
    [anon_sym___fastcall] = ACTIONS(3027),
    [anon_sym___thiscall] = ACTIONS(3027),
    [anon_sym___vectorcall] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_signed] = ACTIONS(3027),
    [anon_sym_unsigned] = ACTIONS(3027),
    [anon_sym_long] = ACTIONS(3027),
    [anon_sym_short] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [anon_sym_static] = ACTIONS(3027),
    [anon_sym_register] = ACTIONS(3027),
    [anon_sym_inline] = ACTIONS(3027),
    [anon_sym___inline] = ACTIONS(3027),
    [anon_sym___inline__] = ACTIONS(3027),
    [anon_sym___forceinline] = ACTIONS(3027),
    [anon_sym_thread_local] = ACTIONS(3027),
    [anon_sym___thread] = ACTIONS(3027),
    [anon_sym_const] = ACTIONS(3027),
    [anon_sym_constexpr] = ACTIONS(3027),
    [anon_sym_volatile] = ACTIONS(3027),
    [anon_sym_restrict] = ACTIONS(3027),
    [anon_sym___restrict__] = ACTIONS(3027),
    [anon_sym__Atomic] = ACTIONS(3027),
    [anon_sym__Noreturn] = ACTIONS(3027),
    [anon_sym_noreturn] = ACTIONS(3027),
    [anon_sym__Nonnull] = ACTIONS(3027),
    [anon_sym_mutable] = ACTIONS(3027),
    [anon_sym_constinit] = ACTIONS(3027),
    [anon_sym_consteval] = ACTIONS(3027),
    [anon_sym_alignas] = ACTIONS(3027),
    [anon_sym__Alignas] = ACTIONS(3027),
    [sym_primitive_type] = ACTIONS(3027),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3027),
    [anon_sym_struct] = ACTIONS(3027),
    [anon_sym_union] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_switch] = ACTIONS(3027),
    [anon_sym_case] = ACTIONS(3027),
    [anon_sym_default] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_do] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3027),
    [anon_sym_return] = ACTIONS(3027),
    [anon_sym_break] = ACTIONS(3027),
    [anon_sym_continue] = ACTIONS(3027),
    [anon_sym_goto] = ACTIONS(3027),
    [anon_sym___try] = ACTIONS(3027),
    [anon_sym___leave] = ACTIONS(3027),
    [anon_sym_not] = ACTIONS(3027),
    [anon_sym_compl] = ACTIONS(3027),
    [anon_sym_DASH_DASH] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3029),
    [anon_sym_sizeof] = ACTIONS(3027),
    [anon_sym___alignof__] = ACTIONS(3027),
    [anon_sym___alignof] = ACTIONS(3027),
    [anon_sym__alignof] = ACTIONS(3027),
    [anon_sym_alignof] = ACTIONS(3027),
    [anon_sym__Alignof] = ACTIONS(3027),
    [anon_sym_offsetof] = ACTIONS(3027),
    [anon_sym__Generic] = ACTIONS(3027),
    [anon_sym_asm] = ACTIONS(3027),
    [anon_sym___asm__] = ACTIONS(3027),
    [anon_sym___asm] = ACTIONS(3027),
    [sym_number_literal] = ACTIONS(3029),
    [anon_sym_L_SQUOTE] = ACTIONS(3029),
    [anon_sym_u_SQUOTE] = ACTIONS(3029),
    [anon_sym_U_SQUOTE] = ACTIONS(3029),
    [anon_sym_u8_SQUOTE] = ACTIONS(3029),
    [anon_sym_SQUOTE] = ACTIONS(3029),
    [anon_sym_L_DQUOTE] = ACTIONS(3029),
    [anon_sym_u_DQUOTE] = ACTIONS(3029),
    [anon_sym_U_DQUOTE] = ACTIONS(3029),
    [anon_sym_u8_DQUOTE] = ACTIONS(3029),
    [anon_sym_DQUOTE] = ACTIONS(3029),
    [sym_true] = ACTIONS(3027),
    [sym_false] = ACTIONS(3027),
    [anon_sym_NULL] = ACTIONS(3027),
    [anon_sym_nullptr] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3027),
    [anon_sym_decltype] = ACTIONS(3027),
    [anon_sym_explicit] = ACTIONS(3027),
    [anon_sym_typename] = ACTIONS(3027),
    [anon_sym_template] = ACTIONS(3027),
    [anon_sym_operator] = ACTIONS(3027),
    [anon_sym_try] = ACTIONS(3027),
    [anon_sym_delete] = ACTIONS(3027),
    [anon_sym_throw] = ACTIONS(3027),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_using] = ACTIONS(3027),
    [anon_sym_static_assert] = ACTIONS(3027),
    [anon_sym_concept] = ACTIONS(3027),
    [anon_sym_co_return] = ACTIONS(3027),
    [anon_sym_co_yield] = ACTIONS(3027),
    [anon_sym_R_DQUOTE] = ACTIONS(3029),
    [anon_sym_LR_DQUOTE] = ACTIONS(3029),
    [anon_sym_uR_DQUOTE] = ACTIONS(3029),
    [anon_sym_UR_DQUOTE] = ACTIONS(3029),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3029),
    [anon_sym_co_await] = ACTIONS(3027),
    [anon_sym_new] = ACTIONS(3027),
    [anon_sym_requires] = ACTIONS(3027),
    [sym_this] = ACTIONS(3027),
  },
  [323] = {
    [sym_identifier] = ACTIONS(3031),
    [aux_sym_preproc_include_token1] = ACTIONS(3031),
    [aux_sym_preproc_def_token1] = ACTIONS(3031),
    [aux_sym_preproc_if_token1] = ACTIONS(3031),
    [aux_sym_preproc_if_token2] = ACTIONS(3031),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3031),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3031),
    [anon_sym_LPAREN2] = ACTIONS(3033),
    [anon_sym_BANG] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym___extension__] = ACTIONS(3031),
    [anon_sym_typedef] = ACTIONS(3031),
    [anon_sym_virtual] = ACTIONS(3031),
    [anon_sym_extern] = ACTIONS(3031),
    [anon_sym___attribute__] = ACTIONS(3031),
    [anon_sym___attribute] = ACTIONS(3031),
    [anon_sym_COLON_COLON] = ACTIONS(3033),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3033),
    [anon_sym___declspec] = ACTIONS(3031),
    [anon_sym___based] = ACTIONS(3031),
    [anon_sym___cdecl] = ACTIONS(3031),
    [anon_sym___clrcall] = ACTIONS(3031),
    [anon_sym___stdcall] = ACTIONS(3031),
    [anon_sym___fastcall] = ACTIONS(3031),
    [anon_sym___thiscall] = ACTIONS(3031),
    [anon_sym___vectorcall] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3031),
    [anon_sym_unsigned] = ACTIONS(3031),
    [anon_sym_long] = ACTIONS(3031),
    [anon_sym_short] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_register] = ACTIONS(3031),
    [anon_sym_inline] = ACTIONS(3031),
    [anon_sym___inline] = ACTIONS(3031),
    [anon_sym___inline__] = ACTIONS(3031),
    [anon_sym___forceinline] = ACTIONS(3031),
    [anon_sym_thread_local] = ACTIONS(3031),
    [anon_sym___thread] = ACTIONS(3031),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_constexpr] = ACTIONS(3031),
    [anon_sym_volatile] = ACTIONS(3031),
    [anon_sym_restrict] = ACTIONS(3031),
    [anon_sym___restrict__] = ACTIONS(3031),
    [anon_sym__Atomic] = ACTIONS(3031),
    [anon_sym__Noreturn] = ACTIONS(3031),
    [anon_sym_noreturn] = ACTIONS(3031),
    [anon_sym__Nonnull] = ACTIONS(3031),
    [anon_sym_mutable] = ACTIONS(3031),
    [anon_sym_constinit] = ACTIONS(3031),
    [anon_sym_consteval] = ACTIONS(3031),
    [anon_sym_alignas] = ACTIONS(3031),
    [anon_sym__Alignas] = ACTIONS(3031),
    [sym_primitive_type] = ACTIONS(3031),
    [anon_sym_enum] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3031),
    [anon_sym_if] = ACTIONS(3031),
    [anon_sym_switch] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_default] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3031),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_for] = ACTIONS(3031),
    [anon_sym_return] = ACTIONS(3031),
    [anon_sym_break] = ACTIONS(3031),
    [anon_sym_continue] = ACTIONS(3031),
    [anon_sym_goto] = ACTIONS(3031),
    [anon_sym___try] = ACTIONS(3031),
    [anon_sym___leave] = ACTIONS(3031),
    [anon_sym_not] = ACTIONS(3031),
    [anon_sym_compl] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3033),
    [anon_sym_sizeof] = ACTIONS(3031),
    [anon_sym___alignof__] = ACTIONS(3031),
    [anon_sym___alignof] = ACTIONS(3031),
    [anon_sym__alignof] = ACTIONS(3031),
    [anon_sym_alignof] = ACTIONS(3031),
    [anon_sym__Alignof] = ACTIONS(3031),
    [anon_sym_offsetof] = ACTIONS(3031),
    [anon_sym__Generic] = ACTIONS(3031),
    [anon_sym_asm] = ACTIONS(3031),
    [anon_sym___asm__] = ACTIONS(3031),
    [anon_sym___asm] = ACTIONS(3031),
    [sym_number_literal] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3033),
    [anon_sym_u_SQUOTE] = ACTIONS(3033),
    [anon_sym_U_SQUOTE] = ACTIONS(3033),
    [anon_sym_u8_SQUOTE] = ACTIONS(3033),
    [anon_sym_SQUOTE] = ACTIONS(3033),
    [anon_sym_L_DQUOTE] = ACTIONS(3033),
    [anon_sym_u_DQUOTE] = ACTIONS(3033),
    [anon_sym_U_DQUOTE] = ACTIONS(3033),
    [anon_sym_u8_DQUOTE] = ACTIONS(3033),
    [anon_sym_DQUOTE] = ACTIONS(3033),
    [sym_true] = ACTIONS(3031),
    [sym_false] = ACTIONS(3031),
    [anon_sym_NULL] = ACTIONS(3031),
    [anon_sym_nullptr] = ACTIONS(3031),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3031),
    [anon_sym_decltype] = ACTIONS(3031),
    [anon_sym_explicit] = ACTIONS(3031),
    [anon_sym_typename] = ACTIONS(3031),
    [anon_sym_template] = ACTIONS(3031),
    [anon_sym_operator] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3031),
    [anon_sym_delete] = ACTIONS(3031),
    [anon_sym_throw] = ACTIONS(3031),
    [anon_sym_namespace] = ACTIONS(3031),
    [anon_sym_using] = ACTIONS(3031),
    [anon_sym_static_assert] = ACTIONS(3031),
    [anon_sym_concept] = ACTIONS(3031),
    [anon_sym_co_return] = ACTIONS(3031),
    [anon_sym_co_yield] = ACTIONS(3031),
    [anon_sym_R_DQUOTE] = ACTIONS(3033),
    [anon_sym_LR_DQUOTE] = ACTIONS(3033),
    [anon_sym_uR_DQUOTE] = ACTIONS(3033),
    [anon_sym_UR_DQUOTE] = ACTIONS(3033),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3033),
    [anon_sym_co_await] = ACTIONS(3031),
    [anon_sym_new] = ACTIONS(3031),
    [anon_sym_requires] = ACTIONS(3031),
    [sym_this] = ACTIONS(3031),
  },
  [324] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4318),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(7001),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7397),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3035),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [325] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [sym_number_literal] = ACTIONS(3039),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [326] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [aux_sym_preproc_else_token1] = ACTIONS(3041),
    [aux_sym_preproc_elif_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [sym_number_literal] = ACTIONS(3043),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [327] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [sym_number_literal] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [328] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4335),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6869),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7067),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3049),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [329] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [330] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4303),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6921),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7421),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3055),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [331] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [332] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6945),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7188),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3057),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [333] = {
    [sym_identifier] = ACTIONS(3059),
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [aux_sym_preproc_else_token1] = ACTIONS(3059),
    [aux_sym_preproc_elif_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3059),
    [anon_sym_typedef] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym___attribute__] = ACTIONS(3059),
    [anon_sym___attribute] = ACTIONS(3059),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3059),
    [anon_sym___based] = ACTIONS(3059),
    [anon_sym___cdecl] = ACTIONS(3059),
    [anon_sym___clrcall] = ACTIONS(3059),
    [anon_sym___stdcall] = ACTIONS(3059),
    [anon_sym___fastcall] = ACTIONS(3059),
    [anon_sym___thiscall] = ACTIONS(3059),
    [anon_sym___vectorcall] = ACTIONS(3059),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3059),
    [anon_sym_unsigned] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [anon_sym_register] = ACTIONS(3059),
    [anon_sym_inline] = ACTIONS(3059),
    [anon_sym___inline] = ACTIONS(3059),
    [anon_sym___inline__] = ACTIONS(3059),
    [anon_sym___forceinline] = ACTIONS(3059),
    [anon_sym_thread_local] = ACTIONS(3059),
    [anon_sym___thread] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_constexpr] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_restrict] = ACTIONS(3059),
    [anon_sym___restrict__] = ACTIONS(3059),
    [anon_sym__Atomic] = ACTIONS(3059),
    [anon_sym__Noreturn] = ACTIONS(3059),
    [anon_sym_noreturn] = ACTIONS(3059),
    [anon_sym__Nonnull] = ACTIONS(3059),
    [anon_sym_mutable] = ACTIONS(3059),
    [anon_sym_constinit] = ACTIONS(3059),
    [anon_sym_consteval] = ACTIONS(3059),
    [anon_sym_alignas] = ACTIONS(3059),
    [anon_sym__Alignas] = ACTIONS(3059),
    [sym_primitive_type] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_union] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_switch] = ACTIONS(3059),
    [anon_sym_case] = ACTIONS(3059),
    [anon_sym_default] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_do] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3059),
    [anon_sym_return] = ACTIONS(3059),
    [anon_sym_break] = ACTIONS(3059),
    [anon_sym_continue] = ACTIONS(3059),
    [anon_sym_goto] = ACTIONS(3059),
    [anon_sym___try] = ACTIONS(3059),
    [anon_sym___leave] = ACTIONS(3059),
    [anon_sym_not] = ACTIONS(3059),
    [anon_sym_compl] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3059),
    [anon_sym___alignof__] = ACTIONS(3059),
    [anon_sym___alignof] = ACTIONS(3059),
    [anon_sym__alignof] = ACTIONS(3059),
    [anon_sym_alignof] = ACTIONS(3059),
    [anon_sym__Alignof] = ACTIONS(3059),
    [anon_sym_offsetof] = ACTIONS(3059),
    [anon_sym__Generic] = ACTIONS(3059),
    [anon_sym_asm] = ACTIONS(3059),
    [anon_sym___asm__] = ACTIONS(3059),
    [anon_sym___asm] = ACTIONS(3059),
    [sym_number_literal] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3059),
    [sym_false] = ACTIONS(3059),
    [anon_sym_NULL] = ACTIONS(3059),
    [anon_sym_nullptr] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3059),
    [anon_sym_decltype] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_typename] = ACTIONS(3059),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3059),
    [anon_sym_delete] = ACTIONS(3059),
    [anon_sym_throw] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static_assert] = ACTIONS(3059),
    [anon_sym_concept] = ACTIONS(3059),
    [anon_sym_co_return] = ACTIONS(3059),
    [anon_sym_co_yield] = ACTIONS(3059),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_requires] = ACTIONS(3059),
    [sym_this] = ACTIONS(3059),
  },
  [334] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_include_token1] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token2] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [aux_sym_preproc_else_token1] = ACTIONS(3065),
    [aux_sym_preproc_elif_token1] = ACTIONS(3065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_BANG] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym___attribute] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym___cdecl] = ACTIONS(3065),
    [anon_sym___clrcall] = ACTIONS(3065),
    [anon_sym___stdcall] = ACTIONS(3065),
    [anon_sym___fastcall] = ACTIONS(3065),
    [anon_sym___thiscall] = ACTIONS(3065),
    [anon_sym___vectorcall] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [anon_sym_if] = ACTIONS(3065),
    [anon_sym_switch] = ACTIONS(3065),
    [anon_sym_case] = ACTIONS(3065),
    [anon_sym_default] = ACTIONS(3065),
    [anon_sym_while] = ACTIONS(3065),
    [anon_sym_do] = ACTIONS(3065),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_return] = ACTIONS(3065),
    [anon_sym_break] = ACTIONS(3065),
    [anon_sym_continue] = ACTIONS(3065),
    [anon_sym_goto] = ACTIONS(3065),
    [anon_sym___try] = ACTIONS(3065),
    [anon_sym___leave] = ACTIONS(3065),
    [anon_sym_not] = ACTIONS(3065),
    [anon_sym_compl] = ACTIONS(3065),
    [anon_sym_DASH_DASH] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3067),
    [anon_sym_sizeof] = ACTIONS(3065),
    [anon_sym___alignof__] = ACTIONS(3065),
    [anon_sym___alignof] = ACTIONS(3065),
    [anon_sym__alignof] = ACTIONS(3065),
    [anon_sym_alignof] = ACTIONS(3065),
    [anon_sym__Alignof] = ACTIONS(3065),
    [anon_sym_offsetof] = ACTIONS(3065),
    [anon_sym__Generic] = ACTIONS(3065),
    [anon_sym_asm] = ACTIONS(3065),
    [anon_sym___asm__] = ACTIONS(3065),
    [anon_sym___asm] = ACTIONS(3065),
    [sym_number_literal] = ACTIONS(3067),
    [anon_sym_L_SQUOTE] = ACTIONS(3067),
    [anon_sym_u_SQUOTE] = ACTIONS(3067),
    [anon_sym_U_SQUOTE] = ACTIONS(3067),
    [anon_sym_u8_SQUOTE] = ACTIONS(3067),
    [anon_sym_SQUOTE] = ACTIONS(3067),
    [anon_sym_L_DQUOTE] = ACTIONS(3067),
    [anon_sym_u_DQUOTE] = ACTIONS(3067),
    [anon_sym_U_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8_DQUOTE] = ACTIONS(3067),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_true] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
    [anon_sym_NULL] = ACTIONS(3065),
    [anon_sym_nullptr] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_try] = ACTIONS(3065),
    [anon_sym_delete] = ACTIONS(3065),
    [anon_sym_throw] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
    [anon_sym_concept] = ACTIONS(3065),
    [anon_sym_co_return] = ACTIONS(3065),
    [anon_sym_co_yield] = ACTIONS(3065),
    [anon_sym_R_DQUOTE] = ACTIONS(3067),
    [anon_sym_LR_DQUOTE] = ACTIONS(3067),
    [anon_sym_uR_DQUOTE] = ACTIONS(3067),
    [anon_sym_UR_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3067),
    [anon_sym_co_await] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_requires] = ACTIONS(3065),
    [sym_this] = ACTIONS(3065),
  },
  [335] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4337),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6895),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7255),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3069),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [336] = {
    [sym_identifier] = ACTIONS(3071),
    [aux_sym_preproc_include_token1] = ACTIONS(3071),
    [aux_sym_preproc_def_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token2] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3071),
    [aux_sym_preproc_else_token1] = ACTIONS(3071),
    [aux_sym_preproc_elif_token1] = ACTIONS(3071),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3071),
    [sym_preproc_directive] = ACTIONS(3071),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_DASH] = ACTIONS(3071),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_STAR] = ACTIONS(3073),
    [anon_sym_AMP_AMP] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3071),
    [anon_sym_typedef] = ACTIONS(3071),
    [anon_sym_virtual] = ACTIONS(3071),
    [anon_sym_extern] = ACTIONS(3071),
    [anon_sym___attribute__] = ACTIONS(3071),
    [anon_sym___attribute] = ACTIONS(3071),
    [anon_sym_COLON_COLON] = ACTIONS(3073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3073),
    [anon_sym___declspec] = ACTIONS(3071),
    [anon_sym___based] = ACTIONS(3071),
    [anon_sym___cdecl] = ACTIONS(3071),
    [anon_sym___clrcall] = ACTIONS(3071),
    [anon_sym___stdcall] = ACTIONS(3071),
    [anon_sym___fastcall] = ACTIONS(3071),
    [anon_sym___thiscall] = ACTIONS(3071),
    [anon_sym___vectorcall] = ACTIONS(3071),
    [anon_sym_LBRACE] = ACTIONS(3073),
    [anon_sym_signed] = ACTIONS(3071),
    [anon_sym_unsigned] = ACTIONS(3071),
    [anon_sym_long] = ACTIONS(3071),
    [anon_sym_short] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_static] = ACTIONS(3071),
    [anon_sym_register] = ACTIONS(3071),
    [anon_sym_inline] = ACTIONS(3071),
    [anon_sym___inline] = ACTIONS(3071),
    [anon_sym___inline__] = ACTIONS(3071),
    [anon_sym___forceinline] = ACTIONS(3071),
    [anon_sym_thread_local] = ACTIONS(3071),
    [anon_sym___thread] = ACTIONS(3071),
    [anon_sym_const] = ACTIONS(3071),
    [anon_sym_constexpr] = ACTIONS(3071),
    [anon_sym_volatile] = ACTIONS(3071),
    [anon_sym_restrict] = ACTIONS(3071),
    [anon_sym___restrict__] = ACTIONS(3071),
    [anon_sym__Atomic] = ACTIONS(3071),
    [anon_sym__Noreturn] = ACTIONS(3071),
    [anon_sym_noreturn] = ACTIONS(3071),
    [anon_sym__Nonnull] = ACTIONS(3071),
    [anon_sym_mutable] = ACTIONS(3071),
    [anon_sym_constinit] = ACTIONS(3071),
    [anon_sym_consteval] = ACTIONS(3071),
    [anon_sym_alignas] = ACTIONS(3071),
    [anon_sym__Alignas] = ACTIONS(3071),
    [sym_primitive_type] = ACTIONS(3071),
    [anon_sym_enum] = ACTIONS(3071),
    [anon_sym_class] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3071),
    [anon_sym_union] = ACTIONS(3071),
    [anon_sym_if] = ACTIONS(3071),
    [anon_sym_switch] = ACTIONS(3071),
    [anon_sym_case] = ACTIONS(3071),
    [anon_sym_default] = ACTIONS(3071),
    [anon_sym_while] = ACTIONS(3071),
    [anon_sym_do] = ACTIONS(3071),
    [anon_sym_for] = ACTIONS(3071),
    [anon_sym_return] = ACTIONS(3071),
    [anon_sym_break] = ACTIONS(3071),
    [anon_sym_continue] = ACTIONS(3071),
    [anon_sym_goto] = ACTIONS(3071),
    [anon_sym___try] = ACTIONS(3071),
    [anon_sym___leave] = ACTIONS(3071),
    [anon_sym_not] = ACTIONS(3071),
    [anon_sym_compl] = ACTIONS(3071),
    [anon_sym_DASH_DASH] = ACTIONS(3073),
    [anon_sym_PLUS_PLUS] = ACTIONS(3073),
    [anon_sym_sizeof] = ACTIONS(3071),
    [anon_sym___alignof__] = ACTIONS(3071),
    [anon_sym___alignof] = ACTIONS(3071),
    [anon_sym__alignof] = ACTIONS(3071),
    [anon_sym_alignof] = ACTIONS(3071),
    [anon_sym__Alignof] = ACTIONS(3071),
    [anon_sym_offsetof] = ACTIONS(3071),
    [anon_sym__Generic] = ACTIONS(3071),
    [anon_sym_asm] = ACTIONS(3071),
    [anon_sym___asm__] = ACTIONS(3071),
    [anon_sym___asm] = ACTIONS(3071),
    [sym_number_literal] = ACTIONS(3073),
    [anon_sym_L_SQUOTE] = ACTIONS(3073),
    [anon_sym_u_SQUOTE] = ACTIONS(3073),
    [anon_sym_U_SQUOTE] = ACTIONS(3073),
    [anon_sym_u8_SQUOTE] = ACTIONS(3073),
    [anon_sym_SQUOTE] = ACTIONS(3073),
    [anon_sym_L_DQUOTE] = ACTIONS(3073),
    [anon_sym_u_DQUOTE] = ACTIONS(3073),
    [anon_sym_U_DQUOTE] = ACTIONS(3073),
    [anon_sym_u8_DQUOTE] = ACTIONS(3073),
    [anon_sym_DQUOTE] = ACTIONS(3073),
    [sym_true] = ACTIONS(3071),
    [sym_false] = ACTIONS(3071),
    [anon_sym_NULL] = ACTIONS(3071),
    [anon_sym_nullptr] = ACTIONS(3071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3071),
    [anon_sym_decltype] = ACTIONS(3071),
    [anon_sym_explicit] = ACTIONS(3071),
    [anon_sym_typename] = ACTIONS(3071),
    [anon_sym_template] = ACTIONS(3071),
    [anon_sym_operator] = ACTIONS(3071),
    [anon_sym_try] = ACTIONS(3071),
    [anon_sym_delete] = ACTIONS(3071),
    [anon_sym_throw] = ACTIONS(3071),
    [anon_sym_namespace] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3071),
    [anon_sym_static_assert] = ACTIONS(3071),
    [anon_sym_concept] = ACTIONS(3071),
    [anon_sym_co_return] = ACTIONS(3071),
    [anon_sym_co_yield] = ACTIONS(3071),
    [anon_sym_R_DQUOTE] = ACTIONS(3073),
    [anon_sym_LR_DQUOTE] = ACTIONS(3073),
    [anon_sym_uR_DQUOTE] = ACTIONS(3073),
    [anon_sym_UR_DQUOTE] = ACTIONS(3073),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3073),
    [anon_sym_co_await] = ACTIONS(3071),
    [anon_sym_new] = ACTIONS(3071),
    [anon_sym_requires] = ACTIONS(3071),
    [sym_this] = ACTIONS(3071),
  },
  [337] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6956),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7311),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3075),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [338] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4341),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(6976),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7351),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [339] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4343),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(7004),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7387),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3079),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [340] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [aux_sym_preproc_else_token1] = ACTIONS(3081),
    [aux_sym_preproc_elif_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym___attribute] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym__Nonnull] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym__Alignas] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [anon_sym___asm] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [341] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4338),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(7016),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7406),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [342] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4323),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(7054),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7422),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3087),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [343] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [344] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [345] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4321),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(7012),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7061),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3093),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [346] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [aux_sym_preproc_else_token1] = ACTIONS(3095),
    [aux_sym_preproc_elif_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym___attribute] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [347] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4350),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(7053),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7070),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [348] = {
    [sym_identifier] = ACTIONS(3101),
    [aux_sym_preproc_include_token1] = ACTIONS(3101),
    [aux_sym_preproc_def_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3101),
    [aux_sym_preproc_else_token1] = ACTIONS(3101),
    [aux_sym_preproc_elif_token1] = ACTIONS(3101),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_DASH] = ACTIONS(3101),
    [anon_sym_PLUS] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_AMP_AMP] = ACTIONS(3103),
    [anon_sym_AMP] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_typedef] = ACTIONS(3101),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym___attribute] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3103),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym___based] = ACTIONS(3101),
    [anon_sym___cdecl] = ACTIONS(3101),
    [anon_sym___clrcall] = ACTIONS(3101),
    [anon_sym___stdcall] = ACTIONS(3101),
    [anon_sym___fastcall] = ACTIONS(3101),
    [anon_sym___thiscall] = ACTIONS(3101),
    [anon_sym___vectorcall] = ACTIONS(3101),
    [anon_sym_LBRACE] = ACTIONS(3103),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym__Nonnull] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym__Alignas] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3101),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [anon_sym_if] = ACTIONS(3101),
    [anon_sym_switch] = ACTIONS(3101),
    [anon_sym_case] = ACTIONS(3101),
    [anon_sym_default] = ACTIONS(3101),
    [anon_sym_while] = ACTIONS(3101),
    [anon_sym_do] = ACTIONS(3101),
    [anon_sym_for] = ACTIONS(3101),
    [anon_sym_return] = ACTIONS(3101),
    [anon_sym_break] = ACTIONS(3101),
    [anon_sym_continue] = ACTIONS(3101),
    [anon_sym_goto] = ACTIONS(3101),
    [anon_sym___try] = ACTIONS(3101),
    [anon_sym___leave] = ACTIONS(3101),
    [anon_sym_not] = ACTIONS(3101),
    [anon_sym_compl] = ACTIONS(3101),
    [anon_sym_DASH_DASH] = ACTIONS(3103),
    [anon_sym_PLUS_PLUS] = ACTIONS(3103),
    [anon_sym_sizeof] = ACTIONS(3101),
    [anon_sym___alignof__] = ACTIONS(3101),
    [anon_sym___alignof] = ACTIONS(3101),
    [anon_sym__alignof] = ACTIONS(3101),
    [anon_sym_alignof] = ACTIONS(3101),
    [anon_sym__Alignof] = ACTIONS(3101),
    [anon_sym_offsetof] = ACTIONS(3101),
    [anon_sym__Generic] = ACTIONS(3101),
    [anon_sym_asm] = ACTIONS(3101),
    [anon_sym___asm__] = ACTIONS(3101),
    [anon_sym___asm] = ACTIONS(3101),
    [sym_number_literal] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3103),
    [anon_sym_u_SQUOTE] = ACTIONS(3103),
    [anon_sym_U_SQUOTE] = ACTIONS(3103),
    [anon_sym_u8_SQUOTE] = ACTIONS(3103),
    [anon_sym_SQUOTE] = ACTIONS(3103),
    [anon_sym_L_DQUOTE] = ACTIONS(3103),
    [anon_sym_u_DQUOTE] = ACTIONS(3103),
    [anon_sym_U_DQUOTE] = ACTIONS(3103),
    [anon_sym_u8_DQUOTE] = ACTIONS(3103),
    [anon_sym_DQUOTE] = ACTIONS(3103),
    [sym_true] = ACTIONS(3101),
    [sym_false] = ACTIONS(3101),
    [anon_sym_NULL] = ACTIONS(3101),
    [anon_sym_nullptr] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3101),
    [anon_sym_explicit] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3101),
    [anon_sym_operator] = ACTIONS(3101),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_delete] = ACTIONS(3101),
    [anon_sym_throw] = ACTIONS(3101),
    [anon_sym_namespace] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3101),
    [anon_sym_static_assert] = ACTIONS(3101),
    [anon_sym_concept] = ACTIONS(3101),
    [anon_sym_co_return] = ACTIONS(3101),
    [anon_sym_co_yield] = ACTIONS(3101),
    [anon_sym_R_DQUOTE] = ACTIONS(3103),
    [anon_sym_LR_DQUOTE] = ACTIONS(3103),
    [anon_sym_uR_DQUOTE] = ACTIONS(3103),
    [anon_sym_UR_DQUOTE] = ACTIONS(3103),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3103),
    [anon_sym_co_await] = ACTIONS(3101),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_requires] = ACTIONS(3101),
    [sym_this] = ACTIONS(3101),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3105),
    [aux_sym_preproc_include_token1] = ACTIONS(3105),
    [aux_sym_preproc_def_token1] = ACTIONS(3105),
    [aux_sym_preproc_if_token1] = ACTIONS(3105),
    [aux_sym_preproc_if_token2] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3105),
    [aux_sym_preproc_else_token1] = ACTIONS(3105),
    [aux_sym_preproc_elif_token1] = ACTIONS(3105),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3105),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3105),
    [sym_preproc_directive] = ACTIONS(3105),
    [anon_sym_LPAREN2] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3105),
    [anon_sym_typedef] = ACTIONS(3105),
    [anon_sym_virtual] = ACTIONS(3105),
    [anon_sym_extern] = ACTIONS(3105),
    [anon_sym___attribute__] = ACTIONS(3105),
    [anon_sym___attribute] = ACTIONS(3105),
    [anon_sym_COLON_COLON] = ACTIONS(3107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3107),
    [anon_sym___declspec] = ACTIONS(3105),
    [anon_sym___based] = ACTIONS(3105),
    [anon_sym___cdecl] = ACTIONS(3105),
    [anon_sym___clrcall] = ACTIONS(3105),
    [anon_sym___stdcall] = ACTIONS(3105),
    [anon_sym___fastcall] = ACTIONS(3105),
    [anon_sym___thiscall] = ACTIONS(3105),
    [anon_sym___vectorcall] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3105),
    [anon_sym_unsigned] = ACTIONS(3105),
    [anon_sym_long] = ACTIONS(3105),
    [anon_sym_short] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_register] = ACTIONS(3105),
    [anon_sym_inline] = ACTIONS(3105),
    [anon_sym___inline] = ACTIONS(3105),
    [anon_sym___inline__] = ACTIONS(3105),
    [anon_sym___forceinline] = ACTIONS(3105),
    [anon_sym_thread_local] = ACTIONS(3105),
    [anon_sym___thread] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_constexpr] = ACTIONS(3105),
    [anon_sym_volatile] = ACTIONS(3105),
    [anon_sym_restrict] = ACTIONS(3105),
    [anon_sym___restrict__] = ACTIONS(3105),
    [anon_sym__Atomic] = ACTIONS(3105),
    [anon_sym__Noreturn] = ACTIONS(3105),
    [anon_sym_noreturn] = ACTIONS(3105),
    [anon_sym__Nonnull] = ACTIONS(3105),
    [anon_sym_mutable] = ACTIONS(3105),
    [anon_sym_constinit] = ACTIONS(3105),
    [anon_sym_consteval] = ACTIONS(3105),
    [anon_sym_alignas] = ACTIONS(3105),
    [anon_sym__Alignas] = ACTIONS(3105),
    [sym_primitive_type] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_struct] = ACTIONS(3105),
    [anon_sym_union] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_case] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_goto] = ACTIONS(3105),
    [anon_sym___try] = ACTIONS(3105),
    [anon_sym___leave] = ACTIONS(3105),
    [anon_sym_not] = ACTIONS(3105),
    [anon_sym_compl] = ACTIONS(3105),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_sizeof] = ACTIONS(3105),
    [anon_sym___alignof__] = ACTIONS(3105),
    [anon_sym___alignof] = ACTIONS(3105),
    [anon_sym__alignof] = ACTIONS(3105),
    [anon_sym_alignof] = ACTIONS(3105),
    [anon_sym__Alignof] = ACTIONS(3105),
    [anon_sym_offsetof] = ACTIONS(3105),
    [anon_sym__Generic] = ACTIONS(3105),
    [anon_sym_asm] = ACTIONS(3105),
    [anon_sym___asm__] = ACTIONS(3105),
    [anon_sym___asm] = ACTIONS(3105),
    [sym_number_literal] = ACTIONS(3107),
    [anon_sym_L_SQUOTE] = ACTIONS(3107),
    [anon_sym_u_SQUOTE] = ACTIONS(3107),
    [anon_sym_U_SQUOTE] = ACTIONS(3107),
    [anon_sym_u8_SQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [anon_sym_L_DQUOTE] = ACTIONS(3107),
    [anon_sym_u_DQUOTE] = ACTIONS(3107),
    [anon_sym_U_DQUOTE] = ACTIONS(3107),
    [anon_sym_u8_DQUOTE] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [anon_sym_NULL] = ACTIONS(3105),
    [anon_sym_nullptr] = ACTIONS(3105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3105),
    [anon_sym_decltype] = ACTIONS(3105),
    [anon_sym_explicit] = ACTIONS(3105),
    [anon_sym_typename] = ACTIONS(3105),
    [anon_sym_template] = ACTIONS(3105),
    [anon_sym_operator] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_delete] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_static_assert] = ACTIONS(3105),
    [anon_sym_concept] = ACTIONS(3105),
    [anon_sym_co_return] = ACTIONS(3105),
    [anon_sym_co_yield] = ACTIONS(3105),
    [anon_sym_R_DQUOTE] = ACTIONS(3107),
    [anon_sym_LR_DQUOTE] = ACTIONS(3107),
    [anon_sym_uR_DQUOTE] = ACTIONS(3107),
    [anon_sym_UR_DQUOTE] = ACTIONS(3107),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3107),
    [anon_sym_co_await] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_requires] = ACTIONS(3105),
    [sym_this] = ACTIONS(3105),
  },
  [350] = {
    [sym_identifier] = ACTIONS(3109),
    [aux_sym_preproc_include_token1] = ACTIONS(3109),
    [aux_sym_preproc_def_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token2] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3109),
    [aux_sym_preproc_else_token1] = ACTIONS(3109),
    [aux_sym_preproc_elif_token1] = ACTIONS(3109),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3109),
    [sym_preproc_directive] = ACTIONS(3109),
    [anon_sym_LPAREN2] = ACTIONS(3111),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_AMP_AMP] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3109),
    [anon_sym_typedef] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym___attribute__] = ACTIONS(3109),
    [anon_sym___attribute] = ACTIONS(3109),
    [anon_sym_COLON_COLON] = ACTIONS(3111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3109),
    [anon_sym___based] = ACTIONS(3109),
    [anon_sym___cdecl] = ACTIONS(3109),
    [anon_sym___clrcall] = ACTIONS(3109),
    [anon_sym___stdcall] = ACTIONS(3109),
    [anon_sym___fastcall] = ACTIONS(3109),
    [anon_sym___thiscall] = ACTIONS(3109),
    [anon_sym___vectorcall] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3111),
    [anon_sym_signed] = ACTIONS(3109),
    [anon_sym_unsigned] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_register] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(3109),
    [anon_sym___inline] = ACTIONS(3109),
    [anon_sym___inline__] = ACTIONS(3109),
    [anon_sym___forceinline] = ACTIONS(3109),
    [anon_sym_thread_local] = ACTIONS(3109),
    [anon_sym___thread] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_constexpr] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_restrict] = ACTIONS(3109),
    [anon_sym___restrict__] = ACTIONS(3109),
    [anon_sym__Atomic] = ACTIONS(3109),
    [anon_sym__Noreturn] = ACTIONS(3109),
    [anon_sym_noreturn] = ACTIONS(3109),
    [anon_sym__Nonnull] = ACTIONS(3109),
    [anon_sym_mutable] = ACTIONS(3109),
    [anon_sym_constinit] = ACTIONS(3109),
    [anon_sym_consteval] = ACTIONS(3109),
    [anon_sym_alignas] = ACTIONS(3109),
    [anon_sym__Alignas] = ACTIONS(3109),
    [sym_primitive_type] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_union] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_case] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_goto] = ACTIONS(3109),
    [anon_sym___try] = ACTIONS(3109),
    [anon_sym___leave] = ACTIONS(3109),
    [anon_sym_not] = ACTIONS(3109),
    [anon_sym_compl] = ACTIONS(3109),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_sizeof] = ACTIONS(3109),
    [anon_sym___alignof__] = ACTIONS(3109),
    [anon_sym___alignof] = ACTIONS(3109),
    [anon_sym__alignof] = ACTIONS(3109),
    [anon_sym_alignof] = ACTIONS(3109),
    [anon_sym__Alignof] = ACTIONS(3109),
    [anon_sym_offsetof] = ACTIONS(3109),
    [anon_sym__Generic] = ACTIONS(3109),
    [anon_sym_asm] = ACTIONS(3109),
    [anon_sym___asm__] = ACTIONS(3109),
    [anon_sym___asm] = ACTIONS(3109),
    [sym_number_literal] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3111),
    [anon_sym_u_SQUOTE] = ACTIONS(3111),
    [anon_sym_U_SQUOTE] = ACTIONS(3111),
    [anon_sym_u8_SQUOTE] = ACTIONS(3111),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [anon_sym_L_DQUOTE] = ACTIONS(3111),
    [anon_sym_u_DQUOTE] = ACTIONS(3111),
    [anon_sym_U_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8_DQUOTE] = ACTIONS(3111),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [sym_true] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
    [anon_sym_NULL] = ACTIONS(3109),
    [anon_sym_nullptr] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3109),
    [anon_sym_decltype] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3109),
    [anon_sym_template] = ACTIONS(3109),
    [anon_sym_operator] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_delete] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static_assert] = ACTIONS(3109),
    [anon_sym_concept] = ACTIONS(3109),
    [anon_sym_co_return] = ACTIONS(3109),
    [anon_sym_co_yield] = ACTIONS(3109),
    [anon_sym_R_DQUOTE] = ACTIONS(3111),
    [anon_sym_LR_DQUOTE] = ACTIONS(3111),
    [anon_sym_uR_DQUOTE] = ACTIONS(3111),
    [anon_sym_UR_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3111),
    [anon_sym_co_await] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_requires] = ACTIONS(3109),
    [sym_this] = ACTIONS(3109),
  },
  [351] = {
    [sym_catch_clause] = STATE(302),
    [aux_sym_constructor_try_statement_repeat1] = STATE(302),
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_catch] = ACTIONS(3113),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [352] = {
    [sym_catch_clause] = STATE(357),
    [aux_sym_constructor_try_statement_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_catch] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [353] = {
    [sym_catch_clause] = STATE(274),
    [aux_sym_constructor_try_statement_repeat1] = STATE(274),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_catch] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [354] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [aux_sym_preproc_else_token1] = ACTIONS(3119),
    [aux_sym_preproc_elif_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym___attribute] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [sym_number_literal] = ACTIONS(3121),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_include_token1] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token2] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [aux_sym_preproc_else_token1] = ACTIONS(3123),
    [aux_sym_preproc_elif_token1] = ACTIONS(3123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym___attribute] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym___cdecl] = ACTIONS(3123),
    [anon_sym___clrcall] = ACTIONS(3123),
    [anon_sym___stdcall] = ACTIONS(3123),
    [anon_sym___fastcall] = ACTIONS(3123),
    [anon_sym___thiscall] = ACTIONS(3123),
    [anon_sym___vectorcall] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_switch] = ACTIONS(3123),
    [anon_sym_case] = ACTIONS(3123),
    [anon_sym_default] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(3123),
    [anon_sym_do] = ACTIONS(3123),
    [anon_sym_for] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3123),
    [anon_sym_break] = ACTIONS(3123),
    [anon_sym_continue] = ACTIONS(3123),
    [anon_sym_goto] = ACTIONS(3123),
    [anon_sym___try] = ACTIONS(3123),
    [anon_sym___leave] = ACTIONS(3123),
    [anon_sym_not] = ACTIONS(3123),
    [anon_sym_compl] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3123),
    [anon_sym___alignof__] = ACTIONS(3123),
    [anon_sym___alignof] = ACTIONS(3123),
    [anon_sym__alignof] = ACTIONS(3123),
    [anon_sym_alignof] = ACTIONS(3123),
    [anon_sym__Alignof] = ACTIONS(3123),
    [anon_sym_offsetof] = ACTIONS(3123),
    [anon_sym__Generic] = ACTIONS(3123),
    [anon_sym_asm] = ACTIONS(3123),
    [anon_sym___asm__] = ACTIONS(3123),
    [anon_sym___asm] = ACTIONS(3123),
    [sym_number_literal] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3125),
    [anon_sym_u_SQUOTE] = ACTIONS(3125),
    [anon_sym_U_SQUOTE] = ACTIONS(3125),
    [anon_sym_u8_SQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_L_DQUOTE] = ACTIONS(3125),
    [anon_sym_u_DQUOTE] = ACTIONS(3125),
    [anon_sym_U_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8_DQUOTE] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [anon_sym_NULL] = ACTIONS(3123),
    [anon_sym_nullptr] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_try] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_throw] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
    [anon_sym_concept] = ACTIONS(3123),
    [anon_sym_co_return] = ACTIONS(3123),
    [anon_sym_co_yield] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(3125),
    [anon_sym_LR_DQUOTE] = ACTIONS(3125),
    [anon_sym_uR_DQUOTE] = ACTIONS(3125),
    [anon_sym_UR_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3125),
    [anon_sym_co_await] = ACTIONS(3123),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_requires] = ACTIONS(3123),
    [sym_this] = ACTIONS(3123),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_include_token1] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token2] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [aux_sym_preproc_else_token1] = ACTIONS(3127),
    [aux_sym_preproc_elif_token1] = ACTIONS(3127),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym___attribute] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym___cdecl] = ACTIONS(3127),
    [anon_sym___clrcall] = ACTIONS(3127),
    [anon_sym___stdcall] = ACTIONS(3127),
    [anon_sym___fastcall] = ACTIONS(3127),
    [anon_sym___thiscall] = ACTIONS(3127),
    [anon_sym___vectorcall] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [anon_sym_if] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(3127),
    [anon_sym_default] = ACTIONS(3127),
    [anon_sym_while] = ACTIONS(3127),
    [anon_sym_do] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_break] = ACTIONS(3127),
    [anon_sym_continue] = ACTIONS(3127),
    [anon_sym_goto] = ACTIONS(3127),
    [anon_sym___try] = ACTIONS(3127),
    [anon_sym___leave] = ACTIONS(3127),
    [anon_sym_not] = ACTIONS(3127),
    [anon_sym_compl] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3127),
    [anon_sym___alignof__] = ACTIONS(3127),
    [anon_sym___alignof] = ACTIONS(3127),
    [anon_sym__alignof] = ACTIONS(3127),
    [anon_sym_alignof] = ACTIONS(3127),
    [anon_sym__Alignof] = ACTIONS(3127),
    [anon_sym_offsetof] = ACTIONS(3127),
    [anon_sym__Generic] = ACTIONS(3127),
    [anon_sym_asm] = ACTIONS(3127),
    [anon_sym___asm__] = ACTIONS(3127),
    [anon_sym___asm] = ACTIONS(3127),
    [sym_number_literal] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3129),
    [anon_sym_u_SQUOTE] = ACTIONS(3129),
    [anon_sym_U_SQUOTE] = ACTIONS(3129),
    [anon_sym_u8_SQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_L_DQUOTE] = ACTIONS(3129),
    [anon_sym_u_DQUOTE] = ACTIONS(3129),
    [anon_sym_U_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8_DQUOTE] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [anon_sym_NULL] = ACTIONS(3127),
    [anon_sym_nullptr] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
    [anon_sym_concept] = ACTIONS(3127),
    [anon_sym_co_return] = ACTIONS(3127),
    [anon_sym_co_yield] = ACTIONS(3127),
    [anon_sym_R_DQUOTE] = ACTIONS(3129),
    [anon_sym_LR_DQUOTE] = ACTIONS(3129),
    [anon_sym_uR_DQUOTE] = ACTIONS(3129),
    [anon_sym_UR_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3129),
    [anon_sym_co_await] = ACTIONS(3127),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_requires] = ACTIONS(3127),
    [sym_this] = ACTIONS(3127),
  },
  [357] = {
    [sym_catch_clause] = STATE(357),
    [aux_sym_constructor_try_statement_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(2497),
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_AMP_AMP] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym___extension__] = ACTIONS(2497),
    [anon_sym_typedef] = ACTIONS(2497),
    [anon_sym_virtual] = ACTIONS(2497),
    [anon_sym_extern] = ACTIONS(2497),
    [anon_sym___attribute__] = ACTIONS(2497),
    [anon_sym___attribute] = ACTIONS(2497),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2499),
    [anon_sym___declspec] = ACTIONS(2497),
    [anon_sym___based] = ACTIONS(2497),
    [anon_sym___cdecl] = ACTIONS(2497),
    [anon_sym___clrcall] = ACTIONS(2497),
    [anon_sym___stdcall] = ACTIONS(2497),
    [anon_sym___fastcall] = ACTIONS(2497),
    [anon_sym___thiscall] = ACTIONS(2497),
    [anon_sym___vectorcall] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2497),
    [anon_sym_unsigned] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_register] = ACTIONS(2497),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym___inline] = ACTIONS(2497),
    [anon_sym___inline__] = ACTIONS(2497),
    [anon_sym___forceinline] = ACTIONS(2497),
    [anon_sym_thread_local] = ACTIONS(2497),
    [anon_sym___thread] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_constexpr] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_restrict] = ACTIONS(2497),
    [anon_sym___restrict__] = ACTIONS(2497),
    [anon_sym__Atomic] = ACTIONS(2497),
    [anon_sym__Noreturn] = ACTIONS(2497),
    [anon_sym_noreturn] = ACTIONS(2497),
    [anon_sym__Nonnull] = ACTIONS(2497),
    [anon_sym_mutable] = ACTIONS(2497),
    [anon_sym_constinit] = ACTIONS(2497),
    [anon_sym_consteval] = ACTIONS(2497),
    [anon_sym_alignas] = ACTIONS(2497),
    [anon_sym__Alignas] = ACTIONS(2497),
    [sym_primitive_type] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_struct] = ACTIONS(2497),
    [anon_sym_union] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_goto] = ACTIONS(2497),
    [anon_sym___try] = ACTIONS(2497),
    [anon_sym___leave] = ACTIONS(2497),
    [anon_sym_not] = ACTIONS(2497),
    [anon_sym_compl] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_sizeof] = ACTIONS(2497),
    [anon_sym___alignof__] = ACTIONS(2497),
    [anon_sym___alignof] = ACTIONS(2497),
    [anon_sym__alignof] = ACTIONS(2497),
    [anon_sym_alignof] = ACTIONS(2497),
    [anon_sym__Alignof] = ACTIONS(2497),
    [anon_sym_offsetof] = ACTIONS(2497),
    [anon_sym__Generic] = ACTIONS(2497),
    [anon_sym_asm] = ACTIONS(2497),
    [anon_sym___asm__] = ACTIONS(2497),
    [anon_sym___asm] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2499),
    [anon_sym_L_SQUOTE] = ACTIONS(2499),
    [anon_sym_u_SQUOTE] = ACTIONS(2499),
    [anon_sym_U_SQUOTE] = ACTIONS(2499),
    [anon_sym_u8_SQUOTE] = ACTIONS(2499),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_L_DQUOTE] = ACTIONS(2499),
    [anon_sym_u_DQUOTE] = ACTIONS(2499),
    [anon_sym_U_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8_DQUOTE] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [anon_sym_NULL] = ACTIONS(2497),
    [anon_sym_nullptr] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2497),
    [anon_sym_decltype] = ACTIONS(2497),
    [anon_sym_explicit] = ACTIONS(2497),
    [anon_sym_typename] = ACTIONS(2497),
    [anon_sym_template] = ACTIONS(2497),
    [anon_sym_operator] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_static_assert] = ACTIONS(2497),
    [anon_sym_concept] = ACTIONS(2497),
    [anon_sym_co_return] = ACTIONS(2497),
    [anon_sym_co_yield] = ACTIONS(2497),
    [anon_sym_catch] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(2499),
    [anon_sym_LR_DQUOTE] = ACTIONS(2499),
    [anon_sym_uR_DQUOTE] = ACTIONS(2499),
    [anon_sym_UR_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2499),
    [anon_sym_co_await] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2497),
  },
  [358] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [aux_sym_preproc_else_token1] = ACTIONS(3134),
    [aux_sym_preproc_elif_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [anon_sym___asm] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [anon_sym___asm] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [360] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym___asm] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [361] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [anon_sym___asm] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [362] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [anon_sym___asm] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [363] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [364] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [anon_sym___asm] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [365] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [366] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [aux_sym_preproc_else_token1] = ACTIONS(3166),
    [aux_sym_preproc_elif_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym___attribute] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [anon_sym___asm] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [367] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3170),
    [aux_sym_preproc_elif_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym___attribute] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [368] = {
    [sym_preproc_def] = STATE(372),
    [sym_preproc_function_def] = STATE(372),
    [sym_preproc_call] = STATE(372),
    [sym_preproc_if_in_field_declaration_list] = STATE(372),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(372),
    [sym_preproc_else_in_field_declaration_list] = STATE(8677),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8677),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8677),
    [sym_type_definition] = STATE(372),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(372),
    [sym_field_declaration] = STATE(372),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(372),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(372),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(372),
    [sym_operator_cast_declaration] = STATE(372),
    [sym_constructor_or_destructor_definition] = STATE(372),
    [sym_constructor_or_destructor_declaration] = STATE(372),
    [sym_friend_declaration] = STATE(372),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(372),
    [sym_alias_declaration] = STATE(372),
    [sym_static_assert_declaration] = STATE(372),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(372),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [369] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(2553),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [370] = {
    [sym_catch_clause] = STATE(274),
    [aux_sym_constructor_try_statement_repeat1] = STATE(274),
    [sym_identifier] = ACTIONS(2549),
    [aux_sym_preproc_include_token1] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_BANG] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_AMP_AMP] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym___extension__] = ACTIONS(2549),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2549),
    [anon_sym_extern] = ACTIONS(2549),
    [anon_sym___attribute__] = ACTIONS(2549),
    [anon_sym___attribute] = ACTIONS(2549),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2551),
    [anon_sym___declspec] = ACTIONS(2549),
    [anon_sym___based] = ACTIONS(2549),
    [anon_sym___cdecl] = ACTIONS(2549),
    [anon_sym___clrcall] = ACTIONS(2549),
    [anon_sym___stdcall] = ACTIONS(2549),
    [anon_sym___fastcall] = ACTIONS(2549),
    [anon_sym___thiscall] = ACTIONS(2549),
    [anon_sym___vectorcall] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_RBRACE] = ACTIONS(2551),
    [anon_sym_signed] = ACTIONS(2549),
    [anon_sym_unsigned] = ACTIONS(2549),
    [anon_sym_long] = ACTIONS(2549),
    [anon_sym_short] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_register] = ACTIONS(2549),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym___inline] = ACTIONS(2549),
    [anon_sym___inline__] = ACTIONS(2549),
    [anon_sym___forceinline] = ACTIONS(2549),
    [anon_sym_thread_local] = ACTIONS(2549),
    [anon_sym___thread] = ACTIONS(2549),
    [anon_sym_const] = ACTIONS(2549),
    [anon_sym_constexpr] = ACTIONS(2549),
    [anon_sym_volatile] = ACTIONS(2549),
    [anon_sym_restrict] = ACTIONS(2549),
    [anon_sym___restrict__] = ACTIONS(2549),
    [anon_sym__Atomic] = ACTIONS(2549),
    [anon_sym__Noreturn] = ACTIONS(2549),
    [anon_sym_noreturn] = ACTIONS(2549),
    [anon_sym__Nonnull] = ACTIONS(2549),
    [anon_sym_mutable] = ACTIONS(2549),
    [anon_sym_constinit] = ACTIONS(2549),
    [anon_sym_consteval] = ACTIONS(2549),
    [anon_sym_alignas] = ACTIONS(2549),
    [anon_sym__Alignas] = ACTIONS(2549),
    [sym_primitive_type] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_struct] = ACTIONS(2549),
    [anon_sym_union] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_switch] = ACTIONS(2549),
    [anon_sym_case] = ACTIONS(2549),
    [anon_sym_default] = ACTIONS(2549),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_break] = ACTIONS(2549),
    [anon_sym_continue] = ACTIONS(2549),
    [anon_sym_goto] = ACTIONS(2549),
    [anon_sym___try] = ACTIONS(2549),
    [anon_sym___leave] = ACTIONS(2549),
    [anon_sym_not] = ACTIONS(2549),
    [anon_sym_compl] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(2551),
    [anon_sym_PLUS_PLUS] = ACTIONS(2551),
    [anon_sym_sizeof] = ACTIONS(2549),
    [anon_sym___alignof__] = ACTIONS(2549),
    [anon_sym___alignof] = ACTIONS(2549),
    [anon_sym__alignof] = ACTIONS(2549),
    [anon_sym_alignof] = ACTIONS(2549),
    [anon_sym__Alignof] = ACTIONS(2549),
    [anon_sym_offsetof] = ACTIONS(2549),
    [anon_sym__Generic] = ACTIONS(2549),
    [anon_sym_asm] = ACTIONS(2549),
    [anon_sym___asm__] = ACTIONS(2549),
    [anon_sym___asm] = ACTIONS(2549),
    [sym_number_literal] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2551),
    [anon_sym_u_SQUOTE] = ACTIONS(2551),
    [anon_sym_U_SQUOTE] = ACTIONS(2551),
    [anon_sym_u8_SQUOTE] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_L_DQUOTE] = ACTIONS(2551),
    [anon_sym_u_DQUOTE] = ACTIONS(2551),
    [anon_sym_U_DQUOTE] = ACTIONS(2551),
    [anon_sym_u8_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(2551),
    [sym_true] = ACTIONS(2549),
    [sym_false] = ACTIONS(2549),
    [anon_sym_NULL] = ACTIONS(2549),
    [anon_sym_nullptr] = ACTIONS(2549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2549),
    [anon_sym_decltype] = ACTIONS(2549),
    [anon_sym_explicit] = ACTIONS(2549),
    [anon_sym_typename] = ACTIONS(2549),
    [anon_sym_template] = ACTIONS(2549),
    [anon_sym_operator] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_delete] = ACTIONS(2549),
    [anon_sym_throw] = ACTIONS(2549),
    [anon_sym_namespace] = ACTIONS(2549),
    [anon_sym_using] = ACTIONS(2549),
    [anon_sym_static_assert] = ACTIONS(2549),
    [anon_sym_concept] = ACTIONS(2549),
    [anon_sym_co_return] = ACTIONS(2549),
    [anon_sym_co_yield] = ACTIONS(2549),
    [anon_sym_catch] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(2551),
    [anon_sym_LR_DQUOTE] = ACTIONS(2551),
    [anon_sym_uR_DQUOTE] = ACTIONS(2551),
    [anon_sym_UR_DQUOTE] = ACTIONS(2551),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2551),
    [anon_sym_co_await] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_requires] = ACTIONS(2549),
    [sym_this] = ACTIONS(2549),
  },
  [371] = {
    [sym_preproc_def] = STATE(373),
    [sym_preproc_function_def] = STATE(373),
    [sym_preproc_call] = STATE(373),
    [sym_preproc_if_in_field_declaration_list] = STATE(373),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(373),
    [sym_preproc_else_in_field_declaration_list] = STATE(7981),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7981),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7981),
    [sym_type_definition] = STATE(373),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(373),
    [sym_field_declaration] = STATE(373),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(373),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(373),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(373),
    [sym_operator_cast_declaration] = STATE(373),
    [sym_constructor_or_destructor_definition] = STATE(373),
    [sym_constructor_or_destructor_declaration] = STATE(373),
    [sym_friend_declaration] = STATE(373),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(373),
    [sym_alias_declaration] = STATE(373),
    [sym_static_assert_declaration] = STATE(373),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(373),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [372] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_preproc_else_in_field_declaration_list] = STATE(7989),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7989),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7989),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [373] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_preproc_else_in_field_declaration_list] = STATE(8082),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8082),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8082),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [374] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(2561),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [375] = {
    [sym_type_qualifier] = STATE(3867),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4717),
    [sym_sized_type_specifier] = STATE(2605),
    [sym_enum_specifier] = STATE(2605),
    [sym_struct_specifier] = STATE(2605),
    [sym_union_specifier] = STATE(2605),
    [sym_expression] = STATE(4472),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_type_descriptor] = STATE(7416),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_placeholder_type_specifier] = STATE(2605),
    [sym_decltype_auto] = STATE(2656),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2605),
    [sym__class_name] = STATE(7811),
    [sym_dependent_type] = STATE(2605),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_type_parameter_pack_expansion] = STATE(7756),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5626),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3584),
    [aux_sym__type_definition_type_repeat1] = STATE(3867),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(2727),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2737),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_signed] = ACTIONS(2741),
    [anon_sym_unsigned] = ACTIONS(2741),
    [anon_sym_long] = ACTIONS(2741),
    [anon_sym_short] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2745),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2749),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [376] = {
    [sym_preproc_def] = STATE(378),
    [sym_preproc_function_def] = STATE(378),
    [sym_preproc_call] = STATE(378),
    [sym_preproc_if_in_field_declaration_list] = STATE(378),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(378),
    [sym_preproc_else_in_field_declaration_list] = STATE(7928),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7928),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7928),
    [sym_type_definition] = STATE(378),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(378),
    [sym_field_declaration] = STATE(378),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(378),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(378),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(378),
    [sym_operator_cast_declaration] = STATE(378),
    [sym_constructor_or_destructor_definition] = STATE(378),
    [sym_constructor_or_destructor_declaration] = STATE(378),
    [sym_friend_declaration] = STATE(378),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(378),
    [sym_alias_declaration] = STATE(378),
    [sym_static_assert_declaration] = STATE(378),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(378),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [377] = {
    [sym_preproc_def] = STATE(379),
    [sym_preproc_function_def] = STATE(379),
    [sym_preproc_call] = STATE(379),
    [sym_preproc_if_in_field_declaration_list] = STATE(379),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(379),
    [sym_preproc_else_in_field_declaration_list] = STATE(7997),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7997),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7997),
    [sym_type_definition] = STATE(379),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(379),
    [sym_field_declaration] = STATE(379),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(379),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(379),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(379),
    [sym_operator_cast_declaration] = STATE(379),
    [sym_constructor_or_destructor_definition] = STATE(379),
    [sym_constructor_or_destructor_declaration] = STATE(379),
    [sym_friend_declaration] = STATE(379),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(379),
    [sym_alias_declaration] = STATE(379),
    [sym_static_assert_declaration] = STATE(379),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(379),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [378] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_preproc_else_in_field_declaration_list] = STATE(8000),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8000),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8000),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [379] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_preproc_else_in_field_declaration_list] = STATE(8034),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8034),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8034),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [380] = {
    [sym_preproc_def] = STATE(382),
    [sym_preproc_function_def] = STATE(382),
    [sym_preproc_call] = STATE(382),
    [sym_preproc_if_in_field_declaration_list] = STATE(382),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(382),
    [sym_preproc_else_in_field_declaration_list] = STATE(8033),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8033),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8033),
    [sym_type_definition] = STATE(382),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(382),
    [sym_field_declaration] = STATE(382),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(382),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(382),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(382),
    [sym_operator_cast_declaration] = STATE(382),
    [sym_constructor_or_destructor_definition] = STATE(382),
    [sym_constructor_or_destructor_declaration] = STATE(382),
    [sym_friend_declaration] = STATE(382),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(382),
    [sym_alias_declaration] = STATE(382),
    [sym_static_assert_declaration] = STATE(382),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(382),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [381] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_preproc_else_in_field_declaration_list] = STATE(8062),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8062),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8062),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [382] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_preproc_else_in_field_declaration_list] = STATE(8575),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8575),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8575),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [383] = {
    [sym_preproc_def] = STATE(385),
    [sym_preproc_function_def] = STATE(385),
    [sym_preproc_call] = STATE(385),
    [sym_preproc_if_in_field_declaration_list] = STATE(385),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(385),
    [sym_preproc_else_in_field_declaration_list] = STATE(8577),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8577),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8577),
    [sym_type_definition] = STATE(385),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(385),
    [sym_field_declaration] = STATE(385),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(385),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(385),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(385),
    [sym_operator_cast_declaration] = STATE(385),
    [sym_constructor_or_destructor_definition] = STATE(385),
    [sym_constructor_or_destructor_declaration] = STATE(385),
    [sym_friend_declaration] = STATE(385),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(385),
    [sym_alias_declaration] = STATE(385),
    [sym_static_assert_declaration] = STATE(385),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(385),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [384] = {
    [sym_preproc_def] = STATE(386),
    [sym_preproc_function_def] = STATE(386),
    [sym_preproc_call] = STATE(386),
    [sym_preproc_if_in_field_declaration_list] = STATE(386),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(386),
    [sym_preproc_else_in_field_declaration_list] = STATE(8369),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8369),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8369),
    [sym_type_definition] = STATE(386),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(386),
    [sym_field_declaration] = STATE(386),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(386),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(386),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(386),
    [sym_operator_cast_declaration] = STATE(386),
    [sym_constructor_or_destructor_definition] = STATE(386),
    [sym_constructor_or_destructor_declaration] = STATE(386),
    [sym_friend_declaration] = STATE(386),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(386),
    [sym_alias_declaration] = STATE(386),
    [sym_static_assert_declaration] = STATE(386),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(386),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [385] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_preproc_else_in_field_declaration_list] = STATE(8311),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8311),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8311),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [386] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_preproc_else_in_field_declaration_list] = STATE(8095),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8095),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8095),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [387] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(3276),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [388] = {
    [sym_catch_clause] = STATE(357),
    [aux_sym_constructor_try_statement_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(2557),
    [aux_sym_preproc_include_token1] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token2] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2559),
    [anon_sym_BANG] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2557),
    [anon_sym_PLUS] = ACTIONS(2557),
    [anon_sym_STAR] = ACTIONS(2559),
    [anon_sym_AMP_AMP] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym___extension__] = ACTIONS(2557),
    [anon_sym_typedef] = ACTIONS(2557),
    [anon_sym_virtual] = ACTIONS(2557),
    [anon_sym_extern] = ACTIONS(2557),
    [anon_sym___attribute__] = ACTIONS(2557),
    [anon_sym___attribute] = ACTIONS(2557),
    [anon_sym_COLON_COLON] = ACTIONS(2559),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2559),
    [anon_sym___declspec] = ACTIONS(2557),
    [anon_sym___based] = ACTIONS(2557),
    [anon_sym___cdecl] = ACTIONS(2557),
    [anon_sym___clrcall] = ACTIONS(2557),
    [anon_sym___stdcall] = ACTIONS(2557),
    [anon_sym___fastcall] = ACTIONS(2557),
    [anon_sym___thiscall] = ACTIONS(2557),
    [anon_sym___vectorcall] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_signed] = ACTIONS(2557),
    [anon_sym_unsigned] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_register] = ACTIONS(2557),
    [anon_sym_inline] = ACTIONS(2557),
    [anon_sym___inline] = ACTIONS(2557),
    [anon_sym___inline__] = ACTIONS(2557),
    [anon_sym___forceinline] = ACTIONS(2557),
    [anon_sym_thread_local] = ACTIONS(2557),
    [anon_sym___thread] = ACTIONS(2557),
    [anon_sym_const] = ACTIONS(2557),
    [anon_sym_constexpr] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_restrict] = ACTIONS(2557),
    [anon_sym___restrict__] = ACTIONS(2557),
    [anon_sym__Atomic] = ACTIONS(2557),
    [anon_sym__Noreturn] = ACTIONS(2557),
    [anon_sym_noreturn] = ACTIONS(2557),
    [anon_sym__Nonnull] = ACTIONS(2557),
    [anon_sym_mutable] = ACTIONS(2557),
    [anon_sym_constinit] = ACTIONS(2557),
    [anon_sym_consteval] = ACTIONS(2557),
    [anon_sym_alignas] = ACTIONS(2557),
    [anon_sym__Alignas] = ACTIONS(2557),
    [sym_primitive_type] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_struct] = ACTIONS(2557),
    [anon_sym_union] = ACTIONS(2557),
    [anon_sym_if] = ACTIONS(2557),
    [anon_sym_switch] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2557),
    [anon_sym_default] = ACTIONS(2557),
    [anon_sym_while] = ACTIONS(2557),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_for] = ACTIONS(2557),
    [anon_sym_return] = ACTIONS(2557),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2557),
    [anon_sym_goto] = ACTIONS(2557),
    [anon_sym___try] = ACTIONS(2557),
    [anon_sym___leave] = ACTIONS(2557),
    [anon_sym_not] = ACTIONS(2557),
    [anon_sym_compl] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2559),
    [anon_sym_PLUS_PLUS] = ACTIONS(2559),
    [anon_sym_sizeof] = ACTIONS(2557),
    [anon_sym___alignof__] = ACTIONS(2557),
    [anon_sym___alignof] = ACTIONS(2557),
    [anon_sym__alignof] = ACTIONS(2557),
    [anon_sym_alignof] = ACTIONS(2557),
    [anon_sym__Alignof] = ACTIONS(2557),
    [anon_sym_offsetof] = ACTIONS(2557),
    [anon_sym__Generic] = ACTIONS(2557),
    [anon_sym_asm] = ACTIONS(2557),
    [anon_sym___asm__] = ACTIONS(2557),
    [anon_sym___asm] = ACTIONS(2557),
    [sym_number_literal] = ACTIONS(2559),
    [anon_sym_L_SQUOTE] = ACTIONS(2559),
    [anon_sym_u_SQUOTE] = ACTIONS(2559),
    [anon_sym_U_SQUOTE] = ACTIONS(2559),
    [anon_sym_u8_SQUOTE] = ACTIONS(2559),
    [anon_sym_SQUOTE] = ACTIONS(2559),
    [anon_sym_L_DQUOTE] = ACTIONS(2559),
    [anon_sym_u_DQUOTE] = ACTIONS(2559),
    [anon_sym_U_DQUOTE] = ACTIONS(2559),
    [anon_sym_u8_DQUOTE] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2559),
    [sym_true] = ACTIONS(2557),
    [sym_false] = ACTIONS(2557),
    [anon_sym_NULL] = ACTIONS(2557),
    [anon_sym_nullptr] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2557),
    [anon_sym_decltype] = ACTIONS(2557),
    [anon_sym_explicit] = ACTIONS(2557),
    [anon_sym_typename] = ACTIONS(2557),
    [anon_sym_template] = ACTIONS(2557),
    [anon_sym_operator] = ACTIONS(2557),
    [anon_sym_try] = ACTIONS(2557),
    [anon_sym_delete] = ACTIONS(2557),
    [anon_sym_throw] = ACTIONS(2557),
    [anon_sym_namespace] = ACTIONS(2557),
    [anon_sym_using] = ACTIONS(2557),
    [anon_sym_static_assert] = ACTIONS(2557),
    [anon_sym_concept] = ACTIONS(2557),
    [anon_sym_co_return] = ACTIONS(2557),
    [anon_sym_co_yield] = ACTIONS(2557),
    [anon_sym_catch] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(2559),
    [anon_sym_LR_DQUOTE] = ACTIONS(2559),
    [anon_sym_uR_DQUOTE] = ACTIONS(2559),
    [anon_sym_UR_DQUOTE] = ACTIONS(2559),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2559),
    [anon_sym_co_await] = ACTIONS(2557),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_requires] = ACTIONS(2557),
    [sym_this] = ACTIONS(2557),
  },
  [389] = {
    [sym_catch_clause] = STATE(357),
    [aux_sym_constructor_try_statement_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(2549),
    [aux_sym_preproc_include_token1] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token2] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_BANG] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_AMP_AMP] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym___extension__] = ACTIONS(2549),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2549),
    [anon_sym_extern] = ACTIONS(2549),
    [anon_sym___attribute__] = ACTIONS(2549),
    [anon_sym___attribute] = ACTIONS(2549),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2551),
    [anon_sym___declspec] = ACTIONS(2549),
    [anon_sym___based] = ACTIONS(2549),
    [anon_sym___cdecl] = ACTIONS(2549),
    [anon_sym___clrcall] = ACTIONS(2549),
    [anon_sym___stdcall] = ACTIONS(2549),
    [anon_sym___fastcall] = ACTIONS(2549),
    [anon_sym___thiscall] = ACTIONS(2549),
    [anon_sym___vectorcall] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_signed] = ACTIONS(2549),
    [anon_sym_unsigned] = ACTIONS(2549),
    [anon_sym_long] = ACTIONS(2549),
    [anon_sym_short] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_register] = ACTIONS(2549),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym___inline] = ACTIONS(2549),
    [anon_sym___inline__] = ACTIONS(2549),
    [anon_sym___forceinline] = ACTIONS(2549),
    [anon_sym_thread_local] = ACTIONS(2549),
    [anon_sym___thread] = ACTIONS(2549),
    [anon_sym_const] = ACTIONS(2549),
    [anon_sym_constexpr] = ACTIONS(2549),
    [anon_sym_volatile] = ACTIONS(2549),
    [anon_sym_restrict] = ACTIONS(2549),
    [anon_sym___restrict__] = ACTIONS(2549),
    [anon_sym__Atomic] = ACTIONS(2549),
    [anon_sym__Noreturn] = ACTIONS(2549),
    [anon_sym_noreturn] = ACTIONS(2549),
    [anon_sym__Nonnull] = ACTIONS(2549),
    [anon_sym_mutable] = ACTIONS(2549),
    [anon_sym_constinit] = ACTIONS(2549),
    [anon_sym_consteval] = ACTIONS(2549),
    [anon_sym_alignas] = ACTIONS(2549),
    [anon_sym__Alignas] = ACTIONS(2549),
    [sym_primitive_type] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_struct] = ACTIONS(2549),
    [anon_sym_union] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_switch] = ACTIONS(2549),
    [anon_sym_case] = ACTIONS(2549),
    [anon_sym_default] = ACTIONS(2549),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_break] = ACTIONS(2549),
    [anon_sym_continue] = ACTIONS(2549),
    [anon_sym_goto] = ACTIONS(2549),
    [anon_sym___try] = ACTIONS(2549),
    [anon_sym___leave] = ACTIONS(2549),
    [anon_sym_not] = ACTIONS(2549),
    [anon_sym_compl] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(2551),
    [anon_sym_PLUS_PLUS] = ACTIONS(2551),
    [anon_sym_sizeof] = ACTIONS(2549),
    [anon_sym___alignof__] = ACTIONS(2549),
    [anon_sym___alignof] = ACTIONS(2549),
    [anon_sym__alignof] = ACTIONS(2549),
    [anon_sym_alignof] = ACTIONS(2549),
    [anon_sym__Alignof] = ACTIONS(2549),
    [anon_sym_offsetof] = ACTIONS(2549),
    [anon_sym__Generic] = ACTIONS(2549),
    [anon_sym_asm] = ACTIONS(2549),
    [anon_sym___asm__] = ACTIONS(2549),
    [anon_sym___asm] = ACTIONS(2549),
    [sym_number_literal] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2551),
    [anon_sym_u_SQUOTE] = ACTIONS(2551),
    [anon_sym_U_SQUOTE] = ACTIONS(2551),
    [anon_sym_u8_SQUOTE] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_L_DQUOTE] = ACTIONS(2551),
    [anon_sym_u_DQUOTE] = ACTIONS(2551),
    [anon_sym_U_DQUOTE] = ACTIONS(2551),
    [anon_sym_u8_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(2551),
    [sym_true] = ACTIONS(2549),
    [sym_false] = ACTIONS(2549),
    [anon_sym_NULL] = ACTIONS(2549),
    [anon_sym_nullptr] = ACTIONS(2549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2549),
    [anon_sym_decltype] = ACTIONS(2549),
    [anon_sym_explicit] = ACTIONS(2549),
    [anon_sym_typename] = ACTIONS(2549),
    [anon_sym_template] = ACTIONS(2549),
    [anon_sym_operator] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_delete] = ACTIONS(2549),
    [anon_sym_throw] = ACTIONS(2549),
    [anon_sym_namespace] = ACTIONS(2549),
    [anon_sym_using] = ACTIONS(2549),
    [anon_sym_static_assert] = ACTIONS(2549),
    [anon_sym_concept] = ACTIONS(2549),
    [anon_sym_co_return] = ACTIONS(2549),
    [anon_sym_co_yield] = ACTIONS(2549),
    [anon_sym_catch] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(2551),
    [anon_sym_LR_DQUOTE] = ACTIONS(2551),
    [anon_sym_uR_DQUOTE] = ACTIONS(2551),
    [anon_sym_UR_DQUOTE] = ACTIONS(2551),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2551),
    [anon_sym_co_await] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_requires] = ACTIONS(2549),
    [sym_this] = ACTIONS(2549),
  },
  [390] = {
    [sym_catch_clause] = STATE(274),
    [aux_sym_constructor_try_statement_repeat1] = STATE(274),
    [sym_identifier] = ACTIONS(2557),
    [aux_sym_preproc_include_token1] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2559),
    [anon_sym_BANG] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2557),
    [anon_sym_PLUS] = ACTIONS(2557),
    [anon_sym_STAR] = ACTIONS(2559),
    [anon_sym_AMP_AMP] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym___extension__] = ACTIONS(2557),
    [anon_sym_typedef] = ACTIONS(2557),
    [anon_sym_virtual] = ACTIONS(2557),
    [anon_sym_extern] = ACTIONS(2557),
    [anon_sym___attribute__] = ACTIONS(2557),
    [anon_sym___attribute] = ACTIONS(2557),
    [anon_sym_COLON_COLON] = ACTIONS(2559),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2559),
    [anon_sym___declspec] = ACTIONS(2557),
    [anon_sym___based] = ACTIONS(2557),
    [anon_sym___cdecl] = ACTIONS(2557),
    [anon_sym___clrcall] = ACTIONS(2557),
    [anon_sym___stdcall] = ACTIONS(2557),
    [anon_sym___fastcall] = ACTIONS(2557),
    [anon_sym___thiscall] = ACTIONS(2557),
    [anon_sym___vectorcall] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_RBRACE] = ACTIONS(2559),
    [anon_sym_signed] = ACTIONS(2557),
    [anon_sym_unsigned] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_register] = ACTIONS(2557),
    [anon_sym_inline] = ACTIONS(2557),
    [anon_sym___inline] = ACTIONS(2557),
    [anon_sym___inline__] = ACTIONS(2557),
    [anon_sym___forceinline] = ACTIONS(2557),
    [anon_sym_thread_local] = ACTIONS(2557),
    [anon_sym___thread] = ACTIONS(2557),
    [anon_sym_const] = ACTIONS(2557),
    [anon_sym_constexpr] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_restrict] = ACTIONS(2557),
    [anon_sym___restrict__] = ACTIONS(2557),
    [anon_sym__Atomic] = ACTIONS(2557),
    [anon_sym__Noreturn] = ACTIONS(2557),
    [anon_sym_noreturn] = ACTIONS(2557),
    [anon_sym__Nonnull] = ACTIONS(2557),
    [anon_sym_mutable] = ACTIONS(2557),
    [anon_sym_constinit] = ACTIONS(2557),
    [anon_sym_consteval] = ACTIONS(2557),
    [anon_sym_alignas] = ACTIONS(2557),
    [anon_sym__Alignas] = ACTIONS(2557),
    [sym_primitive_type] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_struct] = ACTIONS(2557),
    [anon_sym_union] = ACTIONS(2557),
    [anon_sym_if] = ACTIONS(2557),
    [anon_sym_switch] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2557),
    [anon_sym_default] = ACTIONS(2557),
    [anon_sym_while] = ACTIONS(2557),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_for] = ACTIONS(2557),
    [anon_sym_return] = ACTIONS(2557),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2557),
    [anon_sym_goto] = ACTIONS(2557),
    [anon_sym___try] = ACTIONS(2557),
    [anon_sym___leave] = ACTIONS(2557),
    [anon_sym_not] = ACTIONS(2557),
    [anon_sym_compl] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2559),
    [anon_sym_PLUS_PLUS] = ACTIONS(2559),
    [anon_sym_sizeof] = ACTIONS(2557),
    [anon_sym___alignof__] = ACTIONS(2557),
    [anon_sym___alignof] = ACTIONS(2557),
    [anon_sym__alignof] = ACTIONS(2557),
    [anon_sym_alignof] = ACTIONS(2557),
    [anon_sym__Alignof] = ACTIONS(2557),
    [anon_sym_offsetof] = ACTIONS(2557),
    [anon_sym__Generic] = ACTIONS(2557),
    [anon_sym_asm] = ACTIONS(2557),
    [anon_sym___asm__] = ACTIONS(2557),
    [anon_sym___asm] = ACTIONS(2557),
    [sym_number_literal] = ACTIONS(2559),
    [anon_sym_L_SQUOTE] = ACTIONS(2559),
    [anon_sym_u_SQUOTE] = ACTIONS(2559),
    [anon_sym_U_SQUOTE] = ACTIONS(2559),
    [anon_sym_u8_SQUOTE] = ACTIONS(2559),
    [anon_sym_SQUOTE] = ACTIONS(2559),
    [anon_sym_L_DQUOTE] = ACTIONS(2559),
    [anon_sym_u_DQUOTE] = ACTIONS(2559),
    [anon_sym_U_DQUOTE] = ACTIONS(2559),
    [anon_sym_u8_DQUOTE] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2559),
    [sym_true] = ACTIONS(2557),
    [sym_false] = ACTIONS(2557),
    [anon_sym_NULL] = ACTIONS(2557),
    [anon_sym_nullptr] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2557),
    [anon_sym_decltype] = ACTIONS(2557),
    [anon_sym_explicit] = ACTIONS(2557),
    [anon_sym_typename] = ACTIONS(2557),
    [anon_sym_template] = ACTIONS(2557),
    [anon_sym_operator] = ACTIONS(2557),
    [anon_sym_try] = ACTIONS(2557),
    [anon_sym_delete] = ACTIONS(2557),
    [anon_sym_throw] = ACTIONS(2557),
    [anon_sym_namespace] = ACTIONS(2557),
    [anon_sym_using] = ACTIONS(2557),
    [anon_sym_static_assert] = ACTIONS(2557),
    [anon_sym_concept] = ACTIONS(2557),
    [anon_sym_co_return] = ACTIONS(2557),
    [anon_sym_co_yield] = ACTIONS(2557),
    [anon_sym_catch] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(2559),
    [anon_sym_LR_DQUOTE] = ACTIONS(2559),
    [anon_sym_uR_DQUOTE] = ACTIONS(2559),
    [anon_sym_UR_DQUOTE] = ACTIONS(2559),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2559),
    [anon_sym_co_await] = ACTIONS(2557),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_requires] = ACTIONS(2557),
    [sym_this] = ACTIONS(2557),
  },
  [391] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(2835),
    [sym__declarator] = STATE(6465),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_type_qualifier] = STATE(3900),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3228),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5739),
    [sym_qualified_identifier] = STATE(3288),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(2375),
    [aux_sym__type_definition_type_repeat1] = STATE(3900),
    [aux_sym_pointer_declarator_repeat1] = STATE(2835),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3284),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [392] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [393] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(2835),
    [sym__declarator] = STATE(6465),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_type_qualifier] = STATE(3900),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_expression] = STATE(3096),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3173),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5714),
    [sym_qualified_identifier] = STATE(3182),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3379),
    [aux_sym__type_definition_type_repeat1] = STATE(3900),
    [aux_sym_pointer_declarator_repeat1] = STATE(2835),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(1763),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym___extension__] = ACTIONS(3298),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [394] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(3300),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [395] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_typedef] = ACTIONS(2555),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [396] = {
    [sym_preproc_def] = STATE(381),
    [sym_preproc_function_def] = STATE(381),
    [sym_preproc_call] = STATE(381),
    [sym_preproc_if_in_field_declaration_list] = STATE(381),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(381),
    [sym_preproc_else_in_field_declaration_list] = STATE(8620),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8620),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8620),
    [sym_type_definition] = STATE(381),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(381),
    [sym_field_declaration] = STATE(381),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(381),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(381),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(381),
    [sym_operator_cast_declaration] = STATE(381),
    [sym_constructor_or_destructor_definition] = STATE(381),
    [sym_constructor_or_destructor_declaration] = STATE(381),
    [sym_friend_declaration] = STATE(381),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(381),
    [sym_alias_declaration] = STATE(381),
    [sym_static_assert_declaration] = STATE(381),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(381),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [397] = {
    [sym_else_clause] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(2575),
    [sym_identifier] = ACTIONS(2573),
    [aux_sym_preproc_include_token1] = ACTIONS(2573),
    [aux_sym_preproc_def_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2573),
    [sym_preproc_directive] = ACTIONS(2573),
    [anon_sym_LPAREN2] = ACTIONS(2575),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(2575),
    [anon_sym_AMP_AMP] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym___extension__] = ACTIONS(2573),
    [anon_sym_typedef] = ACTIONS(2573),
    [anon_sym_virtual] = ACTIONS(2573),
    [anon_sym_extern] = ACTIONS(2573),
    [anon_sym___attribute__] = ACTIONS(2573),
    [anon_sym___attribute] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2575),
    [anon_sym___declspec] = ACTIONS(2573),
    [anon_sym___based] = ACTIONS(2573),
    [anon_sym___cdecl] = ACTIONS(2573),
    [anon_sym___clrcall] = ACTIONS(2573),
    [anon_sym___stdcall] = ACTIONS(2573),
    [anon_sym___fastcall] = ACTIONS(2573),
    [anon_sym___thiscall] = ACTIONS(2573),
    [anon_sym___vectorcall] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2573),
    [anon_sym_unsigned] = ACTIONS(2573),
    [anon_sym_long] = ACTIONS(2573),
    [anon_sym_short] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2573),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_register] = ACTIONS(2573),
    [anon_sym_inline] = ACTIONS(2573),
    [anon_sym___inline] = ACTIONS(2573),
    [anon_sym___inline__] = ACTIONS(2573),
    [anon_sym___forceinline] = ACTIONS(2573),
    [anon_sym_thread_local] = ACTIONS(2573),
    [anon_sym___thread] = ACTIONS(2573),
    [anon_sym_const] = ACTIONS(2573),
    [anon_sym_constexpr] = ACTIONS(2573),
    [anon_sym_volatile] = ACTIONS(2573),
    [anon_sym_restrict] = ACTIONS(2573),
    [anon_sym___restrict__] = ACTIONS(2573),
    [anon_sym__Atomic] = ACTIONS(2573),
    [anon_sym__Noreturn] = ACTIONS(2573),
    [anon_sym_noreturn] = ACTIONS(2573),
    [anon_sym__Nonnull] = ACTIONS(2573),
    [anon_sym_mutable] = ACTIONS(2573),
    [anon_sym_constinit] = ACTIONS(2573),
    [anon_sym_consteval] = ACTIONS(2573),
    [anon_sym_alignas] = ACTIONS(2573),
    [anon_sym__Alignas] = ACTIONS(2573),
    [sym_primitive_type] = ACTIONS(2573),
    [anon_sym_enum] = ACTIONS(2573),
    [anon_sym_class] = ACTIONS(2573),
    [anon_sym_struct] = ACTIONS(2573),
    [anon_sym_union] = ACTIONS(2573),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_else] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(2573),
    [anon_sym_case] = ACTIONS(2573),
    [anon_sym_default] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(2573),
    [anon_sym_do] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2573),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_break] = ACTIONS(2573),
    [anon_sym_continue] = ACTIONS(2573),
    [anon_sym_goto] = ACTIONS(2573),
    [anon_sym___try] = ACTIONS(2573),
    [anon_sym___leave] = ACTIONS(2573),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_compl] = ACTIONS(2573),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_sizeof] = ACTIONS(2573),
    [anon_sym___alignof__] = ACTIONS(2573),
    [anon_sym___alignof] = ACTIONS(2573),
    [anon_sym__alignof] = ACTIONS(2573),
    [anon_sym_alignof] = ACTIONS(2573),
    [anon_sym__Alignof] = ACTIONS(2573),
    [anon_sym_offsetof] = ACTIONS(2573),
    [anon_sym__Generic] = ACTIONS(2573),
    [anon_sym_asm] = ACTIONS(2573),
    [anon_sym___asm__] = ACTIONS(2573),
    [anon_sym___asm] = ACTIONS(2573),
    [sym_number_literal] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2575),
    [anon_sym_u_SQUOTE] = ACTIONS(2575),
    [anon_sym_U_SQUOTE] = ACTIONS(2575),
    [anon_sym_u8_SQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_L_DQUOTE] = ACTIONS(2575),
    [anon_sym_u_DQUOTE] = ACTIONS(2575),
    [anon_sym_U_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8_DQUOTE] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [sym_true] = ACTIONS(2573),
    [sym_false] = ACTIONS(2573),
    [anon_sym_NULL] = ACTIONS(2573),
    [anon_sym_nullptr] = ACTIONS(2573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2573),
    [anon_sym_decltype] = ACTIONS(2573),
    [anon_sym_explicit] = ACTIONS(2573),
    [anon_sym_typename] = ACTIONS(2573),
    [anon_sym_template] = ACTIONS(2573),
    [anon_sym_operator] = ACTIONS(2573),
    [anon_sym_try] = ACTIONS(2573),
    [anon_sym_delete] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2573),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_using] = ACTIONS(2573),
    [anon_sym_static_assert] = ACTIONS(2573),
    [anon_sym_concept] = ACTIONS(2573),
    [anon_sym_co_return] = ACTIONS(2573),
    [anon_sym_co_yield] = ACTIONS(2573),
    [anon_sym_R_DQUOTE] = ACTIONS(2575),
    [anon_sym_LR_DQUOTE] = ACTIONS(2575),
    [anon_sym_uR_DQUOTE] = ACTIONS(2575),
    [anon_sym_UR_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2575),
    [anon_sym_co_await] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_requires] = ACTIONS(2573),
    [sym_this] = ACTIONS(2573),
  },
  [398] = {
    [sym_identifier] = ACTIONS(2569),
    [aux_sym_preproc_include_token1] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token2] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2569),
    [anon_sym_STAR] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym___extension__] = ACTIONS(2569),
    [anon_sym_typedef] = ACTIONS(2569),
    [anon_sym_virtual] = ACTIONS(2569),
    [anon_sym_extern] = ACTIONS(2569),
    [anon_sym___attribute__] = ACTIONS(2569),
    [anon_sym___attribute] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2571),
    [anon_sym___declspec] = ACTIONS(2569),
    [anon_sym___based] = ACTIONS(2569),
    [anon_sym___cdecl] = ACTIONS(2569),
    [anon_sym___clrcall] = ACTIONS(2569),
    [anon_sym___stdcall] = ACTIONS(2569),
    [anon_sym___fastcall] = ACTIONS(2569),
    [anon_sym___thiscall] = ACTIONS(2569),
    [anon_sym___vectorcall] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_signed] = ACTIONS(2569),
    [anon_sym_unsigned] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_register] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym___inline] = ACTIONS(2569),
    [anon_sym___inline__] = ACTIONS(2569),
    [anon_sym___forceinline] = ACTIONS(2569),
    [anon_sym_thread_local] = ACTIONS(2569),
    [anon_sym___thread] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_constexpr] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_restrict] = ACTIONS(2569),
    [anon_sym___restrict__] = ACTIONS(2569),
    [anon_sym__Atomic] = ACTIONS(2569),
    [anon_sym__Noreturn] = ACTIONS(2569),
    [anon_sym_noreturn] = ACTIONS(2569),
    [anon_sym__Nonnull] = ACTIONS(2569),
    [anon_sym_mutable] = ACTIONS(2569),
    [anon_sym_constinit] = ACTIONS(2569),
    [anon_sym_consteval] = ACTIONS(2569),
    [anon_sym_alignas] = ACTIONS(2569),
    [anon_sym__Alignas] = ACTIONS(2569),
    [sym_primitive_type] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_struct] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2569),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_else] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2569),
    [anon_sym_case] = ACTIONS(2569),
    [anon_sym_default] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2569),
    [anon_sym_return] = ACTIONS(2569),
    [anon_sym_break] = ACTIONS(2569),
    [anon_sym_continue] = ACTIONS(2569),
    [anon_sym_goto] = ACTIONS(2569),
    [anon_sym___try] = ACTIONS(2569),
    [anon_sym___leave] = ACTIONS(2569),
    [anon_sym_not] = ACTIONS(2569),
    [anon_sym_compl] = ACTIONS(2569),
    [anon_sym_DASH_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_PLUS] = ACTIONS(2571),
    [anon_sym_sizeof] = ACTIONS(2569),
    [anon_sym___alignof__] = ACTIONS(2569),
    [anon_sym___alignof] = ACTIONS(2569),
    [anon_sym__alignof] = ACTIONS(2569),
    [anon_sym_alignof] = ACTIONS(2569),
    [anon_sym__Alignof] = ACTIONS(2569),
    [anon_sym_offsetof] = ACTIONS(2569),
    [anon_sym__Generic] = ACTIONS(2569),
    [anon_sym_asm] = ACTIONS(2569),
    [anon_sym___asm__] = ACTIONS(2569),
    [anon_sym___asm] = ACTIONS(2569),
    [sym_number_literal] = ACTIONS(2571),
    [anon_sym_L_SQUOTE] = ACTIONS(2571),
    [anon_sym_u_SQUOTE] = ACTIONS(2571),
    [anon_sym_U_SQUOTE] = ACTIONS(2571),
    [anon_sym_u8_SQUOTE] = ACTIONS(2571),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [anon_sym_L_DQUOTE] = ACTIONS(2571),
    [anon_sym_u_DQUOTE] = ACTIONS(2571),
    [anon_sym_U_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [sym_true] = ACTIONS(2569),
    [sym_false] = ACTIONS(2569),
    [anon_sym_NULL] = ACTIONS(2569),
    [anon_sym_nullptr] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2569),
    [anon_sym_decltype] = ACTIONS(2569),
    [anon_sym_explicit] = ACTIONS(2569),
    [anon_sym_typename] = ACTIONS(2569),
    [anon_sym_template] = ACTIONS(2569),
    [anon_sym_operator] = ACTIONS(2569),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_delete] = ACTIONS(2569),
    [anon_sym_throw] = ACTIONS(2569),
    [anon_sym_namespace] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_static_assert] = ACTIONS(2569),
    [anon_sym_concept] = ACTIONS(2569),
    [anon_sym_co_return] = ACTIONS(2569),
    [anon_sym_co_yield] = ACTIONS(2569),
    [anon_sym_catch] = ACTIONS(2569),
    [anon_sym_R_DQUOTE] = ACTIONS(2571),
    [anon_sym_LR_DQUOTE] = ACTIONS(2571),
    [anon_sym_uR_DQUOTE] = ACTIONS(2571),
    [anon_sym_UR_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2571),
    [anon_sym_co_await] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_requires] = ACTIONS(2569),
    [sym_this] = ACTIONS(2569),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_include_token1] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1911),
    [anon_sym_L_SQUOTE] = ACTIONS(1911),
    [anon_sym_u_SQUOTE] = ACTIONS(1911),
    [anon_sym_U_SQUOTE] = ACTIONS(1911),
    [anon_sym_u8_SQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [anon_sym_L_DQUOTE] = ACTIONS(1911),
    [anon_sym_u_DQUOTE] = ACTIONS(1911),
    [anon_sym_U_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8_DQUOTE] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_catch] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1911),
    [anon_sym_LR_DQUOTE] = ACTIONS(1911),
    [anon_sym_uR_DQUOTE] = ACTIONS(1911),
    [anon_sym_UR_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1911),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
  },
  [400] = {
    [sym_else_clause] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(2565),
    [sym_identifier] = ACTIONS(2563),
    [aux_sym_preproc_include_token1] = ACTIONS(2563),
    [aux_sym_preproc_def_token1] = ACTIONS(2563),
    [aux_sym_preproc_if_token1] = ACTIONS(2563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2563),
    [sym_preproc_directive] = ACTIONS(2563),
    [anon_sym_LPAREN2] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_AMP_AMP] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2565),
    [anon_sym___extension__] = ACTIONS(2563),
    [anon_sym_typedef] = ACTIONS(2563),
    [anon_sym_virtual] = ACTIONS(2563),
    [anon_sym_extern] = ACTIONS(2563),
    [anon_sym___attribute__] = ACTIONS(2563),
    [anon_sym___attribute] = ACTIONS(2563),
    [anon_sym_COLON_COLON] = ACTIONS(2565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2565),
    [anon_sym___declspec] = ACTIONS(2563),
    [anon_sym___based] = ACTIONS(2563),
    [anon_sym___cdecl] = ACTIONS(2563),
    [anon_sym___clrcall] = ACTIONS(2563),
    [anon_sym___stdcall] = ACTIONS(2563),
    [anon_sym___fastcall] = ACTIONS(2563),
    [anon_sym___thiscall] = ACTIONS(2563),
    [anon_sym___vectorcall] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_signed] = ACTIONS(2563),
    [anon_sym_unsigned] = ACTIONS(2563),
    [anon_sym_long] = ACTIONS(2563),
    [anon_sym_short] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_static] = ACTIONS(2563),
    [anon_sym_register] = ACTIONS(2563),
    [anon_sym_inline] = ACTIONS(2563),
    [anon_sym___inline] = ACTIONS(2563),
    [anon_sym___inline__] = ACTIONS(2563),
    [anon_sym___forceinline] = ACTIONS(2563),
    [anon_sym_thread_local] = ACTIONS(2563),
    [anon_sym___thread] = ACTIONS(2563),
    [anon_sym_const] = ACTIONS(2563),
    [anon_sym_constexpr] = ACTIONS(2563),
    [anon_sym_volatile] = ACTIONS(2563),
    [anon_sym_restrict] = ACTIONS(2563),
    [anon_sym___restrict__] = ACTIONS(2563),
    [anon_sym__Atomic] = ACTIONS(2563),
    [anon_sym__Noreturn] = ACTIONS(2563),
    [anon_sym_noreturn] = ACTIONS(2563),
    [anon_sym__Nonnull] = ACTIONS(2563),
    [anon_sym_mutable] = ACTIONS(2563),
    [anon_sym_constinit] = ACTIONS(2563),
    [anon_sym_consteval] = ACTIONS(2563),
    [anon_sym_alignas] = ACTIONS(2563),
    [anon_sym__Alignas] = ACTIONS(2563),
    [sym_primitive_type] = ACTIONS(2563),
    [anon_sym_enum] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2563),
    [anon_sym_struct] = ACTIONS(2563),
    [anon_sym_union] = ACTIONS(2563),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_case] = ACTIONS(2563),
    [anon_sym_default] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_do] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_return] = ACTIONS(2563),
    [anon_sym_break] = ACTIONS(2563),
    [anon_sym_continue] = ACTIONS(2563),
    [anon_sym_goto] = ACTIONS(2563),
    [anon_sym___try] = ACTIONS(2563),
    [anon_sym___leave] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_compl] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2565),
    [anon_sym_PLUS_PLUS] = ACTIONS(2565),
    [anon_sym_sizeof] = ACTIONS(2563),
    [anon_sym___alignof__] = ACTIONS(2563),
    [anon_sym___alignof] = ACTIONS(2563),
    [anon_sym__alignof] = ACTIONS(2563),
    [anon_sym_alignof] = ACTIONS(2563),
    [anon_sym__Alignof] = ACTIONS(2563),
    [anon_sym_offsetof] = ACTIONS(2563),
    [anon_sym__Generic] = ACTIONS(2563),
    [anon_sym_asm] = ACTIONS(2563),
    [anon_sym___asm__] = ACTIONS(2563),
    [anon_sym___asm] = ACTIONS(2563),
    [sym_number_literal] = ACTIONS(2565),
    [anon_sym_L_SQUOTE] = ACTIONS(2565),
    [anon_sym_u_SQUOTE] = ACTIONS(2565),
    [anon_sym_U_SQUOTE] = ACTIONS(2565),
    [anon_sym_u8_SQUOTE] = ACTIONS(2565),
    [anon_sym_SQUOTE] = ACTIONS(2565),
    [anon_sym_L_DQUOTE] = ACTIONS(2565),
    [anon_sym_u_DQUOTE] = ACTIONS(2565),
    [anon_sym_U_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [anon_sym_NULL] = ACTIONS(2563),
    [anon_sym_nullptr] = ACTIONS(2563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2563),
    [anon_sym_decltype] = ACTIONS(2563),
    [anon_sym_explicit] = ACTIONS(2563),
    [anon_sym_typename] = ACTIONS(2563),
    [anon_sym_template] = ACTIONS(2563),
    [anon_sym_operator] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2563),
    [anon_sym_delete] = ACTIONS(2563),
    [anon_sym_throw] = ACTIONS(2563),
    [anon_sym_namespace] = ACTIONS(2563),
    [anon_sym_using] = ACTIONS(2563),
    [anon_sym_static_assert] = ACTIONS(2563),
    [anon_sym_concept] = ACTIONS(2563),
    [anon_sym_co_return] = ACTIONS(2563),
    [anon_sym_co_yield] = ACTIONS(2563),
    [anon_sym_R_DQUOTE] = ACTIONS(2565),
    [anon_sym_LR_DQUOTE] = ACTIONS(2565),
    [anon_sym_uR_DQUOTE] = ACTIONS(2565),
    [anon_sym_UR_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2565),
    [anon_sym_co_await] = ACTIONS(2563),
    [anon_sym_new] = ACTIONS(2563),
    [anon_sym_requires] = ACTIONS(2563),
    [sym_this] = ACTIONS(2563),
  },
  [401] = {
    [sym_expression] = STATE(3568),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(3311),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [402] = {
    [sym_else_clause] = STATE(458),
    [sym_identifier] = ACTIONS(2563),
    [aux_sym_preproc_include_token1] = ACTIONS(2563),
    [aux_sym_preproc_def_token1] = ACTIONS(2563),
    [aux_sym_preproc_if_token1] = ACTIONS(2563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2563),
    [sym_preproc_directive] = ACTIONS(2563),
    [anon_sym_LPAREN2] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_AMP_AMP] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2565),
    [anon_sym___extension__] = ACTIONS(2563),
    [anon_sym_typedef] = ACTIONS(2563),
    [anon_sym_virtual] = ACTIONS(2563),
    [anon_sym_extern] = ACTIONS(2563),
    [anon_sym___attribute__] = ACTIONS(2563),
    [anon_sym___attribute] = ACTIONS(2563),
    [anon_sym_COLON_COLON] = ACTIONS(2565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2565),
    [anon_sym___declspec] = ACTIONS(2563),
    [anon_sym___based] = ACTIONS(2563),
    [anon_sym___cdecl] = ACTIONS(2563),
    [anon_sym___clrcall] = ACTIONS(2563),
    [anon_sym___stdcall] = ACTIONS(2563),
    [anon_sym___fastcall] = ACTIONS(2563),
    [anon_sym___thiscall] = ACTIONS(2563),
    [anon_sym___vectorcall] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_RBRACE] = ACTIONS(2565),
    [anon_sym_signed] = ACTIONS(2563),
    [anon_sym_unsigned] = ACTIONS(2563),
    [anon_sym_long] = ACTIONS(2563),
    [anon_sym_short] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_static] = ACTIONS(2563),
    [anon_sym_register] = ACTIONS(2563),
    [anon_sym_inline] = ACTIONS(2563),
    [anon_sym___inline] = ACTIONS(2563),
    [anon_sym___inline__] = ACTIONS(2563),
    [anon_sym___forceinline] = ACTIONS(2563),
    [anon_sym_thread_local] = ACTIONS(2563),
    [anon_sym___thread] = ACTIONS(2563),
    [anon_sym_const] = ACTIONS(2563),
    [anon_sym_constexpr] = ACTIONS(2563),
    [anon_sym_volatile] = ACTIONS(2563),
    [anon_sym_restrict] = ACTIONS(2563),
    [anon_sym___restrict__] = ACTIONS(2563),
    [anon_sym__Atomic] = ACTIONS(2563),
    [anon_sym__Noreturn] = ACTIONS(2563),
    [anon_sym_noreturn] = ACTIONS(2563),
    [anon_sym__Nonnull] = ACTIONS(2563),
    [anon_sym_mutable] = ACTIONS(2563),
    [anon_sym_constinit] = ACTIONS(2563),
    [anon_sym_consteval] = ACTIONS(2563),
    [anon_sym_alignas] = ACTIONS(2563),
    [anon_sym__Alignas] = ACTIONS(2563),
    [sym_primitive_type] = ACTIONS(2563),
    [anon_sym_enum] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2563),
    [anon_sym_struct] = ACTIONS(2563),
    [anon_sym_union] = ACTIONS(2563),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_case] = ACTIONS(2563),
    [anon_sym_default] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_do] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_return] = ACTIONS(2563),
    [anon_sym_break] = ACTIONS(2563),
    [anon_sym_continue] = ACTIONS(2563),
    [anon_sym_goto] = ACTIONS(2563),
    [anon_sym___try] = ACTIONS(2563),
    [anon_sym___leave] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_compl] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2565),
    [anon_sym_PLUS_PLUS] = ACTIONS(2565),
    [anon_sym_sizeof] = ACTIONS(2563),
    [anon_sym___alignof__] = ACTIONS(2563),
    [anon_sym___alignof] = ACTIONS(2563),
    [anon_sym__alignof] = ACTIONS(2563),
    [anon_sym_alignof] = ACTIONS(2563),
    [anon_sym__Alignof] = ACTIONS(2563),
    [anon_sym_offsetof] = ACTIONS(2563),
    [anon_sym__Generic] = ACTIONS(2563),
    [anon_sym_asm] = ACTIONS(2563),
    [anon_sym___asm__] = ACTIONS(2563),
    [anon_sym___asm] = ACTIONS(2563),
    [sym_number_literal] = ACTIONS(2565),
    [anon_sym_L_SQUOTE] = ACTIONS(2565),
    [anon_sym_u_SQUOTE] = ACTIONS(2565),
    [anon_sym_U_SQUOTE] = ACTIONS(2565),
    [anon_sym_u8_SQUOTE] = ACTIONS(2565),
    [anon_sym_SQUOTE] = ACTIONS(2565),
    [anon_sym_L_DQUOTE] = ACTIONS(2565),
    [anon_sym_u_DQUOTE] = ACTIONS(2565),
    [anon_sym_U_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [anon_sym_NULL] = ACTIONS(2563),
    [anon_sym_nullptr] = ACTIONS(2563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2563),
    [anon_sym_decltype] = ACTIONS(2563),
    [anon_sym_explicit] = ACTIONS(2563),
    [anon_sym_typename] = ACTIONS(2563),
    [anon_sym_template] = ACTIONS(2563),
    [anon_sym_operator] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2563),
    [anon_sym_delete] = ACTIONS(2563),
    [anon_sym_throw] = ACTIONS(2563),
    [anon_sym_namespace] = ACTIONS(2563),
    [anon_sym_using] = ACTIONS(2563),
    [anon_sym_static_assert] = ACTIONS(2563),
    [anon_sym_concept] = ACTIONS(2563),
    [anon_sym_co_return] = ACTIONS(2563),
    [anon_sym_co_yield] = ACTIONS(2563),
    [anon_sym_R_DQUOTE] = ACTIONS(2565),
    [anon_sym_LR_DQUOTE] = ACTIONS(2565),
    [anon_sym_uR_DQUOTE] = ACTIONS(2565),
    [anon_sym_UR_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2565),
    [anon_sym_co_await] = ACTIONS(2563),
    [anon_sym_new] = ACTIONS(2563),
    [anon_sym_requires] = ACTIONS(2563),
    [sym_this] = ACTIONS(2563),
  },
  [403] = {
    [sym_else_clause] = STATE(440),
    [sym_identifier] = ACTIONS(2573),
    [aux_sym_preproc_include_token1] = ACTIONS(2573),
    [aux_sym_preproc_def_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token2] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2573),
    [sym_preproc_directive] = ACTIONS(2573),
    [anon_sym_LPAREN2] = ACTIONS(2575),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(2575),
    [anon_sym_AMP_AMP] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym___extension__] = ACTIONS(2573),
    [anon_sym_typedef] = ACTIONS(2573),
    [anon_sym_virtual] = ACTIONS(2573),
    [anon_sym_extern] = ACTIONS(2573),
    [anon_sym___attribute__] = ACTIONS(2573),
    [anon_sym___attribute] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2575),
    [anon_sym___declspec] = ACTIONS(2573),
    [anon_sym___based] = ACTIONS(2573),
    [anon_sym___cdecl] = ACTIONS(2573),
    [anon_sym___clrcall] = ACTIONS(2573),
    [anon_sym___stdcall] = ACTIONS(2573),
    [anon_sym___fastcall] = ACTIONS(2573),
    [anon_sym___thiscall] = ACTIONS(2573),
    [anon_sym___vectorcall] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2573),
    [anon_sym_unsigned] = ACTIONS(2573),
    [anon_sym_long] = ACTIONS(2573),
    [anon_sym_short] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2573),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_register] = ACTIONS(2573),
    [anon_sym_inline] = ACTIONS(2573),
    [anon_sym___inline] = ACTIONS(2573),
    [anon_sym___inline__] = ACTIONS(2573),
    [anon_sym___forceinline] = ACTIONS(2573),
    [anon_sym_thread_local] = ACTIONS(2573),
    [anon_sym___thread] = ACTIONS(2573),
    [anon_sym_const] = ACTIONS(2573),
    [anon_sym_constexpr] = ACTIONS(2573),
    [anon_sym_volatile] = ACTIONS(2573),
    [anon_sym_restrict] = ACTIONS(2573),
    [anon_sym___restrict__] = ACTIONS(2573),
    [anon_sym__Atomic] = ACTIONS(2573),
    [anon_sym__Noreturn] = ACTIONS(2573),
    [anon_sym_noreturn] = ACTIONS(2573),
    [anon_sym__Nonnull] = ACTIONS(2573),
    [anon_sym_mutable] = ACTIONS(2573),
    [anon_sym_constinit] = ACTIONS(2573),
    [anon_sym_consteval] = ACTIONS(2573),
    [anon_sym_alignas] = ACTIONS(2573),
    [anon_sym__Alignas] = ACTIONS(2573),
    [sym_primitive_type] = ACTIONS(2573),
    [anon_sym_enum] = ACTIONS(2573),
    [anon_sym_class] = ACTIONS(2573),
    [anon_sym_struct] = ACTIONS(2573),
    [anon_sym_union] = ACTIONS(2573),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(2573),
    [anon_sym_case] = ACTIONS(2573),
    [anon_sym_default] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(2573),
    [anon_sym_do] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2573),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_break] = ACTIONS(2573),
    [anon_sym_continue] = ACTIONS(2573),
    [anon_sym_goto] = ACTIONS(2573),
    [anon_sym___try] = ACTIONS(2573),
    [anon_sym___leave] = ACTIONS(2573),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_compl] = ACTIONS(2573),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_sizeof] = ACTIONS(2573),
    [anon_sym___alignof__] = ACTIONS(2573),
    [anon_sym___alignof] = ACTIONS(2573),
    [anon_sym__alignof] = ACTIONS(2573),
    [anon_sym_alignof] = ACTIONS(2573),
    [anon_sym__Alignof] = ACTIONS(2573),
    [anon_sym_offsetof] = ACTIONS(2573),
    [anon_sym__Generic] = ACTIONS(2573),
    [anon_sym_asm] = ACTIONS(2573),
    [anon_sym___asm__] = ACTIONS(2573),
    [anon_sym___asm] = ACTIONS(2573),
    [sym_number_literal] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2575),
    [anon_sym_u_SQUOTE] = ACTIONS(2575),
    [anon_sym_U_SQUOTE] = ACTIONS(2575),
    [anon_sym_u8_SQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_L_DQUOTE] = ACTIONS(2575),
    [anon_sym_u_DQUOTE] = ACTIONS(2575),
    [anon_sym_U_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8_DQUOTE] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [sym_true] = ACTIONS(2573),
    [sym_false] = ACTIONS(2573),
    [anon_sym_NULL] = ACTIONS(2573),
    [anon_sym_nullptr] = ACTIONS(2573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2573),
    [anon_sym_decltype] = ACTIONS(2573),
    [anon_sym_explicit] = ACTIONS(2573),
    [anon_sym_typename] = ACTIONS(2573),
    [anon_sym_template] = ACTIONS(2573),
    [anon_sym_operator] = ACTIONS(2573),
    [anon_sym_try] = ACTIONS(2573),
    [anon_sym_delete] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2573),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_using] = ACTIONS(2573),
    [anon_sym_static_assert] = ACTIONS(2573),
    [anon_sym_concept] = ACTIONS(2573),
    [anon_sym_co_return] = ACTIONS(2573),
    [anon_sym_co_yield] = ACTIONS(2573),
    [anon_sym_R_DQUOTE] = ACTIONS(2575),
    [anon_sym_LR_DQUOTE] = ACTIONS(2575),
    [anon_sym_uR_DQUOTE] = ACTIONS(2575),
    [anon_sym_UR_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2575),
    [anon_sym_co_await] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_requires] = ACTIONS(2573),
    [sym_this] = ACTIONS(2573),
  },
  [404] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4546),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(7930),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [405] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_catch] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [406] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_include_token1] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token2] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1911),
    [anon_sym_L_SQUOTE] = ACTIONS(1911),
    [anon_sym_u_SQUOTE] = ACTIONS(1911),
    [anon_sym_U_SQUOTE] = ACTIONS(1911),
    [anon_sym_u8_SQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [anon_sym_L_DQUOTE] = ACTIONS(1911),
    [anon_sym_u_DQUOTE] = ACTIONS(1911),
    [anon_sym_U_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8_DQUOTE] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_catch] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1911),
    [anon_sym_LR_DQUOTE] = ACTIONS(1911),
    [anon_sym_uR_DQUOTE] = ACTIONS(1911),
    [anon_sym_UR_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1911),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
  },
  [407] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4570),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8349),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [408] = {
    [sym_identifier] = ACTIONS(2569),
    [aux_sym_preproc_include_token1] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2569),
    [anon_sym_STAR] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym___extension__] = ACTIONS(2569),
    [anon_sym_typedef] = ACTIONS(2569),
    [anon_sym_virtual] = ACTIONS(2569),
    [anon_sym_extern] = ACTIONS(2569),
    [anon_sym___attribute__] = ACTIONS(2569),
    [anon_sym___attribute] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2571),
    [anon_sym___declspec] = ACTIONS(2569),
    [anon_sym___based] = ACTIONS(2569),
    [anon_sym___cdecl] = ACTIONS(2569),
    [anon_sym___clrcall] = ACTIONS(2569),
    [anon_sym___stdcall] = ACTIONS(2569),
    [anon_sym___fastcall] = ACTIONS(2569),
    [anon_sym___thiscall] = ACTIONS(2569),
    [anon_sym___vectorcall] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_RBRACE] = ACTIONS(2571),
    [anon_sym_signed] = ACTIONS(2569),
    [anon_sym_unsigned] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_register] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym___inline] = ACTIONS(2569),
    [anon_sym___inline__] = ACTIONS(2569),
    [anon_sym___forceinline] = ACTIONS(2569),
    [anon_sym_thread_local] = ACTIONS(2569),
    [anon_sym___thread] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_constexpr] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_restrict] = ACTIONS(2569),
    [anon_sym___restrict__] = ACTIONS(2569),
    [anon_sym__Atomic] = ACTIONS(2569),
    [anon_sym__Noreturn] = ACTIONS(2569),
    [anon_sym_noreturn] = ACTIONS(2569),
    [anon_sym__Nonnull] = ACTIONS(2569),
    [anon_sym_mutable] = ACTIONS(2569),
    [anon_sym_constinit] = ACTIONS(2569),
    [anon_sym_consteval] = ACTIONS(2569),
    [anon_sym_alignas] = ACTIONS(2569),
    [anon_sym__Alignas] = ACTIONS(2569),
    [sym_primitive_type] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_struct] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2569),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_else] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2569),
    [anon_sym_case] = ACTIONS(2569),
    [anon_sym_default] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2569),
    [anon_sym_return] = ACTIONS(2569),
    [anon_sym_break] = ACTIONS(2569),
    [anon_sym_continue] = ACTIONS(2569),
    [anon_sym_goto] = ACTIONS(2569),
    [anon_sym___try] = ACTIONS(2569),
    [anon_sym___leave] = ACTIONS(2569),
    [anon_sym_not] = ACTIONS(2569),
    [anon_sym_compl] = ACTIONS(2569),
    [anon_sym_DASH_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_PLUS] = ACTIONS(2571),
    [anon_sym_sizeof] = ACTIONS(2569),
    [anon_sym___alignof__] = ACTIONS(2569),
    [anon_sym___alignof] = ACTIONS(2569),
    [anon_sym__alignof] = ACTIONS(2569),
    [anon_sym_alignof] = ACTIONS(2569),
    [anon_sym__Alignof] = ACTIONS(2569),
    [anon_sym_offsetof] = ACTIONS(2569),
    [anon_sym__Generic] = ACTIONS(2569),
    [anon_sym_asm] = ACTIONS(2569),
    [anon_sym___asm__] = ACTIONS(2569),
    [anon_sym___asm] = ACTIONS(2569),
    [sym_number_literal] = ACTIONS(2571),
    [anon_sym_L_SQUOTE] = ACTIONS(2571),
    [anon_sym_u_SQUOTE] = ACTIONS(2571),
    [anon_sym_U_SQUOTE] = ACTIONS(2571),
    [anon_sym_u8_SQUOTE] = ACTIONS(2571),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [anon_sym_L_DQUOTE] = ACTIONS(2571),
    [anon_sym_u_DQUOTE] = ACTIONS(2571),
    [anon_sym_U_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [sym_true] = ACTIONS(2569),
    [sym_false] = ACTIONS(2569),
    [anon_sym_NULL] = ACTIONS(2569),
    [anon_sym_nullptr] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2569),
    [anon_sym_decltype] = ACTIONS(2569),
    [anon_sym_explicit] = ACTIONS(2569),
    [anon_sym_typename] = ACTIONS(2569),
    [anon_sym_template] = ACTIONS(2569),
    [anon_sym_operator] = ACTIONS(2569),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_delete] = ACTIONS(2569),
    [anon_sym_throw] = ACTIONS(2569),
    [anon_sym_namespace] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_static_assert] = ACTIONS(2569),
    [anon_sym_concept] = ACTIONS(2569),
    [anon_sym_co_return] = ACTIONS(2569),
    [anon_sym_co_yield] = ACTIONS(2569),
    [anon_sym_catch] = ACTIONS(2569),
    [anon_sym_R_DQUOTE] = ACTIONS(2571),
    [anon_sym_LR_DQUOTE] = ACTIONS(2571),
    [anon_sym_uR_DQUOTE] = ACTIONS(2571),
    [anon_sym_UR_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2571),
    [anon_sym_co_await] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_requires] = ACTIONS(2569),
    [sym_this] = ACTIONS(2569),
  },
  [409] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4600),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8626),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [410] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8356),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [411] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4631),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8035),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [412] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4650),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8229),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [413] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4656),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8139),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [414] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4664),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8491),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [415] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4668),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(7919),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [416] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4669),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8075),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [417] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4670),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8166),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [418] = {
    [sym_else_clause] = STATE(425),
    [sym_identifier] = ACTIONS(2563),
    [aux_sym_preproc_include_token1] = ACTIONS(2563),
    [aux_sym_preproc_def_token1] = ACTIONS(2563),
    [aux_sym_preproc_if_token1] = ACTIONS(2563),
    [aux_sym_preproc_if_token2] = ACTIONS(2563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2563),
    [sym_preproc_directive] = ACTIONS(2563),
    [anon_sym_LPAREN2] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_AMP_AMP] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2565),
    [anon_sym___extension__] = ACTIONS(2563),
    [anon_sym_typedef] = ACTIONS(2563),
    [anon_sym_virtual] = ACTIONS(2563),
    [anon_sym_extern] = ACTIONS(2563),
    [anon_sym___attribute__] = ACTIONS(2563),
    [anon_sym___attribute] = ACTIONS(2563),
    [anon_sym_COLON_COLON] = ACTIONS(2565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2565),
    [anon_sym___declspec] = ACTIONS(2563),
    [anon_sym___based] = ACTIONS(2563),
    [anon_sym___cdecl] = ACTIONS(2563),
    [anon_sym___clrcall] = ACTIONS(2563),
    [anon_sym___stdcall] = ACTIONS(2563),
    [anon_sym___fastcall] = ACTIONS(2563),
    [anon_sym___thiscall] = ACTIONS(2563),
    [anon_sym___vectorcall] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_signed] = ACTIONS(2563),
    [anon_sym_unsigned] = ACTIONS(2563),
    [anon_sym_long] = ACTIONS(2563),
    [anon_sym_short] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_static] = ACTIONS(2563),
    [anon_sym_register] = ACTIONS(2563),
    [anon_sym_inline] = ACTIONS(2563),
    [anon_sym___inline] = ACTIONS(2563),
    [anon_sym___inline__] = ACTIONS(2563),
    [anon_sym___forceinline] = ACTIONS(2563),
    [anon_sym_thread_local] = ACTIONS(2563),
    [anon_sym___thread] = ACTIONS(2563),
    [anon_sym_const] = ACTIONS(2563),
    [anon_sym_constexpr] = ACTIONS(2563),
    [anon_sym_volatile] = ACTIONS(2563),
    [anon_sym_restrict] = ACTIONS(2563),
    [anon_sym___restrict__] = ACTIONS(2563),
    [anon_sym__Atomic] = ACTIONS(2563),
    [anon_sym__Noreturn] = ACTIONS(2563),
    [anon_sym_noreturn] = ACTIONS(2563),
    [anon_sym__Nonnull] = ACTIONS(2563),
    [anon_sym_mutable] = ACTIONS(2563),
    [anon_sym_constinit] = ACTIONS(2563),
    [anon_sym_consteval] = ACTIONS(2563),
    [anon_sym_alignas] = ACTIONS(2563),
    [anon_sym__Alignas] = ACTIONS(2563),
    [sym_primitive_type] = ACTIONS(2563),
    [anon_sym_enum] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2563),
    [anon_sym_struct] = ACTIONS(2563),
    [anon_sym_union] = ACTIONS(2563),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_case] = ACTIONS(2563),
    [anon_sym_default] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_do] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_return] = ACTIONS(2563),
    [anon_sym_break] = ACTIONS(2563),
    [anon_sym_continue] = ACTIONS(2563),
    [anon_sym_goto] = ACTIONS(2563),
    [anon_sym___try] = ACTIONS(2563),
    [anon_sym___leave] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_compl] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2565),
    [anon_sym_PLUS_PLUS] = ACTIONS(2565),
    [anon_sym_sizeof] = ACTIONS(2563),
    [anon_sym___alignof__] = ACTIONS(2563),
    [anon_sym___alignof] = ACTIONS(2563),
    [anon_sym__alignof] = ACTIONS(2563),
    [anon_sym_alignof] = ACTIONS(2563),
    [anon_sym__Alignof] = ACTIONS(2563),
    [anon_sym_offsetof] = ACTIONS(2563),
    [anon_sym__Generic] = ACTIONS(2563),
    [anon_sym_asm] = ACTIONS(2563),
    [anon_sym___asm__] = ACTIONS(2563),
    [anon_sym___asm] = ACTIONS(2563),
    [sym_number_literal] = ACTIONS(2565),
    [anon_sym_L_SQUOTE] = ACTIONS(2565),
    [anon_sym_u_SQUOTE] = ACTIONS(2565),
    [anon_sym_U_SQUOTE] = ACTIONS(2565),
    [anon_sym_u8_SQUOTE] = ACTIONS(2565),
    [anon_sym_SQUOTE] = ACTIONS(2565),
    [anon_sym_L_DQUOTE] = ACTIONS(2565),
    [anon_sym_u_DQUOTE] = ACTIONS(2565),
    [anon_sym_U_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [anon_sym_NULL] = ACTIONS(2563),
    [anon_sym_nullptr] = ACTIONS(2563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2563),
    [anon_sym_decltype] = ACTIONS(2563),
    [anon_sym_explicit] = ACTIONS(2563),
    [anon_sym_typename] = ACTIONS(2563),
    [anon_sym_template] = ACTIONS(2563),
    [anon_sym_operator] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2563),
    [anon_sym_delete] = ACTIONS(2563),
    [anon_sym_throw] = ACTIONS(2563),
    [anon_sym_namespace] = ACTIONS(2563),
    [anon_sym_using] = ACTIONS(2563),
    [anon_sym_static_assert] = ACTIONS(2563),
    [anon_sym_concept] = ACTIONS(2563),
    [anon_sym_co_return] = ACTIONS(2563),
    [anon_sym_co_yield] = ACTIONS(2563),
    [anon_sym_R_DQUOTE] = ACTIONS(2565),
    [anon_sym_LR_DQUOTE] = ACTIONS(2565),
    [anon_sym_uR_DQUOTE] = ACTIONS(2565),
    [anon_sym_UR_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2565),
    [anon_sym_co_await] = ACTIONS(2563),
    [anon_sym_new] = ACTIONS(2563),
    [anon_sym_requires] = ACTIONS(2563),
    [sym_this] = ACTIONS(2563),
  },
  [419] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [420] = {
    [sym_type_qualifier] = STATE(3869),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4369),
    [sym_sized_type_specifier] = STATE(1822),
    [sym_enum_specifier] = STATE(1822),
    [sym_struct_specifier] = STATE(1822),
    [sym_union_specifier] = STATE(1822),
    [sym_expression] = STATE(4571),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_type_descriptor] = STATE(8664),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_placeholder_type_specifier] = STATE(1822),
    [sym_decltype_auto] = STATE(1824),
    [sym_decltype] = STATE(1725),
    [sym_class_specifier] = STATE(1822),
    [sym__class_name] = STATE(7601),
    [sym_dependent_type] = STATE(1822),
    [sym_template_type] = STATE(5293),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5616),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(5324),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym__type_definition_type_repeat1] = STATE(3869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4132),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1781),
    [anon_sym_unsigned] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1817),
    [anon_sym_decltype] = ACTIONS(1819),
    [anon_sym_typename] = ACTIONS(1821),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2569),
    [aux_sym_preproc_include_token1] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2569),
    [anon_sym_STAR] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym___extension__] = ACTIONS(2569),
    [anon_sym_typedef] = ACTIONS(2569),
    [anon_sym_virtual] = ACTIONS(2569),
    [anon_sym_extern] = ACTIONS(2569),
    [anon_sym___attribute__] = ACTIONS(2569),
    [anon_sym___attribute] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2571),
    [anon_sym___declspec] = ACTIONS(2569),
    [anon_sym___based] = ACTIONS(2569),
    [anon_sym___cdecl] = ACTIONS(2569),
    [anon_sym___clrcall] = ACTIONS(2569),
    [anon_sym___stdcall] = ACTIONS(2569),
    [anon_sym___fastcall] = ACTIONS(2569),
    [anon_sym___thiscall] = ACTIONS(2569),
    [anon_sym___vectorcall] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_signed] = ACTIONS(2569),
    [anon_sym_unsigned] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_register] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym___inline] = ACTIONS(2569),
    [anon_sym___inline__] = ACTIONS(2569),
    [anon_sym___forceinline] = ACTIONS(2569),
    [anon_sym_thread_local] = ACTIONS(2569),
    [anon_sym___thread] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_constexpr] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_restrict] = ACTIONS(2569),
    [anon_sym___restrict__] = ACTIONS(2569),
    [anon_sym__Atomic] = ACTIONS(2569),
    [anon_sym__Noreturn] = ACTIONS(2569),
    [anon_sym_noreturn] = ACTIONS(2569),
    [anon_sym__Nonnull] = ACTIONS(2569),
    [anon_sym_mutable] = ACTIONS(2569),
    [anon_sym_constinit] = ACTIONS(2569),
    [anon_sym_consteval] = ACTIONS(2569),
    [anon_sym_alignas] = ACTIONS(2569),
    [anon_sym__Alignas] = ACTIONS(2569),
    [sym_primitive_type] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_struct] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2569),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_else] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2569),
    [anon_sym_case] = ACTIONS(2569),
    [anon_sym_default] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2569),
    [anon_sym_return] = ACTIONS(2569),
    [anon_sym_break] = ACTIONS(2569),
    [anon_sym_continue] = ACTIONS(2569),
    [anon_sym_goto] = ACTIONS(2569),
    [anon_sym___try] = ACTIONS(2569),
    [anon_sym___leave] = ACTIONS(2569),
    [anon_sym_not] = ACTIONS(2569),
    [anon_sym_compl] = ACTIONS(2569),
    [anon_sym_DASH_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_PLUS] = ACTIONS(2571),
    [anon_sym_sizeof] = ACTIONS(2569),
    [anon_sym___alignof__] = ACTIONS(2569),
    [anon_sym___alignof] = ACTIONS(2569),
    [anon_sym__alignof] = ACTIONS(2569),
    [anon_sym_alignof] = ACTIONS(2569),
    [anon_sym__Alignof] = ACTIONS(2569),
    [anon_sym_offsetof] = ACTIONS(2569),
    [anon_sym__Generic] = ACTIONS(2569),
    [anon_sym_asm] = ACTIONS(2569),
    [anon_sym___asm__] = ACTIONS(2569),
    [anon_sym___asm] = ACTIONS(2569),
    [sym_number_literal] = ACTIONS(2571),
    [anon_sym_L_SQUOTE] = ACTIONS(2571),
    [anon_sym_u_SQUOTE] = ACTIONS(2571),
    [anon_sym_U_SQUOTE] = ACTIONS(2571),
    [anon_sym_u8_SQUOTE] = ACTIONS(2571),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [anon_sym_L_DQUOTE] = ACTIONS(2571),
    [anon_sym_u_DQUOTE] = ACTIONS(2571),
    [anon_sym_U_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [sym_true] = ACTIONS(2569),
    [sym_false] = ACTIONS(2569),
    [anon_sym_NULL] = ACTIONS(2569),
    [anon_sym_nullptr] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2569),
    [anon_sym_decltype] = ACTIONS(2569),
    [anon_sym_explicit] = ACTIONS(2569),
    [anon_sym_typename] = ACTIONS(2569),
    [anon_sym_template] = ACTIONS(2569),
    [anon_sym_operator] = ACTIONS(2569),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_delete] = ACTIONS(2569),
    [anon_sym_throw] = ACTIONS(2569),
    [anon_sym_namespace] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_static_assert] = ACTIONS(2569),
    [anon_sym_concept] = ACTIONS(2569),
    [anon_sym_co_return] = ACTIONS(2569),
    [anon_sym_co_yield] = ACTIONS(2569),
    [anon_sym_catch] = ACTIONS(2569),
    [anon_sym_R_DQUOTE] = ACTIONS(2571),
    [anon_sym_LR_DQUOTE] = ACTIONS(2571),
    [anon_sym_uR_DQUOTE] = ACTIONS(2571),
    [anon_sym_UR_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2571),
    [anon_sym_co_await] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_requires] = ACTIONS(2569),
    [sym_this] = ACTIONS(2569),
  },
  [422] = {
    [sym_else_clause] = STATE(530),
    [sym_identifier] = ACTIONS(2573),
    [aux_sym_preproc_include_token1] = ACTIONS(2573),
    [aux_sym_preproc_def_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2573),
    [sym_preproc_directive] = ACTIONS(2573),
    [anon_sym_LPAREN2] = ACTIONS(2575),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(2575),
    [anon_sym_AMP_AMP] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym___extension__] = ACTIONS(2573),
    [anon_sym_typedef] = ACTIONS(2573),
    [anon_sym_virtual] = ACTIONS(2573),
    [anon_sym_extern] = ACTIONS(2573),
    [anon_sym___attribute__] = ACTIONS(2573),
    [anon_sym___attribute] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2575),
    [anon_sym___declspec] = ACTIONS(2573),
    [anon_sym___based] = ACTIONS(2573),
    [anon_sym___cdecl] = ACTIONS(2573),
    [anon_sym___clrcall] = ACTIONS(2573),
    [anon_sym___stdcall] = ACTIONS(2573),
    [anon_sym___fastcall] = ACTIONS(2573),
    [anon_sym___thiscall] = ACTIONS(2573),
    [anon_sym___vectorcall] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2573),
    [anon_sym_unsigned] = ACTIONS(2573),
    [anon_sym_long] = ACTIONS(2573),
    [anon_sym_short] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2573),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_register] = ACTIONS(2573),
    [anon_sym_inline] = ACTIONS(2573),
    [anon_sym___inline] = ACTIONS(2573),
    [anon_sym___inline__] = ACTIONS(2573),
    [anon_sym___forceinline] = ACTIONS(2573),
    [anon_sym_thread_local] = ACTIONS(2573),
    [anon_sym___thread] = ACTIONS(2573),
    [anon_sym_const] = ACTIONS(2573),
    [anon_sym_constexpr] = ACTIONS(2573),
    [anon_sym_volatile] = ACTIONS(2573),
    [anon_sym_restrict] = ACTIONS(2573),
    [anon_sym___restrict__] = ACTIONS(2573),
    [anon_sym__Atomic] = ACTIONS(2573),
    [anon_sym__Noreturn] = ACTIONS(2573),
    [anon_sym_noreturn] = ACTIONS(2573),
    [anon_sym__Nonnull] = ACTIONS(2573),
    [anon_sym_mutable] = ACTIONS(2573),
    [anon_sym_constinit] = ACTIONS(2573),
    [anon_sym_consteval] = ACTIONS(2573),
    [anon_sym_alignas] = ACTIONS(2573),
    [anon_sym__Alignas] = ACTIONS(2573),
    [sym_primitive_type] = ACTIONS(2573),
    [anon_sym_enum] = ACTIONS(2573),
    [anon_sym_class] = ACTIONS(2573),
    [anon_sym_struct] = ACTIONS(2573),
    [anon_sym_union] = ACTIONS(2573),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_else] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(2573),
    [anon_sym_case] = ACTIONS(2573),
    [anon_sym_default] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(2573),
    [anon_sym_do] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2573),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_break] = ACTIONS(2573),
    [anon_sym_continue] = ACTIONS(2573),
    [anon_sym_goto] = ACTIONS(2573),
    [anon_sym___try] = ACTIONS(2573),
    [anon_sym___leave] = ACTIONS(2573),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_compl] = ACTIONS(2573),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_sizeof] = ACTIONS(2573),
    [anon_sym___alignof__] = ACTIONS(2573),
    [anon_sym___alignof] = ACTIONS(2573),
    [anon_sym__alignof] = ACTIONS(2573),
    [anon_sym_alignof] = ACTIONS(2573),
    [anon_sym__Alignof] = ACTIONS(2573),
    [anon_sym_offsetof] = ACTIONS(2573),
    [anon_sym__Generic] = ACTIONS(2573),
    [anon_sym_asm] = ACTIONS(2573),
    [anon_sym___asm__] = ACTIONS(2573),
    [anon_sym___asm] = ACTIONS(2573),
    [sym_number_literal] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2575),
    [anon_sym_u_SQUOTE] = ACTIONS(2575),
    [anon_sym_U_SQUOTE] = ACTIONS(2575),
    [anon_sym_u8_SQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_L_DQUOTE] = ACTIONS(2575),
    [anon_sym_u_DQUOTE] = ACTIONS(2575),
    [anon_sym_U_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8_DQUOTE] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [sym_true] = ACTIONS(2573),
    [sym_false] = ACTIONS(2573),
    [anon_sym_NULL] = ACTIONS(2573),
    [anon_sym_nullptr] = ACTIONS(2573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2573),
    [anon_sym_decltype] = ACTIONS(2573),
    [anon_sym_explicit] = ACTIONS(2573),
    [anon_sym_typename] = ACTIONS(2573),
    [anon_sym_template] = ACTIONS(2573),
    [anon_sym_operator] = ACTIONS(2573),
    [anon_sym_try] = ACTIONS(2573),
    [anon_sym_delete] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2573),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_using] = ACTIONS(2573),
    [anon_sym_static_assert] = ACTIONS(2573),
    [anon_sym_concept] = ACTIONS(2573),
    [anon_sym_co_return] = ACTIONS(2573),
    [anon_sym_co_yield] = ACTIONS(2573),
    [anon_sym_R_DQUOTE] = ACTIONS(2575),
    [anon_sym_LR_DQUOTE] = ACTIONS(2575),
    [anon_sym_uR_DQUOTE] = ACTIONS(2575),
    [anon_sym_UR_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2575),
    [anon_sym_co_await] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_requires] = ACTIONS(2573),
    [sym_this] = ACTIONS(2573),
  },
  [423] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_catch] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2707),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2707),
    [aux_sym_preproc_if_token1] = ACTIONS(2707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2707),
    [sym_preproc_directive] = ACTIONS(2707),
    [anon_sym_LPAREN2] = ACTIONS(2709),
    [anon_sym_BANG] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2709),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym___extension__] = ACTIONS(2707),
    [anon_sym_typedef] = ACTIONS(2707),
    [anon_sym_virtual] = ACTIONS(2707),
    [anon_sym_extern] = ACTIONS(2707),
    [anon_sym___attribute__] = ACTIONS(2707),
    [anon_sym___attribute] = ACTIONS(2707),
    [anon_sym_COLON_COLON] = ACTIONS(2709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2709),
    [anon_sym___declspec] = ACTIONS(2707),
    [anon_sym___based] = ACTIONS(2707),
    [anon_sym___cdecl] = ACTIONS(2707),
    [anon_sym___clrcall] = ACTIONS(2707),
    [anon_sym___stdcall] = ACTIONS(2707),
    [anon_sym___fastcall] = ACTIONS(2707),
    [anon_sym___thiscall] = ACTIONS(2707),
    [anon_sym___vectorcall] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_signed] = ACTIONS(2707),
    [anon_sym_unsigned] = ACTIONS(2707),
    [anon_sym_long] = ACTIONS(2707),
    [anon_sym_short] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [anon_sym_static] = ACTIONS(2707),
    [anon_sym_register] = ACTIONS(2707),
    [anon_sym_inline] = ACTIONS(2707),
    [anon_sym___inline] = ACTIONS(2707),
    [anon_sym___inline__] = ACTIONS(2707),
    [anon_sym___forceinline] = ACTIONS(2707),
    [anon_sym_thread_local] = ACTIONS(2707),
    [anon_sym___thread] = ACTIONS(2707),
    [anon_sym_const] = ACTIONS(2707),
    [anon_sym_constexpr] = ACTIONS(2707),
    [anon_sym_volatile] = ACTIONS(2707),
    [anon_sym_restrict] = ACTIONS(2707),
    [anon_sym___restrict__] = ACTIONS(2707),
    [anon_sym__Atomic] = ACTIONS(2707),
    [anon_sym__Noreturn] = ACTIONS(2707),
    [anon_sym_noreturn] = ACTIONS(2707),
    [anon_sym__Nonnull] = ACTIONS(2707),
    [anon_sym_mutable] = ACTIONS(2707),
    [anon_sym_constinit] = ACTIONS(2707),
    [anon_sym_consteval] = ACTIONS(2707),
    [anon_sym_alignas] = ACTIONS(2707),
    [anon_sym__Alignas] = ACTIONS(2707),
    [sym_primitive_type] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(2707),
    [anon_sym_class] = ACTIONS(2707),
    [anon_sym_struct] = ACTIONS(2707),
    [anon_sym_union] = ACTIONS(2707),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_else] = ACTIONS(2707),
    [anon_sym_switch] = ACTIONS(2707),
    [anon_sym_case] = ACTIONS(2707),
    [anon_sym_default] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(2707),
    [anon_sym_do] = ACTIONS(2707),
    [anon_sym_for] = ACTIONS(2707),
    [anon_sym_return] = ACTIONS(2707),
    [anon_sym_break] = ACTIONS(2707),
    [anon_sym_continue] = ACTIONS(2707),
    [anon_sym_goto] = ACTIONS(2707),
    [anon_sym___try] = ACTIONS(2707),
    [anon_sym___leave] = ACTIONS(2707),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_compl] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2709),
    [anon_sym_sizeof] = ACTIONS(2707),
    [anon_sym___alignof__] = ACTIONS(2707),
    [anon_sym___alignof] = ACTIONS(2707),
    [anon_sym__alignof] = ACTIONS(2707),
    [anon_sym_alignof] = ACTIONS(2707),
    [anon_sym__Alignof] = ACTIONS(2707),
    [anon_sym_offsetof] = ACTIONS(2707),
    [anon_sym__Generic] = ACTIONS(2707),
    [anon_sym_asm] = ACTIONS(2707),
    [anon_sym___asm__] = ACTIONS(2707),
    [anon_sym___asm] = ACTIONS(2707),
    [sym_number_literal] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2709),
    [anon_sym_u_SQUOTE] = ACTIONS(2709),
    [anon_sym_U_SQUOTE] = ACTIONS(2709),
    [anon_sym_u8_SQUOTE] = ACTIONS(2709),
    [anon_sym_SQUOTE] = ACTIONS(2709),
    [anon_sym_L_DQUOTE] = ACTIONS(2709),
    [anon_sym_u_DQUOTE] = ACTIONS(2709),
    [anon_sym_U_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8_DQUOTE] = ACTIONS(2709),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_true] = ACTIONS(2707),
    [sym_false] = ACTIONS(2707),
    [anon_sym_NULL] = ACTIONS(2707),
    [anon_sym_nullptr] = ACTIONS(2707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2707),
    [anon_sym_decltype] = ACTIONS(2707),
    [anon_sym_explicit] = ACTIONS(2707),
    [anon_sym_typename] = ACTIONS(2707),
    [anon_sym_template] = ACTIONS(2707),
    [anon_sym_operator] = ACTIONS(2707),
    [anon_sym_try] = ACTIONS(2707),
    [anon_sym_delete] = ACTIONS(2707),
    [anon_sym_throw] = ACTIONS(2707),
    [anon_sym_namespace] = ACTIONS(2707),
    [anon_sym_using] = ACTIONS(2707),
    [anon_sym_static_assert] = ACTIONS(2707),
    [anon_sym_concept] = ACTIONS(2707),
    [anon_sym_co_return] = ACTIONS(2707),
    [anon_sym_co_yield] = ACTIONS(2707),
    [anon_sym_R_DQUOTE] = ACTIONS(2709),
    [anon_sym_LR_DQUOTE] = ACTIONS(2709),
    [anon_sym_uR_DQUOTE] = ACTIONS(2709),
    [anon_sym_UR_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2709),
    [anon_sym_co_await] = ACTIONS(2707),
    [anon_sym_new] = ACTIONS(2707),
    [anon_sym_requires] = ACTIONS(2707),
    [sym_this] = ACTIONS(2707),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2589),
    [aux_sym_preproc_include_token1] = ACTIONS(2589),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token2] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2589),
    [sym_preproc_directive] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP_AMP] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2589),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2589),
    [anon_sym_typedef] = ACTIONS(2589),
    [anon_sym_virtual] = ACTIONS(2589),
    [anon_sym_extern] = ACTIONS(2589),
    [anon_sym___attribute__] = ACTIONS(2589),
    [anon_sym___attribute] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2591),
    [anon_sym___declspec] = ACTIONS(2589),
    [anon_sym___based] = ACTIONS(2589),
    [anon_sym___cdecl] = ACTIONS(2589),
    [anon_sym___clrcall] = ACTIONS(2589),
    [anon_sym___stdcall] = ACTIONS(2589),
    [anon_sym___fastcall] = ACTIONS(2589),
    [anon_sym___thiscall] = ACTIONS(2589),
    [anon_sym___vectorcall] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_signed] = ACTIONS(2589),
    [anon_sym_unsigned] = ACTIONS(2589),
    [anon_sym_long] = ACTIONS(2589),
    [anon_sym_short] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_register] = ACTIONS(2589),
    [anon_sym_inline] = ACTIONS(2589),
    [anon_sym___inline] = ACTIONS(2589),
    [anon_sym___inline__] = ACTIONS(2589),
    [anon_sym___forceinline] = ACTIONS(2589),
    [anon_sym_thread_local] = ACTIONS(2589),
    [anon_sym___thread] = ACTIONS(2589),
    [anon_sym_const] = ACTIONS(2589),
    [anon_sym_constexpr] = ACTIONS(2589),
    [anon_sym_volatile] = ACTIONS(2589),
    [anon_sym_restrict] = ACTIONS(2589),
    [anon_sym___restrict__] = ACTIONS(2589),
    [anon_sym__Atomic] = ACTIONS(2589),
    [anon_sym__Noreturn] = ACTIONS(2589),
    [anon_sym_noreturn] = ACTIONS(2589),
    [anon_sym__Nonnull] = ACTIONS(2589),
    [anon_sym_mutable] = ACTIONS(2589),
    [anon_sym_constinit] = ACTIONS(2589),
    [anon_sym_consteval] = ACTIONS(2589),
    [anon_sym_alignas] = ACTIONS(2589),
    [anon_sym__Alignas] = ACTIONS(2589),
    [sym_primitive_type] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_struct] = ACTIONS(2589),
    [anon_sym_union] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_case] = ACTIONS(2589),
    [anon_sym_default] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_goto] = ACTIONS(2589),
    [anon_sym___try] = ACTIONS(2589),
    [anon_sym___leave] = ACTIONS(2589),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2591),
    [anon_sym_PLUS_PLUS] = ACTIONS(2591),
    [anon_sym_sizeof] = ACTIONS(2589),
    [anon_sym___alignof__] = ACTIONS(2589),
    [anon_sym___alignof] = ACTIONS(2589),
    [anon_sym__alignof] = ACTIONS(2589),
    [anon_sym_alignof] = ACTIONS(2589),
    [anon_sym__Alignof] = ACTIONS(2589),
    [anon_sym_offsetof] = ACTIONS(2589),
    [anon_sym__Generic] = ACTIONS(2589),
    [anon_sym_asm] = ACTIONS(2589),
    [anon_sym___asm__] = ACTIONS(2589),
    [anon_sym___asm] = ACTIONS(2589),
    [sym_number_literal] = ACTIONS(2591),
    [anon_sym_L_SQUOTE] = ACTIONS(2591),
    [anon_sym_u_SQUOTE] = ACTIONS(2591),
    [anon_sym_U_SQUOTE] = ACTIONS(2591),
    [anon_sym_u8_SQUOTE] = ACTIONS(2591),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_L_DQUOTE] = ACTIONS(2591),
    [anon_sym_u_DQUOTE] = ACTIONS(2591),
    [anon_sym_U_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8_DQUOTE] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [anon_sym_NULL] = ACTIONS(2589),
    [anon_sym_nullptr] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2589),
    [anon_sym_decltype] = ACTIONS(2589),
    [anon_sym_explicit] = ACTIONS(2589),
    [anon_sym_typename] = ACTIONS(2589),
    [anon_sym_template] = ACTIONS(2589),
    [anon_sym_operator] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_delete] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_namespace] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(2589),
    [anon_sym_static_assert] = ACTIONS(2589),
    [anon_sym_concept] = ACTIONS(2589),
    [anon_sym_co_return] = ACTIONS(2589),
    [anon_sym_co_yield] = ACTIONS(2589),
    [anon_sym_R_DQUOTE] = ACTIONS(2591),
    [anon_sym_LR_DQUOTE] = ACTIONS(2591),
    [anon_sym_uR_DQUOTE] = ACTIONS(2591),
    [anon_sym_UR_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2591),
    [anon_sym_co_await] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_requires] = ACTIONS(2589),
    [sym_this] = ACTIONS(2589),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym___attribute] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym__Nonnull] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym__Alignas] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [anon_sym___asm] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(2611),
    [sym_identifier] = ACTIONS(2609),
    [aux_sym_preproc_include_token1] = ACTIONS(2609),
    [aux_sym_preproc_def_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2609),
    [sym_preproc_directive] = ACTIONS(2609),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_AMP_AMP] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2609),
    [anon_sym_typedef] = ACTIONS(2609),
    [anon_sym_virtual] = ACTIONS(2609),
    [anon_sym_extern] = ACTIONS(2609),
    [anon_sym___attribute__] = ACTIONS(2609),
    [anon_sym___attribute] = ACTIONS(2609),
    [anon_sym_COLON_COLON] = ACTIONS(2611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2609),
    [anon_sym___based] = ACTIONS(2609),
    [anon_sym___cdecl] = ACTIONS(2609),
    [anon_sym___clrcall] = ACTIONS(2609),
    [anon_sym___stdcall] = ACTIONS(2609),
    [anon_sym___fastcall] = ACTIONS(2609),
    [anon_sym___thiscall] = ACTIONS(2609),
    [anon_sym___vectorcall] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2609),
    [anon_sym_unsigned] = ACTIONS(2609),
    [anon_sym_long] = ACTIONS(2609),
    [anon_sym_short] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2609),
    [anon_sym_static] = ACTIONS(2609),
    [anon_sym_register] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(2609),
    [anon_sym___inline] = ACTIONS(2609),
    [anon_sym___inline__] = ACTIONS(2609),
    [anon_sym___forceinline] = ACTIONS(2609),
    [anon_sym_thread_local] = ACTIONS(2609),
    [anon_sym___thread] = ACTIONS(2609),
    [anon_sym_const] = ACTIONS(2609),
    [anon_sym_constexpr] = ACTIONS(2609),
    [anon_sym_volatile] = ACTIONS(2609),
    [anon_sym_restrict] = ACTIONS(2609),
    [anon_sym___restrict__] = ACTIONS(2609),
    [anon_sym__Atomic] = ACTIONS(2609),
    [anon_sym__Noreturn] = ACTIONS(2609),
    [anon_sym_noreturn] = ACTIONS(2609),
    [anon_sym__Nonnull] = ACTIONS(2609),
    [anon_sym_mutable] = ACTIONS(2609),
    [anon_sym_constinit] = ACTIONS(2609),
    [anon_sym_consteval] = ACTIONS(2609),
    [anon_sym_alignas] = ACTIONS(2609),
    [anon_sym__Alignas] = ACTIONS(2609),
    [sym_primitive_type] = ACTIONS(2609),
    [anon_sym_enum] = ACTIONS(2609),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2609),
    [anon_sym_union] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2609),
    [anon_sym_switch] = ACTIONS(2609),
    [anon_sym_case] = ACTIONS(2609),
    [anon_sym_default] = ACTIONS(2609),
    [anon_sym_while] = ACTIONS(2609),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_for] = ACTIONS(2609),
    [anon_sym_return] = ACTIONS(2609),
    [anon_sym_break] = ACTIONS(2609),
    [anon_sym_continue] = ACTIONS(2609),
    [anon_sym_goto] = ACTIONS(2609),
    [anon_sym___try] = ACTIONS(2609),
    [anon_sym___leave] = ACTIONS(2609),
    [anon_sym_not] = ACTIONS(2609),
    [anon_sym_compl] = ACTIONS(2609),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2609),
    [anon_sym___alignof__] = ACTIONS(2609),
    [anon_sym___alignof] = ACTIONS(2609),
    [anon_sym__alignof] = ACTIONS(2609),
    [anon_sym_alignof] = ACTIONS(2609),
    [anon_sym__Alignof] = ACTIONS(2609),
    [anon_sym_offsetof] = ACTIONS(2609),
    [anon_sym__Generic] = ACTIONS(2609),
    [anon_sym_asm] = ACTIONS(2609),
    [anon_sym___asm__] = ACTIONS(2609),
    [anon_sym___asm] = ACTIONS(2609),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2609),
    [sym_false] = ACTIONS(2609),
    [anon_sym_NULL] = ACTIONS(2609),
    [anon_sym_nullptr] = ACTIONS(2609),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2609),
    [anon_sym_decltype] = ACTIONS(2609),
    [anon_sym_explicit] = ACTIONS(2609),
    [anon_sym_typename] = ACTIONS(2609),
    [anon_sym_template] = ACTIONS(2609),
    [anon_sym_operator] = ACTIONS(2609),
    [anon_sym_try] = ACTIONS(2609),
    [anon_sym_delete] = ACTIONS(2609),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_using] = ACTIONS(2609),
    [anon_sym_static_assert] = ACTIONS(2609),
    [anon_sym_concept] = ACTIONS(2609),
    [anon_sym_co_return] = ACTIONS(2609),
    [anon_sym_co_yield] = ACTIONS(2609),
    [anon_sym_R_DQUOTE] = ACTIONS(2611),
    [anon_sym_LR_DQUOTE] = ACTIONS(2611),
    [anon_sym_uR_DQUOTE] = ACTIONS(2611),
    [anon_sym_UR_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2611),
    [anon_sym_co_await] = ACTIONS(2609),
    [anon_sym_new] = ACTIONS(2609),
    [anon_sym_requires] = ACTIONS(2609),
    [sym_this] = ACTIONS(2609),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym___attribute] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym__Nonnull] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym__Alignas] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_else] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [anon_sym___asm] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
  },
  [429] = {
    [sym_identifier] = ACTIONS(2723),
    [aux_sym_preproc_include_token1] = ACTIONS(2723),
    [aux_sym_preproc_def_token1] = ACTIONS(2723),
    [aux_sym_preproc_if_token1] = ACTIONS(2723),
    [aux_sym_preproc_if_token2] = ACTIONS(2723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2723),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(2725),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2723),
    [anon_sym_typedef] = ACTIONS(2723),
    [anon_sym_virtual] = ACTIONS(2723),
    [anon_sym_extern] = ACTIONS(2723),
    [anon_sym___attribute__] = ACTIONS(2723),
    [anon_sym___attribute] = ACTIONS(2723),
    [anon_sym_COLON_COLON] = ACTIONS(2725),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2725),
    [anon_sym___declspec] = ACTIONS(2723),
    [anon_sym___based] = ACTIONS(2723),
    [anon_sym___cdecl] = ACTIONS(2723),
    [anon_sym___clrcall] = ACTIONS(2723),
    [anon_sym___stdcall] = ACTIONS(2723),
    [anon_sym___fastcall] = ACTIONS(2723),
    [anon_sym___thiscall] = ACTIONS(2723),
    [anon_sym___vectorcall] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2723),
    [anon_sym_unsigned] = ACTIONS(2723),
    [anon_sym_long] = ACTIONS(2723),
    [anon_sym_short] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_register] = ACTIONS(2723),
    [anon_sym_inline] = ACTIONS(2723),
    [anon_sym___inline] = ACTIONS(2723),
    [anon_sym___inline__] = ACTIONS(2723),
    [anon_sym___forceinline] = ACTIONS(2723),
    [anon_sym_thread_local] = ACTIONS(2723),
    [anon_sym___thread] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_constexpr] = ACTIONS(2723),
    [anon_sym_volatile] = ACTIONS(2723),
    [anon_sym_restrict] = ACTIONS(2723),
    [anon_sym___restrict__] = ACTIONS(2723),
    [anon_sym__Atomic] = ACTIONS(2723),
    [anon_sym__Noreturn] = ACTIONS(2723),
    [anon_sym_noreturn] = ACTIONS(2723),
    [anon_sym__Nonnull] = ACTIONS(2723),
    [anon_sym_mutable] = ACTIONS(2723),
    [anon_sym_constinit] = ACTIONS(2723),
    [anon_sym_consteval] = ACTIONS(2723),
    [anon_sym_alignas] = ACTIONS(2723),
    [anon_sym__Alignas] = ACTIONS(2723),
    [sym_primitive_type] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_struct] = ACTIONS(2723),
    [anon_sym_union] = ACTIONS(2723),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_else] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_case] = ACTIONS(2723),
    [anon_sym_default] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_goto] = ACTIONS(2723),
    [anon_sym___try] = ACTIONS(2723),
    [anon_sym___leave] = ACTIONS(2723),
    [anon_sym_not] = ACTIONS(2723),
    [anon_sym_compl] = ACTIONS(2723),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_sizeof] = ACTIONS(2723),
    [anon_sym___alignof__] = ACTIONS(2723),
    [anon_sym___alignof] = ACTIONS(2723),
    [anon_sym__alignof] = ACTIONS(2723),
    [anon_sym_alignof] = ACTIONS(2723),
    [anon_sym__Alignof] = ACTIONS(2723),
    [anon_sym_offsetof] = ACTIONS(2723),
    [anon_sym__Generic] = ACTIONS(2723),
    [anon_sym_asm] = ACTIONS(2723),
    [anon_sym___asm__] = ACTIONS(2723),
    [anon_sym___asm] = ACTIONS(2723),
    [sym_number_literal] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2725),
    [anon_sym_u_DQUOTE] = ACTIONS(2725),
    [anon_sym_U_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8_DQUOTE] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [anon_sym_NULL] = ACTIONS(2723),
    [anon_sym_nullptr] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2723),
    [anon_sym_decltype] = ACTIONS(2723),
    [anon_sym_explicit] = ACTIONS(2723),
    [anon_sym_typename] = ACTIONS(2723),
    [anon_sym_template] = ACTIONS(2723),
    [anon_sym_operator] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_using] = ACTIONS(2723),
    [anon_sym_static_assert] = ACTIONS(2723),
    [anon_sym_concept] = ACTIONS(2723),
    [anon_sym_co_return] = ACTIONS(2723),
    [anon_sym_co_yield] = ACTIONS(2723),
    [anon_sym_R_DQUOTE] = ACTIONS(2725),
    [anon_sym_LR_DQUOTE] = ACTIONS(2725),
    [anon_sym_uR_DQUOTE] = ACTIONS(2725),
    [anon_sym_UR_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2725),
    [anon_sym_co_await] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_requires] = ACTIONS(2723),
    [sym_this] = ACTIONS(2723),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(2717),
    [sym_identifier] = ACTIONS(2715),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2715),
    [aux_sym_preproc_if_token1] = ACTIONS(2715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2715),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2717),
    [anon_sym_TILDE] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2715),
    [anon_sym_typedef] = ACTIONS(2715),
    [anon_sym_virtual] = ACTIONS(2715),
    [anon_sym_extern] = ACTIONS(2715),
    [anon_sym___attribute__] = ACTIONS(2715),
    [anon_sym___attribute] = ACTIONS(2715),
    [anon_sym_COLON_COLON] = ACTIONS(2717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2717),
    [anon_sym___declspec] = ACTIONS(2715),
    [anon_sym___based] = ACTIONS(2715),
    [anon_sym___cdecl] = ACTIONS(2715),
    [anon_sym___clrcall] = ACTIONS(2715),
    [anon_sym___stdcall] = ACTIONS(2715),
    [anon_sym___fastcall] = ACTIONS(2715),
    [anon_sym___thiscall] = ACTIONS(2715),
    [anon_sym___vectorcall] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2715),
    [anon_sym_unsigned] = ACTIONS(2715),
    [anon_sym_long] = ACTIONS(2715),
    [anon_sym_short] = ACTIONS(2715),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [anon_sym_static] = ACTIONS(2715),
    [anon_sym_register] = ACTIONS(2715),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym___inline] = ACTIONS(2715),
    [anon_sym___inline__] = ACTIONS(2715),
    [anon_sym___forceinline] = ACTIONS(2715),
    [anon_sym_thread_local] = ACTIONS(2715),
    [anon_sym___thread] = ACTIONS(2715),
    [anon_sym_const] = ACTIONS(2715),
    [anon_sym_constexpr] = ACTIONS(2715),
    [anon_sym_volatile] = ACTIONS(2715),
    [anon_sym_restrict] = ACTIONS(2715),
    [anon_sym___restrict__] = ACTIONS(2715),
    [anon_sym__Atomic] = ACTIONS(2715),
    [anon_sym__Noreturn] = ACTIONS(2715),
    [anon_sym_noreturn] = ACTIONS(2715),
    [anon_sym__Nonnull] = ACTIONS(2715),
    [anon_sym_mutable] = ACTIONS(2715),
    [anon_sym_constinit] = ACTIONS(2715),
    [anon_sym_consteval] = ACTIONS(2715),
    [anon_sym_alignas] = ACTIONS(2715),
    [anon_sym__Alignas] = ACTIONS(2715),
    [sym_primitive_type] = ACTIONS(2715),
    [anon_sym_enum] = ACTIONS(2715),
    [anon_sym_class] = ACTIONS(2715),
    [anon_sym_struct] = ACTIONS(2715),
    [anon_sym_union] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(2715),
    [anon_sym_switch] = ACTIONS(2715),
    [anon_sym_case] = ACTIONS(2715),
    [anon_sym_default] = ACTIONS(2715),
    [anon_sym_while] = ACTIONS(2715),
    [anon_sym_do] = ACTIONS(2715),
    [anon_sym_for] = ACTIONS(2715),
    [anon_sym_return] = ACTIONS(2715),
    [anon_sym_break] = ACTIONS(2715),
    [anon_sym_continue] = ACTIONS(2715),
    [anon_sym_goto] = ACTIONS(2715),
    [anon_sym___try] = ACTIONS(2715),
    [anon_sym___leave] = ACTIONS(2715),
    [anon_sym_not] = ACTIONS(2715),
    [anon_sym_compl] = ACTIONS(2715),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_sizeof] = ACTIONS(2715),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2715),
    [anon_sym__Generic] = ACTIONS(2715),
    [anon_sym_asm] = ACTIONS(2715),
    [anon_sym___asm__] = ACTIONS(2715),
    [anon_sym___asm] = ACTIONS(2715),
    [sym_number_literal] = ACTIONS(2717),
    [anon_sym_L_SQUOTE] = ACTIONS(2717),
    [anon_sym_u_SQUOTE] = ACTIONS(2717),
    [anon_sym_U_SQUOTE] = ACTIONS(2717),
    [anon_sym_u8_SQUOTE] = ACTIONS(2717),
    [anon_sym_SQUOTE] = ACTIONS(2717),
    [anon_sym_L_DQUOTE] = ACTIONS(2717),
    [anon_sym_u_DQUOTE] = ACTIONS(2717),
    [anon_sym_U_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8_DQUOTE] = ACTIONS(2717),
    [anon_sym_DQUOTE] = ACTIONS(2717),
    [sym_true] = ACTIONS(2715),
    [sym_false] = ACTIONS(2715),
    [anon_sym_NULL] = ACTIONS(2715),
    [anon_sym_nullptr] = ACTIONS(2715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2715),
    [anon_sym_decltype] = ACTIONS(2715),
    [anon_sym_explicit] = ACTIONS(2715),
    [anon_sym_typename] = ACTIONS(2715),
    [anon_sym_template] = ACTIONS(2715),
    [anon_sym_operator] = ACTIONS(2715),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_delete] = ACTIONS(2715),
    [anon_sym_throw] = ACTIONS(2715),
    [anon_sym_namespace] = ACTIONS(2715),
    [anon_sym_using] = ACTIONS(2715),
    [anon_sym_static_assert] = ACTIONS(2715),
    [anon_sym_concept] = ACTIONS(2715),
    [anon_sym_co_return] = ACTIONS(2715),
    [anon_sym_co_yield] = ACTIONS(2715),
    [anon_sym_R_DQUOTE] = ACTIONS(2717),
    [anon_sym_LR_DQUOTE] = ACTIONS(2717),
    [anon_sym_uR_DQUOTE] = ACTIONS(2717),
    [anon_sym_UR_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2717),
    [anon_sym_co_await] = ACTIONS(2715),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_requires] = ACTIONS(2715),
    [sym_this] = ACTIONS(2715),
  },
  [431] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym___attribute] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym__Nonnull] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym__Alignas] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_else] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [anon_sym___asm] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(2595),
    [sym_identifier] = ACTIONS(2593),
    [aux_sym_preproc_include_token1] = ACTIONS(2593),
    [aux_sym_preproc_def_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2593),
    [anon_sym_LPAREN2] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_TILDE] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2593),
    [anon_sym_STAR] = ACTIONS(2595),
    [anon_sym_AMP_AMP] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(2593),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_typedef] = ACTIONS(2593),
    [anon_sym_virtual] = ACTIONS(2593),
    [anon_sym_extern] = ACTIONS(2593),
    [anon_sym___attribute__] = ACTIONS(2593),
    [anon_sym___attribute] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2595),
    [anon_sym___declspec] = ACTIONS(2593),
    [anon_sym___based] = ACTIONS(2593),
    [anon_sym___cdecl] = ACTIONS(2593),
    [anon_sym___clrcall] = ACTIONS(2593),
    [anon_sym___stdcall] = ACTIONS(2593),
    [anon_sym___fastcall] = ACTIONS(2593),
    [anon_sym___thiscall] = ACTIONS(2593),
    [anon_sym___vectorcall] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2593),
    [anon_sym_unsigned] = ACTIONS(2593),
    [anon_sym_long] = ACTIONS(2593),
    [anon_sym_short] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(2593),
    [anon_sym_static] = ACTIONS(2593),
    [anon_sym_register] = ACTIONS(2593),
    [anon_sym_inline] = ACTIONS(2593),
    [anon_sym___inline] = ACTIONS(2593),
    [anon_sym___inline__] = ACTIONS(2593),
    [anon_sym___forceinline] = ACTIONS(2593),
    [anon_sym_thread_local] = ACTIONS(2593),
    [anon_sym___thread] = ACTIONS(2593),
    [anon_sym_const] = ACTIONS(2593),
    [anon_sym_constexpr] = ACTIONS(2593),
    [anon_sym_volatile] = ACTIONS(2593),
    [anon_sym_restrict] = ACTIONS(2593),
    [anon_sym___restrict__] = ACTIONS(2593),
    [anon_sym__Atomic] = ACTIONS(2593),
    [anon_sym__Noreturn] = ACTIONS(2593),
    [anon_sym_noreturn] = ACTIONS(2593),
    [anon_sym__Nonnull] = ACTIONS(2593),
    [anon_sym_mutable] = ACTIONS(2593),
    [anon_sym_constinit] = ACTIONS(2593),
    [anon_sym_consteval] = ACTIONS(2593),
    [anon_sym_alignas] = ACTIONS(2593),
    [anon_sym__Alignas] = ACTIONS(2593),
    [sym_primitive_type] = ACTIONS(2593),
    [anon_sym_enum] = ACTIONS(2593),
    [anon_sym_class] = ACTIONS(2593),
    [anon_sym_struct] = ACTIONS(2593),
    [anon_sym_union] = ACTIONS(2593),
    [anon_sym_if] = ACTIONS(2593),
    [anon_sym_else] = ACTIONS(2593),
    [anon_sym_switch] = ACTIONS(2593),
    [anon_sym_case] = ACTIONS(2593),
    [anon_sym_default] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2593),
    [anon_sym_do] = ACTIONS(2593),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2593),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2593),
    [anon_sym_goto] = ACTIONS(2593),
    [anon_sym___try] = ACTIONS(2593),
    [anon_sym___leave] = ACTIONS(2593),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_compl] = ACTIONS(2593),
    [anon_sym_DASH_DASH] = ACTIONS(2595),
    [anon_sym_PLUS_PLUS] = ACTIONS(2595),
    [anon_sym_sizeof] = ACTIONS(2593),
    [anon_sym___alignof__] = ACTIONS(2593),
    [anon_sym___alignof] = ACTIONS(2593),
    [anon_sym__alignof] = ACTIONS(2593),
    [anon_sym_alignof] = ACTIONS(2593),
    [anon_sym__Alignof] = ACTIONS(2593),
    [anon_sym_offsetof] = ACTIONS(2593),
    [anon_sym__Generic] = ACTIONS(2593),
    [anon_sym_asm] = ACTIONS(2593),
    [anon_sym___asm__] = ACTIONS(2593),
    [anon_sym___asm] = ACTIONS(2593),
    [sym_number_literal] = ACTIONS(2595),
    [anon_sym_L_SQUOTE] = ACTIONS(2595),
    [anon_sym_u_SQUOTE] = ACTIONS(2595),
    [anon_sym_U_SQUOTE] = ACTIONS(2595),
    [anon_sym_u8_SQUOTE] = ACTIONS(2595),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_L_DQUOTE] = ACTIONS(2595),
    [anon_sym_u_DQUOTE] = ACTIONS(2595),
    [anon_sym_U_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8_DQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2595),
    [sym_true] = ACTIONS(2593),
    [sym_false] = ACTIONS(2593),
    [anon_sym_NULL] = ACTIONS(2593),
    [anon_sym_nullptr] = ACTIONS(2593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2593),
    [anon_sym_decltype] = ACTIONS(2593),
    [anon_sym_explicit] = ACTIONS(2593),
    [anon_sym_typename] = ACTIONS(2593),
    [anon_sym_template] = ACTIONS(2593),
    [anon_sym_operator] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_delete] = ACTIONS(2593),
    [anon_sym_throw] = ACTIONS(2593),
    [anon_sym_namespace] = ACTIONS(2593),
    [anon_sym_using] = ACTIONS(2593),
    [anon_sym_static_assert] = ACTIONS(2593),
    [anon_sym_concept] = ACTIONS(2593),
    [anon_sym_co_return] = ACTIONS(2593),
    [anon_sym_co_yield] = ACTIONS(2593),
    [anon_sym_R_DQUOTE] = ACTIONS(2595),
    [anon_sym_LR_DQUOTE] = ACTIONS(2595),
    [anon_sym_uR_DQUOTE] = ACTIONS(2595),
    [anon_sym_UR_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2595),
    [anon_sym_co_await] = ACTIONS(2593),
    [anon_sym_new] = ACTIONS(2593),
    [anon_sym_requires] = ACTIONS(2593),
    [sym_this] = ACTIONS(2593),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(2599),
    [sym_identifier] = ACTIONS(2597),
    [aux_sym_preproc_include_token1] = ACTIONS(2597),
    [aux_sym_preproc_def_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2597),
    [sym_preproc_directive] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_STAR] = ACTIONS(2599),
    [anon_sym_AMP_AMP] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym___extension__] = ACTIONS(2597),
    [anon_sym_typedef] = ACTIONS(2597),
    [anon_sym_virtual] = ACTIONS(2597),
    [anon_sym_extern] = ACTIONS(2597),
    [anon_sym___attribute__] = ACTIONS(2597),
    [anon_sym___attribute] = ACTIONS(2597),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2599),
    [anon_sym___declspec] = ACTIONS(2597),
    [anon_sym___based] = ACTIONS(2597),
    [anon_sym___cdecl] = ACTIONS(2597),
    [anon_sym___clrcall] = ACTIONS(2597),
    [anon_sym___stdcall] = ACTIONS(2597),
    [anon_sym___fastcall] = ACTIONS(2597),
    [anon_sym___thiscall] = ACTIONS(2597),
    [anon_sym___vectorcall] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_static] = ACTIONS(2597),
    [anon_sym_register] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(2597),
    [anon_sym___inline] = ACTIONS(2597),
    [anon_sym___inline__] = ACTIONS(2597),
    [anon_sym___forceinline] = ACTIONS(2597),
    [anon_sym_thread_local] = ACTIONS(2597),
    [anon_sym___thread] = ACTIONS(2597),
    [anon_sym_const] = ACTIONS(2597),
    [anon_sym_constexpr] = ACTIONS(2597),
    [anon_sym_volatile] = ACTIONS(2597),
    [anon_sym_restrict] = ACTIONS(2597),
    [anon_sym___restrict__] = ACTIONS(2597),
    [anon_sym__Atomic] = ACTIONS(2597),
    [anon_sym__Noreturn] = ACTIONS(2597),
    [anon_sym_noreturn] = ACTIONS(2597),
    [anon_sym__Nonnull] = ACTIONS(2597),
    [anon_sym_mutable] = ACTIONS(2597),
    [anon_sym_constinit] = ACTIONS(2597),
    [anon_sym_consteval] = ACTIONS(2597),
    [anon_sym_alignas] = ACTIONS(2597),
    [anon_sym__Alignas] = ACTIONS(2597),
    [sym_primitive_type] = ACTIONS(2597),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_struct] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_else] = ACTIONS(2597),
    [anon_sym_switch] = ACTIONS(2597),
    [anon_sym_case] = ACTIONS(2597),
    [anon_sym_default] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_break] = ACTIONS(2597),
    [anon_sym_continue] = ACTIONS(2597),
    [anon_sym_goto] = ACTIONS(2597),
    [anon_sym___try] = ACTIONS(2597),
    [anon_sym___leave] = ACTIONS(2597),
    [anon_sym_not] = ACTIONS(2597),
    [anon_sym_compl] = ACTIONS(2597),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_sizeof] = ACTIONS(2597),
    [anon_sym___alignof__] = ACTIONS(2597),
    [anon_sym___alignof] = ACTIONS(2597),
    [anon_sym__alignof] = ACTIONS(2597),
    [anon_sym_alignof] = ACTIONS(2597),
    [anon_sym__Alignof] = ACTIONS(2597),
    [anon_sym_offsetof] = ACTIONS(2597),
    [anon_sym__Generic] = ACTIONS(2597),
    [anon_sym_asm] = ACTIONS(2597),
    [anon_sym___asm__] = ACTIONS(2597),
    [anon_sym___asm] = ACTIONS(2597),
    [sym_number_literal] = ACTIONS(2599),
    [anon_sym_L_SQUOTE] = ACTIONS(2599),
    [anon_sym_u_SQUOTE] = ACTIONS(2599),
    [anon_sym_U_SQUOTE] = ACTIONS(2599),
    [anon_sym_u8_SQUOTE] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_L_DQUOTE] = ACTIONS(2599),
    [anon_sym_u_DQUOTE] = ACTIONS(2599),
    [anon_sym_U_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2599),
    [sym_true] = ACTIONS(2597),
    [sym_false] = ACTIONS(2597),
    [anon_sym_NULL] = ACTIONS(2597),
    [anon_sym_nullptr] = ACTIONS(2597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2597),
    [anon_sym_decltype] = ACTIONS(2597),
    [anon_sym_explicit] = ACTIONS(2597),
    [anon_sym_typename] = ACTIONS(2597),
    [anon_sym_template] = ACTIONS(2597),
    [anon_sym_operator] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_delete] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2597),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_using] = ACTIONS(2597),
    [anon_sym_static_assert] = ACTIONS(2597),
    [anon_sym_concept] = ACTIONS(2597),
    [anon_sym_co_return] = ACTIONS(2597),
    [anon_sym_co_yield] = ACTIONS(2597),
    [anon_sym_R_DQUOTE] = ACTIONS(2599),
    [anon_sym_LR_DQUOTE] = ACTIONS(2599),
    [anon_sym_uR_DQUOTE] = ACTIONS(2599),
    [anon_sym_UR_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2599),
    [anon_sym_co_await] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_requires] = ACTIONS(2597),
    [sym_this] = ACTIONS(2597),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2703),
    [aux_sym_preproc_include_token1] = ACTIONS(2703),
    [aux_sym_preproc_def_token1] = ACTIONS(2703),
    [aux_sym_preproc_if_token1] = ACTIONS(2703),
    [aux_sym_preproc_if_token2] = ACTIONS(2703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2703),
    [sym_preproc_directive] = ACTIONS(2703),
    [anon_sym_LPAREN2] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym___extension__] = ACTIONS(2703),
    [anon_sym_typedef] = ACTIONS(2703),
    [anon_sym_virtual] = ACTIONS(2703),
    [anon_sym_extern] = ACTIONS(2703),
    [anon_sym___attribute__] = ACTIONS(2703),
    [anon_sym___attribute] = ACTIONS(2703),
    [anon_sym_COLON_COLON] = ACTIONS(2705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2705),
    [anon_sym___declspec] = ACTIONS(2703),
    [anon_sym___based] = ACTIONS(2703),
    [anon_sym___cdecl] = ACTIONS(2703),
    [anon_sym___clrcall] = ACTIONS(2703),
    [anon_sym___stdcall] = ACTIONS(2703),
    [anon_sym___fastcall] = ACTIONS(2703),
    [anon_sym___thiscall] = ACTIONS(2703),
    [anon_sym___vectorcall] = ACTIONS(2703),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_signed] = ACTIONS(2703),
    [anon_sym_unsigned] = ACTIONS(2703),
    [anon_sym_long] = ACTIONS(2703),
    [anon_sym_short] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_register] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(2703),
    [anon_sym___inline] = ACTIONS(2703),
    [anon_sym___inline__] = ACTIONS(2703),
    [anon_sym___forceinline] = ACTIONS(2703),
    [anon_sym_thread_local] = ACTIONS(2703),
    [anon_sym___thread] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_constexpr] = ACTIONS(2703),
    [anon_sym_volatile] = ACTIONS(2703),
    [anon_sym_restrict] = ACTIONS(2703),
    [anon_sym___restrict__] = ACTIONS(2703),
    [anon_sym__Atomic] = ACTIONS(2703),
    [anon_sym__Noreturn] = ACTIONS(2703),
    [anon_sym_noreturn] = ACTIONS(2703),
    [anon_sym__Nonnull] = ACTIONS(2703),
    [anon_sym_mutable] = ACTIONS(2703),
    [anon_sym_constinit] = ACTIONS(2703),
    [anon_sym_consteval] = ACTIONS(2703),
    [anon_sym_alignas] = ACTIONS(2703),
    [anon_sym__Alignas] = ACTIONS(2703),
    [sym_primitive_type] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2703),
    [anon_sym_struct] = ACTIONS(2703),
    [anon_sym_union] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_else] = ACTIONS(2703),
    [anon_sym_switch] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2703),
    [anon_sym_default] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_goto] = ACTIONS(2703),
    [anon_sym___try] = ACTIONS(2703),
    [anon_sym___leave] = ACTIONS(2703),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_sizeof] = ACTIONS(2703),
    [anon_sym___alignof__] = ACTIONS(2703),
    [anon_sym___alignof] = ACTIONS(2703),
    [anon_sym__alignof] = ACTIONS(2703),
    [anon_sym_alignof] = ACTIONS(2703),
    [anon_sym__Alignof] = ACTIONS(2703),
    [anon_sym_offsetof] = ACTIONS(2703),
    [anon_sym__Generic] = ACTIONS(2703),
    [anon_sym_asm] = ACTIONS(2703),
    [anon_sym___asm__] = ACTIONS(2703),
    [anon_sym___asm] = ACTIONS(2703),
    [sym_number_literal] = ACTIONS(2705),
    [anon_sym_L_SQUOTE] = ACTIONS(2705),
    [anon_sym_u_SQUOTE] = ACTIONS(2705),
    [anon_sym_U_SQUOTE] = ACTIONS(2705),
    [anon_sym_u8_SQUOTE] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_L_DQUOTE] = ACTIONS(2705),
    [anon_sym_u_DQUOTE] = ACTIONS(2705),
    [anon_sym_U_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8_DQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2705),
    [sym_true] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
    [anon_sym_NULL] = ACTIONS(2703),
    [anon_sym_nullptr] = ACTIONS(2703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2703),
    [anon_sym_decltype] = ACTIONS(2703),
    [anon_sym_explicit] = ACTIONS(2703),
    [anon_sym_typename] = ACTIONS(2703),
    [anon_sym_template] = ACTIONS(2703),
    [anon_sym_operator] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [anon_sym_delete] = ACTIONS(2703),
    [anon_sym_throw] = ACTIONS(2703),
    [anon_sym_namespace] = ACTIONS(2703),
    [anon_sym_using] = ACTIONS(2703),
    [anon_sym_static_assert] = ACTIONS(2703),
    [anon_sym_concept] = ACTIONS(2703),
    [anon_sym_co_return] = ACTIONS(2703),
    [anon_sym_co_yield] = ACTIONS(2703),
    [anon_sym_R_DQUOTE] = ACTIONS(2705),
    [anon_sym_LR_DQUOTE] = ACTIONS(2705),
    [anon_sym_uR_DQUOTE] = ACTIONS(2705),
    [anon_sym_UR_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2705),
    [anon_sym_co_await] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2703),
    [anon_sym_requires] = ACTIONS(2703),
    [sym_this] = ACTIONS(2703),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(2603),
    [sym_identifier] = ACTIONS(2601),
    [aux_sym_preproc_include_token1] = ACTIONS(2601),
    [aux_sym_preproc_def_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2601),
    [sym_preproc_directive] = ACTIONS(2601),
    [anon_sym_LPAREN2] = ACTIONS(2603),
    [anon_sym_BANG] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_AMP_AMP] = ACTIONS(2603),
    [anon_sym_AMP] = ACTIONS(2601),
    [anon_sym_SEMI] = ACTIONS(2603),
    [anon_sym___extension__] = ACTIONS(2601),
    [anon_sym_typedef] = ACTIONS(2601),
    [anon_sym_virtual] = ACTIONS(2601),
    [anon_sym_extern] = ACTIONS(2601),
    [anon_sym___attribute__] = ACTIONS(2601),
    [anon_sym___attribute] = ACTIONS(2601),
    [anon_sym_COLON_COLON] = ACTIONS(2603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2603),
    [anon_sym___declspec] = ACTIONS(2601),
    [anon_sym___based] = ACTIONS(2601),
    [anon_sym___cdecl] = ACTIONS(2601),
    [anon_sym___clrcall] = ACTIONS(2601),
    [anon_sym___stdcall] = ACTIONS(2601),
    [anon_sym___fastcall] = ACTIONS(2601),
    [anon_sym___thiscall] = ACTIONS(2601),
    [anon_sym___vectorcall] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_signed] = ACTIONS(2601),
    [anon_sym_unsigned] = ACTIONS(2601),
    [anon_sym_long] = ACTIONS(2601),
    [anon_sym_short] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_register] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2601),
    [anon_sym___inline] = ACTIONS(2601),
    [anon_sym___inline__] = ACTIONS(2601),
    [anon_sym___forceinline] = ACTIONS(2601),
    [anon_sym_thread_local] = ACTIONS(2601),
    [anon_sym___thread] = ACTIONS(2601),
    [anon_sym_const] = ACTIONS(2601),
    [anon_sym_constexpr] = ACTIONS(2601),
    [anon_sym_volatile] = ACTIONS(2601),
    [anon_sym_restrict] = ACTIONS(2601),
    [anon_sym___restrict__] = ACTIONS(2601),
    [anon_sym__Atomic] = ACTIONS(2601),
    [anon_sym__Noreturn] = ACTIONS(2601),
    [anon_sym_noreturn] = ACTIONS(2601),
    [anon_sym__Nonnull] = ACTIONS(2601),
    [anon_sym_mutable] = ACTIONS(2601),
    [anon_sym_constinit] = ACTIONS(2601),
    [anon_sym_consteval] = ACTIONS(2601),
    [anon_sym_alignas] = ACTIONS(2601),
    [anon_sym__Alignas] = ACTIONS(2601),
    [sym_primitive_type] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_struct] = ACTIONS(2601),
    [anon_sym_union] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_goto] = ACTIONS(2601),
    [anon_sym___try] = ACTIONS(2601),
    [anon_sym___leave] = ACTIONS(2601),
    [anon_sym_not] = ACTIONS(2601),
    [anon_sym_compl] = ACTIONS(2601),
    [anon_sym_DASH_DASH] = ACTIONS(2603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2603),
    [anon_sym_sizeof] = ACTIONS(2601),
    [anon_sym___alignof__] = ACTIONS(2601),
    [anon_sym___alignof] = ACTIONS(2601),
    [anon_sym__alignof] = ACTIONS(2601),
    [anon_sym_alignof] = ACTIONS(2601),
    [anon_sym__Alignof] = ACTIONS(2601),
    [anon_sym_offsetof] = ACTIONS(2601),
    [anon_sym__Generic] = ACTIONS(2601),
    [anon_sym_asm] = ACTIONS(2601),
    [anon_sym___asm__] = ACTIONS(2601),
    [anon_sym___asm] = ACTIONS(2601),
    [sym_number_literal] = ACTIONS(2603),
    [anon_sym_L_SQUOTE] = ACTIONS(2603),
    [anon_sym_u_SQUOTE] = ACTIONS(2603),
    [anon_sym_U_SQUOTE] = ACTIONS(2603),
    [anon_sym_u8_SQUOTE] = ACTIONS(2603),
    [anon_sym_SQUOTE] = ACTIONS(2603),
    [anon_sym_L_DQUOTE] = ACTIONS(2603),
    [anon_sym_u_DQUOTE] = ACTIONS(2603),
    [anon_sym_U_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8_DQUOTE] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(2603),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [anon_sym_NULL] = ACTIONS(2601),
    [anon_sym_nullptr] = ACTIONS(2601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2601),
    [anon_sym_decltype] = ACTIONS(2601),
    [anon_sym_explicit] = ACTIONS(2601),
    [anon_sym_typename] = ACTIONS(2601),
    [anon_sym_template] = ACTIONS(2601),
    [anon_sym_operator] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_delete] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_namespace] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(2601),
    [anon_sym_static_assert] = ACTIONS(2601),
    [anon_sym_concept] = ACTIONS(2601),
    [anon_sym_co_return] = ACTIONS(2601),
    [anon_sym_co_yield] = ACTIONS(2601),
    [anon_sym_R_DQUOTE] = ACTIONS(2603),
    [anon_sym_LR_DQUOTE] = ACTIONS(2603),
    [anon_sym_uR_DQUOTE] = ACTIONS(2603),
    [anon_sym_UR_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2603),
    [anon_sym_co_await] = ACTIONS(2601),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_requires] = ACTIONS(2601),
    [sym_this] = ACTIONS(2601),
  },
  [437] = {
    [sym_identifier] = ACTIONS(2691),
    [aux_sym_preproc_include_token1] = ACTIONS(2691),
    [aux_sym_preproc_def_token1] = ACTIONS(2691),
    [aux_sym_preproc_if_token1] = ACTIONS(2691),
    [aux_sym_preproc_if_token2] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [sym_preproc_directive] = ACTIONS(2691),
    [anon_sym_LPAREN2] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2691),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2693),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym___extension__] = ACTIONS(2691),
    [anon_sym_typedef] = ACTIONS(2691),
    [anon_sym_virtual] = ACTIONS(2691),
    [anon_sym_extern] = ACTIONS(2691),
    [anon_sym___attribute__] = ACTIONS(2691),
    [anon_sym___attribute] = ACTIONS(2691),
    [anon_sym_COLON_COLON] = ACTIONS(2693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2693),
    [anon_sym___declspec] = ACTIONS(2691),
    [anon_sym___based] = ACTIONS(2691),
    [anon_sym___cdecl] = ACTIONS(2691),
    [anon_sym___clrcall] = ACTIONS(2691),
    [anon_sym___stdcall] = ACTIONS(2691),
    [anon_sym___fastcall] = ACTIONS(2691),
    [anon_sym___thiscall] = ACTIONS(2691),
    [anon_sym___vectorcall] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(2693),
    [anon_sym_signed] = ACTIONS(2691),
    [anon_sym_unsigned] = ACTIONS(2691),
    [anon_sym_long] = ACTIONS(2691),
    [anon_sym_short] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_static] = ACTIONS(2691),
    [anon_sym_register] = ACTIONS(2691),
    [anon_sym_inline] = ACTIONS(2691),
    [anon_sym___inline] = ACTIONS(2691),
    [anon_sym___inline__] = ACTIONS(2691),
    [anon_sym___forceinline] = ACTIONS(2691),
    [anon_sym_thread_local] = ACTIONS(2691),
    [anon_sym___thread] = ACTIONS(2691),
    [anon_sym_const] = ACTIONS(2691),
    [anon_sym_constexpr] = ACTIONS(2691),
    [anon_sym_volatile] = ACTIONS(2691),
    [anon_sym_restrict] = ACTIONS(2691),
    [anon_sym___restrict__] = ACTIONS(2691),
    [anon_sym__Atomic] = ACTIONS(2691),
    [anon_sym__Noreturn] = ACTIONS(2691),
    [anon_sym_noreturn] = ACTIONS(2691),
    [anon_sym__Nonnull] = ACTIONS(2691),
    [anon_sym_mutable] = ACTIONS(2691),
    [anon_sym_constinit] = ACTIONS(2691),
    [anon_sym_consteval] = ACTIONS(2691),
    [anon_sym_alignas] = ACTIONS(2691),
    [anon_sym__Alignas] = ACTIONS(2691),
    [sym_primitive_type] = ACTIONS(2691),
    [anon_sym_enum] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2691),
    [anon_sym_struct] = ACTIONS(2691),
    [anon_sym_union] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2691),
    [anon_sym_switch] = ACTIONS(2691),
    [anon_sym_case] = ACTIONS(2691),
    [anon_sym_default] = ACTIONS(2691),
    [anon_sym_while] = ACTIONS(2691),
    [anon_sym_do] = ACTIONS(2691),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_return] = ACTIONS(2691),
    [anon_sym_break] = ACTIONS(2691),
    [anon_sym_continue] = ACTIONS(2691),
    [anon_sym_goto] = ACTIONS(2691),
    [anon_sym___try] = ACTIONS(2691),
    [anon_sym___leave] = ACTIONS(2691),
    [anon_sym_not] = ACTIONS(2691),
    [anon_sym_compl] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_sizeof] = ACTIONS(2691),
    [anon_sym___alignof__] = ACTIONS(2691),
    [anon_sym___alignof] = ACTIONS(2691),
    [anon_sym__alignof] = ACTIONS(2691),
    [anon_sym_alignof] = ACTIONS(2691),
    [anon_sym__Alignof] = ACTIONS(2691),
    [anon_sym_offsetof] = ACTIONS(2691),
    [anon_sym__Generic] = ACTIONS(2691),
    [anon_sym_asm] = ACTIONS(2691),
    [anon_sym___asm__] = ACTIONS(2691),
    [anon_sym___asm] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2693),
    [anon_sym_L_SQUOTE] = ACTIONS(2693),
    [anon_sym_u_SQUOTE] = ACTIONS(2693),
    [anon_sym_U_SQUOTE] = ACTIONS(2693),
    [anon_sym_u8_SQUOTE] = ACTIONS(2693),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_L_DQUOTE] = ACTIONS(2693),
    [anon_sym_u_DQUOTE] = ACTIONS(2693),
    [anon_sym_U_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [sym_true] = ACTIONS(2691),
    [sym_false] = ACTIONS(2691),
    [anon_sym_NULL] = ACTIONS(2691),
    [anon_sym_nullptr] = ACTIONS(2691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2691),
    [anon_sym_decltype] = ACTIONS(2691),
    [anon_sym_explicit] = ACTIONS(2691),
    [anon_sym_typename] = ACTIONS(2691),
    [anon_sym_template] = ACTIONS(2691),
    [anon_sym_operator] = ACTIONS(2691),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_delete] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2691),
    [anon_sym_namespace] = ACTIONS(2691),
    [anon_sym_using] = ACTIONS(2691),
    [anon_sym_static_assert] = ACTIONS(2691),
    [anon_sym_concept] = ACTIONS(2691),
    [anon_sym_co_return] = ACTIONS(2691),
    [anon_sym_co_yield] = ACTIONS(2691),
    [anon_sym_R_DQUOTE] = ACTIONS(2693),
    [anon_sym_LR_DQUOTE] = ACTIONS(2693),
    [anon_sym_uR_DQUOTE] = ACTIONS(2693),
    [anon_sym_UR_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2693),
    [anon_sym_co_await] = ACTIONS(2691),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_requires] = ACTIONS(2691),
    [sym_this] = ACTIONS(2691),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym___attribute] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym__Nonnull] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym__Alignas] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [anon_sym___asm] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2719),
    [aux_sym_preproc_include_token1] = ACTIONS(2719),
    [aux_sym_preproc_def_token1] = ACTIONS(2719),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_if_token2] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2719),
    [sym_preproc_directive] = ACTIONS(2719),
    [anon_sym_LPAREN2] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2719),
    [anon_sym_typedef] = ACTIONS(2719),
    [anon_sym_virtual] = ACTIONS(2719),
    [anon_sym_extern] = ACTIONS(2719),
    [anon_sym___attribute__] = ACTIONS(2719),
    [anon_sym___attribute] = ACTIONS(2719),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2721),
    [anon_sym___declspec] = ACTIONS(2719),
    [anon_sym___based] = ACTIONS(2719),
    [anon_sym___cdecl] = ACTIONS(2719),
    [anon_sym___clrcall] = ACTIONS(2719),
    [anon_sym___stdcall] = ACTIONS(2719),
    [anon_sym___fastcall] = ACTIONS(2719),
    [anon_sym___thiscall] = ACTIONS(2719),
    [anon_sym___vectorcall] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2719),
    [anon_sym_unsigned] = ACTIONS(2719),
    [anon_sym_long] = ACTIONS(2719),
    [anon_sym_short] = ACTIONS(2719),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [anon_sym_static] = ACTIONS(2719),
    [anon_sym_register] = ACTIONS(2719),
    [anon_sym_inline] = ACTIONS(2719),
    [anon_sym___inline] = ACTIONS(2719),
    [anon_sym___inline__] = ACTIONS(2719),
    [anon_sym___forceinline] = ACTIONS(2719),
    [anon_sym_thread_local] = ACTIONS(2719),
    [anon_sym___thread] = ACTIONS(2719),
    [anon_sym_const] = ACTIONS(2719),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(2719),
    [anon_sym_restrict] = ACTIONS(2719),
    [anon_sym___restrict__] = ACTIONS(2719),
    [anon_sym__Atomic] = ACTIONS(2719),
    [anon_sym__Noreturn] = ACTIONS(2719),
    [anon_sym_noreturn] = ACTIONS(2719),
    [anon_sym__Nonnull] = ACTIONS(2719),
    [anon_sym_mutable] = ACTIONS(2719),
    [anon_sym_constinit] = ACTIONS(2719),
    [anon_sym_consteval] = ACTIONS(2719),
    [anon_sym_alignas] = ACTIONS(2719),
    [anon_sym__Alignas] = ACTIONS(2719),
    [sym_primitive_type] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(2719),
    [anon_sym_class] = ACTIONS(2719),
    [anon_sym_struct] = ACTIONS(2719),
    [anon_sym_union] = ACTIONS(2719),
    [anon_sym_if] = ACTIONS(2719),
    [anon_sym_else] = ACTIONS(2719),
    [anon_sym_switch] = ACTIONS(2719),
    [anon_sym_case] = ACTIONS(2719),
    [anon_sym_default] = ACTIONS(2719),
    [anon_sym_while] = ACTIONS(2719),
    [anon_sym_do] = ACTIONS(2719),
    [anon_sym_for] = ACTIONS(2719),
    [anon_sym_return] = ACTIONS(2719),
    [anon_sym_break] = ACTIONS(2719),
    [anon_sym_continue] = ACTIONS(2719),
    [anon_sym_goto] = ACTIONS(2719),
    [anon_sym___try] = ACTIONS(2719),
    [anon_sym___leave] = ACTIONS(2719),
    [anon_sym_not] = ACTIONS(2719),
    [anon_sym_compl] = ACTIONS(2719),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_sizeof] = ACTIONS(2719),
    [anon_sym___alignof__] = ACTIONS(2719),
    [anon_sym___alignof] = ACTIONS(2719),
    [anon_sym__alignof] = ACTIONS(2719),
    [anon_sym_alignof] = ACTIONS(2719),
    [anon_sym__Alignof] = ACTIONS(2719),
    [anon_sym_offsetof] = ACTIONS(2719),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2719),
    [anon_sym___asm__] = ACTIONS(2719),
    [anon_sym___asm] = ACTIONS(2719),
    [sym_number_literal] = ACTIONS(2721),
    [anon_sym_L_SQUOTE] = ACTIONS(2721),
    [anon_sym_u_SQUOTE] = ACTIONS(2721),
    [anon_sym_U_SQUOTE] = ACTIONS(2721),
    [anon_sym_u8_SQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_L_DQUOTE] = ACTIONS(2721),
    [anon_sym_u_DQUOTE] = ACTIONS(2721),
    [anon_sym_U_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8_DQUOTE] = ACTIONS(2721),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [sym_true] = ACTIONS(2719),
    [sym_false] = ACTIONS(2719),
    [anon_sym_NULL] = ACTIONS(2719),
    [anon_sym_nullptr] = ACTIONS(2719),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2719),
    [anon_sym_decltype] = ACTIONS(2719),
    [anon_sym_explicit] = ACTIONS(2719),
    [anon_sym_typename] = ACTIONS(2719),
    [anon_sym_template] = ACTIONS(2719),
    [anon_sym_operator] = ACTIONS(2719),
    [anon_sym_try] = ACTIONS(2719),
    [anon_sym_delete] = ACTIONS(2719),
    [anon_sym_throw] = ACTIONS(2719),
    [anon_sym_namespace] = ACTIONS(2719),
    [anon_sym_using] = ACTIONS(2719),
    [anon_sym_static_assert] = ACTIONS(2719),
    [anon_sym_concept] = ACTIONS(2719),
    [anon_sym_co_return] = ACTIONS(2719),
    [anon_sym_co_yield] = ACTIONS(2719),
    [anon_sym_R_DQUOTE] = ACTIONS(2721),
    [anon_sym_LR_DQUOTE] = ACTIONS(2721),
    [anon_sym_uR_DQUOTE] = ACTIONS(2721),
    [anon_sym_UR_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2721),
    [anon_sym_co_await] = ACTIONS(2719),
    [anon_sym_new] = ACTIONS(2719),
    [anon_sym_requires] = ACTIONS(2719),
    [sym_this] = ACTIONS(2719),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2715),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2715),
    [aux_sym_preproc_if_token1] = ACTIONS(2715),
    [aux_sym_preproc_if_token2] = ACTIONS(2715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2715),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2717),
    [anon_sym_TILDE] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2715),
    [anon_sym_typedef] = ACTIONS(2715),
    [anon_sym_virtual] = ACTIONS(2715),
    [anon_sym_extern] = ACTIONS(2715),
    [anon_sym___attribute__] = ACTIONS(2715),
    [anon_sym___attribute] = ACTIONS(2715),
    [anon_sym_COLON_COLON] = ACTIONS(2717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2717),
    [anon_sym___declspec] = ACTIONS(2715),
    [anon_sym___based] = ACTIONS(2715),
    [anon_sym___cdecl] = ACTIONS(2715),
    [anon_sym___clrcall] = ACTIONS(2715),
    [anon_sym___stdcall] = ACTIONS(2715),
    [anon_sym___fastcall] = ACTIONS(2715),
    [anon_sym___thiscall] = ACTIONS(2715),
    [anon_sym___vectorcall] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2715),
    [anon_sym_unsigned] = ACTIONS(2715),
    [anon_sym_long] = ACTIONS(2715),
    [anon_sym_short] = ACTIONS(2715),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [anon_sym_static] = ACTIONS(2715),
    [anon_sym_register] = ACTIONS(2715),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym___inline] = ACTIONS(2715),
    [anon_sym___inline__] = ACTIONS(2715),
    [anon_sym___forceinline] = ACTIONS(2715),
    [anon_sym_thread_local] = ACTIONS(2715),
    [anon_sym___thread] = ACTIONS(2715),
    [anon_sym_const] = ACTIONS(2715),
    [anon_sym_constexpr] = ACTIONS(2715),
    [anon_sym_volatile] = ACTIONS(2715),
    [anon_sym_restrict] = ACTIONS(2715),
    [anon_sym___restrict__] = ACTIONS(2715),
    [anon_sym__Atomic] = ACTIONS(2715),
    [anon_sym__Noreturn] = ACTIONS(2715),
    [anon_sym_noreturn] = ACTIONS(2715),
    [anon_sym__Nonnull] = ACTIONS(2715),
    [anon_sym_mutable] = ACTIONS(2715),
    [anon_sym_constinit] = ACTIONS(2715),
    [anon_sym_consteval] = ACTIONS(2715),
    [anon_sym_alignas] = ACTIONS(2715),
    [anon_sym__Alignas] = ACTIONS(2715),
    [sym_primitive_type] = ACTIONS(2715),
    [anon_sym_enum] = ACTIONS(2715),
    [anon_sym_class] = ACTIONS(2715),
    [anon_sym_struct] = ACTIONS(2715),
    [anon_sym_union] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(2715),
    [anon_sym_switch] = ACTIONS(2715),
    [anon_sym_case] = ACTIONS(2715),
    [anon_sym_default] = ACTIONS(2715),
    [anon_sym_while] = ACTIONS(2715),
    [anon_sym_do] = ACTIONS(2715),
    [anon_sym_for] = ACTIONS(2715),
    [anon_sym_return] = ACTIONS(2715),
    [anon_sym_break] = ACTIONS(2715),
    [anon_sym_continue] = ACTIONS(2715),
    [anon_sym_goto] = ACTIONS(2715),
    [anon_sym___try] = ACTIONS(2715),
    [anon_sym___leave] = ACTIONS(2715),
    [anon_sym_not] = ACTIONS(2715),
    [anon_sym_compl] = ACTIONS(2715),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_sizeof] = ACTIONS(2715),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2715),
    [anon_sym__Generic] = ACTIONS(2715),
    [anon_sym_asm] = ACTIONS(2715),
    [anon_sym___asm__] = ACTIONS(2715),
    [anon_sym___asm] = ACTIONS(2715),
    [sym_number_literal] = ACTIONS(2717),
    [anon_sym_L_SQUOTE] = ACTIONS(2717),
    [anon_sym_u_SQUOTE] = ACTIONS(2717),
    [anon_sym_U_SQUOTE] = ACTIONS(2717),
    [anon_sym_u8_SQUOTE] = ACTIONS(2717),
    [anon_sym_SQUOTE] = ACTIONS(2717),
    [anon_sym_L_DQUOTE] = ACTIONS(2717),
    [anon_sym_u_DQUOTE] = ACTIONS(2717),
    [anon_sym_U_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8_DQUOTE] = ACTIONS(2717),
    [anon_sym_DQUOTE] = ACTIONS(2717),
    [sym_true] = ACTIONS(2715),
    [sym_false] = ACTIONS(2715),
    [anon_sym_NULL] = ACTIONS(2715),
    [anon_sym_nullptr] = ACTIONS(2715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2715),
    [anon_sym_decltype] = ACTIONS(2715),
    [anon_sym_explicit] = ACTIONS(2715),
    [anon_sym_typename] = ACTIONS(2715),
    [anon_sym_template] = ACTIONS(2715),
    [anon_sym_operator] = ACTIONS(2715),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_delete] = ACTIONS(2715),
    [anon_sym_throw] = ACTIONS(2715),
    [anon_sym_namespace] = ACTIONS(2715),
    [anon_sym_using] = ACTIONS(2715),
    [anon_sym_static_assert] = ACTIONS(2715),
    [anon_sym_concept] = ACTIONS(2715),
    [anon_sym_co_return] = ACTIONS(2715),
    [anon_sym_co_yield] = ACTIONS(2715),
    [anon_sym_R_DQUOTE] = ACTIONS(2717),
    [anon_sym_LR_DQUOTE] = ACTIONS(2717),
    [anon_sym_uR_DQUOTE] = ACTIONS(2717),
    [anon_sym_UR_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2717),
    [anon_sym_co_await] = ACTIONS(2715),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_requires] = ACTIONS(2715),
    [sym_this] = ACTIONS(2715),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(2587),
    [sym_identifier] = ACTIONS(2585),
    [aux_sym_preproc_include_token1] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2585),
    [anon_sym_STAR] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym___extension__] = ACTIONS(2585),
    [anon_sym_typedef] = ACTIONS(2585),
    [anon_sym_virtual] = ACTIONS(2585),
    [anon_sym_extern] = ACTIONS(2585),
    [anon_sym___attribute__] = ACTIONS(2585),
    [anon_sym___attribute] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2587),
    [anon_sym___declspec] = ACTIONS(2585),
    [anon_sym___based] = ACTIONS(2585),
    [anon_sym___cdecl] = ACTIONS(2585),
    [anon_sym___clrcall] = ACTIONS(2585),
    [anon_sym___stdcall] = ACTIONS(2585),
    [anon_sym___fastcall] = ACTIONS(2585),
    [anon_sym___thiscall] = ACTIONS(2585),
    [anon_sym___vectorcall] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_signed] = ACTIONS(2585),
    [anon_sym_unsigned] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_register] = ACTIONS(2585),
    [anon_sym_inline] = ACTIONS(2585),
    [anon_sym___inline] = ACTIONS(2585),
    [anon_sym___inline__] = ACTIONS(2585),
    [anon_sym___forceinline] = ACTIONS(2585),
    [anon_sym_thread_local] = ACTIONS(2585),
    [anon_sym___thread] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_constexpr] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_restrict] = ACTIONS(2585),
    [anon_sym___restrict__] = ACTIONS(2585),
    [anon_sym__Atomic] = ACTIONS(2585),
    [anon_sym__Noreturn] = ACTIONS(2585),
    [anon_sym_noreturn] = ACTIONS(2585),
    [anon_sym__Nonnull] = ACTIONS(2585),
    [anon_sym_mutable] = ACTIONS(2585),
    [anon_sym_constinit] = ACTIONS(2585),
    [anon_sym_consteval] = ACTIONS(2585),
    [anon_sym_alignas] = ACTIONS(2585),
    [anon_sym__Alignas] = ACTIONS(2585),
    [sym_primitive_type] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_union] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_switch] = ACTIONS(2585),
    [anon_sym_case] = ACTIONS(2585),
    [anon_sym_default] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_break] = ACTIONS(2585),
    [anon_sym_continue] = ACTIONS(2585),
    [anon_sym_goto] = ACTIONS(2585),
    [anon_sym___try] = ACTIONS(2585),
    [anon_sym___leave] = ACTIONS(2585),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_compl] = ACTIONS(2585),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_sizeof] = ACTIONS(2585),
    [anon_sym___alignof__] = ACTIONS(2585),
    [anon_sym___alignof] = ACTIONS(2585),
    [anon_sym__alignof] = ACTIONS(2585),
    [anon_sym_alignof] = ACTIONS(2585),
    [anon_sym__Alignof] = ACTIONS(2585),
    [anon_sym_offsetof] = ACTIONS(2585),
    [anon_sym__Generic] = ACTIONS(2585),
    [anon_sym_asm] = ACTIONS(2585),
    [anon_sym___asm__] = ACTIONS(2585),
    [anon_sym___asm] = ACTIONS(2585),
    [sym_number_literal] = ACTIONS(2587),
    [anon_sym_L_SQUOTE] = ACTIONS(2587),
    [anon_sym_u_SQUOTE] = ACTIONS(2587),
    [anon_sym_U_SQUOTE] = ACTIONS(2587),
    [anon_sym_u8_SQUOTE] = ACTIONS(2587),
    [anon_sym_SQUOTE] = ACTIONS(2587),
    [anon_sym_L_DQUOTE] = ACTIONS(2587),
    [anon_sym_u_DQUOTE] = ACTIONS(2587),
    [anon_sym_U_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [anon_sym_NULL] = ACTIONS(2585),
    [anon_sym_nullptr] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2585),
    [anon_sym_decltype] = ACTIONS(2585),
    [anon_sym_explicit] = ACTIONS(2585),
    [anon_sym_typename] = ACTIONS(2585),
    [anon_sym_template] = ACTIONS(2585),
    [anon_sym_operator] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_delete] = ACTIONS(2585),
    [anon_sym_throw] = ACTIONS(2585),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_static_assert] = ACTIONS(2585),
    [anon_sym_concept] = ACTIONS(2585),
    [anon_sym_co_return] = ACTIONS(2585),
    [anon_sym_co_yield] = ACTIONS(2585),
    [anon_sym_R_DQUOTE] = ACTIONS(2587),
    [anon_sym_LR_DQUOTE] = ACTIONS(2587),
    [anon_sym_uR_DQUOTE] = ACTIONS(2587),
    [anon_sym_UR_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2587),
    [anon_sym_co_await] = ACTIONS(2585),
    [anon_sym_new] = ACTIONS(2585),
    [anon_sym_requires] = ACTIONS(2585),
    [sym_this] = ACTIONS(2585),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym___attribute] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym__Nonnull] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym__Alignas] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_else] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [anon_sym___asm] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2593),
    [aux_sym_preproc_include_token1] = ACTIONS(2593),
    [aux_sym_preproc_def_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token2] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2593),
    [anon_sym_LPAREN2] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_TILDE] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2593),
    [anon_sym_STAR] = ACTIONS(2595),
    [anon_sym_AMP_AMP] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(2593),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_typedef] = ACTIONS(2593),
    [anon_sym_virtual] = ACTIONS(2593),
    [anon_sym_extern] = ACTIONS(2593),
    [anon_sym___attribute__] = ACTIONS(2593),
    [anon_sym___attribute] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2595),
    [anon_sym___declspec] = ACTIONS(2593),
    [anon_sym___based] = ACTIONS(2593),
    [anon_sym___cdecl] = ACTIONS(2593),
    [anon_sym___clrcall] = ACTIONS(2593),
    [anon_sym___stdcall] = ACTIONS(2593),
    [anon_sym___fastcall] = ACTIONS(2593),
    [anon_sym___thiscall] = ACTIONS(2593),
    [anon_sym___vectorcall] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2593),
    [anon_sym_unsigned] = ACTIONS(2593),
    [anon_sym_long] = ACTIONS(2593),
    [anon_sym_short] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(2593),
    [anon_sym_static] = ACTIONS(2593),
    [anon_sym_register] = ACTIONS(2593),
    [anon_sym_inline] = ACTIONS(2593),
    [anon_sym___inline] = ACTIONS(2593),
    [anon_sym___inline__] = ACTIONS(2593),
    [anon_sym___forceinline] = ACTIONS(2593),
    [anon_sym_thread_local] = ACTIONS(2593),
    [anon_sym___thread] = ACTIONS(2593),
    [anon_sym_const] = ACTIONS(2593),
    [anon_sym_constexpr] = ACTIONS(2593),
    [anon_sym_volatile] = ACTIONS(2593),
    [anon_sym_restrict] = ACTIONS(2593),
    [anon_sym___restrict__] = ACTIONS(2593),
    [anon_sym__Atomic] = ACTIONS(2593),
    [anon_sym__Noreturn] = ACTIONS(2593),
    [anon_sym_noreturn] = ACTIONS(2593),
    [anon_sym__Nonnull] = ACTIONS(2593),
    [anon_sym_mutable] = ACTIONS(2593),
    [anon_sym_constinit] = ACTIONS(2593),
    [anon_sym_consteval] = ACTIONS(2593),
    [anon_sym_alignas] = ACTIONS(2593),
    [anon_sym__Alignas] = ACTIONS(2593),
    [sym_primitive_type] = ACTIONS(2593),
    [anon_sym_enum] = ACTIONS(2593),
    [anon_sym_class] = ACTIONS(2593),
    [anon_sym_struct] = ACTIONS(2593),
    [anon_sym_union] = ACTIONS(2593),
    [anon_sym_if] = ACTIONS(2593),
    [anon_sym_else] = ACTIONS(2593),
    [anon_sym_switch] = ACTIONS(2593),
    [anon_sym_case] = ACTIONS(2593),
    [anon_sym_default] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2593),
    [anon_sym_do] = ACTIONS(2593),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2593),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2593),
    [anon_sym_goto] = ACTIONS(2593),
    [anon_sym___try] = ACTIONS(2593),
    [anon_sym___leave] = ACTIONS(2593),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_compl] = ACTIONS(2593),
    [anon_sym_DASH_DASH] = ACTIONS(2595),
    [anon_sym_PLUS_PLUS] = ACTIONS(2595),
    [anon_sym_sizeof] = ACTIONS(2593),
    [anon_sym___alignof__] = ACTIONS(2593),
    [anon_sym___alignof] = ACTIONS(2593),
    [anon_sym__alignof] = ACTIONS(2593),
    [anon_sym_alignof] = ACTIONS(2593),
    [anon_sym__Alignof] = ACTIONS(2593),
    [anon_sym_offsetof] = ACTIONS(2593),
    [anon_sym__Generic] = ACTIONS(2593),
    [anon_sym_asm] = ACTIONS(2593),
    [anon_sym___asm__] = ACTIONS(2593),
    [anon_sym___asm] = ACTIONS(2593),
    [sym_number_literal] = ACTIONS(2595),
    [anon_sym_L_SQUOTE] = ACTIONS(2595),
    [anon_sym_u_SQUOTE] = ACTIONS(2595),
    [anon_sym_U_SQUOTE] = ACTIONS(2595),
    [anon_sym_u8_SQUOTE] = ACTIONS(2595),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_L_DQUOTE] = ACTIONS(2595),
    [anon_sym_u_DQUOTE] = ACTIONS(2595),
    [anon_sym_U_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8_DQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2595),
    [sym_true] = ACTIONS(2593),
    [sym_false] = ACTIONS(2593),
    [anon_sym_NULL] = ACTIONS(2593),
    [anon_sym_nullptr] = ACTIONS(2593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2593),
    [anon_sym_decltype] = ACTIONS(2593),
    [anon_sym_explicit] = ACTIONS(2593),
    [anon_sym_typename] = ACTIONS(2593),
    [anon_sym_template] = ACTIONS(2593),
    [anon_sym_operator] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_delete] = ACTIONS(2593),
    [anon_sym_throw] = ACTIONS(2593),
    [anon_sym_namespace] = ACTIONS(2593),
    [anon_sym_using] = ACTIONS(2593),
    [anon_sym_static_assert] = ACTIONS(2593),
    [anon_sym_concept] = ACTIONS(2593),
    [anon_sym_co_return] = ACTIONS(2593),
    [anon_sym_co_yield] = ACTIONS(2593),
    [anon_sym_R_DQUOTE] = ACTIONS(2595),
    [anon_sym_LR_DQUOTE] = ACTIONS(2595),
    [anon_sym_uR_DQUOTE] = ACTIONS(2595),
    [anon_sym_UR_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2595),
    [anon_sym_co_await] = ACTIONS(2593),
    [anon_sym_new] = ACTIONS(2593),
    [anon_sym_requires] = ACTIONS(2593),
    [sym_this] = ACTIONS(2593),
  },
  [444] = {
    [sym_catch_clause] = STATE(302),
    [aux_sym_constructor_try_statement_repeat1] = STATE(302),
    [ts_builtin_sym_end] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2549),
    [aux_sym_preproc_include_token1] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_BANG] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_AMP_AMP] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym___extension__] = ACTIONS(2549),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2549),
    [anon_sym_extern] = ACTIONS(2549),
    [anon_sym___attribute__] = ACTIONS(2549),
    [anon_sym___attribute] = ACTIONS(2549),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2551),
    [anon_sym___declspec] = ACTIONS(2549),
    [anon_sym___based] = ACTIONS(2549),
    [anon_sym___cdecl] = ACTIONS(2549),
    [anon_sym___clrcall] = ACTIONS(2549),
    [anon_sym___stdcall] = ACTIONS(2549),
    [anon_sym___fastcall] = ACTIONS(2549),
    [anon_sym___thiscall] = ACTIONS(2549),
    [anon_sym___vectorcall] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_signed] = ACTIONS(2549),
    [anon_sym_unsigned] = ACTIONS(2549),
    [anon_sym_long] = ACTIONS(2549),
    [anon_sym_short] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_register] = ACTIONS(2549),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym___inline] = ACTIONS(2549),
    [anon_sym___inline__] = ACTIONS(2549),
    [anon_sym___forceinline] = ACTIONS(2549),
    [anon_sym_thread_local] = ACTIONS(2549),
    [anon_sym___thread] = ACTIONS(2549),
    [anon_sym_const] = ACTIONS(2549),
    [anon_sym_constexpr] = ACTIONS(2549),
    [anon_sym_volatile] = ACTIONS(2549),
    [anon_sym_restrict] = ACTIONS(2549),
    [anon_sym___restrict__] = ACTIONS(2549),
    [anon_sym__Atomic] = ACTIONS(2549),
    [anon_sym__Noreturn] = ACTIONS(2549),
    [anon_sym_noreturn] = ACTIONS(2549),
    [anon_sym__Nonnull] = ACTIONS(2549),
    [anon_sym_mutable] = ACTIONS(2549),
    [anon_sym_constinit] = ACTIONS(2549),
    [anon_sym_consteval] = ACTIONS(2549),
    [anon_sym_alignas] = ACTIONS(2549),
    [anon_sym__Alignas] = ACTIONS(2549),
    [sym_primitive_type] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_struct] = ACTIONS(2549),
    [anon_sym_union] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_switch] = ACTIONS(2549),
    [anon_sym_case] = ACTIONS(2549),
    [anon_sym_default] = ACTIONS(2549),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_break] = ACTIONS(2549),
    [anon_sym_continue] = ACTIONS(2549),
    [anon_sym_goto] = ACTIONS(2549),
    [anon_sym_not] = ACTIONS(2549),
    [anon_sym_compl] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(2551),
    [anon_sym_PLUS_PLUS] = ACTIONS(2551),
    [anon_sym_sizeof] = ACTIONS(2549),
    [anon_sym___alignof__] = ACTIONS(2549),
    [anon_sym___alignof] = ACTIONS(2549),
    [anon_sym__alignof] = ACTIONS(2549),
    [anon_sym_alignof] = ACTIONS(2549),
    [anon_sym__Alignof] = ACTIONS(2549),
    [anon_sym_offsetof] = ACTIONS(2549),
    [anon_sym__Generic] = ACTIONS(2549),
    [anon_sym_asm] = ACTIONS(2549),
    [anon_sym___asm__] = ACTIONS(2549),
    [anon_sym___asm] = ACTIONS(2549),
    [sym_number_literal] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2551),
    [anon_sym_u_SQUOTE] = ACTIONS(2551),
    [anon_sym_U_SQUOTE] = ACTIONS(2551),
    [anon_sym_u8_SQUOTE] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_L_DQUOTE] = ACTIONS(2551),
    [anon_sym_u_DQUOTE] = ACTIONS(2551),
    [anon_sym_U_DQUOTE] = ACTIONS(2551),
    [anon_sym_u8_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(2551),
    [sym_true] = ACTIONS(2549),
    [sym_false] = ACTIONS(2549),
    [anon_sym_NULL] = ACTIONS(2549),
    [anon_sym_nullptr] = ACTIONS(2549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2549),
    [anon_sym_decltype] = ACTIONS(2549),
    [anon_sym_explicit] = ACTIONS(2549),
    [anon_sym_typename] = ACTIONS(2549),
    [anon_sym_template] = ACTIONS(2549),
    [anon_sym_operator] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_delete] = ACTIONS(2549),
    [anon_sym_throw] = ACTIONS(2549),
    [anon_sym_namespace] = ACTIONS(2549),
    [anon_sym_using] = ACTIONS(2549),
    [anon_sym_static_assert] = ACTIONS(2549),
    [anon_sym_concept] = ACTIONS(2549),
    [anon_sym_co_return] = ACTIONS(2549),
    [anon_sym_co_yield] = ACTIONS(2549),
    [anon_sym_catch] = ACTIONS(3113),
    [anon_sym_R_DQUOTE] = ACTIONS(2551),
    [anon_sym_LR_DQUOTE] = ACTIONS(2551),
    [anon_sym_uR_DQUOTE] = ACTIONS(2551),
    [anon_sym_UR_DQUOTE] = ACTIONS(2551),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2551),
    [anon_sym_co_await] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_requires] = ACTIONS(2549),
    [sym_this] = ACTIONS(2549),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2597),
    [aux_sym_preproc_include_token1] = ACTIONS(2597),
    [aux_sym_preproc_def_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token2] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2597),
    [sym_preproc_directive] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_STAR] = ACTIONS(2599),
    [anon_sym_AMP_AMP] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym___extension__] = ACTIONS(2597),
    [anon_sym_typedef] = ACTIONS(2597),
    [anon_sym_virtual] = ACTIONS(2597),
    [anon_sym_extern] = ACTIONS(2597),
    [anon_sym___attribute__] = ACTIONS(2597),
    [anon_sym___attribute] = ACTIONS(2597),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2599),
    [anon_sym___declspec] = ACTIONS(2597),
    [anon_sym___based] = ACTIONS(2597),
    [anon_sym___cdecl] = ACTIONS(2597),
    [anon_sym___clrcall] = ACTIONS(2597),
    [anon_sym___stdcall] = ACTIONS(2597),
    [anon_sym___fastcall] = ACTIONS(2597),
    [anon_sym___thiscall] = ACTIONS(2597),
    [anon_sym___vectorcall] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_static] = ACTIONS(2597),
    [anon_sym_register] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(2597),
    [anon_sym___inline] = ACTIONS(2597),
    [anon_sym___inline__] = ACTIONS(2597),
    [anon_sym___forceinline] = ACTIONS(2597),
    [anon_sym_thread_local] = ACTIONS(2597),
    [anon_sym___thread] = ACTIONS(2597),
    [anon_sym_const] = ACTIONS(2597),
    [anon_sym_constexpr] = ACTIONS(2597),
    [anon_sym_volatile] = ACTIONS(2597),
    [anon_sym_restrict] = ACTIONS(2597),
    [anon_sym___restrict__] = ACTIONS(2597),
    [anon_sym__Atomic] = ACTIONS(2597),
    [anon_sym__Noreturn] = ACTIONS(2597),
    [anon_sym_noreturn] = ACTIONS(2597),
    [anon_sym__Nonnull] = ACTIONS(2597),
    [anon_sym_mutable] = ACTIONS(2597),
    [anon_sym_constinit] = ACTIONS(2597),
    [anon_sym_consteval] = ACTIONS(2597),
    [anon_sym_alignas] = ACTIONS(2597),
    [anon_sym__Alignas] = ACTIONS(2597),
    [sym_primitive_type] = ACTIONS(2597),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_struct] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_else] = ACTIONS(2597),
    [anon_sym_switch] = ACTIONS(2597),
    [anon_sym_case] = ACTIONS(2597),
    [anon_sym_default] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_break] = ACTIONS(2597),
    [anon_sym_continue] = ACTIONS(2597),
    [anon_sym_goto] = ACTIONS(2597),
    [anon_sym___try] = ACTIONS(2597),
    [anon_sym___leave] = ACTIONS(2597),
    [anon_sym_not] = ACTIONS(2597),
    [anon_sym_compl] = ACTIONS(2597),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_sizeof] = ACTIONS(2597),
    [anon_sym___alignof__] = ACTIONS(2597),
    [anon_sym___alignof] = ACTIONS(2597),
    [anon_sym__alignof] = ACTIONS(2597),
    [anon_sym_alignof] = ACTIONS(2597),
    [anon_sym__Alignof] = ACTIONS(2597),
    [anon_sym_offsetof] = ACTIONS(2597),
    [anon_sym__Generic] = ACTIONS(2597),
    [anon_sym_asm] = ACTIONS(2597),
    [anon_sym___asm__] = ACTIONS(2597),
    [anon_sym___asm] = ACTIONS(2597),
    [sym_number_literal] = ACTIONS(2599),
    [anon_sym_L_SQUOTE] = ACTIONS(2599),
    [anon_sym_u_SQUOTE] = ACTIONS(2599),
    [anon_sym_U_SQUOTE] = ACTIONS(2599),
    [anon_sym_u8_SQUOTE] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_L_DQUOTE] = ACTIONS(2599),
    [anon_sym_u_DQUOTE] = ACTIONS(2599),
    [anon_sym_U_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2599),
    [sym_true] = ACTIONS(2597),
    [sym_false] = ACTIONS(2597),
    [anon_sym_NULL] = ACTIONS(2597),
    [anon_sym_nullptr] = ACTIONS(2597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2597),
    [anon_sym_decltype] = ACTIONS(2597),
    [anon_sym_explicit] = ACTIONS(2597),
    [anon_sym_typename] = ACTIONS(2597),
    [anon_sym_template] = ACTIONS(2597),
    [anon_sym_operator] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_delete] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2597),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_using] = ACTIONS(2597),
    [anon_sym_static_assert] = ACTIONS(2597),
    [anon_sym_concept] = ACTIONS(2597),
    [anon_sym_co_return] = ACTIONS(2597),
    [anon_sym_co_yield] = ACTIONS(2597),
    [anon_sym_R_DQUOTE] = ACTIONS(2599),
    [anon_sym_LR_DQUOTE] = ACTIONS(2599),
    [anon_sym_uR_DQUOTE] = ACTIONS(2599),
    [anon_sym_UR_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2599),
    [anon_sym_co_await] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_requires] = ACTIONS(2597),
    [sym_this] = ACTIONS(2597),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2601),
    [aux_sym_preproc_include_token1] = ACTIONS(2601),
    [aux_sym_preproc_def_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token2] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2601),
    [sym_preproc_directive] = ACTIONS(2601),
    [anon_sym_LPAREN2] = ACTIONS(2603),
    [anon_sym_BANG] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_AMP_AMP] = ACTIONS(2603),
    [anon_sym_AMP] = ACTIONS(2601),
    [anon_sym_SEMI] = ACTIONS(2603),
    [anon_sym___extension__] = ACTIONS(2601),
    [anon_sym_typedef] = ACTIONS(2601),
    [anon_sym_virtual] = ACTIONS(2601),
    [anon_sym_extern] = ACTIONS(2601),
    [anon_sym___attribute__] = ACTIONS(2601),
    [anon_sym___attribute] = ACTIONS(2601),
    [anon_sym_COLON_COLON] = ACTIONS(2603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2603),
    [anon_sym___declspec] = ACTIONS(2601),
    [anon_sym___based] = ACTIONS(2601),
    [anon_sym___cdecl] = ACTIONS(2601),
    [anon_sym___clrcall] = ACTIONS(2601),
    [anon_sym___stdcall] = ACTIONS(2601),
    [anon_sym___fastcall] = ACTIONS(2601),
    [anon_sym___thiscall] = ACTIONS(2601),
    [anon_sym___vectorcall] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_signed] = ACTIONS(2601),
    [anon_sym_unsigned] = ACTIONS(2601),
    [anon_sym_long] = ACTIONS(2601),
    [anon_sym_short] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_register] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2601),
    [anon_sym___inline] = ACTIONS(2601),
    [anon_sym___inline__] = ACTIONS(2601),
    [anon_sym___forceinline] = ACTIONS(2601),
    [anon_sym_thread_local] = ACTIONS(2601),
    [anon_sym___thread] = ACTIONS(2601),
    [anon_sym_const] = ACTIONS(2601),
    [anon_sym_constexpr] = ACTIONS(2601),
    [anon_sym_volatile] = ACTIONS(2601),
    [anon_sym_restrict] = ACTIONS(2601),
    [anon_sym___restrict__] = ACTIONS(2601),
    [anon_sym__Atomic] = ACTIONS(2601),
    [anon_sym__Noreturn] = ACTIONS(2601),
    [anon_sym_noreturn] = ACTIONS(2601),
    [anon_sym__Nonnull] = ACTIONS(2601),
    [anon_sym_mutable] = ACTIONS(2601),
    [anon_sym_constinit] = ACTIONS(2601),
    [anon_sym_consteval] = ACTIONS(2601),
    [anon_sym_alignas] = ACTIONS(2601),
    [anon_sym__Alignas] = ACTIONS(2601),
    [sym_primitive_type] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_struct] = ACTIONS(2601),
    [anon_sym_union] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_goto] = ACTIONS(2601),
    [anon_sym___try] = ACTIONS(2601),
    [anon_sym___leave] = ACTIONS(2601),
    [anon_sym_not] = ACTIONS(2601),
    [anon_sym_compl] = ACTIONS(2601),
    [anon_sym_DASH_DASH] = ACTIONS(2603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2603),
    [anon_sym_sizeof] = ACTIONS(2601),
    [anon_sym___alignof__] = ACTIONS(2601),
    [anon_sym___alignof] = ACTIONS(2601),
    [anon_sym__alignof] = ACTIONS(2601),
    [anon_sym_alignof] = ACTIONS(2601),
    [anon_sym__Alignof] = ACTIONS(2601),
    [anon_sym_offsetof] = ACTIONS(2601),
    [anon_sym__Generic] = ACTIONS(2601),
    [anon_sym_asm] = ACTIONS(2601),
    [anon_sym___asm__] = ACTIONS(2601),
    [anon_sym___asm] = ACTIONS(2601),
    [sym_number_literal] = ACTIONS(2603),
    [anon_sym_L_SQUOTE] = ACTIONS(2603),
    [anon_sym_u_SQUOTE] = ACTIONS(2603),
    [anon_sym_U_SQUOTE] = ACTIONS(2603),
    [anon_sym_u8_SQUOTE] = ACTIONS(2603),
    [anon_sym_SQUOTE] = ACTIONS(2603),
    [anon_sym_L_DQUOTE] = ACTIONS(2603),
    [anon_sym_u_DQUOTE] = ACTIONS(2603),
    [anon_sym_U_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8_DQUOTE] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(2603),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [anon_sym_NULL] = ACTIONS(2601),
    [anon_sym_nullptr] = ACTIONS(2601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2601),
    [anon_sym_decltype] = ACTIONS(2601),
    [anon_sym_explicit] = ACTIONS(2601),
    [anon_sym_typename] = ACTIONS(2601),
    [anon_sym_template] = ACTIONS(2601),
    [anon_sym_operator] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_delete] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_namespace] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(2601),
    [anon_sym_static_assert] = ACTIONS(2601),
    [anon_sym_concept] = ACTIONS(2601),
    [anon_sym_co_return] = ACTIONS(2601),
    [anon_sym_co_yield] = ACTIONS(2601),
    [anon_sym_R_DQUOTE] = ACTIONS(2603),
    [anon_sym_LR_DQUOTE] = ACTIONS(2603),
    [anon_sym_uR_DQUOTE] = ACTIONS(2603),
    [anon_sym_UR_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2603),
    [anon_sym_co_await] = ACTIONS(2601),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_requires] = ACTIONS(2601),
    [sym_this] = ACTIONS(2601),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(2725),
    [sym_identifier] = ACTIONS(2723),
    [aux_sym_preproc_include_token1] = ACTIONS(2723),
    [aux_sym_preproc_def_token1] = ACTIONS(2723),
    [aux_sym_preproc_if_token1] = ACTIONS(2723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2723),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(2725),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2723),
    [anon_sym_typedef] = ACTIONS(2723),
    [anon_sym_virtual] = ACTIONS(2723),
    [anon_sym_extern] = ACTIONS(2723),
    [anon_sym___attribute__] = ACTIONS(2723),
    [anon_sym___attribute] = ACTIONS(2723),
    [anon_sym_COLON_COLON] = ACTIONS(2725),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2725),
    [anon_sym___declspec] = ACTIONS(2723),
    [anon_sym___based] = ACTIONS(2723),
    [anon_sym___cdecl] = ACTIONS(2723),
    [anon_sym___clrcall] = ACTIONS(2723),
    [anon_sym___stdcall] = ACTIONS(2723),
    [anon_sym___fastcall] = ACTIONS(2723),
    [anon_sym___thiscall] = ACTIONS(2723),
    [anon_sym___vectorcall] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2723),
    [anon_sym_unsigned] = ACTIONS(2723),
    [anon_sym_long] = ACTIONS(2723),
    [anon_sym_short] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_register] = ACTIONS(2723),
    [anon_sym_inline] = ACTIONS(2723),
    [anon_sym___inline] = ACTIONS(2723),
    [anon_sym___inline__] = ACTIONS(2723),
    [anon_sym___forceinline] = ACTIONS(2723),
    [anon_sym_thread_local] = ACTIONS(2723),
    [anon_sym___thread] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_constexpr] = ACTIONS(2723),
    [anon_sym_volatile] = ACTIONS(2723),
    [anon_sym_restrict] = ACTIONS(2723),
    [anon_sym___restrict__] = ACTIONS(2723),
    [anon_sym__Atomic] = ACTIONS(2723),
    [anon_sym__Noreturn] = ACTIONS(2723),
    [anon_sym_noreturn] = ACTIONS(2723),
    [anon_sym__Nonnull] = ACTIONS(2723),
    [anon_sym_mutable] = ACTIONS(2723),
    [anon_sym_constinit] = ACTIONS(2723),
    [anon_sym_consteval] = ACTIONS(2723),
    [anon_sym_alignas] = ACTIONS(2723),
    [anon_sym__Alignas] = ACTIONS(2723),
    [sym_primitive_type] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_struct] = ACTIONS(2723),
    [anon_sym_union] = ACTIONS(2723),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_else] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_case] = ACTIONS(2723),
    [anon_sym_default] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_goto] = ACTIONS(2723),
    [anon_sym___try] = ACTIONS(2723),
    [anon_sym___leave] = ACTIONS(2723),
    [anon_sym_not] = ACTIONS(2723),
    [anon_sym_compl] = ACTIONS(2723),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_sizeof] = ACTIONS(2723),
    [anon_sym___alignof__] = ACTIONS(2723),
    [anon_sym___alignof] = ACTIONS(2723),
    [anon_sym__alignof] = ACTIONS(2723),
    [anon_sym_alignof] = ACTIONS(2723),
    [anon_sym__Alignof] = ACTIONS(2723),
    [anon_sym_offsetof] = ACTIONS(2723),
    [anon_sym__Generic] = ACTIONS(2723),
    [anon_sym_asm] = ACTIONS(2723),
    [anon_sym___asm__] = ACTIONS(2723),
    [anon_sym___asm] = ACTIONS(2723),
    [sym_number_literal] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2725),
    [anon_sym_u_DQUOTE] = ACTIONS(2725),
    [anon_sym_U_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8_DQUOTE] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [anon_sym_NULL] = ACTIONS(2723),
    [anon_sym_nullptr] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2723),
    [anon_sym_decltype] = ACTIONS(2723),
    [anon_sym_explicit] = ACTIONS(2723),
    [anon_sym_typename] = ACTIONS(2723),
    [anon_sym_template] = ACTIONS(2723),
    [anon_sym_operator] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_using] = ACTIONS(2723),
    [anon_sym_static_assert] = ACTIONS(2723),
    [anon_sym_concept] = ACTIONS(2723),
    [anon_sym_co_return] = ACTIONS(2723),
    [anon_sym_co_yield] = ACTIONS(2723),
    [anon_sym_R_DQUOTE] = ACTIONS(2725),
    [anon_sym_LR_DQUOTE] = ACTIONS(2725),
    [anon_sym_uR_DQUOTE] = ACTIONS(2725),
    [anon_sym_UR_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2725),
    [anon_sym_co_await] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_requires] = ACTIONS(2723),
    [sym_this] = ACTIONS(2723),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym___attribute] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym___attribute] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_else] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2609),
    [aux_sym_preproc_include_token1] = ACTIONS(2609),
    [aux_sym_preproc_def_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token2] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2609),
    [sym_preproc_directive] = ACTIONS(2609),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_AMP_AMP] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2609),
    [anon_sym_typedef] = ACTIONS(2609),
    [anon_sym_virtual] = ACTIONS(2609),
    [anon_sym_extern] = ACTIONS(2609),
    [anon_sym___attribute__] = ACTIONS(2609),
    [anon_sym___attribute] = ACTIONS(2609),
    [anon_sym_COLON_COLON] = ACTIONS(2611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2609),
    [anon_sym___based] = ACTIONS(2609),
    [anon_sym___cdecl] = ACTIONS(2609),
    [anon_sym___clrcall] = ACTIONS(2609),
    [anon_sym___stdcall] = ACTIONS(2609),
    [anon_sym___fastcall] = ACTIONS(2609),
    [anon_sym___thiscall] = ACTIONS(2609),
    [anon_sym___vectorcall] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2609),
    [anon_sym_unsigned] = ACTIONS(2609),
    [anon_sym_long] = ACTIONS(2609),
    [anon_sym_short] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2609),
    [anon_sym_static] = ACTIONS(2609),
    [anon_sym_register] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(2609),
    [anon_sym___inline] = ACTIONS(2609),
    [anon_sym___inline__] = ACTIONS(2609),
    [anon_sym___forceinline] = ACTIONS(2609),
    [anon_sym_thread_local] = ACTIONS(2609),
    [anon_sym___thread] = ACTIONS(2609),
    [anon_sym_const] = ACTIONS(2609),
    [anon_sym_constexpr] = ACTIONS(2609),
    [anon_sym_volatile] = ACTIONS(2609),
    [anon_sym_restrict] = ACTIONS(2609),
    [anon_sym___restrict__] = ACTIONS(2609),
    [anon_sym__Atomic] = ACTIONS(2609),
    [anon_sym__Noreturn] = ACTIONS(2609),
    [anon_sym_noreturn] = ACTIONS(2609),
    [anon_sym__Nonnull] = ACTIONS(2609),
    [anon_sym_mutable] = ACTIONS(2609),
    [anon_sym_constinit] = ACTIONS(2609),
    [anon_sym_consteval] = ACTIONS(2609),
    [anon_sym_alignas] = ACTIONS(2609),
    [anon_sym__Alignas] = ACTIONS(2609),
    [sym_primitive_type] = ACTIONS(2609),
    [anon_sym_enum] = ACTIONS(2609),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2609),
    [anon_sym_union] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2609),
    [anon_sym_switch] = ACTIONS(2609),
    [anon_sym_case] = ACTIONS(2609),
    [anon_sym_default] = ACTIONS(2609),
    [anon_sym_while] = ACTIONS(2609),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_for] = ACTIONS(2609),
    [anon_sym_return] = ACTIONS(2609),
    [anon_sym_break] = ACTIONS(2609),
    [anon_sym_continue] = ACTIONS(2609),
    [anon_sym_goto] = ACTIONS(2609),
    [anon_sym___try] = ACTIONS(2609),
    [anon_sym___leave] = ACTIONS(2609),
    [anon_sym_not] = ACTIONS(2609),
    [anon_sym_compl] = ACTIONS(2609),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2609),
    [anon_sym___alignof__] = ACTIONS(2609),
    [anon_sym___alignof] = ACTIONS(2609),
    [anon_sym__alignof] = ACTIONS(2609),
    [anon_sym_alignof] = ACTIONS(2609),
    [anon_sym__Alignof] = ACTIONS(2609),
    [anon_sym_offsetof] = ACTIONS(2609),
    [anon_sym__Generic] = ACTIONS(2609),
    [anon_sym_asm] = ACTIONS(2609),
    [anon_sym___asm__] = ACTIONS(2609),
    [anon_sym___asm] = ACTIONS(2609),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2609),
    [sym_false] = ACTIONS(2609),
    [anon_sym_NULL] = ACTIONS(2609),
    [anon_sym_nullptr] = ACTIONS(2609),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2609),
    [anon_sym_decltype] = ACTIONS(2609),
    [anon_sym_explicit] = ACTIONS(2609),
    [anon_sym_typename] = ACTIONS(2609),
    [anon_sym_template] = ACTIONS(2609),
    [anon_sym_operator] = ACTIONS(2609),
    [anon_sym_try] = ACTIONS(2609),
    [anon_sym_delete] = ACTIONS(2609),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_using] = ACTIONS(2609),
    [anon_sym_static_assert] = ACTIONS(2609),
    [anon_sym_concept] = ACTIONS(2609),
    [anon_sym_co_return] = ACTIONS(2609),
    [anon_sym_co_yield] = ACTIONS(2609),
    [anon_sym_R_DQUOTE] = ACTIONS(2611),
    [anon_sym_LR_DQUOTE] = ACTIONS(2611),
    [anon_sym_uR_DQUOTE] = ACTIONS(2611),
    [anon_sym_UR_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2611),
    [anon_sym_co_await] = ACTIONS(2609),
    [anon_sym_new] = ACTIONS(2609),
    [anon_sym_requires] = ACTIONS(2609),
    [sym_this] = ACTIONS(2609),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym___attribute] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_else] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2613),
    [aux_sym_preproc_include_token1] = ACTIONS(2613),
    [aux_sym_preproc_def_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token2] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2613),
    [sym_preproc_directive] = ACTIONS(2613),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(2613),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym___extension__] = ACTIONS(2613),
    [anon_sym_typedef] = ACTIONS(2613),
    [anon_sym_virtual] = ACTIONS(2613),
    [anon_sym_extern] = ACTIONS(2613),
    [anon_sym___attribute__] = ACTIONS(2613),
    [anon_sym___attribute] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2615),
    [anon_sym___declspec] = ACTIONS(2613),
    [anon_sym___based] = ACTIONS(2613),
    [anon_sym___cdecl] = ACTIONS(2613),
    [anon_sym___clrcall] = ACTIONS(2613),
    [anon_sym___stdcall] = ACTIONS(2613),
    [anon_sym___fastcall] = ACTIONS(2613),
    [anon_sym___thiscall] = ACTIONS(2613),
    [anon_sym___vectorcall] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_signed] = ACTIONS(2613),
    [anon_sym_unsigned] = ACTIONS(2613),
    [anon_sym_long] = ACTIONS(2613),
    [anon_sym_short] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_static] = ACTIONS(2613),
    [anon_sym_register] = ACTIONS(2613),
    [anon_sym_inline] = ACTIONS(2613),
    [anon_sym___inline] = ACTIONS(2613),
    [anon_sym___inline__] = ACTIONS(2613),
    [anon_sym___forceinline] = ACTIONS(2613),
    [anon_sym_thread_local] = ACTIONS(2613),
    [anon_sym___thread] = ACTIONS(2613),
    [anon_sym_const] = ACTIONS(2613),
    [anon_sym_constexpr] = ACTIONS(2613),
    [anon_sym_volatile] = ACTIONS(2613),
    [anon_sym_restrict] = ACTIONS(2613),
    [anon_sym___restrict__] = ACTIONS(2613),
    [anon_sym__Atomic] = ACTIONS(2613),
    [anon_sym__Noreturn] = ACTIONS(2613),
    [anon_sym_noreturn] = ACTIONS(2613),
    [anon_sym__Nonnull] = ACTIONS(2613),
    [anon_sym_mutable] = ACTIONS(2613),
    [anon_sym_constinit] = ACTIONS(2613),
    [anon_sym_consteval] = ACTIONS(2613),
    [anon_sym_alignas] = ACTIONS(2613),
    [anon_sym__Alignas] = ACTIONS(2613),
    [sym_primitive_type] = ACTIONS(2613),
    [anon_sym_enum] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_struct] = ACTIONS(2613),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_if] = ACTIONS(2613),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_switch] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_do] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_break] = ACTIONS(2613),
    [anon_sym_continue] = ACTIONS(2613),
    [anon_sym_goto] = ACTIONS(2613),
    [anon_sym___try] = ACTIONS(2613),
    [anon_sym___leave] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2613),
    [anon_sym_compl] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2613),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2613),
    [anon_sym__Generic] = ACTIONS(2613),
    [anon_sym_asm] = ACTIONS(2613),
    [anon_sym___asm__] = ACTIONS(2613),
    [anon_sym___asm] = ACTIONS(2613),
    [sym_number_literal] = ACTIONS(2615),
    [anon_sym_L_SQUOTE] = ACTIONS(2615),
    [anon_sym_u_SQUOTE] = ACTIONS(2615),
    [anon_sym_U_SQUOTE] = ACTIONS(2615),
    [anon_sym_u8_SQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE] = ACTIONS(2615),
    [anon_sym_L_DQUOTE] = ACTIONS(2615),
    [anon_sym_u_DQUOTE] = ACTIONS(2615),
    [anon_sym_U_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [sym_true] = ACTIONS(2613),
    [sym_false] = ACTIONS(2613),
    [anon_sym_NULL] = ACTIONS(2613),
    [anon_sym_nullptr] = ACTIONS(2613),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2613),
    [anon_sym_decltype] = ACTIONS(2613),
    [anon_sym_explicit] = ACTIONS(2613),
    [anon_sym_typename] = ACTIONS(2613),
    [anon_sym_template] = ACTIONS(2613),
    [anon_sym_operator] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2613),
    [anon_sym_delete] = ACTIONS(2613),
    [anon_sym_throw] = ACTIONS(2613),
    [anon_sym_namespace] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(2613),
    [anon_sym_static_assert] = ACTIONS(2613),
    [anon_sym_concept] = ACTIONS(2613),
    [anon_sym_co_return] = ACTIONS(2613),
    [anon_sym_co_yield] = ACTIONS(2613),
    [anon_sym_R_DQUOTE] = ACTIONS(2615),
    [anon_sym_LR_DQUOTE] = ACTIONS(2615),
    [anon_sym_uR_DQUOTE] = ACTIONS(2615),
    [anon_sym_UR_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2615),
    [anon_sym_co_await] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_requires] = ACTIONS(2613),
    [sym_this] = ACTIONS(2613),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2605),
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym___extension__] = ACTIONS(2605),
    [anon_sym_typedef] = ACTIONS(2605),
    [anon_sym_virtual] = ACTIONS(2605),
    [anon_sym_extern] = ACTIONS(2605),
    [anon_sym___attribute__] = ACTIONS(2605),
    [anon_sym___attribute] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym___declspec] = ACTIONS(2605),
    [anon_sym___based] = ACTIONS(2605),
    [anon_sym___cdecl] = ACTIONS(2605),
    [anon_sym___clrcall] = ACTIONS(2605),
    [anon_sym___stdcall] = ACTIONS(2605),
    [anon_sym___fastcall] = ACTIONS(2605),
    [anon_sym___thiscall] = ACTIONS(2605),
    [anon_sym___vectorcall] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_signed] = ACTIONS(2605),
    [anon_sym_unsigned] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_register] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym___inline] = ACTIONS(2605),
    [anon_sym___inline__] = ACTIONS(2605),
    [anon_sym___forceinline] = ACTIONS(2605),
    [anon_sym_thread_local] = ACTIONS(2605),
    [anon_sym___thread] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_constexpr] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_restrict] = ACTIONS(2605),
    [anon_sym___restrict__] = ACTIONS(2605),
    [anon_sym__Atomic] = ACTIONS(2605),
    [anon_sym__Noreturn] = ACTIONS(2605),
    [anon_sym_noreturn] = ACTIONS(2605),
    [anon_sym__Nonnull] = ACTIONS(2605),
    [anon_sym_mutable] = ACTIONS(2605),
    [anon_sym_constinit] = ACTIONS(2605),
    [anon_sym_consteval] = ACTIONS(2605),
    [anon_sym_alignas] = ACTIONS(2605),
    [anon_sym__Alignas] = ACTIONS(2605),
    [sym_primitive_type] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_switch] = ACTIONS(2605),
    [anon_sym_case] = ACTIONS(2605),
    [anon_sym_default] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_do] = ACTIONS(2605),
    [anon_sym_for] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_break] = ACTIONS(2605),
    [anon_sym_continue] = ACTIONS(2605),
    [anon_sym_goto] = ACTIONS(2605),
    [anon_sym___try] = ACTIONS(2605),
    [anon_sym___leave] = ACTIONS(2605),
    [anon_sym_not] = ACTIONS(2605),
    [anon_sym_compl] = ACTIONS(2605),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_sizeof] = ACTIONS(2605),
    [anon_sym___alignof__] = ACTIONS(2605),
    [anon_sym___alignof] = ACTIONS(2605),
    [anon_sym__alignof] = ACTIONS(2605),
    [anon_sym_alignof] = ACTIONS(2605),
    [anon_sym__Alignof] = ACTIONS(2605),
    [anon_sym_offsetof] = ACTIONS(2605),
    [anon_sym__Generic] = ACTIONS(2605),
    [anon_sym_asm] = ACTIONS(2605),
    [anon_sym___asm__] = ACTIONS(2605),
    [anon_sym___asm] = ACTIONS(2605),
    [sym_number_literal] = ACTIONS(2607),
    [anon_sym_L_SQUOTE] = ACTIONS(2607),
    [anon_sym_u_SQUOTE] = ACTIONS(2607),
    [anon_sym_U_SQUOTE] = ACTIONS(2607),
    [anon_sym_u8_SQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_L_DQUOTE] = ACTIONS(2607),
    [anon_sym_u_DQUOTE] = ACTIONS(2607),
    [anon_sym_U_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8_DQUOTE] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [sym_true] = ACTIONS(2605),
    [sym_false] = ACTIONS(2605),
    [anon_sym_NULL] = ACTIONS(2605),
    [anon_sym_nullptr] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2605),
    [anon_sym_decltype] = ACTIONS(2605),
    [anon_sym_explicit] = ACTIONS(2605),
    [anon_sym_typename] = ACTIONS(2605),
    [anon_sym_template] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_delete] = ACTIONS(2605),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_namespace] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_static_assert] = ACTIONS(2605),
    [anon_sym_concept] = ACTIONS(2605),
    [anon_sym_co_return] = ACTIONS(2605),
    [anon_sym_co_yield] = ACTIONS(2605),
    [anon_sym_R_DQUOTE] = ACTIONS(2607),
    [anon_sym_LR_DQUOTE] = ACTIONS(2607),
    [anon_sym_uR_DQUOTE] = ACTIONS(2607),
    [anon_sym_UR_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2607),
    [anon_sym_co_await] = ACTIONS(2605),
    [anon_sym_new] = ACTIONS(2605),
    [anon_sym_requires] = ACTIONS(2605),
    [sym_this] = ACTIONS(2605),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym___attribute] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym__Nonnull] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym__Alignas] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [anon_sym___asm] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym___attribute] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym___attribute] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym__Nonnull] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym__Alignas] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [anon_sym___asm] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym___attribute] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym__Nonnull] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym__Alignas] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2589),
    [aux_sym_preproc_include_token1] = ACTIONS(2589),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2589),
    [sym_preproc_directive] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP_AMP] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2589),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2589),
    [anon_sym_typedef] = ACTIONS(2589),
    [anon_sym_virtual] = ACTIONS(2589),
    [anon_sym_extern] = ACTIONS(2589),
    [anon_sym___attribute__] = ACTIONS(2589),
    [anon_sym___attribute] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2591),
    [anon_sym___declspec] = ACTIONS(2589),
    [anon_sym___based] = ACTIONS(2589),
    [anon_sym___cdecl] = ACTIONS(2589),
    [anon_sym___clrcall] = ACTIONS(2589),
    [anon_sym___stdcall] = ACTIONS(2589),
    [anon_sym___fastcall] = ACTIONS(2589),
    [anon_sym___thiscall] = ACTIONS(2589),
    [anon_sym___vectorcall] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(2591),
    [anon_sym_signed] = ACTIONS(2589),
    [anon_sym_unsigned] = ACTIONS(2589),
    [anon_sym_long] = ACTIONS(2589),
    [anon_sym_short] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_register] = ACTIONS(2589),
    [anon_sym_inline] = ACTIONS(2589),
    [anon_sym___inline] = ACTIONS(2589),
    [anon_sym___inline__] = ACTIONS(2589),
    [anon_sym___forceinline] = ACTIONS(2589),
    [anon_sym_thread_local] = ACTIONS(2589),
    [anon_sym___thread] = ACTIONS(2589),
    [anon_sym_const] = ACTIONS(2589),
    [anon_sym_constexpr] = ACTIONS(2589),
    [anon_sym_volatile] = ACTIONS(2589),
    [anon_sym_restrict] = ACTIONS(2589),
    [anon_sym___restrict__] = ACTIONS(2589),
    [anon_sym__Atomic] = ACTIONS(2589),
    [anon_sym__Noreturn] = ACTIONS(2589),
    [anon_sym_noreturn] = ACTIONS(2589),
    [anon_sym__Nonnull] = ACTIONS(2589),
    [anon_sym_mutable] = ACTIONS(2589),
    [anon_sym_constinit] = ACTIONS(2589),
    [anon_sym_consteval] = ACTIONS(2589),
    [anon_sym_alignas] = ACTIONS(2589),
    [anon_sym__Alignas] = ACTIONS(2589),
    [sym_primitive_type] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_struct] = ACTIONS(2589),
    [anon_sym_union] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_case] = ACTIONS(2589),
    [anon_sym_default] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_goto] = ACTIONS(2589),
    [anon_sym___try] = ACTIONS(2589),
    [anon_sym___leave] = ACTIONS(2589),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2591),
    [anon_sym_PLUS_PLUS] = ACTIONS(2591),
    [anon_sym_sizeof] = ACTIONS(2589),
    [anon_sym___alignof__] = ACTIONS(2589),
    [anon_sym___alignof] = ACTIONS(2589),
    [anon_sym__alignof] = ACTIONS(2589),
    [anon_sym_alignof] = ACTIONS(2589),
    [anon_sym__Alignof] = ACTIONS(2589),
    [anon_sym_offsetof] = ACTIONS(2589),
    [anon_sym__Generic] = ACTIONS(2589),
    [anon_sym_asm] = ACTIONS(2589),
    [anon_sym___asm__] = ACTIONS(2589),
    [anon_sym___asm] = ACTIONS(2589),
    [sym_number_literal] = ACTIONS(2591),
    [anon_sym_L_SQUOTE] = ACTIONS(2591),
    [anon_sym_u_SQUOTE] = ACTIONS(2591),
    [anon_sym_U_SQUOTE] = ACTIONS(2591),
    [anon_sym_u8_SQUOTE] = ACTIONS(2591),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_L_DQUOTE] = ACTIONS(2591),
    [anon_sym_u_DQUOTE] = ACTIONS(2591),
    [anon_sym_U_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8_DQUOTE] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [anon_sym_NULL] = ACTIONS(2589),
    [anon_sym_nullptr] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2589),
    [anon_sym_decltype] = ACTIONS(2589),
    [anon_sym_explicit] = ACTIONS(2589),
    [anon_sym_typename] = ACTIONS(2589),
    [anon_sym_template] = ACTIONS(2589),
    [anon_sym_operator] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_delete] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_namespace] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(2589),
    [anon_sym_static_assert] = ACTIONS(2589),
    [anon_sym_concept] = ACTIONS(2589),
    [anon_sym_co_return] = ACTIONS(2589),
    [anon_sym_co_yield] = ACTIONS(2589),
    [anon_sym_R_DQUOTE] = ACTIONS(2591),
    [anon_sym_LR_DQUOTE] = ACTIONS(2591),
    [anon_sym_uR_DQUOTE] = ACTIONS(2591),
    [anon_sym_UR_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2591),
    [anon_sym_co_await] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_requires] = ACTIONS(2589),
    [sym_this] = ACTIONS(2589),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym___attribute] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_else] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_include_token1] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2683),
    [aux_sym_preproc_if_token1] = ACTIONS(2683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2683),
    [sym_preproc_directive] = ACTIONS(2683),
    [anon_sym_LPAREN2] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym___extension__] = ACTIONS(2683),
    [anon_sym_typedef] = ACTIONS(2683),
    [anon_sym_virtual] = ACTIONS(2683),
    [anon_sym_extern] = ACTIONS(2683),
    [anon_sym___attribute__] = ACTIONS(2683),
    [anon_sym___attribute] = ACTIONS(2683),
    [anon_sym_COLON_COLON] = ACTIONS(2685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2685),
    [anon_sym___declspec] = ACTIONS(2683),
    [anon_sym___based] = ACTIONS(2683),
    [anon_sym___cdecl] = ACTIONS(2683),
    [anon_sym___clrcall] = ACTIONS(2683),
    [anon_sym___stdcall] = ACTIONS(2683),
    [anon_sym___fastcall] = ACTIONS(2683),
    [anon_sym___thiscall] = ACTIONS(2683),
    [anon_sym___vectorcall] = ACTIONS(2683),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_signed] = ACTIONS(2683),
    [anon_sym_unsigned] = ACTIONS(2683),
    [anon_sym_long] = ACTIONS(2683),
    [anon_sym_short] = ACTIONS(2683),
    [anon_sym_LBRACK] = ACTIONS(2683),
    [anon_sym_static] = ACTIONS(2683),
    [anon_sym_register] = ACTIONS(2683),
    [anon_sym_inline] = ACTIONS(2683),
    [anon_sym___inline] = ACTIONS(2683),
    [anon_sym___inline__] = ACTIONS(2683),
    [anon_sym___forceinline] = ACTIONS(2683),
    [anon_sym_thread_local] = ACTIONS(2683),
    [anon_sym___thread] = ACTIONS(2683),
    [anon_sym_const] = ACTIONS(2683),
    [anon_sym_constexpr] = ACTIONS(2683),
    [anon_sym_volatile] = ACTIONS(2683),
    [anon_sym_restrict] = ACTIONS(2683),
    [anon_sym___restrict__] = ACTIONS(2683),
    [anon_sym__Atomic] = ACTIONS(2683),
    [anon_sym__Noreturn] = ACTIONS(2683),
    [anon_sym_noreturn] = ACTIONS(2683),
    [anon_sym__Nonnull] = ACTIONS(2683),
    [anon_sym_mutable] = ACTIONS(2683),
    [anon_sym_constinit] = ACTIONS(2683),
    [anon_sym_consteval] = ACTIONS(2683),
    [anon_sym_alignas] = ACTIONS(2683),
    [anon_sym__Alignas] = ACTIONS(2683),
    [sym_primitive_type] = ACTIONS(2683),
    [anon_sym_enum] = ACTIONS(2683),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_struct] = ACTIONS(2683),
    [anon_sym_union] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_else] = ACTIONS(2683),
    [anon_sym_switch] = ACTIONS(2683),
    [anon_sym_case] = ACTIONS(2683),
    [anon_sym_default] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(2683),
    [anon_sym_for] = ACTIONS(2683),
    [anon_sym_return] = ACTIONS(2683),
    [anon_sym_break] = ACTIONS(2683),
    [anon_sym_continue] = ACTIONS(2683),
    [anon_sym_goto] = ACTIONS(2683),
    [anon_sym___try] = ACTIONS(2683),
    [anon_sym___leave] = ACTIONS(2683),
    [anon_sym_not] = ACTIONS(2683),
    [anon_sym_compl] = ACTIONS(2683),
    [anon_sym_DASH_DASH] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2685),
    [anon_sym_sizeof] = ACTIONS(2683),
    [anon_sym___alignof__] = ACTIONS(2683),
    [anon_sym___alignof] = ACTIONS(2683),
    [anon_sym__alignof] = ACTIONS(2683),
    [anon_sym_alignof] = ACTIONS(2683),
    [anon_sym__Alignof] = ACTIONS(2683),
    [anon_sym_offsetof] = ACTIONS(2683),
    [anon_sym__Generic] = ACTIONS(2683),
    [anon_sym_asm] = ACTIONS(2683),
    [anon_sym___asm__] = ACTIONS(2683),
    [anon_sym___asm] = ACTIONS(2683),
    [sym_number_literal] = ACTIONS(2685),
    [anon_sym_L_SQUOTE] = ACTIONS(2685),
    [anon_sym_u_SQUOTE] = ACTIONS(2685),
    [anon_sym_U_SQUOTE] = ACTIONS(2685),
    [anon_sym_u8_SQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2685),
    [anon_sym_L_DQUOTE] = ACTIONS(2685),
    [anon_sym_u_DQUOTE] = ACTIONS(2685),
    [anon_sym_U_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [sym_true] = ACTIONS(2683),
    [sym_false] = ACTIONS(2683),
    [anon_sym_NULL] = ACTIONS(2683),
    [anon_sym_nullptr] = ACTIONS(2683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2683),
    [anon_sym_decltype] = ACTIONS(2683),
    [anon_sym_explicit] = ACTIONS(2683),
    [anon_sym_typename] = ACTIONS(2683),
    [anon_sym_template] = ACTIONS(2683),
    [anon_sym_operator] = ACTIONS(2683),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_delete] = ACTIONS(2683),
    [anon_sym_throw] = ACTIONS(2683),
    [anon_sym_namespace] = ACTIONS(2683),
    [anon_sym_using] = ACTIONS(2683),
    [anon_sym_static_assert] = ACTIONS(2683),
    [anon_sym_concept] = ACTIONS(2683),
    [anon_sym_co_return] = ACTIONS(2683),
    [anon_sym_co_yield] = ACTIONS(2683),
    [anon_sym_R_DQUOTE] = ACTIONS(2685),
    [anon_sym_LR_DQUOTE] = ACTIONS(2685),
    [anon_sym_uR_DQUOTE] = ACTIONS(2685),
    [anon_sym_UR_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2685),
    [anon_sym_co_await] = ACTIONS(2683),
    [anon_sym_new] = ACTIONS(2683),
    [anon_sym_requires] = ACTIONS(2683),
    [sym_this] = ACTIONS(2683),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_include_token1] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym___cdecl] = ACTIONS(2699),
    [anon_sym___clrcall] = ACTIONS(2699),
    [anon_sym___stdcall] = ACTIONS(2699),
    [anon_sym___fastcall] = ACTIONS(2699),
    [anon_sym___thiscall] = ACTIONS(2699),
    [anon_sym___vectorcall] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
    [anon_sym_concept] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym___attribute] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym__Nonnull] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym__Alignas] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [anon_sym___asm] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(2697),
    [sym_identifier] = ACTIONS(2695),
    [aux_sym_preproc_include_token1] = ACTIONS(2695),
    [aux_sym_preproc_def_token1] = ACTIONS(2695),
    [aux_sym_preproc_if_token1] = ACTIONS(2695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2695),
    [sym_preproc_directive] = ACTIONS(2695),
    [anon_sym_LPAREN2] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym___extension__] = ACTIONS(2695),
    [anon_sym_typedef] = ACTIONS(2695),
    [anon_sym_virtual] = ACTIONS(2695),
    [anon_sym_extern] = ACTIONS(2695),
    [anon_sym___attribute__] = ACTIONS(2695),
    [anon_sym___attribute] = ACTIONS(2695),
    [anon_sym_COLON_COLON] = ACTIONS(2697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2697),
    [anon_sym___declspec] = ACTIONS(2695),
    [anon_sym___based] = ACTIONS(2695),
    [anon_sym___cdecl] = ACTIONS(2695),
    [anon_sym___clrcall] = ACTIONS(2695),
    [anon_sym___stdcall] = ACTIONS(2695),
    [anon_sym___fastcall] = ACTIONS(2695),
    [anon_sym___thiscall] = ACTIONS(2695),
    [anon_sym___vectorcall] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_signed] = ACTIONS(2695),
    [anon_sym_unsigned] = ACTIONS(2695),
    [anon_sym_long] = ACTIONS(2695),
    [anon_sym_short] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_register] = ACTIONS(2695),
    [anon_sym_inline] = ACTIONS(2695),
    [anon_sym___inline] = ACTIONS(2695),
    [anon_sym___inline__] = ACTIONS(2695),
    [anon_sym___forceinline] = ACTIONS(2695),
    [anon_sym_thread_local] = ACTIONS(2695),
    [anon_sym___thread] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_constexpr] = ACTIONS(2695),
    [anon_sym_volatile] = ACTIONS(2695),
    [anon_sym_restrict] = ACTIONS(2695),
    [anon_sym___restrict__] = ACTIONS(2695),
    [anon_sym__Atomic] = ACTIONS(2695),
    [anon_sym__Noreturn] = ACTIONS(2695),
    [anon_sym_noreturn] = ACTIONS(2695),
    [anon_sym__Nonnull] = ACTIONS(2695),
    [anon_sym_mutable] = ACTIONS(2695),
    [anon_sym_constinit] = ACTIONS(2695),
    [anon_sym_consteval] = ACTIONS(2695),
    [anon_sym_alignas] = ACTIONS(2695),
    [anon_sym__Alignas] = ACTIONS(2695),
    [sym_primitive_type] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(2695),
    [anon_sym_union] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2695),
    [anon_sym_switch] = ACTIONS(2695),
    [anon_sym_case] = ACTIONS(2695),
    [anon_sym_default] = ACTIONS(2695),
    [anon_sym_while] = ACTIONS(2695),
    [anon_sym_do] = ACTIONS(2695),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_return] = ACTIONS(2695),
    [anon_sym_break] = ACTIONS(2695),
    [anon_sym_continue] = ACTIONS(2695),
    [anon_sym_goto] = ACTIONS(2695),
    [anon_sym___try] = ACTIONS(2695),
    [anon_sym___leave] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_compl] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_sizeof] = ACTIONS(2695),
    [anon_sym___alignof__] = ACTIONS(2695),
    [anon_sym___alignof] = ACTIONS(2695),
    [anon_sym__alignof] = ACTIONS(2695),
    [anon_sym_alignof] = ACTIONS(2695),
    [anon_sym__Alignof] = ACTIONS(2695),
    [anon_sym_offsetof] = ACTIONS(2695),
    [anon_sym__Generic] = ACTIONS(2695),
    [anon_sym_asm] = ACTIONS(2695),
    [anon_sym___asm__] = ACTIONS(2695),
    [anon_sym___asm] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2697),
    [anon_sym_L_SQUOTE] = ACTIONS(2697),
    [anon_sym_u_SQUOTE] = ACTIONS(2697),
    [anon_sym_U_SQUOTE] = ACTIONS(2697),
    [anon_sym_u8_SQUOTE] = ACTIONS(2697),
    [anon_sym_SQUOTE] = ACTIONS(2697),
    [anon_sym_L_DQUOTE] = ACTIONS(2697),
    [anon_sym_u_DQUOTE] = ACTIONS(2697),
    [anon_sym_U_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [sym_true] = ACTIONS(2695),
    [sym_false] = ACTIONS(2695),
    [anon_sym_NULL] = ACTIONS(2695),
    [anon_sym_nullptr] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2695),
    [anon_sym_decltype] = ACTIONS(2695),
    [anon_sym_explicit] = ACTIONS(2695),
    [anon_sym_typename] = ACTIONS(2695),
    [anon_sym_template] = ACTIONS(2695),
    [anon_sym_operator] = ACTIONS(2695),
    [anon_sym_try] = ACTIONS(2695),
    [anon_sym_delete] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2695),
    [anon_sym_namespace] = ACTIONS(2695),
    [anon_sym_using] = ACTIONS(2695),
    [anon_sym_static_assert] = ACTIONS(2695),
    [anon_sym_concept] = ACTIONS(2695),
    [anon_sym_co_return] = ACTIONS(2695),
    [anon_sym_co_yield] = ACTIONS(2695),
    [anon_sym_R_DQUOTE] = ACTIONS(2697),
    [anon_sym_LR_DQUOTE] = ACTIONS(2697),
    [anon_sym_uR_DQUOTE] = ACTIONS(2697),
    [anon_sym_UR_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2697),
    [anon_sym_co_await] = ACTIONS(2695),
    [anon_sym_new] = ACTIONS(2695),
    [anon_sym_requires] = ACTIONS(2695),
    [sym_this] = ACTIONS(2695),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2695),
    [aux_sym_preproc_include_token1] = ACTIONS(2695),
    [aux_sym_preproc_def_token1] = ACTIONS(2695),
    [aux_sym_preproc_if_token1] = ACTIONS(2695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2695),
    [sym_preproc_directive] = ACTIONS(2695),
    [anon_sym_LPAREN2] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym___extension__] = ACTIONS(2695),
    [anon_sym_typedef] = ACTIONS(2695),
    [anon_sym_virtual] = ACTIONS(2695),
    [anon_sym_extern] = ACTIONS(2695),
    [anon_sym___attribute__] = ACTIONS(2695),
    [anon_sym___attribute] = ACTIONS(2695),
    [anon_sym_COLON_COLON] = ACTIONS(2697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2697),
    [anon_sym___declspec] = ACTIONS(2695),
    [anon_sym___based] = ACTIONS(2695),
    [anon_sym___cdecl] = ACTIONS(2695),
    [anon_sym___clrcall] = ACTIONS(2695),
    [anon_sym___stdcall] = ACTIONS(2695),
    [anon_sym___fastcall] = ACTIONS(2695),
    [anon_sym___thiscall] = ACTIONS(2695),
    [anon_sym___vectorcall] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_RBRACE] = ACTIONS(2697),
    [anon_sym_signed] = ACTIONS(2695),
    [anon_sym_unsigned] = ACTIONS(2695),
    [anon_sym_long] = ACTIONS(2695),
    [anon_sym_short] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_register] = ACTIONS(2695),
    [anon_sym_inline] = ACTIONS(2695),
    [anon_sym___inline] = ACTIONS(2695),
    [anon_sym___inline__] = ACTIONS(2695),
    [anon_sym___forceinline] = ACTIONS(2695),
    [anon_sym_thread_local] = ACTIONS(2695),
    [anon_sym___thread] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_constexpr] = ACTIONS(2695),
    [anon_sym_volatile] = ACTIONS(2695),
    [anon_sym_restrict] = ACTIONS(2695),
    [anon_sym___restrict__] = ACTIONS(2695),
    [anon_sym__Atomic] = ACTIONS(2695),
    [anon_sym__Noreturn] = ACTIONS(2695),
    [anon_sym_noreturn] = ACTIONS(2695),
    [anon_sym__Nonnull] = ACTIONS(2695),
    [anon_sym_mutable] = ACTIONS(2695),
    [anon_sym_constinit] = ACTIONS(2695),
    [anon_sym_consteval] = ACTIONS(2695),
    [anon_sym_alignas] = ACTIONS(2695),
    [anon_sym__Alignas] = ACTIONS(2695),
    [sym_primitive_type] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(2695),
    [anon_sym_union] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2695),
    [anon_sym_switch] = ACTIONS(2695),
    [anon_sym_case] = ACTIONS(2695),
    [anon_sym_default] = ACTIONS(2695),
    [anon_sym_while] = ACTIONS(2695),
    [anon_sym_do] = ACTIONS(2695),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_return] = ACTIONS(2695),
    [anon_sym_break] = ACTIONS(2695),
    [anon_sym_continue] = ACTIONS(2695),
    [anon_sym_goto] = ACTIONS(2695),
    [anon_sym___try] = ACTIONS(2695),
    [anon_sym___leave] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_compl] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_sizeof] = ACTIONS(2695),
    [anon_sym___alignof__] = ACTIONS(2695),
    [anon_sym___alignof] = ACTIONS(2695),
    [anon_sym__alignof] = ACTIONS(2695),
    [anon_sym_alignof] = ACTIONS(2695),
    [anon_sym__Alignof] = ACTIONS(2695),
    [anon_sym_offsetof] = ACTIONS(2695),
    [anon_sym__Generic] = ACTIONS(2695),
    [anon_sym_asm] = ACTIONS(2695),
    [anon_sym___asm__] = ACTIONS(2695),
    [anon_sym___asm] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2697),
    [anon_sym_L_SQUOTE] = ACTIONS(2697),
    [anon_sym_u_SQUOTE] = ACTIONS(2697),
    [anon_sym_U_SQUOTE] = ACTIONS(2697),
    [anon_sym_u8_SQUOTE] = ACTIONS(2697),
    [anon_sym_SQUOTE] = ACTIONS(2697),
    [anon_sym_L_DQUOTE] = ACTIONS(2697),
    [anon_sym_u_DQUOTE] = ACTIONS(2697),
    [anon_sym_U_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [sym_true] = ACTIONS(2695),
    [sym_false] = ACTIONS(2695),
    [anon_sym_NULL] = ACTIONS(2695),
    [anon_sym_nullptr] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2695),
    [anon_sym_decltype] = ACTIONS(2695),
    [anon_sym_explicit] = ACTIONS(2695),
    [anon_sym_typename] = ACTIONS(2695),
    [anon_sym_template] = ACTIONS(2695),
    [anon_sym_operator] = ACTIONS(2695),
    [anon_sym_try] = ACTIONS(2695),
    [anon_sym_delete] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2695),
    [anon_sym_namespace] = ACTIONS(2695),
    [anon_sym_using] = ACTIONS(2695),
    [anon_sym_static_assert] = ACTIONS(2695),
    [anon_sym_concept] = ACTIONS(2695),
    [anon_sym_co_return] = ACTIONS(2695),
    [anon_sym_co_yield] = ACTIONS(2695),
    [anon_sym_R_DQUOTE] = ACTIONS(2697),
    [anon_sym_LR_DQUOTE] = ACTIONS(2697),
    [anon_sym_uR_DQUOTE] = ACTIONS(2697),
    [anon_sym_UR_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2697),
    [anon_sym_co_await] = ACTIONS(2695),
    [anon_sym_new] = ACTIONS(2695),
    [anon_sym_requires] = ACTIONS(2695),
    [sym_this] = ACTIONS(2695),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_include_token1] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym___cdecl] = ACTIONS(2699),
    [anon_sym___clrcall] = ACTIONS(2699),
    [anon_sym___stdcall] = ACTIONS(2699),
    [anon_sym___fastcall] = ACTIONS(2699),
    [anon_sym___thiscall] = ACTIONS(2699),
    [anon_sym___vectorcall] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
    [anon_sym_concept] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_include_token1] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym___cdecl] = ACTIONS(2699),
    [anon_sym___clrcall] = ACTIONS(2699),
    [anon_sym___stdcall] = ACTIONS(2699),
    [anon_sym___fastcall] = ACTIONS(2699),
    [anon_sym___thiscall] = ACTIONS(2699),
    [anon_sym___vectorcall] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
    [anon_sym_concept] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_include_token1] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym___cdecl] = ACTIONS(2699),
    [anon_sym___clrcall] = ACTIONS(2699),
    [anon_sym___stdcall] = ACTIONS(2699),
    [anon_sym___fastcall] = ACTIONS(2699),
    [anon_sym___thiscall] = ACTIONS(2699),
    [anon_sym___vectorcall] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
    [anon_sym_concept] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym___attribute] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym__Nonnull] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym__Alignas] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_include_token1] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym___cdecl] = ACTIONS(2699),
    [anon_sym___clrcall] = ACTIONS(2699),
    [anon_sym___stdcall] = ACTIONS(2699),
    [anon_sym___fastcall] = ACTIONS(2699),
    [anon_sym___thiscall] = ACTIONS(2699),
    [anon_sym___vectorcall] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
    [anon_sym_concept] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2723),
    [aux_sym_preproc_include_token1] = ACTIONS(2723),
    [aux_sym_preproc_def_token1] = ACTIONS(2723),
    [aux_sym_preproc_if_token1] = ACTIONS(2723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2723),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(2725),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2723),
    [anon_sym_typedef] = ACTIONS(2723),
    [anon_sym_virtual] = ACTIONS(2723),
    [anon_sym_extern] = ACTIONS(2723),
    [anon_sym___attribute__] = ACTIONS(2723),
    [anon_sym___attribute] = ACTIONS(2723),
    [anon_sym_COLON_COLON] = ACTIONS(2725),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2725),
    [anon_sym___declspec] = ACTIONS(2723),
    [anon_sym___based] = ACTIONS(2723),
    [anon_sym___cdecl] = ACTIONS(2723),
    [anon_sym___clrcall] = ACTIONS(2723),
    [anon_sym___stdcall] = ACTIONS(2723),
    [anon_sym___fastcall] = ACTIONS(2723),
    [anon_sym___thiscall] = ACTIONS(2723),
    [anon_sym___vectorcall] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2723),
    [anon_sym_unsigned] = ACTIONS(2723),
    [anon_sym_long] = ACTIONS(2723),
    [anon_sym_short] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_register] = ACTIONS(2723),
    [anon_sym_inline] = ACTIONS(2723),
    [anon_sym___inline] = ACTIONS(2723),
    [anon_sym___inline__] = ACTIONS(2723),
    [anon_sym___forceinline] = ACTIONS(2723),
    [anon_sym_thread_local] = ACTIONS(2723),
    [anon_sym___thread] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_constexpr] = ACTIONS(2723),
    [anon_sym_volatile] = ACTIONS(2723),
    [anon_sym_restrict] = ACTIONS(2723),
    [anon_sym___restrict__] = ACTIONS(2723),
    [anon_sym__Atomic] = ACTIONS(2723),
    [anon_sym__Noreturn] = ACTIONS(2723),
    [anon_sym_noreturn] = ACTIONS(2723),
    [anon_sym__Nonnull] = ACTIONS(2723),
    [anon_sym_mutable] = ACTIONS(2723),
    [anon_sym_constinit] = ACTIONS(2723),
    [anon_sym_consteval] = ACTIONS(2723),
    [anon_sym_alignas] = ACTIONS(2723),
    [anon_sym__Alignas] = ACTIONS(2723),
    [sym_primitive_type] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_struct] = ACTIONS(2723),
    [anon_sym_union] = ACTIONS(2723),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_else] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_case] = ACTIONS(2723),
    [anon_sym_default] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_goto] = ACTIONS(2723),
    [anon_sym___try] = ACTIONS(2723),
    [anon_sym___leave] = ACTIONS(2723),
    [anon_sym_not] = ACTIONS(2723),
    [anon_sym_compl] = ACTIONS(2723),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_sizeof] = ACTIONS(2723),
    [anon_sym___alignof__] = ACTIONS(2723),
    [anon_sym___alignof] = ACTIONS(2723),
    [anon_sym__alignof] = ACTIONS(2723),
    [anon_sym_alignof] = ACTIONS(2723),
    [anon_sym__Alignof] = ACTIONS(2723),
    [anon_sym_offsetof] = ACTIONS(2723),
    [anon_sym__Generic] = ACTIONS(2723),
    [anon_sym_asm] = ACTIONS(2723),
    [anon_sym___asm__] = ACTIONS(2723),
    [anon_sym___asm] = ACTIONS(2723),
    [sym_number_literal] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2725),
    [anon_sym_u_DQUOTE] = ACTIONS(2725),
    [anon_sym_U_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8_DQUOTE] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [anon_sym_NULL] = ACTIONS(2723),
    [anon_sym_nullptr] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2723),
    [anon_sym_decltype] = ACTIONS(2723),
    [anon_sym_explicit] = ACTIONS(2723),
    [anon_sym_typename] = ACTIONS(2723),
    [anon_sym_template] = ACTIONS(2723),
    [anon_sym_operator] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_namespace] = ACTIONS(2723),
    [anon_sym_using] = ACTIONS(2723),
    [anon_sym_static_assert] = ACTIONS(2723),
    [anon_sym_concept] = ACTIONS(2723),
    [anon_sym_co_return] = ACTIONS(2723),
    [anon_sym_co_yield] = ACTIONS(2723),
    [anon_sym_R_DQUOTE] = ACTIONS(2725),
    [anon_sym_LR_DQUOTE] = ACTIONS(2725),
    [anon_sym_uR_DQUOTE] = ACTIONS(2725),
    [anon_sym_UR_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2725),
    [anon_sym_co_await] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_requires] = ACTIONS(2723),
    [sym_this] = ACTIONS(2723),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2691),
    [aux_sym_preproc_include_token1] = ACTIONS(2691),
    [aux_sym_preproc_def_token1] = ACTIONS(2691),
    [aux_sym_preproc_if_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [sym_preproc_directive] = ACTIONS(2691),
    [anon_sym_LPAREN2] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2691),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2693),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym___extension__] = ACTIONS(2691),
    [anon_sym_typedef] = ACTIONS(2691),
    [anon_sym_virtual] = ACTIONS(2691),
    [anon_sym_extern] = ACTIONS(2691),
    [anon_sym___attribute__] = ACTIONS(2691),
    [anon_sym___attribute] = ACTIONS(2691),
    [anon_sym_COLON_COLON] = ACTIONS(2693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2693),
    [anon_sym___declspec] = ACTIONS(2691),
    [anon_sym___based] = ACTIONS(2691),
    [anon_sym___cdecl] = ACTIONS(2691),
    [anon_sym___clrcall] = ACTIONS(2691),
    [anon_sym___stdcall] = ACTIONS(2691),
    [anon_sym___fastcall] = ACTIONS(2691),
    [anon_sym___thiscall] = ACTIONS(2691),
    [anon_sym___vectorcall] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(2693),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_signed] = ACTIONS(2691),
    [anon_sym_unsigned] = ACTIONS(2691),
    [anon_sym_long] = ACTIONS(2691),
    [anon_sym_short] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_static] = ACTIONS(2691),
    [anon_sym_register] = ACTIONS(2691),
    [anon_sym_inline] = ACTIONS(2691),
    [anon_sym___inline] = ACTIONS(2691),
    [anon_sym___inline__] = ACTIONS(2691),
    [anon_sym___forceinline] = ACTIONS(2691),
    [anon_sym_thread_local] = ACTIONS(2691),
    [anon_sym___thread] = ACTIONS(2691),
    [anon_sym_const] = ACTIONS(2691),
    [anon_sym_constexpr] = ACTIONS(2691),
    [anon_sym_volatile] = ACTIONS(2691),
    [anon_sym_restrict] = ACTIONS(2691),
    [anon_sym___restrict__] = ACTIONS(2691),
    [anon_sym__Atomic] = ACTIONS(2691),
    [anon_sym__Noreturn] = ACTIONS(2691),
    [anon_sym_noreturn] = ACTIONS(2691),
    [anon_sym__Nonnull] = ACTIONS(2691),
    [anon_sym_mutable] = ACTIONS(2691),
    [anon_sym_constinit] = ACTIONS(2691),
    [anon_sym_consteval] = ACTIONS(2691),
    [anon_sym_alignas] = ACTIONS(2691),
    [anon_sym__Alignas] = ACTIONS(2691),
    [sym_primitive_type] = ACTIONS(2691),
    [anon_sym_enum] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2691),
    [anon_sym_struct] = ACTIONS(2691),
    [anon_sym_union] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2691),
    [anon_sym_switch] = ACTIONS(2691),
    [anon_sym_case] = ACTIONS(2691),
    [anon_sym_default] = ACTIONS(2691),
    [anon_sym_while] = ACTIONS(2691),
    [anon_sym_do] = ACTIONS(2691),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_return] = ACTIONS(2691),
    [anon_sym_break] = ACTIONS(2691),
    [anon_sym_continue] = ACTIONS(2691),
    [anon_sym_goto] = ACTIONS(2691),
    [anon_sym___try] = ACTIONS(2691),
    [anon_sym___leave] = ACTIONS(2691),
    [anon_sym_not] = ACTIONS(2691),
    [anon_sym_compl] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_sizeof] = ACTIONS(2691),
    [anon_sym___alignof__] = ACTIONS(2691),
    [anon_sym___alignof] = ACTIONS(2691),
    [anon_sym__alignof] = ACTIONS(2691),
    [anon_sym_alignof] = ACTIONS(2691),
    [anon_sym__Alignof] = ACTIONS(2691),
    [anon_sym_offsetof] = ACTIONS(2691),
    [anon_sym__Generic] = ACTIONS(2691),
    [anon_sym_asm] = ACTIONS(2691),
    [anon_sym___asm__] = ACTIONS(2691),
    [anon_sym___asm] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2693),
    [anon_sym_L_SQUOTE] = ACTIONS(2693),
    [anon_sym_u_SQUOTE] = ACTIONS(2693),
    [anon_sym_U_SQUOTE] = ACTIONS(2693),
    [anon_sym_u8_SQUOTE] = ACTIONS(2693),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_L_DQUOTE] = ACTIONS(2693),
    [anon_sym_u_DQUOTE] = ACTIONS(2693),
    [anon_sym_U_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [sym_true] = ACTIONS(2691),
    [sym_false] = ACTIONS(2691),
    [anon_sym_NULL] = ACTIONS(2691),
    [anon_sym_nullptr] = ACTIONS(2691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2691),
    [anon_sym_decltype] = ACTIONS(2691),
    [anon_sym_explicit] = ACTIONS(2691),
    [anon_sym_typename] = ACTIONS(2691),
    [anon_sym_template] = ACTIONS(2691),
    [anon_sym_operator] = ACTIONS(2691),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_delete] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2691),
    [anon_sym_namespace] = ACTIONS(2691),
    [anon_sym_using] = ACTIONS(2691),
    [anon_sym_static_assert] = ACTIONS(2691),
    [anon_sym_concept] = ACTIONS(2691),
    [anon_sym_co_return] = ACTIONS(2691),
    [anon_sym_co_yield] = ACTIONS(2691),
    [anon_sym_R_DQUOTE] = ACTIONS(2693),
    [anon_sym_LR_DQUOTE] = ACTIONS(2693),
    [anon_sym_uR_DQUOTE] = ACTIONS(2693),
    [anon_sym_UR_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2693),
    [anon_sym_co_await] = ACTIONS(2691),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_requires] = ACTIONS(2691),
    [sym_this] = ACTIONS(2691),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2719),
    [aux_sym_preproc_include_token1] = ACTIONS(2719),
    [aux_sym_preproc_def_token1] = ACTIONS(2719),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2719),
    [sym_preproc_directive] = ACTIONS(2719),
    [anon_sym_LPAREN2] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2719),
    [anon_sym_typedef] = ACTIONS(2719),
    [anon_sym_virtual] = ACTIONS(2719),
    [anon_sym_extern] = ACTIONS(2719),
    [anon_sym___attribute__] = ACTIONS(2719),
    [anon_sym___attribute] = ACTIONS(2719),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2721),
    [anon_sym___declspec] = ACTIONS(2719),
    [anon_sym___based] = ACTIONS(2719),
    [anon_sym___cdecl] = ACTIONS(2719),
    [anon_sym___clrcall] = ACTIONS(2719),
    [anon_sym___stdcall] = ACTIONS(2719),
    [anon_sym___fastcall] = ACTIONS(2719),
    [anon_sym___thiscall] = ACTIONS(2719),
    [anon_sym___vectorcall] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2719),
    [anon_sym_unsigned] = ACTIONS(2719),
    [anon_sym_long] = ACTIONS(2719),
    [anon_sym_short] = ACTIONS(2719),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [anon_sym_static] = ACTIONS(2719),
    [anon_sym_register] = ACTIONS(2719),
    [anon_sym_inline] = ACTIONS(2719),
    [anon_sym___inline] = ACTIONS(2719),
    [anon_sym___inline__] = ACTIONS(2719),
    [anon_sym___forceinline] = ACTIONS(2719),
    [anon_sym_thread_local] = ACTIONS(2719),
    [anon_sym___thread] = ACTIONS(2719),
    [anon_sym_const] = ACTIONS(2719),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(2719),
    [anon_sym_restrict] = ACTIONS(2719),
    [anon_sym___restrict__] = ACTIONS(2719),
    [anon_sym__Atomic] = ACTIONS(2719),
    [anon_sym__Noreturn] = ACTIONS(2719),
    [anon_sym_noreturn] = ACTIONS(2719),
    [anon_sym__Nonnull] = ACTIONS(2719),
    [anon_sym_mutable] = ACTIONS(2719),
    [anon_sym_constinit] = ACTIONS(2719),
    [anon_sym_consteval] = ACTIONS(2719),
    [anon_sym_alignas] = ACTIONS(2719),
    [anon_sym__Alignas] = ACTIONS(2719),
    [sym_primitive_type] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(2719),
    [anon_sym_class] = ACTIONS(2719),
    [anon_sym_struct] = ACTIONS(2719),
    [anon_sym_union] = ACTIONS(2719),
    [anon_sym_if] = ACTIONS(2719),
    [anon_sym_else] = ACTIONS(2719),
    [anon_sym_switch] = ACTIONS(2719),
    [anon_sym_case] = ACTIONS(2719),
    [anon_sym_default] = ACTIONS(2719),
    [anon_sym_while] = ACTIONS(2719),
    [anon_sym_do] = ACTIONS(2719),
    [anon_sym_for] = ACTIONS(2719),
    [anon_sym_return] = ACTIONS(2719),
    [anon_sym_break] = ACTIONS(2719),
    [anon_sym_continue] = ACTIONS(2719),
    [anon_sym_goto] = ACTIONS(2719),
    [anon_sym___try] = ACTIONS(2719),
    [anon_sym___leave] = ACTIONS(2719),
    [anon_sym_not] = ACTIONS(2719),
    [anon_sym_compl] = ACTIONS(2719),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_sizeof] = ACTIONS(2719),
    [anon_sym___alignof__] = ACTIONS(2719),
    [anon_sym___alignof] = ACTIONS(2719),
    [anon_sym__alignof] = ACTIONS(2719),
    [anon_sym_alignof] = ACTIONS(2719),
    [anon_sym__Alignof] = ACTIONS(2719),
    [anon_sym_offsetof] = ACTIONS(2719),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2719),
    [anon_sym___asm__] = ACTIONS(2719),
    [anon_sym___asm] = ACTIONS(2719),
    [sym_number_literal] = ACTIONS(2721),
    [anon_sym_L_SQUOTE] = ACTIONS(2721),
    [anon_sym_u_SQUOTE] = ACTIONS(2721),
    [anon_sym_U_SQUOTE] = ACTIONS(2721),
    [anon_sym_u8_SQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_L_DQUOTE] = ACTIONS(2721),
    [anon_sym_u_DQUOTE] = ACTIONS(2721),
    [anon_sym_U_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8_DQUOTE] = ACTIONS(2721),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [sym_true] = ACTIONS(2719),
    [sym_false] = ACTIONS(2719),
    [anon_sym_NULL] = ACTIONS(2719),
    [anon_sym_nullptr] = ACTIONS(2719),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2719),
    [anon_sym_decltype] = ACTIONS(2719),
    [anon_sym_explicit] = ACTIONS(2719),
    [anon_sym_typename] = ACTIONS(2719),
    [anon_sym_template] = ACTIONS(2719),
    [anon_sym_operator] = ACTIONS(2719),
    [anon_sym_try] = ACTIONS(2719),
    [anon_sym_delete] = ACTIONS(2719),
    [anon_sym_throw] = ACTIONS(2719),
    [anon_sym_namespace] = ACTIONS(2719),
    [anon_sym_using] = ACTIONS(2719),
    [anon_sym_static_assert] = ACTIONS(2719),
    [anon_sym_concept] = ACTIONS(2719),
    [anon_sym_co_return] = ACTIONS(2719),
    [anon_sym_co_yield] = ACTIONS(2719),
    [anon_sym_R_DQUOTE] = ACTIONS(2721),
    [anon_sym_LR_DQUOTE] = ACTIONS(2721),
    [anon_sym_uR_DQUOTE] = ACTIONS(2721),
    [anon_sym_UR_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2721),
    [anon_sym_co_await] = ACTIONS(2719),
    [anon_sym_new] = ACTIONS(2719),
    [anon_sym_requires] = ACTIONS(2719),
    [sym_this] = ACTIONS(2719),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym___attribute] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_else] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2605),
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token2] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym___extension__] = ACTIONS(2605),
    [anon_sym_typedef] = ACTIONS(2605),
    [anon_sym_virtual] = ACTIONS(2605),
    [anon_sym_extern] = ACTIONS(2605),
    [anon_sym___attribute__] = ACTIONS(2605),
    [anon_sym___attribute] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym___declspec] = ACTIONS(2605),
    [anon_sym___based] = ACTIONS(2605),
    [anon_sym___cdecl] = ACTIONS(2605),
    [anon_sym___clrcall] = ACTIONS(2605),
    [anon_sym___stdcall] = ACTIONS(2605),
    [anon_sym___fastcall] = ACTIONS(2605),
    [anon_sym___thiscall] = ACTIONS(2605),
    [anon_sym___vectorcall] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_signed] = ACTIONS(2605),
    [anon_sym_unsigned] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_register] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym___inline] = ACTIONS(2605),
    [anon_sym___inline__] = ACTIONS(2605),
    [anon_sym___forceinline] = ACTIONS(2605),
    [anon_sym_thread_local] = ACTIONS(2605),
    [anon_sym___thread] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_constexpr] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_restrict] = ACTIONS(2605),
    [anon_sym___restrict__] = ACTIONS(2605),
    [anon_sym__Atomic] = ACTIONS(2605),
    [anon_sym__Noreturn] = ACTIONS(2605),
    [anon_sym_noreturn] = ACTIONS(2605),
    [anon_sym__Nonnull] = ACTIONS(2605),
    [anon_sym_mutable] = ACTIONS(2605),
    [anon_sym_constinit] = ACTIONS(2605),
    [anon_sym_consteval] = ACTIONS(2605),
    [anon_sym_alignas] = ACTIONS(2605),
    [anon_sym__Alignas] = ACTIONS(2605),
    [sym_primitive_type] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_switch] = ACTIONS(2605),
    [anon_sym_case] = ACTIONS(2605),
    [anon_sym_default] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_do] = ACTIONS(2605),
    [anon_sym_for] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_break] = ACTIONS(2605),
    [anon_sym_continue] = ACTIONS(2605),
    [anon_sym_goto] = ACTIONS(2605),
    [anon_sym___try] = ACTIONS(2605),
    [anon_sym___leave] = ACTIONS(2605),
    [anon_sym_not] = ACTIONS(2605),
    [anon_sym_compl] = ACTIONS(2605),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_sizeof] = ACTIONS(2605),
    [anon_sym___alignof__] = ACTIONS(2605),
    [anon_sym___alignof] = ACTIONS(2605),
    [anon_sym__alignof] = ACTIONS(2605),
    [anon_sym_alignof] = ACTIONS(2605),
    [anon_sym__Alignof] = ACTIONS(2605),
    [anon_sym_offsetof] = ACTIONS(2605),
    [anon_sym__Generic] = ACTIONS(2605),
    [anon_sym_asm] = ACTIONS(2605),
    [anon_sym___asm__] = ACTIONS(2605),
    [anon_sym___asm] = ACTIONS(2605),
    [sym_number_literal] = ACTIONS(2607),
    [anon_sym_L_SQUOTE] = ACTIONS(2607),
    [anon_sym_u_SQUOTE] = ACTIONS(2607),
    [anon_sym_U_SQUOTE] = ACTIONS(2607),
    [anon_sym_u8_SQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_L_DQUOTE] = ACTIONS(2607),
    [anon_sym_u_DQUOTE] = ACTIONS(2607),
    [anon_sym_U_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8_DQUOTE] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [sym_true] = ACTIONS(2605),
    [sym_false] = ACTIONS(2605),
    [anon_sym_NULL] = ACTIONS(2605),
    [anon_sym_nullptr] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2605),
    [anon_sym_decltype] = ACTIONS(2605),
    [anon_sym_explicit] = ACTIONS(2605),
    [anon_sym_typename] = ACTIONS(2605),
    [anon_sym_template] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_delete] = ACTIONS(2605),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_namespace] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_static_assert] = ACTIONS(2605),
    [anon_sym_concept] = ACTIONS(2605),
    [anon_sym_co_return] = ACTIONS(2605),
    [anon_sym_co_yield] = ACTIONS(2605),
    [anon_sym_R_DQUOTE] = ACTIONS(2607),
    [anon_sym_LR_DQUOTE] = ACTIONS(2607),
    [anon_sym_uR_DQUOTE] = ACTIONS(2607),
    [anon_sym_UR_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2607),
    [anon_sym_co_await] = ACTIONS(2605),
    [anon_sym_new] = ACTIONS(2605),
    [anon_sym_requires] = ACTIONS(2605),
    [sym_this] = ACTIONS(2605),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2609),
    [aux_sym_preproc_include_token1] = ACTIONS(2609),
    [aux_sym_preproc_def_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2609),
    [sym_preproc_directive] = ACTIONS(2609),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_AMP_AMP] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2609),
    [anon_sym_typedef] = ACTIONS(2609),
    [anon_sym_virtual] = ACTIONS(2609),
    [anon_sym_extern] = ACTIONS(2609),
    [anon_sym___attribute__] = ACTIONS(2609),
    [anon_sym___attribute] = ACTIONS(2609),
    [anon_sym_COLON_COLON] = ACTIONS(2611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2609),
    [anon_sym___based] = ACTIONS(2609),
    [anon_sym___cdecl] = ACTIONS(2609),
    [anon_sym___clrcall] = ACTIONS(2609),
    [anon_sym___stdcall] = ACTIONS(2609),
    [anon_sym___fastcall] = ACTIONS(2609),
    [anon_sym___thiscall] = ACTIONS(2609),
    [anon_sym___vectorcall] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_RBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2609),
    [anon_sym_unsigned] = ACTIONS(2609),
    [anon_sym_long] = ACTIONS(2609),
    [anon_sym_short] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2609),
    [anon_sym_static] = ACTIONS(2609),
    [anon_sym_register] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(2609),
    [anon_sym___inline] = ACTIONS(2609),
    [anon_sym___inline__] = ACTIONS(2609),
    [anon_sym___forceinline] = ACTIONS(2609),
    [anon_sym_thread_local] = ACTIONS(2609),
    [anon_sym___thread] = ACTIONS(2609),
    [anon_sym_const] = ACTIONS(2609),
    [anon_sym_constexpr] = ACTIONS(2609),
    [anon_sym_volatile] = ACTIONS(2609),
    [anon_sym_restrict] = ACTIONS(2609),
    [anon_sym___restrict__] = ACTIONS(2609),
    [anon_sym__Atomic] = ACTIONS(2609),
    [anon_sym__Noreturn] = ACTIONS(2609),
    [anon_sym_noreturn] = ACTIONS(2609),
    [anon_sym__Nonnull] = ACTIONS(2609),
    [anon_sym_mutable] = ACTIONS(2609),
    [anon_sym_constinit] = ACTIONS(2609),
    [anon_sym_consteval] = ACTIONS(2609),
    [anon_sym_alignas] = ACTIONS(2609),
    [anon_sym__Alignas] = ACTIONS(2609),
    [sym_primitive_type] = ACTIONS(2609),
    [anon_sym_enum] = ACTIONS(2609),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2609),
    [anon_sym_union] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2609),
    [anon_sym_switch] = ACTIONS(2609),
    [anon_sym_case] = ACTIONS(2609),
    [anon_sym_default] = ACTIONS(2609),
    [anon_sym_while] = ACTIONS(2609),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_for] = ACTIONS(2609),
    [anon_sym_return] = ACTIONS(2609),
    [anon_sym_break] = ACTIONS(2609),
    [anon_sym_continue] = ACTIONS(2609),
    [anon_sym_goto] = ACTIONS(2609),
    [anon_sym___try] = ACTIONS(2609),
    [anon_sym___leave] = ACTIONS(2609),
    [anon_sym_not] = ACTIONS(2609),
    [anon_sym_compl] = ACTIONS(2609),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2609),
    [anon_sym___alignof__] = ACTIONS(2609),
    [anon_sym___alignof] = ACTIONS(2609),
    [anon_sym__alignof] = ACTIONS(2609),
    [anon_sym_alignof] = ACTIONS(2609),
    [anon_sym__Alignof] = ACTIONS(2609),
    [anon_sym_offsetof] = ACTIONS(2609),
    [anon_sym__Generic] = ACTIONS(2609),
    [anon_sym_asm] = ACTIONS(2609),
    [anon_sym___asm__] = ACTIONS(2609),
    [anon_sym___asm] = ACTIONS(2609),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2609),
    [sym_false] = ACTIONS(2609),
    [anon_sym_NULL] = ACTIONS(2609),
    [anon_sym_nullptr] = ACTIONS(2609),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2609),
    [anon_sym_decltype] = ACTIONS(2609),
    [anon_sym_explicit] = ACTIONS(2609),
    [anon_sym_typename] = ACTIONS(2609),
    [anon_sym_template] = ACTIONS(2609),
    [anon_sym_operator] = ACTIONS(2609),
    [anon_sym_try] = ACTIONS(2609),
    [anon_sym_delete] = ACTIONS(2609),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_using] = ACTIONS(2609),
    [anon_sym_static_assert] = ACTIONS(2609),
    [anon_sym_concept] = ACTIONS(2609),
    [anon_sym_co_return] = ACTIONS(2609),
    [anon_sym_co_yield] = ACTIONS(2609),
    [anon_sym_R_DQUOTE] = ACTIONS(2611),
    [anon_sym_LR_DQUOTE] = ACTIONS(2611),
    [anon_sym_uR_DQUOTE] = ACTIONS(2611),
    [anon_sym_UR_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2611),
    [anon_sym_co_await] = ACTIONS(2609),
    [anon_sym_new] = ACTIONS(2609),
    [anon_sym_requires] = ACTIONS(2609),
    [sym_this] = ACTIONS(2609),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2613),
    [aux_sym_preproc_include_token1] = ACTIONS(2613),
    [aux_sym_preproc_def_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2613),
    [sym_preproc_directive] = ACTIONS(2613),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(2613),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym___extension__] = ACTIONS(2613),
    [anon_sym_typedef] = ACTIONS(2613),
    [anon_sym_virtual] = ACTIONS(2613),
    [anon_sym_extern] = ACTIONS(2613),
    [anon_sym___attribute__] = ACTIONS(2613),
    [anon_sym___attribute] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2615),
    [anon_sym___declspec] = ACTIONS(2613),
    [anon_sym___based] = ACTIONS(2613),
    [anon_sym___cdecl] = ACTIONS(2613),
    [anon_sym___clrcall] = ACTIONS(2613),
    [anon_sym___stdcall] = ACTIONS(2613),
    [anon_sym___fastcall] = ACTIONS(2613),
    [anon_sym___thiscall] = ACTIONS(2613),
    [anon_sym___vectorcall] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_RBRACE] = ACTIONS(2615),
    [anon_sym_signed] = ACTIONS(2613),
    [anon_sym_unsigned] = ACTIONS(2613),
    [anon_sym_long] = ACTIONS(2613),
    [anon_sym_short] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_static] = ACTIONS(2613),
    [anon_sym_register] = ACTIONS(2613),
    [anon_sym_inline] = ACTIONS(2613),
    [anon_sym___inline] = ACTIONS(2613),
    [anon_sym___inline__] = ACTIONS(2613),
    [anon_sym___forceinline] = ACTIONS(2613),
    [anon_sym_thread_local] = ACTIONS(2613),
    [anon_sym___thread] = ACTIONS(2613),
    [anon_sym_const] = ACTIONS(2613),
    [anon_sym_constexpr] = ACTIONS(2613),
    [anon_sym_volatile] = ACTIONS(2613),
    [anon_sym_restrict] = ACTIONS(2613),
    [anon_sym___restrict__] = ACTIONS(2613),
    [anon_sym__Atomic] = ACTIONS(2613),
    [anon_sym__Noreturn] = ACTIONS(2613),
    [anon_sym_noreturn] = ACTIONS(2613),
    [anon_sym__Nonnull] = ACTIONS(2613),
    [anon_sym_mutable] = ACTIONS(2613),
    [anon_sym_constinit] = ACTIONS(2613),
    [anon_sym_consteval] = ACTIONS(2613),
    [anon_sym_alignas] = ACTIONS(2613),
    [anon_sym__Alignas] = ACTIONS(2613),
    [sym_primitive_type] = ACTIONS(2613),
    [anon_sym_enum] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_struct] = ACTIONS(2613),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_if] = ACTIONS(2613),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_switch] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_do] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_break] = ACTIONS(2613),
    [anon_sym_continue] = ACTIONS(2613),
    [anon_sym_goto] = ACTIONS(2613),
    [anon_sym___try] = ACTIONS(2613),
    [anon_sym___leave] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2613),
    [anon_sym_compl] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2613),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2613),
    [anon_sym__Generic] = ACTIONS(2613),
    [anon_sym_asm] = ACTIONS(2613),
    [anon_sym___asm__] = ACTIONS(2613),
    [anon_sym___asm] = ACTIONS(2613),
    [sym_number_literal] = ACTIONS(2615),
    [anon_sym_L_SQUOTE] = ACTIONS(2615),
    [anon_sym_u_SQUOTE] = ACTIONS(2615),
    [anon_sym_U_SQUOTE] = ACTIONS(2615),
    [anon_sym_u8_SQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE] = ACTIONS(2615),
    [anon_sym_L_DQUOTE] = ACTIONS(2615),
    [anon_sym_u_DQUOTE] = ACTIONS(2615),
    [anon_sym_U_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [sym_true] = ACTIONS(2613),
    [sym_false] = ACTIONS(2613),
    [anon_sym_NULL] = ACTIONS(2613),
    [anon_sym_nullptr] = ACTIONS(2613),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2613),
    [anon_sym_decltype] = ACTIONS(2613),
    [anon_sym_explicit] = ACTIONS(2613),
    [anon_sym_typename] = ACTIONS(2613),
    [anon_sym_template] = ACTIONS(2613),
    [anon_sym_operator] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2613),
    [anon_sym_delete] = ACTIONS(2613),
    [anon_sym_throw] = ACTIONS(2613),
    [anon_sym_namespace] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(2613),
    [anon_sym_static_assert] = ACTIONS(2613),
    [anon_sym_concept] = ACTIONS(2613),
    [anon_sym_co_return] = ACTIONS(2613),
    [anon_sym_co_yield] = ACTIONS(2613),
    [anon_sym_R_DQUOTE] = ACTIONS(2615),
    [anon_sym_LR_DQUOTE] = ACTIONS(2615),
    [anon_sym_uR_DQUOTE] = ACTIONS(2615),
    [anon_sym_UR_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2615),
    [anon_sym_co_await] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_requires] = ACTIONS(2613),
    [sym_this] = ACTIONS(2613),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym___attribute] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_RBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym__Nonnull] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym__Alignas] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [anon_sym___asm] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym___attribute] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym__Nonnull] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym__Alignas] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2585),
    [aux_sym_preproc_include_token1] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2585),
    [anon_sym_STAR] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym___extension__] = ACTIONS(2585),
    [anon_sym_typedef] = ACTIONS(2585),
    [anon_sym_virtual] = ACTIONS(2585),
    [anon_sym_extern] = ACTIONS(2585),
    [anon_sym___attribute__] = ACTIONS(2585),
    [anon_sym___attribute] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2587),
    [anon_sym___declspec] = ACTIONS(2585),
    [anon_sym___based] = ACTIONS(2585),
    [anon_sym___cdecl] = ACTIONS(2585),
    [anon_sym___clrcall] = ACTIONS(2585),
    [anon_sym___stdcall] = ACTIONS(2585),
    [anon_sym___fastcall] = ACTIONS(2585),
    [anon_sym___thiscall] = ACTIONS(2585),
    [anon_sym___vectorcall] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_RBRACE] = ACTIONS(2587),
    [anon_sym_signed] = ACTIONS(2585),
    [anon_sym_unsigned] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_register] = ACTIONS(2585),
    [anon_sym_inline] = ACTIONS(2585),
    [anon_sym___inline] = ACTIONS(2585),
    [anon_sym___inline__] = ACTIONS(2585),
    [anon_sym___forceinline] = ACTIONS(2585),
    [anon_sym_thread_local] = ACTIONS(2585),
    [anon_sym___thread] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_constexpr] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_restrict] = ACTIONS(2585),
    [anon_sym___restrict__] = ACTIONS(2585),
    [anon_sym__Atomic] = ACTIONS(2585),
    [anon_sym__Noreturn] = ACTIONS(2585),
    [anon_sym_noreturn] = ACTIONS(2585),
    [anon_sym__Nonnull] = ACTIONS(2585),
    [anon_sym_mutable] = ACTIONS(2585),
    [anon_sym_constinit] = ACTIONS(2585),
    [anon_sym_consteval] = ACTIONS(2585),
    [anon_sym_alignas] = ACTIONS(2585),
    [anon_sym__Alignas] = ACTIONS(2585),
    [sym_primitive_type] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_union] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_switch] = ACTIONS(2585),
    [anon_sym_case] = ACTIONS(2585),
    [anon_sym_default] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_break] = ACTIONS(2585),
    [anon_sym_continue] = ACTIONS(2585),
    [anon_sym_goto] = ACTIONS(2585),
    [anon_sym___try] = ACTIONS(2585),
    [anon_sym___leave] = ACTIONS(2585),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_compl] = ACTIONS(2585),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_sizeof] = ACTIONS(2585),
    [anon_sym___alignof__] = ACTIONS(2585),
    [anon_sym___alignof] = ACTIONS(2585),
    [anon_sym__alignof] = ACTIONS(2585),
    [anon_sym_alignof] = ACTIONS(2585),
    [anon_sym__Alignof] = ACTIONS(2585),
    [anon_sym_offsetof] = ACTIONS(2585),
    [anon_sym__Generic] = ACTIONS(2585),
    [anon_sym_asm] = ACTIONS(2585),
    [anon_sym___asm__] = ACTIONS(2585),
    [anon_sym___asm] = ACTIONS(2585),
    [sym_number_literal] = ACTIONS(2587),
    [anon_sym_L_SQUOTE] = ACTIONS(2587),
    [anon_sym_u_SQUOTE] = ACTIONS(2587),
    [anon_sym_U_SQUOTE] = ACTIONS(2587),
    [anon_sym_u8_SQUOTE] = ACTIONS(2587),
    [anon_sym_SQUOTE] = ACTIONS(2587),
    [anon_sym_L_DQUOTE] = ACTIONS(2587),
    [anon_sym_u_DQUOTE] = ACTIONS(2587),
    [anon_sym_U_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [anon_sym_NULL] = ACTIONS(2585),
    [anon_sym_nullptr] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2585),
    [anon_sym_decltype] = ACTIONS(2585),
    [anon_sym_explicit] = ACTIONS(2585),
    [anon_sym_typename] = ACTIONS(2585),
    [anon_sym_template] = ACTIONS(2585),
    [anon_sym_operator] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_delete] = ACTIONS(2585),
    [anon_sym_throw] = ACTIONS(2585),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_static_assert] = ACTIONS(2585),
    [anon_sym_concept] = ACTIONS(2585),
    [anon_sym_co_return] = ACTIONS(2585),
    [anon_sym_co_yield] = ACTIONS(2585),
    [anon_sym_R_DQUOTE] = ACTIONS(2587),
    [anon_sym_LR_DQUOTE] = ACTIONS(2587),
    [anon_sym_uR_DQUOTE] = ACTIONS(2587),
    [anon_sym_UR_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2587),
    [anon_sym_co_await] = ACTIONS(2585),
    [anon_sym_new] = ACTIONS(2585),
    [anon_sym_requires] = ACTIONS(2585),
    [sym_this] = ACTIONS(2585),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym___attribute] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_else] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
  },
  [486] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2585),
    [aux_sym_preproc_include_token1] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token2] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2585),
    [anon_sym_STAR] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym___extension__] = ACTIONS(2585),
    [anon_sym_typedef] = ACTIONS(2585),
    [anon_sym_virtual] = ACTIONS(2585),
    [anon_sym_extern] = ACTIONS(2585),
    [anon_sym___attribute__] = ACTIONS(2585),
    [anon_sym___attribute] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2587),
    [anon_sym___declspec] = ACTIONS(2585),
    [anon_sym___based] = ACTIONS(2585),
    [anon_sym___cdecl] = ACTIONS(2585),
    [anon_sym___clrcall] = ACTIONS(2585),
    [anon_sym___stdcall] = ACTIONS(2585),
    [anon_sym___fastcall] = ACTIONS(2585),
    [anon_sym___thiscall] = ACTIONS(2585),
    [anon_sym___vectorcall] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_signed] = ACTIONS(2585),
    [anon_sym_unsigned] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_register] = ACTIONS(2585),
    [anon_sym_inline] = ACTIONS(2585),
    [anon_sym___inline] = ACTIONS(2585),
    [anon_sym___inline__] = ACTIONS(2585),
    [anon_sym___forceinline] = ACTIONS(2585),
    [anon_sym_thread_local] = ACTIONS(2585),
    [anon_sym___thread] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_constexpr] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_restrict] = ACTIONS(2585),
    [anon_sym___restrict__] = ACTIONS(2585),
    [anon_sym__Atomic] = ACTIONS(2585),
    [anon_sym__Noreturn] = ACTIONS(2585),
    [anon_sym_noreturn] = ACTIONS(2585),
    [anon_sym__Nonnull] = ACTIONS(2585),
    [anon_sym_mutable] = ACTIONS(2585),
    [anon_sym_constinit] = ACTIONS(2585),
    [anon_sym_consteval] = ACTIONS(2585),
    [anon_sym_alignas] = ACTIONS(2585),
    [anon_sym__Alignas] = ACTIONS(2585),
    [sym_primitive_type] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_union] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_switch] = ACTIONS(2585),
    [anon_sym_case] = ACTIONS(2585),
    [anon_sym_default] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_break] = ACTIONS(2585),
    [anon_sym_continue] = ACTIONS(2585),
    [anon_sym_goto] = ACTIONS(2585),
    [anon_sym___try] = ACTIONS(2585),
    [anon_sym___leave] = ACTIONS(2585),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_compl] = ACTIONS(2585),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_sizeof] = ACTIONS(2585),
    [anon_sym___alignof__] = ACTIONS(2585),
    [anon_sym___alignof] = ACTIONS(2585),
    [anon_sym__alignof] = ACTIONS(2585),
    [anon_sym_alignof] = ACTIONS(2585),
    [anon_sym__Alignof] = ACTIONS(2585),
    [anon_sym_offsetof] = ACTIONS(2585),
    [anon_sym__Generic] = ACTIONS(2585),
    [anon_sym_asm] = ACTIONS(2585),
    [anon_sym___asm__] = ACTIONS(2585),
    [anon_sym___asm] = ACTIONS(2585),
    [sym_number_literal] = ACTIONS(2587),
    [anon_sym_L_SQUOTE] = ACTIONS(2587),
    [anon_sym_u_SQUOTE] = ACTIONS(2587),
    [anon_sym_U_SQUOTE] = ACTIONS(2587),
    [anon_sym_u8_SQUOTE] = ACTIONS(2587),
    [anon_sym_SQUOTE] = ACTIONS(2587),
    [anon_sym_L_DQUOTE] = ACTIONS(2587),
    [anon_sym_u_DQUOTE] = ACTIONS(2587),
    [anon_sym_U_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [anon_sym_NULL] = ACTIONS(2585),
    [anon_sym_nullptr] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2585),
    [anon_sym_decltype] = ACTIONS(2585),
    [anon_sym_explicit] = ACTIONS(2585),
    [anon_sym_typename] = ACTIONS(2585),
    [anon_sym_template] = ACTIONS(2585),
    [anon_sym_operator] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_delete] = ACTIONS(2585),
    [anon_sym_throw] = ACTIONS(2585),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_static_assert] = ACTIONS(2585),
    [anon_sym_concept] = ACTIONS(2585),
    [anon_sym_co_return] = ACTIONS(2585),
    [anon_sym_co_yield] = ACTIONS(2585),
    [anon_sym_R_DQUOTE] = ACTIONS(2587),
    [anon_sym_LR_DQUOTE] = ACTIONS(2587),
    [anon_sym_uR_DQUOTE] = ACTIONS(2587),
    [anon_sym_UR_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2587),
    [anon_sym_co_await] = ACTIONS(2585),
    [anon_sym_new] = ACTIONS(2585),
    [anon_sym_requires] = ACTIONS(2585),
    [sym_this] = ACTIONS(2585),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(2693),
    [sym_identifier] = ACTIONS(2691),
    [aux_sym_preproc_include_token1] = ACTIONS(2691),
    [aux_sym_preproc_def_token1] = ACTIONS(2691),
    [aux_sym_preproc_if_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [sym_preproc_directive] = ACTIONS(2691),
    [anon_sym_LPAREN2] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2691),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2693),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym___extension__] = ACTIONS(2691),
    [anon_sym_typedef] = ACTIONS(2691),
    [anon_sym_virtual] = ACTIONS(2691),
    [anon_sym_extern] = ACTIONS(2691),
    [anon_sym___attribute__] = ACTIONS(2691),
    [anon_sym___attribute] = ACTIONS(2691),
    [anon_sym_COLON_COLON] = ACTIONS(2693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2693),
    [anon_sym___declspec] = ACTIONS(2691),
    [anon_sym___based] = ACTIONS(2691),
    [anon_sym___cdecl] = ACTIONS(2691),
    [anon_sym___clrcall] = ACTIONS(2691),
    [anon_sym___stdcall] = ACTIONS(2691),
    [anon_sym___fastcall] = ACTIONS(2691),
    [anon_sym___thiscall] = ACTIONS(2691),
    [anon_sym___vectorcall] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(2693),
    [anon_sym_signed] = ACTIONS(2691),
    [anon_sym_unsigned] = ACTIONS(2691),
    [anon_sym_long] = ACTIONS(2691),
    [anon_sym_short] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_static] = ACTIONS(2691),
    [anon_sym_register] = ACTIONS(2691),
    [anon_sym_inline] = ACTIONS(2691),
    [anon_sym___inline] = ACTIONS(2691),
    [anon_sym___inline__] = ACTIONS(2691),
    [anon_sym___forceinline] = ACTIONS(2691),
    [anon_sym_thread_local] = ACTIONS(2691),
    [anon_sym___thread] = ACTIONS(2691),
    [anon_sym_const] = ACTIONS(2691),
    [anon_sym_constexpr] = ACTIONS(2691),
    [anon_sym_volatile] = ACTIONS(2691),
    [anon_sym_restrict] = ACTIONS(2691),
    [anon_sym___restrict__] = ACTIONS(2691),
    [anon_sym__Atomic] = ACTIONS(2691),
    [anon_sym__Noreturn] = ACTIONS(2691),
    [anon_sym_noreturn] = ACTIONS(2691),
    [anon_sym__Nonnull] = ACTIONS(2691),
    [anon_sym_mutable] = ACTIONS(2691),
    [anon_sym_constinit] = ACTIONS(2691),
    [anon_sym_consteval] = ACTIONS(2691),
    [anon_sym_alignas] = ACTIONS(2691),
    [anon_sym__Alignas] = ACTIONS(2691),
    [sym_primitive_type] = ACTIONS(2691),
    [anon_sym_enum] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2691),
    [anon_sym_struct] = ACTIONS(2691),
    [anon_sym_union] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2691),
    [anon_sym_switch] = ACTIONS(2691),
    [anon_sym_case] = ACTIONS(2691),
    [anon_sym_default] = ACTIONS(2691),
    [anon_sym_while] = ACTIONS(2691),
    [anon_sym_do] = ACTIONS(2691),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_return] = ACTIONS(2691),
    [anon_sym_break] = ACTIONS(2691),
    [anon_sym_continue] = ACTIONS(2691),
    [anon_sym_goto] = ACTIONS(2691),
    [anon_sym___try] = ACTIONS(2691),
    [anon_sym___leave] = ACTIONS(2691),
    [anon_sym_not] = ACTIONS(2691),
    [anon_sym_compl] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_sizeof] = ACTIONS(2691),
    [anon_sym___alignof__] = ACTIONS(2691),
    [anon_sym___alignof] = ACTIONS(2691),
    [anon_sym__alignof] = ACTIONS(2691),
    [anon_sym_alignof] = ACTIONS(2691),
    [anon_sym__Alignof] = ACTIONS(2691),
    [anon_sym_offsetof] = ACTIONS(2691),
    [anon_sym__Generic] = ACTIONS(2691),
    [anon_sym_asm] = ACTIONS(2691),
    [anon_sym___asm__] = ACTIONS(2691),
    [anon_sym___asm] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2693),
    [anon_sym_L_SQUOTE] = ACTIONS(2693),
    [anon_sym_u_SQUOTE] = ACTIONS(2693),
    [anon_sym_U_SQUOTE] = ACTIONS(2693),
    [anon_sym_u8_SQUOTE] = ACTIONS(2693),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_L_DQUOTE] = ACTIONS(2693),
    [anon_sym_u_DQUOTE] = ACTIONS(2693),
    [anon_sym_U_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [sym_true] = ACTIONS(2691),
    [sym_false] = ACTIONS(2691),
    [anon_sym_NULL] = ACTIONS(2691),
    [anon_sym_nullptr] = ACTIONS(2691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2691),
    [anon_sym_decltype] = ACTIONS(2691),
    [anon_sym_explicit] = ACTIONS(2691),
    [anon_sym_typename] = ACTIONS(2691),
    [anon_sym_template] = ACTIONS(2691),
    [anon_sym_operator] = ACTIONS(2691),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_delete] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2691),
    [anon_sym_namespace] = ACTIONS(2691),
    [anon_sym_using] = ACTIONS(2691),
    [anon_sym_static_assert] = ACTIONS(2691),
    [anon_sym_concept] = ACTIONS(2691),
    [anon_sym_co_return] = ACTIONS(2691),
    [anon_sym_co_yield] = ACTIONS(2691),
    [anon_sym_R_DQUOTE] = ACTIONS(2693),
    [anon_sym_LR_DQUOTE] = ACTIONS(2693),
    [anon_sym_uR_DQUOTE] = ACTIONS(2693),
    [anon_sym_UR_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2693),
    [anon_sym_co_await] = ACTIONS(2691),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_requires] = ACTIONS(2691),
    [sym_this] = ACTIONS(2691),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token2] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym___attribute] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym__Nonnull] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym__Alignas] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [anon_sym___asm] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token2] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym___attribute] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym__Nonnull] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym__Alignas] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [anon_sym___asm] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token2] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym___attribute] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym__Nonnull] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym__Alignas] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_else] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [anon_sym___asm] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token2] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym___attribute] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym__Nonnull] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym__Alignas] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [anon_sym___asm] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(2721),
    [sym_identifier] = ACTIONS(2719),
    [aux_sym_preproc_include_token1] = ACTIONS(2719),
    [aux_sym_preproc_def_token1] = ACTIONS(2719),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2719),
    [sym_preproc_directive] = ACTIONS(2719),
    [anon_sym_LPAREN2] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2719),
    [anon_sym_typedef] = ACTIONS(2719),
    [anon_sym_virtual] = ACTIONS(2719),
    [anon_sym_extern] = ACTIONS(2719),
    [anon_sym___attribute__] = ACTIONS(2719),
    [anon_sym___attribute] = ACTIONS(2719),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2721),
    [anon_sym___declspec] = ACTIONS(2719),
    [anon_sym___based] = ACTIONS(2719),
    [anon_sym___cdecl] = ACTIONS(2719),
    [anon_sym___clrcall] = ACTIONS(2719),
    [anon_sym___stdcall] = ACTIONS(2719),
    [anon_sym___fastcall] = ACTIONS(2719),
    [anon_sym___thiscall] = ACTIONS(2719),
    [anon_sym___vectorcall] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2719),
    [anon_sym_unsigned] = ACTIONS(2719),
    [anon_sym_long] = ACTIONS(2719),
    [anon_sym_short] = ACTIONS(2719),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [anon_sym_static] = ACTIONS(2719),
    [anon_sym_register] = ACTIONS(2719),
    [anon_sym_inline] = ACTIONS(2719),
    [anon_sym___inline] = ACTIONS(2719),
    [anon_sym___inline__] = ACTIONS(2719),
    [anon_sym___forceinline] = ACTIONS(2719),
    [anon_sym_thread_local] = ACTIONS(2719),
    [anon_sym___thread] = ACTIONS(2719),
    [anon_sym_const] = ACTIONS(2719),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(2719),
    [anon_sym_restrict] = ACTIONS(2719),
    [anon_sym___restrict__] = ACTIONS(2719),
    [anon_sym__Atomic] = ACTIONS(2719),
    [anon_sym__Noreturn] = ACTIONS(2719),
    [anon_sym_noreturn] = ACTIONS(2719),
    [anon_sym__Nonnull] = ACTIONS(2719),
    [anon_sym_mutable] = ACTIONS(2719),
    [anon_sym_constinit] = ACTIONS(2719),
    [anon_sym_consteval] = ACTIONS(2719),
    [anon_sym_alignas] = ACTIONS(2719),
    [anon_sym__Alignas] = ACTIONS(2719),
    [sym_primitive_type] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(2719),
    [anon_sym_class] = ACTIONS(2719),
    [anon_sym_struct] = ACTIONS(2719),
    [anon_sym_union] = ACTIONS(2719),
    [anon_sym_if] = ACTIONS(2719),
    [anon_sym_else] = ACTIONS(2719),
    [anon_sym_switch] = ACTIONS(2719),
    [anon_sym_case] = ACTIONS(2719),
    [anon_sym_default] = ACTIONS(2719),
    [anon_sym_while] = ACTIONS(2719),
    [anon_sym_do] = ACTIONS(2719),
    [anon_sym_for] = ACTIONS(2719),
    [anon_sym_return] = ACTIONS(2719),
    [anon_sym_break] = ACTIONS(2719),
    [anon_sym_continue] = ACTIONS(2719),
    [anon_sym_goto] = ACTIONS(2719),
    [anon_sym___try] = ACTIONS(2719),
    [anon_sym___leave] = ACTIONS(2719),
    [anon_sym_not] = ACTIONS(2719),
    [anon_sym_compl] = ACTIONS(2719),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_sizeof] = ACTIONS(2719),
    [anon_sym___alignof__] = ACTIONS(2719),
    [anon_sym___alignof] = ACTIONS(2719),
    [anon_sym__alignof] = ACTIONS(2719),
    [anon_sym_alignof] = ACTIONS(2719),
    [anon_sym__Alignof] = ACTIONS(2719),
    [anon_sym_offsetof] = ACTIONS(2719),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2719),
    [anon_sym___asm__] = ACTIONS(2719),
    [anon_sym___asm] = ACTIONS(2719),
    [sym_number_literal] = ACTIONS(2721),
    [anon_sym_L_SQUOTE] = ACTIONS(2721),
    [anon_sym_u_SQUOTE] = ACTIONS(2721),
    [anon_sym_U_SQUOTE] = ACTIONS(2721),
    [anon_sym_u8_SQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_L_DQUOTE] = ACTIONS(2721),
    [anon_sym_u_DQUOTE] = ACTIONS(2721),
    [anon_sym_U_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8_DQUOTE] = ACTIONS(2721),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [sym_true] = ACTIONS(2719),
    [sym_false] = ACTIONS(2719),
    [anon_sym_NULL] = ACTIONS(2719),
    [anon_sym_nullptr] = ACTIONS(2719),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2719),
    [anon_sym_decltype] = ACTIONS(2719),
    [anon_sym_explicit] = ACTIONS(2719),
    [anon_sym_typename] = ACTIONS(2719),
    [anon_sym_template] = ACTIONS(2719),
    [anon_sym_operator] = ACTIONS(2719),
    [anon_sym_try] = ACTIONS(2719),
    [anon_sym_delete] = ACTIONS(2719),
    [anon_sym_throw] = ACTIONS(2719),
    [anon_sym_namespace] = ACTIONS(2719),
    [anon_sym_using] = ACTIONS(2719),
    [anon_sym_static_assert] = ACTIONS(2719),
    [anon_sym_concept] = ACTIONS(2719),
    [anon_sym_co_return] = ACTIONS(2719),
    [anon_sym_co_yield] = ACTIONS(2719),
    [anon_sym_R_DQUOTE] = ACTIONS(2721),
    [anon_sym_LR_DQUOTE] = ACTIONS(2721),
    [anon_sym_uR_DQUOTE] = ACTIONS(2721),
    [anon_sym_UR_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2721),
    [anon_sym_co_await] = ACTIONS(2719),
    [anon_sym_new] = ACTIONS(2719),
    [anon_sym_requires] = ACTIONS(2719),
    [sym_this] = ACTIONS(2719),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym___attribute] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_else] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
  },
  [496] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym___attribute] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym__Nonnull] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym__Alignas] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [anon_sym___asm] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(2607),
    [sym_identifier] = ACTIONS(2605),
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym___extension__] = ACTIONS(2605),
    [anon_sym_typedef] = ACTIONS(2605),
    [anon_sym_virtual] = ACTIONS(2605),
    [anon_sym_extern] = ACTIONS(2605),
    [anon_sym___attribute__] = ACTIONS(2605),
    [anon_sym___attribute] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym___declspec] = ACTIONS(2605),
    [anon_sym___based] = ACTIONS(2605),
    [anon_sym___cdecl] = ACTIONS(2605),
    [anon_sym___clrcall] = ACTIONS(2605),
    [anon_sym___stdcall] = ACTIONS(2605),
    [anon_sym___fastcall] = ACTIONS(2605),
    [anon_sym___thiscall] = ACTIONS(2605),
    [anon_sym___vectorcall] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_signed] = ACTIONS(2605),
    [anon_sym_unsigned] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_register] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym___inline] = ACTIONS(2605),
    [anon_sym___inline__] = ACTIONS(2605),
    [anon_sym___forceinline] = ACTIONS(2605),
    [anon_sym_thread_local] = ACTIONS(2605),
    [anon_sym___thread] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_constexpr] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_restrict] = ACTIONS(2605),
    [anon_sym___restrict__] = ACTIONS(2605),
    [anon_sym__Atomic] = ACTIONS(2605),
    [anon_sym__Noreturn] = ACTIONS(2605),
    [anon_sym_noreturn] = ACTIONS(2605),
    [anon_sym__Nonnull] = ACTIONS(2605),
    [anon_sym_mutable] = ACTIONS(2605),
    [anon_sym_constinit] = ACTIONS(2605),
    [anon_sym_consteval] = ACTIONS(2605),
    [anon_sym_alignas] = ACTIONS(2605),
    [anon_sym__Alignas] = ACTIONS(2605),
    [sym_primitive_type] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_switch] = ACTIONS(2605),
    [anon_sym_case] = ACTIONS(2605),
    [anon_sym_default] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_do] = ACTIONS(2605),
    [anon_sym_for] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_break] = ACTIONS(2605),
    [anon_sym_continue] = ACTIONS(2605),
    [anon_sym_goto] = ACTIONS(2605),
    [anon_sym___try] = ACTIONS(2605),
    [anon_sym___leave] = ACTIONS(2605),
    [anon_sym_not] = ACTIONS(2605),
    [anon_sym_compl] = ACTIONS(2605),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_sizeof] = ACTIONS(2605),
    [anon_sym___alignof__] = ACTIONS(2605),
    [anon_sym___alignof] = ACTIONS(2605),
    [anon_sym__alignof] = ACTIONS(2605),
    [anon_sym_alignof] = ACTIONS(2605),
    [anon_sym__Alignof] = ACTIONS(2605),
    [anon_sym_offsetof] = ACTIONS(2605),
    [anon_sym__Generic] = ACTIONS(2605),
    [anon_sym_asm] = ACTIONS(2605),
    [anon_sym___asm__] = ACTIONS(2605),
    [anon_sym___asm] = ACTIONS(2605),
    [sym_number_literal] = ACTIONS(2607),
    [anon_sym_L_SQUOTE] = ACTIONS(2607),
    [anon_sym_u_SQUOTE] = ACTIONS(2607),
    [anon_sym_U_SQUOTE] = ACTIONS(2607),
    [anon_sym_u8_SQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_L_DQUOTE] = ACTIONS(2607),
    [anon_sym_u_DQUOTE] = ACTIONS(2607),
    [anon_sym_U_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8_DQUOTE] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [sym_true] = ACTIONS(2605),
    [sym_false] = ACTIONS(2605),
    [anon_sym_NULL] = ACTIONS(2605),
    [anon_sym_nullptr] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2605),
    [anon_sym_decltype] = ACTIONS(2605),
    [anon_sym_explicit] = ACTIONS(2605),
    [anon_sym_typename] = ACTIONS(2605),
    [anon_sym_template] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_delete] = ACTIONS(2605),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_namespace] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_static_assert] = ACTIONS(2605),
    [anon_sym_concept] = ACTIONS(2605),
    [anon_sym_co_return] = ACTIONS(2605),
    [anon_sym_co_yield] = ACTIONS(2605),
    [anon_sym_R_DQUOTE] = ACTIONS(2607),
    [anon_sym_LR_DQUOTE] = ACTIONS(2607),
    [anon_sym_uR_DQUOTE] = ACTIONS(2607),
    [anon_sym_UR_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2607),
    [anon_sym_co_await] = ACTIONS(2605),
    [anon_sym_new] = ACTIONS(2605),
    [anon_sym_requires] = ACTIONS(2605),
    [sym_this] = ACTIONS(2605),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym___attribute] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_RBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym__Nonnull] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym__Alignas] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [anon_sym___asm] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token2] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym___attribute] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym__Nonnull] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym__Alignas] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [anon_sym___asm] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym___attribute] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym__Nonnull] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym__Alignas] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_else] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [anon_sym___asm] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2711),
    [aux_sym_preproc_include_token1] = ACTIONS(2711),
    [aux_sym_preproc_def_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token2] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2711),
    [sym_preproc_directive] = ACTIONS(2711),
    [anon_sym_LPAREN2] = ACTIONS(2713),
    [anon_sym_BANG] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2711),
    [anon_sym_virtual] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym___attribute__] = ACTIONS(2711),
    [anon_sym___attribute] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2713),
    [anon_sym___declspec] = ACTIONS(2711),
    [anon_sym___based] = ACTIONS(2711),
    [anon_sym___cdecl] = ACTIONS(2711),
    [anon_sym___clrcall] = ACTIONS(2711),
    [anon_sym___stdcall] = ACTIONS(2711),
    [anon_sym___fastcall] = ACTIONS(2711),
    [anon_sym___thiscall] = ACTIONS(2711),
    [anon_sym___vectorcall] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(2713),
    [anon_sym_signed] = ACTIONS(2711),
    [anon_sym_unsigned] = ACTIONS(2711),
    [anon_sym_long] = ACTIONS(2711),
    [anon_sym_short] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_register] = ACTIONS(2711),
    [anon_sym_inline] = ACTIONS(2711),
    [anon_sym___inline] = ACTIONS(2711),
    [anon_sym___inline__] = ACTIONS(2711),
    [anon_sym___forceinline] = ACTIONS(2711),
    [anon_sym_thread_local] = ACTIONS(2711),
    [anon_sym___thread] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_constexpr] = ACTIONS(2711),
    [anon_sym_volatile] = ACTIONS(2711),
    [anon_sym_restrict] = ACTIONS(2711),
    [anon_sym___restrict__] = ACTIONS(2711),
    [anon_sym__Atomic] = ACTIONS(2711),
    [anon_sym__Noreturn] = ACTIONS(2711),
    [anon_sym_noreturn] = ACTIONS(2711),
    [anon_sym__Nonnull] = ACTIONS(2711),
    [anon_sym_mutable] = ACTIONS(2711),
    [anon_sym_constinit] = ACTIONS(2711),
    [anon_sym_consteval] = ACTIONS(2711),
    [anon_sym_alignas] = ACTIONS(2711),
    [anon_sym__Alignas] = ACTIONS(2711),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_else] = ACTIONS(2711),
    [anon_sym_switch] = ACTIONS(2711),
    [anon_sym_case] = ACTIONS(2711),
    [anon_sym_default] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_do] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_break] = ACTIONS(2711),
    [anon_sym_continue] = ACTIONS(2711),
    [anon_sym_goto] = ACTIONS(2711),
    [anon_sym___try] = ACTIONS(2711),
    [anon_sym___leave] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2711),
    [anon_sym_compl] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_sizeof] = ACTIONS(2711),
    [anon_sym___alignof__] = ACTIONS(2711),
    [anon_sym___alignof] = ACTIONS(2711),
    [anon_sym__alignof] = ACTIONS(2711),
    [anon_sym_alignof] = ACTIONS(2711),
    [anon_sym__Alignof] = ACTIONS(2711),
    [anon_sym_offsetof] = ACTIONS(2711),
    [anon_sym__Generic] = ACTIONS(2711),
    [anon_sym_asm] = ACTIONS(2711),
    [anon_sym___asm__] = ACTIONS(2711),
    [anon_sym___asm] = ACTIONS(2711),
    [sym_number_literal] = ACTIONS(2713),
    [anon_sym_L_SQUOTE] = ACTIONS(2713),
    [anon_sym_u_SQUOTE] = ACTIONS(2713),
    [anon_sym_U_SQUOTE] = ACTIONS(2713),
    [anon_sym_u8_SQUOTE] = ACTIONS(2713),
    [anon_sym_SQUOTE] = ACTIONS(2713),
    [anon_sym_L_DQUOTE] = ACTIONS(2713),
    [anon_sym_u_DQUOTE] = ACTIONS(2713),
    [anon_sym_U_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8_DQUOTE] = ACTIONS(2713),
    [anon_sym_DQUOTE] = ACTIONS(2713),
    [sym_true] = ACTIONS(2711),
    [sym_false] = ACTIONS(2711),
    [anon_sym_NULL] = ACTIONS(2711),
    [anon_sym_nullptr] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2711),
    [anon_sym_decltype] = ACTIONS(2711),
    [anon_sym_explicit] = ACTIONS(2711),
    [anon_sym_typename] = ACTIONS(2711),
    [anon_sym_template] = ACTIONS(2711),
    [anon_sym_operator] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_delete] = ACTIONS(2711),
    [anon_sym_throw] = ACTIONS(2711),
    [anon_sym_namespace] = ACTIONS(2711),
    [anon_sym_using] = ACTIONS(2711),
    [anon_sym_static_assert] = ACTIONS(2711),
    [anon_sym_concept] = ACTIONS(2711),
    [anon_sym_co_return] = ACTIONS(2711),
    [anon_sym_co_yield] = ACTIONS(2711),
    [anon_sym_R_DQUOTE] = ACTIONS(2713),
    [anon_sym_LR_DQUOTE] = ACTIONS(2713),
    [anon_sym_uR_DQUOTE] = ACTIONS(2713),
    [anon_sym_UR_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2713),
    [anon_sym_co_await] = ACTIONS(2711),
    [anon_sym_new] = ACTIONS(2711),
    [anon_sym_requires] = ACTIONS(2711),
    [sym_this] = ACTIONS(2711),
  },
  [505] = {
    [sym_catch_clause] = STATE(302),
    [aux_sym_constructor_try_statement_repeat1] = STATE(302),
    [ts_builtin_sym_end] = ACTIONS(2559),
    [sym_identifier] = ACTIONS(2557),
    [aux_sym_preproc_include_token1] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2559),
    [anon_sym_BANG] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2557),
    [anon_sym_PLUS] = ACTIONS(2557),
    [anon_sym_STAR] = ACTIONS(2559),
    [anon_sym_AMP_AMP] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym___extension__] = ACTIONS(2557),
    [anon_sym_typedef] = ACTIONS(2557),
    [anon_sym_virtual] = ACTIONS(2557),
    [anon_sym_extern] = ACTIONS(2557),
    [anon_sym___attribute__] = ACTIONS(2557),
    [anon_sym___attribute] = ACTIONS(2557),
    [anon_sym_COLON_COLON] = ACTIONS(2559),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2559),
    [anon_sym___declspec] = ACTIONS(2557),
    [anon_sym___based] = ACTIONS(2557),
    [anon_sym___cdecl] = ACTIONS(2557),
    [anon_sym___clrcall] = ACTIONS(2557),
    [anon_sym___stdcall] = ACTIONS(2557),
    [anon_sym___fastcall] = ACTIONS(2557),
    [anon_sym___thiscall] = ACTIONS(2557),
    [anon_sym___vectorcall] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_signed] = ACTIONS(2557),
    [anon_sym_unsigned] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_register] = ACTIONS(2557),
    [anon_sym_inline] = ACTIONS(2557),
    [anon_sym___inline] = ACTIONS(2557),
    [anon_sym___inline__] = ACTIONS(2557),
    [anon_sym___forceinline] = ACTIONS(2557),
    [anon_sym_thread_local] = ACTIONS(2557),
    [anon_sym___thread] = ACTIONS(2557),
    [anon_sym_const] = ACTIONS(2557),
    [anon_sym_constexpr] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_restrict] = ACTIONS(2557),
    [anon_sym___restrict__] = ACTIONS(2557),
    [anon_sym__Atomic] = ACTIONS(2557),
    [anon_sym__Noreturn] = ACTIONS(2557),
    [anon_sym_noreturn] = ACTIONS(2557),
    [anon_sym__Nonnull] = ACTIONS(2557),
    [anon_sym_mutable] = ACTIONS(2557),
    [anon_sym_constinit] = ACTIONS(2557),
    [anon_sym_consteval] = ACTIONS(2557),
    [anon_sym_alignas] = ACTIONS(2557),
    [anon_sym__Alignas] = ACTIONS(2557),
    [sym_primitive_type] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_struct] = ACTIONS(2557),
    [anon_sym_union] = ACTIONS(2557),
    [anon_sym_if] = ACTIONS(2557),
    [anon_sym_switch] = ACTIONS(2557),
    [anon_sym_case] = ACTIONS(2557),
    [anon_sym_default] = ACTIONS(2557),
    [anon_sym_while] = ACTIONS(2557),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_for] = ACTIONS(2557),
    [anon_sym_return] = ACTIONS(2557),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2557),
    [anon_sym_goto] = ACTIONS(2557),
    [anon_sym_not] = ACTIONS(2557),
    [anon_sym_compl] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(2559),
    [anon_sym_PLUS_PLUS] = ACTIONS(2559),
    [anon_sym_sizeof] = ACTIONS(2557),
    [anon_sym___alignof__] = ACTIONS(2557),
    [anon_sym___alignof] = ACTIONS(2557),
    [anon_sym__alignof] = ACTIONS(2557),
    [anon_sym_alignof] = ACTIONS(2557),
    [anon_sym__Alignof] = ACTIONS(2557),
    [anon_sym_offsetof] = ACTIONS(2557),
    [anon_sym__Generic] = ACTIONS(2557),
    [anon_sym_asm] = ACTIONS(2557),
    [anon_sym___asm__] = ACTIONS(2557),
    [anon_sym___asm] = ACTIONS(2557),
    [sym_number_literal] = ACTIONS(2559),
    [anon_sym_L_SQUOTE] = ACTIONS(2559),
    [anon_sym_u_SQUOTE] = ACTIONS(2559),
    [anon_sym_U_SQUOTE] = ACTIONS(2559),
    [anon_sym_u8_SQUOTE] = ACTIONS(2559),
    [anon_sym_SQUOTE] = ACTIONS(2559),
    [anon_sym_L_DQUOTE] = ACTIONS(2559),
    [anon_sym_u_DQUOTE] = ACTIONS(2559),
    [anon_sym_U_DQUOTE] = ACTIONS(2559),
    [anon_sym_u8_DQUOTE] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2559),
    [sym_true] = ACTIONS(2557),
    [sym_false] = ACTIONS(2557),
    [anon_sym_NULL] = ACTIONS(2557),
    [anon_sym_nullptr] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2557),
    [anon_sym_decltype] = ACTIONS(2557),
    [anon_sym_explicit] = ACTIONS(2557),
    [anon_sym_typename] = ACTIONS(2557),
    [anon_sym_template] = ACTIONS(2557),
    [anon_sym_operator] = ACTIONS(2557),
    [anon_sym_try] = ACTIONS(2557),
    [anon_sym_delete] = ACTIONS(2557),
    [anon_sym_throw] = ACTIONS(2557),
    [anon_sym_namespace] = ACTIONS(2557),
    [anon_sym_using] = ACTIONS(2557),
    [anon_sym_static_assert] = ACTIONS(2557),
    [anon_sym_concept] = ACTIONS(2557),
    [anon_sym_co_return] = ACTIONS(2557),
    [anon_sym_co_yield] = ACTIONS(2557),
    [anon_sym_catch] = ACTIONS(3113),
    [anon_sym_R_DQUOTE] = ACTIONS(2559),
    [anon_sym_LR_DQUOTE] = ACTIONS(2559),
    [anon_sym_uR_DQUOTE] = ACTIONS(2559),
    [anon_sym_UR_DQUOTE] = ACTIONS(2559),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2559),
    [anon_sym_co_await] = ACTIONS(2557),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_requires] = ACTIONS(2557),
    [sym_this] = ACTIONS(2557),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym___attribute] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym__Nonnull] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym__Alignas] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [anon_sym___asm] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym___attribute] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym__Nonnull] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym__Alignas] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [anon_sym___asm] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_include_token1] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym___cdecl] = ACTIONS(2699),
    [anon_sym___clrcall] = ACTIONS(2699),
    [anon_sym___stdcall] = ACTIONS(2699),
    [anon_sym___fastcall] = ACTIONS(2699),
    [anon_sym___thiscall] = ACTIONS(2699),
    [anon_sym___vectorcall] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_namespace] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
    [anon_sym_concept] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token2] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym___attribute] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym__Nonnull] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym__Alignas] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [anon_sym___asm] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym___attribute] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym__Nonnull] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym__Alignas] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [anon_sym___asm] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2707),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2707),
    [aux_sym_preproc_if_token1] = ACTIONS(2707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2707),
    [sym_preproc_directive] = ACTIONS(2707),
    [anon_sym_LPAREN2] = ACTIONS(2709),
    [anon_sym_BANG] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2709),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym___extension__] = ACTIONS(2707),
    [anon_sym_typedef] = ACTIONS(2707),
    [anon_sym_virtual] = ACTIONS(2707),
    [anon_sym_extern] = ACTIONS(2707),
    [anon_sym___attribute__] = ACTIONS(2707),
    [anon_sym___attribute] = ACTIONS(2707),
    [anon_sym_COLON_COLON] = ACTIONS(2709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2709),
    [anon_sym___declspec] = ACTIONS(2707),
    [anon_sym___based] = ACTIONS(2707),
    [anon_sym___cdecl] = ACTIONS(2707),
    [anon_sym___clrcall] = ACTIONS(2707),
    [anon_sym___stdcall] = ACTIONS(2707),
    [anon_sym___fastcall] = ACTIONS(2707),
    [anon_sym___thiscall] = ACTIONS(2707),
    [anon_sym___vectorcall] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_signed] = ACTIONS(2707),
    [anon_sym_unsigned] = ACTIONS(2707),
    [anon_sym_long] = ACTIONS(2707),
    [anon_sym_short] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [anon_sym_static] = ACTIONS(2707),
    [anon_sym_register] = ACTIONS(2707),
    [anon_sym_inline] = ACTIONS(2707),
    [anon_sym___inline] = ACTIONS(2707),
    [anon_sym___inline__] = ACTIONS(2707),
    [anon_sym___forceinline] = ACTIONS(2707),
    [anon_sym_thread_local] = ACTIONS(2707),
    [anon_sym___thread] = ACTIONS(2707),
    [anon_sym_const] = ACTIONS(2707),
    [anon_sym_constexpr] = ACTIONS(2707),
    [anon_sym_volatile] = ACTIONS(2707),
    [anon_sym_restrict] = ACTIONS(2707),
    [anon_sym___restrict__] = ACTIONS(2707),
    [anon_sym__Atomic] = ACTIONS(2707),
    [anon_sym__Noreturn] = ACTIONS(2707),
    [anon_sym_noreturn] = ACTIONS(2707),
    [anon_sym__Nonnull] = ACTIONS(2707),
    [anon_sym_mutable] = ACTIONS(2707),
    [anon_sym_constinit] = ACTIONS(2707),
    [anon_sym_consteval] = ACTIONS(2707),
    [anon_sym_alignas] = ACTIONS(2707),
    [anon_sym__Alignas] = ACTIONS(2707),
    [sym_primitive_type] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(2707),
    [anon_sym_class] = ACTIONS(2707),
    [anon_sym_struct] = ACTIONS(2707),
    [anon_sym_union] = ACTIONS(2707),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_else] = ACTIONS(2707),
    [anon_sym_switch] = ACTIONS(2707),
    [anon_sym_case] = ACTIONS(2707),
    [anon_sym_default] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(2707),
    [anon_sym_do] = ACTIONS(2707),
    [anon_sym_for] = ACTIONS(2707),
    [anon_sym_return] = ACTIONS(2707),
    [anon_sym_break] = ACTIONS(2707),
    [anon_sym_continue] = ACTIONS(2707),
    [anon_sym_goto] = ACTIONS(2707),
    [anon_sym___try] = ACTIONS(2707),
    [anon_sym___leave] = ACTIONS(2707),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_compl] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2709),
    [anon_sym_sizeof] = ACTIONS(2707),
    [anon_sym___alignof__] = ACTIONS(2707),
    [anon_sym___alignof] = ACTIONS(2707),
    [anon_sym__alignof] = ACTIONS(2707),
    [anon_sym_alignof] = ACTIONS(2707),
    [anon_sym__Alignof] = ACTIONS(2707),
    [anon_sym_offsetof] = ACTIONS(2707),
    [anon_sym__Generic] = ACTIONS(2707),
    [anon_sym_asm] = ACTIONS(2707),
    [anon_sym___asm__] = ACTIONS(2707),
    [anon_sym___asm] = ACTIONS(2707),
    [sym_number_literal] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2709),
    [anon_sym_u_SQUOTE] = ACTIONS(2709),
    [anon_sym_U_SQUOTE] = ACTIONS(2709),
    [anon_sym_u8_SQUOTE] = ACTIONS(2709),
    [anon_sym_SQUOTE] = ACTIONS(2709),
    [anon_sym_L_DQUOTE] = ACTIONS(2709),
    [anon_sym_u_DQUOTE] = ACTIONS(2709),
    [anon_sym_U_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8_DQUOTE] = ACTIONS(2709),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_true] = ACTIONS(2707),
    [sym_false] = ACTIONS(2707),
    [anon_sym_NULL] = ACTIONS(2707),
    [anon_sym_nullptr] = ACTIONS(2707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2707),
    [anon_sym_decltype] = ACTIONS(2707),
    [anon_sym_explicit] = ACTIONS(2707),
    [anon_sym_typename] = ACTIONS(2707),
    [anon_sym_template] = ACTIONS(2707),
    [anon_sym_operator] = ACTIONS(2707),
    [anon_sym_try] = ACTIONS(2707),
    [anon_sym_delete] = ACTIONS(2707),
    [anon_sym_throw] = ACTIONS(2707),
    [anon_sym_namespace] = ACTIONS(2707),
    [anon_sym_using] = ACTIONS(2707),
    [anon_sym_static_assert] = ACTIONS(2707),
    [anon_sym_concept] = ACTIONS(2707),
    [anon_sym_co_return] = ACTIONS(2707),
    [anon_sym_co_yield] = ACTIONS(2707),
    [anon_sym_R_DQUOTE] = ACTIONS(2709),
    [anon_sym_LR_DQUOTE] = ACTIONS(2709),
    [anon_sym_uR_DQUOTE] = ACTIONS(2709),
    [anon_sym_UR_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2709),
    [anon_sym_co_await] = ACTIONS(2707),
    [anon_sym_new] = ACTIONS(2707),
    [anon_sym_requires] = ACTIONS(2707),
    [sym_this] = ACTIONS(2707),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_include_token1] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2683),
    [aux_sym_preproc_if_token1] = ACTIONS(2683),
    [aux_sym_preproc_if_token2] = ACTIONS(2683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2683),
    [sym_preproc_directive] = ACTIONS(2683),
    [anon_sym_LPAREN2] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym___extension__] = ACTIONS(2683),
    [anon_sym_typedef] = ACTIONS(2683),
    [anon_sym_virtual] = ACTIONS(2683),
    [anon_sym_extern] = ACTIONS(2683),
    [anon_sym___attribute__] = ACTIONS(2683),
    [anon_sym___attribute] = ACTIONS(2683),
    [anon_sym_COLON_COLON] = ACTIONS(2685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2685),
    [anon_sym___declspec] = ACTIONS(2683),
    [anon_sym___based] = ACTIONS(2683),
    [anon_sym___cdecl] = ACTIONS(2683),
    [anon_sym___clrcall] = ACTIONS(2683),
    [anon_sym___stdcall] = ACTIONS(2683),
    [anon_sym___fastcall] = ACTIONS(2683),
    [anon_sym___thiscall] = ACTIONS(2683),
    [anon_sym___vectorcall] = ACTIONS(2683),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_signed] = ACTIONS(2683),
    [anon_sym_unsigned] = ACTIONS(2683),
    [anon_sym_long] = ACTIONS(2683),
    [anon_sym_short] = ACTIONS(2683),
    [anon_sym_LBRACK] = ACTIONS(2683),
    [anon_sym_static] = ACTIONS(2683),
    [anon_sym_register] = ACTIONS(2683),
    [anon_sym_inline] = ACTIONS(2683),
    [anon_sym___inline] = ACTIONS(2683),
    [anon_sym___inline__] = ACTIONS(2683),
    [anon_sym___forceinline] = ACTIONS(2683),
    [anon_sym_thread_local] = ACTIONS(2683),
    [anon_sym___thread] = ACTIONS(2683),
    [anon_sym_const] = ACTIONS(2683),
    [anon_sym_constexpr] = ACTIONS(2683),
    [anon_sym_volatile] = ACTIONS(2683),
    [anon_sym_restrict] = ACTIONS(2683),
    [anon_sym___restrict__] = ACTIONS(2683),
    [anon_sym__Atomic] = ACTIONS(2683),
    [anon_sym__Noreturn] = ACTIONS(2683),
    [anon_sym_noreturn] = ACTIONS(2683),
    [anon_sym__Nonnull] = ACTIONS(2683),
    [anon_sym_mutable] = ACTIONS(2683),
    [anon_sym_constinit] = ACTIONS(2683),
    [anon_sym_consteval] = ACTIONS(2683),
    [anon_sym_alignas] = ACTIONS(2683),
    [anon_sym__Alignas] = ACTIONS(2683),
    [sym_primitive_type] = ACTIONS(2683),
    [anon_sym_enum] = ACTIONS(2683),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_struct] = ACTIONS(2683),
    [anon_sym_union] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_else] = ACTIONS(2683),
    [anon_sym_switch] = ACTIONS(2683),
    [anon_sym_case] = ACTIONS(2683),
    [anon_sym_default] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(2683),
    [anon_sym_for] = ACTIONS(2683),
    [anon_sym_return] = ACTIONS(2683),
    [anon_sym_break] = ACTIONS(2683),
    [anon_sym_continue] = ACTIONS(2683),
    [anon_sym_goto] = ACTIONS(2683),
    [anon_sym___try] = ACTIONS(2683),
    [anon_sym___leave] = ACTIONS(2683),
    [anon_sym_not] = ACTIONS(2683),
    [anon_sym_compl] = ACTIONS(2683),
    [anon_sym_DASH_DASH] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2685),
    [anon_sym_sizeof] = ACTIONS(2683),
    [anon_sym___alignof__] = ACTIONS(2683),
    [anon_sym___alignof] = ACTIONS(2683),
    [anon_sym__alignof] = ACTIONS(2683),
    [anon_sym_alignof] = ACTIONS(2683),
    [anon_sym__Alignof] = ACTIONS(2683),
    [anon_sym_offsetof] = ACTIONS(2683),
    [anon_sym__Generic] = ACTIONS(2683),
    [anon_sym_asm] = ACTIONS(2683),
    [anon_sym___asm__] = ACTIONS(2683),
    [anon_sym___asm] = ACTIONS(2683),
    [sym_number_literal] = ACTIONS(2685),
    [anon_sym_L_SQUOTE] = ACTIONS(2685),
    [anon_sym_u_SQUOTE] = ACTIONS(2685),
    [anon_sym_U_SQUOTE] = ACTIONS(2685),
    [anon_sym_u8_SQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2685),
    [anon_sym_L_DQUOTE] = ACTIONS(2685),
    [anon_sym_u_DQUOTE] = ACTIONS(2685),
    [anon_sym_U_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [sym_true] = ACTIONS(2683),
    [sym_false] = ACTIONS(2683),
    [anon_sym_NULL] = ACTIONS(2683),
    [anon_sym_nullptr] = ACTIONS(2683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2683),
    [anon_sym_decltype] = ACTIONS(2683),
    [anon_sym_explicit] = ACTIONS(2683),
    [anon_sym_typename] = ACTIONS(2683),
    [anon_sym_template] = ACTIONS(2683),
    [anon_sym_operator] = ACTIONS(2683),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_delete] = ACTIONS(2683),
    [anon_sym_throw] = ACTIONS(2683),
    [anon_sym_namespace] = ACTIONS(2683),
    [anon_sym_using] = ACTIONS(2683),
    [anon_sym_static_assert] = ACTIONS(2683),
    [anon_sym_concept] = ACTIONS(2683),
    [anon_sym_co_return] = ACTIONS(2683),
    [anon_sym_co_yield] = ACTIONS(2683),
    [anon_sym_R_DQUOTE] = ACTIONS(2685),
    [anon_sym_LR_DQUOTE] = ACTIONS(2685),
    [anon_sym_uR_DQUOTE] = ACTIONS(2685),
    [anon_sym_UR_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2685),
    [anon_sym_co_await] = ACTIONS(2683),
    [anon_sym_new] = ACTIONS(2683),
    [anon_sym_requires] = ACTIONS(2683),
    [sym_this] = ACTIONS(2683),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2695),
    [aux_sym_preproc_include_token1] = ACTIONS(2695),
    [aux_sym_preproc_def_token1] = ACTIONS(2695),
    [aux_sym_preproc_if_token1] = ACTIONS(2695),
    [aux_sym_preproc_if_token2] = ACTIONS(2695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2695),
    [sym_preproc_directive] = ACTIONS(2695),
    [anon_sym_LPAREN2] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym___extension__] = ACTIONS(2695),
    [anon_sym_typedef] = ACTIONS(2695),
    [anon_sym_virtual] = ACTIONS(2695),
    [anon_sym_extern] = ACTIONS(2695),
    [anon_sym___attribute__] = ACTIONS(2695),
    [anon_sym___attribute] = ACTIONS(2695),
    [anon_sym_COLON_COLON] = ACTIONS(2697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2697),
    [anon_sym___declspec] = ACTIONS(2695),
    [anon_sym___based] = ACTIONS(2695),
    [anon_sym___cdecl] = ACTIONS(2695),
    [anon_sym___clrcall] = ACTIONS(2695),
    [anon_sym___stdcall] = ACTIONS(2695),
    [anon_sym___fastcall] = ACTIONS(2695),
    [anon_sym___thiscall] = ACTIONS(2695),
    [anon_sym___vectorcall] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_signed] = ACTIONS(2695),
    [anon_sym_unsigned] = ACTIONS(2695),
    [anon_sym_long] = ACTIONS(2695),
    [anon_sym_short] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_register] = ACTIONS(2695),
    [anon_sym_inline] = ACTIONS(2695),
    [anon_sym___inline] = ACTIONS(2695),
    [anon_sym___inline__] = ACTIONS(2695),
    [anon_sym___forceinline] = ACTIONS(2695),
    [anon_sym_thread_local] = ACTIONS(2695),
    [anon_sym___thread] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_constexpr] = ACTIONS(2695),
    [anon_sym_volatile] = ACTIONS(2695),
    [anon_sym_restrict] = ACTIONS(2695),
    [anon_sym___restrict__] = ACTIONS(2695),
    [anon_sym__Atomic] = ACTIONS(2695),
    [anon_sym__Noreturn] = ACTIONS(2695),
    [anon_sym_noreturn] = ACTIONS(2695),
    [anon_sym__Nonnull] = ACTIONS(2695),
    [anon_sym_mutable] = ACTIONS(2695),
    [anon_sym_constinit] = ACTIONS(2695),
    [anon_sym_consteval] = ACTIONS(2695),
    [anon_sym_alignas] = ACTIONS(2695),
    [anon_sym__Alignas] = ACTIONS(2695),
    [sym_primitive_type] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(2695),
    [anon_sym_union] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2695),
    [anon_sym_switch] = ACTIONS(2695),
    [anon_sym_case] = ACTIONS(2695),
    [anon_sym_default] = ACTIONS(2695),
    [anon_sym_while] = ACTIONS(2695),
    [anon_sym_do] = ACTIONS(2695),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_return] = ACTIONS(2695),
    [anon_sym_break] = ACTIONS(2695),
    [anon_sym_continue] = ACTIONS(2695),
    [anon_sym_goto] = ACTIONS(2695),
    [anon_sym___try] = ACTIONS(2695),
    [anon_sym___leave] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_compl] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_sizeof] = ACTIONS(2695),
    [anon_sym___alignof__] = ACTIONS(2695),
    [anon_sym___alignof] = ACTIONS(2695),
    [anon_sym__alignof] = ACTIONS(2695),
    [anon_sym_alignof] = ACTIONS(2695),
    [anon_sym__Alignof] = ACTIONS(2695),
    [anon_sym_offsetof] = ACTIONS(2695),
    [anon_sym__Generic] = ACTIONS(2695),
    [anon_sym_asm] = ACTIONS(2695),
    [anon_sym___asm__] = ACTIONS(2695),
    [anon_sym___asm] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2697),
    [anon_sym_L_SQUOTE] = ACTIONS(2697),
    [anon_sym_u_SQUOTE] = ACTIONS(2697),
    [anon_sym_U_SQUOTE] = ACTIONS(2697),
    [anon_sym_u8_SQUOTE] = ACTIONS(2697),
    [anon_sym_SQUOTE] = ACTIONS(2697),
    [anon_sym_L_DQUOTE] = ACTIONS(2697),
    [anon_sym_u_DQUOTE] = ACTIONS(2697),
    [anon_sym_U_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [sym_true] = ACTIONS(2695),
    [sym_false] = ACTIONS(2695),
    [anon_sym_NULL] = ACTIONS(2695),
    [anon_sym_nullptr] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2695),
    [anon_sym_decltype] = ACTIONS(2695),
    [anon_sym_explicit] = ACTIONS(2695),
    [anon_sym_typename] = ACTIONS(2695),
    [anon_sym_template] = ACTIONS(2695),
    [anon_sym_operator] = ACTIONS(2695),
    [anon_sym_try] = ACTIONS(2695),
    [anon_sym_delete] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2695),
    [anon_sym_namespace] = ACTIONS(2695),
    [anon_sym_using] = ACTIONS(2695),
    [anon_sym_static_assert] = ACTIONS(2695),
    [anon_sym_concept] = ACTIONS(2695),
    [anon_sym_co_return] = ACTIONS(2695),
    [anon_sym_co_yield] = ACTIONS(2695),
    [anon_sym_R_DQUOTE] = ACTIONS(2697),
    [anon_sym_LR_DQUOTE] = ACTIONS(2697),
    [anon_sym_uR_DQUOTE] = ACTIONS(2697),
    [anon_sym_UR_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2697),
    [anon_sym_co_await] = ACTIONS(2695),
    [anon_sym_new] = ACTIONS(2695),
    [anon_sym_requires] = ACTIONS(2695),
    [sym_this] = ACTIONS(2695),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym___attribute] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym__Nonnull] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym__Alignas] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [anon_sym___asm] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2707),
    [aux_sym_preproc_include_token1] = ACTIONS(2707),
    [aux_sym_preproc_def_token1] = ACTIONS(2707),
    [aux_sym_preproc_if_token1] = ACTIONS(2707),
    [aux_sym_preproc_if_token2] = ACTIONS(2707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2707),
    [sym_preproc_directive] = ACTIONS(2707),
    [anon_sym_LPAREN2] = ACTIONS(2709),
    [anon_sym_BANG] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2709),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym___extension__] = ACTIONS(2707),
    [anon_sym_typedef] = ACTIONS(2707),
    [anon_sym_virtual] = ACTIONS(2707),
    [anon_sym_extern] = ACTIONS(2707),
    [anon_sym___attribute__] = ACTIONS(2707),
    [anon_sym___attribute] = ACTIONS(2707),
    [anon_sym_COLON_COLON] = ACTIONS(2709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2709),
    [anon_sym___declspec] = ACTIONS(2707),
    [anon_sym___based] = ACTIONS(2707),
    [anon_sym___cdecl] = ACTIONS(2707),
    [anon_sym___clrcall] = ACTIONS(2707),
    [anon_sym___stdcall] = ACTIONS(2707),
    [anon_sym___fastcall] = ACTIONS(2707),
    [anon_sym___thiscall] = ACTIONS(2707),
    [anon_sym___vectorcall] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_signed] = ACTIONS(2707),
    [anon_sym_unsigned] = ACTIONS(2707),
    [anon_sym_long] = ACTIONS(2707),
    [anon_sym_short] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [anon_sym_static] = ACTIONS(2707),
    [anon_sym_register] = ACTIONS(2707),
    [anon_sym_inline] = ACTIONS(2707),
    [anon_sym___inline] = ACTIONS(2707),
    [anon_sym___inline__] = ACTIONS(2707),
    [anon_sym___forceinline] = ACTIONS(2707),
    [anon_sym_thread_local] = ACTIONS(2707),
    [anon_sym___thread] = ACTIONS(2707),
    [anon_sym_const] = ACTIONS(2707),
    [anon_sym_constexpr] = ACTIONS(2707),
    [anon_sym_volatile] = ACTIONS(2707),
    [anon_sym_restrict] = ACTIONS(2707),
    [anon_sym___restrict__] = ACTIONS(2707),
    [anon_sym__Atomic] = ACTIONS(2707),
    [anon_sym__Noreturn] = ACTIONS(2707),
    [anon_sym_noreturn] = ACTIONS(2707),
    [anon_sym__Nonnull] = ACTIONS(2707),
    [anon_sym_mutable] = ACTIONS(2707),
    [anon_sym_constinit] = ACTIONS(2707),
    [anon_sym_consteval] = ACTIONS(2707),
    [anon_sym_alignas] = ACTIONS(2707),
    [anon_sym__Alignas] = ACTIONS(2707),
    [sym_primitive_type] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(2707),
    [anon_sym_class] = ACTIONS(2707),
    [anon_sym_struct] = ACTIONS(2707),
    [anon_sym_union] = ACTIONS(2707),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_else] = ACTIONS(2707),
    [anon_sym_switch] = ACTIONS(2707),
    [anon_sym_case] = ACTIONS(2707),
    [anon_sym_default] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(2707),
    [anon_sym_do] = ACTIONS(2707),
    [anon_sym_for] = ACTIONS(2707),
    [anon_sym_return] = ACTIONS(2707),
    [anon_sym_break] = ACTIONS(2707),
    [anon_sym_continue] = ACTIONS(2707),
    [anon_sym_goto] = ACTIONS(2707),
    [anon_sym___try] = ACTIONS(2707),
    [anon_sym___leave] = ACTIONS(2707),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_compl] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2709),
    [anon_sym_sizeof] = ACTIONS(2707),
    [anon_sym___alignof__] = ACTIONS(2707),
    [anon_sym___alignof] = ACTIONS(2707),
    [anon_sym__alignof] = ACTIONS(2707),
    [anon_sym_alignof] = ACTIONS(2707),
    [anon_sym__Alignof] = ACTIONS(2707),
    [anon_sym_offsetof] = ACTIONS(2707),
    [anon_sym__Generic] = ACTIONS(2707),
    [anon_sym_asm] = ACTIONS(2707),
    [anon_sym___asm__] = ACTIONS(2707),
    [anon_sym___asm] = ACTIONS(2707),
    [sym_number_literal] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2709),
    [anon_sym_u_SQUOTE] = ACTIONS(2709),
    [anon_sym_U_SQUOTE] = ACTIONS(2709),
    [anon_sym_u8_SQUOTE] = ACTIONS(2709),
    [anon_sym_SQUOTE] = ACTIONS(2709),
    [anon_sym_L_DQUOTE] = ACTIONS(2709),
    [anon_sym_u_DQUOTE] = ACTIONS(2709),
    [anon_sym_U_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8_DQUOTE] = ACTIONS(2709),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_true] = ACTIONS(2707),
    [sym_false] = ACTIONS(2707),
    [anon_sym_NULL] = ACTIONS(2707),
    [anon_sym_nullptr] = ACTIONS(2707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2707),
    [anon_sym_decltype] = ACTIONS(2707),
    [anon_sym_explicit] = ACTIONS(2707),
    [anon_sym_typename] = ACTIONS(2707),
    [anon_sym_template] = ACTIONS(2707),
    [anon_sym_operator] = ACTIONS(2707),
    [anon_sym_try] = ACTIONS(2707),
    [anon_sym_delete] = ACTIONS(2707),
    [anon_sym_throw] = ACTIONS(2707),
    [anon_sym_namespace] = ACTIONS(2707),
    [anon_sym_using] = ACTIONS(2707),
    [anon_sym_static_assert] = ACTIONS(2707),
    [anon_sym_concept] = ACTIONS(2707),
    [anon_sym_co_return] = ACTIONS(2707),
    [anon_sym_co_yield] = ACTIONS(2707),
    [anon_sym_R_DQUOTE] = ACTIONS(2709),
    [anon_sym_LR_DQUOTE] = ACTIONS(2709),
    [anon_sym_uR_DQUOTE] = ACTIONS(2709),
    [anon_sym_UR_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2709),
    [anon_sym_co_await] = ACTIONS(2707),
    [anon_sym_new] = ACTIONS(2707),
    [anon_sym_requires] = ACTIONS(2707),
    [sym_this] = ACTIONS(2707),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym___attribute] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym__Nonnull] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym__Alignas] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [anon_sym___asm] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2687),
    [aux_sym_preproc_include_token1] = ACTIONS(2687),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2687),
    [sym_preproc_directive] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym___extension__] = ACTIONS(2687),
    [anon_sym_typedef] = ACTIONS(2687),
    [anon_sym_virtual] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym___attribute__] = ACTIONS(2687),
    [anon_sym___attribute] = ACTIONS(2687),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2689),
    [anon_sym___declspec] = ACTIONS(2687),
    [anon_sym___based] = ACTIONS(2687),
    [anon_sym___cdecl] = ACTIONS(2687),
    [anon_sym___clrcall] = ACTIONS(2687),
    [anon_sym___stdcall] = ACTIONS(2687),
    [anon_sym___fastcall] = ACTIONS(2687),
    [anon_sym___thiscall] = ACTIONS(2687),
    [anon_sym___vectorcall] = ACTIONS(2687),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_signed] = ACTIONS(2687),
    [anon_sym_unsigned] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_register] = ACTIONS(2687),
    [anon_sym_inline] = ACTIONS(2687),
    [anon_sym___inline] = ACTIONS(2687),
    [anon_sym___inline__] = ACTIONS(2687),
    [anon_sym___forceinline] = ACTIONS(2687),
    [anon_sym_thread_local] = ACTIONS(2687),
    [anon_sym___thread] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_constexpr] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_restrict] = ACTIONS(2687),
    [anon_sym___restrict__] = ACTIONS(2687),
    [anon_sym__Atomic] = ACTIONS(2687),
    [anon_sym__Noreturn] = ACTIONS(2687),
    [anon_sym_noreturn] = ACTIONS(2687),
    [anon_sym__Nonnull] = ACTIONS(2687),
    [anon_sym_mutable] = ACTIONS(2687),
    [anon_sym_constinit] = ACTIONS(2687),
    [anon_sym_consteval] = ACTIONS(2687),
    [anon_sym_alignas] = ACTIONS(2687),
    [anon_sym__Alignas] = ACTIONS(2687),
    [sym_primitive_type] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2687),
    [anon_sym_switch] = ACTIONS(2687),
    [anon_sym_case] = ACTIONS(2687),
    [anon_sym_default] = ACTIONS(2687),
    [anon_sym_while] = ACTIONS(2687),
    [anon_sym_do] = ACTIONS(2687),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_return] = ACTIONS(2687),
    [anon_sym_break] = ACTIONS(2687),
    [anon_sym_continue] = ACTIONS(2687),
    [anon_sym_goto] = ACTIONS(2687),
    [anon_sym___try] = ACTIONS(2687),
    [anon_sym___leave] = ACTIONS(2687),
    [anon_sym_not] = ACTIONS(2687),
    [anon_sym_compl] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_sizeof] = ACTIONS(2687),
    [anon_sym___alignof__] = ACTIONS(2687),
    [anon_sym___alignof] = ACTIONS(2687),
    [anon_sym__alignof] = ACTIONS(2687),
    [anon_sym_alignof] = ACTIONS(2687),
    [anon_sym__Alignof] = ACTIONS(2687),
    [anon_sym_offsetof] = ACTIONS(2687),
    [anon_sym__Generic] = ACTIONS(2687),
    [anon_sym_asm] = ACTIONS(2687),
    [anon_sym___asm__] = ACTIONS(2687),
    [anon_sym___asm] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2689),
    [anon_sym_L_SQUOTE] = ACTIONS(2689),
    [anon_sym_u_SQUOTE] = ACTIONS(2689),
    [anon_sym_U_SQUOTE] = ACTIONS(2689),
    [anon_sym_u8_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_L_DQUOTE] = ACTIONS(2689),
    [anon_sym_u_DQUOTE] = ACTIONS(2689),
    [anon_sym_U_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [sym_true] = ACTIONS(2687),
    [sym_false] = ACTIONS(2687),
    [anon_sym_NULL] = ACTIONS(2687),
    [anon_sym_nullptr] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2687),
    [anon_sym_decltype] = ACTIONS(2687),
    [anon_sym_explicit] = ACTIONS(2687),
    [anon_sym_typename] = ACTIONS(2687),
    [anon_sym_template] = ACTIONS(2687),
    [anon_sym_operator] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2687),
    [anon_sym_delete] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2687),
    [anon_sym_namespace] = ACTIONS(2687),
    [anon_sym_using] = ACTIONS(2687),
    [anon_sym_static_assert] = ACTIONS(2687),
    [anon_sym_concept] = ACTIONS(2687),
    [anon_sym_co_return] = ACTIONS(2687),
    [anon_sym_co_yield] = ACTIONS(2687),
    [anon_sym_R_DQUOTE] = ACTIONS(2689),
    [anon_sym_LR_DQUOTE] = ACTIONS(2689),
    [anon_sym_uR_DQUOTE] = ACTIONS(2689),
    [anon_sym_UR_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2689),
    [anon_sym_co_await] = ACTIONS(2687),
    [anon_sym_new] = ACTIONS(2687),
    [anon_sym_requires] = ACTIONS(2687),
    [sym_this] = ACTIONS(2687),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym___attribute] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(2591),
    [sym_identifier] = ACTIONS(2589),
    [aux_sym_preproc_include_token1] = ACTIONS(2589),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2589),
    [sym_preproc_directive] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP_AMP] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2589),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2589),
    [anon_sym_typedef] = ACTIONS(2589),
    [anon_sym_virtual] = ACTIONS(2589),
    [anon_sym_extern] = ACTIONS(2589),
    [anon_sym___attribute__] = ACTIONS(2589),
    [anon_sym___attribute] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2591),
    [anon_sym___declspec] = ACTIONS(2589),
    [anon_sym___based] = ACTIONS(2589),
    [anon_sym___cdecl] = ACTIONS(2589),
    [anon_sym___clrcall] = ACTIONS(2589),
    [anon_sym___stdcall] = ACTIONS(2589),
    [anon_sym___fastcall] = ACTIONS(2589),
    [anon_sym___thiscall] = ACTIONS(2589),
    [anon_sym___vectorcall] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_signed] = ACTIONS(2589),
    [anon_sym_unsigned] = ACTIONS(2589),
    [anon_sym_long] = ACTIONS(2589),
    [anon_sym_short] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_register] = ACTIONS(2589),
    [anon_sym_inline] = ACTIONS(2589),
    [anon_sym___inline] = ACTIONS(2589),
    [anon_sym___inline__] = ACTIONS(2589),
    [anon_sym___forceinline] = ACTIONS(2589),
    [anon_sym_thread_local] = ACTIONS(2589),
    [anon_sym___thread] = ACTIONS(2589),
    [anon_sym_const] = ACTIONS(2589),
    [anon_sym_constexpr] = ACTIONS(2589),
    [anon_sym_volatile] = ACTIONS(2589),
    [anon_sym_restrict] = ACTIONS(2589),
    [anon_sym___restrict__] = ACTIONS(2589),
    [anon_sym__Atomic] = ACTIONS(2589),
    [anon_sym__Noreturn] = ACTIONS(2589),
    [anon_sym_noreturn] = ACTIONS(2589),
    [anon_sym__Nonnull] = ACTIONS(2589),
    [anon_sym_mutable] = ACTIONS(2589),
    [anon_sym_constinit] = ACTIONS(2589),
    [anon_sym_consteval] = ACTIONS(2589),
    [anon_sym_alignas] = ACTIONS(2589),
    [anon_sym__Alignas] = ACTIONS(2589),
    [sym_primitive_type] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_struct] = ACTIONS(2589),
    [anon_sym_union] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_case] = ACTIONS(2589),
    [anon_sym_default] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_goto] = ACTIONS(2589),
    [anon_sym___try] = ACTIONS(2589),
    [anon_sym___leave] = ACTIONS(2589),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2591),
    [anon_sym_PLUS_PLUS] = ACTIONS(2591),
    [anon_sym_sizeof] = ACTIONS(2589),
    [anon_sym___alignof__] = ACTIONS(2589),
    [anon_sym___alignof] = ACTIONS(2589),
    [anon_sym__alignof] = ACTIONS(2589),
    [anon_sym_alignof] = ACTIONS(2589),
    [anon_sym__Alignof] = ACTIONS(2589),
    [anon_sym_offsetof] = ACTIONS(2589),
    [anon_sym__Generic] = ACTIONS(2589),
    [anon_sym_asm] = ACTIONS(2589),
    [anon_sym___asm__] = ACTIONS(2589),
    [anon_sym___asm] = ACTIONS(2589),
    [sym_number_literal] = ACTIONS(2591),
    [anon_sym_L_SQUOTE] = ACTIONS(2591),
    [anon_sym_u_SQUOTE] = ACTIONS(2591),
    [anon_sym_U_SQUOTE] = ACTIONS(2591),
    [anon_sym_u8_SQUOTE] = ACTIONS(2591),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_L_DQUOTE] = ACTIONS(2591),
    [anon_sym_u_DQUOTE] = ACTIONS(2591),
    [anon_sym_U_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8_DQUOTE] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [anon_sym_NULL] = ACTIONS(2589),
    [anon_sym_nullptr] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2589),
    [anon_sym_decltype] = ACTIONS(2589),
    [anon_sym_explicit] = ACTIONS(2589),
    [anon_sym_typename] = ACTIONS(2589),
    [anon_sym_template] = ACTIONS(2589),
    [anon_sym_operator] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_delete] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_namespace] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(2589),
    [anon_sym_static_assert] = ACTIONS(2589),
    [anon_sym_concept] = ACTIONS(2589),
    [anon_sym_co_return] = ACTIONS(2589),
    [anon_sym_co_yield] = ACTIONS(2589),
    [anon_sym_R_DQUOTE] = ACTIONS(2591),
    [anon_sym_LR_DQUOTE] = ACTIONS(2591),
    [anon_sym_uR_DQUOTE] = ACTIONS(2591),
    [anon_sym_UR_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2591),
    [anon_sym_co_await] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_requires] = ACTIONS(2589),
    [sym_this] = ACTIONS(2589),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym___attribute] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym__Nonnull] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym__Alignas] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [anon_sym___asm] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(2613),
    [aux_sym_preproc_include_token1] = ACTIONS(2613),
    [aux_sym_preproc_def_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2613),
    [sym_preproc_directive] = ACTIONS(2613),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(2613),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym___extension__] = ACTIONS(2613),
    [anon_sym_typedef] = ACTIONS(2613),
    [anon_sym_virtual] = ACTIONS(2613),
    [anon_sym_extern] = ACTIONS(2613),
    [anon_sym___attribute__] = ACTIONS(2613),
    [anon_sym___attribute] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2615),
    [anon_sym___declspec] = ACTIONS(2613),
    [anon_sym___based] = ACTIONS(2613),
    [anon_sym___cdecl] = ACTIONS(2613),
    [anon_sym___clrcall] = ACTIONS(2613),
    [anon_sym___stdcall] = ACTIONS(2613),
    [anon_sym___fastcall] = ACTIONS(2613),
    [anon_sym___thiscall] = ACTIONS(2613),
    [anon_sym___vectorcall] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_signed] = ACTIONS(2613),
    [anon_sym_unsigned] = ACTIONS(2613),
    [anon_sym_long] = ACTIONS(2613),
    [anon_sym_short] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_static] = ACTIONS(2613),
    [anon_sym_register] = ACTIONS(2613),
    [anon_sym_inline] = ACTIONS(2613),
    [anon_sym___inline] = ACTIONS(2613),
    [anon_sym___inline__] = ACTIONS(2613),
    [anon_sym___forceinline] = ACTIONS(2613),
    [anon_sym_thread_local] = ACTIONS(2613),
    [anon_sym___thread] = ACTIONS(2613),
    [anon_sym_const] = ACTIONS(2613),
    [anon_sym_constexpr] = ACTIONS(2613),
    [anon_sym_volatile] = ACTIONS(2613),
    [anon_sym_restrict] = ACTIONS(2613),
    [anon_sym___restrict__] = ACTIONS(2613),
    [anon_sym__Atomic] = ACTIONS(2613),
    [anon_sym__Noreturn] = ACTIONS(2613),
    [anon_sym_noreturn] = ACTIONS(2613),
    [anon_sym__Nonnull] = ACTIONS(2613),
    [anon_sym_mutable] = ACTIONS(2613),
    [anon_sym_constinit] = ACTIONS(2613),
    [anon_sym_consteval] = ACTIONS(2613),
    [anon_sym_alignas] = ACTIONS(2613),
    [anon_sym__Alignas] = ACTIONS(2613),
    [sym_primitive_type] = ACTIONS(2613),
    [anon_sym_enum] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_struct] = ACTIONS(2613),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_if] = ACTIONS(2613),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_switch] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_do] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_break] = ACTIONS(2613),
    [anon_sym_continue] = ACTIONS(2613),
    [anon_sym_goto] = ACTIONS(2613),
    [anon_sym___try] = ACTIONS(2613),
    [anon_sym___leave] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2613),
    [anon_sym_compl] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2613),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2613),
    [anon_sym__Generic] = ACTIONS(2613),
    [anon_sym_asm] = ACTIONS(2613),
    [anon_sym___asm__] = ACTIONS(2613),
    [anon_sym___asm] = ACTIONS(2613),
    [sym_number_literal] = ACTIONS(2615),
    [anon_sym_L_SQUOTE] = ACTIONS(2615),
    [anon_sym_u_SQUOTE] = ACTIONS(2615),
    [anon_sym_U_SQUOTE] = ACTIONS(2615),
    [anon_sym_u8_SQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE] = ACTIONS(2615),
    [anon_sym_L_DQUOTE] = ACTIONS(2615),
    [anon_sym_u_DQUOTE] = ACTIONS(2615),
    [anon_sym_U_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [sym_true] = ACTIONS(2613),
    [sym_false] = ACTIONS(2613),
    [anon_sym_NULL] = ACTIONS(2613),
    [anon_sym_nullptr] = ACTIONS(2613),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2613),
    [anon_sym_decltype] = ACTIONS(2613),
    [anon_sym_explicit] = ACTIONS(2613),
    [anon_sym_typename] = ACTIONS(2613),
    [anon_sym_template] = ACTIONS(2613),
    [anon_sym_operator] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2613),
    [anon_sym_delete] = ACTIONS(2613),
    [anon_sym_throw] = ACTIONS(2613),
    [anon_sym_namespace] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(2613),
    [anon_sym_static_assert] = ACTIONS(2613),
    [anon_sym_concept] = ACTIONS(2613),
    [anon_sym_co_return] = ACTIONS(2613),
    [anon_sym_co_yield] = ACTIONS(2613),
    [anon_sym_R_DQUOTE] = ACTIONS(2615),
    [anon_sym_LR_DQUOTE] = ACTIONS(2615),
    [anon_sym_uR_DQUOTE] = ACTIONS(2615),
    [anon_sym_UR_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2615),
    [anon_sym_co_await] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_requires] = ACTIONS(2613),
    [sym_this] = ACTIONS(2613),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym___attribute] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym__Nonnull] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym__Alignas] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [anon_sym___asm] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_include_token1] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2683),
    [aux_sym_preproc_if_token1] = ACTIONS(2683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2683),
    [sym_preproc_directive] = ACTIONS(2683),
    [anon_sym_LPAREN2] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym___extension__] = ACTIONS(2683),
    [anon_sym_typedef] = ACTIONS(2683),
    [anon_sym_virtual] = ACTIONS(2683),
    [anon_sym_extern] = ACTIONS(2683),
    [anon_sym___attribute__] = ACTIONS(2683),
    [anon_sym___attribute] = ACTIONS(2683),
    [anon_sym_COLON_COLON] = ACTIONS(2685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2685),
    [anon_sym___declspec] = ACTIONS(2683),
    [anon_sym___based] = ACTIONS(2683),
    [anon_sym___cdecl] = ACTIONS(2683),
    [anon_sym___clrcall] = ACTIONS(2683),
    [anon_sym___stdcall] = ACTIONS(2683),
    [anon_sym___fastcall] = ACTIONS(2683),
    [anon_sym___thiscall] = ACTIONS(2683),
    [anon_sym___vectorcall] = ACTIONS(2683),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_signed] = ACTIONS(2683),
    [anon_sym_unsigned] = ACTIONS(2683),
    [anon_sym_long] = ACTIONS(2683),
    [anon_sym_short] = ACTIONS(2683),
    [anon_sym_LBRACK] = ACTIONS(2683),
    [anon_sym_static] = ACTIONS(2683),
    [anon_sym_register] = ACTIONS(2683),
    [anon_sym_inline] = ACTIONS(2683),
    [anon_sym___inline] = ACTIONS(2683),
    [anon_sym___inline__] = ACTIONS(2683),
    [anon_sym___forceinline] = ACTIONS(2683),
    [anon_sym_thread_local] = ACTIONS(2683),
    [anon_sym___thread] = ACTIONS(2683),
    [anon_sym_const] = ACTIONS(2683),
    [anon_sym_constexpr] = ACTIONS(2683),
    [anon_sym_volatile] = ACTIONS(2683),
    [anon_sym_restrict] = ACTIONS(2683),
    [anon_sym___restrict__] = ACTIONS(2683),
    [anon_sym__Atomic] = ACTIONS(2683),
    [anon_sym__Noreturn] = ACTIONS(2683),
    [anon_sym_noreturn] = ACTIONS(2683),
    [anon_sym__Nonnull] = ACTIONS(2683),
    [anon_sym_mutable] = ACTIONS(2683),
    [anon_sym_constinit] = ACTIONS(2683),
    [anon_sym_consteval] = ACTIONS(2683),
    [anon_sym_alignas] = ACTIONS(2683),
    [anon_sym__Alignas] = ACTIONS(2683),
    [sym_primitive_type] = ACTIONS(2683),
    [anon_sym_enum] = ACTIONS(2683),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_struct] = ACTIONS(2683),
    [anon_sym_union] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_else] = ACTIONS(2683),
    [anon_sym_switch] = ACTIONS(2683),
    [anon_sym_case] = ACTIONS(2683),
    [anon_sym_default] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(2683),
    [anon_sym_for] = ACTIONS(2683),
    [anon_sym_return] = ACTIONS(2683),
    [anon_sym_break] = ACTIONS(2683),
    [anon_sym_continue] = ACTIONS(2683),
    [anon_sym_goto] = ACTIONS(2683),
    [anon_sym___try] = ACTIONS(2683),
    [anon_sym___leave] = ACTIONS(2683),
    [anon_sym_not] = ACTIONS(2683),
    [anon_sym_compl] = ACTIONS(2683),
    [anon_sym_DASH_DASH] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2685),
    [anon_sym_sizeof] = ACTIONS(2683),
    [anon_sym___alignof__] = ACTIONS(2683),
    [anon_sym___alignof] = ACTIONS(2683),
    [anon_sym__alignof] = ACTIONS(2683),
    [anon_sym_alignof] = ACTIONS(2683),
    [anon_sym__Alignof] = ACTIONS(2683),
    [anon_sym_offsetof] = ACTIONS(2683),
    [anon_sym__Generic] = ACTIONS(2683),
    [anon_sym_asm] = ACTIONS(2683),
    [anon_sym___asm__] = ACTIONS(2683),
    [anon_sym___asm] = ACTIONS(2683),
    [sym_number_literal] = ACTIONS(2685),
    [anon_sym_L_SQUOTE] = ACTIONS(2685),
    [anon_sym_u_SQUOTE] = ACTIONS(2685),
    [anon_sym_U_SQUOTE] = ACTIONS(2685),
    [anon_sym_u8_SQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2685),
    [anon_sym_L_DQUOTE] = ACTIONS(2685),
    [anon_sym_u_DQUOTE] = ACTIONS(2685),
    [anon_sym_U_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [sym_true] = ACTIONS(2683),
    [sym_false] = ACTIONS(2683),
    [anon_sym_NULL] = ACTIONS(2683),
    [anon_sym_nullptr] = ACTIONS(2683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2683),
    [anon_sym_decltype] = ACTIONS(2683),
    [anon_sym_explicit] = ACTIONS(2683),
    [anon_sym_typename] = ACTIONS(2683),
    [anon_sym_template] = ACTIONS(2683),
    [anon_sym_operator] = ACTIONS(2683),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_delete] = ACTIONS(2683),
    [anon_sym_throw] = ACTIONS(2683),
    [anon_sym_namespace] = ACTIONS(2683),
    [anon_sym_using] = ACTIONS(2683),
    [anon_sym_static_assert] = ACTIONS(2683),
    [anon_sym_concept] = ACTIONS(2683),
    [anon_sym_co_return] = ACTIONS(2683),
    [anon_sym_co_yield] = ACTIONS(2683),
    [anon_sym_R_DQUOTE] = ACTIONS(2685),
    [anon_sym_LR_DQUOTE] = ACTIONS(2685),
    [anon_sym_uR_DQUOTE] = ACTIONS(2685),
    [anon_sym_UR_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2685),
    [anon_sym_co_await] = ACTIONS(2683),
    [anon_sym_new] = ACTIONS(2683),
    [anon_sym_requires] = ACTIONS(2683),
    [sym_this] = ACTIONS(2683),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2687),
    [aux_sym_preproc_include_token1] = ACTIONS(2687),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2687),
    [sym_preproc_directive] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym___extension__] = ACTIONS(2687),
    [anon_sym_typedef] = ACTIONS(2687),
    [anon_sym_virtual] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym___attribute__] = ACTIONS(2687),
    [anon_sym___attribute] = ACTIONS(2687),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2689),
    [anon_sym___declspec] = ACTIONS(2687),
    [anon_sym___based] = ACTIONS(2687),
    [anon_sym___cdecl] = ACTIONS(2687),
    [anon_sym___clrcall] = ACTIONS(2687),
    [anon_sym___stdcall] = ACTIONS(2687),
    [anon_sym___fastcall] = ACTIONS(2687),
    [anon_sym___thiscall] = ACTIONS(2687),
    [anon_sym___vectorcall] = ACTIONS(2687),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_signed] = ACTIONS(2687),
    [anon_sym_unsigned] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_register] = ACTIONS(2687),
    [anon_sym_inline] = ACTIONS(2687),
    [anon_sym___inline] = ACTIONS(2687),
    [anon_sym___inline__] = ACTIONS(2687),
    [anon_sym___forceinline] = ACTIONS(2687),
    [anon_sym_thread_local] = ACTIONS(2687),
    [anon_sym___thread] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_constexpr] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_restrict] = ACTIONS(2687),
    [anon_sym___restrict__] = ACTIONS(2687),
    [anon_sym__Atomic] = ACTIONS(2687),
    [anon_sym__Noreturn] = ACTIONS(2687),
    [anon_sym_noreturn] = ACTIONS(2687),
    [anon_sym__Nonnull] = ACTIONS(2687),
    [anon_sym_mutable] = ACTIONS(2687),
    [anon_sym_constinit] = ACTIONS(2687),
    [anon_sym_consteval] = ACTIONS(2687),
    [anon_sym_alignas] = ACTIONS(2687),
    [anon_sym__Alignas] = ACTIONS(2687),
    [sym_primitive_type] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2687),
    [anon_sym_switch] = ACTIONS(2687),
    [anon_sym_case] = ACTIONS(2687),
    [anon_sym_default] = ACTIONS(2687),
    [anon_sym_while] = ACTIONS(2687),
    [anon_sym_do] = ACTIONS(2687),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_return] = ACTIONS(2687),
    [anon_sym_break] = ACTIONS(2687),
    [anon_sym_continue] = ACTIONS(2687),
    [anon_sym_goto] = ACTIONS(2687),
    [anon_sym___try] = ACTIONS(2687),
    [anon_sym___leave] = ACTIONS(2687),
    [anon_sym_not] = ACTIONS(2687),
    [anon_sym_compl] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_sizeof] = ACTIONS(2687),
    [anon_sym___alignof__] = ACTIONS(2687),
    [anon_sym___alignof] = ACTIONS(2687),
    [anon_sym__alignof] = ACTIONS(2687),
    [anon_sym_alignof] = ACTIONS(2687),
    [anon_sym__Alignof] = ACTIONS(2687),
    [anon_sym_offsetof] = ACTIONS(2687),
    [anon_sym__Generic] = ACTIONS(2687),
    [anon_sym_asm] = ACTIONS(2687),
    [anon_sym___asm__] = ACTIONS(2687),
    [anon_sym___asm] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2689),
    [anon_sym_L_SQUOTE] = ACTIONS(2689),
    [anon_sym_u_SQUOTE] = ACTIONS(2689),
    [anon_sym_U_SQUOTE] = ACTIONS(2689),
    [anon_sym_u8_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_L_DQUOTE] = ACTIONS(2689),
    [anon_sym_u_DQUOTE] = ACTIONS(2689),
    [anon_sym_U_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [sym_true] = ACTIONS(2687),
    [sym_false] = ACTIONS(2687),
    [anon_sym_NULL] = ACTIONS(2687),
    [anon_sym_nullptr] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2687),
    [anon_sym_decltype] = ACTIONS(2687),
    [anon_sym_explicit] = ACTIONS(2687),
    [anon_sym_typename] = ACTIONS(2687),
    [anon_sym_template] = ACTIONS(2687),
    [anon_sym_operator] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2687),
    [anon_sym_delete] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2687),
    [anon_sym_namespace] = ACTIONS(2687),
    [anon_sym_using] = ACTIONS(2687),
    [anon_sym_static_assert] = ACTIONS(2687),
    [anon_sym_concept] = ACTIONS(2687),
    [anon_sym_co_return] = ACTIONS(2687),
    [anon_sym_co_yield] = ACTIONS(2687),
    [anon_sym_R_DQUOTE] = ACTIONS(2689),
    [anon_sym_LR_DQUOTE] = ACTIONS(2689),
    [anon_sym_uR_DQUOTE] = ACTIONS(2689),
    [anon_sym_UR_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2689),
    [anon_sym_co_await] = ACTIONS(2687),
    [anon_sym_new] = ACTIONS(2687),
    [anon_sym_requires] = ACTIONS(2687),
    [sym_this] = ACTIONS(2687),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym___attribute] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym__Nonnull] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym__Alignas] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [anon_sym___asm] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2687),
    [aux_sym_preproc_include_token1] = ACTIONS(2687),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2687),
    [sym_preproc_directive] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym___extension__] = ACTIONS(2687),
    [anon_sym_typedef] = ACTIONS(2687),
    [anon_sym_virtual] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym___attribute__] = ACTIONS(2687),
    [anon_sym___attribute] = ACTIONS(2687),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2689),
    [anon_sym___declspec] = ACTIONS(2687),
    [anon_sym___based] = ACTIONS(2687),
    [anon_sym___cdecl] = ACTIONS(2687),
    [anon_sym___clrcall] = ACTIONS(2687),
    [anon_sym___stdcall] = ACTIONS(2687),
    [anon_sym___fastcall] = ACTIONS(2687),
    [anon_sym___thiscall] = ACTIONS(2687),
    [anon_sym___vectorcall] = ACTIONS(2687),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_signed] = ACTIONS(2687),
    [anon_sym_unsigned] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_register] = ACTIONS(2687),
    [anon_sym_inline] = ACTIONS(2687),
    [anon_sym___inline] = ACTIONS(2687),
    [anon_sym___inline__] = ACTIONS(2687),
    [anon_sym___forceinline] = ACTIONS(2687),
    [anon_sym_thread_local] = ACTIONS(2687),
    [anon_sym___thread] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_constexpr] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_restrict] = ACTIONS(2687),
    [anon_sym___restrict__] = ACTIONS(2687),
    [anon_sym__Atomic] = ACTIONS(2687),
    [anon_sym__Noreturn] = ACTIONS(2687),
    [anon_sym_noreturn] = ACTIONS(2687),
    [anon_sym__Nonnull] = ACTIONS(2687),
    [anon_sym_mutable] = ACTIONS(2687),
    [anon_sym_constinit] = ACTIONS(2687),
    [anon_sym_consteval] = ACTIONS(2687),
    [anon_sym_alignas] = ACTIONS(2687),
    [anon_sym__Alignas] = ACTIONS(2687),
    [sym_primitive_type] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2687),
    [anon_sym_switch] = ACTIONS(2687),
    [anon_sym_case] = ACTIONS(2687),
    [anon_sym_default] = ACTIONS(2687),
    [anon_sym_while] = ACTIONS(2687),
    [anon_sym_do] = ACTIONS(2687),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_return] = ACTIONS(2687),
    [anon_sym_break] = ACTIONS(2687),
    [anon_sym_continue] = ACTIONS(2687),
    [anon_sym_goto] = ACTIONS(2687),
    [anon_sym___try] = ACTIONS(2687),
    [anon_sym___leave] = ACTIONS(2687),
    [anon_sym_not] = ACTIONS(2687),
    [anon_sym_compl] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_sizeof] = ACTIONS(2687),
    [anon_sym___alignof__] = ACTIONS(2687),
    [anon_sym___alignof] = ACTIONS(2687),
    [anon_sym__alignof] = ACTIONS(2687),
    [anon_sym_alignof] = ACTIONS(2687),
    [anon_sym__Alignof] = ACTIONS(2687),
    [anon_sym_offsetof] = ACTIONS(2687),
    [anon_sym__Generic] = ACTIONS(2687),
    [anon_sym_asm] = ACTIONS(2687),
    [anon_sym___asm__] = ACTIONS(2687),
    [anon_sym___asm] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2689),
    [anon_sym_L_SQUOTE] = ACTIONS(2689),
    [anon_sym_u_SQUOTE] = ACTIONS(2689),
    [anon_sym_U_SQUOTE] = ACTIONS(2689),
    [anon_sym_u8_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_L_DQUOTE] = ACTIONS(2689),
    [anon_sym_u_DQUOTE] = ACTIONS(2689),
    [anon_sym_U_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [sym_true] = ACTIONS(2687),
    [sym_false] = ACTIONS(2687),
    [anon_sym_NULL] = ACTIONS(2687),
    [anon_sym_nullptr] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2687),
    [anon_sym_decltype] = ACTIONS(2687),
    [anon_sym_explicit] = ACTIONS(2687),
    [anon_sym_typename] = ACTIONS(2687),
    [anon_sym_template] = ACTIONS(2687),
    [anon_sym_operator] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2687),
    [anon_sym_delete] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2687),
    [anon_sym_namespace] = ACTIONS(2687),
    [anon_sym_using] = ACTIONS(2687),
    [anon_sym_static_assert] = ACTIONS(2687),
    [anon_sym_concept] = ACTIONS(2687),
    [anon_sym_co_return] = ACTIONS(2687),
    [anon_sym_co_yield] = ACTIONS(2687),
    [anon_sym_R_DQUOTE] = ACTIONS(2689),
    [anon_sym_LR_DQUOTE] = ACTIONS(2689),
    [anon_sym_uR_DQUOTE] = ACTIONS(2689),
    [anon_sym_UR_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2689),
    [anon_sym_co_await] = ACTIONS(2687),
    [anon_sym_new] = ACTIONS(2687),
    [anon_sym_requires] = ACTIONS(2687),
    [sym_this] = ACTIONS(2687),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym___attribute] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym__Nonnull] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym__Alignas] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [anon_sym___asm] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(2705),
    [sym_identifier] = ACTIONS(2703),
    [aux_sym_preproc_include_token1] = ACTIONS(2703),
    [aux_sym_preproc_def_token1] = ACTIONS(2703),
    [aux_sym_preproc_if_token1] = ACTIONS(2703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2703),
    [sym_preproc_directive] = ACTIONS(2703),
    [anon_sym_LPAREN2] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym___extension__] = ACTIONS(2703),
    [anon_sym_typedef] = ACTIONS(2703),
    [anon_sym_virtual] = ACTIONS(2703),
    [anon_sym_extern] = ACTIONS(2703),
    [anon_sym___attribute__] = ACTIONS(2703),
    [anon_sym___attribute] = ACTIONS(2703),
    [anon_sym_COLON_COLON] = ACTIONS(2705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2705),
    [anon_sym___declspec] = ACTIONS(2703),
    [anon_sym___based] = ACTIONS(2703),
    [anon_sym___cdecl] = ACTIONS(2703),
    [anon_sym___clrcall] = ACTIONS(2703),
    [anon_sym___stdcall] = ACTIONS(2703),
    [anon_sym___fastcall] = ACTIONS(2703),
    [anon_sym___thiscall] = ACTIONS(2703),
    [anon_sym___vectorcall] = ACTIONS(2703),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_signed] = ACTIONS(2703),
    [anon_sym_unsigned] = ACTIONS(2703),
    [anon_sym_long] = ACTIONS(2703),
    [anon_sym_short] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_register] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(2703),
    [anon_sym___inline] = ACTIONS(2703),
    [anon_sym___inline__] = ACTIONS(2703),
    [anon_sym___forceinline] = ACTIONS(2703),
    [anon_sym_thread_local] = ACTIONS(2703),
    [anon_sym___thread] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_constexpr] = ACTIONS(2703),
    [anon_sym_volatile] = ACTIONS(2703),
    [anon_sym_restrict] = ACTIONS(2703),
    [anon_sym___restrict__] = ACTIONS(2703),
    [anon_sym__Atomic] = ACTIONS(2703),
    [anon_sym__Noreturn] = ACTIONS(2703),
    [anon_sym_noreturn] = ACTIONS(2703),
    [anon_sym__Nonnull] = ACTIONS(2703),
    [anon_sym_mutable] = ACTIONS(2703),
    [anon_sym_constinit] = ACTIONS(2703),
    [anon_sym_consteval] = ACTIONS(2703),
    [anon_sym_alignas] = ACTIONS(2703),
    [anon_sym__Alignas] = ACTIONS(2703),
    [sym_primitive_type] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2703),
    [anon_sym_struct] = ACTIONS(2703),
    [anon_sym_union] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_else] = ACTIONS(2703),
    [anon_sym_switch] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2703),
    [anon_sym_default] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_goto] = ACTIONS(2703),
    [anon_sym___try] = ACTIONS(2703),
    [anon_sym___leave] = ACTIONS(2703),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_sizeof] = ACTIONS(2703),
    [anon_sym___alignof__] = ACTIONS(2703),
    [anon_sym___alignof] = ACTIONS(2703),
    [anon_sym__alignof] = ACTIONS(2703),
    [anon_sym_alignof] = ACTIONS(2703),
    [anon_sym__Alignof] = ACTIONS(2703),
    [anon_sym_offsetof] = ACTIONS(2703),
    [anon_sym__Generic] = ACTIONS(2703),
    [anon_sym_asm] = ACTIONS(2703),
    [anon_sym___asm__] = ACTIONS(2703),
    [anon_sym___asm] = ACTIONS(2703),
    [sym_number_literal] = ACTIONS(2705),
    [anon_sym_L_SQUOTE] = ACTIONS(2705),
    [anon_sym_u_SQUOTE] = ACTIONS(2705),
    [anon_sym_U_SQUOTE] = ACTIONS(2705),
    [anon_sym_u8_SQUOTE] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_L_DQUOTE] = ACTIONS(2705),
    [anon_sym_u_DQUOTE] = ACTIONS(2705),
    [anon_sym_U_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8_DQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2705),
    [sym_true] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
    [anon_sym_NULL] = ACTIONS(2703),
    [anon_sym_nullptr] = ACTIONS(2703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2703),
    [anon_sym_decltype] = ACTIONS(2703),
    [anon_sym_explicit] = ACTIONS(2703),
    [anon_sym_typename] = ACTIONS(2703),
    [anon_sym_template] = ACTIONS(2703),
    [anon_sym_operator] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [anon_sym_delete] = ACTIONS(2703),
    [anon_sym_throw] = ACTIONS(2703),
    [anon_sym_namespace] = ACTIONS(2703),
    [anon_sym_using] = ACTIONS(2703),
    [anon_sym_static_assert] = ACTIONS(2703),
    [anon_sym_concept] = ACTIONS(2703),
    [anon_sym_co_return] = ACTIONS(2703),
    [anon_sym_co_yield] = ACTIONS(2703),
    [anon_sym_R_DQUOTE] = ACTIONS(2705),
    [anon_sym_LR_DQUOTE] = ACTIONS(2705),
    [anon_sym_uR_DQUOTE] = ACTIONS(2705),
    [anon_sym_UR_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2705),
    [anon_sym_co_await] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2703),
    [anon_sym_requires] = ACTIONS(2703),
    [sym_this] = ACTIONS(2703),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2715),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2715),
    [aux_sym_preproc_if_token1] = ACTIONS(2715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2715),
    [sym_preproc_directive] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2717),
    [anon_sym_TILDE] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2715),
    [anon_sym_typedef] = ACTIONS(2715),
    [anon_sym_virtual] = ACTIONS(2715),
    [anon_sym_extern] = ACTIONS(2715),
    [anon_sym___attribute__] = ACTIONS(2715),
    [anon_sym___attribute] = ACTIONS(2715),
    [anon_sym_COLON_COLON] = ACTIONS(2717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2717),
    [anon_sym___declspec] = ACTIONS(2715),
    [anon_sym___based] = ACTIONS(2715),
    [anon_sym___cdecl] = ACTIONS(2715),
    [anon_sym___clrcall] = ACTIONS(2715),
    [anon_sym___stdcall] = ACTIONS(2715),
    [anon_sym___fastcall] = ACTIONS(2715),
    [anon_sym___thiscall] = ACTIONS(2715),
    [anon_sym___vectorcall] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2715),
    [anon_sym_unsigned] = ACTIONS(2715),
    [anon_sym_long] = ACTIONS(2715),
    [anon_sym_short] = ACTIONS(2715),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [anon_sym_static] = ACTIONS(2715),
    [anon_sym_register] = ACTIONS(2715),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym___inline] = ACTIONS(2715),
    [anon_sym___inline__] = ACTIONS(2715),
    [anon_sym___forceinline] = ACTIONS(2715),
    [anon_sym_thread_local] = ACTIONS(2715),
    [anon_sym___thread] = ACTIONS(2715),
    [anon_sym_const] = ACTIONS(2715),
    [anon_sym_constexpr] = ACTIONS(2715),
    [anon_sym_volatile] = ACTIONS(2715),
    [anon_sym_restrict] = ACTIONS(2715),
    [anon_sym___restrict__] = ACTIONS(2715),
    [anon_sym__Atomic] = ACTIONS(2715),
    [anon_sym__Noreturn] = ACTIONS(2715),
    [anon_sym_noreturn] = ACTIONS(2715),
    [anon_sym__Nonnull] = ACTIONS(2715),
    [anon_sym_mutable] = ACTIONS(2715),
    [anon_sym_constinit] = ACTIONS(2715),
    [anon_sym_consteval] = ACTIONS(2715),
    [anon_sym_alignas] = ACTIONS(2715),
    [anon_sym__Alignas] = ACTIONS(2715),
    [sym_primitive_type] = ACTIONS(2715),
    [anon_sym_enum] = ACTIONS(2715),
    [anon_sym_class] = ACTIONS(2715),
    [anon_sym_struct] = ACTIONS(2715),
    [anon_sym_union] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(2715),
    [anon_sym_switch] = ACTIONS(2715),
    [anon_sym_case] = ACTIONS(2715),
    [anon_sym_default] = ACTIONS(2715),
    [anon_sym_while] = ACTIONS(2715),
    [anon_sym_do] = ACTIONS(2715),
    [anon_sym_for] = ACTIONS(2715),
    [anon_sym_return] = ACTIONS(2715),
    [anon_sym_break] = ACTIONS(2715),
    [anon_sym_continue] = ACTIONS(2715),
    [anon_sym_goto] = ACTIONS(2715),
    [anon_sym___try] = ACTIONS(2715),
    [anon_sym___leave] = ACTIONS(2715),
    [anon_sym_not] = ACTIONS(2715),
    [anon_sym_compl] = ACTIONS(2715),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_sizeof] = ACTIONS(2715),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2715),
    [anon_sym__Generic] = ACTIONS(2715),
    [anon_sym_asm] = ACTIONS(2715),
    [anon_sym___asm__] = ACTIONS(2715),
    [anon_sym___asm] = ACTIONS(2715),
    [sym_number_literal] = ACTIONS(2717),
    [anon_sym_L_SQUOTE] = ACTIONS(2717),
    [anon_sym_u_SQUOTE] = ACTIONS(2717),
    [anon_sym_U_SQUOTE] = ACTIONS(2717),
    [anon_sym_u8_SQUOTE] = ACTIONS(2717),
    [anon_sym_SQUOTE] = ACTIONS(2717),
    [anon_sym_L_DQUOTE] = ACTIONS(2717),
    [anon_sym_u_DQUOTE] = ACTIONS(2717),
    [anon_sym_U_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8_DQUOTE] = ACTIONS(2717),
    [anon_sym_DQUOTE] = ACTIONS(2717),
    [sym_true] = ACTIONS(2715),
    [sym_false] = ACTIONS(2715),
    [anon_sym_NULL] = ACTIONS(2715),
    [anon_sym_nullptr] = ACTIONS(2715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2715),
    [anon_sym_decltype] = ACTIONS(2715),
    [anon_sym_explicit] = ACTIONS(2715),
    [anon_sym_typename] = ACTIONS(2715),
    [anon_sym_template] = ACTIONS(2715),
    [anon_sym_operator] = ACTIONS(2715),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_delete] = ACTIONS(2715),
    [anon_sym_throw] = ACTIONS(2715),
    [anon_sym_namespace] = ACTIONS(2715),
    [anon_sym_using] = ACTIONS(2715),
    [anon_sym_static_assert] = ACTIONS(2715),
    [anon_sym_concept] = ACTIONS(2715),
    [anon_sym_co_return] = ACTIONS(2715),
    [anon_sym_co_yield] = ACTIONS(2715),
    [anon_sym_R_DQUOTE] = ACTIONS(2717),
    [anon_sym_LR_DQUOTE] = ACTIONS(2717),
    [anon_sym_uR_DQUOTE] = ACTIONS(2717),
    [anon_sym_UR_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2717),
    [anon_sym_co_await] = ACTIONS(2715),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_requires] = ACTIONS(2715),
    [sym_this] = ACTIONS(2715),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(2713),
    [sym_identifier] = ACTIONS(2711),
    [aux_sym_preproc_include_token1] = ACTIONS(2711),
    [aux_sym_preproc_def_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2711),
    [sym_preproc_directive] = ACTIONS(2711),
    [anon_sym_LPAREN2] = ACTIONS(2713),
    [anon_sym_BANG] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2711),
    [anon_sym_virtual] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym___attribute__] = ACTIONS(2711),
    [anon_sym___attribute] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2713),
    [anon_sym___declspec] = ACTIONS(2711),
    [anon_sym___based] = ACTIONS(2711),
    [anon_sym___cdecl] = ACTIONS(2711),
    [anon_sym___clrcall] = ACTIONS(2711),
    [anon_sym___stdcall] = ACTIONS(2711),
    [anon_sym___fastcall] = ACTIONS(2711),
    [anon_sym___thiscall] = ACTIONS(2711),
    [anon_sym___vectorcall] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(2713),
    [anon_sym_signed] = ACTIONS(2711),
    [anon_sym_unsigned] = ACTIONS(2711),
    [anon_sym_long] = ACTIONS(2711),
    [anon_sym_short] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_register] = ACTIONS(2711),
    [anon_sym_inline] = ACTIONS(2711),
    [anon_sym___inline] = ACTIONS(2711),
    [anon_sym___inline__] = ACTIONS(2711),
    [anon_sym___forceinline] = ACTIONS(2711),
    [anon_sym_thread_local] = ACTIONS(2711),
    [anon_sym___thread] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_constexpr] = ACTIONS(2711),
    [anon_sym_volatile] = ACTIONS(2711),
    [anon_sym_restrict] = ACTIONS(2711),
    [anon_sym___restrict__] = ACTIONS(2711),
    [anon_sym__Atomic] = ACTIONS(2711),
    [anon_sym__Noreturn] = ACTIONS(2711),
    [anon_sym_noreturn] = ACTIONS(2711),
    [anon_sym__Nonnull] = ACTIONS(2711),
    [anon_sym_mutable] = ACTIONS(2711),
    [anon_sym_constinit] = ACTIONS(2711),
    [anon_sym_consteval] = ACTIONS(2711),
    [anon_sym_alignas] = ACTIONS(2711),
    [anon_sym__Alignas] = ACTIONS(2711),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_else] = ACTIONS(2711),
    [anon_sym_switch] = ACTIONS(2711),
    [anon_sym_case] = ACTIONS(2711),
    [anon_sym_default] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_do] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_break] = ACTIONS(2711),
    [anon_sym_continue] = ACTIONS(2711),
    [anon_sym_goto] = ACTIONS(2711),
    [anon_sym___try] = ACTIONS(2711),
    [anon_sym___leave] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2711),
    [anon_sym_compl] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_sizeof] = ACTIONS(2711),
    [anon_sym___alignof__] = ACTIONS(2711),
    [anon_sym___alignof] = ACTIONS(2711),
    [anon_sym__alignof] = ACTIONS(2711),
    [anon_sym_alignof] = ACTIONS(2711),
    [anon_sym__Alignof] = ACTIONS(2711),
    [anon_sym_offsetof] = ACTIONS(2711),
    [anon_sym__Generic] = ACTIONS(2711),
    [anon_sym_asm] = ACTIONS(2711),
    [anon_sym___asm__] = ACTIONS(2711),
    [anon_sym___asm] = ACTIONS(2711),
    [sym_number_literal] = ACTIONS(2713),
    [anon_sym_L_SQUOTE] = ACTIONS(2713),
    [anon_sym_u_SQUOTE] = ACTIONS(2713),
    [anon_sym_U_SQUOTE] = ACTIONS(2713),
    [anon_sym_u8_SQUOTE] = ACTIONS(2713),
    [anon_sym_SQUOTE] = ACTIONS(2713),
    [anon_sym_L_DQUOTE] = ACTIONS(2713),
    [anon_sym_u_DQUOTE] = ACTIONS(2713),
    [anon_sym_U_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8_DQUOTE] = ACTIONS(2713),
    [anon_sym_DQUOTE] = ACTIONS(2713),
    [sym_true] = ACTIONS(2711),
    [sym_false] = ACTIONS(2711),
    [anon_sym_NULL] = ACTIONS(2711),
    [anon_sym_nullptr] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2711),
    [anon_sym_decltype] = ACTIONS(2711),
    [anon_sym_explicit] = ACTIONS(2711),
    [anon_sym_typename] = ACTIONS(2711),
    [anon_sym_template] = ACTIONS(2711),
    [anon_sym_operator] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_delete] = ACTIONS(2711),
    [anon_sym_throw] = ACTIONS(2711),
    [anon_sym_namespace] = ACTIONS(2711),
    [anon_sym_using] = ACTIONS(2711),
    [anon_sym_static_assert] = ACTIONS(2711),
    [anon_sym_concept] = ACTIONS(2711),
    [anon_sym_co_return] = ACTIONS(2711),
    [anon_sym_co_yield] = ACTIONS(2711),
    [anon_sym_R_DQUOTE] = ACTIONS(2713),
    [anon_sym_LR_DQUOTE] = ACTIONS(2713),
    [anon_sym_uR_DQUOTE] = ACTIONS(2713),
    [anon_sym_UR_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2713),
    [anon_sym_co_await] = ACTIONS(2711),
    [anon_sym_new] = ACTIONS(2711),
    [anon_sym_requires] = ACTIONS(2711),
    [sym_this] = ACTIONS(2711),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym___attribute] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym__Nonnull] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym__Alignas] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_else] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [anon_sym___asm] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2593),
    [aux_sym_preproc_include_token1] = ACTIONS(2593),
    [aux_sym_preproc_def_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2593),
    [anon_sym_LPAREN2] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_TILDE] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2593),
    [anon_sym_STAR] = ACTIONS(2595),
    [anon_sym_AMP_AMP] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(2593),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_typedef] = ACTIONS(2593),
    [anon_sym_virtual] = ACTIONS(2593),
    [anon_sym_extern] = ACTIONS(2593),
    [anon_sym___attribute__] = ACTIONS(2593),
    [anon_sym___attribute] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2595),
    [anon_sym___declspec] = ACTIONS(2593),
    [anon_sym___based] = ACTIONS(2593),
    [anon_sym___cdecl] = ACTIONS(2593),
    [anon_sym___clrcall] = ACTIONS(2593),
    [anon_sym___stdcall] = ACTIONS(2593),
    [anon_sym___fastcall] = ACTIONS(2593),
    [anon_sym___thiscall] = ACTIONS(2593),
    [anon_sym___vectorcall] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(2595),
    [anon_sym_RBRACE] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2593),
    [anon_sym_unsigned] = ACTIONS(2593),
    [anon_sym_long] = ACTIONS(2593),
    [anon_sym_short] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(2593),
    [anon_sym_static] = ACTIONS(2593),
    [anon_sym_register] = ACTIONS(2593),
    [anon_sym_inline] = ACTIONS(2593),
    [anon_sym___inline] = ACTIONS(2593),
    [anon_sym___inline__] = ACTIONS(2593),
    [anon_sym___forceinline] = ACTIONS(2593),
    [anon_sym_thread_local] = ACTIONS(2593),
    [anon_sym___thread] = ACTIONS(2593),
    [anon_sym_const] = ACTIONS(2593),
    [anon_sym_constexpr] = ACTIONS(2593),
    [anon_sym_volatile] = ACTIONS(2593),
    [anon_sym_restrict] = ACTIONS(2593),
    [anon_sym___restrict__] = ACTIONS(2593),
    [anon_sym__Atomic] = ACTIONS(2593),
    [anon_sym__Noreturn] = ACTIONS(2593),
    [anon_sym_noreturn] = ACTIONS(2593),
    [anon_sym__Nonnull] = ACTIONS(2593),
    [anon_sym_mutable] = ACTIONS(2593),
    [anon_sym_constinit] = ACTIONS(2593),
    [anon_sym_consteval] = ACTIONS(2593),
    [anon_sym_alignas] = ACTIONS(2593),
    [anon_sym__Alignas] = ACTIONS(2593),
    [sym_primitive_type] = ACTIONS(2593),
    [anon_sym_enum] = ACTIONS(2593),
    [anon_sym_class] = ACTIONS(2593),
    [anon_sym_struct] = ACTIONS(2593),
    [anon_sym_union] = ACTIONS(2593),
    [anon_sym_if] = ACTIONS(2593),
    [anon_sym_else] = ACTIONS(2593),
    [anon_sym_switch] = ACTIONS(2593),
    [anon_sym_case] = ACTIONS(2593),
    [anon_sym_default] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2593),
    [anon_sym_do] = ACTIONS(2593),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2593),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2593),
    [anon_sym_goto] = ACTIONS(2593),
    [anon_sym___try] = ACTIONS(2593),
    [anon_sym___leave] = ACTIONS(2593),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_compl] = ACTIONS(2593),
    [anon_sym_DASH_DASH] = ACTIONS(2595),
    [anon_sym_PLUS_PLUS] = ACTIONS(2595),
    [anon_sym_sizeof] = ACTIONS(2593),
    [anon_sym___alignof__] = ACTIONS(2593),
    [anon_sym___alignof] = ACTIONS(2593),
    [anon_sym__alignof] = ACTIONS(2593),
    [anon_sym_alignof] = ACTIONS(2593),
    [anon_sym__Alignof] = ACTIONS(2593),
    [anon_sym_offsetof] = ACTIONS(2593),
    [anon_sym__Generic] = ACTIONS(2593),
    [anon_sym_asm] = ACTIONS(2593),
    [anon_sym___asm__] = ACTIONS(2593),
    [anon_sym___asm] = ACTIONS(2593),
    [sym_number_literal] = ACTIONS(2595),
    [anon_sym_L_SQUOTE] = ACTIONS(2595),
    [anon_sym_u_SQUOTE] = ACTIONS(2595),
    [anon_sym_U_SQUOTE] = ACTIONS(2595),
    [anon_sym_u8_SQUOTE] = ACTIONS(2595),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_L_DQUOTE] = ACTIONS(2595),
    [anon_sym_u_DQUOTE] = ACTIONS(2595),
    [anon_sym_U_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8_DQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2595),
    [sym_true] = ACTIONS(2593),
    [sym_false] = ACTIONS(2593),
    [anon_sym_NULL] = ACTIONS(2593),
    [anon_sym_nullptr] = ACTIONS(2593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2593),
    [anon_sym_decltype] = ACTIONS(2593),
    [anon_sym_explicit] = ACTIONS(2593),
    [anon_sym_typename] = ACTIONS(2593),
    [anon_sym_template] = ACTIONS(2593),
    [anon_sym_operator] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_delete] = ACTIONS(2593),
    [anon_sym_throw] = ACTIONS(2593),
    [anon_sym_namespace] = ACTIONS(2593),
    [anon_sym_using] = ACTIONS(2593),
    [anon_sym_static_assert] = ACTIONS(2593),
    [anon_sym_concept] = ACTIONS(2593),
    [anon_sym_co_return] = ACTIONS(2593),
    [anon_sym_co_yield] = ACTIONS(2593),
    [anon_sym_R_DQUOTE] = ACTIONS(2595),
    [anon_sym_LR_DQUOTE] = ACTIONS(2595),
    [anon_sym_uR_DQUOTE] = ACTIONS(2595),
    [anon_sym_UR_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2595),
    [anon_sym_co_await] = ACTIONS(2593),
    [anon_sym_new] = ACTIONS(2593),
    [anon_sym_requires] = ACTIONS(2593),
    [sym_this] = ACTIONS(2593),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2711),
    [aux_sym_preproc_include_token1] = ACTIONS(2711),
    [aux_sym_preproc_def_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2711),
    [sym_preproc_directive] = ACTIONS(2711),
    [anon_sym_LPAREN2] = ACTIONS(2713),
    [anon_sym_BANG] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2711),
    [anon_sym_virtual] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym___attribute__] = ACTIONS(2711),
    [anon_sym___attribute] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2713),
    [anon_sym___declspec] = ACTIONS(2711),
    [anon_sym___based] = ACTIONS(2711),
    [anon_sym___cdecl] = ACTIONS(2711),
    [anon_sym___clrcall] = ACTIONS(2711),
    [anon_sym___stdcall] = ACTIONS(2711),
    [anon_sym___fastcall] = ACTIONS(2711),
    [anon_sym___thiscall] = ACTIONS(2711),
    [anon_sym___vectorcall] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(2713),
    [anon_sym_RBRACE] = ACTIONS(2713),
    [anon_sym_signed] = ACTIONS(2711),
    [anon_sym_unsigned] = ACTIONS(2711),
    [anon_sym_long] = ACTIONS(2711),
    [anon_sym_short] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_register] = ACTIONS(2711),
    [anon_sym_inline] = ACTIONS(2711),
    [anon_sym___inline] = ACTIONS(2711),
    [anon_sym___inline__] = ACTIONS(2711),
    [anon_sym___forceinline] = ACTIONS(2711),
    [anon_sym_thread_local] = ACTIONS(2711),
    [anon_sym___thread] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_constexpr] = ACTIONS(2711),
    [anon_sym_volatile] = ACTIONS(2711),
    [anon_sym_restrict] = ACTIONS(2711),
    [anon_sym___restrict__] = ACTIONS(2711),
    [anon_sym__Atomic] = ACTIONS(2711),
    [anon_sym__Noreturn] = ACTIONS(2711),
    [anon_sym_noreturn] = ACTIONS(2711),
    [anon_sym__Nonnull] = ACTIONS(2711),
    [anon_sym_mutable] = ACTIONS(2711),
    [anon_sym_constinit] = ACTIONS(2711),
    [anon_sym_consteval] = ACTIONS(2711),
    [anon_sym_alignas] = ACTIONS(2711),
    [anon_sym__Alignas] = ACTIONS(2711),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_else] = ACTIONS(2711),
    [anon_sym_switch] = ACTIONS(2711),
    [anon_sym_case] = ACTIONS(2711),
    [anon_sym_default] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_do] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_break] = ACTIONS(2711),
    [anon_sym_continue] = ACTIONS(2711),
    [anon_sym_goto] = ACTIONS(2711),
    [anon_sym___try] = ACTIONS(2711),
    [anon_sym___leave] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2711),
    [anon_sym_compl] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_sizeof] = ACTIONS(2711),
    [anon_sym___alignof__] = ACTIONS(2711),
    [anon_sym___alignof] = ACTIONS(2711),
    [anon_sym__alignof] = ACTIONS(2711),
    [anon_sym_alignof] = ACTIONS(2711),
    [anon_sym__Alignof] = ACTIONS(2711),
    [anon_sym_offsetof] = ACTIONS(2711),
    [anon_sym__Generic] = ACTIONS(2711),
    [anon_sym_asm] = ACTIONS(2711),
    [anon_sym___asm__] = ACTIONS(2711),
    [anon_sym___asm] = ACTIONS(2711),
    [sym_number_literal] = ACTIONS(2713),
    [anon_sym_L_SQUOTE] = ACTIONS(2713),
    [anon_sym_u_SQUOTE] = ACTIONS(2713),
    [anon_sym_U_SQUOTE] = ACTIONS(2713),
    [anon_sym_u8_SQUOTE] = ACTIONS(2713),
    [anon_sym_SQUOTE] = ACTIONS(2713),
    [anon_sym_L_DQUOTE] = ACTIONS(2713),
    [anon_sym_u_DQUOTE] = ACTIONS(2713),
    [anon_sym_U_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8_DQUOTE] = ACTIONS(2713),
    [anon_sym_DQUOTE] = ACTIONS(2713),
    [sym_true] = ACTIONS(2711),
    [sym_false] = ACTIONS(2711),
    [anon_sym_NULL] = ACTIONS(2711),
    [anon_sym_nullptr] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2711),
    [anon_sym_decltype] = ACTIONS(2711),
    [anon_sym_explicit] = ACTIONS(2711),
    [anon_sym_typename] = ACTIONS(2711),
    [anon_sym_template] = ACTIONS(2711),
    [anon_sym_operator] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_delete] = ACTIONS(2711),
    [anon_sym_throw] = ACTIONS(2711),
    [anon_sym_namespace] = ACTIONS(2711),
    [anon_sym_using] = ACTIONS(2711),
    [anon_sym_static_assert] = ACTIONS(2711),
    [anon_sym_concept] = ACTIONS(2711),
    [anon_sym_co_return] = ACTIONS(2711),
    [anon_sym_co_yield] = ACTIONS(2711),
    [anon_sym_R_DQUOTE] = ACTIONS(2713),
    [anon_sym_LR_DQUOTE] = ACTIONS(2713),
    [anon_sym_uR_DQUOTE] = ACTIONS(2713),
    [anon_sym_UR_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2713),
    [anon_sym_co_await] = ACTIONS(2711),
    [anon_sym_new] = ACTIONS(2711),
    [anon_sym_requires] = ACTIONS(2711),
    [sym_this] = ACTIONS(2711),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2597),
    [aux_sym_preproc_include_token1] = ACTIONS(2597),
    [aux_sym_preproc_def_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2597),
    [sym_preproc_directive] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_STAR] = ACTIONS(2599),
    [anon_sym_AMP_AMP] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym___extension__] = ACTIONS(2597),
    [anon_sym_typedef] = ACTIONS(2597),
    [anon_sym_virtual] = ACTIONS(2597),
    [anon_sym_extern] = ACTIONS(2597),
    [anon_sym___attribute__] = ACTIONS(2597),
    [anon_sym___attribute] = ACTIONS(2597),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2599),
    [anon_sym___declspec] = ACTIONS(2597),
    [anon_sym___based] = ACTIONS(2597),
    [anon_sym___cdecl] = ACTIONS(2597),
    [anon_sym___clrcall] = ACTIONS(2597),
    [anon_sym___stdcall] = ACTIONS(2597),
    [anon_sym___fastcall] = ACTIONS(2597),
    [anon_sym___thiscall] = ACTIONS(2597),
    [anon_sym___vectorcall] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_static] = ACTIONS(2597),
    [anon_sym_register] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(2597),
    [anon_sym___inline] = ACTIONS(2597),
    [anon_sym___inline__] = ACTIONS(2597),
    [anon_sym___forceinline] = ACTIONS(2597),
    [anon_sym_thread_local] = ACTIONS(2597),
    [anon_sym___thread] = ACTIONS(2597),
    [anon_sym_const] = ACTIONS(2597),
    [anon_sym_constexpr] = ACTIONS(2597),
    [anon_sym_volatile] = ACTIONS(2597),
    [anon_sym_restrict] = ACTIONS(2597),
    [anon_sym___restrict__] = ACTIONS(2597),
    [anon_sym__Atomic] = ACTIONS(2597),
    [anon_sym__Noreturn] = ACTIONS(2597),
    [anon_sym_noreturn] = ACTIONS(2597),
    [anon_sym__Nonnull] = ACTIONS(2597),
    [anon_sym_mutable] = ACTIONS(2597),
    [anon_sym_constinit] = ACTIONS(2597),
    [anon_sym_consteval] = ACTIONS(2597),
    [anon_sym_alignas] = ACTIONS(2597),
    [anon_sym__Alignas] = ACTIONS(2597),
    [sym_primitive_type] = ACTIONS(2597),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_struct] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_else] = ACTIONS(2597),
    [anon_sym_switch] = ACTIONS(2597),
    [anon_sym_case] = ACTIONS(2597),
    [anon_sym_default] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_break] = ACTIONS(2597),
    [anon_sym_continue] = ACTIONS(2597),
    [anon_sym_goto] = ACTIONS(2597),
    [anon_sym___try] = ACTIONS(2597),
    [anon_sym___leave] = ACTIONS(2597),
    [anon_sym_not] = ACTIONS(2597),
    [anon_sym_compl] = ACTIONS(2597),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_sizeof] = ACTIONS(2597),
    [anon_sym___alignof__] = ACTIONS(2597),
    [anon_sym___alignof] = ACTIONS(2597),
    [anon_sym__alignof] = ACTIONS(2597),
    [anon_sym_alignof] = ACTIONS(2597),
    [anon_sym__Alignof] = ACTIONS(2597),
    [anon_sym_offsetof] = ACTIONS(2597),
    [anon_sym__Generic] = ACTIONS(2597),
    [anon_sym_asm] = ACTIONS(2597),
    [anon_sym___asm__] = ACTIONS(2597),
    [anon_sym___asm] = ACTIONS(2597),
    [sym_number_literal] = ACTIONS(2599),
    [anon_sym_L_SQUOTE] = ACTIONS(2599),
    [anon_sym_u_SQUOTE] = ACTIONS(2599),
    [anon_sym_U_SQUOTE] = ACTIONS(2599),
    [anon_sym_u8_SQUOTE] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_L_DQUOTE] = ACTIONS(2599),
    [anon_sym_u_DQUOTE] = ACTIONS(2599),
    [anon_sym_U_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2599),
    [sym_true] = ACTIONS(2597),
    [sym_false] = ACTIONS(2597),
    [anon_sym_NULL] = ACTIONS(2597),
    [anon_sym_nullptr] = ACTIONS(2597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2597),
    [anon_sym_decltype] = ACTIONS(2597),
    [anon_sym_explicit] = ACTIONS(2597),
    [anon_sym_typename] = ACTIONS(2597),
    [anon_sym_template] = ACTIONS(2597),
    [anon_sym_operator] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_delete] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2597),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_using] = ACTIONS(2597),
    [anon_sym_static_assert] = ACTIONS(2597),
    [anon_sym_concept] = ACTIONS(2597),
    [anon_sym_co_return] = ACTIONS(2597),
    [anon_sym_co_yield] = ACTIONS(2597),
    [anon_sym_R_DQUOTE] = ACTIONS(2599),
    [anon_sym_LR_DQUOTE] = ACTIONS(2599),
    [anon_sym_uR_DQUOTE] = ACTIONS(2599),
    [anon_sym_UR_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2599),
    [anon_sym_co_await] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_requires] = ACTIONS(2597),
    [sym_this] = ACTIONS(2597),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2601),
    [aux_sym_preproc_include_token1] = ACTIONS(2601),
    [aux_sym_preproc_def_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2601),
    [sym_preproc_directive] = ACTIONS(2601),
    [anon_sym_LPAREN2] = ACTIONS(2603),
    [anon_sym_BANG] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_AMP_AMP] = ACTIONS(2603),
    [anon_sym_AMP] = ACTIONS(2601),
    [anon_sym_SEMI] = ACTIONS(2603),
    [anon_sym___extension__] = ACTIONS(2601),
    [anon_sym_typedef] = ACTIONS(2601),
    [anon_sym_virtual] = ACTIONS(2601),
    [anon_sym_extern] = ACTIONS(2601),
    [anon_sym___attribute__] = ACTIONS(2601),
    [anon_sym___attribute] = ACTIONS(2601),
    [anon_sym_COLON_COLON] = ACTIONS(2603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2603),
    [anon_sym___declspec] = ACTIONS(2601),
    [anon_sym___based] = ACTIONS(2601),
    [anon_sym___cdecl] = ACTIONS(2601),
    [anon_sym___clrcall] = ACTIONS(2601),
    [anon_sym___stdcall] = ACTIONS(2601),
    [anon_sym___fastcall] = ACTIONS(2601),
    [anon_sym___thiscall] = ACTIONS(2601),
    [anon_sym___vectorcall] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_RBRACE] = ACTIONS(2603),
    [anon_sym_signed] = ACTIONS(2601),
    [anon_sym_unsigned] = ACTIONS(2601),
    [anon_sym_long] = ACTIONS(2601),
    [anon_sym_short] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_register] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2601),
    [anon_sym___inline] = ACTIONS(2601),
    [anon_sym___inline__] = ACTIONS(2601),
    [anon_sym___forceinline] = ACTIONS(2601),
    [anon_sym_thread_local] = ACTIONS(2601),
    [anon_sym___thread] = ACTIONS(2601),
    [anon_sym_const] = ACTIONS(2601),
    [anon_sym_constexpr] = ACTIONS(2601),
    [anon_sym_volatile] = ACTIONS(2601),
    [anon_sym_restrict] = ACTIONS(2601),
    [anon_sym___restrict__] = ACTIONS(2601),
    [anon_sym__Atomic] = ACTIONS(2601),
    [anon_sym__Noreturn] = ACTIONS(2601),
    [anon_sym_noreturn] = ACTIONS(2601),
    [anon_sym__Nonnull] = ACTIONS(2601),
    [anon_sym_mutable] = ACTIONS(2601),
    [anon_sym_constinit] = ACTIONS(2601),
    [anon_sym_consteval] = ACTIONS(2601),
    [anon_sym_alignas] = ACTIONS(2601),
    [anon_sym__Alignas] = ACTIONS(2601),
    [sym_primitive_type] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_struct] = ACTIONS(2601),
    [anon_sym_union] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_goto] = ACTIONS(2601),
    [anon_sym___try] = ACTIONS(2601),
    [anon_sym___leave] = ACTIONS(2601),
    [anon_sym_not] = ACTIONS(2601),
    [anon_sym_compl] = ACTIONS(2601),
    [anon_sym_DASH_DASH] = ACTIONS(2603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2603),
    [anon_sym_sizeof] = ACTIONS(2601),
    [anon_sym___alignof__] = ACTIONS(2601),
    [anon_sym___alignof] = ACTIONS(2601),
    [anon_sym__alignof] = ACTIONS(2601),
    [anon_sym_alignof] = ACTIONS(2601),
    [anon_sym__Alignof] = ACTIONS(2601),
    [anon_sym_offsetof] = ACTIONS(2601),
    [anon_sym__Generic] = ACTIONS(2601),
    [anon_sym_asm] = ACTIONS(2601),
    [anon_sym___asm__] = ACTIONS(2601),
    [anon_sym___asm] = ACTIONS(2601),
    [sym_number_literal] = ACTIONS(2603),
    [anon_sym_L_SQUOTE] = ACTIONS(2603),
    [anon_sym_u_SQUOTE] = ACTIONS(2603),
    [anon_sym_U_SQUOTE] = ACTIONS(2603),
    [anon_sym_u8_SQUOTE] = ACTIONS(2603),
    [anon_sym_SQUOTE] = ACTIONS(2603),
    [anon_sym_L_DQUOTE] = ACTIONS(2603),
    [anon_sym_u_DQUOTE] = ACTIONS(2603),
    [anon_sym_U_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8_DQUOTE] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(2603),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [anon_sym_NULL] = ACTIONS(2601),
    [anon_sym_nullptr] = ACTIONS(2601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2601),
    [anon_sym_decltype] = ACTIONS(2601),
    [anon_sym_explicit] = ACTIONS(2601),
    [anon_sym_typename] = ACTIONS(2601),
    [anon_sym_template] = ACTIONS(2601),
    [anon_sym_operator] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_delete] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_namespace] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(2601),
    [anon_sym_static_assert] = ACTIONS(2601),
    [anon_sym_concept] = ACTIONS(2601),
    [anon_sym_co_return] = ACTIONS(2601),
    [anon_sym_co_yield] = ACTIONS(2601),
    [anon_sym_R_DQUOTE] = ACTIONS(2603),
    [anon_sym_LR_DQUOTE] = ACTIONS(2603),
    [anon_sym_uR_DQUOTE] = ACTIONS(2603),
    [anon_sym_UR_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2603),
    [anon_sym_co_await] = ACTIONS(2601),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_requires] = ACTIONS(2601),
    [sym_this] = ACTIONS(2601),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2703),
    [aux_sym_preproc_include_token1] = ACTIONS(2703),
    [aux_sym_preproc_def_token1] = ACTIONS(2703),
    [aux_sym_preproc_if_token1] = ACTIONS(2703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2703),
    [sym_preproc_directive] = ACTIONS(2703),
    [anon_sym_LPAREN2] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym___extension__] = ACTIONS(2703),
    [anon_sym_typedef] = ACTIONS(2703),
    [anon_sym_virtual] = ACTIONS(2703),
    [anon_sym_extern] = ACTIONS(2703),
    [anon_sym___attribute__] = ACTIONS(2703),
    [anon_sym___attribute] = ACTIONS(2703),
    [anon_sym_COLON_COLON] = ACTIONS(2705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2705),
    [anon_sym___declspec] = ACTIONS(2703),
    [anon_sym___based] = ACTIONS(2703),
    [anon_sym___cdecl] = ACTIONS(2703),
    [anon_sym___clrcall] = ACTIONS(2703),
    [anon_sym___stdcall] = ACTIONS(2703),
    [anon_sym___fastcall] = ACTIONS(2703),
    [anon_sym___thiscall] = ACTIONS(2703),
    [anon_sym___vectorcall] = ACTIONS(2703),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_signed] = ACTIONS(2703),
    [anon_sym_unsigned] = ACTIONS(2703),
    [anon_sym_long] = ACTIONS(2703),
    [anon_sym_short] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_register] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(2703),
    [anon_sym___inline] = ACTIONS(2703),
    [anon_sym___inline__] = ACTIONS(2703),
    [anon_sym___forceinline] = ACTIONS(2703),
    [anon_sym_thread_local] = ACTIONS(2703),
    [anon_sym___thread] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_constexpr] = ACTIONS(2703),
    [anon_sym_volatile] = ACTIONS(2703),
    [anon_sym_restrict] = ACTIONS(2703),
    [anon_sym___restrict__] = ACTIONS(2703),
    [anon_sym__Atomic] = ACTIONS(2703),
    [anon_sym__Noreturn] = ACTIONS(2703),
    [anon_sym_noreturn] = ACTIONS(2703),
    [anon_sym__Nonnull] = ACTIONS(2703),
    [anon_sym_mutable] = ACTIONS(2703),
    [anon_sym_constinit] = ACTIONS(2703),
    [anon_sym_consteval] = ACTIONS(2703),
    [anon_sym_alignas] = ACTIONS(2703),
    [anon_sym__Alignas] = ACTIONS(2703),
    [sym_primitive_type] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2703),
    [anon_sym_struct] = ACTIONS(2703),
    [anon_sym_union] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_else] = ACTIONS(2703),
    [anon_sym_switch] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2703),
    [anon_sym_default] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_goto] = ACTIONS(2703),
    [anon_sym___try] = ACTIONS(2703),
    [anon_sym___leave] = ACTIONS(2703),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_sizeof] = ACTIONS(2703),
    [anon_sym___alignof__] = ACTIONS(2703),
    [anon_sym___alignof] = ACTIONS(2703),
    [anon_sym__alignof] = ACTIONS(2703),
    [anon_sym_alignof] = ACTIONS(2703),
    [anon_sym__Alignof] = ACTIONS(2703),
    [anon_sym_offsetof] = ACTIONS(2703),
    [anon_sym__Generic] = ACTIONS(2703),
    [anon_sym_asm] = ACTIONS(2703),
    [anon_sym___asm__] = ACTIONS(2703),
    [anon_sym___asm] = ACTIONS(2703),
    [sym_number_literal] = ACTIONS(2705),
    [anon_sym_L_SQUOTE] = ACTIONS(2705),
    [anon_sym_u_SQUOTE] = ACTIONS(2705),
    [anon_sym_U_SQUOTE] = ACTIONS(2705),
    [anon_sym_u8_SQUOTE] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_L_DQUOTE] = ACTIONS(2705),
    [anon_sym_u_DQUOTE] = ACTIONS(2705),
    [anon_sym_U_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8_DQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2705),
    [sym_true] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
    [anon_sym_NULL] = ACTIONS(2703),
    [anon_sym_nullptr] = ACTIONS(2703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2703),
    [anon_sym_decltype] = ACTIONS(2703),
    [anon_sym_explicit] = ACTIONS(2703),
    [anon_sym_typename] = ACTIONS(2703),
    [anon_sym_template] = ACTIONS(2703),
    [anon_sym_operator] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [anon_sym_delete] = ACTIONS(2703),
    [anon_sym_throw] = ACTIONS(2703),
    [anon_sym_namespace] = ACTIONS(2703),
    [anon_sym_using] = ACTIONS(2703),
    [anon_sym_static_assert] = ACTIONS(2703),
    [anon_sym_concept] = ACTIONS(2703),
    [anon_sym_co_return] = ACTIONS(2703),
    [anon_sym_co_yield] = ACTIONS(2703),
    [anon_sym_R_DQUOTE] = ACTIONS(2705),
    [anon_sym_LR_DQUOTE] = ACTIONS(2705),
    [anon_sym_uR_DQUOTE] = ACTIONS(2705),
    [anon_sym_UR_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2705),
    [anon_sym_co_await] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2703),
    [anon_sym_requires] = ACTIONS(2703),
    [sym_this] = ACTIONS(2703),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym___attribute] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym__Nonnull] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym__Alignas] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [anon_sym___asm] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym___attribute] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym__Nonnull] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym__Alignas] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [anon_sym___asm] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token2] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym___attribute] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [sym_number_literal] = ACTIONS(2918),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [541] = {
    [sym_identifier] = ACTIONS(3105),
    [aux_sym_preproc_include_token1] = ACTIONS(3105),
    [aux_sym_preproc_def_token1] = ACTIONS(3105),
    [aux_sym_preproc_if_token1] = ACTIONS(3105),
    [aux_sym_preproc_if_token2] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3105),
    [sym_preproc_directive] = ACTIONS(3105),
    [anon_sym_LPAREN2] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3105),
    [anon_sym_typedef] = ACTIONS(3105),
    [anon_sym_virtual] = ACTIONS(3105),
    [anon_sym_extern] = ACTIONS(3105),
    [anon_sym___attribute__] = ACTIONS(3105),
    [anon_sym___attribute] = ACTIONS(3105),
    [anon_sym_COLON_COLON] = ACTIONS(3107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3107),
    [anon_sym___declspec] = ACTIONS(3105),
    [anon_sym___based] = ACTIONS(3105),
    [anon_sym___cdecl] = ACTIONS(3105),
    [anon_sym___clrcall] = ACTIONS(3105),
    [anon_sym___stdcall] = ACTIONS(3105),
    [anon_sym___fastcall] = ACTIONS(3105),
    [anon_sym___thiscall] = ACTIONS(3105),
    [anon_sym___vectorcall] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3105),
    [anon_sym_unsigned] = ACTIONS(3105),
    [anon_sym_long] = ACTIONS(3105),
    [anon_sym_short] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_register] = ACTIONS(3105),
    [anon_sym_inline] = ACTIONS(3105),
    [anon_sym___inline] = ACTIONS(3105),
    [anon_sym___inline__] = ACTIONS(3105),
    [anon_sym___forceinline] = ACTIONS(3105),
    [anon_sym_thread_local] = ACTIONS(3105),
    [anon_sym___thread] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_constexpr] = ACTIONS(3105),
    [anon_sym_volatile] = ACTIONS(3105),
    [anon_sym_restrict] = ACTIONS(3105),
    [anon_sym___restrict__] = ACTIONS(3105),
    [anon_sym__Atomic] = ACTIONS(3105),
    [anon_sym__Noreturn] = ACTIONS(3105),
    [anon_sym_noreturn] = ACTIONS(3105),
    [anon_sym__Nonnull] = ACTIONS(3105),
    [anon_sym_mutable] = ACTIONS(3105),
    [anon_sym_constinit] = ACTIONS(3105),
    [anon_sym_consteval] = ACTIONS(3105),
    [anon_sym_alignas] = ACTIONS(3105),
    [anon_sym__Alignas] = ACTIONS(3105),
    [sym_primitive_type] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_struct] = ACTIONS(3105),
    [anon_sym_union] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_case] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_goto] = ACTIONS(3105),
    [anon_sym___try] = ACTIONS(3105),
    [anon_sym___leave] = ACTIONS(3105),
    [anon_sym_not] = ACTIONS(3105),
    [anon_sym_compl] = ACTIONS(3105),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_sizeof] = ACTIONS(3105),
    [anon_sym___alignof__] = ACTIONS(3105),
    [anon_sym___alignof] = ACTIONS(3105),
    [anon_sym__alignof] = ACTIONS(3105),
    [anon_sym_alignof] = ACTIONS(3105),
    [anon_sym__Alignof] = ACTIONS(3105),
    [anon_sym_offsetof] = ACTIONS(3105),
    [anon_sym__Generic] = ACTIONS(3105),
    [anon_sym_asm] = ACTIONS(3105),
    [anon_sym___asm__] = ACTIONS(3105),
    [anon_sym___asm] = ACTIONS(3105),
    [sym_number_literal] = ACTIONS(3107),
    [anon_sym_L_SQUOTE] = ACTIONS(3107),
    [anon_sym_u_SQUOTE] = ACTIONS(3107),
    [anon_sym_U_SQUOTE] = ACTIONS(3107),
    [anon_sym_u8_SQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [anon_sym_L_DQUOTE] = ACTIONS(3107),
    [anon_sym_u_DQUOTE] = ACTIONS(3107),
    [anon_sym_U_DQUOTE] = ACTIONS(3107),
    [anon_sym_u8_DQUOTE] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [anon_sym_NULL] = ACTIONS(3105),
    [anon_sym_nullptr] = ACTIONS(3105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3105),
    [anon_sym_decltype] = ACTIONS(3105),
    [anon_sym_explicit] = ACTIONS(3105),
    [anon_sym_typename] = ACTIONS(3105),
    [anon_sym_template] = ACTIONS(3105),
    [anon_sym_operator] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_delete] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_static_assert] = ACTIONS(3105),
    [anon_sym_concept] = ACTIONS(3105),
    [anon_sym_co_return] = ACTIONS(3105),
    [anon_sym_co_yield] = ACTIONS(3105),
    [anon_sym_R_DQUOTE] = ACTIONS(3107),
    [anon_sym_LR_DQUOTE] = ACTIONS(3107),
    [anon_sym_uR_DQUOTE] = ACTIONS(3107),
    [anon_sym_UR_DQUOTE] = ACTIONS(3107),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3107),
    [anon_sym_co_await] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_requires] = ACTIONS(3105),
    [sym_this] = ACTIONS(3105),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym___attribute] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym__Nonnull] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym__Alignas] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [anon_sym___asm] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token2] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_BANG] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym___attribute] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym___cdecl] = ACTIONS(3019),
    [anon_sym___clrcall] = ACTIONS(3019),
    [anon_sym___stdcall] = ACTIONS(3019),
    [anon_sym___fastcall] = ACTIONS(3019),
    [anon_sym___thiscall] = ACTIONS(3019),
    [anon_sym___vectorcall] = ACTIONS(3019),
    [anon_sym_LBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_switch] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(3019),
    [anon_sym_default] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_do] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_break] = ACTIONS(3019),
    [anon_sym_continue] = ACTIONS(3019),
    [anon_sym_goto] = ACTIONS(3019),
    [anon_sym___try] = ACTIONS(3019),
    [anon_sym___leave] = ACTIONS(3019),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_compl] = ACTIONS(3019),
    [anon_sym_DASH_DASH] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3021),
    [anon_sym_sizeof] = ACTIONS(3019),
    [anon_sym___alignof__] = ACTIONS(3019),
    [anon_sym___alignof] = ACTIONS(3019),
    [anon_sym__alignof] = ACTIONS(3019),
    [anon_sym_alignof] = ACTIONS(3019),
    [anon_sym__Alignof] = ACTIONS(3019),
    [anon_sym_offsetof] = ACTIONS(3019),
    [anon_sym__Generic] = ACTIONS(3019),
    [anon_sym_asm] = ACTIONS(3019),
    [anon_sym___asm__] = ACTIONS(3019),
    [anon_sym___asm] = ACTIONS(3019),
    [sym_number_literal] = ACTIONS(3021),
    [anon_sym_L_SQUOTE] = ACTIONS(3021),
    [anon_sym_u_SQUOTE] = ACTIONS(3021),
    [anon_sym_U_SQUOTE] = ACTIONS(3021),
    [anon_sym_u8_SQUOTE] = ACTIONS(3021),
    [anon_sym_SQUOTE] = ACTIONS(3021),
    [anon_sym_L_DQUOTE] = ACTIONS(3021),
    [anon_sym_u_DQUOTE] = ACTIONS(3021),
    [anon_sym_U_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8_DQUOTE] = ACTIONS(3021),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [anon_sym_NULL] = ACTIONS(3019),
    [anon_sym_nullptr] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(3019),
    [anon_sym_throw] = ACTIONS(3019),
    [anon_sym_namespace] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
    [anon_sym_concept] = ACTIONS(3019),
    [anon_sym_co_return] = ACTIONS(3019),
    [anon_sym_co_yield] = ACTIONS(3019),
    [anon_sym_R_DQUOTE] = ACTIONS(3021),
    [anon_sym_LR_DQUOTE] = ACTIONS(3021),
    [anon_sym_uR_DQUOTE] = ACTIONS(3021),
    [anon_sym_UR_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3021),
    [anon_sym_co_await] = ACTIONS(3019),
    [anon_sym_new] = ACTIONS(3019),
    [anon_sym_requires] = ACTIONS(3019),
    [sym_this] = ACTIONS(3019),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_include_token1] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token2] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_BANG] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym___attribute] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym___cdecl] = ACTIONS(3065),
    [anon_sym___clrcall] = ACTIONS(3065),
    [anon_sym___stdcall] = ACTIONS(3065),
    [anon_sym___fastcall] = ACTIONS(3065),
    [anon_sym___thiscall] = ACTIONS(3065),
    [anon_sym___vectorcall] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [anon_sym_if] = ACTIONS(3065),
    [anon_sym_switch] = ACTIONS(3065),
    [anon_sym_case] = ACTIONS(3065),
    [anon_sym_default] = ACTIONS(3065),
    [anon_sym_while] = ACTIONS(3065),
    [anon_sym_do] = ACTIONS(3065),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_return] = ACTIONS(3065),
    [anon_sym_break] = ACTIONS(3065),
    [anon_sym_continue] = ACTIONS(3065),
    [anon_sym_goto] = ACTIONS(3065),
    [anon_sym___try] = ACTIONS(3065),
    [anon_sym___leave] = ACTIONS(3065),
    [anon_sym_not] = ACTIONS(3065),
    [anon_sym_compl] = ACTIONS(3065),
    [anon_sym_DASH_DASH] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3067),
    [anon_sym_sizeof] = ACTIONS(3065),
    [anon_sym___alignof__] = ACTIONS(3065),
    [anon_sym___alignof] = ACTIONS(3065),
    [anon_sym__alignof] = ACTIONS(3065),
    [anon_sym_alignof] = ACTIONS(3065),
    [anon_sym__Alignof] = ACTIONS(3065),
    [anon_sym_offsetof] = ACTIONS(3065),
    [anon_sym__Generic] = ACTIONS(3065),
    [anon_sym_asm] = ACTIONS(3065),
    [anon_sym___asm__] = ACTIONS(3065),
    [anon_sym___asm] = ACTIONS(3065),
    [sym_number_literal] = ACTIONS(3067),
    [anon_sym_L_SQUOTE] = ACTIONS(3067),
    [anon_sym_u_SQUOTE] = ACTIONS(3067),
    [anon_sym_U_SQUOTE] = ACTIONS(3067),
    [anon_sym_u8_SQUOTE] = ACTIONS(3067),
    [anon_sym_SQUOTE] = ACTIONS(3067),
    [anon_sym_L_DQUOTE] = ACTIONS(3067),
    [anon_sym_u_DQUOTE] = ACTIONS(3067),
    [anon_sym_U_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8_DQUOTE] = ACTIONS(3067),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_true] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
    [anon_sym_NULL] = ACTIONS(3065),
    [anon_sym_nullptr] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_try] = ACTIONS(3065),
    [anon_sym_delete] = ACTIONS(3065),
    [anon_sym_throw] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
    [anon_sym_concept] = ACTIONS(3065),
    [anon_sym_co_return] = ACTIONS(3065),
    [anon_sym_co_yield] = ACTIONS(3065),
    [anon_sym_R_DQUOTE] = ACTIONS(3067),
    [anon_sym_LR_DQUOTE] = ACTIONS(3067),
    [anon_sym_uR_DQUOTE] = ACTIONS(3067),
    [anon_sym_UR_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3067),
    [anon_sym_co_await] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_requires] = ACTIONS(3065),
    [sym_this] = ACTIONS(3065),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_virtual] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2822),
    [anon_sym_LR_DQUOTE] = ACTIONS(2822),
    [anon_sym_uR_DQUOTE] = ACTIONS(2822),
    [anon_sym_UR_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2822),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [546] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym___attribute] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym__Nonnull] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [anon_sym___asm] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [547] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym___attribute] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [anon_sym___asm] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [548] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym___attribute] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym__Nonnull] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [anon_sym___asm] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token2] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym___attribute] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym__Nonnull] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym__Alignas] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [anon_sym___asm] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [550] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym___attribute] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym___attribute] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [anon_sym___asm] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym___attribute] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym__Nonnull] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym__Alignas] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [anon_sym___asm] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym___attribute] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [555] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [556] = {
    [sym_identifier] = ACTIONS(3031),
    [aux_sym_preproc_include_token1] = ACTIONS(3031),
    [aux_sym_preproc_def_token1] = ACTIONS(3031),
    [aux_sym_preproc_if_token1] = ACTIONS(3031),
    [aux_sym_preproc_if_token2] = ACTIONS(3031),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3031),
    [anon_sym_LPAREN2] = ACTIONS(3033),
    [anon_sym_BANG] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym___extension__] = ACTIONS(3031),
    [anon_sym_typedef] = ACTIONS(3031),
    [anon_sym_virtual] = ACTIONS(3031),
    [anon_sym_extern] = ACTIONS(3031),
    [anon_sym___attribute__] = ACTIONS(3031),
    [anon_sym___attribute] = ACTIONS(3031),
    [anon_sym_COLON_COLON] = ACTIONS(3033),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3033),
    [anon_sym___declspec] = ACTIONS(3031),
    [anon_sym___based] = ACTIONS(3031),
    [anon_sym___cdecl] = ACTIONS(3031),
    [anon_sym___clrcall] = ACTIONS(3031),
    [anon_sym___stdcall] = ACTIONS(3031),
    [anon_sym___fastcall] = ACTIONS(3031),
    [anon_sym___thiscall] = ACTIONS(3031),
    [anon_sym___vectorcall] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3031),
    [anon_sym_unsigned] = ACTIONS(3031),
    [anon_sym_long] = ACTIONS(3031),
    [anon_sym_short] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_register] = ACTIONS(3031),
    [anon_sym_inline] = ACTIONS(3031),
    [anon_sym___inline] = ACTIONS(3031),
    [anon_sym___inline__] = ACTIONS(3031),
    [anon_sym___forceinline] = ACTIONS(3031),
    [anon_sym_thread_local] = ACTIONS(3031),
    [anon_sym___thread] = ACTIONS(3031),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_constexpr] = ACTIONS(3031),
    [anon_sym_volatile] = ACTIONS(3031),
    [anon_sym_restrict] = ACTIONS(3031),
    [anon_sym___restrict__] = ACTIONS(3031),
    [anon_sym__Atomic] = ACTIONS(3031),
    [anon_sym__Noreturn] = ACTIONS(3031),
    [anon_sym_noreturn] = ACTIONS(3031),
    [anon_sym__Nonnull] = ACTIONS(3031),
    [anon_sym_mutable] = ACTIONS(3031),
    [anon_sym_constinit] = ACTIONS(3031),
    [anon_sym_consteval] = ACTIONS(3031),
    [anon_sym_alignas] = ACTIONS(3031),
    [anon_sym__Alignas] = ACTIONS(3031),
    [sym_primitive_type] = ACTIONS(3031),
    [anon_sym_enum] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3031),
    [anon_sym_if] = ACTIONS(3031),
    [anon_sym_switch] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_default] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3031),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_for] = ACTIONS(3031),
    [anon_sym_return] = ACTIONS(3031),
    [anon_sym_break] = ACTIONS(3031),
    [anon_sym_continue] = ACTIONS(3031),
    [anon_sym_goto] = ACTIONS(3031),
    [anon_sym___try] = ACTIONS(3031),
    [anon_sym___leave] = ACTIONS(3031),
    [anon_sym_not] = ACTIONS(3031),
    [anon_sym_compl] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3033),
    [anon_sym_sizeof] = ACTIONS(3031),
    [anon_sym___alignof__] = ACTIONS(3031),
    [anon_sym___alignof] = ACTIONS(3031),
    [anon_sym__alignof] = ACTIONS(3031),
    [anon_sym_alignof] = ACTIONS(3031),
    [anon_sym__Alignof] = ACTIONS(3031),
    [anon_sym_offsetof] = ACTIONS(3031),
    [anon_sym__Generic] = ACTIONS(3031),
    [anon_sym_asm] = ACTIONS(3031),
    [anon_sym___asm__] = ACTIONS(3031),
    [anon_sym___asm] = ACTIONS(3031),
    [sym_number_literal] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3033),
    [anon_sym_u_SQUOTE] = ACTIONS(3033),
    [anon_sym_U_SQUOTE] = ACTIONS(3033),
    [anon_sym_u8_SQUOTE] = ACTIONS(3033),
    [anon_sym_SQUOTE] = ACTIONS(3033),
    [anon_sym_L_DQUOTE] = ACTIONS(3033),
    [anon_sym_u_DQUOTE] = ACTIONS(3033),
    [anon_sym_U_DQUOTE] = ACTIONS(3033),
    [anon_sym_u8_DQUOTE] = ACTIONS(3033),
    [anon_sym_DQUOTE] = ACTIONS(3033),
    [sym_true] = ACTIONS(3031),
    [sym_false] = ACTIONS(3031),
    [anon_sym_NULL] = ACTIONS(3031),
    [anon_sym_nullptr] = ACTIONS(3031),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3031),
    [anon_sym_decltype] = ACTIONS(3031),
    [anon_sym_explicit] = ACTIONS(3031),
    [anon_sym_typename] = ACTIONS(3031),
    [anon_sym_template] = ACTIONS(3031),
    [anon_sym_operator] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3031),
    [anon_sym_delete] = ACTIONS(3031),
    [anon_sym_throw] = ACTIONS(3031),
    [anon_sym_namespace] = ACTIONS(3031),
    [anon_sym_using] = ACTIONS(3031),
    [anon_sym_static_assert] = ACTIONS(3031),
    [anon_sym_concept] = ACTIONS(3031),
    [anon_sym_co_return] = ACTIONS(3031),
    [anon_sym_co_yield] = ACTIONS(3031),
    [anon_sym_R_DQUOTE] = ACTIONS(3033),
    [anon_sym_LR_DQUOTE] = ACTIONS(3033),
    [anon_sym_uR_DQUOTE] = ACTIONS(3033),
    [anon_sym_UR_DQUOTE] = ACTIONS(3033),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3033),
    [anon_sym_co_await] = ACTIONS(3031),
    [anon_sym_new] = ACTIONS(3031),
    [anon_sym_requires] = ACTIONS(3031),
    [sym_this] = ACTIONS(3031),
  },
  [557] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [558] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym___attribute] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [anon_sym___asm] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym___attribute] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [anon_sym___asm] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [561] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym___attribute] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [562] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_virtual] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [563] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_virtual] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_AMP_AMP] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_virtual] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___based] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_constinit] = ACTIONS(2872),
    [anon_sym_consteval] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym___leave] = ACTIONS(2872),
    [anon_sym_not] = ACTIONS(2872),
    [anon_sym_compl] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2872),
    [anon_sym_decltype] = ACTIONS(2872),
    [anon_sym_explicit] = ACTIONS(2872),
    [anon_sym_typename] = ACTIONS(2872),
    [anon_sym_template] = ACTIONS(2872),
    [anon_sym_operator] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_static_assert] = ACTIONS(2872),
    [anon_sym_concept] = ACTIONS(2872),
    [anon_sym_co_return] = ACTIONS(2872),
    [anon_sym_co_yield] = ACTIONS(2872),
    [anon_sym_R_DQUOTE] = ACTIONS(2874),
    [anon_sym_LR_DQUOTE] = ACTIONS(2874),
    [anon_sym_uR_DQUOTE] = ACTIONS(2874),
    [anon_sym_UR_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2874),
    [anon_sym_co_await] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_requires] = ACTIONS(2872),
    [sym_this] = ACTIONS(2872),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3109),
    [aux_sym_preproc_include_token1] = ACTIONS(3109),
    [aux_sym_preproc_def_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3109),
    [sym_preproc_directive] = ACTIONS(3109),
    [anon_sym_LPAREN2] = ACTIONS(3111),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_AMP_AMP] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3109),
    [anon_sym_typedef] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym___attribute__] = ACTIONS(3109),
    [anon_sym___attribute] = ACTIONS(3109),
    [anon_sym_COLON_COLON] = ACTIONS(3111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3109),
    [anon_sym___based] = ACTIONS(3109),
    [anon_sym___cdecl] = ACTIONS(3109),
    [anon_sym___clrcall] = ACTIONS(3109),
    [anon_sym___stdcall] = ACTIONS(3109),
    [anon_sym___fastcall] = ACTIONS(3109),
    [anon_sym___thiscall] = ACTIONS(3109),
    [anon_sym___vectorcall] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3111),
    [anon_sym_RBRACE] = ACTIONS(3111),
    [anon_sym_signed] = ACTIONS(3109),
    [anon_sym_unsigned] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_register] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(3109),
    [anon_sym___inline] = ACTIONS(3109),
    [anon_sym___inline__] = ACTIONS(3109),
    [anon_sym___forceinline] = ACTIONS(3109),
    [anon_sym_thread_local] = ACTIONS(3109),
    [anon_sym___thread] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_constexpr] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_restrict] = ACTIONS(3109),
    [anon_sym___restrict__] = ACTIONS(3109),
    [anon_sym__Atomic] = ACTIONS(3109),
    [anon_sym__Noreturn] = ACTIONS(3109),
    [anon_sym_noreturn] = ACTIONS(3109),
    [anon_sym__Nonnull] = ACTIONS(3109),
    [anon_sym_mutable] = ACTIONS(3109),
    [anon_sym_constinit] = ACTIONS(3109),
    [anon_sym_consteval] = ACTIONS(3109),
    [anon_sym_alignas] = ACTIONS(3109),
    [anon_sym__Alignas] = ACTIONS(3109),
    [sym_primitive_type] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_union] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_case] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_goto] = ACTIONS(3109),
    [anon_sym___try] = ACTIONS(3109),
    [anon_sym___leave] = ACTIONS(3109),
    [anon_sym_not] = ACTIONS(3109),
    [anon_sym_compl] = ACTIONS(3109),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_sizeof] = ACTIONS(3109),
    [anon_sym___alignof__] = ACTIONS(3109),
    [anon_sym___alignof] = ACTIONS(3109),
    [anon_sym__alignof] = ACTIONS(3109),
    [anon_sym_alignof] = ACTIONS(3109),
    [anon_sym__Alignof] = ACTIONS(3109),
    [anon_sym_offsetof] = ACTIONS(3109),
    [anon_sym__Generic] = ACTIONS(3109),
    [anon_sym_asm] = ACTIONS(3109),
    [anon_sym___asm__] = ACTIONS(3109),
    [anon_sym___asm] = ACTIONS(3109),
    [sym_number_literal] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3111),
    [anon_sym_u_SQUOTE] = ACTIONS(3111),
    [anon_sym_U_SQUOTE] = ACTIONS(3111),
    [anon_sym_u8_SQUOTE] = ACTIONS(3111),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [anon_sym_L_DQUOTE] = ACTIONS(3111),
    [anon_sym_u_DQUOTE] = ACTIONS(3111),
    [anon_sym_U_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8_DQUOTE] = ACTIONS(3111),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [sym_true] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
    [anon_sym_NULL] = ACTIONS(3109),
    [anon_sym_nullptr] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3109),
    [anon_sym_decltype] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3109),
    [anon_sym_template] = ACTIONS(3109),
    [anon_sym_operator] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_delete] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static_assert] = ACTIONS(3109),
    [anon_sym_concept] = ACTIONS(3109),
    [anon_sym_co_return] = ACTIONS(3109),
    [anon_sym_co_yield] = ACTIONS(3109),
    [anon_sym_R_DQUOTE] = ACTIONS(3111),
    [anon_sym_LR_DQUOTE] = ACTIONS(3111),
    [anon_sym_uR_DQUOTE] = ACTIONS(3111),
    [anon_sym_UR_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3111),
    [anon_sym_co_await] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_requires] = ACTIONS(3109),
    [sym_this] = ACTIONS(3109),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token2] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym___attribute] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [sym_number_literal] = ACTIONS(2886),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [sym_number_literal] = ACTIONS(2914),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [sym_number_literal] = ACTIONS(2914),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym___attribute] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym__Nonnull] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym__Alignas] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [anon_sym___asm] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym___attribute] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym__Nonnull] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym__Alignas] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [anon_sym___asm] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym___attribute] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym__Nonnull] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym__Alignas] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [anon_sym___asm] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym___attribute] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_RBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [sym_number_literal] = ACTIONS(3121),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym___attribute] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [anon_sym___asm] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym___attribute] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [anon_sym___asm] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [580] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [anon_sym___asm] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [582] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym___attribute] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [anon_sym___asm] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [584] = {
    [sym_identifier] = ACTIONS(3031),
    [aux_sym_preproc_include_token1] = ACTIONS(3031),
    [aux_sym_preproc_def_token1] = ACTIONS(3031),
    [aux_sym_preproc_if_token1] = ACTIONS(3031),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3031),
    [anon_sym_LPAREN2] = ACTIONS(3033),
    [anon_sym_BANG] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym___extension__] = ACTIONS(3031),
    [anon_sym_typedef] = ACTIONS(3031),
    [anon_sym_virtual] = ACTIONS(3031),
    [anon_sym_extern] = ACTIONS(3031),
    [anon_sym___attribute__] = ACTIONS(3031),
    [anon_sym___attribute] = ACTIONS(3031),
    [anon_sym_COLON_COLON] = ACTIONS(3033),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3033),
    [anon_sym___declspec] = ACTIONS(3031),
    [anon_sym___based] = ACTIONS(3031),
    [anon_sym___cdecl] = ACTIONS(3031),
    [anon_sym___clrcall] = ACTIONS(3031),
    [anon_sym___stdcall] = ACTIONS(3031),
    [anon_sym___fastcall] = ACTIONS(3031),
    [anon_sym___thiscall] = ACTIONS(3031),
    [anon_sym___vectorcall] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_RBRACE] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3031),
    [anon_sym_unsigned] = ACTIONS(3031),
    [anon_sym_long] = ACTIONS(3031),
    [anon_sym_short] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_register] = ACTIONS(3031),
    [anon_sym_inline] = ACTIONS(3031),
    [anon_sym___inline] = ACTIONS(3031),
    [anon_sym___inline__] = ACTIONS(3031),
    [anon_sym___forceinline] = ACTIONS(3031),
    [anon_sym_thread_local] = ACTIONS(3031),
    [anon_sym___thread] = ACTIONS(3031),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_constexpr] = ACTIONS(3031),
    [anon_sym_volatile] = ACTIONS(3031),
    [anon_sym_restrict] = ACTIONS(3031),
    [anon_sym___restrict__] = ACTIONS(3031),
    [anon_sym__Atomic] = ACTIONS(3031),
    [anon_sym__Noreturn] = ACTIONS(3031),
    [anon_sym_noreturn] = ACTIONS(3031),
    [anon_sym__Nonnull] = ACTIONS(3031),
    [anon_sym_mutable] = ACTIONS(3031),
    [anon_sym_constinit] = ACTIONS(3031),
    [anon_sym_consteval] = ACTIONS(3031),
    [anon_sym_alignas] = ACTIONS(3031),
    [anon_sym__Alignas] = ACTIONS(3031),
    [sym_primitive_type] = ACTIONS(3031),
    [anon_sym_enum] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3031),
    [anon_sym_if] = ACTIONS(3031),
    [anon_sym_switch] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_default] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3031),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_for] = ACTIONS(3031),
    [anon_sym_return] = ACTIONS(3031),
    [anon_sym_break] = ACTIONS(3031),
    [anon_sym_continue] = ACTIONS(3031),
    [anon_sym_goto] = ACTIONS(3031),
    [anon_sym___try] = ACTIONS(3031),
    [anon_sym___leave] = ACTIONS(3031),
    [anon_sym_not] = ACTIONS(3031),
    [anon_sym_compl] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3033),
    [anon_sym_sizeof] = ACTIONS(3031),
    [anon_sym___alignof__] = ACTIONS(3031),
    [anon_sym___alignof] = ACTIONS(3031),
    [anon_sym__alignof] = ACTIONS(3031),
    [anon_sym_alignof] = ACTIONS(3031),
    [anon_sym__Alignof] = ACTIONS(3031),
    [anon_sym_offsetof] = ACTIONS(3031),
    [anon_sym__Generic] = ACTIONS(3031),
    [anon_sym_asm] = ACTIONS(3031),
    [anon_sym___asm__] = ACTIONS(3031),
    [anon_sym___asm] = ACTIONS(3031),
    [sym_number_literal] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3033),
    [anon_sym_u_SQUOTE] = ACTIONS(3033),
    [anon_sym_U_SQUOTE] = ACTIONS(3033),
    [anon_sym_u8_SQUOTE] = ACTIONS(3033),
    [anon_sym_SQUOTE] = ACTIONS(3033),
    [anon_sym_L_DQUOTE] = ACTIONS(3033),
    [anon_sym_u_DQUOTE] = ACTIONS(3033),
    [anon_sym_U_DQUOTE] = ACTIONS(3033),
    [anon_sym_u8_DQUOTE] = ACTIONS(3033),
    [anon_sym_DQUOTE] = ACTIONS(3033),
    [sym_true] = ACTIONS(3031),
    [sym_false] = ACTIONS(3031),
    [anon_sym_NULL] = ACTIONS(3031),
    [anon_sym_nullptr] = ACTIONS(3031),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3031),
    [anon_sym_decltype] = ACTIONS(3031),
    [anon_sym_explicit] = ACTIONS(3031),
    [anon_sym_typename] = ACTIONS(3031),
    [anon_sym_template] = ACTIONS(3031),
    [anon_sym_operator] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3031),
    [anon_sym_delete] = ACTIONS(3031),
    [anon_sym_throw] = ACTIONS(3031),
    [anon_sym_namespace] = ACTIONS(3031),
    [anon_sym_using] = ACTIONS(3031),
    [anon_sym_static_assert] = ACTIONS(3031),
    [anon_sym_concept] = ACTIONS(3031),
    [anon_sym_co_return] = ACTIONS(3031),
    [anon_sym_co_yield] = ACTIONS(3031),
    [anon_sym_R_DQUOTE] = ACTIONS(3033),
    [anon_sym_LR_DQUOTE] = ACTIONS(3033),
    [anon_sym_uR_DQUOTE] = ACTIONS(3033),
    [anon_sym_UR_DQUOTE] = ACTIONS(3033),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3033),
    [anon_sym_co_await] = ACTIONS(3031),
    [anon_sym_new] = ACTIONS(3031),
    [anon_sym_requires] = ACTIONS(3031),
    [sym_this] = ACTIONS(3031),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [586] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [587] = {
    [sym_identifier] = ACTIONS(3023),
    [aux_sym_preproc_include_token1] = ACTIONS(3023),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token2] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3023),
    [sym_preproc_directive] = ACTIONS(3023),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_BANG] = ACTIONS(3025),
    [anon_sym_TILDE] = ACTIONS(3025),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3025),
    [anon_sym_AMP_AMP] = ACTIONS(3025),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_SEMI] = ACTIONS(3025),
    [anon_sym___extension__] = ACTIONS(3023),
    [anon_sym_typedef] = ACTIONS(3023),
    [anon_sym_virtual] = ACTIONS(3023),
    [anon_sym_extern] = ACTIONS(3023),
    [anon_sym___attribute__] = ACTIONS(3023),
    [anon_sym___attribute] = ACTIONS(3023),
    [anon_sym_COLON_COLON] = ACTIONS(3025),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3025),
    [anon_sym___declspec] = ACTIONS(3023),
    [anon_sym___based] = ACTIONS(3023),
    [anon_sym___cdecl] = ACTIONS(3023),
    [anon_sym___clrcall] = ACTIONS(3023),
    [anon_sym___stdcall] = ACTIONS(3023),
    [anon_sym___fastcall] = ACTIONS(3023),
    [anon_sym___thiscall] = ACTIONS(3023),
    [anon_sym___vectorcall] = ACTIONS(3023),
    [anon_sym_LBRACE] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3023),
    [anon_sym_unsigned] = ACTIONS(3023),
    [anon_sym_long] = ACTIONS(3023),
    [anon_sym_short] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(3023),
    [anon_sym_register] = ACTIONS(3023),
    [anon_sym_inline] = ACTIONS(3023),
    [anon_sym___inline] = ACTIONS(3023),
    [anon_sym___inline__] = ACTIONS(3023),
    [anon_sym___forceinline] = ACTIONS(3023),
    [anon_sym_thread_local] = ACTIONS(3023),
    [anon_sym___thread] = ACTIONS(3023),
    [anon_sym_const] = ACTIONS(3023),
    [anon_sym_constexpr] = ACTIONS(3023),
    [anon_sym_volatile] = ACTIONS(3023),
    [anon_sym_restrict] = ACTIONS(3023),
    [anon_sym___restrict__] = ACTIONS(3023),
    [anon_sym__Atomic] = ACTIONS(3023),
    [anon_sym__Noreturn] = ACTIONS(3023),
    [anon_sym_noreturn] = ACTIONS(3023),
    [anon_sym__Nonnull] = ACTIONS(3023),
    [anon_sym_mutable] = ACTIONS(3023),
    [anon_sym_constinit] = ACTIONS(3023),
    [anon_sym_consteval] = ACTIONS(3023),
    [anon_sym_alignas] = ACTIONS(3023),
    [anon_sym__Alignas] = ACTIONS(3023),
    [sym_primitive_type] = ACTIONS(3023),
    [anon_sym_enum] = ACTIONS(3023),
    [anon_sym_class] = ACTIONS(3023),
    [anon_sym_struct] = ACTIONS(3023),
    [anon_sym_union] = ACTIONS(3023),
    [anon_sym_if] = ACTIONS(3023),
    [anon_sym_switch] = ACTIONS(3023),
    [anon_sym_case] = ACTIONS(3023),
    [anon_sym_default] = ACTIONS(3023),
    [anon_sym_while] = ACTIONS(3023),
    [anon_sym_do] = ACTIONS(3023),
    [anon_sym_for] = ACTIONS(3023),
    [anon_sym_return] = ACTIONS(3023),
    [anon_sym_break] = ACTIONS(3023),
    [anon_sym_continue] = ACTIONS(3023),
    [anon_sym_goto] = ACTIONS(3023),
    [anon_sym___try] = ACTIONS(3023),
    [anon_sym___leave] = ACTIONS(3023),
    [anon_sym_not] = ACTIONS(3023),
    [anon_sym_compl] = ACTIONS(3023),
    [anon_sym_DASH_DASH] = ACTIONS(3025),
    [anon_sym_PLUS_PLUS] = ACTIONS(3025),
    [anon_sym_sizeof] = ACTIONS(3023),
    [anon_sym___alignof__] = ACTIONS(3023),
    [anon_sym___alignof] = ACTIONS(3023),
    [anon_sym__alignof] = ACTIONS(3023),
    [anon_sym_alignof] = ACTIONS(3023),
    [anon_sym__Alignof] = ACTIONS(3023),
    [anon_sym_offsetof] = ACTIONS(3023),
    [anon_sym__Generic] = ACTIONS(3023),
    [anon_sym_asm] = ACTIONS(3023),
    [anon_sym___asm__] = ACTIONS(3023),
    [anon_sym___asm] = ACTIONS(3023),
    [sym_number_literal] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3025),
    [anon_sym_u_SQUOTE] = ACTIONS(3025),
    [anon_sym_U_SQUOTE] = ACTIONS(3025),
    [anon_sym_u8_SQUOTE] = ACTIONS(3025),
    [anon_sym_SQUOTE] = ACTIONS(3025),
    [anon_sym_L_DQUOTE] = ACTIONS(3025),
    [anon_sym_u_DQUOTE] = ACTIONS(3025),
    [anon_sym_U_DQUOTE] = ACTIONS(3025),
    [anon_sym_u8_DQUOTE] = ACTIONS(3025),
    [anon_sym_DQUOTE] = ACTIONS(3025),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [anon_sym_NULL] = ACTIONS(3023),
    [anon_sym_nullptr] = ACTIONS(3023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3023),
    [anon_sym_decltype] = ACTIONS(3023),
    [anon_sym_explicit] = ACTIONS(3023),
    [anon_sym_typename] = ACTIONS(3023),
    [anon_sym_template] = ACTIONS(3023),
    [anon_sym_operator] = ACTIONS(3023),
    [anon_sym_try] = ACTIONS(3023),
    [anon_sym_delete] = ACTIONS(3023),
    [anon_sym_throw] = ACTIONS(3023),
    [anon_sym_namespace] = ACTIONS(3023),
    [anon_sym_using] = ACTIONS(3023),
    [anon_sym_static_assert] = ACTIONS(3023),
    [anon_sym_concept] = ACTIONS(3023),
    [anon_sym_co_return] = ACTIONS(3023),
    [anon_sym_co_yield] = ACTIONS(3023),
    [anon_sym_R_DQUOTE] = ACTIONS(3025),
    [anon_sym_LR_DQUOTE] = ACTIONS(3025),
    [anon_sym_uR_DQUOTE] = ACTIONS(3025),
    [anon_sym_UR_DQUOTE] = ACTIONS(3025),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3025),
    [anon_sym_co_await] = ACTIONS(3023),
    [anon_sym_new] = ACTIONS(3023),
    [anon_sym_requires] = ACTIONS(3023),
    [sym_this] = ACTIONS(3023),
  },
  [588] = {
    [sym_identifier] = ACTIONS(3027),
    [aux_sym_preproc_include_token1] = ACTIONS(3027),
    [aux_sym_preproc_def_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token2] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3027),
    [anon_sym_LPAREN2] = ACTIONS(3029),
    [anon_sym_BANG] = ACTIONS(3029),
    [anon_sym_TILDE] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3027),
    [anon_sym_PLUS] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym___extension__] = ACTIONS(3027),
    [anon_sym_typedef] = ACTIONS(3027),
    [anon_sym_virtual] = ACTIONS(3027),
    [anon_sym_extern] = ACTIONS(3027),
    [anon_sym___attribute__] = ACTIONS(3027),
    [anon_sym___attribute] = ACTIONS(3027),
    [anon_sym_COLON_COLON] = ACTIONS(3029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3029),
    [anon_sym___declspec] = ACTIONS(3027),
    [anon_sym___based] = ACTIONS(3027),
    [anon_sym___cdecl] = ACTIONS(3027),
    [anon_sym___clrcall] = ACTIONS(3027),
    [anon_sym___stdcall] = ACTIONS(3027),
    [anon_sym___fastcall] = ACTIONS(3027),
    [anon_sym___thiscall] = ACTIONS(3027),
    [anon_sym___vectorcall] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_signed] = ACTIONS(3027),
    [anon_sym_unsigned] = ACTIONS(3027),
    [anon_sym_long] = ACTIONS(3027),
    [anon_sym_short] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [anon_sym_static] = ACTIONS(3027),
    [anon_sym_register] = ACTIONS(3027),
    [anon_sym_inline] = ACTIONS(3027),
    [anon_sym___inline] = ACTIONS(3027),
    [anon_sym___inline__] = ACTIONS(3027),
    [anon_sym___forceinline] = ACTIONS(3027),
    [anon_sym_thread_local] = ACTIONS(3027),
    [anon_sym___thread] = ACTIONS(3027),
    [anon_sym_const] = ACTIONS(3027),
    [anon_sym_constexpr] = ACTIONS(3027),
    [anon_sym_volatile] = ACTIONS(3027),
    [anon_sym_restrict] = ACTIONS(3027),
    [anon_sym___restrict__] = ACTIONS(3027),
    [anon_sym__Atomic] = ACTIONS(3027),
    [anon_sym__Noreturn] = ACTIONS(3027),
    [anon_sym_noreturn] = ACTIONS(3027),
    [anon_sym__Nonnull] = ACTIONS(3027),
    [anon_sym_mutable] = ACTIONS(3027),
    [anon_sym_constinit] = ACTIONS(3027),
    [anon_sym_consteval] = ACTIONS(3027),
    [anon_sym_alignas] = ACTIONS(3027),
    [anon_sym__Alignas] = ACTIONS(3027),
    [sym_primitive_type] = ACTIONS(3027),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3027),
    [anon_sym_struct] = ACTIONS(3027),
    [anon_sym_union] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_switch] = ACTIONS(3027),
    [anon_sym_case] = ACTIONS(3027),
    [anon_sym_default] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_do] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3027),
    [anon_sym_return] = ACTIONS(3027),
    [anon_sym_break] = ACTIONS(3027),
    [anon_sym_continue] = ACTIONS(3027),
    [anon_sym_goto] = ACTIONS(3027),
    [anon_sym___try] = ACTIONS(3027),
    [anon_sym___leave] = ACTIONS(3027),
    [anon_sym_not] = ACTIONS(3027),
    [anon_sym_compl] = ACTIONS(3027),
    [anon_sym_DASH_DASH] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3029),
    [anon_sym_sizeof] = ACTIONS(3027),
    [anon_sym___alignof__] = ACTIONS(3027),
    [anon_sym___alignof] = ACTIONS(3027),
    [anon_sym__alignof] = ACTIONS(3027),
    [anon_sym_alignof] = ACTIONS(3027),
    [anon_sym__Alignof] = ACTIONS(3027),
    [anon_sym_offsetof] = ACTIONS(3027),
    [anon_sym__Generic] = ACTIONS(3027),
    [anon_sym_asm] = ACTIONS(3027),
    [anon_sym___asm__] = ACTIONS(3027),
    [anon_sym___asm] = ACTIONS(3027),
    [sym_number_literal] = ACTIONS(3029),
    [anon_sym_L_SQUOTE] = ACTIONS(3029),
    [anon_sym_u_SQUOTE] = ACTIONS(3029),
    [anon_sym_U_SQUOTE] = ACTIONS(3029),
    [anon_sym_u8_SQUOTE] = ACTIONS(3029),
    [anon_sym_SQUOTE] = ACTIONS(3029),
    [anon_sym_L_DQUOTE] = ACTIONS(3029),
    [anon_sym_u_DQUOTE] = ACTIONS(3029),
    [anon_sym_U_DQUOTE] = ACTIONS(3029),
    [anon_sym_u8_DQUOTE] = ACTIONS(3029),
    [anon_sym_DQUOTE] = ACTIONS(3029),
    [sym_true] = ACTIONS(3027),
    [sym_false] = ACTIONS(3027),
    [anon_sym_NULL] = ACTIONS(3027),
    [anon_sym_nullptr] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3027),
    [anon_sym_decltype] = ACTIONS(3027),
    [anon_sym_explicit] = ACTIONS(3027),
    [anon_sym_typename] = ACTIONS(3027),
    [anon_sym_template] = ACTIONS(3027),
    [anon_sym_operator] = ACTIONS(3027),
    [anon_sym_try] = ACTIONS(3027),
    [anon_sym_delete] = ACTIONS(3027),
    [anon_sym_throw] = ACTIONS(3027),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_using] = ACTIONS(3027),
    [anon_sym_static_assert] = ACTIONS(3027),
    [anon_sym_concept] = ACTIONS(3027),
    [anon_sym_co_return] = ACTIONS(3027),
    [anon_sym_co_yield] = ACTIONS(3027),
    [anon_sym_R_DQUOTE] = ACTIONS(3029),
    [anon_sym_LR_DQUOTE] = ACTIONS(3029),
    [anon_sym_uR_DQUOTE] = ACTIONS(3029),
    [anon_sym_UR_DQUOTE] = ACTIONS(3029),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3029),
    [anon_sym_co_await] = ACTIONS(3027),
    [anon_sym_new] = ACTIONS(3027),
    [anon_sym_requires] = ACTIONS(3027),
    [sym_this] = ACTIONS(3027),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [sym_number_literal] = ACTIONS(3043),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [591] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [592] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym___attribute] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym__Nonnull] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym__Alignas] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [anon_sym___asm] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym___attribute] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym___attribute] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_virtual] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym___attribute] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [sym_number_literal] = ACTIONS(2882),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym___attribute] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym___attribute] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym___attribute] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [anon_sym___asm] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [sym_number_literal] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_virtual] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [602] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_virtual] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym___attribute] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [anon_sym___asm] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym___attribute] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [anon_sym___asm] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3109),
    [aux_sym_preproc_include_token1] = ACTIONS(3109),
    [aux_sym_preproc_def_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token2] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3109),
    [sym_preproc_directive] = ACTIONS(3109),
    [anon_sym_LPAREN2] = ACTIONS(3111),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_AMP_AMP] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3109),
    [anon_sym_typedef] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym___attribute__] = ACTIONS(3109),
    [anon_sym___attribute] = ACTIONS(3109),
    [anon_sym_COLON_COLON] = ACTIONS(3111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3109),
    [anon_sym___based] = ACTIONS(3109),
    [anon_sym___cdecl] = ACTIONS(3109),
    [anon_sym___clrcall] = ACTIONS(3109),
    [anon_sym___stdcall] = ACTIONS(3109),
    [anon_sym___fastcall] = ACTIONS(3109),
    [anon_sym___thiscall] = ACTIONS(3109),
    [anon_sym___vectorcall] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3111),
    [anon_sym_signed] = ACTIONS(3109),
    [anon_sym_unsigned] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_register] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(3109),
    [anon_sym___inline] = ACTIONS(3109),
    [anon_sym___inline__] = ACTIONS(3109),
    [anon_sym___forceinline] = ACTIONS(3109),
    [anon_sym_thread_local] = ACTIONS(3109),
    [anon_sym___thread] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_constexpr] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_restrict] = ACTIONS(3109),
    [anon_sym___restrict__] = ACTIONS(3109),
    [anon_sym__Atomic] = ACTIONS(3109),
    [anon_sym__Noreturn] = ACTIONS(3109),
    [anon_sym_noreturn] = ACTIONS(3109),
    [anon_sym__Nonnull] = ACTIONS(3109),
    [anon_sym_mutable] = ACTIONS(3109),
    [anon_sym_constinit] = ACTIONS(3109),
    [anon_sym_consteval] = ACTIONS(3109),
    [anon_sym_alignas] = ACTIONS(3109),
    [anon_sym__Alignas] = ACTIONS(3109),
    [sym_primitive_type] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_union] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_case] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_goto] = ACTIONS(3109),
    [anon_sym___try] = ACTIONS(3109),
    [anon_sym___leave] = ACTIONS(3109),
    [anon_sym_not] = ACTIONS(3109),
    [anon_sym_compl] = ACTIONS(3109),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_sizeof] = ACTIONS(3109),
    [anon_sym___alignof__] = ACTIONS(3109),
    [anon_sym___alignof] = ACTIONS(3109),
    [anon_sym__alignof] = ACTIONS(3109),
    [anon_sym_alignof] = ACTIONS(3109),
    [anon_sym__Alignof] = ACTIONS(3109),
    [anon_sym_offsetof] = ACTIONS(3109),
    [anon_sym__Generic] = ACTIONS(3109),
    [anon_sym_asm] = ACTIONS(3109),
    [anon_sym___asm__] = ACTIONS(3109),
    [anon_sym___asm] = ACTIONS(3109),
    [sym_number_literal] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3111),
    [anon_sym_u_SQUOTE] = ACTIONS(3111),
    [anon_sym_U_SQUOTE] = ACTIONS(3111),
    [anon_sym_u8_SQUOTE] = ACTIONS(3111),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [anon_sym_L_DQUOTE] = ACTIONS(3111),
    [anon_sym_u_DQUOTE] = ACTIONS(3111),
    [anon_sym_U_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8_DQUOTE] = ACTIONS(3111),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [sym_true] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
    [anon_sym_NULL] = ACTIONS(3109),
    [anon_sym_nullptr] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3109),
    [anon_sym_decltype] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3109),
    [anon_sym_template] = ACTIONS(3109),
    [anon_sym_operator] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_delete] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static_assert] = ACTIONS(3109),
    [anon_sym_concept] = ACTIONS(3109),
    [anon_sym_co_return] = ACTIONS(3109),
    [anon_sym_co_yield] = ACTIONS(3109),
    [anon_sym_R_DQUOTE] = ACTIONS(3111),
    [anon_sym_LR_DQUOTE] = ACTIONS(3111),
    [anon_sym_uR_DQUOTE] = ACTIONS(3111),
    [anon_sym_UR_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3111),
    [anon_sym_co_await] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_requires] = ACTIONS(3109),
    [sym_this] = ACTIONS(3109),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym___attribute] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [sym_number_literal] = ACTIONS(3121),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [anon_sym___asm] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [608] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [anon_sym___asm] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [610] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [611] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym___attribute] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [anon_sym___asm] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [612] = {
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_if_in_field_declaration_list] = STATE(612),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(612),
    [sym_type_definition] = STATE(612),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(612),
    [sym_field_declaration] = STATE(612),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(612),
    [sym_operator_cast] = STATE(6772),
    [sym_inline_method_definition] = STATE(612),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(612),
    [sym_operator_cast_declaration] = STATE(612),
    [sym_constructor_or_destructor_definition] = STATE(612),
    [sym_constructor_or_destructor_declaration] = STATE(612),
    [sym_friend_declaration] = STATE(612),
    [sym_access_specifier] = STATE(8261),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(612),
    [sym_alias_declaration] = STATE(612),
    [sym_static_assert_declaration] = STATE(612),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(612),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3330),
    [aux_sym_preproc_def_token1] = ACTIONS(3333),
    [aux_sym_preproc_if_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3341),
    [aux_sym_preproc_else_token1] = ACTIONS(3339),
    [aux_sym_preproc_elif_token1] = ACTIONS(3339),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3344),
    [anon_sym_LPAREN2] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3356),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3362),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3368),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3374),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym___attribute] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3386),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3392),
    [anon_sym_unsigned] = ACTIONS(3392),
    [anon_sym_long] = ACTIONS(3392),
    [anon_sym_short] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3374),
    [anon_sym_register] = ACTIONS(3374),
    [anon_sym_inline] = ACTIONS(3374),
    [anon_sym___inline] = ACTIONS(3374),
    [anon_sym___inline__] = ACTIONS(3374),
    [anon_sym___forceinline] = ACTIONS(3374),
    [anon_sym_thread_local] = ACTIONS(3374),
    [anon_sym___thread] = ACTIONS(3374),
    [anon_sym_const] = ACTIONS(3398),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3398),
    [anon_sym_restrict] = ACTIONS(3398),
    [anon_sym___restrict__] = ACTIONS(3398),
    [anon_sym__Atomic] = ACTIONS(3398),
    [anon_sym__Noreturn] = ACTIONS(3398),
    [anon_sym_noreturn] = ACTIONS(3398),
    [anon_sym__Nonnull] = ACTIONS(3398),
    [anon_sym_mutable] = ACTIONS(3398),
    [anon_sym_constinit] = ACTIONS(3398),
    [anon_sym_consteval] = ACTIONS(3398),
    [anon_sym_alignas] = ACTIONS(3404),
    [anon_sym__Alignas] = ACTIONS(3404),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3410),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3416),
    [anon_sym_union] = ACTIONS(3419),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3422),
    [anon_sym_decltype] = ACTIONS(3425),
    [anon_sym_explicit] = ACTIONS(3428),
    [anon_sym_typename] = ACTIONS(3431),
    [anon_sym_template] = ACTIONS(3434),
    [anon_sym_operator] = ACTIONS(3437),
    [anon_sym_friend] = ACTIONS(3440),
    [anon_sym_public] = ACTIONS(3443),
    [anon_sym_private] = ACTIONS(3443),
    [anon_sym_protected] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3446),
    [anon_sym_static_assert] = ACTIONS(3449),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(1907),
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_include_token1] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [anon_sym_RPAREN] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym___attribute] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [sym_number_literal] = ACTIONS(2878),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token2] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym___attribute] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym___cdecl] = ACTIONS(2908),
    [anon_sym___clrcall] = ACTIONS(2908),
    [anon_sym___stdcall] = ACTIONS(2908),
    [anon_sym___fastcall] = ACTIONS(2908),
    [anon_sym___thiscall] = ACTIONS(2908),
    [anon_sym___vectorcall] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [sym_primitive_type] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym___try] = ACTIONS(2908),
    [anon_sym___leave] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [sym_number_literal] = ACTIONS(2910),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
    [anon_sym_concept] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym___attribute] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym___attribute] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym___attribute] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(3047),
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [sym_number_literal] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [anon_sym___asm] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [anon_sym___asm] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym___attribute] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym__Nonnull] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [anon_sym___asm] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [623] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [sym_number_literal] = ACTIONS(3039),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [624] = {
    [sym_identifier] = ACTIONS(3071),
    [aux_sym_preproc_include_token1] = ACTIONS(3071),
    [aux_sym_preproc_def_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token2] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3071),
    [sym_preproc_directive] = ACTIONS(3071),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_DASH] = ACTIONS(3071),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_STAR] = ACTIONS(3073),
    [anon_sym_AMP_AMP] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3071),
    [anon_sym_typedef] = ACTIONS(3071),
    [anon_sym_virtual] = ACTIONS(3071),
    [anon_sym_extern] = ACTIONS(3071),
    [anon_sym___attribute__] = ACTIONS(3071),
    [anon_sym___attribute] = ACTIONS(3071),
    [anon_sym_COLON_COLON] = ACTIONS(3073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3073),
    [anon_sym___declspec] = ACTIONS(3071),
    [anon_sym___based] = ACTIONS(3071),
    [anon_sym___cdecl] = ACTIONS(3071),
    [anon_sym___clrcall] = ACTIONS(3071),
    [anon_sym___stdcall] = ACTIONS(3071),
    [anon_sym___fastcall] = ACTIONS(3071),
    [anon_sym___thiscall] = ACTIONS(3071),
    [anon_sym___vectorcall] = ACTIONS(3071),
    [anon_sym_LBRACE] = ACTIONS(3073),
    [anon_sym_signed] = ACTIONS(3071),
    [anon_sym_unsigned] = ACTIONS(3071),
    [anon_sym_long] = ACTIONS(3071),
    [anon_sym_short] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_static] = ACTIONS(3071),
    [anon_sym_register] = ACTIONS(3071),
    [anon_sym_inline] = ACTIONS(3071),
    [anon_sym___inline] = ACTIONS(3071),
    [anon_sym___inline__] = ACTIONS(3071),
    [anon_sym___forceinline] = ACTIONS(3071),
    [anon_sym_thread_local] = ACTIONS(3071),
    [anon_sym___thread] = ACTIONS(3071),
    [anon_sym_const] = ACTIONS(3071),
    [anon_sym_constexpr] = ACTIONS(3071),
    [anon_sym_volatile] = ACTIONS(3071),
    [anon_sym_restrict] = ACTIONS(3071),
    [anon_sym___restrict__] = ACTIONS(3071),
    [anon_sym__Atomic] = ACTIONS(3071),
    [anon_sym__Noreturn] = ACTIONS(3071),
    [anon_sym_noreturn] = ACTIONS(3071),
    [anon_sym__Nonnull] = ACTIONS(3071),
    [anon_sym_mutable] = ACTIONS(3071),
    [anon_sym_constinit] = ACTIONS(3071),
    [anon_sym_consteval] = ACTIONS(3071),
    [anon_sym_alignas] = ACTIONS(3071),
    [anon_sym__Alignas] = ACTIONS(3071),
    [sym_primitive_type] = ACTIONS(3071),
    [anon_sym_enum] = ACTIONS(3071),
    [anon_sym_class] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3071),
    [anon_sym_union] = ACTIONS(3071),
    [anon_sym_if] = ACTIONS(3071),
    [anon_sym_switch] = ACTIONS(3071),
    [anon_sym_case] = ACTIONS(3071),
    [anon_sym_default] = ACTIONS(3071),
    [anon_sym_while] = ACTIONS(3071),
    [anon_sym_do] = ACTIONS(3071),
    [anon_sym_for] = ACTIONS(3071),
    [anon_sym_return] = ACTIONS(3071),
    [anon_sym_break] = ACTIONS(3071),
    [anon_sym_continue] = ACTIONS(3071),
    [anon_sym_goto] = ACTIONS(3071),
    [anon_sym___try] = ACTIONS(3071),
    [anon_sym___leave] = ACTIONS(3071),
    [anon_sym_not] = ACTIONS(3071),
    [anon_sym_compl] = ACTIONS(3071),
    [anon_sym_DASH_DASH] = ACTIONS(3073),
    [anon_sym_PLUS_PLUS] = ACTIONS(3073),
    [anon_sym_sizeof] = ACTIONS(3071),
    [anon_sym___alignof__] = ACTIONS(3071),
    [anon_sym___alignof] = ACTIONS(3071),
    [anon_sym__alignof] = ACTIONS(3071),
    [anon_sym_alignof] = ACTIONS(3071),
    [anon_sym__Alignof] = ACTIONS(3071),
    [anon_sym_offsetof] = ACTIONS(3071),
    [anon_sym__Generic] = ACTIONS(3071),
    [anon_sym_asm] = ACTIONS(3071),
    [anon_sym___asm__] = ACTIONS(3071),
    [anon_sym___asm] = ACTIONS(3071),
    [sym_number_literal] = ACTIONS(3073),
    [anon_sym_L_SQUOTE] = ACTIONS(3073),
    [anon_sym_u_SQUOTE] = ACTIONS(3073),
    [anon_sym_U_SQUOTE] = ACTIONS(3073),
    [anon_sym_u8_SQUOTE] = ACTIONS(3073),
    [anon_sym_SQUOTE] = ACTIONS(3073),
    [anon_sym_L_DQUOTE] = ACTIONS(3073),
    [anon_sym_u_DQUOTE] = ACTIONS(3073),
    [anon_sym_U_DQUOTE] = ACTIONS(3073),
    [anon_sym_u8_DQUOTE] = ACTIONS(3073),
    [anon_sym_DQUOTE] = ACTIONS(3073),
    [sym_true] = ACTIONS(3071),
    [sym_false] = ACTIONS(3071),
    [anon_sym_NULL] = ACTIONS(3071),
    [anon_sym_nullptr] = ACTIONS(3071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3071),
    [anon_sym_decltype] = ACTIONS(3071),
    [anon_sym_explicit] = ACTIONS(3071),
    [anon_sym_typename] = ACTIONS(3071),
    [anon_sym_template] = ACTIONS(3071),
    [anon_sym_operator] = ACTIONS(3071),
    [anon_sym_try] = ACTIONS(3071),
    [anon_sym_delete] = ACTIONS(3071),
    [anon_sym_throw] = ACTIONS(3071),
    [anon_sym_namespace] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3071),
    [anon_sym_static_assert] = ACTIONS(3071),
    [anon_sym_concept] = ACTIONS(3071),
    [anon_sym_co_return] = ACTIONS(3071),
    [anon_sym_co_yield] = ACTIONS(3071),
    [anon_sym_R_DQUOTE] = ACTIONS(3073),
    [anon_sym_LR_DQUOTE] = ACTIONS(3073),
    [anon_sym_uR_DQUOTE] = ACTIONS(3073),
    [anon_sym_UR_DQUOTE] = ACTIONS(3073),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3073),
    [anon_sym_co_await] = ACTIONS(3071),
    [anon_sym_new] = ACTIONS(3071),
    [anon_sym_requires] = ACTIONS(3071),
    [sym_this] = ACTIONS(3071),
  },
  [625] = {
    [sym_identifier] = ACTIONS(3101),
    [aux_sym_preproc_include_token1] = ACTIONS(3101),
    [aux_sym_preproc_def_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_DASH] = ACTIONS(3101),
    [anon_sym_PLUS] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_AMP_AMP] = ACTIONS(3103),
    [anon_sym_AMP] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_typedef] = ACTIONS(3101),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym___attribute] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3103),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym___based] = ACTIONS(3101),
    [anon_sym___cdecl] = ACTIONS(3101),
    [anon_sym___clrcall] = ACTIONS(3101),
    [anon_sym___stdcall] = ACTIONS(3101),
    [anon_sym___fastcall] = ACTIONS(3101),
    [anon_sym___thiscall] = ACTIONS(3101),
    [anon_sym___vectorcall] = ACTIONS(3101),
    [anon_sym_LBRACE] = ACTIONS(3103),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym__Nonnull] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym__Alignas] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3101),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [anon_sym_if] = ACTIONS(3101),
    [anon_sym_switch] = ACTIONS(3101),
    [anon_sym_case] = ACTIONS(3101),
    [anon_sym_default] = ACTIONS(3101),
    [anon_sym_while] = ACTIONS(3101),
    [anon_sym_do] = ACTIONS(3101),
    [anon_sym_for] = ACTIONS(3101),
    [anon_sym_return] = ACTIONS(3101),
    [anon_sym_break] = ACTIONS(3101),
    [anon_sym_continue] = ACTIONS(3101),
    [anon_sym_goto] = ACTIONS(3101),
    [anon_sym___try] = ACTIONS(3101),
    [anon_sym___leave] = ACTIONS(3101),
    [anon_sym_not] = ACTIONS(3101),
    [anon_sym_compl] = ACTIONS(3101),
    [anon_sym_DASH_DASH] = ACTIONS(3103),
    [anon_sym_PLUS_PLUS] = ACTIONS(3103),
    [anon_sym_sizeof] = ACTIONS(3101),
    [anon_sym___alignof__] = ACTIONS(3101),
    [anon_sym___alignof] = ACTIONS(3101),
    [anon_sym__alignof] = ACTIONS(3101),
    [anon_sym_alignof] = ACTIONS(3101),
    [anon_sym__Alignof] = ACTIONS(3101),
    [anon_sym_offsetof] = ACTIONS(3101),
    [anon_sym__Generic] = ACTIONS(3101),
    [anon_sym_asm] = ACTIONS(3101),
    [anon_sym___asm__] = ACTIONS(3101),
    [anon_sym___asm] = ACTIONS(3101),
    [sym_number_literal] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3103),
    [anon_sym_u_SQUOTE] = ACTIONS(3103),
    [anon_sym_U_SQUOTE] = ACTIONS(3103),
    [anon_sym_u8_SQUOTE] = ACTIONS(3103),
    [anon_sym_SQUOTE] = ACTIONS(3103),
    [anon_sym_L_DQUOTE] = ACTIONS(3103),
    [anon_sym_u_DQUOTE] = ACTIONS(3103),
    [anon_sym_U_DQUOTE] = ACTIONS(3103),
    [anon_sym_u8_DQUOTE] = ACTIONS(3103),
    [anon_sym_DQUOTE] = ACTIONS(3103),
    [sym_true] = ACTIONS(3101),
    [sym_false] = ACTIONS(3101),
    [anon_sym_NULL] = ACTIONS(3101),
    [anon_sym_nullptr] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3101),
    [anon_sym_explicit] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3101),
    [anon_sym_operator] = ACTIONS(3101),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_delete] = ACTIONS(3101),
    [anon_sym_throw] = ACTIONS(3101),
    [anon_sym_namespace] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3101),
    [anon_sym_static_assert] = ACTIONS(3101),
    [anon_sym_concept] = ACTIONS(3101),
    [anon_sym_co_return] = ACTIONS(3101),
    [anon_sym_co_yield] = ACTIONS(3101),
    [anon_sym_R_DQUOTE] = ACTIONS(3103),
    [anon_sym_LR_DQUOTE] = ACTIONS(3103),
    [anon_sym_uR_DQUOTE] = ACTIONS(3103),
    [anon_sym_UR_DQUOTE] = ACTIONS(3103),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3103),
    [anon_sym_co_await] = ACTIONS(3101),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_requires] = ACTIONS(3101),
    [sym_this] = ACTIONS(3101),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_AMP_AMP] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_virtual] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___based] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_constinit] = ACTIONS(2872),
    [anon_sym_consteval] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym___leave] = ACTIONS(2872),
    [anon_sym_not] = ACTIONS(2872),
    [anon_sym_compl] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2872),
    [anon_sym_decltype] = ACTIONS(2872),
    [anon_sym_explicit] = ACTIONS(2872),
    [anon_sym_typename] = ACTIONS(2872),
    [anon_sym_template] = ACTIONS(2872),
    [anon_sym_operator] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_static_assert] = ACTIONS(2872),
    [anon_sym_concept] = ACTIONS(2872),
    [anon_sym_co_return] = ACTIONS(2872),
    [anon_sym_co_yield] = ACTIONS(2872),
    [anon_sym_R_DQUOTE] = ACTIONS(2874),
    [anon_sym_LR_DQUOTE] = ACTIONS(2874),
    [anon_sym_uR_DQUOTE] = ACTIONS(2874),
    [anon_sym_UR_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2874),
    [anon_sym_co_await] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_requires] = ACTIONS(2872),
    [sym_this] = ACTIONS(2872),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym___attribute] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [sym_number_literal] = ACTIONS(2878),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym___attribute] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_RBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [sym_number_literal] = ACTIONS(2886),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [629] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_include_token1] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token2] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym___attribute] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym___cdecl] = ACTIONS(3123),
    [anon_sym___clrcall] = ACTIONS(3123),
    [anon_sym___stdcall] = ACTIONS(3123),
    [anon_sym___fastcall] = ACTIONS(3123),
    [anon_sym___thiscall] = ACTIONS(3123),
    [anon_sym___vectorcall] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_switch] = ACTIONS(3123),
    [anon_sym_case] = ACTIONS(3123),
    [anon_sym_default] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(3123),
    [anon_sym_do] = ACTIONS(3123),
    [anon_sym_for] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3123),
    [anon_sym_break] = ACTIONS(3123),
    [anon_sym_continue] = ACTIONS(3123),
    [anon_sym_goto] = ACTIONS(3123),
    [anon_sym___try] = ACTIONS(3123),
    [anon_sym___leave] = ACTIONS(3123),
    [anon_sym_not] = ACTIONS(3123),
    [anon_sym_compl] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3123),
    [anon_sym___alignof__] = ACTIONS(3123),
    [anon_sym___alignof] = ACTIONS(3123),
    [anon_sym__alignof] = ACTIONS(3123),
    [anon_sym_alignof] = ACTIONS(3123),
    [anon_sym__Alignof] = ACTIONS(3123),
    [anon_sym_offsetof] = ACTIONS(3123),
    [anon_sym__Generic] = ACTIONS(3123),
    [anon_sym_asm] = ACTIONS(3123),
    [anon_sym___asm__] = ACTIONS(3123),
    [anon_sym___asm] = ACTIONS(3123),
    [sym_number_literal] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3125),
    [anon_sym_u_SQUOTE] = ACTIONS(3125),
    [anon_sym_U_SQUOTE] = ACTIONS(3125),
    [anon_sym_u8_SQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_L_DQUOTE] = ACTIONS(3125),
    [anon_sym_u_DQUOTE] = ACTIONS(3125),
    [anon_sym_U_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8_DQUOTE] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [anon_sym_NULL] = ACTIONS(3123),
    [anon_sym_nullptr] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_try] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_throw] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
    [anon_sym_concept] = ACTIONS(3123),
    [anon_sym_co_return] = ACTIONS(3123),
    [anon_sym_co_yield] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(3125),
    [anon_sym_LR_DQUOTE] = ACTIONS(3125),
    [anon_sym_uR_DQUOTE] = ACTIONS(3125),
    [anon_sym_UR_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3125),
    [anon_sym_co_await] = ACTIONS(3123),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_requires] = ACTIONS(3123),
    [sym_this] = ACTIONS(3123),
  },
  [630] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_include_token1] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token2] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym___attribute] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym___cdecl] = ACTIONS(3127),
    [anon_sym___clrcall] = ACTIONS(3127),
    [anon_sym___stdcall] = ACTIONS(3127),
    [anon_sym___fastcall] = ACTIONS(3127),
    [anon_sym___thiscall] = ACTIONS(3127),
    [anon_sym___vectorcall] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [anon_sym_if] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(3127),
    [anon_sym_default] = ACTIONS(3127),
    [anon_sym_while] = ACTIONS(3127),
    [anon_sym_do] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_break] = ACTIONS(3127),
    [anon_sym_continue] = ACTIONS(3127),
    [anon_sym_goto] = ACTIONS(3127),
    [anon_sym___try] = ACTIONS(3127),
    [anon_sym___leave] = ACTIONS(3127),
    [anon_sym_not] = ACTIONS(3127),
    [anon_sym_compl] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3127),
    [anon_sym___alignof__] = ACTIONS(3127),
    [anon_sym___alignof] = ACTIONS(3127),
    [anon_sym__alignof] = ACTIONS(3127),
    [anon_sym_alignof] = ACTIONS(3127),
    [anon_sym__Alignof] = ACTIONS(3127),
    [anon_sym_offsetof] = ACTIONS(3127),
    [anon_sym__Generic] = ACTIONS(3127),
    [anon_sym_asm] = ACTIONS(3127),
    [anon_sym___asm__] = ACTIONS(3127),
    [anon_sym___asm] = ACTIONS(3127),
    [sym_number_literal] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3129),
    [anon_sym_u_SQUOTE] = ACTIONS(3129),
    [anon_sym_U_SQUOTE] = ACTIONS(3129),
    [anon_sym_u8_SQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_L_DQUOTE] = ACTIONS(3129),
    [anon_sym_u_DQUOTE] = ACTIONS(3129),
    [anon_sym_U_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8_DQUOTE] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [anon_sym_NULL] = ACTIONS(3127),
    [anon_sym_nullptr] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
    [anon_sym_concept] = ACTIONS(3127),
    [anon_sym_co_return] = ACTIONS(3127),
    [anon_sym_co_yield] = ACTIONS(3127),
    [anon_sym_R_DQUOTE] = ACTIONS(3129),
    [anon_sym_LR_DQUOTE] = ACTIONS(3129),
    [anon_sym_uR_DQUOTE] = ACTIONS(3129),
    [anon_sym_UR_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3129),
    [anon_sym_co_await] = ACTIONS(3127),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_requires] = ACTIONS(3127),
    [sym_this] = ACTIONS(3127),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym___attribute] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym___cdecl] = ACTIONS(2908),
    [anon_sym___clrcall] = ACTIONS(2908),
    [anon_sym___stdcall] = ACTIONS(2908),
    [anon_sym___fastcall] = ACTIONS(2908),
    [anon_sym___thiscall] = ACTIONS(2908),
    [anon_sym___vectorcall] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [sym_primitive_type] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym___try] = ACTIONS(2908),
    [anon_sym___leave] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [sym_number_literal] = ACTIONS(2910),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
    [anon_sym_concept] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [632] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [anon_sym___asm] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [633] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [anon_sym___asm] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [634] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym___asm] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [635] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [anon_sym___asm] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [sym_number_literal] = ACTIONS(2914),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [sym_number_literal] = ACTIONS(2914),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [638] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym___attribute] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [640] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym___attribute] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym___attribute] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym___attribute] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym___attribute] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [anon_sym___asm] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [anon_sym___asm] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym___attribute] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym__Nonnull] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [anon_sym___asm] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym___attribute] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym__Nonnull] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym__Alignas] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [anon_sym___asm] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym___attribute] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym__Nonnull] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym__Alignas] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [anon_sym___asm] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym___attribute] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [anon_sym___asm] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym___attribute] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [652] = {
    [sym_identifier] = ACTIONS(3023),
    [aux_sym_preproc_include_token1] = ACTIONS(3023),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3023),
    [sym_preproc_directive] = ACTIONS(3023),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_BANG] = ACTIONS(3025),
    [anon_sym_TILDE] = ACTIONS(3025),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3025),
    [anon_sym_AMP_AMP] = ACTIONS(3025),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_SEMI] = ACTIONS(3025),
    [anon_sym___extension__] = ACTIONS(3023),
    [anon_sym_typedef] = ACTIONS(3023),
    [anon_sym_virtual] = ACTIONS(3023),
    [anon_sym_extern] = ACTIONS(3023),
    [anon_sym___attribute__] = ACTIONS(3023),
    [anon_sym___attribute] = ACTIONS(3023),
    [anon_sym_COLON_COLON] = ACTIONS(3025),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3025),
    [anon_sym___declspec] = ACTIONS(3023),
    [anon_sym___based] = ACTIONS(3023),
    [anon_sym___cdecl] = ACTIONS(3023),
    [anon_sym___clrcall] = ACTIONS(3023),
    [anon_sym___stdcall] = ACTIONS(3023),
    [anon_sym___fastcall] = ACTIONS(3023),
    [anon_sym___thiscall] = ACTIONS(3023),
    [anon_sym___vectorcall] = ACTIONS(3023),
    [anon_sym_LBRACE] = ACTIONS(3025),
    [anon_sym_RBRACE] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3023),
    [anon_sym_unsigned] = ACTIONS(3023),
    [anon_sym_long] = ACTIONS(3023),
    [anon_sym_short] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(3023),
    [anon_sym_register] = ACTIONS(3023),
    [anon_sym_inline] = ACTIONS(3023),
    [anon_sym___inline] = ACTIONS(3023),
    [anon_sym___inline__] = ACTIONS(3023),
    [anon_sym___forceinline] = ACTIONS(3023),
    [anon_sym_thread_local] = ACTIONS(3023),
    [anon_sym___thread] = ACTIONS(3023),
    [anon_sym_const] = ACTIONS(3023),
    [anon_sym_constexpr] = ACTIONS(3023),
    [anon_sym_volatile] = ACTIONS(3023),
    [anon_sym_restrict] = ACTIONS(3023),
    [anon_sym___restrict__] = ACTIONS(3023),
    [anon_sym__Atomic] = ACTIONS(3023),
    [anon_sym__Noreturn] = ACTIONS(3023),
    [anon_sym_noreturn] = ACTIONS(3023),
    [anon_sym__Nonnull] = ACTIONS(3023),
    [anon_sym_mutable] = ACTIONS(3023),
    [anon_sym_constinit] = ACTIONS(3023),
    [anon_sym_consteval] = ACTIONS(3023),
    [anon_sym_alignas] = ACTIONS(3023),
    [anon_sym__Alignas] = ACTIONS(3023),
    [sym_primitive_type] = ACTIONS(3023),
    [anon_sym_enum] = ACTIONS(3023),
    [anon_sym_class] = ACTIONS(3023),
    [anon_sym_struct] = ACTIONS(3023),
    [anon_sym_union] = ACTIONS(3023),
    [anon_sym_if] = ACTIONS(3023),
    [anon_sym_switch] = ACTIONS(3023),
    [anon_sym_case] = ACTIONS(3023),
    [anon_sym_default] = ACTIONS(3023),
    [anon_sym_while] = ACTIONS(3023),
    [anon_sym_do] = ACTIONS(3023),
    [anon_sym_for] = ACTIONS(3023),
    [anon_sym_return] = ACTIONS(3023),
    [anon_sym_break] = ACTIONS(3023),
    [anon_sym_continue] = ACTIONS(3023),
    [anon_sym_goto] = ACTIONS(3023),
    [anon_sym___try] = ACTIONS(3023),
    [anon_sym___leave] = ACTIONS(3023),
    [anon_sym_not] = ACTIONS(3023),
    [anon_sym_compl] = ACTIONS(3023),
    [anon_sym_DASH_DASH] = ACTIONS(3025),
    [anon_sym_PLUS_PLUS] = ACTIONS(3025),
    [anon_sym_sizeof] = ACTIONS(3023),
    [anon_sym___alignof__] = ACTIONS(3023),
    [anon_sym___alignof] = ACTIONS(3023),
    [anon_sym__alignof] = ACTIONS(3023),
    [anon_sym_alignof] = ACTIONS(3023),
    [anon_sym__Alignof] = ACTIONS(3023),
    [anon_sym_offsetof] = ACTIONS(3023),
    [anon_sym__Generic] = ACTIONS(3023),
    [anon_sym_asm] = ACTIONS(3023),
    [anon_sym___asm__] = ACTIONS(3023),
    [anon_sym___asm] = ACTIONS(3023),
    [sym_number_literal] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3025),
    [anon_sym_u_SQUOTE] = ACTIONS(3025),
    [anon_sym_U_SQUOTE] = ACTIONS(3025),
    [anon_sym_u8_SQUOTE] = ACTIONS(3025),
    [anon_sym_SQUOTE] = ACTIONS(3025),
    [anon_sym_L_DQUOTE] = ACTIONS(3025),
    [anon_sym_u_DQUOTE] = ACTIONS(3025),
    [anon_sym_U_DQUOTE] = ACTIONS(3025),
    [anon_sym_u8_DQUOTE] = ACTIONS(3025),
    [anon_sym_DQUOTE] = ACTIONS(3025),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [anon_sym_NULL] = ACTIONS(3023),
    [anon_sym_nullptr] = ACTIONS(3023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3023),
    [anon_sym_decltype] = ACTIONS(3023),
    [anon_sym_explicit] = ACTIONS(3023),
    [anon_sym_typename] = ACTIONS(3023),
    [anon_sym_template] = ACTIONS(3023),
    [anon_sym_operator] = ACTIONS(3023),
    [anon_sym_try] = ACTIONS(3023),
    [anon_sym_delete] = ACTIONS(3023),
    [anon_sym_throw] = ACTIONS(3023),
    [anon_sym_namespace] = ACTIONS(3023),
    [anon_sym_using] = ACTIONS(3023),
    [anon_sym_static_assert] = ACTIONS(3023),
    [anon_sym_concept] = ACTIONS(3023),
    [anon_sym_co_return] = ACTIONS(3023),
    [anon_sym_co_yield] = ACTIONS(3023),
    [anon_sym_R_DQUOTE] = ACTIONS(3025),
    [anon_sym_LR_DQUOTE] = ACTIONS(3025),
    [anon_sym_uR_DQUOTE] = ACTIONS(3025),
    [anon_sym_UR_DQUOTE] = ACTIONS(3025),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3025),
    [anon_sym_co_await] = ACTIONS(3023),
    [anon_sym_new] = ACTIONS(3023),
    [anon_sym_requires] = ACTIONS(3023),
    [sym_this] = ACTIONS(3023),
  },
  [653] = {
    [sym_identifier] = ACTIONS(3027),
    [aux_sym_preproc_include_token1] = ACTIONS(3027),
    [aux_sym_preproc_def_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token1] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3027),
    [anon_sym_LPAREN2] = ACTIONS(3029),
    [anon_sym_BANG] = ACTIONS(3029),
    [anon_sym_TILDE] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3027),
    [anon_sym_PLUS] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym___extension__] = ACTIONS(3027),
    [anon_sym_typedef] = ACTIONS(3027),
    [anon_sym_virtual] = ACTIONS(3027),
    [anon_sym_extern] = ACTIONS(3027),
    [anon_sym___attribute__] = ACTIONS(3027),
    [anon_sym___attribute] = ACTIONS(3027),
    [anon_sym_COLON_COLON] = ACTIONS(3029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3029),
    [anon_sym___declspec] = ACTIONS(3027),
    [anon_sym___based] = ACTIONS(3027),
    [anon_sym___cdecl] = ACTIONS(3027),
    [anon_sym___clrcall] = ACTIONS(3027),
    [anon_sym___stdcall] = ACTIONS(3027),
    [anon_sym___fastcall] = ACTIONS(3027),
    [anon_sym___thiscall] = ACTIONS(3027),
    [anon_sym___vectorcall] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_RBRACE] = ACTIONS(3029),
    [anon_sym_signed] = ACTIONS(3027),
    [anon_sym_unsigned] = ACTIONS(3027),
    [anon_sym_long] = ACTIONS(3027),
    [anon_sym_short] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [anon_sym_static] = ACTIONS(3027),
    [anon_sym_register] = ACTIONS(3027),
    [anon_sym_inline] = ACTIONS(3027),
    [anon_sym___inline] = ACTIONS(3027),
    [anon_sym___inline__] = ACTIONS(3027),
    [anon_sym___forceinline] = ACTIONS(3027),
    [anon_sym_thread_local] = ACTIONS(3027),
    [anon_sym___thread] = ACTIONS(3027),
    [anon_sym_const] = ACTIONS(3027),
    [anon_sym_constexpr] = ACTIONS(3027),
    [anon_sym_volatile] = ACTIONS(3027),
    [anon_sym_restrict] = ACTIONS(3027),
    [anon_sym___restrict__] = ACTIONS(3027),
    [anon_sym__Atomic] = ACTIONS(3027),
    [anon_sym__Noreturn] = ACTIONS(3027),
    [anon_sym_noreturn] = ACTIONS(3027),
    [anon_sym__Nonnull] = ACTIONS(3027),
    [anon_sym_mutable] = ACTIONS(3027),
    [anon_sym_constinit] = ACTIONS(3027),
    [anon_sym_consteval] = ACTIONS(3027),
    [anon_sym_alignas] = ACTIONS(3027),
    [anon_sym__Alignas] = ACTIONS(3027),
    [sym_primitive_type] = ACTIONS(3027),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3027),
    [anon_sym_struct] = ACTIONS(3027),
    [anon_sym_union] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_switch] = ACTIONS(3027),
    [anon_sym_case] = ACTIONS(3027),
    [anon_sym_default] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_do] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3027),
    [anon_sym_return] = ACTIONS(3027),
    [anon_sym_break] = ACTIONS(3027),
    [anon_sym_continue] = ACTIONS(3027),
    [anon_sym_goto] = ACTIONS(3027),
    [anon_sym___try] = ACTIONS(3027),
    [anon_sym___leave] = ACTIONS(3027),
    [anon_sym_not] = ACTIONS(3027),
    [anon_sym_compl] = ACTIONS(3027),
    [anon_sym_DASH_DASH] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3029),
    [anon_sym_sizeof] = ACTIONS(3027),
    [anon_sym___alignof__] = ACTIONS(3027),
    [anon_sym___alignof] = ACTIONS(3027),
    [anon_sym__alignof] = ACTIONS(3027),
    [anon_sym_alignof] = ACTIONS(3027),
    [anon_sym__Alignof] = ACTIONS(3027),
    [anon_sym_offsetof] = ACTIONS(3027),
    [anon_sym__Generic] = ACTIONS(3027),
    [anon_sym_asm] = ACTIONS(3027),
    [anon_sym___asm__] = ACTIONS(3027),
    [anon_sym___asm] = ACTIONS(3027),
    [sym_number_literal] = ACTIONS(3029),
    [anon_sym_L_SQUOTE] = ACTIONS(3029),
    [anon_sym_u_SQUOTE] = ACTIONS(3029),
    [anon_sym_U_SQUOTE] = ACTIONS(3029),
    [anon_sym_u8_SQUOTE] = ACTIONS(3029),
    [anon_sym_SQUOTE] = ACTIONS(3029),
    [anon_sym_L_DQUOTE] = ACTIONS(3029),
    [anon_sym_u_DQUOTE] = ACTIONS(3029),
    [anon_sym_U_DQUOTE] = ACTIONS(3029),
    [anon_sym_u8_DQUOTE] = ACTIONS(3029),
    [anon_sym_DQUOTE] = ACTIONS(3029),
    [sym_true] = ACTIONS(3027),
    [sym_false] = ACTIONS(3027),
    [anon_sym_NULL] = ACTIONS(3027),
    [anon_sym_nullptr] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3027),
    [anon_sym_decltype] = ACTIONS(3027),
    [anon_sym_explicit] = ACTIONS(3027),
    [anon_sym_typename] = ACTIONS(3027),
    [anon_sym_template] = ACTIONS(3027),
    [anon_sym_operator] = ACTIONS(3027),
    [anon_sym_try] = ACTIONS(3027),
    [anon_sym_delete] = ACTIONS(3027),
    [anon_sym_throw] = ACTIONS(3027),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_using] = ACTIONS(3027),
    [anon_sym_static_assert] = ACTIONS(3027),
    [anon_sym_concept] = ACTIONS(3027),
    [anon_sym_co_return] = ACTIONS(3027),
    [anon_sym_co_yield] = ACTIONS(3027),
    [anon_sym_R_DQUOTE] = ACTIONS(3029),
    [anon_sym_LR_DQUOTE] = ACTIONS(3029),
    [anon_sym_uR_DQUOTE] = ACTIONS(3029),
    [anon_sym_UR_DQUOTE] = ACTIONS(3029),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3029),
    [anon_sym_co_await] = ACTIONS(3027),
    [anon_sym_new] = ACTIONS(3027),
    [anon_sym_requires] = ACTIONS(3027),
    [sym_this] = ACTIONS(3027),
  },
  [654] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym___attribute] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [655] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_RBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [sym_number_literal] = ACTIONS(3039),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [656] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [sym_number_literal] = ACTIONS(3043),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [657] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [658] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [659] = {
    [sym_identifier] = ACTIONS(3071),
    [aux_sym_preproc_include_token1] = ACTIONS(3071),
    [aux_sym_preproc_def_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3071),
    [sym_preproc_directive] = ACTIONS(3071),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_DASH] = ACTIONS(3071),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_STAR] = ACTIONS(3073),
    [anon_sym_AMP_AMP] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3071),
    [anon_sym_typedef] = ACTIONS(3071),
    [anon_sym_virtual] = ACTIONS(3071),
    [anon_sym_extern] = ACTIONS(3071),
    [anon_sym___attribute__] = ACTIONS(3071),
    [anon_sym___attribute] = ACTIONS(3071),
    [anon_sym_COLON_COLON] = ACTIONS(3073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3073),
    [anon_sym___declspec] = ACTIONS(3071),
    [anon_sym___based] = ACTIONS(3071),
    [anon_sym___cdecl] = ACTIONS(3071),
    [anon_sym___clrcall] = ACTIONS(3071),
    [anon_sym___stdcall] = ACTIONS(3071),
    [anon_sym___fastcall] = ACTIONS(3071),
    [anon_sym___thiscall] = ACTIONS(3071),
    [anon_sym___vectorcall] = ACTIONS(3071),
    [anon_sym_LBRACE] = ACTIONS(3073),
    [anon_sym_RBRACE] = ACTIONS(3073),
    [anon_sym_signed] = ACTIONS(3071),
    [anon_sym_unsigned] = ACTIONS(3071),
    [anon_sym_long] = ACTIONS(3071),
    [anon_sym_short] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_static] = ACTIONS(3071),
    [anon_sym_register] = ACTIONS(3071),
    [anon_sym_inline] = ACTIONS(3071),
    [anon_sym___inline] = ACTIONS(3071),
    [anon_sym___inline__] = ACTIONS(3071),
    [anon_sym___forceinline] = ACTIONS(3071),
    [anon_sym_thread_local] = ACTIONS(3071),
    [anon_sym___thread] = ACTIONS(3071),
    [anon_sym_const] = ACTIONS(3071),
    [anon_sym_constexpr] = ACTIONS(3071),
    [anon_sym_volatile] = ACTIONS(3071),
    [anon_sym_restrict] = ACTIONS(3071),
    [anon_sym___restrict__] = ACTIONS(3071),
    [anon_sym__Atomic] = ACTIONS(3071),
    [anon_sym__Noreturn] = ACTIONS(3071),
    [anon_sym_noreturn] = ACTIONS(3071),
    [anon_sym__Nonnull] = ACTIONS(3071),
    [anon_sym_mutable] = ACTIONS(3071),
    [anon_sym_constinit] = ACTIONS(3071),
    [anon_sym_consteval] = ACTIONS(3071),
    [anon_sym_alignas] = ACTIONS(3071),
    [anon_sym__Alignas] = ACTIONS(3071),
    [sym_primitive_type] = ACTIONS(3071),
    [anon_sym_enum] = ACTIONS(3071),
    [anon_sym_class] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3071),
    [anon_sym_union] = ACTIONS(3071),
    [anon_sym_if] = ACTIONS(3071),
    [anon_sym_switch] = ACTIONS(3071),
    [anon_sym_case] = ACTIONS(3071),
    [anon_sym_default] = ACTIONS(3071),
    [anon_sym_while] = ACTIONS(3071),
    [anon_sym_do] = ACTIONS(3071),
    [anon_sym_for] = ACTIONS(3071),
    [anon_sym_return] = ACTIONS(3071),
    [anon_sym_break] = ACTIONS(3071),
    [anon_sym_continue] = ACTIONS(3071),
    [anon_sym_goto] = ACTIONS(3071),
    [anon_sym___try] = ACTIONS(3071),
    [anon_sym___leave] = ACTIONS(3071),
    [anon_sym_not] = ACTIONS(3071),
    [anon_sym_compl] = ACTIONS(3071),
    [anon_sym_DASH_DASH] = ACTIONS(3073),
    [anon_sym_PLUS_PLUS] = ACTIONS(3073),
    [anon_sym_sizeof] = ACTIONS(3071),
    [anon_sym___alignof__] = ACTIONS(3071),
    [anon_sym___alignof] = ACTIONS(3071),
    [anon_sym__alignof] = ACTIONS(3071),
    [anon_sym_alignof] = ACTIONS(3071),
    [anon_sym__Alignof] = ACTIONS(3071),
    [anon_sym_offsetof] = ACTIONS(3071),
    [anon_sym__Generic] = ACTIONS(3071),
    [anon_sym_asm] = ACTIONS(3071),
    [anon_sym___asm__] = ACTIONS(3071),
    [anon_sym___asm] = ACTIONS(3071),
    [sym_number_literal] = ACTIONS(3073),
    [anon_sym_L_SQUOTE] = ACTIONS(3073),
    [anon_sym_u_SQUOTE] = ACTIONS(3073),
    [anon_sym_U_SQUOTE] = ACTIONS(3073),
    [anon_sym_u8_SQUOTE] = ACTIONS(3073),
    [anon_sym_SQUOTE] = ACTIONS(3073),
    [anon_sym_L_DQUOTE] = ACTIONS(3073),
    [anon_sym_u_DQUOTE] = ACTIONS(3073),
    [anon_sym_U_DQUOTE] = ACTIONS(3073),
    [anon_sym_u8_DQUOTE] = ACTIONS(3073),
    [anon_sym_DQUOTE] = ACTIONS(3073),
    [sym_true] = ACTIONS(3071),
    [sym_false] = ACTIONS(3071),
    [anon_sym_NULL] = ACTIONS(3071),
    [anon_sym_nullptr] = ACTIONS(3071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3071),
    [anon_sym_decltype] = ACTIONS(3071),
    [anon_sym_explicit] = ACTIONS(3071),
    [anon_sym_typename] = ACTIONS(3071),
    [anon_sym_template] = ACTIONS(3071),
    [anon_sym_operator] = ACTIONS(3071),
    [anon_sym_try] = ACTIONS(3071),
    [anon_sym_delete] = ACTIONS(3071),
    [anon_sym_throw] = ACTIONS(3071),
    [anon_sym_namespace] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3071),
    [anon_sym_static_assert] = ACTIONS(3071),
    [anon_sym_concept] = ACTIONS(3071),
    [anon_sym_co_return] = ACTIONS(3071),
    [anon_sym_co_yield] = ACTIONS(3071),
    [anon_sym_R_DQUOTE] = ACTIONS(3073),
    [anon_sym_LR_DQUOTE] = ACTIONS(3073),
    [anon_sym_uR_DQUOTE] = ACTIONS(3073),
    [anon_sym_UR_DQUOTE] = ACTIONS(3073),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3073),
    [anon_sym_co_await] = ACTIONS(3071),
    [anon_sym_new] = ACTIONS(3071),
    [anon_sym_requires] = ACTIONS(3071),
    [sym_this] = ACTIONS(3071),
  },
  [660] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym___attribute] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_RBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym__Nonnull] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym__Alignas] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [anon_sym___asm] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [661] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym___attribute] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_RBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [662] = {
    [sym_identifier] = ACTIONS(3101),
    [aux_sym_preproc_include_token1] = ACTIONS(3101),
    [aux_sym_preproc_def_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_DASH] = ACTIONS(3101),
    [anon_sym_PLUS] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_AMP_AMP] = ACTIONS(3103),
    [anon_sym_AMP] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_typedef] = ACTIONS(3101),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym___attribute] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3103),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym___based] = ACTIONS(3101),
    [anon_sym___cdecl] = ACTIONS(3101),
    [anon_sym___clrcall] = ACTIONS(3101),
    [anon_sym___stdcall] = ACTIONS(3101),
    [anon_sym___fastcall] = ACTIONS(3101),
    [anon_sym___thiscall] = ACTIONS(3101),
    [anon_sym___vectorcall] = ACTIONS(3101),
    [anon_sym_LBRACE] = ACTIONS(3103),
    [anon_sym_RBRACE] = ACTIONS(3103),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym__Nonnull] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym__Alignas] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3101),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [anon_sym_if] = ACTIONS(3101),
    [anon_sym_switch] = ACTIONS(3101),
    [anon_sym_case] = ACTIONS(3101),
    [anon_sym_default] = ACTIONS(3101),
    [anon_sym_while] = ACTIONS(3101),
    [anon_sym_do] = ACTIONS(3101),
    [anon_sym_for] = ACTIONS(3101),
    [anon_sym_return] = ACTIONS(3101),
    [anon_sym_break] = ACTIONS(3101),
    [anon_sym_continue] = ACTIONS(3101),
    [anon_sym_goto] = ACTIONS(3101),
    [anon_sym___try] = ACTIONS(3101),
    [anon_sym___leave] = ACTIONS(3101),
    [anon_sym_not] = ACTIONS(3101),
    [anon_sym_compl] = ACTIONS(3101),
    [anon_sym_DASH_DASH] = ACTIONS(3103),
    [anon_sym_PLUS_PLUS] = ACTIONS(3103),
    [anon_sym_sizeof] = ACTIONS(3101),
    [anon_sym___alignof__] = ACTIONS(3101),
    [anon_sym___alignof] = ACTIONS(3101),
    [anon_sym__alignof] = ACTIONS(3101),
    [anon_sym_alignof] = ACTIONS(3101),
    [anon_sym__Alignof] = ACTIONS(3101),
    [anon_sym_offsetof] = ACTIONS(3101),
    [anon_sym__Generic] = ACTIONS(3101),
    [anon_sym_asm] = ACTIONS(3101),
    [anon_sym___asm__] = ACTIONS(3101),
    [anon_sym___asm] = ACTIONS(3101),
    [sym_number_literal] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3103),
    [anon_sym_u_SQUOTE] = ACTIONS(3103),
    [anon_sym_U_SQUOTE] = ACTIONS(3103),
    [anon_sym_u8_SQUOTE] = ACTIONS(3103),
    [anon_sym_SQUOTE] = ACTIONS(3103),
    [anon_sym_L_DQUOTE] = ACTIONS(3103),
    [anon_sym_u_DQUOTE] = ACTIONS(3103),
    [anon_sym_U_DQUOTE] = ACTIONS(3103),
    [anon_sym_u8_DQUOTE] = ACTIONS(3103),
    [anon_sym_DQUOTE] = ACTIONS(3103),
    [sym_true] = ACTIONS(3101),
    [sym_false] = ACTIONS(3101),
    [anon_sym_NULL] = ACTIONS(3101),
    [anon_sym_nullptr] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3101),
    [anon_sym_explicit] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3101),
    [anon_sym_operator] = ACTIONS(3101),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_delete] = ACTIONS(3101),
    [anon_sym_throw] = ACTIONS(3101),
    [anon_sym_namespace] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3101),
    [anon_sym_static_assert] = ACTIONS(3101),
    [anon_sym_concept] = ACTIONS(3101),
    [anon_sym_co_return] = ACTIONS(3101),
    [anon_sym_co_yield] = ACTIONS(3101),
    [anon_sym_R_DQUOTE] = ACTIONS(3103),
    [anon_sym_LR_DQUOTE] = ACTIONS(3103),
    [anon_sym_uR_DQUOTE] = ACTIONS(3103),
    [anon_sym_UR_DQUOTE] = ACTIONS(3103),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3103),
    [anon_sym_co_await] = ACTIONS(3101),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_requires] = ACTIONS(3101),
    [sym_this] = ACTIONS(3101),
  },
  [663] = {
    [sym_identifier] = ACTIONS(3059),
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3059),
    [anon_sym_typedef] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym___attribute__] = ACTIONS(3059),
    [anon_sym___attribute] = ACTIONS(3059),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3059),
    [anon_sym___based] = ACTIONS(3059),
    [anon_sym___cdecl] = ACTIONS(3059),
    [anon_sym___clrcall] = ACTIONS(3059),
    [anon_sym___stdcall] = ACTIONS(3059),
    [anon_sym___fastcall] = ACTIONS(3059),
    [anon_sym___thiscall] = ACTIONS(3059),
    [anon_sym___vectorcall] = ACTIONS(3059),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3059),
    [anon_sym_unsigned] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [anon_sym_register] = ACTIONS(3059),
    [anon_sym_inline] = ACTIONS(3059),
    [anon_sym___inline] = ACTIONS(3059),
    [anon_sym___inline__] = ACTIONS(3059),
    [anon_sym___forceinline] = ACTIONS(3059),
    [anon_sym_thread_local] = ACTIONS(3059),
    [anon_sym___thread] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_constexpr] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_restrict] = ACTIONS(3059),
    [anon_sym___restrict__] = ACTIONS(3059),
    [anon_sym__Atomic] = ACTIONS(3059),
    [anon_sym__Noreturn] = ACTIONS(3059),
    [anon_sym_noreturn] = ACTIONS(3059),
    [anon_sym__Nonnull] = ACTIONS(3059),
    [anon_sym_mutable] = ACTIONS(3059),
    [anon_sym_constinit] = ACTIONS(3059),
    [anon_sym_consteval] = ACTIONS(3059),
    [anon_sym_alignas] = ACTIONS(3059),
    [anon_sym__Alignas] = ACTIONS(3059),
    [sym_primitive_type] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_union] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_switch] = ACTIONS(3059),
    [anon_sym_case] = ACTIONS(3059),
    [anon_sym_default] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_do] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3059),
    [anon_sym_return] = ACTIONS(3059),
    [anon_sym_break] = ACTIONS(3059),
    [anon_sym_continue] = ACTIONS(3059),
    [anon_sym_goto] = ACTIONS(3059),
    [anon_sym___try] = ACTIONS(3059),
    [anon_sym___leave] = ACTIONS(3059),
    [anon_sym_not] = ACTIONS(3059),
    [anon_sym_compl] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3059),
    [anon_sym___alignof__] = ACTIONS(3059),
    [anon_sym___alignof] = ACTIONS(3059),
    [anon_sym__alignof] = ACTIONS(3059),
    [anon_sym_alignof] = ACTIONS(3059),
    [anon_sym__Alignof] = ACTIONS(3059),
    [anon_sym_offsetof] = ACTIONS(3059),
    [anon_sym__Generic] = ACTIONS(3059),
    [anon_sym_asm] = ACTIONS(3059),
    [anon_sym___asm__] = ACTIONS(3059),
    [anon_sym___asm] = ACTIONS(3059),
    [sym_number_literal] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3059),
    [sym_false] = ACTIONS(3059),
    [anon_sym_NULL] = ACTIONS(3059),
    [anon_sym_nullptr] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3059),
    [anon_sym_decltype] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_typename] = ACTIONS(3059),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3059),
    [anon_sym_delete] = ACTIONS(3059),
    [anon_sym_throw] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static_assert] = ACTIONS(3059),
    [anon_sym_concept] = ACTIONS(3059),
    [anon_sym_co_return] = ACTIONS(3059),
    [anon_sym_co_yield] = ACTIONS(3059),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_requires] = ACTIONS(3059),
    [sym_this] = ACTIONS(3059),
  },
  [664] = {
    [sym_identifier] = ACTIONS(3059),
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3059),
    [anon_sym_typedef] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym___attribute__] = ACTIONS(3059),
    [anon_sym___attribute] = ACTIONS(3059),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3059),
    [anon_sym___based] = ACTIONS(3059),
    [anon_sym___cdecl] = ACTIONS(3059),
    [anon_sym___clrcall] = ACTIONS(3059),
    [anon_sym___stdcall] = ACTIONS(3059),
    [anon_sym___fastcall] = ACTIONS(3059),
    [anon_sym___thiscall] = ACTIONS(3059),
    [anon_sym___vectorcall] = ACTIONS(3059),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3059),
    [anon_sym_unsigned] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [anon_sym_register] = ACTIONS(3059),
    [anon_sym_inline] = ACTIONS(3059),
    [anon_sym___inline] = ACTIONS(3059),
    [anon_sym___inline__] = ACTIONS(3059),
    [anon_sym___forceinline] = ACTIONS(3059),
    [anon_sym_thread_local] = ACTIONS(3059),
    [anon_sym___thread] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_constexpr] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_restrict] = ACTIONS(3059),
    [anon_sym___restrict__] = ACTIONS(3059),
    [anon_sym__Atomic] = ACTIONS(3059),
    [anon_sym__Noreturn] = ACTIONS(3059),
    [anon_sym_noreturn] = ACTIONS(3059),
    [anon_sym__Nonnull] = ACTIONS(3059),
    [anon_sym_mutable] = ACTIONS(3059),
    [anon_sym_constinit] = ACTIONS(3059),
    [anon_sym_consteval] = ACTIONS(3059),
    [anon_sym_alignas] = ACTIONS(3059),
    [anon_sym__Alignas] = ACTIONS(3059),
    [sym_primitive_type] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_union] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_switch] = ACTIONS(3059),
    [anon_sym_case] = ACTIONS(3059),
    [anon_sym_default] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_do] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3059),
    [anon_sym_return] = ACTIONS(3059),
    [anon_sym_break] = ACTIONS(3059),
    [anon_sym_continue] = ACTIONS(3059),
    [anon_sym_goto] = ACTIONS(3059),
    [anon_sym___try] = ACTIONS(3059),
    [anon_sym___leave] = ACTIONS(3059),
    [anon_sym_not] = ACTIONS(3059),
    [anon_sym_compl] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3059),
    [anon_sym___alignof__] = ACTIONS(3059),
    [anon_sym___alignof] = ACTIONS(3059),
    [anon_sym__alignof] = ACTIONS(3059),
    [anon_sym_alignof] = ACTIONS(3059),
    [anon_sym__Alignof] = ACTIONS(3059),
    [anon_sym_offsetof] = ACTIONS(3059),
    [anon_sym__Generic] = ACTIONS(3059),
    [anon_sym_asm] = ACTIONS(3059),
    [anon_sym___asm__] = ACTIONS(3059),
    [anon_sym___asm] = ACTIONS(3059),
    [sym_number_literal] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3059),
    [sym_false] = ACTIONS(3059),
    [anon_sym_NULL] = ACTIONS(3059),
    [anon_sym_nullptr] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3059),
    [anon_sym_decltype] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_typename] = ACTIONS(3059),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3059),
    [anon_sym_delete] = ACTIONS(3059),
    [anon_sym_throw] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static_assert] = ACTIONS(3059),
    [anon_sym_concept] = ACTIONS(3059),
    [anon_sym_co_return] = ACTIONS(3059),
    [anon_sym_co_yield] = ACTIONS(3059),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_requires] = ACTIONS(3059),
    [sym_this] = ACTIONS(3059),
  },
  [665] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_include_token1] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym___attribute] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym___cdecl] = ACTIONS(3123),
    [anon_sym___clrcall] = ACTIONS(3123),
    [anon_sym___stdcall] = ACTIONS(3123),
    [anon_sym___fastcall] = ACTIONS(3123),
    [anon_sym___thiscall] = ACTIONS(3123),
    [anon_sym___vectorcall] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_RBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_switch] = ACTIONS(3123),
    [anon_sym_case] = ACTIONS(3123),
    [anon_sym_default] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(3123),
    [anon_sym_do] = ACTIONS(3123),
    [anon_sym_for] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3123),
    [anon_sym_break] = ACTIONS(3123),
    [anon_sym_continue] = ACTIONS(3123),
    [anon_sym_goto] = ACTIONS(3123),
    [anon_sym___try] = ACTIONS(3123),
    [anon_sym___leave] = ACTIONS(3123),
    [anon_sym_not] = ACTIONS(3123),
    [anon_sym_compl] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3123),
    [anon_sym___alignof__] = ACTIONS(3123),
    [anon_sym___alignof] = ACTIONS(3123),
    [anon_sym__alignof] = ACTIONS(3123),
    [anon_sym_alignof] = ACTIONS(3123),
    [anon_sym__Alignof] = ACTIONS(3123),
    [anon_sym_offsetof] = ACTIONS(3123),
    [anon_sym__Generic] = ACTIONS(3123),
    [anon_sym_asm] = ACTIONS(3123),
    [anon_sym___asm__] = ACTIONS(3123),
    [anon_sym___asm] = ACTIONS(3123),
    [sym_number_literal] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3125),
    [anon_sym_u_SQUOTE] = ACTIONS(3125),
    [anon_sym_U_SQUOTE] = ACTIONS(3125),
    [anon_sym_u8_SQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_L_DQUOTE] = ACTIONS(3125),
    [anon_sym_u_DQUOTE] = ACTIONS(3125),
    [anon_sym_U_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8_DQUOTE] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [anon_sym_NULL] = ACTIONS(3123),
    [anon_sym_nullptr] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_try] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_throw] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
    [anon_sym_concept] = ACTIONS(3123),
    [anon_sym_co_return] = ACTIONS(3123),
    [anon_sym_co_yield] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(3125),
    [anon_sym_LR_DQUOTE] = ACTIONS(3125),
    [anon_sym_uR_DQUOTE] = ACTIONS(3125),
    [anon_sym_UR_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3125),
    [anon_sym_co_await] = ACTIONS(3123),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_requires] = ACTIONS(3123),
    [sym_this] = ACTIONS(3123),
  },
  [666] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_include_token1] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym___attribute] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym___cdecl] = ACTIONS(3127),
    [anon_sym___clrcall] = ACTIONS(3127),
    [anon_sym___stdcall] = ACTIONS(3127),
    [anon_sym___fastcall] = ACTIONS(3127),
    [anon_sym___thiscall] = ACTIONS(3127),
    [anon_sym___vectorcall] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_RBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [anon_sym_if] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(3127),
    [anon_sym_default] = ACTIONS(3127),
    [anon_sym_while] = ACTIONS(3127),
    [anon_sym_do] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_break] = ACTIONS(3127),
    [anon_sym_continue] = ACTIONS(3127),
    [anon_sym_goto] = ACTIONS(3127),
    [anon_sym___try] = ACTIONS(3127),
    [anon_sym___leave] = ACTIONS(3127),
    [anon_sym_not] = ACTIONS(3127),
    [anon_sym_compl] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3127),
    [anon_sym___alignof__] = ACTIONS(3127),
    [anon_sym___alignof] = ACTIONS(3127),
    [anon_sym__alignof] = ACTIONS(3127),
    [anon_sym_alignof] = ACTIONS(3127),
    [anon_sym__Alignof] = ACTIONS(3127),
    [anon_sym_offsetof] = ACTIONS(3127),
    [anon_sym__Generic] = ACTIONS(3127),
    [anon_sym_asm] = ACTIONS(3127),
    [anon_sym___asm__] = ACTIONS(3127),
    [anon_sym___asm] = ACTIONS(3127),
    [sym_number_literal] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3129),
    [anon_sym_u_SQUOTE] = ACTIONS(3129),
    [anon_sym_U_SQUOTE] = ACTIONS(3129),
    [anon_sym_u8_SQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_L_DQUOTE] = ACTIONS(3129),
    [anon_sym_u_DQUOTE] = ACTIONS(3129),
    [anon_sym_U_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8_DQUOTE] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [anon_sym_NULL] = ACTIONS(3127),
    [anon_sym_nullptr] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
    [anon_sym_concept] = ACTIONS(3127),
    [anon_sym_co_return] = ACTIONS(3127),
    [anon_sym_co_yield] = ACTIONS(3127),
    [anon_sym_R_DQUOTE] = ACTIONS(3129),
    [anon_sym_LR_DQUOTE] = ACTIONS(3129),
    [anon_sym_uR_DQUOTE] = ACTIONS(3129),
    [anon_sym_UR_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3129),
    [anon_sym_co_await] = ACTIONS(3127),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_requires] = ACTIONS(3127),
    [sym_this] = ACTIONS(3127),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(2946),
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [anon_sym_COMMA] = ACTIONS(2946),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym___attribute] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym___attribute] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [669] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [anon_sym___asm] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [670] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [anon_sym___asm] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [671] = {
    [sym_identifier] = ACTIONS(3105),
    [aux_sym_preproc_include_token1] = ACTIONS(3105),
    [aux_sym_preproc_def_token1] = ACTIONS(3105),
    [aux_sym_preproc_if_token1] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3105),
    [sym_preproc_directive] = ACTIONS(3105),
    [anon_sym_LPAREN2] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3105),
    [anon_sym_typedef] = ACTIONS(3105),
    [anon_sym_virtual] = ACTIONS(3105),
    [anon_sym_extern] = ACTIONS(3105),
    [anon_sym___attribute__] = ACTIONS(3105),
    [anon_sym___attribute] = ACTIONS(3105),
    [anon_sym_COLON_COLON] = ACTIONS(3107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3107),
    [anon_sym___declspec] = ACTIONS(3105),
    [anon_sym___based] = ACTIONS(3105),
    [anon_sym___cdecl] = ACTIONS(3105),
    [anon_sym___clrcall] = ACTIONS(3105),
    [anon_sym___stdcall] = ACTIONS(3105),
    [anon_sym___fastcall] = ACTIONS(3105),
    [anon_sym___thiscall] = ACTIONS(3105),
    [anon_sym___vectorcall] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3105),
    [anon_sym_unsigned] = ACTIONS(3105),
    [anon_sym_long] = ACTIONS(3105),
    [anon_sym_short] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_register] = ACTIONS(3105),
    [anon_sym_inline] = ACTIONS(3105),
    [anon_sym___inline] = ACTIONS(3105),
    [anon_sym___inline__] = ACTIONS(3105),
    [anon_sym___forceinline] = ACTIONS(3105),
    [anon_sym_thread_local] = ACTIONS(3105),
    [anon_sym___thread] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_constexpr] = ACTIONS(3105),
    [anon_sym_volatile] = ACTIONS(3105),
    [anon_sym_restrict] = ACTIONS(3105),
    [anon_sym___restrict__] = ACTIONS(3105),
    [anon_sym__Atomic] = ACTIONS(3105),
    [anon_sym__Noreturn] = ACTIONS(3105),
    [anon_sym_noreturn] = ACTIONS(3105),
    [anon_sym__Nonnull] = ACTIONS(3105),
    [anon_sym_mutable] = ACTIONS(3105),
    [anon_sym_constinit] = ACTIONS(3105),
    [anon_sym_consteval] = ACTIONS(3105),
    [anon_sym_alignas] = ACTIONS(3105),
    [anon_sym__Alignas] = ACTIONS(3105),
    [sym_primitive_type] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_struct] = ACTIONS(3105),
    [anon_sym_union] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_case] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_goto] = ACTIONS(3105),
    [anon_sym___try] = ACTIONS(3105),
    [anon_sym___leave] = ACTIONS(3105),
    [anon_sym_not] = ACTIONS(3105),
    [anon_sym_compl] = ACTIONS(3105),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_sizeof] = ACTIONS(3105),
    [anon_sym___alignof__] = ACTIONS(3105),
    [anon_sym___alignof] = ACTIONS(3105),
    [anon_sym__alignof] = ACTIONS(3105),
    [anon_sym_alignof] = ACTIONS(3105),
    [anon_sym__Alignof] = ACTIONS(3105),
    [anon_sym_offsetof] = ACTIONS(3105),
    [anon_sym__Generic] = ACTIONS(3105),
    [anon_sym_asm] = ACTIONS(3105),
    [anon_sym___asm__] = ACTIONS(3105),
    [anon_sym___asm] = ACTIONS(3105),
    [sym_number_literal] = ACTIONS(3107),
    [anon_sym_L_SQUOTE] = ACTIONS(3107),
    [anon_sym_u_SQUOTE] = ACTIONS(3107),
    [anon_sym_U_SQUOTE] = ACTIONS(3107),
    [anon_sym_u8_SQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [anon_sym_L_DQUOTE] = ACTIONS(3107),
    [anon_sym_u_DQUOTE] = ACTIONS(3107),
    [anon_sym_U_DQUOTE] = ACTIONS(3107),
    [anon_sym_u8_DQUOTE] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [anon_sym_NULL] = ACTIONS(3105),
    [anon_sym_nullptr] = ACTIONS(3105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3105),
    [anon_sym_decltype] = ACTIONS(3105),
    [anon_sym_explicit] = ACTIONS(3105),
    [anon_sym_typename] = ACTIONS(3105),
    [anon_sym_template] = ACTIONS(3105),
    [anon_sym_operator] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_delete] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_static_assert] = ACTIONS(3105),
    [anon_sym_concept] = ACTIONS(3105),
    [anon_sym_co_return] = ACTIONS(3105),
    [anon_sym_co_yield] = ACTIONS(3105),
    [anon_sym_R_DQUOTE] = ACTIONS(3107),
    [anon_sym_LR_DQUOTE] = ACTIONS(3107),
    [anon_sym_uR_DQUOTE] = ACTIONS(3107),
    [anon_sym_UR_DQUOTE] = ACTIONS(3107),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3107),
    [anon_sym_co_await] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_requires] = ACTIONS(3105),
    [sym_this] = ACTIONS(3105),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_virtual] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym___attribute] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [sym_number_literal] = ACTIONS(2882),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym___attribute] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [sym_number_literal] = ACTIONS(2918),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [675] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym___attribute] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym___attribute] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym___attribute] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym__Nonnull] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym__Alignas] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [anon_sym___asm] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym___attribute] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [anon_sym___asm] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [679] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym___asm] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [680] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_BANG] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym___attribute] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym___cdecl] = ACTIONS(3019),
    [anon_sym___clrcall] = ACTIONS(3019),
    [anon_sym___stdcall] = ACTIONS(3019),
    [anon_sym___fastcall] = ACTIONS(3019),
    [anon_sym___thiscall] = ACTIONS(3019),
    [anon_sym___vectorcall] = ACTIONS(3019),
    [anon_sym_LBRACE] = ACTIONS(3021),
    [anon_sym_RBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_switch] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(3019),
    [anon_sym_default] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_do] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_break] = ACTIONS(3019),
    [anon_sym_continue] = ACTIONS(3019),
    [anon_sym_goto] = ACTIONS(3019),
    [anon_sym___try] = ACTIONS(3019),
    [anon_sym___leave] = ACTIONS(3019),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_compl] = ACTIONS(3019),
    [anon_sym_DASH_DASH] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3021),
    [anon_sym_sizeof] = ACTIONS(3019),
    [anon_sym___alignof__] = ACTIONS(3019),
    [anon_sym___alignof] = ACTIONS(3019),
    [anon_sym__alignof] = ACTIONS(3019),
    [anon_sym_alignof] = ACTIONS(3019),
    [anon_sym__Alignof] = ACTIONS(3019),
    [anon_sym_offsetof] = ACTIONS(3019),
    [anon_sym__Generic] = ACTIONS(3019),
    [anon_sym_asm] = ACTIONS(3019),
    [anon_sym___asm__] = ACTIONS(3019),
    [anon_sym___asm] = ACTIONS(3019),
    [sym_number_literal] = ACTIONS(3021),
    [anon_sym_L_SQUOTE] = ACTIONS(3021),
    [anon_sym_u_SQUOTE] = ACTIONS(3021),
    [anon_sym_U_SQUOTE] = ACTIONS(3021),
    [anon_sym_u8_SQUOTE] = ACTIONS(3021),
    [anon_sym_SQUOTE] = ACTIONS(3021),
    [anon_sym_L_DQUOTE] = ACTIONS(3021),
    [anon_sym_u_DQUOTE] = ACTIONS(3021),
    [anon_sym_U_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8_DQUOTE] = ACTIONS(3021),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [anon_sym_NULL] = ACTIONS(3019),
    [anon_sym_nullptr] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(3019),
    [anon_sym_throw] = ACTIONS(3019),
    [anon_sym_namespace] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
    [anon_sym_concept] = ACTIONS(3019),
    [anon_sym_co_return] = ACTIONS(3019),
    [anon_sym_co_yield] = ACTIONS(3019),
    [anon_sym_R_DQUOTE] = ACTIONS(3021),
    [anon_sym_LR_DQUOTE] = ACTIONS(3021),
    [anon_sym_uR_DQUOTE] = ACTIONS(3021),
    [anon_sym_UR_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3021),
    [anon_sym_co_await] = ACTIONS(3019),
    [anon_sym_new] = ACTIONS(3019),
    [anon_sym_requires] = ACTIONS(3019),
    [sym_this] = ACTIONS(3019),
  },
  [681] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [anon_sym___asm] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [682] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [sym_number_literal] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [683] = {
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_include_token1] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_BANG] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym___attribute] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym___cdecl] = ACTIONS(3065),
    [anon_sym___clrcall] = ACTIONS(3065),
    [anon_sym___stdcall] = ACTIONS(3065),
    [anon_sym___fastcall] = ACTIONS(3065),
    [anon_sym___thiscall] = ACTIONS(3065),
    [anon_sym___vectorcall] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [anon_sym_if] = ACTIONS(3065),
    [anon_sym_switch] = ACTIONS(3065),
    [anon_sym_case] = ACTIONS(3065),
    [anon_sym_default] = ACTIONS(3065),
    [anon_sym_while] = ACTIONS(3065),
    [anon_sym_do] = ACTIONS(3065),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_return] = ACTIONS(3065),
    [anon_sym_break] = ACTIONS(3065),
    [anon_sym_continue] = ACTIONS(3065),
    [anon_sym_goto] = ACTIONS(3065),
    [anon_sym___try] = ACTIONS(3065),
    [anon_sym___leave] = ACTIONS(3065),
    [anon_sym_not] = ACTIONS(3065),
    [anon_sym_compl] = ACTIONS(3065),
    [anon_sym_DASH_DASH] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3067),
    [anon_sym_sizeof] = ACTIONS(3065),
    [anon_sym___alignof__] = ACTIONS(3065),
    [anon_sym___alignof] = ACTIONS(3065),
    [anon_sym__alignof] = ACTIONS(3065),
    [anon_sym_alignof] = ACTIONS(3065),
    [anon_sym__Alignof] = ACTIONS(3065),
    [anon_sym_offsetof] = ACTIONS(3065),
    [anon_sym__Generic] = ACTIONS(3065),
    [anon_sym_asm] = ACTIONS(3065),
    [anon_sym___asm__] = ACTIONS(3065),
    [anon_sym___asm] = ACTIONS(3065),
    [sym_number_literal] = ACTIONS(3067),
    [anon_sym_L_SQUOTE] = ACTIONS(3067),
    [anon_sym_u_SQUOTE] = ACTIONS(3067),
    [anon_sym_U_SQUOTE] = ACTIONS(3067),
    [anon_sym_u8_SQUOTE] = ACTIONS(3067),
    [anon_sym_SQUOTE] = ACTIONS(3067),
    [anon_sym_L_DQUOTE] = ACTIONS(3067),
    [anon_sym_u_DQUOTE] = ACTIONS(3067),
    [anon_sym_U_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8_DQUOTE] = ACTIONS(3067),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_true] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
    [anon_sym_NULL] = ACTIONS(3065),
    [anon_sym_nullptr] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_try] = ACTIONS(3065),
    [anon_sym_delete] = ACTIONS(3065),
    [anon_sym_throw] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
    [anon_sym_concept] = ACTIONS(3065),
    [anon_sym_co_return] = ACTIONS(3065),
    [anon_sym_co_yield] = ACTIONS(3065),
    [anon_sym_R_DQUOTE] = ACTIONS(3067),
    [anon_sym_LR_DQUOTE] = ACTIONS(3067),
    [anon_sym_uR_DQUOTE] = ACTIONS(3067),
    [anon_sym_UR_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3067),
    [anon_sym_co_await] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_requires] = ACTIONS(3065),
    [sym_this] = ACTIONS(3065),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_virtual] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2822),
    [anon_sym_LR_DQUOTE] = ACTIONS(2822),
    [anon_sym_uR_DQUOTE] = ACTIONS(2822),
    [anon_sym_UR_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2822),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym___attribute] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym__Nonnull] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym__Alignas] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [anon_sym___asm] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(3083),
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym___attribute] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym__Nonnull] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym__Alignas] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [anon_sym___asm] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(3144),
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym___asm] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(3125),
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_include_token1] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym___attribute] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym___cdecl] = ACTIONS(3123),
    [anon_sym___clrcall] = ACTIONS(3123),
    [anon_sym___stdcall] = ACTIONS(3123),
    [anon_sym___fastcall] = ACTIONS(3123),
    [anon_sym___thiscall] = ACTIONS(3123),
    [anon_sym___vectorcall] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_switch] = ACTIONS(3123),
    [anon_sym_case] = ACTIONS(3123),
    [anon_sym_default] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(3123),
    [anon_sym_do] = ACTIONS(3123),
    [anon_sym_for] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3123),
    [anon_sym_break] = ACTIONS(3123),
    [anon_sym_continue] = ACTIONS(3123),
    [anon_sym_goto] = ACTIONS(3123),
    [anon_sym_not] = ACTIONS(3123),
    [anon_sym_compl] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3123),
    [anon_sym___alignof__] = ACTIONS(3123),
    [anon_sym___alignof] = ACTIONS(3123),
    [anon_sym__alignof] = ACTIONS(3123),
    [anon_sym_alignof] = ACTIONS(3123),
    [anon_sym__Alignof] = ACTIONS(3123),
    [anon_sym_offsetof] = ACTIONS(3123),
    [anon_sym__Generic] = ACTIONS(3123),
    [anon_sym_asm] = ACTIONS(3123),
    [anon_sym___asm__] = ACTIONS(3123),
    [anon_sym___asm] = ACTIONS(3123),
    [sym_number_literal] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3125),
    [anon_sym_u_SQUOTE] = ACTIONS(3125),
    [anon_sym_U_SQUOTE] = ACTIONS(3125),
    [anon_sym_u8_SQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_L_DQUOTE] = ACTIONS(3125),
    [anon_sym_u_DQUOTE] = ACTIONS(3125),
    [anon_sym_U_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8_DQUOTE] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [anon_sym_NULL] = ACTIONS(3123),
    [anon_sym_nullptr] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_try] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_throw] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
    [anon_sym_concept] = ACTIONS(3123),
    [anon_sym_co_return] = ACTIONS(3123),
    [anon_sym_co_yield] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(3125),
    [anon_sym_LR_DQUOTE] = ACTIONS(3125),
    [anon_sym_uR_DQUOTE] = ACTIONS(3125),
    [anon_sym_UR_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3125),
    [anon_sym_co_await] = ACTIONS(3123),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_requires] = ACTIONS(3123),
    [sym_this] = ACTIONS(3123),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [anon_sym___asm] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(3129),
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_include_token1] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym___attribute] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym___cdecl] = ACTIONS(3127),
    [anon_sym___clrcall] = ACTIONS(3127),
    [anon_sym___stdcall] = ACTIONS(3127),
    [anon_sym___fastcall] = ACTIONS(3127),
    [anon_sym___thiscall] = ACTIONS(3127),
    [anon_sym___vectorcall] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [anon_sym_if] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(3127),
    [anon_sym_default] = ACTIONS(3127),
    [anon_sym_while] = ACTIONS(3127),
    [anon_sym_do] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_break] = ACTIONS(3127),
    [anon_sym_continue] = ACTIONS(3127),
    [anon_sym_goto] = ACTIONS(3127),
    [anon_sym_not] = ACTIONS(3127),
    [anon_sym_compl] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3127),
    [anon_sym___alignof__] = ACTIONS(3127),
    [anon_sym___alignof] = ACTIONS(3127),
    [anon_sym__alignof] = ACTIONS(3127),
    [anon_sym_alignof] = ACTIONS(3127),
    [anon_sym__Alignof] = ACTIONS(3127),
    [anon_sym_offsetof] = ACTIONS(3127),
    [anon_sym__Generic] = ACTIONS(3127),
    [anon_sym_asm] = ACTIONS(3127),
    [anon_sym___asm__] = ACTIONS(3127),
    [anon_sym___asm] = ACTIONS(3127),
    [sym_number_literal] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3129),
    [anon_sym_u_SQUOTE] = ACTIONS(3129),
    [anon_sym_U_SQUOTE] = ACTIONS(3129),
    [anon_sym_u8_SQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_L_DQUOTE] = ACTIONS(3129),
    [anon_sym_u_DQUOTE] = ACTIONS(3129),
    [anon_sym_U_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8_DQUOTE] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [anon_sym_NULL] = ACTIONS(3127),
    [anon_sym_nullptr] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
    [anon_sym_concept] = ACTIONS(3127),
    [anon_sym_co_return] = ACTIONS(3127),
    [anon_sym_co_yield] = ACTIONS(3127),
    [anon_sym_R_DQUOTE] = ACTIONS(3129),
    [anon_sym_LR_DQUOTE] = ACTIONS(3129),
    [anon_sym_uR_DQUOTE] = ACTIONS(3129),
    [anon_sym_UR_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3129),
    [anon_sym_co_await] = ACTIONS(3127),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_requires] = ACTIONS(3127),
    [sym_this] = ACTIONS(3127),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_AMP_AMP] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_virtual] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___based] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_constinit] = ACTIONS(2872),
    [anon_sym_consteval] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym_not] = ACTIONS(2872),
    [anon_sym_compl] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2872),
    [anon_sym_decltype] = ACTIONS(2872),
    [anon_sym_explicit] = ACTIONS(2872),
    [anon_sym_typename] = ACTIONS(2872),
    [anon_sym_template] = ACTIONS(2872),
    [anon_sym_operator] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_static_assert] = ACTIONS(2872),
    [anon_sym_concept] = ACTIONS(2872),
    [anon_sym_co_return] = ACTIONS(2872),
    [anon_sym_co_yield] = ACTIONS(2872),
    [anon_sym_R_DQUOTE] = ACTIONS(2874),
    [anon_sym_LR_DQUOTE] = ACTIONS(2874),
    [anon_sym_uR_DQUOTE] = ACTIONS(2874),
    [anon_sym_UR_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2874),
    [anon_sym_co_await] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_requires] = ACTIONS(2872),
    [sym_this] = ACTIONS(2872),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2878),
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym___attribute] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [sym_number_literal] = ACTIONS(2878),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2886),
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym___attribute] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [sym_primitive_type] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [sym_number_literal] = ACTIONS(2886),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2910),
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym___attribute] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym___cdecl] = ACTIONS(2908),
    [anon_sym___clrcall] = ACTIONS(2908),
    [anon_sym___stdcall] = ACTIONS(2908),
    [anon_sym___fastcall] = ACTIONS(2908),
    [anon_sym___thiscall] = ACTIONS(2908),
    [anon_sym___vectorcall] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [sym_primitive_type] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [sym_number_literal] = ACTIONS(2910),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
    [anon_sym_concept] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2914),
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [sym_number_literal] = ACTIONS(2914),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(2914),
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [sym_number_literal] = ACTIONS(2914),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(2930),
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(2930),
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2934),
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym___attribute] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(2938),
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym___attribute] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(2942),
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym___attribute] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(2955),
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [anon_sym___asm] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [anon_sym___asm] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(2963),
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym___attribute] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym__Nonnull] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [anon_sym___asm] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(2967),
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym___attribute] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym__Nonnull] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym__Alignas] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [anon_sym___asm] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2971),
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym___attribute] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym__Nonnull] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym__Alignas] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [anon_sym___asm] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(3067),
    [sym_identifier] = ACTIONS(3065),
    [aux_sym_preproc_include_token1] = ACTIONS(3065),
    [aux_sym_preproc_def_token1] = ACTIONS(3065),
    [aux_sym_preproc_if_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3065),
    [sym_preproc_directive] = ACTIONS(3065),
    [anon_sym_LPAREN2] = ACTIONS(3067),
    [anon_sym_BANG] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(3067),
    [anon_sym_DASH] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_AMP_AMP] = ACTIONS(3067),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym___extension__] = ACTIONS(3065),
    [anon_sym_typedef] = ACTIONS(3065),
    [anon_sym_virtual] = ACTIONS(3065),
    [anon_sym_extern] = ACTIONS(3065),
    [anon_sym___attribute__] = ACTIONS(3065),
    [anon_sym___attribute] = ACTIONS(3065),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3067),
    [anon_sym___declspec] = ACTIONS(3065),
    [anon_sym___based] = ACTIONS(3065),
    [anon_sym___cdecl] = ACTIONS(3065),
    [anon_sym___clrcall] = ACTIONS(3065),
    [anon_sym___stdcall] = ACTIONS(3065),
    [anon_sym___fastcall] = ACTIONS(3065),
    [anon_sym___thiscall] = ACTIONS(3065),
    [anon_sym___vectorcall] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [anon_sym_signed] = ACTIONS(3065),
    [anon_sym_unsigned] = ACTIONS(3065),
    [anon_sym_long] = ACTIONS(3065),
    [anon_sym_short] = ACTIONS(3065),
    [anon_sym_LBRACK] = ACTIONS(3065),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_register] = ACTIONS(3065),
    [anon_sym_inline] = ACTIONS(3065),
    [anon_sym___inline] = ACTIONS(3065),
    [anon_sym___inline__] = ACTIONS(3065),
    [anon_sym___forceinline] = ACTIONS(3065),
    [anon_sym_thread_local] = ACTIONS(3065),
    [anon_sym___thread] = ACTIONS(3065),
    [anon_sym_const] = ACTIONS(3065),
    [anon_sym_constexpr] = ACTIONS(3065),
    [anon_sym_volatile] = ACTIONS(3065),
    [anon_sym_restrict] = ACTIONS(3065),
    [anon_sym___restrict__] = ACTIONS(3065),
    [anon_sym__Atomic] = ACTIONS(3065),
    [anon_sym__Noreturn] = ACTIONS(3065),
    [anon_sym_noreturn] = ACTIONS(3065),
    [anon_sym__Nonnull] = ACTIONS(3065),
    [anon_sym_mutable] = ACTIONS(3065),
    [anon_sym_constinit] = ACTIONS(3065),
    [anon_sym_consteval] = ACTIONS(3065),
    [anon_sym_alignas] = ACTIONS(3065),
    [anon_sym__Alignas] = ACTIONS(3065),
    [sym_primitive_type] = ACTIONS(3065),
    [anon_sym_enum] = ACTIONS(3065),
    [anon_sym_class] = ACTIONS(3065),
    [anon_sym_struct] = ACTIONS(3065),
    [anon_sym_union] = ACTIONS(3065),
    [anon_sym_if] = ACTIONS(3065),
    [anon_sym_switch] = ACTIONS(3065),
    [anon_sym_case] = ACTIONS(3065),
    [anon_sym_default] = ACTIONS(3065),
    [anon_sym_while] = ACTIONS(3065),
    [anon_sym_do] = ACTIONS(3065),
    [anon_sym_for] = ACTIONS(3065),
    [anon_sym_return] = ACTIONS(3065),
    [anon_sym_break] = ACTIONS(3065),
    [anon_sym_continue] = ACTIONS(3065),
    [anon_sym_goto] = ACTIONS(3065),
    [anon_sym_not] = ACTIONS(3065),
    [anon_sym_compl] = ACTIONS(3065),
    [anon_sym_DASH_DASH] = ACTIONS(3067),
    [anon_sym_PLUS_PLUS] = ACTIONS(3067),
    [anon_sym_sizeof] = ACTIONS(3065),
    [anon_sym___alignof__] = ACTIONS(3065),
    [anon_sym___alignof] = ACTIONS(3065),
    [anon_sym__alignof] = ACTIONS(3065),
    [anon_sym_alignof] = ACTIONS(3065),
    [anon_sym__Alignof] = ACTIONS(3065),
    [anon_sym_offsetof] = ACTIONS(3065),
    [anon_sym__Generic] = ACTIONS(3065),
    [anon_sym_asm] = ACTIONS(3065),
    [anon_sym___asm__] = ACTIONS(3065),
    [anon_sym___asm] = ACTIONS(3065),
    [sym_number_literal] = ACTIONS(3067),
    [anon_sym_L_SQUOTE] = ACTIONS(3067),
    [anon_sym_u_SQUOTE] = ACTIONS(3067),
    [anon_sym_U_SQUOTE] = ACTIONS(3067),
    [anon_sym_u8_SQUOTE] = ACTIONS(3067),
    [anon_sym_SQUOTE] = ACTIONS(3067),
    [anon_sym_L_DQUOTE] = ACTIONS(3067),
    [anon_sym_u_DQUOTE] = ACTIONS(3067),
    [anon_sym_U_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8_DQUOTE] = ACTIONS(3067),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_true] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
    [anon_sym_NULL] = ACTIONS(3065),
    [anon_sym_nullptr] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3065),
    [anon_sym_decltype] = ACTIONS(3065),
    [anon_sym_explicit] = ACTIONS(3065),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3065),
    [anon_sym_operator] = ACTIONS(3065),
    [anon_sym_try] = ACTIONS(3065),
    [anon_sym_delete] = ACTIONS(3065),
    [anon_sym_throw] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3065),
    [anon_sym_concept] = ACTIONS(3065),
    [anon_sym_co_return] = ACTIONS(3065),
    [anon_sym_co_yield] = ACTIONS(3065),
    [anon_sym_R_DQUOTE] = ACTIONS(3067),
    [anon_sym_LR_DQUOTE] = ACTIONS(3067),
    [anon_sym_uR_DQUOTE] = ACTIONS(3067),
    [anon_sym_UR_DQUOTE] = ACTIONS(3067),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3067),
    [anon_sym_co_await] = ACTIONS(3065),
    [anon_sym_new] = ACTIONS(3065),
    [anon_sym_requires] = ACTIONS(3065),
    [sym_this] = ACTIONS(3065),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(2975),
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym___attribute] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym__Nonnull] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym__Alignas] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [anon_sym___asm] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(3452),
    [sym_identifier] = ACTIONS(3454),
    [aux_sym_preproc_include_token1] = ACTIONS(3454),
    [aux_sym_preproc_def_token1] = ACTIONS(3454),
    [aux_sym_preproc_if_token1] = ACTIONS(3454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3454),
    [sym_preproc_directive] = ACTIONS(3454),
    [anon_sym_LPAREN2] = ACTIONS(3452),
    [anon_sym_BANG] = ACTIONS(3452),
    [anon_sym_TILDE] = ACTIONS(3452),
    [anon_sym_DASH] = ACTIONS(3454),
    [anon_sym_PLUS] = ACTIONS(3454),
    [anon_sym_STAR] = ACTIONS(3452),
    [anon_sym_AMP_AMP] = ACTIONS(3452),
    [anon_sym_AMP] = ACTIONS(3454),
    [anon_sym_SEMI] = ACTIONS(3452),
    [anon_sym___extension__] = ACTIONS(3454),
    [anon_sym_typedef] = ACTIONS(3454),
    [anon_sym_virtual] = ACTIONS(3454),
    [anon_sym_extern] = ACTIONS(3454),
    [anon_sym___attribute__] = ACTIONS(3454),
    [anon_sym___attribute] = ACTIONS(3454),
    [anon_sym_COLON_COLON] = ACTIONS(3452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3452),
    [anon_sym___declspec] = ACTIONS(3454),
    [anon_sym___based] = ACTIONS(3454),
    [anon_sym___cdecl] = ACTIONS(3454),
    [anon_sym___clrcall] = ACTIONS(3454),
    [anon_sym___stdcall] = ACTIONS(3454),
    [anon_sym___fastcall] = ACTIONS(3454),
    [anon_sym___thiscall] = ACTIONS(3454),
    [anon_sym___vectorcall] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3452),
    [anon_sym_signed] = ACTIONS(3454),
    [anon_sym_unsigned] = ACTIONS(3454),
    [anon_sym_long] = ACTIONS(3454),
    [anon_sym_short] = ACTIONS(3454),
    [anon_sym_LBRACK] = ACTIONS(3454),
    [anon_sym_static] = ACTIONS(3454),
    [anon_sym_register] = ACTIONS(3454),
    [anon_sym_inline] = ACTIONS(3454),
    [anon_sym___inline] = ACTIONS(3454),
    [anon_sym___inline__] = ACTIONS(3454),
    [anon_sym___forceinline] = ACTIONS(3454),
    [anon_sym_thread_local] = ACTIONS(3454),
    [anon_sym___thread] = ACTIONS(3454),
    [anon_sym_const] = ACTIONS(3454),
    [anon_sym_constexpr] = ACTIONS(3454),
    [anon_sym_volatile] = ACTIONS(3454),
    [anon_sym_restrict] = ACTIONS(3454),
    [anon_sym___restrict__] = ACTIONS(3454),
    [anon_sym__Atomic] = ACTIONS(3454),
    [anon_sym__Noreturn] = ACTIONS(3454),
    [anon_sym_noreturn] = ACTIONS(3454),
    [anon_sym__Nonnull] = ACTIONS(3454),
    [anon_sym_mutable] = ACTIONS(3454),
    [anon_sym_constinit] = ACTIONS(3454),
    [anon_sym_consteval] = ACTIONS(3454),
    [anon_sym_alignas] = ACTIONS(3454),
    [anon_sym__Alignas] = ACTIONS(3454),
    [sym_primitive_type] = ACTIONS(3454),
    [anon_sym_enum] = ACTIONS(3454),
    [anon_sym_class] = ACTIONS(3454),
    [anon_sym_struct] = ACTIONS(3454),
    [anon_sym_union] = ACTIONS(3454),
    [anon_sym_if] = ACTIONS(3454),
    [anon_sym_switch] = ACTIONS(3454),
    [anon_sym_case] = ACTIONS(3454),
    [anon_sym_default] = ACTIONS(3454),
    [anon_sym_while] = ACTIONS(3454),
    [anon_sym_do] = ACTIONS(3454),
    [anon_sym_for] = ACTIONS(3454),
    [anon_sym_return] = ACTIONS(3454),
    [anon_sym_break] = ACTIONS(3454),
    [anon_sym_continue] = ACTIONS(3454),
    [anon_sym_goto] = ACTIONS(3454),
    [anon_sym_not] = ACTIONS(3454),
    [anon_sym_compl] = ACTIONS(3454),
    [anon_sym_DASH_DASH] = ACTIONS(3452),
    [anon_sym_PLUS_PLUS] = ACTIONS(3452),
    [anon_sym_sizeof] = ACTIONS(3454),
    [anon_sym___alignof__] = ACTIONS(3454),
    [anon_sym___alignof] = ACTIONS(3454),
    [anon_sym__alignof] = ACTIONS(3454),
    [anon_sym_alignof] = ACTIONS(3454),
    [anon_sym__Alignof] = ACTIONS(3454),
    [anon_sym_offsetof] = ACTIONS(3454),
    [anon_sym__Generic] = ACTIONS(3454),
    [anon_sym_asm] = ACTIONS(3454),
    [anon_sym___asm__] = ACTIONS(3454),
    [anon_sym___asm] = ACTIONS(3454),
    [sym_number_literal] = ACTIONS(3452),
    [anon_sym_L_SQUOTE] = ACTIONS(3452),
    [anon_sym_u_SQUOTE] = ACTIONS(3452),
    [anon_sym_U_SQUOTE] = ACTIONS(3452),
    [anon_sym_u8_SQUOTE] = ACTIONS(3452),
    [anon_sym_SQUOTE] = ACTIONS(3452),
    [anon_sym_L_DQUOTE] = ACTIONS(3452),
    [anon_sym_u_DQUOTE] = ACTIONS(3452),
    [anon_sym_U_DQUOTE] = ACTIONS(3452),
    [anon_sym_u8_DQUOTE] = ACTIONS(3452),
    [anon_sym_DQUOTE] = ACTIONS(3452),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [anon_sym_NULL] = ACTIONS(3454),
    [anon_sym_nullptr] = ACTIONS(3454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3454),
    [anon_sym_decltype] = ACTIONS(3454),
    [anon_sym_explicit] = ACTIONS(3454),
    [anon_sym_typename] = ACTIONS(3454),
    [anon_sym_template] = ACTIONS(3454),
    [anon_sym_operator] = ACTIONS(3454),
    [anon_sym_try] = ACTIONS(3454),
    [anon_sym_delete] = ACTIONS(3454),
    [anon_sym_throw] = ACTIONS(3454),
    [anon_sym_namespace] = ACTIONS(3454),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_static_assert] = ACTIONS(3454),
    [anon_sym_concept] = ACTIONS(3454),
    [anon_sym_co_return] = ACTIONS(3454),
    [anon_sym_co_yield] = ACTIONS(3454),
    [anon_sym_R_DQUOTE] = ACTIONS(3452),
    [anon_sym_LR_DQUOTE] = ACTIONS(3452),
    [anon_sym_uR_DQUOTE] = ACTIONS(3452),
    [anon_sym_UR_DQUOTE] = ACTIONS(3452),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3452),
    [anon_sym_co_await] = ACTIONS(3454),
    [anon_sym_new] = ACTIONS(3454),
    [anon_sym_requires] = ACTIONS(3454),
    [sym_this] = ACTIONS(3454),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3458),
    [aux_sym_preproc_include_token1] = ACTIONS(3458),
    [aux_sym_preproc_def_token1] = ACTIONS(3458),
    [aux_sym_preproc_if_token1] = ACTIONS(3458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3458),
    [sym_preproc_directive] = ACTIONS(3458),
    [anon_sym_LPAREN2] = ACTIONS(3456),
    [anon_sym_BANG] = ACTIONS(3456),
    [anon_sym_TILDE] = ACTIONS(3456),
    [anon_sym_DASH] = ACTIONS(3458),
    [anon_sym_PLUS] = ACTIONS(3458),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_AMP_AMP] = ACTIONS(3456),
    [anon_sym_AMP] = ACTIONS(3458),
    [anon_sym_SEMI] = ACTIONS(3456),
    [anon_sym___extension__] = ACTIONS(3458),
    [anon_sym_typedef] = ACTIONS(3458),
    [anon_sym_virtual] = ACTIONS(3458),
    [anon_sym_extern] = ACTIONS(3458),
    [anon_sym___attribute__] = ACTIONS(3458),
    [anon_sym___attribute] = ACTIONS(3458),
    [anon_sym_COLON_COLON] = ACTIONS(3456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3456),
    [anon_sym___declspec] = ACTIONS(3458),
    [anon_sym___based] = ACTIONS(3458),
    [anon_sym___cdecl] = ACTIONS(3458),
    [anon_sym___clrcall] = ACTIONS(3458),
    [anon_sym___stdcall] = ACTIONS(3458),
    [anon_sym___fastcall] = ACTIONS(3458),
    [anon_sym___thiscall] = ACTIONS(3458),
    [anon_sym___vectorcall] = ACTIONS(3458),
    [anon_sym_LBRACE] = ACTIONS(3456),
    [anon_sym_signed] = ACTIONS(3458),
    [anon_sym_unsigned] = ACTIONS(3458),
    [anon_sym_long] = ACTIONS(3458),
    [anon_sym_short] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(3458),
    [anon_sym_static] = ACTIONS(3458),
    [anon_sym_register] = ACTIONS(3458),
    [anon_sym_inline] = ACTIONS(3458),
    [anon_sym___inline] = ACTIONS(3458),
    [anon_sym___inline__] = ACTIONS(3458),
    [anon_sym___forceinline] = ACTIONS(3458),
    [anon_sym_thread_local] = ACTIONS(3458),
    [anon_sym___thread] = ACTIONS(3458),
    [anon_sym_const] = ACTIONS(3458),
    [anon_sym_constexpr] = ACTIONS(3458),
    [anon_sym_volatile] = ACTIONS(3458),
    [anon_sym_restrict] = ACTIONS(3458),
    [anon_sym___restrict__] = ACTIONS(3458),
    [anon_sym__Atomic] = ACTIONS(3458),
    [anon_sym__Noreturn] = ACTIONS(3458),
    [anon_sym_noreturn] = ACTIONS(3458),
    [anon_sym__Nonnull] = ACTIONS(3458),
    [anon_sym_mutable] = ACTIONS(3458),
    [anon_sym_constinit] = ACTIONS(3458),
    [anon_sym_consteval] = ACTIONS(3458),
    [anon_sym_alignas] = ACTIONS(3458),
    [anon_sym__Alignas] = ACTIONS(3458),
    [sym_primitive_type] = ACTIONS(3458),
    [anon_sym_enum] = ACTIONS(3458),
    [anon_sym_class] = ACTIONS(3458),
    [anon_sym_struct] = ACTIONS(3458),
    [anon_sym_union] = ACTIONS(3458),
    [anon_sym_if] = ACTIONS(3458),
    [anon_sym_switch] = ACTIONS(3458),
    [anon_sym_case] = ACTIONS(3458),
    [anon_sym_default] = ACTIONS(3458),
    [anon_sym_while] = ACTIONS(3458),
    [anon_sym_do] = ACTIONS(3458),
    [anon_sym_for] = ACTIONS(3458),
    [anon_sym_return] = ACTIONS(3458),
    [anon_sym_break] = ACTIONS(3458),
    [anon_sym_continue] = ACTIONS(3458),
    [anon_sym_goto] = ACTIONS(3458),
    [anon_sym_not] = ACTIONS(3458),
    [anon_sym_compl] = ACTIONS(3458),
    [anon_sym_DASH_DASH] = ACTIONS(3456),
    [anon_sym_PLUS_PLUS] = ACTIONS(3456),
    [anon_sym_sizeof] = ACTIONS(3458),
    [anon_sym___alignof__] = ACTIONS(3458),
    [anon_sym___alignof] = ACTIONS(3458),
    [anon_sym__alignof] = ACTIONS(3458),
    [anon_sym_alignof] = ACTIONS(3458),
    [anon_sym__Alignof] = ACTIONS(3458),
    [anon_sym_offsetof] = ACTIONS(3458),
    [anon_sym__Generic] = ACTIONS(3458),
    [anon_sym_asm] = ACTIONS(3458),
    [anon_sym___asm__] = ACTIONS(3458),
    [anon_sym___asm] = ACTIONS(3458),
    [sym_number_literal] = ACTIONS(3456),
    [anon_sym_L_SQUOTE] = ACTIONS(3456),
    [anon_sym_u_SQUOTE] = ACTIONS(3456),
    [anon_sym_U_SQUOTE] = ACTIONS(3456),
    [anon_sym_u8_SQUOTE] = ACTIONS(3456),
    [anon_sym_SQUOTE] = ACTIONS(3456),
    [anon_sym_L_DQUOTE] = ACTIONS(3456),
    [anon_sym_u_DQUOTE] = ACTIONS(3456),
    [anon_sym_U_DQUOTE] = ACTIONS(3456),
    [anon_sym_u8_DQUOTE] = ACTIONS(3456),
    [anon_sym_DQUOTE] = ACTIONS(3456),
    [sym_true] = ACTIONS(3458),
    [sym_false] = ACTIONS(3458),
    [anon_sym_NULL] = ACTIONS(3458),
    [anon_sym_nullptr] = ACTIONS(3458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3458),
    [anon_sym_decltype] = ACTIONS(3458),
    [anon_sym_explicit] = ACTIONS(3458),
    [anon_sym_typename] = ACTIONS(3458),
    [anon_sym_template] = ACTIONS(3458),
    [anon_sym_operator] = ACTIONS(3458),
    [anon_sym_try] = ACTIONS(3458),
    [anon_sym_delete] = ACTIONS(3458),
    [anon_sym_throw] = ACTIONS(3458),
    [anon_sym_namespace] = ACTIONS(3458),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_static_assert] = ACTIONS(3458),
    [anon_sym_concept] = ACTIONS(3458),
    [anon_sym_co_return] = ACTIONS(3458),
    [anon_sym_co_yield] = ACTIONS(3458),
    [anon_sym_R_DQUOTE] = ACTIONS(3456),
    [anon_sym_LR_DQUOTE] = ACTIONS(3456),
    [anon_sym_uR_DQUOTE] = ACTIONS(3456),
    [anon_sym_UR_DQUOTE] = ACTIONS(3456),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3456),
    [anon_sym_co_await] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(3458),
    [anon_sym_requires] = ACTIONS(3458),
    [sym_this] = ACTIONS(3458),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2991),
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym___attribute] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [anon_sym___asm] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(2995),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym___attribute] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2822),
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_virtual] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2822),
    [anon_sym_LR_DQUOTE] = ACTIONS(2822),
    [anon_sym_uR_DQUOTE] = ACTIONS(2822),
    [anon_sym_UR_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2822),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(3107),
    [sym_identifier] = ACTIONS(3105),
    [aux_sym_preproc_include_token1] = ACTIONS(3105),
    [aux_sym_preproc_def_token1] = ACTIONS(3105),
    [aux_sym_preproc_if_token1] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3105),
    [sym_preproc_directive] = ACTIONS(3105),
    [anon_sym_LPAREN2] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3105),
    [anon_sym_typedef] = ACTIONS(3105),
    [anon_sym_virtual] = ACTIONS(3105),
    [anon_sym_extern] = ACTIONS(3105),
    [anon_sym___attribute__] = ACTIONS(3105),
    [anon_sym___attribute] = ACTIONS(3105),
    [anon_sym_COLON_COLON] = ACTIONS(3107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3107),
    [anon_sym___declspec] = ACTIONS(3105),
    [anon_sym___based] = ACTIONS(3105),
    [anon_sym___cdecl] = ACTIONS(3105),
    [anon_sym___clrcall] = ACTIONS(3105),
    [anon_sym___stdcall] = ACTIONS(3105),
    [anon_sym___fastcall] = ACTIONS(3105),
    [anon_sym___thiscall] = ACTIONS(3105),
    [anon_sym___vectorcall] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3105),
    [anon_sym_unsigned] = ACTIONS(3105),
    [anon_sym_long] = ACTIONS(3105),
    [anon_sym_short] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_register] = ACTIONS(3105),
    [anon_sym_inline] = ACTIONS(3105),
    [anon_sym___inline] = ACTIONS(3105),
    [anon_sym___inline__] = ACTIONS(3105),
    [anon_sym___forceinline] = ACTIONS(3105),
    [anon_sym_thread_local] = ACTIONS(3105),
    [anon_sym___thread] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_constexpr] = ACTIONS(3105),
    [anon_sym_volatile] = ACTIONS(3105),
    [anon_sym_restrict] = ACTIONS(3105),
    [anon_sym___restrict__] = ACTIONS(3105),
    [anon_sym__Atomic] = ACTIONS(3105),
    [anon_sym__Noreturn] = ACTIONS(3105),
    [anon_sym_noreturn] = ACTIONS(3105),
    [anon_sym__Nonnull] = ACTIONS(3105),
    [anon_sym_mutable] = ACTIONS(3105),
    [anon_sym_constinit] = ACTIONS(3105),
    [anon_sym_consteval] = ACTIONS(3105),
    [anon_sym_alignas] = ACTIONS(3105),
    [anon_sym__Alignas] = ACTIONS(3105),
    [sym_primitive_type] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_struct] = ACTIONS(3105),
    [anon_sym_union] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_case] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_goto] = ACTIONS(3105),
    [anon_sym_not] = ACTIONS(3105),
    [anon_sym_compl] = ACTIONS(3105),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_sizeof] = ACTIONS(3105),
    [anon_sym___alignof__] = ACTIONS(3105),
    [anon_sym___alignof] = ACTIONS(3105),
    [anon_sym__alignof] = ACTIONS(3105),
    [anon_sym_alignof] = ACTIONS(3105),
    [anon_sym__Alignof] = ACTIONS(3105),
    [anon_sym_offsetof] = ACTIONS(3105),
    [anon_sym__Generic] = ACTIONS(3105),
    [anon_sym_asm] = ACTIONS(3105),
    [anon_sym___asm__] = ACTIONS(3105),
    [anon_sym___asm] = ACTIONS(3105),
    [sym_number_literal] = ACTIONS(3107),
    [anon_sym_L_SQUOTE] = ACTIONS(3107),
    [anon_sym_u_SQUOTE] = ACTIONS(3107),
    [anon_sym_U_SQUOTE] = ACTIONS(3107),
    [anon_sym_u8_SQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [anon_sym_L_DQUOTE] = ACTIONS(3107),
    [anon_sym_u_DQUOTE] = ACTIONS(3107),
    [anon_sym_U_DQUOTE] = ACTIONS(3107),
    [anon_sym_u8_DQUOTE] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [anon_sym_NULL] = ACTIONS(3105),
    [anon_sym_nullptr] = ACTIONS(3105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3105),
    [anon_sym_decltype] = ACTIONS(3105),
    [anon_sym_explicit] = ACTIONS(3105),
    [anon_sym_typename] = ACTIONS(3105),
    [anon_sym_template] = ACTIONS(3105),
    [anon_sym_operator] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_delete] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_static_assert] = ACTIONS(3105),
    [anon_sym_concept] = ACTIONS(3105),
    [anon_sym_co_return] = ACTIONS(3105),
    [anon_sym_co_yield] = ACTIONS(3105),
    [anon_sym_R_DQUOTE] = ACTIONS(3107),
    [anon_sym_LR_DQUOTE] = ACTIONS(3107),
    [anon_sym_uR_DQUOTE] = ACTIONS(3107),
    [anon_sym_UR_DQUOTE] = ACTIONS(3107),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3107),
    [anon_sym_co_await] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_requires] = ACTIONS(3105),
    [sym_this] = ACTIONS(3105),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(3025),
    [sym_identifier] = ACTIONS(3023),
    [aux_sym_preproc_include_token1] = ACTIONS(3023),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3023),
    [sym_preproc_directive] = ACTIONS(3023),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_BANG] = ACTIONS(3025),
    [anon_sym_TILDE] = ACTIONS(3025),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3025),
    [anon_sym_AMP_AMP] = ACTIONS(3025),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_SEMI] = ACTIONS(3025),
    [anon_sym___extension__] = ACTIONS(3023),
    [anon_sym_typedef] = ACTIONS(3023),
    [anon_sym_virtual] = ACTIONS(3023),
    [anon_sym_extern] = ACTIONS(3023),
    [anon_sym___attribute__] = ACTIONS(3023),
    [anon_sym___attribute] = ACTIONS(3023),
    [anon_sym_COLON_COLON] = ACTIONS(3025),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3025),
    [anon_sym___declspec] = ACTIONS(3023),
    [anon_sym___based] = ACTIONS(3023),
    [anon_sym___cdecl] = ACTIONS(3023),
    [anon_sym___clrcall] = ACTIONS(3023),
    [anon_sym___stdcall] = ACTIONS(3023),
    [anon_sym___fastcall] = ACTIONS(3023),
    [anon_sym___thiscall] = ACTIONS(3023),
    [anon_sym___vectorcall] = ACTIONS(3023),
    [anon_sym_LBRACE] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3023),
    [anon_sym_unsigned] = ACTIONS(3023),
    [anon_sym_long] = ACTIONS(3023),
    [anon_sym_short] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(3023),
    [anon_sym_register] = ACTIONS(3023),
    [anon_sym_inline] = ACTIONS(3023),
    [anon_sym___inline] = ACTIONS(3023),
    [anon_sym___inline__] = ACTIONS(3023),
    [anon_sym___forceinline] = ACTIONS(3023),
    [anon_sym_thread_local] = ACTIONS(3023),
    [anon_sym___thread] = ACTIONS(3023),
    [anon_sym_const] = ACTIONS(3023),
    [anon_sym_constexpr] = ACTIONS(3023),
    [anon_sym_volatile] = ACTIONS(3023),
    [anon_sym_restrict] = ACTIONS(3023),
    [anon_sym___restrict__] = ACTIONS(3023),
    [anon_sym__Atomic] = ACTIONS(3023),
    [anon_sym__Noreturn] = ACTIONS(3023),
    [anon_sym_noreturn] = ACTIONS(3023),
    [anon_sym__Nonnull] = ACTIONS(3023),
    [anon_sym_mutable] = ACTIONS(3023),
    [anon_sym_constinit] = ACTIONS(3023),
    [anon_sym_consteval] = ACTIONS(3023),
    [anon_sym_alignas] = ACTIONS(3023),
    [anon_sym__Alignas] = ACTIONS(3023),
    [sym_primitive_type] = ACTIONS(3023),
    [anon_sym_enum] = ACTIONS(3023),
    [anon_sym_class] = ACTIONS(3023),
    [anon_sym_struct] = ACTIONS(3023),
    [anon_sym_union] = ACTIONS(3023),
    [anon_sym_if] = ACTIONS(3023),
    [anon_sym_switch] = ACTIONS(3023),
    [anon_sym_case] = ACTIONS(3023),
    [anon_sym_default] = ACTIONS(3023),
    [anon_sym_while] = ACTIONS(3023),
    [anon_sym_do] = ACTIONS(3023),
    [anon_sym_for] = ACTIONS(3023),
    [anon_sym_return] = ACTIONS(3023),
    [anon_sym_break] = ACTIONS(3023),
    [anon_sym_continue] = ACTIONS(3023),
    [anon_sym_goto] = ACTIONS(3023),
    [anon_sym_not] = ACTIONS(3023),
    [anon_sym_compl] = ACTIONS(3023),
    [anon_sym_DASH_DASH] = ACTIONS(3025),
    [anon_sym_PLUS_PLUS] = ACTIONS(3025),
    [anon_sym_sizeof] = ACTIONS(3023),
    [anon_sym___alignof__] = ACTIONS(3023),
    [anon_sym___alignof] = ACTIONS(3023),
    [anon_sym__alignof] = ACTIONS(3023),
    [anon_sym_alignof] = ACTIONS(3023),
    [anon_sym__Alignof] = ACTIONS(3023),
    [anon_sym_offsetof] = ACTIONS(3023),
    [anon_sym__Generic] = ACTIONS(3023),
    [anon_sym_asm] = ACTIONS(3023),
    [anon_sym___asm__] = ACTIONS(3023),
    [anon_sym___asm] = ACTIONS(3023),
    [sym_number_literal] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3025),
    [anon_sym_u_SQUOTE] = ACTIONS(3025),
    [anon_sym_U_SQUOTE] = ACTIONS(3025),
    [anon_sym_u8_SQUOTE] = ACTIONS(3025),
    [anon_sym_SQUOTE] = ACTIONS(3025),
    [anon_sym_L_DQUOTE] = ACTIONS(3025),
    [anon_sym_u_DQUOTE] = ACTIONS(3025),
    [anon_sym_U_DQUOTE] = ACTIONS(3025),
    [anon_sym_u8_DQUOTE] = ACTIONS(3025),
    [anon_sym_DQUOTE] = ACTIONS(3025),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [anon_sym_NULL] = ACTIONS(3023),
    [anon_sym_nullptr] = ACTIONS(3023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3023),
    [anon_sym_decltype] = ACTIONS(3023),
    [anon_sym_explicit] = ACTIONS(3023),
    [anon_sym_typename] = ACTIONS(3023),
    [anon_sym_template] = ACTIONS(3023),
    [anon_sym_operator] = ACTIONS(3023),
    [anon_sym_try] = ACTIONS(3023),
    [anon_sym_delete] = ACTIONS(3023),
    [anon_sym_throw] = ACTIONS(3023),
    [anon_sym_namespace] = ACTIONS(3023),
    [anon_sym_using] = ACTIONS(3023),
    [anon_sym_static_assert] = ACTIONS(3023),
    [anon_sym_concept] = ACTIONS(3023),
    [anon_sym_co_return] = ACTIONS(3023),
    [anon_sym_co_yield] = ACTIONS(3023),
    [anon_sym_R_DQUOTE] = ACTIONS(3025),
    [anon_sym_LR_DQUOTE] = ACTIONS(3025),
    [anon_sym_uR_DQUOTE] = ACTIONS(3025),
    [anon_sym_UR_DQUOTE] = ACTIONS(3025),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3025),
    [anon_sym_co_await] = ACTIONS(3023),
    [anon_sym_new] = ACTIONS(3023),
    [anon_sym_requires] = ACTIONS(3023),
    [sym_this] = ACTIONS(3023),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(3029),
    [sym_identifier] = ACTIONS(3027),
    [aux_sym_preproc_include_token1] = ACTIONS(3027),
    [aux_sym_preproc_def_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token1] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3027),
    [anon_sym_LPAREN2] = ACTIONS(3029),
    [anon_sym_BANG] = ACTIONS(3029),
    [anon_sym_TILDE] = ACTIONS(3029),
    [anon_sym_DASH] = ACTIONS(3027),
    [anon_sym_PLUS] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_AMP_AMP] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym___extension__] = ACTIONS(3027),
    [anon_sym_typedef] = ACTIONS(3027),
    [anon_sym_virtual] = ACTIONS(3027),
    [anon_sym_extern] = ACTIONS(3027),
    [anon_sym___attribute__] = ACTIONS(3027),
    [anon_sym___attribute] = ACTIONS(3027),
    [anon_sym_COLON_COLON] = ACTIONS(3029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3029),
    [anon_sym___declspec] = ACTIONS(3027),
    [anon_sym___based] = ACTIONS(3027),
    [anon_sym___cdecl] = ACTIONS(3027),
    [anon_sym___clrcall] = ACTIONS(3027),
    [anon_sym___stdcall] = ACTIONS(3027),
    [anon_sym___fastcall] = ACTIONS(3027),
    [anon_sym___thiscall] = ACTIONS(3027),
    [anon_sym___vectorcall] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_signed] = ACTIONS(3027),
    [anon_sym_unsigned] = ACTIONS(3027),
    [anon_sym_long] = ACTIONS(3027),
    [anon_sym_short] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [anon_sym_static] = ACTIONS(3027),
    [anon_sym_register] = ACTIONS(3027),
    [anon_sym_inline] = ACTIONS(3027),
    [anon_sym___inline] = ACTIONS(3027),
    [anon_sym___inline__] = ACTIONS(3027),
    [anon_sym___forceinline] = ACTIONS(3027),
    [anon_sym_thread_local] = ACTIONS(3027),
    [anon_sym___thread] = ACTIONS(3027),
    [anon_sym_const] = ACTIONS(3027),
    [anon_sym_constexpr] = ACTIONS(3027),
    [anon_sym_volatile] = ACTIONS(3027),
    [anon_sym_restrict] = ACTIONS(3027),
    [anon_sym___restrict__] = ACTIONS(3027),
    [anon_sym__Atomic] = ACTIONS(3027),
    [anon_sym__Noreturn] = ACTIONS(3027),
    [anon_sym_noreturn] = ACTIONS(3027),
    [anon_sym__Nonnull] = ACTIONS(3027),
    [anon_sym_mutable] = ACTIONS(3027),
    [anon_sym_constinit] = ACTIONS(3027),
    [anon_sym_consteval] = ACTIONS(3027),
    [anon_sym_alignas] = ACTIONS(3027),
    [anon_sym__Alignas] = ACTIONS(3027),
    [sym_primitive_type] = ACTIONS(3027),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3027),
    [anon_sym_struct] = ACTIONS(3027),
    [anon_sym_union] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_switch] = ACTIONS(3027),
    [anon_sym_case] = ACTIONS(3027),
    [anon_sym_default] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_do] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3027),
    [anon_sym_return] = ACTIONS(3027),
    [anon_sym_break] = ACTIONS(3027),
    [anon_sym_continue] = ACTIONS(3027),
    [anon_sym_goto] = ACTIONS(3027),
    [anon_sym_not] = ACTIONS(3027),
    [anon_sym_compl] = ACTIONS(3027),
    [anon_sym_DASH_DASH] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3029),
    [anon_sym_sizeof] = ACTIONS(3027),
    [anon_sym___alignof__] = ACTIONS(3027),
    [anon_sym___alignof] = ACTIONS(3027),
    [anon_sym__alignof] = ACTIONS(3027),
    [anon_sym_alignof] = ACTIONS(3027),
    [anon_sym__Alignof] = ACTIONS(3027),
    [anon_sym_offsetof] = ACTIONS(3027),
    [anon_sym__Generic] = ACTIONS(3027),
    [anon_sym_asm] = ACTIONS(3027),
    [anon_sym___asm__] = ACTIONS(3027),
    [anon_sym___asm] = ACTIONS(3027),
    [sym_number_literal] = ACTIONS(3029),
    [anon_sym_L_SQUOTE] = ACTIONS(3029),
    [anon_sym_u_SQUOTE] = ACTIONS(3029),
    [anon_sym_U_SQUOTE] = ACTIONS(3029),
    [anon_sym_u8_SQUOTE] = ACTIONS(3029),
    [anon_sym_SQUOTE] = ACTIONS(3029),
    [anon_sym_L_DQUOTE] = ACTIONS(3029),
    [anon_sym_u_DQUOTE] = ACTIONS(3029),
    [anon_sym_U_DQUOTE] = ACTIONS(3029),
    [anon_sym_u8_DQUOTE] = ACTIONS(3029),
    [anon_sym_DQUOTE] = ACTIONS(3029),
    [sym_true] = ACTIONS(3027),
    [sym_false] = ACTIONS(3027),
    [anon_sym_NULL] = ACTIONS(3027),
    [anon_sym_nullptr] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3027),
    [anon_sym_decltype] = ACTIONS(3027),
    [anon_sym_explicit] = ACTIONS(3027),
    [anon_sym_typename] = ACTIONS(3027),
    [anon_sym_template] = ACTIONS(3027),
    [anon_sym_operator] = ACTIONS(3027),
    [anon_sym_try] = ACTIONS(3027),
    [anon_sym_delete] = ACTIONS(3027),
    [anon_sym_throw] = ACTIONS(3027),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_using] = ACTIONS(3027),
    [anon_sym_static_assert] = ACTIONS(3027),
    [anon_sym_concept] = ACTIONS(3027),
    [anon_sym_co_return] = ACTIONS(3027),
    [anon_sym_co_yield] = ACTIONS(3027),
    [anon_sym_R_DQUOTE] = ACTIONS(3029),
    [anon_sym_LR_DQUOTE] = ACTIONS(3029),
    [anon_sym_uR_DQUOTE] = ACTIONS(3029),
    [anon_sym_UR_DQUOTE] = ACTIONS(3029),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3029),
    [anon_sym_co_await] = ACTIONS(3027),
    [anon_sym_new] = ACTIONS(3027),
    [anon_sym_requires] = ACTIONS(3027),
    [sym_this] = ACTIONS(3027),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(3172),
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym___attribute] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(3033),
    [sym_identifier] = ACTIONS(3031),
    [aux_sym_preproc_include_token1] = ACTIONS(3031),
    [aux_sym_preproc_def_token1] = ACTIONS(3031),
    [aux_sym_preproc_if_token1] = ACTIONS(3031),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3031),
    [anon_sym_LPAREN2] = ACTIONS(3033),
    [anon_sym_BANG] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_DASH] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_AMP_AMP] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym___extension__] = ACTIONS(3031),
    [anon_sym_typedef] = ACTIONS(3031),
    [anon_sym_virtual] = ACTIONS(3031),
    [anon_sym_extern] = ACTIONS(3031),
    [anon_sym___attribute__] = ACTIONS(3031),
    [anon_sym___attribute] = ACTIONS(3031),
    [anon_sym_COLON_COLON] = ACTIONS(3033),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3033),
    [anon_sym___declspec] = ACTIONS(3031),
    [anon_sym___based] = ACTIONS(3031),
    [anon_sym___cdecl] = ACTIONS(3031),
    [anon_sym___clrcall] = ACTIONS(3031),
    [anon_sym___stdcall] = ACTIONS(3031),
    [anon_sym___fastcall] = ACTIONS(3031),
    [anon_sym___thiscall] = ACTIONS(3031),
    [anon_sym___vectorcall] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3031),
    [anon_sym_unsigned] = ACTIONS(3031),
    [anon_sym_long] = ACTIONS(3031),
    [anon_sym_short] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_register] = ACTIONS(3031),
    [anon_sym_inline] = ACTIONS(3031),
    [anon_sym___inline] = ACTIONS(3031),
    [anon_sym___inline__] = ACTIONS(3031),
    [anon_sym___forceinline] = ACTIONS(3031),
    [anon_sym_thread_local] = ACTIONS(3031),
    [anon_sym___thread] = ACTIONS(3031),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_constexpr] = ACTIONS(3031),
    [anon_sym_volatile] = ACTIONS(3031),
    [anon_sym_restrict] = ACTIONS(3031),
    [anon_sym___restrict__] = ACTIONS(3031),
    [anon_sym__Atomic] = ACTIONS(3031),
    [anon_sym__Noreturn] = ACTIONS(3031),
    [anon_sym_noreturn] = ACTIONS(3031),
    [anon_sym__Nonnull] = ACTIONS(3031),
    [anon_sym_mutable] = ACTIONS(3031),
    [anon_sym_constinit] = ACTIONS(3031),
    [anon_sym_consteval] = ACTIONS(3031),
    [anon_sym_alignas] = ACTIONS(3031),
    [anon_sym__Alignas] = ACTIONS(3031),
    [sym_primitive_type] = ACTIONS(3031),
    [anon_sym_enum] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3031),
    [anon_sym_if] = ACTIONS(3031),
    [anon_sym_switch] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_default] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3031),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_for] = ACTIONS(3031),
    [anon_sym_return] = ACTIONS(3031),
    [anon_sym_break] = ACTIONS(3031),
    [anon_sym_continue] = ACTIONS(3031),
    [anon_sym_goto] = ACTIONS(3031),
    [anon_sym_not] = ACTIONS(3031),
    [anon_sym_compl] = ACTIONS(3031),
    [anon_sym_DASH_DASH] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3033),
    [anon_sym_sizeof] = ACTIONS(3031),
    [anon_sym___alignof__] = ACTIONS(3031),
    [anon_sym___alignof] = ACTIONS(3031),
    [anon_sym__alignof] = ACTIONS(3031),
    [anon_sym_alignof] = ACTIONS(3031),
    [anon_sym__Alignof] = ACTIONS(3031),
    [anon_sym_offsetof] = ACTIONS(3031),
    [anon_sym__Generic] = ACTIONS(3031),
    [anon_sym_asm] = ACTIONS(3031),
    [anon_sym___asm__] = ACTIONS(3031),
    [anon_sym___asm] = ACTIONS(3031),
    [sym_number_literal] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3033),
    [anon_sym_u_SQUOTE] = ACTIONS(3033),
    [anon_sym_U_SQUOTE] = ACTIONS(3033),
    [anon_sym_u8_SQUOTE] = ACTIONS(3033),
    [anon_sym_SQUOTE] = ACTIONS(3033),
    [anon_sym_L_DQUOTE] = ACTIONS(3033),
    [anon_sym_u_DQUOTE] = ACTIONS(3033),
    [anon_sym_U_DQUOTE] = ACTIONS(3033),
    [anon_sym_u8_DQUOTE] = ACTIONS(3033),
    [anon_sym_DQUOTE] = ACTIONS(3033),
    [sym_true] = ACTIONS(3031),
    [sym_false] = ACTIONS(3031),
    [anon_sym_NULL] = ACTIONS(3031),
    [anon_sym_nullptr] = ACTIONS(3031),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3031),
    [anon_sym_decltype] = ACTIONS(3031),
    [anon_sym_explicit] = ACTIONS(3031),
    [anon_sym_typename] = ACTIONS(3031),
    [anon_sym_template] = ACTIONS(3031),
    [anon_sym_operator] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3031),
    [anon_sym_delete] = ACTIONS(3031),
    [anon_sym_throw] = ACTIONS(3031),
    [anon_sym_namespace] = ACTIONS(3031),
    [anon_sym_using] = ACTIONS(3031),
    [anon_sym_static_assert] = ACTIONS(3031),
    [anon_sym_concept] = ACTIONS(3031),
    [anon_sym_co_return] = ACTIONS(3031),
    [anon_sym_co_yield] = ACTIONS(3031),
    [anon_sym_R_DQUOTE] = ACTIONS(3033),
    [anon_sym_LR_DQUOTE] = ACTIONS(3033),
    [anon_sym_uR_DQUOTE] = ACTIONS(3033),
    [anon_sym_UR_DQUOTE] = ACTIONS(3033),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3033),
    [anon_sym_co_await] = ACTIONS(3031),
    [anon_sym_new] = ACTIONS(3031),
    [anon_sym_requires] = ACTIONS(3031),
    [sym_this] = ACTIONS(3031),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(3156),
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(3039),
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [sym_number_literal] = ACTIONS(3039),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(3043),
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [sym_number_literal] = ACTIONS(3043),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_virtual] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(3053),
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(3073),
    [sym_identifier] = ACTIONS(3071),
    [aux_sym_preproc_include_token1] = ACTIONS(3071),
    [aux_sym_preproc_def_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3071),
    [sym_preproc_directive] = ACTIONS(3071),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_DASH] = ACTIONS(3071),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_STAR] = ACTIONS(3073),
    [anon_sym_AMP_AMP] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3071),
    [anon_sym_typedef] = ACTIONS(3071),
    [anon_sym_virtual] = ACTIONS(3071),
    [anon_sym_extern] = ACTIONS(3071),
    [anon_sym___attribute__] = ACTIONS(3071),
    [anon_sym___attribute] = ACTIONS(3071),
    [anon_sym_COLON_COLON] = ACTIONS(3073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3073),
    [anon_sym___declspec] = ACTIONS(3071),
    [anon_sym___based] = ACTIONS(3071),
    [anon_sym___cdecl] = ACTIONS(3071),
    [anon_sym___clrcall] = ACTIONS(3071),
    [anon_sym___stdcall] = ACTIONS(3071),
    [anon_sym___fastcall] = ACTIONS(3071),
    [anon_sym___thiscall] = ACTIONS(3071),
    [anon_sym___vectorcall] = ACTIONS(3071),
    [anon_sym_LBRACE] = ACTIONS(3073),
    [anon_sym_signed] = ACTIONS(3071),
    [anon_sym_unsigned] = ACTIONS(3071),
    [anon_sym_long] = ACTIONS(3071),
    [anon_sym_short] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_static] = ACTIONS(3071),
    [anon_sym_register] = ACTIONS(3071),
    [anon_sym_inline] = ACTIONS(3071),
    [anon_sym___inline] = ACTIONS(3071),
    [anon_sym___inline__] = ACTIONS(3071),
    [anon_sym___forceinline] = ACTIONS(3071),
    [anon_sym_thread_local] = ACTIONS(3071),
    [anon_sym___thread] = ACTIONS(3071),
    [anon_sym_const] = ACTIONS(3071),
    [anon_sym_constexpr] = ACTIONS(3071),
    [anon_sym_volatile] = ACTIONS(3071),
    [anon_sym_restrict] = ACTIONS(3071),
    [anon_sym___restrict__] = ACTIONS(3071),
    [anon_sym__Atomic] = ACTIONS(3071),
    [anon_sym__Noreturn] = ACTIONS(3071),
    [anon_sym_noreturn] = ACTIONS(3071),
    [anon_sym__Nonnull] = ACTIONS(3071),
    [anon_sym_mutable] = ACTIONS(3071),
    [anon_sym_constinit] = ACTIONS(3071),
    [anon_sym_consteval] = ACTIONS(3071),
    [anon_sym_alignas] = ACTIONS(3071),
    [anon_sym__Alignas] = ACTIONS(3071),
    [sym_primitive_type] = ACTIONS(3071),
    [anon_sym_enum] = ACTIONS(3071),
    [anon_sym_class] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3071),
    [anon_sym_union] = ACTIONS(3071),
    [anon_sym_if] = ACTIONS(3071),
    [anon_sym_switch] = ACTIONS(3071),
    [anon_sym_case] = ACTIONS(3071),
    [anon_sym_default] = ACTIONS(3071),
    [anon_sym_while] = ACTIONS(3071),
    [anon_sym_do] = ACTIONS(3071),
    [anon_sym_for] = ACTIONS(3071),
    [anon_sym_return] = ACTIONS(3071),
    [anon_sym_break] = ACTIONS(3071),
    [anon_sym_continue] = ACTIONS(3071),
    [anon_sym_goto] = ACTIONS(3071),
    [anon_sym_not] = ACTIONS(3071),
    [anon_sym_compl] = ACTIONS(3071),
    [anon_sym_DASH_DASH] = ACTIONS(3073),
    [anon_sym_PLUS_PLUS] = ACTIONS(3073),
    [anon_sym_sizeof] = ACTIONS(3071),
    [anon_sym___alignof__] = ACTIONS(3071),
    [anon_sym___alignof] = ACTIONS(3071),
    [anon_sym__alignof] = ACTIONS(3071),
    [anon_sym_alignof] = ACTIONS(3071),
    [anon_sym__Alignof] = ACTIONS(3071),
    [anon_sym_offsetof] = ACTIONS(3071),
    [anon_sym__Generic] = ACTIONS(3071),
    [anon_sym_asm] = ACTIONS(3071),
    [anon_sym___asm__] = ACTIONS(3071),
    [anon_sym___asm] = ACTIONS(3071),
    [sym_number_literal] = ACTIONS(3073),
    [anon_sym_L_SQUOTE] = ACTIONS(3073),
    [anon_sym_u_SQUOTE] = ACTIONS(3073),
    [anon_sym_U_SQUOTE] = ACTIONS(3073),
    [anon_sym_u8_SQUOTE] = ACTIONS(3073),
    [anon_sym_SQUOTE] = ACTIONS(3073),
    [anon_sym_L_DQUOTE] = ACTIONS(3073),
    [anon_sym_u_DQUOTE] = ACTIONS(3073),
    [anon_sym_U_DQUOTE] = ACTIONS(3073),
    [anon_sym_u8_DQUOTE] = ACTIONS(3073),
    [anon_sym_DQUOTE] = ACTIONS(3073),
    [sym_true] = ACTIONS(3071),
    [sym_false] = ACTIONS(3071),
    [anon_sym_NULL] = ACTIONS(3071),
    [anon_sym_nullptr] = ACTIONS(3071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3071),
    [anon_sym_decltype] = ACTIONS(3071),
    [anon_sym_explicit] = ACTIONS(3071),
    [anon_sym_typename] = ACTIONS(3071),
    [anon_sym_template] = ACTIONS(3071),
    [anon_sym_operator] = ACTIONS(3071),
    [anon_sym_try] = ACTIONS(3071),
    [anon_sym_delete] = ACTIONS(3071),
    [anon_sym_throw] = ACTIONS(3071),
    [anon_sym_namespace] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3071),
    [anon_sym_static_assert] = ACTIONS(3071),
    [anon_sym_concept] = ACTIONS(3071),
    [anon_sym_co_return] = ACTIONS(3071),
    [anon_sym_co_yield] = ACTIONS(3071),
    [anon_sym_R_DQUOTE] = ACTIONS(3073),
    [anon_sym_LR_DQUOTE] = ACTIONS(3073),
    [anon_sym_uR_DQUOTE] = ACTIONS(3073),
    [anon_sym_UR_DQUOTE] = ACTIONS(3073),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3073),
    [anon_sym_co_await] = ACTIONS(3071),
    [anon_sym_new] = ACTIONS(3071),
    [anon_sym_requires] = ACTIONS(3071),
    [sym_this] = ACTIONS(3071),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(3168),
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym___attribute] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [anon_sym___asm] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_virtual] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(2882),
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym___attribute] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [sym_number_literal] = ACTIONS(2882),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(3097),
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym___attribute] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(2918),
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym___attribute] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [sym_number_literal] = ACTIONS(2918),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(3103),
    [sym_identifier] = ACTIONS(3101),
    [aux_sym_preproc_include_token1] = ACTIONS(3101),
    [aux_sym_preproc_def_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_DASH] = ACTIONS(3101),
    [anon_sym_PLUS] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_AMP_AMP] = ACTIONS(3103),
    [anon_sym_AMP] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_typedef] = ACTIONS(3101),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym___attribute] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3103),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym___based] = ACTIONS(3101),
    [anon_sym___cdecl] = ACTIONS(3101),
    [anon_sym___clrcall] = ACTIONS(3101),
    [anon_sym___stdcall] = ACTIONS(3101),
    [anon_sym___fastcall] = ACTIONS(3101),
    [anon_sym___thiscall] = ACTIONS(3101),
    [anon_sym___vectorcall] = ACTIONS(3101),
    [anon_sym_LBRACE] = ACTIONS(3103),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym__Nonnull] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym__Alignas] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3101),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [anon_sym_if] = ACTIONS(3101),
    [anon_sym_switch] = ACTIONS(3101),
    [anon_sym_case] = ACTIONS(3101),
    [anon_sym_default] = ACTIONS(3101),
    [anon_sym_while] = ACTIONS(3101),
    [anon_sym_do] = ACTIONS(3101),
    [anon_sym_for] = ACTIONS(3101),
    [anon_sym_return] = ACTIONS(3101),
    [anon_sym_break] = ACTIONS(3101),
    [anon_sym_continue] = ACTIONS(3101),
    [anon_sym_goto] = ACTIONS(3101),
    [anon_sym_not] = ACTIONS(3101),
    [anon_sym_compl] = ACTIONS(3101),
    [anon_sym_DASH_DASH] = ACTIONS(3103),
    [anon_sym_PLUS_PLUS] = ACTIONS(3103),
    [anon_sym_sizeof] = ACTIONS(3101),
    [anon_sym___alignof__] = ACTIONS(3101),
    [anon_sym___alignof] = ACTIONS(3101),
    [anon_sym__alignof] = ACTIONS(3101),
    [anon_sym_alignof] = ACTIONS(3101),
    [anon_sym__Alignof] = ACTIONS(3101),
    [anon_sym_offsetof] = ACTIONS(3101),
    [anon_sym__Generic] = ACTIONS(3101),
    [anon_sym_asm] = ACTIONS(3101),
    [anon_sym___asm__] = ACTIONS(3101),
    [anon_sym___asm] = ACTIONS(3101),
    [sym_number_literal] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3103),
    [anon_sym_u_SQUOTE] = ACTIONS(3103),
    [anon_sym_U_SQUOTE] = ACTIONS(3103),
    [anon_sym_u8_SQUOTE] = ACTIONS(3103),
    [anon_sym_SQUOTE] = ACTIONS(3103),
    [anon_sym_L_DQUOTE] = ACTIONS(3103),
    [anon_sym_u_DQUOTE] = ACTIONS(3103),
    [anon_sym_U_DQUOTE] = ACTIONS(3103),
    [anon_sym_u8_DQUOTE] = ACTIONS(3103),
    [anon_sym_DQUOTE] = ACTIONS(3103),
    [sym_true] = ACTIONS(3101),
    [sym_false] = ACTIONS(3101),
    [anon_sym_NULL] = ACTIONS(3101),
    [anon_sym_nullptr] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3101),
    [anon_sym_explicit] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3101),
    [anon_sym_operator] = ACTIONS(3101),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_delete] = ACTIONS(3101),
    [anon_sym_throw] = ACTIONS(3101),
    [anon_sym_namespace] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3101),
    [anon_sym_static_assert] = ACTIONS(3101),
    [anon_sym_concept] = ACTIONS(3101),
    [anon_sym_co_return] = ACTIONS(3101),
    [anon_sym_co_yield] = ACTIONS(3101),
    [anon_sym_R_DQUOTE] = ACTIONS(3103),
    [anon_sym_LR_DQUOTE] = ACTIONS(3103),
    [anon_sym_uR_DQUOTE] = ACTIONS(3103),
    [anon_sym_UR_DQUOTE] = ACTIONS(3103),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3103),
    [anon_sym_co_await] = ACTIONS(3101),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_requires] = ACTIONS(3101),
    [sym_this] = ACTIONS(3101),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2979),
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym___attribute] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym__Nonnull] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [anon_sym___asm] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym___attribute] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [anon_sym___asm] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(3121),
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym___attribute] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [sym_number_literal] = ACTIONS(3121),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2922),
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym___attribute] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(3005),
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym___attribute] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym__Nonnull] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym__Alignas] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [anon_sym___asm] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2926),
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym___attribute] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(3009),
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym___attribute] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(3013),
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym___attribute] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [anon_sym___asm] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(3017),
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym___attribute] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [anon_sym___asm] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(3160),
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [anon_sym___asm] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(3021),
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_BANG] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym___attribute] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym___cdecl] = ACTIONS(3019),
    [anon_sym___clrcall] = ACTIONS(3019),
    [anon_sym___stdcall] = ACTIONS(3019),
    [anon_sym___fastcall] = ACTIONS(3019),
    [anon_sym___thiscall] = ACTIONS(3019),
    [anon_sym___vectorcall] = ACTIONS(3019),
    [anon_sym_LBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_switch] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(3019),
    [anon_sym_default] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_do] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_break] = ACTIONS(3019),
    [anon_sym_continue] = ACTIONS(3019),
    [anon_sym_goto] = ACTIONS(3019),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_compl] = ACTIONS(3019),
    [anon_sym_DASH_DASH] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3021),
    [anon_sym_sizeof] = ACTIONS(3019),
    [anon_sym___alignof__] = ACTIONS(3019),
    [anon_sym___alignof] = ACTIONS(3019),
    [anon_sym__alignof] = ACTIONS(3019),
    [anon_sym_alignof] = ACTIONS(3019),
    [anon_sym__Alignof] = ACTIONS(3019),
    [anon_sym_offsetof] = ACTIONS(3019),
    [anon_sym__Generic] = ACTIONS(3019),
    [anon_sym_asm] = ACTIONS(3019),
    [anon_sym___asm__] = ACTIONS(3019),
    [anon_sym___asm] = ACTIONS(3019),
    [sym_number_literal] = ACTIONS(3021),
    [anon_sym_L_SQUOTE] = ACTIONS(3021),
    [anon_sym_u_SQUOTE] = ACTIONS(3021),
    [anon_sym_U_SQUOTE] = ACTIONS(3021),
    [anon_sym_u8_SQUOTE] = ACTIONS(3021),
    [anon_sym_SQUOTE] = ACTIONS(3021),
    [anon_sym_L_DQUOTE] = ACTIONS(3021),
    [anon_sym_u_DQUOTE] = ACTIONS(3021),
    [anon_sym_U_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8_DQUOTE] = ACTIONS(3021),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [anon_sym_NULL] = ACTIONS(3019),
    [anon_sym_nullptr] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(3019),
    [anon_sym_throw] = ACTIONS(3019),
    [anon_sym_namespace] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
    [anon_sym_concept] = ACTIONS(3019),
    [anon_sym_co_return] = ACTIONS(3019),
    [anon_sym_co_yield] = ACTIONS(3019),
    [anon_sym_R_DQUOTE] = ACTIONS(3021),
    [anon_sym_LR_DQUOTE] = ACTIONS(3021),
    [anon_sym_uR_DQUOTE] = ACTIONS(3021),
    [anon_sym_UR_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3021),
    [anon_sym_co_await] = ACTIONS(3019),
    [anon_sym_new] = ACTIONS(3019),
    [anon_sym_requires] = ACTIONS(3019),
    [sym_this] = ACTIONS(3019),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(3136),
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [anon_sym___asm] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(3140),
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [anon_sym___asm] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2987),
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym___attribute] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym__Nonnull] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym__Alignas] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [anon_sym___asm] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym___attribute] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(3152),
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [anon_sym___asm] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [749] = {
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(1915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [aux_sym_preproc_if_token2] = ACTIONS(1917),
    [aux_sym_preproc_else_token1] = ACTIONS(1917),
    [aux_sym_preproc_elif_token1] = ACTIONS(1915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_virtual] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(3111),
    [sym_identifier] = ACTIONS(3109),
    [aux_sym_preproc_include_token1] = ACTIONS(3109),
    [aux_sym_preproc_def_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3109),
    [sym_preproc_directive] = ACTIONS(3109),
    [anon_sym_LPAREN2] = ACTIONS(3111),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_AMP_AMP] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3109),
    [anon_sym_typedef] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym___attribute__] = ACTIONS(3109),
    [anon_sym___attribute] = ACTIONS(3109),
    [anon_sym_COLON_COLON] = ACTIONS(3111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3109),
    [anon_sym___based] = ACTIONS(3109),
    [anon_sym___cdecl] = ACTIONS(3109),
    [anon_sym___clrcall] = ACTIONS(3109),
    [anon_sym___stdcall] = ACTIONS(3109),
    [anon_sym___fastcall] = ACTIONS(3109),
    [anon_sym___thiscall] = ACTIONS(3109),
    [anon_sym___vectorcall] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3111),
    [anon_sym_signed] = ACTIONS(3109),
    [anon_sym_unsigned] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_register] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(3109),
    [anon_sym___inline] = ACTIONS(3109),
    [anon_sym___inline__] = ACTIONS(3109),
    [anon_sym___forceinline] = ACTIONS(3109),
    [anon_sym_thread_local] = ACTIONS(3109),
    [anon_sym___thread] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_constexpr] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_restrict] = ACTIONS(3109),
    [anon_sym___restrict__] = ACTIONS(3109),
    [anon_sym__Atomic] = ACTIONS(3109),
    [anon_sym__Noreturn] = ACTIONS(3109),
    [anon_sym_noreturn] = ACTIONS(3109),
    [anon_sym__Nonnull] = ACTIONS(3109),
    [anon_sym_mutable] = ACTIONS(3109),
    [anon_sym_constinit] = ACTIONS(3109),
    [anon_sym_consteval] = ACTIONS(3109),
    [anon_sym_alignas] = ACTIONS(3109),
    [anon_sym__Alignas] = ACTIONS(3109),
    [sym_primitive_type] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_union] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_case] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_goto] = ACTIONS(3109),
    [anon_sym_not] = ACTIONS(3109),
    [anon_sym_compl] = ACTIONS(3109),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_sizeof] = ACTIONS(3109),
    [anon_sym___alignof__] = ACTIONS(3109),
    [anon_sym___alignof] = ACTIONS(3109),
    [anon_sym__alignof] = ACTIONS(3109),
    [anon_sym_alignof] = ACTIONS(3109),
    [anon_sym__Alignof] = ACTIONS(3109),
    [anon_sym_offsetof] = ACTIONS(3109),
    [anon_sym__Generic] = ACTIONS(3109),
    [anon_sym_asm] = ACTIONS(3109),
    [anon_sym___asm__] = ACTIONS(3109),
    [anon_sym___asm] = ACTIONS(3109),
    [sym_number_literal] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3111),
    [anon_sym_u_SQUOTE] = ACTIONS(3111),
    [anon_sym_U_SQUOTE] = ACTIONS(3111),
    [anon_sym_u8_SQUOTE] = ACTIONS(3111),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [anon_sym_L_DQUOTE] = ACTIONS(3111),
    [anon_sym_u_DQUOTE] = ACTIONS(3111),
    [anon_sym_U_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8_DQUOTE] = ACTIONS(3111),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [sym_true] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
    [anon_sym_NULL] = ACTIONS(3109),
    [anon_sym_nullptr] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3109),
    [anon_sym_decltype] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3109),
    [anon_sym_template] = ACTIONS(3109),
    [anon_sym_operator] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_delete] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static_assert] = ACTIONS(3109),
    [anon_sym_concept] = ACTIONS(3109),
    [anon_sym_co_return] = ACTIONS(3109),
    [anon_sym_co_yield] = ACTIONS(3109),
    [anon_sym_R_DQUOTE] = ACTIONS(3111),
    [anon_sym_LR_DQUOTE] = ACTIONS(3111),
    [anon_sym_uR_DQUOTE] = ACTIONS(3111),
    [anon_sym_UR_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3111),
    [anon_sym_co_await] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_requires] = ACTIONS(3109),
    [sym_this] = ACTIONS(3109),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(3488),
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_include_token1] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3488),
    [anon_sym_BANG] = ACTIONS(3488),
    [anon_sym_TILDE] = ACTIONS(3488),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3488),
    [anon_sym_AMP_AMP] = ACTIONS(3488),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3488),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym___attribute] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3488),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym___cdecl] = ACTIONS(3491),
    [anon_sym___clrcall] = ACTIONS(3491),
    [anon_sym___stdcall] = ACTIONS(3491),
    [anon_sym___fastcall] = ACTIONS(3491),
    [anon_sym___thiscall] = ACTIONS(3491),
    [anon_sym___vectorcall] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym__Nonnull] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym__Alignas] = ACTIONS(3491),
    [sym_primitive_type] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_case] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(3491),
    [anon_sym_compl] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3488),
    [anon_sym_PLUS_PLUS] = ACTIONS(3488),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym___alignof__] = ACTIONS(3491),
    [anon_sym___alignof] = ACTIONS(3491),
    [anon_sym__alignof] = ACTIONS(3491),
    [anon_sym_alignof] = ACTIONS(3491),
    [anon_sym__Alignof] = ACTIONS(3491),
    [anon_sym_offsetof] = ACTIONS(3491),
    [anon_sym__Generic] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [anon_sym___asm] = ACTIONS(3491),
    [sym_number_literal] = ACTIONS(3488),
    [anon_sym_L_SQUOTE] = ACTIONS(3488),
    [anon_sym_u_SQUOTE] = ACTIONS(3488),
    [anon_sym_U_SQUOTE] = ACTIONS(3488),
    [anon_sym_u8_SQUOTE] = ACTIONS(3488),
    [anon_sym_SQUOTE] = ACTIONS(3488),
    [anon_sym_L_DQUOTE] = ACTIONS(3488),
    [anon_sym_u_DQUOTE] = ACTIONS(3488),
    [anon_sym_U_DQUOTE] = ACTIONS(3488),
    [anon_sym_u8_DQUOTE] = ACTIONS(3488),
    [anon_sym_DQUOTE] = ACTIONS(3488),
    [sym_true] = ACTIONS(3491),
    [sym_false] = ACTIONS(3491),
    [anon_sym_NULL] = ACTIONS(3491),
    [anon_sym_nullptr] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
    [anon_sym_concept] = ACTIONS(3491),
    [anon_sym_co_return] = ACTIONS(3491),
    [anon_sym_co_yield] = ACTIONS(3491),
    [anon_sym_R_DQUOTE] = ACTIONS(3488),
    [anon_sym_LR_DQUOTE] = ACTIONS(3488),
    [anon_sym_uR_DQUOTE] = ACTIONS(3488),
    [anon_sym_UR_DQUOTE] = ACTIONS(3488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3488),
    [anon_sym_co_await] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
    [sym_this] = ACTIONS(3491),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(3091),
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(3091),
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [anon_sym___asm] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(2999),
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym___attribute] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [anon_sym___asm] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(3053),
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [758] = {
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(3496),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym___attribute__] = ACTIONS(1915),
    [anon_sym___attribute] = ACTIONS(1915),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [759] = {
    [sym_preproc_def] = STATE(760),
    [sym_preproc_function_def] = STATE(760),
    [sym_preproc_call] = STATE(760),
    [sym_preproc_if_in_field_declaration_list] = STATE(760),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(760),
    [sym_type_definition] = STATE(760),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5480),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6231),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(760),
    [sym_field_declaration] = STATE(760),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1789),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(760),
    [sym_operator_cast] = STATE(6774),
    [sym_inline_method_definition] = STATE(760),
    [sym__constructor_specifiers] = STATE(1789),
    [sym_operator_cast_definition] = STATE(760),
    [sym_operator_cast_declaration] = STATE(760),
    [sym_constructor_or_destructor_definition] = STATE(760),
    [sym_constructor_or_destructor_declaration] = STATE(760),
    [sym_friend_declaration] = STATE(760),
    [sym_access_specifier] = STATE(8390),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(760),
    [sym_alias_declaration] = STATE(760),
    [sym_static_assert_declaration] = STATE(760),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6774),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(760),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1789),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3518),
    [aux_sym_preproc_if_token1] = ACTIONS(3520),
    [aux_sym_preproc_if_token2] = ACTIONS(3522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3524),
    [sym_preproc_directive] = ACTIONS(3526),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3528),
    [anon_sym___extension__] = ACTIONS(3530),
    [anon_sym_typedef] = ACTIONS(3532),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3534),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3536),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3538),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3540),
    [anon_sym_static_assert] = ACTIONS(3542),
  },
  [760] = {
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_field_declaration_list] = STATE(775),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(775),
    [sym_type_definition] = STATE(775),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5480),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6231),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(775),
    [sym_field_declaration] = STATE(775),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1789),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(775),
    [sym_operator_cast] = STATE(6774),
    [sym_inline_method_definition] = STATE(775),
    [sym__constructor_specifiers] = STATE(1789),
    [sym_operator_cast_definition] = STATE(775),
    [sym_operator_cast_declaration] = STATE(775),
    [sym_constructor_or_destructor_definition] = STATE(775),
    [sym_constructor_or_destructor_declaration] = STATE(775),
    [sym_friend_declaration] = STATE(775),
    [sym_access_specifier] = STATE(8390),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(775),
    [sym_alias_declaration] = STATE(775),
    [sym_static_assert_declaration] = STATE(775),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6774),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(775),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1789),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3518),
    [aux_sym_preproc_if_token1] = ACTIONS(3520),
    [aux_sym_preproc_if_token2] = ACTIONS(3544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3524),
    [sym_preproc_directive] = ACTIONS(3526),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3546),
    [anon_sym___extension__] = ACTIONS(3530),
    [anon_sym_typedef] = ACTIONS(3532),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3534),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3536),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3538),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3540),
    [anon_sym_static_assert] = ACTIONS(3542),
  },
  [761] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3562),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [762] = {
    [sym_preproc_def] = STATE(773),
    [sym_preproc_function_def] = STATE(773),
    [sym_preproc_call] = STATE(773),
    [sym_preproc_if_in_field_declaration_list] = STATE(773),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(773),
    [sym_type_definition] = STATE(773),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(773),
    [sym_field_declaration] = STATE(773),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(773),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(773),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(773),
    [sym_operator_cast_declaration] = STATE(773),
    [sym_constructor_or_destructor_definition] = STATE(773),
    [sym_constructor_or_destructor_declaration] = STATE(773),
    [sym_friend_declaration] = STATE(773),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(773),
    [sym_alias_declaration] = STATE(773),
    [sym_static_assert_declaration] = STATE(773),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(773),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [763] = {
    [sym_preproc_def] = STATE(765),
    [sym_preproc_function_def] = STATE(765),
    [sym_preproc_call] = STATE(765),
    [sym_preproc_if_in_field_declaration_list] = STATE(765),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(765),
    [sym_type_definition] = STATE(765),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(765),
    [sym_field_declaration] = STATE(765),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(765),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(765),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(765),
    [sym_operator_cast_declaration] = STATE(765),
    [sym_constructor_or_destructor_definition] = STATE(765),
    [sym_constructor_or_destructor_declaration] = STATE(765),
    [sym_friend_declaration] = STATE(765),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(765),
    [sym_alias_declaration] = STATE(765),
    [sym_static_assert_declaration] = STATE(765),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(765),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3578),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3580),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [764] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [765] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3584),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [766] = {
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_preproc_if_in_field_declaration_list] = STATE(767),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(767),
    [sym_type_definition] = STATE(767),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(767),
    [sym_field_declaration] = STATE(767),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(767),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(767),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(767),
    [sym_operator_cast_declaration] = STATE(767),
    [sym_constructor_or_destructor_definition] = STATE(767),
    [sym_constructor_or_destructor_declaration] = STATE(767),
    [sym_friend_declaration] = STATE(767),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(767),
    [sym_alias_declaration] = STATE(767),
    [sym_static_assert_declaration] = STATE(767),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(767),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3588),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [767] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3590),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [768] = {
    [sym_preproc_def] = STATE(772),
    [sym_preproc_function_def] = STATE(772),
    [sym_preproc_call] = STATE(772),
    [sym_preproc_if_in_field_declaration_list] = STATE(772),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(772),
    [sym_type_definition] = STATE(772),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(772),
    [sym_field_declaration] = STATE(772),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(772),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(772),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(772),
    [sym_operator_cast_declaration] = STATE(772),
    [sym_constructor_or_destructor_definition] = STATE(772),
    [sym_constructor_or_destructor_declaration] = STATE(772),
    [sym_friend_declaration] = STATE(772),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(772),
    [sym_alias_declaration] = STATE(772),
    [sym_static_assert_declaration] = STATE(772),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(772),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3592),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3594),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [769] = {
    [sym_preproc_def] = STATE(770),
    [sym_preproc_function_def] = STATE(770),
    [sym_preproc_call] = STATE(770),
    [sym_preproc_if_in_field_declaration_list] = STATE(770),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(770),
    [sym_type_definition] = STATE(770),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(770),
    [sym_field_declaration] = STATE(770),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(770),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(770),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(770),
    [sym_operator_cast_declaration] = STATE(770),
    [sym_constructor_or_destructor_definition] = STATE(770),
    [sym_constructor_or_destructor_declaration] = STATE(770),
    [sym_friend_declaration] = STATE(770),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(770),
    [sym_alias_declaration] = STATE(770),
    [sym_static_assert_declaration] = STATE(770),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(770),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3598),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [770] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3600),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [771] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3330),
    [aux_sym_preproc_def_token1] = ACTIONS(3602),
    [aux_sym_preproc_if_token1] = ACTIONS(3605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3608),
    [sym_preproc_directive] = ACTIONS(3611),
    [anon_sym_LPAREN2] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3356),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym___extension__] = ACTIONS(3617),
    [anon_sym_typedef] = ACTIONS(3620),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3374),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym___attribute] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3386),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3623),
    [anon_sym_signed] = ACTIONS(3392),
    [anon_sym_unsigned] = ACTIONS(3392),
    [anon_sym_long] = ACTIONS(3392),
    [anon_sym_short] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3374),
    [anon_sym_register] = ACTIONS(3374),
    [anon_sym_inline] = ACTIONS(3374),
    [anon_sym___inline] = ACTIONS(3374),
    [anon_sym___inline__] = ACTIONS(3374),
    [anon_sym___forceinline] = ACTIONS(3374),
    [anon_sym_thread_local] = ACTIONS(3374),
    [anon_sym___thread] = ACTIONS(3374),
    [anon_sym_const] = ACTIONS(3398),
    [anon_sym_constexpr] = ACTIONS(3625),
    [anon_sym_volatile] = ACTIONS(3398),
    [anon_sym_restrict] = ACTIONS(3398),
    [anon_sym___restrict__] = ACTIONS(3398),
    [anon_sym__Atomic] = ACTIONS(3398),
    [anon_sym__Noreturn] = ACTIONS(3398),
    [anon_sym_noreturn] = ACTIONS(3398),
    [anon_sym__Nonnull] = ACTIONS(3398),
    [anon_sym_mutable] = ACTIONS(3398),
    [anon_sym_constinit] = ACTIONS(3398),
    [anon_sym_consteval] = ACTIONS(3398),
    [anon_sym_alignas] = ACTIONS(3404),
    [anon_sym__Alignas] = ACTIONS(3404),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3410),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3416),
    [anon_sym_union] = ACTIONS(3419),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3422),
    [anon_sym_decltype] = ACTIONS(3425),
    [anon_sym_explicit] = ACTIONS(3428),
    [anon_sym_typename] = ACTIONS(3431),
    [anon_sym_template] = ACTIONS(3628),
    [anon_sym_operator] = ACTIONS(3437),
    [anon_sym_friend] = ACTIONS(3631),
    [anon_sym_public] = ACTIONS(3443),
    [anon_sym_private] = ACTIONS(3443),
    [anon_sym_protected] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_static_assert] = ACTIONS(3637),
  },
  [772] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3640),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [773] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3642),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [774] = {
    [sym_preproc_def] = STATE(777),
    [sym_preproc_function_def] = STATE(777),
    [sym_preproc_call] = STATE(777),
    [sym_preproc_if_in_field_declaration_list] = STATE(777),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(777),
    [sym_type_definition] = STATE(777),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(777),
    [sym_field_declaration] = STATE(777),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(777),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(777),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(777),
    [sym_operator_cast_declaration] = STATE(777),
    [sym_constructor_or_destructor_definition] = STATE(777),
    [sym_constructor_or_destructor_declaration] = STATE(777),
    [sym_friend_declaration] = STATE(777),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(777),
    [sym_alias_declaration] = STATE(777),
    [sym_static_assert_declaration] = STATE(777),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(777),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3646),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [775] = {
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_field_declaration_list] = STATE(775),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(775),
    [sym_type_definition] = STATE(775),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5480),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6231),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(775),
    [sym_field_declaration] = STATE(775),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1789),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(775),
    [sym_operator_cast] = STATE(6774),
    [sym_inline_method_definition] = STATE(775),
    [sym__constructor_specifiers] = STATE(1789),
    [sym_operator_cast_definition] = STATE(775),
    [sym_operator_cast_declaration] = STATE(775),
    [sym_constructor_or_destructor_definition] = STATE(775),
    [sym_constructor_or_destructor_declaration] = STATE(775),
    [sym_friend_declaration] = STATE(775),
    [sym_access_specifier] = STATE(8390),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(775),
    [sym_alias_declaration] = STATE(775),
    [sym_static_assert_declaration] = STATE(775),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6774),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(775),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1789),
    [sym_identifier] = ACTIONS(3330),
    [aux_sym_preproc_def_token1] = ACTIONS(3648),
    [aux_sym_preproc_if_token1] = ACTIONS(3651),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3654),
    [sym_preproc_directive] = ACTIONS(3657),
    [anon_sym_LPAREN2] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3356),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3660),
    [anon_sym___extension__] = ACTIONS(3663),
    [anon_sym_typedef] = ACTIONS(3666),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3374),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym___attribute] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3386),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3392),
    [anon_sym_unsigned] = ACTIONS(3392),
    [anon_sym_long] = ACTIONS(3392),
    [anon_sym_short] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_static] = ACTIONS(3374),
    [anon_sym_register] = ACTIONS(3374),
    [anon_sym_inline] = ACTIONS(3374),
    [anon_sym___inline] = ACTIONS(3374),
    [anon_sym___inline__] = ACTIONS(3374),
    [anon_sym___forceinline] = ACTIONS(3374),
    [anon_sym_thread_local] = ACTIONS(3374),
    [anon_sym___thread] = ACTIONS(3374),
    [anon_sym_const] = ACTIONS(3398),
    [anon_sym_constexpr] = ACTIONS(3669),
    [anon_sym_volatile] = ACTIONS(3398),
    [anon_sym_restrict] = ACTIONS(3398),
    [anon_sym___restrict__] = ACTIONS(3398),
    [anon_sym__Atomic] = ACTIONS(3398),
    [anon_sym__Noreturn] = ACTIONS(3398),
    [anon_sym_noreturn] = ACTIONS(3398),
    [anon_sym__Nonnull] = ACTIONS(3398),
    [anon_sym_mutable] = ACTIONS(3398),
    [anon_sym_constinit] = ACTIONS(3398),
    [anon_sym_consteval] = ACTIONS(3398),
    [anon_sym_alignas] = ACTIONS(3404),
    [anon_sym__Alignas] = ACTIONS(3404),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3410),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3416),
    [anon_sym_union] = ACTIONS(3419),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3422),
    [anon_sym_decltype] = ACTIONS(3425),
    [anon_sym_explicit] = ACTIONS(3428),
    [anon_sym_typename] = ACTIONS(3431),
    [anon_sym_template] = ACTIONS(3672),
    [anon_sym_operator] = ACTIONS(3437),
    [anon_sym_friend] = ACTIONS(3675),
    [anon_sym_public] = ACTIONS(3443),
    [anon_sym_private] = ACTIONS(3443),
    [anon_sym_protected] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_static_assert] = ACTIONS(3681),
  },
  [776] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3684),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [777] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3686),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [778] = {
    [sym_preproc_def] = STATE(781),
    [sym_preproc_function_def] = STATE(781),
    [sym_preproc_call] = STATE(781),
    [sym_preproc_if_in_field_declaration_list] = STATE(781),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(781),
    [sym_type_definition] = STATE(781),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(781),
    [sym_field_declaration] = STATE(781),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(781),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(781),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(781),
    [sym_operator_cast_declaration] = STATE(781),
    [sym_constructor_or_destructor_definition] = STATE(781),
    [sym_constructor_or_destructor_declaration] = STATE(781),
    [sym_friend_declaration] = STATE(781),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(781),
    [sym_alias_declaration] = STATE(781),
    [sym_static_assert_declaration] = STATE(781),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3688),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3690),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [779] = {
    [sym_preproc_def] = STATE(764),
    [sym_preproc_function_def] = STATE(764),
    [sym_preproc_call] = STATE(764),
    [sym_preproc_if_in_field_declaration_list] = STATE(764),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(764),
    [sym_type_definition] = STATE(764),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(764),
    [sym_field_declaration] = STATE(764),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(764),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(764),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(764),
    [sym_operator_cast_declaration] = STATE(764),
    [sym_constructor_or_destructor_definition] = STATE(764),
    [sym_constructor_or_destructor_declaration] = STATE(764),
    [sym_friend_declaration] = STATE(764),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(764),
    [sym_alias_declaration] = STATE(764),
    [sym_static_assert_declaration] = STATE(764),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(764),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3692),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3694),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [780] = {
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_RPAREN] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [781] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3556),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3698),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [782] = {
    [sym_preproc_def] = STATE(761),
    [sym_preproc_function_def] = STATE(761),
    [sym_preproc_call] = STATE(761),
    [sym_preproc_if_in_field_declaration_list] = STATE(761),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(761),
    [sym_type_definition] = STATE(761),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(761),
    [sym_field_declaration] = STATE(761),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(761),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(761),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(761),
    [sym_operator_cast_declaration] = STATE(761),
    [sym_constructor_or_destructor_definition] = STATE(761),
    [sym_constructor_or_destructor_declaration] = STATE(761),
    [sym_friend_declaration] = STATE(761),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(761),
    [sym_alias_declaration] = STATE(761),
    [sym_static_assert_declaration] = STATE(761),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(761),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3700),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3702),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [783] = {
    [sym_preproc_def] = STATE(776),
    [sym_preproc_function_def] = STATE(776),
    [sym_preproc_call] = STATE(776),
    [sym_preproc_if_in_field_declaration_list] = STATE(776),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(776),
    [sym_type_definition] = STATE(776),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(5606),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__field_declaration_list_item] = STATE(776),
    [sym_field_declaration] = STATE(776),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(776),
    [sym_operator_cast] = STATE(6743),
    [sym_inline_method_definition] = STATE(776),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(776),
    [sym_operator_cast_declaration] = STATE(776),
    [sym_constructor_or_destructor_definition] = STATE(776),
    [sym_constructor_or_destructor_declaration] = STATE(776),
    [sym_friend_declaration] = STATE(776),
    [sym_access_specifier] = STATE(8484),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_using_declaration] = STATE(776),
    [sym_alias_declaration] = STATE(776),
    [sym_static_assert_declaration] = STATE(776),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5451),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(776),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2006),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3548),
    [aux_sym_preproc_if_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3552),
    [sym_preproc_directive] = ACTIONS(3554),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3704),
    [anon_sym___extension__] = ACTIONS(3558),
    [anon_sym_typedef] = ACTIONS(3560),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3706),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_static_assert] = ACTIONS(3572),
  },
  [784] = {
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(3710),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_RBRACK] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [785] = {
    [sym_expression] = STATE(4395),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_initializer_list] = STATE(4737),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(2733),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(3730),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [786] = {
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_LPAREN2] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(3736),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(1915),
    [anon_sym_QMARK] = ACTIONS(1917),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_LT_EQ_GT] = ACTIONS(1917),
    [anon_sym_or] = ACTIONS(1915),
    [anon_sym_and] = ACTIONS(1915),
    [anon_sym_bitor] = ACTIONS(1915),
    [anon_sym_xor] = ACTIONS(1915),
    [anon_sym_bitand] = ACTIONS(1915),
    [anon_sym_not_eq] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DOT_STAR] = ACTIONS(1917),
    [anon_sym_DASH_GT] = ACTIONS(1917),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [787] = {
    [sym_expression] = STATE(4703),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3750),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3710),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(3754),
    [anon_sym_PERCENT] = ACTIONS(3750),
    [anon_sym_PIPE_PIPE] = ACTIONS(3750),
    [anon_sym_AMP_AMP] = ACTIONS(3750),
    [anon_sym_PIPE] = ACTIONS(3754),
    [anon_sym_CARET] = ACTIONS(3750),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(3750),
    [anon_sym_BANG_EQ] = ACTIONS(3750),
    [anon_sym_GT] = ACTIONS(3754),
    [anon_sym_GT_EQ] = ACTIONS(3750),
    [anon_sym_LT_EQ] = ACTIONS(3754),
    [anon_sym_LT] = ACTIONS(3754),
    [anon_sym_LT_LT] = ACTIONS(3750),
    [anon_sym_GT_GT] = ACTIONS(3750),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(3750),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_QMARK] = ACTIONS(3750),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_LT_EQ_GT] = ACTIONS(3750),
    [anon_sym_or] = ACTIONS(3754),
    [anon_sym_and] = ACTIONS(3754),
    [anon_sym_bitor] = ACTIONS(3754),
    [anon_sym_xor] = ACTIONS(3754),
    [anon_sym_bitand] = ACTIONS(3754),
    [anon_sym_not_eq] = ACTIONS(3754),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(3754),
    [anon_sym_DOT_STAR] = ACTIONS(3750),
    [anon_sym_DASH_GT] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [788] = {
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(3980),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6528),
    [sym_qualified_type_identifier] = STATE(2749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2640),
    [sym_identifier] = ACTIONS(3758),
    [anon_sym_COMMA] = ACTIONS(3760),
    [anon_sym_BANG] = ACTIONS(3762),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_STAR] = ACTIONS(3762),
    [anon_sym_SLASH] = ACTIONS(3762),
    [anon_sym_PERCENT] = ACTIONS(3762),
    [anon_sym_PIPE_PIPE] = ACTIONS(3760),
    [anon_sym_AMP_AMP] = ACTIONS(3760),
    [anon_sym_PIPE] = ACTIONS(3762),
    [anon_sym_CARET] = ACTIONS(3762),
    [anon_sym_AMP] = ACTIONS(3762),
    [anon_sym_EQ_EQ] = ACTIONS(3760),
    [anon_sym_BANG_EQ] = ACTIONS(3760),
    [anon_sym_GT] = ACTIONS(3762),
    [anon_sym_GT_EQ] = ACTIONS(3760),
    [anon_sym_LT_EQ] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(3762),
    [anon_sym_LT_LT] = ACTIONS(3762),
    [anon_sym_GT_GT] = ACTIONS(3762),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(3764),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3768),
    [anon_sym_unsigned] = ACTIONS(3768),
    [anon_sym_long] = ACTIONS(3768),
    [anon_sym_short] = ACTIONS(3768),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_EQ] = ACTIONS(3762),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3770),
    [anon_sym_enum] = ACTIONS(3772),
    [anon_sym_class] = ACTIONS(3774),
    [anon_sym_struct] = ACTIONS(3776),
    [anon_sym_union] = ACTIONS(3778),
    [anon_sym_STAR_EQ] = ACTIONS(3760),
    [anon_sym_SLASH_EQ] = ACTIONS(3760),
    [anon_sym_PERCENT_EQ] = ACTIONS(3760),
    [anon_sym_PLUS_EQ] = ACTIONS(3760),
    [anon_sym_DASH_EQ] = ACTIONS(3760),
    [anon_sym_LT_LT_EQ] = ACTIONS(3760),
    [anon_sym_GT_GT_EQ] = ACTIONS(3760),
    [anon_sym_AMP_EQ] = ACTIONS(3760),
    [anon_sym_CARET_EQ] = ACTIONS(3760),
    [anon_sym_PIPE_EQ] = ACTIONS(3760),
    [anon_sym_and_eq] = ACTIONS(3762),
    [anon_sym_or_eq] = ACTIONS(3762),
    [anon_sym_xor_eq] = ACTIONS(3762),
    [anon_sym_not] = ACTIONS(3762),
    [anon_sym_compl] = ACTIONS(3762),
    [anon_sym_LT_EQ_GT] = ACTIONS(3760),
    [anon_sym_or] = ACTIONS(3762),
    [anon_sym_and] = ACTIONS(3762),
    [anon_sym_bitor] = ACTIONS(3762),
    [anon_sym_xor] = ACTIONS(3762),
    [anon_sym_bitand] = ACTIONS(3762),
    [anon_sym_not_eq] = ACTIONS(3762),
    [anon_sym_DASH_DASH] = ACTIONS(3760),
    [anon_sym_PLUS_PLUS] = ACTIONS(3760),
    [anon_sym_DASH_GT] = ACTIONS(3762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3780),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3782),
    [anon_sym_co_await] = ACTIONS(3762),
    [anon_sym_new] = ACTIONS(3782),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3760),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3760),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3760),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3784),
  },
  [789] = {
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(3980),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6528),
    [sym_qualified_type_identifier] = STATE(2749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2640),
    [sym_identifier] = ACTIONS(3758),
    [anon_sym_COMMA] = ACTIONS(3786),
    [anon_sym_BANG] = ACTIONS(3788),
    [anon_sym_TILDE] = ACTIONS(3786),
    [anon_sym_DASH] = ACTIONS(3788),
    [anon_sym_PLUS] = ACTIONS(3788),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_SLASH] = ACTIONS(3788),
    [anon_sym_PERCENT] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3786),
    [anon_sym_AMP_AMP] = ACTIONS(3786),
    [anon_sym_PIPE] = ACTIONS(3788),
    [anon_sym_CARET] = ACTIONS(3788),
    [anon_sym_AMP] = ACTIONS(3788),
    [anon_sym_EQ_EQ] = ACTIONS(3786),
    [anon_sym_BANG_EQ] = ACTIONS(3786),
    [anon_sym_GT] = ACTIONS(3788),
    [anon_sym_GT_EQ] = ACTIONS(3786),
    [anon_sym_LT_EQ] = ACTIONS(3788),
    [anon_sym_LT] = ACTIONS(3788),
    [anon_sym_LT_LT] = ACTIONS(3788),
    [anon_sym_GT_GT] = ACTIONS(3788),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(3764),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3768),
    [anon_sym_unsigned] = ACTIONS(3768),
    [anon_sym_long] = ACTIONS(3768),
    [anon_sym_short] = ACTIONS(3768),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_EQ] = ACTIONS(3788),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3770),
    [anon_sym_enum] = ACTIONS(3772),
    [anon_sym_class] = ACTIONS(3774),
    [anon_sym_struct] = ACTIONS(3776),
    [anon_sym_union] = ACTIONS(3778),
    [anon_sym_STAR_EQ] = ACTIONS(3786),
    [anon_sym_SLASH_EQ] = ACTIONS(3786),
    [anon_sym_PERCENT_EQ] = ACTIONS(3786),
    [anon_sym_PLUS_EQ] = ACTIONS(3786),
    [anon_sym_DASH_EQ] = ACTIONS(3786),
    [anon_sym_LT_LT_EQ] = ACTIONS(3786),
    [anon_sym_GT_GT_EQ] = ACTIONS(3786),
    [anon_sym_AMP_EQ] = ACTIONS(3786),
    [anon_sym_CARET_EQ] = ACTIONS(3786),
    [anon_sym_PIPE_EQ] = ACTIONS(3786),
    [anon_sym_and_eq] = ACTIONS(3788),
    [anon_sym_or_eq] = ACTIONS(3788),
    [anon_sym_xor_eq] = ACTIONS(3788),
    [anon_sym_not] = ACTIONS(3788),
    [anon_sym_compl] = ACTIONS(3788),
    [anon_sym_LT_EQ_GT] = ACTIONS(3786),
    [anon_sym_or] = ACTIONS(3788),
    [anon_sym_and] = ACTIONS(3788),
    [anon_sym_bitor] = ACTIONS(3788),
    [anon_sym_xor] = ACTIONS(3788),
    [anon_sym_bitand] = ACTIONS(3788),
    [anon_sym_not_eq] = ACTIONS(3788),
    [anon_sym_DASH_DASH] = ACTIONS(3786),
    [anon_sym_PLUS_PLUS] = ACTIONS(3786),
    [anon_sym_DASH_GT] = ACTIONS(3788),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3780),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3790),
    [anon_sym_co_await] = ACTIONS(3788),
    [anon_sym_new] = ACTIONS(3790),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3786),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3786),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3786),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3792),
  },
  [790] = {
    [sym_expression] = STATE(3111),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(3794),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3800),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(3803),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [791] = {
    [sym_expression] = STATE(4371),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3806),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3812),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(3815),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [792] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2527),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [793] = {
    [sym_identifier] = ACTIONS(3818),
    [anon_sym_COMMA] = ACTIONS(3820),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_LPAREN2] = ACTIONS(3820),
    [anon_sym_BANG] = ACTIONS(3820),
    [anon_sym_TILDE] = ACTIONS(3820),
    [anon_sym_DASH] = ACTIONS(3818),
    [anon_sym_PLUS] = ACTIONS(3818),
    [anon_sym_STAR] = ACTIONS(3820),
    [anon_sym_AMP_AMP] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3818),
    [anon_sym_SEMI] = ACTIONS(3820),
    [anon_sym___extension__] = ACTIONS(3818),
    [anon_sym_virtual] = ACTIONS(3818),
    [anon_sym_extern] = ACTIONS(3818),
    [anon_sym___attribute__] = ACTIONS(3818),
    [anon_sym___attribute] = ACTIONS(3818),
    [anon_sym_COLON_COLON] = ACTIONS(3820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3820),
    [anon_sym___declspec] = ACTIONS(3818),
    [anon_sym___based] = ACTIONS(3818),
    [anon_sym_LBRACE] = ACTIONS(3820),
    [anon_sym_signed] = ACTIONS(3818),
    [anon_sym_unsigned] = ACTIONS(3818),
    [anon_sym_long] = ACTIONS(3818),
    [anon_sym_short] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_static] = ACTIONS(3818),
    [anon_sym_RBRACK] = ACTIONS(3820),
    [anon_sym_EQ] = ACTIONS(3820),
    [anon_sym_register] = ACTIONS(3818),
    [anon_sym_inline] = ACTIONS(3818),
    [anon_sym___inline] = ACTIONS(3818),
    [anon_sym___inline__] = ACTIONS(3818),
    [anon_sym___forceinline] = ACTIONS(3818),
    [anon_sym_thread_local] = ACTIONS(3818),
    [anon_sym___thread] = ACTIONS(3818),
    [anon_sym_const] = ACTIONS(3818),
    [anon_sym_constexpr] = ACTIONS(3818),
    [anon_sym_volatile] = ACTIONS(3818),
    [anon_sym_restrict] = ACTIONS(3818),
    [anon_sym___restrict__] = ACTIONS(3818),
    [anon_sym__Atomic] = ACTIONS(3818),
    [anon_sym__Noreturn] = ACTIONS(3818),
    [anon_sym_noreturn] = ACTIONS(3818),
    [anon_sym__Nonnull] = ACTIONS(3818),
    [anon_sym_mutable] = ACTIONS(3818),
    [anon_sym_constinit] = ACTIONS(3818),
    [anon_sym_consteval] = ACTIONS(3818),
    [anon_sym_alignas] = ACTIONS(3818),
    [anon_sym__Alignas] = ACTIONS(3818),
    [sym_primitive_type] = ACTIONS(3818),
    [anon_sym_enum] = ACTIONS(3818),
    [anon_sym_class] = ACTIONS(3818),
    [anon_sym_struct] = ACTIONS(3818),
    [anon_sym_union] = ACTIONS(3818),
    [anon_sym_if] = ACTIONS(3818),
    [anon_sym_switch] = ACTIONS(3818),
    [anon_sym_case] = ACTIONS(3818),
    [anon_sym_default] = ACTIONS(3818),
    [anon_sym_while] = ACTIONS(3818),
    [anon_sym_do] = ACTIONS(3818),
    [anon_sym_for] = ACTIONS(3818),
    [anon_sym_return] = ACTIONS(3818),
    [anon_sym_break] = ACTIONS(3818),
    [anon_sym_continue] = ACTIONS(3818),
    [anon_sym_goto] = ACTIONS(3818),
    [anon_sym___try] = ACTIONS(3818),
    [anon_sym___leave] = ACTIONS(3818),
    [anon_sym_not] = ACTIONS(3818),
    [anon_sym_compl] = ACTIONS(3818),
    [anon_sym_DASH_DASH] = ACTIONS(3820),
    [anon_sym_PLUS_PLUS] = ACTIONS(3820),
    [anon_sym_sizeof] = ACTIONS(3818),
    [anon_sym___alignof__] = ACTIONS(3818),
    [anon_sym___alignof] = ACTIONS(3818),
    [anon_sym__alignof] = ACTIONS(3818),
    [anon_sym_alignof] = ACTIONS(3818),
    [anon_sym__Alignof] = ACTIONS(3818),
    [anon_sym_offsetof] = ACTIONS(3818),
    [anon_sym__Generic] = ACTIONS(3818),
    [anon_sym_asm] = ACTIONS(3818),
    [anon_sym___asm__] = ACTIONS(3818),
    [anon_sym___asm] = ACTIONS(3818),
    [sym_number_literal] = ACTIONS(3820),
    [anon_sym_L_SQUOTE] = ACTIONS(3820),
    [anon_sym_u_SQUOTE] = ACTIONS(3820),
    [anon_sym_U_SQUOTE] = ACTIONS(3820),
    [anon_sym_u8_SQUOTE] = ACTIONS(3820),
    [anon_sym_SQUOTE] = ACTIONS(3820),
    [anon_sym_L_DQUOTE] = ACTIONS(3820),
    [anon_sym_u_DQUOTE] = ACTIONS(3820),
    [anon_sym_U_DQUOTE] = ACTIONS(3820),
    [anon_sym_u8_DQUOTE] = ACTIONS(3820),
    [anon_sym_DQUOTE] = ACTIONS(3820),
    [sym_true] = ACTIONS(3818),
    [sym_false] = ACTIONS(3818),
    [anon_sym_NULL] = ACTIONS(3818),
    [anon_sym_nullptr] = ACTIONS(3818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3818),
    [anon_sym_decltype] = ACTIONS(3818),
    [anon_sym_explicit] = ACTIONS(3818),
    [anon_sym_typename] = ACTIONS(3818),
    [anon_sym_template] = ACTIONS(3818),
    [anon_sym_GT2] = ACTIONS(3820),
    [anon_sym_operator] = ACTIONS(3818),
    [anon_sym_try] = ACTIONS(3818),
    [anon_sym_delete] = ACTIONS(3818),
    [anon_sym_throw] = ACTIONS(3818),
    [anon_sym_co_return] = ACTIONS(3818),
    [anon_sym_co_yield] = ACTIONS(3818),
    [anon_sym_R_DQUOTE] = ACTIONS(3820),
    [anon_sym_LR_DQUOTE] = ACTIONS(3820),
    [anon_sym_uR_DQUOTE] = ACTIONS(3820),
    [anon_sym_UR_DQUOTE] = ACTIONS(3820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3820),
    [anon_sym_co_await] = ACTIONS(3818),
    [anon_sym_new] = ACTIONS(3818),
    [anon_sym_requires] = ACTIONS(3818),
    [sym_this] = ACTIONS(3818),
  },
  [794] = {
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_COMMA] = ACTIONS(3824),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_LPAREN2] = ACTIONS(3824),
    [anon_sym_BANG] = ACTIONS(3824),
    [anon_sym_TILDE] = ACTIONS(3824),
    [anon_sym_DASH] = ACTIONS(3822),
    [anon_sym_PLUS] = ACTIONS(3822),
    [anon_sym_STAR] = ACTIONS(3824),
    [anon_sym_AMP_AMP] = ACTIONS(3824),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_SEMI] = ACTIONS(3824),
    [anon_sym___extension__] = ACTIONS(3822),
    [anon_sym_virtual] = ACTIONS(3822),
    [anon_sym_extern] = ACTIONS(3822),
    [anon_sym___attribute__] = ACTIONS(3822),
    [anon_sym___attribute] = ACTIONS(3822),
    [anon_sym_COLON_COLON] = ACTIONS(3824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3824),
    [anon_sym___declspec] = ACTIONS(3822),
    [anon_sym___based] = ACTIONS(3822),
    [anon_sym_LBRACE] = ACTIONS(3824),
    [anon_sym_signed] = ACTIONS(3822),
    [anon_sym_unsigned] = ACTIONS(3822),
    [anon_sym_long] = ACTIONS(3822),
    [anon_sym_short] = ACTIONS(3822),
    [anon_sym_LBRACK] = ACTIONS(3822),
    [anon_sym_static] = ACTIONS(3822),
    [anon_sym_RBRACK] = ACTIONS(3824),
    [anon_sym_EQ] = ACTIONS(3824),
    [anon_sym_register] = ACTIONS(3822),
    [anon_sym_inline] = ACTIONS(3822),
    [anon_sym___inline] = ACTIONS(3822),
    [anon_sym___inline__] = ACTIONS(3822),
    [anon_sym___forceinline] = ACTIONS(3822),
    [anon_sym_thread_local] = ACTIONS(3822),
    [anon_sym___thread] = ACTIONS(3822),
    [anon_sym_const] = ACTIONS(3822),
    [anon_sym_constexpr] = ACTIONS(3822),
    [anon_sym_volatile] = ACTIONS(3822),
    [anon_sym_restrict] = ACTIONS(3822),
    [anon_sym___restrict__] = ACTIONS(3822),
    [anon_sym__Atomic] = ACTIONS(3822),
    [anon_sym__Noreturn] = ACTIONS(3822),
    [anon_sym_noreturn] = ACTIONS(3822),
    [anon_sym__Nonnull] = ACTIONS(3822),
    [anon_sym_mutable] = ACTIONS(3822),
    [anon_sym_constinit] = ACTIONS(3822),
    [anon_sym_consteval] = ACTIONS(3822),
    [anon_sym_alignas] = ACTIONS(3822),
    [anon_sym__Alignas] = ACTIONS(3822),
    [sym_primitive_type] = ACTIONS(3822),
    [anon_sym_enum] = ACTIONS(3822),
    [anon_sym_class] = ACTIONS(3822),
    [anon_sym_struct] = ACTIONS(3822),
    [anon_sym_union] = ACTIONS(3822),
    [anon_sym_if] = ACTIONS(3822),
    [anon_sym_switch] = ACTIONS(3822),
    [anon_sym_case] = ACTIONS(3822),
    [anon_sym_default] = ACTIONS(3822),
    [anon_sym_while] = ACTIONS(3822),
    [anon_sym_do] = ACTIONS(3822),
    [anon_sym_for] = ACTIONS(3822),
    [anon_sym_return] = ACTIONS(3822),
    [anon_sym_break] = ACTIONS(3822),
    [anon_sym_continue] = ACTIONS(3822),
    [anon_sym_goto] = ACTIONS(3822),
    [anon_sym___try] = ACTIONS(3822),
    [anon_sym___leave] = ACTIONS(3822),
    [anon_sym_not] = ACTIONS(3822),
    [anon_sym_compl] = ACTIONS(3822),
    [anon_sym_DASH_DASH] = ACTIONS(3824),
    [anon_sym_PLUS_PLUS] = ACTIONS(3824),
    [anon_sym_sizeof] = ACTIONS(3822),
    [anon_sym___alignof__] = ACTIONS(3822),
    [anon_sym___alignof] = ACTIONS(3822),
    [anon_sym__alignof] = ACTIONS(3822),
    [anon_sym_alignof] = ACTIONS(3822),
    [anon_sym__Alignof] = ACTIONS(3822),
    [anon_sym_offsetof] = ACTIONS(3822),
    [anon_sym__Generic] = ACTIONS(3822),
    [anon_sym_asm] = ACTIONS(3822),
    [anon_sym___asm__] = ACTIONS(3822),
    [anon_sym___asm] = ACTIONS(3822),
    [sym_number_literal] = ACTIONS(3824),
    [anon_sym_L_SQUOTE] = ACTIONS(3824),
    [anon_sym_u_SQUOTE] = ACTIONS(3824),
    [anon_sym_U_SQUOTE] = ACTIONS(3824),
    [anon_sym_u8_SQUOTE] = ACTIONS(3824),
    [anon_sym_SQUOTE] = ACTIONS(3824),
    [anon_sym_L_DQUOTE] = ACTIONS(3824),
    [anon_sym_u_DQUOTE] = ACTIONS(3824),
    [anon_sym_U_DQUOTE] = ACTIONS(3824),
    [anon_sym_u8_DQUOTE] = ACTIONS(3824),
    [anon_sym_DQUOTE] = ACTIONS(3824),
    [sym_true] = ACTIONS(3822),
    [sym_false] = ACTIONS(3822),
    [anon_sym_NULL] = ACTIONS(3822),
    [anon_sym_nullptr] = ACTIONS(3822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3822),
    [anon_sym_decltype] = ACTIONS(3822),
    [anon_sym_explicit] = ACTIONS(3822),
    [anon_sym_typename] = ACTIONS(3822),
    [anon_sym_template] = ACTIONS(3822),
    [anon_sym_GT2] = ACTIONS(3824),
    [anon_sym_operator] = ACTIONS(3822),
    [anon_sym_try] = ACTIONS(3822),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_throw] = ACTIONS(3822),
    [anon_sym_co_return] = ACTIONS(3822),
    [anon_sym_co_yield] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3824),
    [anon_sym_LR_DQUOTE] = ACTIONS(3824),
    [anon_sym_uR_DQUOTE] = ACTIONS(3824),
    [anon_sym_UR_DQUOTE] = ACTIONS(3824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3824),
    [anon_sym_co_await] = ACTIONS(3822),
    [anon_sym_new] = ACTIONS(3822),
    [anon_sym_requires] = ACTIONS(3822),
    [sym_this] = ACTIONS(3822),
  },
  [795] = {
    [sym_function_definition] = STATE(2083),
    [sym_declaration] = STATE(2083),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4708),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1889),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6231),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(2083),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1789),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(2083),
    [sym_operator_cast] = STATE(6774),
    [sym__constructor_specifiers] = STATE(1789),
    [sym_operator_cast_definition] = STATE(2083),
    [sym_operator_cast_declaration] = STATE(2083),
    [sym_constructor_or_destructor_definition] = STATE(2083),
    [sym_constructor_or_destructor_declaration] = STATE(2083),
    [sym_friend_declaration] = STATE(2083),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(2083),
    [sym_concept_definition] = STATE(2083),
    [sym_requires_clause] = STATE(832),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6774),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1789),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3534),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3536),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3538),
    [anon_sym_using] = ACTIONS(3830),
    [anon_sym_concept] = ACTIONS(3832),
    [anon_sym_requires] = ACTIONS(3834),
  },
  [796] = {
    [sym_function_definition] = STATE(310),
    [sym_declaration] = STATE(310),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6175),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(310),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1785),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(310),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1785),
    [sym_operator_cast_definition] = STATE(310),
    [sym_operator_cast_declaration] = STATE(310),
    [sym_constructor_or_destructor_definition] = STATE(310),
    [sym_constructor_or_destructor_declaration] = STATE(310),
    [sym_friend_declaration] = STATE(310),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(310),
    [sym_concept_definition] = STATE(310),
    [sym_requires_clause] = STATE(830),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1785),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3836),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3838),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3840),
    [anon_sym_using] = ACTIONS(3842),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_requires] = ACTIONS(3834),
  },
  [797] = {
    [sym_function_definition] = STATE(2018),
    [sym_declaration] = STATE(2018),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4705),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1909),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2687),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(2018),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(2018),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(2018),
    [sym_operator_cast_declaration] = STATE(2018),
    [sym_constructor_or_destructor_definition] = STATE(2018),
    [sym_constructor_or_destructor_declaration] = STATE(2018),
    [sym_friend_declaration] = STATE(2018),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(2018),
    [sym_concept_definition] = STATE(2018),
    [sym_requires_clause] = STATE(833),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_using] = ACTIONS(3844),
    [anon_sym_concept] = ACTIONS(3846),
    [anon_sym_requires] = ACTIONS(3834),
  },
  [798] = {
    [sym_function_definition] = STATE(547),
    [sym_declaration] = STATE(547),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6167),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(547),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1783),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(547),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1783),
    [sym_operator_cast_definition] = STATE(547),
    [sym_operator_cast_declaration] = STATE(547),
    [sym_constructor_or_destructor_definition] = STATE(547),
    [sym_constructor_or_destructor_declaration] = STATE(547),
    [sym_friend_declaration] = STATE(547),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(547),
    [sym_concept_definition] = STATE(547),
    [sym_requires_clause] = STATE(844),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1783),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3848),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3850),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3852),
    [anon_sym_using] = ACTIONS(3854),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_requires] = ACTIONS(3834),
  },
  [799] = {
    [sym_function_definition] = STATE(732),
    [sym_declaration] = STATE(732),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4678),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1903),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6141),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(732),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1733),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(732),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1733),
    [sym_operator_cast_definition] = STATE(732),
    [sym_operator_cast_declaration] = STATE(732),
    [sym_constructor_or_destructor_definition] = STATE(732),
    [sym_constructor_or_destructor_declaration] = STATE(732),
    [sym_friend_declaration] = STATE(732),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(732),
    [sym_concept_definition] = STATE(732),
    [sym_requires_clause] = STATE(840),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1733),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3856),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3858),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3860),
    [anon_sym_using] = ACTIONS(3862),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_requires] = ACTIONS(3834),
  },
  [800] = {
    [sym_function_definition] = STATE(1675),
    [sym_declaration] = STATE(1675),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4706),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1873),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(1675),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(1675),
    [sym_operator_cast] = STATE(6772),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(1675),
    [sym_operator_cast_declaration] = STATE(1675),
    [sym_constructor_or_destructor_definition] = STATE(1675),
    [sym_constructor_or_destructor_declaration] = STATE(1675),
    [sym_friend_declaration] = STATE(1675),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(1675),
    [sym_concept_definition] = STATE(1675),
    [sym_requires_clause] = STATE(829),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3864),
    [anon_sym_concept] = ACTIONS(3866),
    [anon_sym_requires] = ACTIONS(3834),
  },
  [801] = {
    [sym_function_definition] = STATE(603),
    [sym_declaration] = STATE(603),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4704),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1908),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6176),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2683),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(603),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1788),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(603),
    [sym_operator_cast] = STATE(6770),
    [sym__constructor_specifiers] = STATE(1788),
    [sym_operator_cast_definition] = STATE(603),
    [sym_operator_cast_declaration] = STATE(603),
    [sym_constructor_or_destructor_definition] = STATE(603),
    [sym_constructor_or_destructor_declaration] = STATE(603),
    [sym_friend_declaration] = STATE(603),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(603),
    [sym_concept_definition] = STATE(603),
    [sym_requires_clause] = STATE(850),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6770),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1788),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3868),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3870),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3872),
    [anon_sym_using] = ACTIONS(3874),
    [anon_sym_concept] = ACTIONS(796),
    [anon_sym_requires] = ACTIONS(3834),
  },
  [802] = {
    [sym_expression] = STATE(4529),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [803] = {
    [sym_expression] = STATE(2725),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [804] = {
    [sym_expression] = STATE(4117),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [805] = {
    [sym_expression] = STATE(4107),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [806] = {
    [sym_expression] = STATE(3296),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [807] = {
    [sym_expression] = STATE(3188),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [808] = {
    [sym_expression] = STATE(3576),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [809] = {
    [sym_expression] = STATE(2909),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [810] = {
    [sym_expression] = STATE(2985),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [811] = {
    [sym_expression] = STATE(2995),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [812] = {
    [sym_expression] = STATE(4398),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [813] = {
    [sym_expression] = STATE(3143),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [814] = {
    [sym_expression] = STATE(2922),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [815] = {
    [sym_expression] = STATE(4221),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [816] = {
    [sym_expression] = STATE(3556),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [817] = {
    [sym_expression] = STATE(2723),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [818] = {
    [sym_expression] = STATE(4280),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [819] = {
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [820] = {
    [sym_expression] = STATE(4493),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [821] = {
    [sym_expression] = STATE(4273),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [822] = {
    [sym_expression] = STATE(4250),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [823] = {
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [824] = {
    [sym_expression] = STATE(3269),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [825] = {
    [sym_expression] = STATE(3271),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [826] = {
    [sym_expression] = STATE(4531),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [827] = {
    [sym_expression] = STATE(3067),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(3876),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(3876),
    [anon_sym___extension__] = ACTIONS(3878),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3876),
    [anon_sym_LBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(3878),
    [anon_sym_constexpr] = ACTIONS(3878),
    [anon_sym_volatile] = ACTIONS(3878),
    [anon_sym_restrict] = ACTIONS(3878),
    [anon_sym___restrict__] = ACTIONS(3878),
    [anon_sym__Atomic] = ACTIONS(3878),
    [anon_sym__Noreturn] = ACTIONS(3878),
    [anon_sym_noreturn] = ACTIONS(3878),
    [anon_sym__Nonnull] = ACTIONS(3878),
    [anon_sym_mutable] = ACTIONS(3878),
    [anon_sym_constinit] = ACTIONS(3878),
    [anon_sym_consteval] = ACTIONS(3878),
    [anon_sym_alignas] = ACTIONS(3878),
    [anon_sym__Alignas] = ACTIONS(3878),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [anon_sym_DASH_GT] = ACTIONS(3876),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_noexcept] = ACTIONS(3878),
    [anon_sym_throw] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [828] = {
    [sym_type_qualifier] = STATE(834),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4604),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3902),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3906),
    [anon_sym_RBRACK] = ACTIONS(3908),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [829] = {
    [sym_function_definition] = STATE(1687),
    [sym_declaration] = STATE(1687),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4706),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1873),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6151),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(1687),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1787),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(1687),
    [sym_operator_cast] = STATE(6772),
    [sym__constructor_specifiers] = STATE(1787),
    [sym_operator_cast_definition] = STATE(1687),
    [sym_operator_cast_declaration] = STATE(1687),
    [sym_constructor_or_destructor_definition] = STATE(1687),
    [sym_constructor_or_destructor_declaration] = STATE(1687),
    [sym_friend_declaration] = STATE(1687),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(1687),
    [sym_concept_definition] = STATE(1687),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6772),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1787),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3864),
    [anon_sym_concept] = ACTIONS(3866),
  },
  [830] = {
    [sym_function_definition] = STATE(285),
    [sym_declaration] = STATE(285),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1907),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6175),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2673),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(285),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1785),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(285),
    [sym_operator_cast] = STATE(6758),
    [sym__constructor_specifiers] = STATE(1785),
    [sym_operator_cast_definition] = STATE(285),
    [sym_operator_cast_declaration] = STATE(285),
    [sym_constructor_or_destructor_definition] = STATE(285),
    [sym_constructor_or_destructor_declaration] = STATE(285),
    [sym_friend_declaration] = STATE(285),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(285),
    [sym_concept_definition] = STATE(285),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6758),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1785),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3836),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3838),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3840),
    [anon_sym_using] = ACTIONS(3842),
    [anon_sym_concept] = ACTIONS(331),
  },
  [831] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4697),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3914),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3918),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [832] = {
    [sym_function_definition] = STATE(2122),
    [sym_declaration] = STATE(2122),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4708),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1889),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6231),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(2122),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1789),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(2122),
    [sym_operator_cast] = STATE(6774),
    [sym__constructor_specifiers] = STATE(1789),
    [sym_operator_cast_definition] = STATE(2122),
    [sym_operator_cast_declaration] = STATE(2122),
    [sym_constructor_or_destructor_definition] = STATE(2122),
    [sym_constructor_or_destructor_declaration] = STATE(2122),
    [sym_friend_declaration] = STATE(2122),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(2122),
    [sym_concept_definition] = STATE(2122),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6774),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1789),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3534),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3536),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3538),
    [anon_sym_using] = ACTIONS(3830),
    [anon_sym_concept] = ACTIONS(3832),
  },
  [833] = {
    [sym_function_definition] = STATE(2042),
    [sym_declaration] = STATE(2042),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4705),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1909),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2687),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(2042),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1776),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(2042),
    [sym_operator_cast] = STATE(6743),
    [sym__constructor_specifiers] = STATE(1776),
    [sym_operator_cast_definition] = STATE(2042),
    [sym_operator_cast_declaration] = STATE(2042),
    [sym_constructor_or_destructor_definition] = STATE(2042),
    [sym_constructor_or_destructor_declaration] = STATE(2042),
    [sym_friend_declaration] = STATE(2042),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(2042),
    [sym_concept_definition] = STATE(2042),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6743),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1776),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3564),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3566),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3568),
    [anon_sym_using] = ACTIONS(3844),
    [anon_sym_concept] = ACTIONS(3846),
  },
  [834] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4698),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3920),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3922),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [835] = {
    [sym_type_qualifier] = STATE(843),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4608),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(843),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3924),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3926),
    [anon_sym_RBRACK] = ACTIONS(3928),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [836] = {
    [sym_type_qualifier] = STATE(852),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4681),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(852),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3930),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3932),
    [anon_sym_RBRACK] = ACTIONS(3934),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [837] = {
    [sym_type_qualifier] = STATE(855),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4713),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3936),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3938),
    [anon_sym_RBRACK] = ACTIONS(3940),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [838] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4727),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3942),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [839] = {
    [sym_type_qualifier] = STATE(846),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4549),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(846),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3946),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3948),
    [anon_sym_RBRACK] = ACTIONS(3950),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [840] = {
    [sym_function_definition] = STATE(692),
    [sym_declaration] = STATE(692),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4678),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1903),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6141),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(692),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1733),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(692),
    [sym_operator_cast] = STATE(6747),
    [sym__constructor_specifiers] = STATE(1733),
    [sym_operator_cast_definition] = STATE(692),
    [sym_operator_cast_declaration] = STATE(692),
    [sym_constructor_or_destructor_definition] = STATE(692),
    [sym_constructor_or_destructor_declaration] = STATE(692),
    [sym_friend_declaration] = STATE(692),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(692),
    [sym_concept_definition] = STATE(692),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6747),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1733),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3856),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3858),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3860),
    [anon_sym_using] = ACTIONS(3862),
    [anon_sym_concept] = ACTIONS(147),
  },
  [841] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4581),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3952),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3954),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [842] = {
    [sym_type_qualifier] = STATE(852),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4681),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(852),
    [sym_identifier] = ACTIONS(3956),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3930),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3932),
    [anon_sym_RBRACK] = ACTIONS(3934),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [843] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4609),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3958),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3960),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [844] = {
    [sym_function_definition] = STATE(627),
    [sym_declaration] = STATE(627),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1905),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6167),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2705),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(627),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1783),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(627),
    [sym_operator_cast] = STATE(6767),
    [sym__constructor_specifiers] = STATE(1783),
    [sym_operator_cast_definition] = STATE(627),
    [sym_operator_cast_declaration] = STATE(627),
    [sym_constructor_or_destructor_definition] = STATE(627),
    [sym_constructor_or_destructor_declaration] = STATE(627),
    [sym_friend_declaration] = STATE(627),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(627),
    [sym_concept_definition] = STATE(627),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6767),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1783),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3848),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3850),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3852),
    [anon_sym_using] = ACTIONS(3854),
    [anon_sym_concept] = ACTIONS(235),
  },
  [845] = {
    [sym_type_qualifier] = STATE(841),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4579),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(841),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3962),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3964),
    [anon_sym_RBRACK] = ACTIONS(3966),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [846] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4553),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3968),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3970),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [847] = {
    [sym_type_qualifier] = STATE(851),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3972),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3974),
    [anon_sym_RBRACK] = ACTIONS(3976),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [848] = {
    [sym_type_qualifier] = STATE(853),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4555),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(853),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3978),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3980),
    [anon_sym_RBRACK] = ACTIONS(3982),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [849] = {
    [sym_type_qualifier] = STATE(831),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4599),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(831),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3984),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3986),
    [anon_sym_RBRACK] = ACTIONS(3988),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [850] = {
    [sym_function_definition] = STATE(614),
    [sym_declaration] = STATE(614),
    [sym__declaration_modifiers] = STATE(3155),
    [sym__declaration_specifiers] = STATE(4704),
    [sym_attribute_specifier] = STATE(3155),
    [sym_attribute_declaration] = STATE(3155),
    [sym_ms_declspec_modifier] = STATE(3155),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(1908),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6176),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3155),
    [sym_type_qualifier] = STATE(3155),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2683),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym__empty_declaration] = STATE(614),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_explicit_function_specifier] = STATE(1788),
    [sym_dependent_type] = STATE(2476),
    [sym_template_declaration] = STATE(614),
    [sym_operator_cast] = STATE(6770),
    [sym__constructor_specifiers] = STATE(1788),
    [sym_operator_cast_definition] = STATE(614),
    [sym_operator_cast_declaration] = STATE(614),
    [sym_constructor_or_destructor_definition] = STATE(614),
    [sym_constructor_or_destructor_declaration] = STATE(614),
    [sym_friend_declaration] = STATE(614),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_alias_declaration] = STATE(614),
    [sym_concept_definition] = STATE(614),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5446),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_qualified_operator_cast_identifier] = STATE(6770),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1788),
    [sym_identifier] = ACTIONS(3826),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3868),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3870),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3872),
    [anon_sym_using] = ACTIONS(3874),
    [anon_sym_concept] = ACTIONS(796),
  },
  [851] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3990),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3992),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [852] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4598),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3994),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3996),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [853] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4558),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(3998),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(4000),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [854] = {
    [sym_type_qualifier] = STATE(838),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4707),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(838),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(4002),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(4004),
    [anon_sym_RBRACK] = ACTIONS(4006),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [855] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [sym_expression] = STATE(4574),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(4008),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3904),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(4010),
    [anon_sym_const] = ACTIONS(3910),
    [anon_sym_constexpr] = ACTIONS(3910),
    [anon_sym_volatile] = ACTIONS(3910),
    [anon_sym_restrict] = ACTIONS(3910),
    [anon_sym___restrict__] = ACTIONS(3910),
    [anon_sym__Atomic] = ACTIONS(3910),
    [anon_sym__Noreturn] = ACTIONS(3910),
    [anon_sym_noreturn] = ACTIONS(3910),
    [anon_sym__Nonnull] = ACTIONS(3910),
    [anon_sym_mutable] = ACTIONS(3910),
    [anon_sym_constinit] = ACTIONS(3910),
    [anon_sym_consteval] = ACTIONS(3910),
    [anon_sym_alignas] = ACTIONS(3912),
    [anon_sym__Alignas] = ACTIONS(3912),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [856] = {
    [sym_identifier] = ACTIONS(4012),
    [anon_sym_LPAREN2] = ACTIONS(4015),
    [anon_sym_BANG] = ACTIONS(4018),
    [anon_sym_TILDE] = ACTIONS(4015),
    [anon_sym_DASH] = ACTIONS(4020),
    [anon_sym_PLUS] = ACTIONS(4020),
    [anon_sym_STAR] = ACTIONS(4015),
    [anon_sym_AMP_AMP] = ACTIONS(4022),
    [anon_sym_AMP] = ACTIONS(4012),
    [anon_sym_SEMI] = ACTIONS(4018),
    [anon_sym___extension__] = ACTIONS(4012),
    [anon_sym_virtual] = ACTIONS(4024),
    [anon_sym_extern] = ACTIONS(4024),
    [anon_sym___attribute__] = ACTIONS(4024),
    [anon_sym___attribute] = ACTIONS(4024),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4015),
    [anon_sym___declspec] = ACTIONS(4024),
    [anon_sym___based] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4018),
    [anon_sym_signed] = ACTIONS(4024),
    [anon_sym_unsigned] = ACTIONS(4024),
    [anon_sym_long] = ACTIONS(4024),
    [anon_sym_short] = ACTIONS(4024),
    [anon_sym_LBRACK] = ACTIONS(4012),
    [anon_sym_static] = ACTIONS(4024),
    [anon_sym_register] = ACTIONS(4024),
    [anon_sym_inline] = ACTIONS(4024),
    [anon_sym___inline] = ACTIONS(4024),
    [anon_sym___inline__] = ACTIONS(4024),
    [anon_sym___forceinline] = ACTIONS(4024),
    [anon_sym_thread_local] = ACTIONS(4024),
    [anon_sym___thread] = ACTIONS(4024),
    [anon_sym_const] = ACTIONS(4024),
    [anon_sym_constexpr] = ACTIONS(4024),
    [anon_sym_volatile] = ACTIONS(4024),
    [anon_sym_restrict] = ACTIONS(4024),
    [anon_sym___restrict__] = ACTIONS(4024),
    [anon_sym__Atomic] = ACTIONS(4024),
    [anon_sym__Noreturn] = ACTIONS(4024),
    [anon_sym_noreturn] = ACTIONS(4024),
    [anon_sym__Nonnull] = ACTIONS(4024),
    [anon_sym_mutable] = ACTIONS(4024),
    [anon_sym_constinit] = ACTIONS(4024),
    [anon_sym_consteval] = ACTIONS(4024),
    [anon_sym_alignas] = ACTIONS(4024),
    [anon_sym__Alignas] = ACTIONS(4024),
    [sym_primitive_type] = ACTIONS(4012),
    [anon_sym_enum] = ACTIONS(4024),
    [anon_sym_class] = ACTIONS(4024),
    [anon_sym_struct] = ACTIONS(4024),
    [anon_sym_union] = ACTIONS(4024),
    [anon_sym_if] = ACTIONS(4020),
    [anon_sym_switch] = ACTIONS(4020),
    [anon_sym_case] = ACTIONS(4020),
    [anon_sym_default] = ACTIONS(4020),
    [anon_sym_while] = ACTIONS(4020),
    [anon_sym_do] = ACTIONS(4020),
    [anon_sym_for] = ACTIONS(4020),
    [anon_sym_return] = ACTIONS(4020),
    [anon_sym_break] = ACTIONS(4020),
    [anon_sym_continue] = ACTIONS(4020),
    [anon_sym_goto] = ACTIONS(4020),
    [anon_sym___try] = ACTIONS(4020),
    [anon_sym___leave] = ACTIONS(4020),
    [anon_sym_not] = ACTIONS(4020),
    [anon_sym_compl] = ACTIONS(4020),
    [anon_sym_DASH_DASH] = ACTIONS(4018),
    [anon_sym_PLUS_PLUS] = ACTIONS(4018),
    [anon_sym_sizeof] = ACTIONS(4020),
    [anon_sym___alignof__] = ACTIONS(4020),
    [anon_sym___alignof] = ACTIONS(4020),
    [anon_sym__alignof] = ACTIONS(4020),
    [anon_sym_alignof] = ACTIONS(4020),
    [anon_sym__Alignof] = ACTIONS(4020),
    [anon_sym_offsetof] = ACTIONS(4020),
    [anon_sym__Generic] = ACTIONS(4020),
    [anon_sym_asm] = ACTIONS(4020),
    [anon_sym___asm__] = ACTIONS(4020),
    [anon_sym___asm] = ACTIONS(4020),
    [sym_number_literal] = ACTIONS(4018),
    [anon_sym_L_SQUOTE] = ACTIONS(4018),
    [anon_sym_u_SQUOTE] = ACTIONS(4018),
    [anon_sym_U_SQUOTE] = ACTIONS(4018),
    [anon_sym_u8_SQUOTE] = ACTIONS(4018),
    [anon_sym_SQUOTE] = ACTIONS(4018),
    [anon_sym_L_DQUOTE] = ACTIONS(4018),
    [anon_sym_u_DQUOTE] = ACTIONS(4018),
    [anon_sym_U_DQUOTE] = ACTIONS(4018),
    [anon_sym_u8_DQUOTE] = ACTIONS(4018),
    [anon_sym_DQUOTE] = ACTIONS(4018),
    [sym_true] = ACTIONS(4020),
    [sym_false] = ACTIONS(4020),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4024),
    [anon_sym_decltype] = ACTIONS(4012),
    [anon_sym_explicit] = ACTIONS(4024),
    [anon_sym_typename] = ACTIONS(4024),
    [anon_sym_template] = ACTIONS(4012),
    [anon_sym_operator] = ACTIONS(4024),
    [anon_sym_try] = ACTIONS(4020),
    [anon_sym_delete] = ACTIONS(4020),
    [anon_sym_throw] = ACTIONS(4020),
    [anon_sym_co_return] = ACTIONS(4020),
    [anon_sym_co_yield] = ACTIONS(4020),
    [anon_sym_R_DQUOTE] = ACTIONS(4018),
    [anon_sym_LR_DQUOTE] = ACTIONS(4018),
    [anon_sym_uR_DQUOTE] = ACTIONS(4018),
    [anon_sym_UR_DQUOTE] = ACTIONS(4018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4018),
    [anon_sym_co_await] = ACTIONS(4020),
    [anon_sym_new] = ACTIONS(4020),
    [anon_sym_requires] = ACTIONS(4020),
    [sym_this] = ACTIONS(4020),
  },
  [857] = {
    [sym_expression] = STATE(3111),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(3794),
    [anon_sym_LPAREN2] = ACTIONS(4026),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(4032),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(4035),
    [anon_sym___extension__] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3800),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(4038),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [858] = {
    [sym_catch_clause] = STATE(859),
    [aux_sym_constructor_try_statement_repeat1] = STATE(859),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_catch] = ACTIONS(4041),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [859] = {
    [sym_catch_clause] = STATE(859),
    [aux_sym_constructor_try_statement_repeat1] = STATE(859),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym___extension__] = ACTIONS(2497),
    [anon_sym_typedef] = ACTIONS(2497),
    [anon_sym_virtual] = ACTIONS(2497),
    [anon_sym_extern] = ACTIONS(2497),
    [anon_sym___attribute__] = ACTIONS(2497),
    [anon_sym___attribute] = ACTIONS(2497),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2499),
    [anon_sym___declspec] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2497),
    [anon_sym_unsigned] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_register] = ACTIONS(2497),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym___inline] = ACTIONS(2497),
    [anon_sym___inline__] = ACTIONS(2497),
    [anon_sym___forceinline] = ACTIONS(2497),
    [anon_sym_thread_local] = ACTIONS(2497),
    [anon_sym___thread] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_constexpr] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_restrict] = ACTIONS(2497),
    [anon_sym___restrict__] = ACTIONS(2497),
    [anon_sym__Atomic] = ACTIONS(2497),
    [anon_sym__Noreturn] = ACTIONS(2497),
    [anon_sym_noreturn] = ACTIONS(2497),
    [anon_sym__Nonnull] = ACTIONS(2497),
    [anon_sym_mutable] = ACTIONS(2497),
    [anon_sym_constinit] = ACTIONS(2497),
    [anon_sym_consteval] = ACTIONS(2497),
    [anon_sym_alignas] = ACTIONS(2497),
    [anon_sym__Alignas] = ACTIONS(2497),
    [sym_primitive_type] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_struct] = ACTIONS(2497),
    [anon_sym_union] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_goto] = ACTIONS(2497),
    [anon_sym___try] = ACTIONS(2497),
    [anon_sym___leave] = ACTIONS(2497),
    [anon_sym_not] = ACTIONS(2497),
    [anon_sym_compl] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_sizeof] = ACTIONS(2497),
    [anon_sym___alignof__] = ACTIONS(2497),
    [anon_sym___alignof] = ACTIONS(2497),
    [anon_sym__alignof] = ACTIONS(2497),
    [anon_sym_alignof] = ACTIONS(2497),
    [anon_sym__Alignof] = ACTIONS(2497),
    [anon_sym_offsetof] = ACTIONS(2497),
    [anon_sym__Generic] = ACTIONS(2497),
    [anon_sym_asm] = ACTIONS(2497),
    [anon_sym___asm__] = ACTIONS(2497),
    [anon_sym___asm] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2499),
    [anon_sym_L_SQUOTE] = ACTIONS(2499),
    [anon_sym_u_SQUOTE] = ACTIONS(2499),
    [anon_sym_U_SQUOTE] = ACTIONS(2499),
    [anon_sym_u8_SQUOTE] = ACTIONS(2499),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_L_DQUOTE] = ACTIONS(2499),
    [anon_sym_u_DQUOTE] = ACTIONS(2499),
    [anon_sym_U_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8_DQUOTE] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [anon_sym_NULL] = ACTIONS(2497),
    [anon_sym_nullptr] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2497),
    [anon_sym_decltype] = ACTIONS(2497),
    [anon_sym_typename] = ACTIONS(2497),
    [anon_sym_template] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_co_return] = ACTIONS(2497),
    [anon_sym_co_yield] = ACTIONS(2497),
    [anon_sym_catch] = ACTIONS(4043),
    [anon_sym_R_DQUOTE] = ACTIONS(2499),
    [anon_sym_LR_DQUOTE] = ACTIONS(2499),
    [anon_sym_uR_DQUOTE] = ACTIONS(2499),
    [anon_sym_UR_DQUOTE] = ACTIONS(2499),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2499),
    [anon_sym_co_await] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2497),
  },
  [860] = {
    [sym_expression] = STATE(2897),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_LPAREN2] = ACTIONS(4049),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(4052),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(2519),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(4055),
    [anon_sym_COLON_COLON] = ACTIONS(4058),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(4038),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [861] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1566),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4084),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym___cdecl] = ACTIONS(4061),
    [anon_sym___clrcall] = ACTIONS(4061),
    [anon_sym___stdcall] = ACTIONS(4061),
    [anon_sym___fastcall] = ACTIONS(4061),
    [anon_sym___thiscall] = ACTIONS(4061),
    [anon_sym___vectorcall] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4091),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4097),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [862] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1566),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4084),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym___cdecl] = ACTIONS(4061),
    [anon_sym___clrcall] = ACTIONS(4061),
    [anon_sym___stdcall] = ACTIONS(4061),
    [anon_sym___fastcall] = ACTIONS(4061),
    [anon_sym___thiscall] = ACTIONS(4061),
    [anon_sym___vectorcall] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4091),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4101),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [863] = {
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_LPAREN2] = ACTIONS(4106),
    [anon_sym_BANG] = ACTIONS(4109),
    [anon_sym_TILDE] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4112),
    [anon_sym_PLUS] = ACTIONS(4112),
    [anon_sym_STAR] = ACTIONS(2519),
    [anon_sym_AMP] = ACTIONS(2519),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4038),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_RBRACK] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(4112),
    [anon_sym_compl] = ACTIONS(4112),
    [anon_sym_DASH_DASH] = ACTIONS(4121),
    [anon_sym_PLUS_PLUS] = ACTIONS(4121),
    [anon_sym_sizeof] = ACTIONS(4124),
    [anon_sym___alignof__] = ACTIONS(4127),
    [anon_sym___alignof] = ACTIONS(4127),
    [anon_sym__alignof] = ACTIONS(4127),
    [anon_sym_alignof] = ACTIONS(4127),
    [anon_sym__Alignof] = ACTIONS(4127),
    [anon_sym_offsetof] = ACTIONS(4130),
    [anon_sym__Generic] = ACTIONS(4133),
    [anon_sym_asm] = ACTIONS(4136),
    [anon_sym___asm__] = ACTIONS(4136),
    [anon_sym___asm] = ACTIONS(4136),
    [sym_number_literal] = ACTIONS(4139),
    [anon_sym_L_SQUOTE] = ACTIONS(4142),
    [anon_sym_u_SQUOTE] = ACTIONS(4142),
    [anon_sym_U_SQUOTE] = ACTIONS(4142),
    [anon_sym_u8_SQUOTE] = ACTIONS(4142),
    [anon_sym_SQUOTE] = ACTIONS(4142),
    [anon_sym_L_DQUOTE] = ACTIONS(4145),
    [anon_sym_u_DQUOTE] = ACTIONS(4145),
    [anon_sym_U_DQUOTE] = ACTIONS(4145),
    [anon_sym_u8_DQUOTE] = ACTIONS(4145),
    [anon_sym_DQUOTE] = ACTIONS(4145),
    [sym_true] = ACTIONS(4148),
    [sym_false] = ACTIONS(4148),
    [anon_sym_NULL] = ACTIONS(4151),
    [anon_sym_nullptr] = ACTIONS(4151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2543),
    [anon_sym_template] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(4154),
    [anon_sym_R_DQUOTE] = ACTIONS(4157),
    [anon_sym_LR_DQUOTE] = ACTIONS(4157),
    [anon_sym_uR_DQUOTE] = ACTIONS(4157),
    [anon_sym_UR_DQUOTE] = ACTIONS(4157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4157),
    [anon_sym_co_await] = ACTIONS(4160),
    [anon_sym_new] = ACTIONS(4163),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4148),
  },
  [864] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1566),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4084),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym___cdecl] = ACTIONS(4061),
    [anon_sym___clrcall] = ACTIONS(4061),
    [anon_sym___stdcall] = ACTIONS(4061),
    [anon_sym___fastcall] = ACTIONS(4061),
    [anon_sym___thiscall] = ACTIONS(4061),
    [anon_sym___vectorcall] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4091),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [865] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1566),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4084),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym___cdecl] = ACTIONS(4061),
    [anon_sym___clrcall] = ACTIONS(4061),
    [anon_sym___stdcall] = ACTIONS(4061),
    [anon_sym___fastcall] = ACTIONS(4061),
    [anon_sym___thiscall] = ACTIONS(4061),
    [anon_sym___vectorcall] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4091),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [866] = {
    [sym_else_clause] = STATE(911),
    [sym_identifier] = ACTIONS(2573),
    [anon_sym_LPAREN2] = ACTIONS(2575),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym___extension__] = ACTIONS(2573),
    [anon_sym_typedef] = ACTIONS(2573),
    [anon_sym_virtual] = ACTIONS(2573),
    [anon_sym_extern] = ACTIONS(2573),
    [anon_sym___attribute__] = ACTIONS(2573),
    [anon_sym___attribute] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2575),
    [anon_sym___declspec] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2573),
    [anon_sym_unsigned] = ACTIONS(2573),
    [anon_sym_long] = ACTIONS(2573),
    [anon_sym_short] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2573),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_register] = ACTIONS(2573),
    [anon_sym_inline] = ACTIONS(2573),
    [anon_sym___inline] = ACTIONS(2573),
    [anon_sym___inline__] = ACTIONS(2573),
    [anon_sym___forceinline] = ACTIONS(2573),
    [anon_sym_thread_local] = ACTIONS(2573),
    [anon_sym___thread] = ACTIONS(2573),
    [anon_sym_const] = ACTIONS(2573),
    [anon_sym_constexpr] = ACTIONS(2573),
    [anon_sym_volatile] = ACTIONS(2573),
    [anon_sym_restrict] = ACTIONS(2573),
    [anon_sym___restrict__] = ACTIONS(2573),
    [anon_sym__Atomic] = ACTIONS(2573),
    [anon_sym__Noreturn] = ACTIONS(2573),
    [anon_sym_noreturn] = ACTIONS(2573),
    [anon_sym__Nonnull] = ACTIONS(2573),
    [anon_sym_mutable] = ACTIONS(2573),
    [anon_sym_constinit] = ACTIONS(2573),
    [anon_sym_consteval] = ACTIONS(2573),
    [anon_sym_alignas] = ACTIONS(2573),
    [anon_sym__Alignas] = ACTIONS(2573),
    [sym_primitive_type] = ACTIONS(2573),
    [anon_sym_enum] = ACTIONS(2573),
    [anon_sym_class] = ACTIONS(2573),
    [anon_sym_struct] = ACTIONS(2573),
    [anon_sym_union] = ACTIONS(2573),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_else] = ACTIONS(4173),
    [anon_sym_switch] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(2573),
    [anon_sym_do] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2573),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_break] = ACTIONS(2573),
    [anon_sym_continue] = ACTIONS(2573),
    [anon_sym_goto] = ACTIONS(2573),
    [anon_sym___try] = ACTIONS(2573),
    [anon_sym___leave] = ACTIONS(2573),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_compl] = ACTIONS(2573),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_sizeof] = ACTIONS(2573),
    [anon_sym___alignof__] = ACTIONS(2573),
    [anon_sym___alignof] = ACTIONS(2573),
    [anon_sym__alignof] = ACTIONS(2573),
    [anon_sym_alignof] = ACTIONS(2573),
    [anon_sym__Alignof] = ACTIONS(2573),
    [anon_sym_offsetof] = ACTIONS(2573),
    [anon_sym__Generic] = ACTIONS(2573),
    [anon_sym_asm] = ACTIONS(2573),
    [anon_sym___asm__] = ACTIONS(2573),
    [anon_sym___asm] = ACTIONS(2573),
    [sym_number_literal] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2575),
    [anon_sym_u_SQUOTE] = ACTIONS(2575),
    [anon_sym_U_SQUOTE] = ACTIONS(2575),
    [anon_sym_u8_SQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_L_DQUOTE] = ACTIONS(2575),
    [anon_sym_u_DQUOTE] = ACTIONS(2575),
    [anon_sym_U_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8_DQUOTE] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [sym_true] = ACTIONS(2573),
    [sym_false] = ACTIONS(2573),
    [anon_sym_NULL] = ACTIONS(2573),
    [anon_sym_nullptr] = ACTIONS(2573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2573),
    [anon_sym_decltype] = ACTIONS(2573),
    [anon_sym_typename] = ACTIONS(2573),
    [anon_sym_template] = ACTIONS(2573),
    [anon_sym_try] = ACTIONS(2573),
    [anon_sym_delete] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2573),
    [anon_sym_co_return] = ACTIONS(2573),
    [anon_sym_co_yield] = ACTIONS(2573),
    [anon_sym_R_DQUOTE] = ACTIONS(2575),
    [anon_sym_LR_DQUOTE] = ACTIONS(2575),
    [anon_sym_uR_DQUOTE] = ACTIONS(2575),
    [anon_sym_UR_DQUOTE] = ACTIONS(2575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2575),
    [anon_sym_co_await] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_requires] = ACTIONS(2573),
    [sym_this] = ACTIONS(2573),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2569),
    [anon_sym_STAR] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym___extension__] = ACTIONS(2569),
    [anon_sym_typedef] = ACTIONS(2569),
    [anon_sym_virtual] = ACTIONS(2569),
    [anon_sym_extern] = ACTIONS(2569),
    [anon_sym___attribute__] = ACTIONS(2569),
    [anon_sym___attribute] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2571),
    [anon_sym___declspec] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_signed] = ACTIONS(2569),
    [anon_sym_unsigned] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_register] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym___inline] = ACTIONS(2569),
    [anon_sym___inline__] = ACTIONS(2569),
    [anon_sym___forceinline] = ACTIONS(2569),
    [anon_sym_thread_local] = ACTIONS(2569),
    [anon_sym___thread] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_constexpr] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_restrict] = ACTIONS(2569),
    [anon_sym___restrict__] = ACTIONS(2569),
    [anon_sym__Atomic] = ACTIONS(2569),
    [anon_sym__Noreturn] = ACTIONS(2569),
    [anon_sym_noreturn] = ACTIONS(2569),
    [anon_sym__Nonnull] = ACTIONS(2569),
    [anon_sym_mutable] = ACTIONS(2569),
    [anon_sym_constinit] = ACTIONS(2569),
    [anon_sym_consteval] = ACTIONS(2569),
    [anon_sym_alignas] = ACTIONS(2569),
    [anon_sym__Alignas] = ACTIONS(2569),
    [sym_primitive_type] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_struct] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2569),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_else] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2569),
    [anon_sym_return] = ACTIONS(2569),
    [anon_sym_break] = ACTIONS(2569),
    [anon_sym_continue] = ACTIONS(2569),
    [anon_sym_goto] = ACTIONS(2569),
    [anon_sym___try] = ACTIONS(2569),
    [anon_sym___leave] = ACTIONS(2569),
    [anon_sym_not] = ACTIONS(2569),
    [anon_sym_compl] = ACTIONS(2569),
    [anon_sym_DASH_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_PLUS] = ACTIONS(2571),
    [anon_sym_sizeof] = ACTIONS(2569),
    [anon_sym___alignof__] = ACTIONS(2569),
    [anon_sym___alignof] = ACTIONS(2569),
    [anon_sym__alignof] = ACTIONS(2569),
    [anon_sym_alignof] = ACTIONS(2569),
    [anon_sym__Alignof] = ACTIONS(2569),
    [anon_sym_offsetof] = ACTIONS(2569),
    [anon_sym__Generic] = ACTIONS(2569),
    [anon_sym_asm] = ACTIONS(2569),
    [anon_sym___asm__] = ACTIONS(2569),
    [anon_sym___asm] = ACTIONS(2569),
    [sym_number_literal] = ACTIONS(2571),
    [anon_sym_L_SQUOTE] = ACTIONS(2571),
    [anon_sym_u_SQUOTE] = ACTIONS(2571),
    [anon_sym_U_SQUOTE] = ACTIONS(2571),
    [anon_sym_u8_SQUOTE] = ACTIONS(2571),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [anon_sym_L_DQUOTE] = ACTIONS(2571),
    [anon_sym_u_DQUOTE] = ACTIONS(2571),
    [anon_sym_U_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [sym_true] = ACTIONS(2569),
    [sym_false] = ACTIONS(2569),
    [anon_sym_NULL] = ACTIONS(2569),
    [anon_sym_nullptr] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2569),
    [anon_sym_decltype] = ACTIONS(2569),
    [anon_sym_typename] = ACTIONS(2569),
    [anon_sym_template] = ACTIONS(2569),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_delete] = ACTIONS(2569),
    [anon_sym_throw] = ACTIONS(2569),
    [anon_sym_co_return] = ACTIONS(2569),
    [anon_sym_co_yield] = ACTIONS(2569),
    [anon_sym_catch] = ACTIONS(2569),
    [anon_sym_R_DQUOTE] = ACTIONS(2571),
    [anon_sym_LR_DQUOTE] = ACTIONS(2571),
    [anon_sym_uR_DQUOTE] = ACTIONS(2571),
    [anon_sym_UR_DQUOTE] = ACTIONS(2571),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2571),
    [anon_sym_co_await] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_requires] = ACTIONS(2569),
    [sym_this] = ACTIONS(2569),
  },
  [868] = {
    [sym_else_clause] = STATE(907),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_LPAREN2] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_SEMI] = ACTIONS(2565),
    [anon_sym___extension__] = ACTIONS(2563),
    [anon_sym_typedef] = ACTIONS(2563),
    [anon_sym_virtual] = ACTIONS(2563),
    [anon_sym_extern] = ACTIONS(2563),
    [anon_sym___attribute__] = ACTIONS(2563),
    [anon_sym___attribute] = ACTIONS(2563),
    [anon_sym_COLON_COLON] = ACTIONS(2565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2565),
    [anon_sym___declspec] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_signed] = ACTIONS(2563),
    [anon_sym_unsigned] = ACTIONS(2563),
    [anon_sym_long] = ACTIONS(2563),
    [anon_sym_short] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_static] = ACTIONS(2563),
    [anon_sym_register] = ACTIONS(2563),
    [anon_sym_inline] = ACTIONS(2563),
    [anon_sym___inline] = ACTIONS(2563),
    [anon_sym___inline__] = ACTIONS(2563),
    [anon_sym___forceinline] = ACTIONS(2563),
    [anon_sym_thread_local] = ACTIONS(2563),
    [anon_sym___thread] = ACTIONS(2563),
    [anon_sym_const] = ACTIONS(2563),
    [anon_sym_constexpr] = ACTIONS(2563),
    [anon_sym_volatile] = ACTIONS(2563),
    [anon_sym_restrict] = ACTIONS(2563),
    [anon_sym___restrict__] = ACTIONS(2563),
    [anon_sym__Atomic] = ACTIONS(2563),
    [anon_sym__Noreturn] = ACTIONS(2563),
    [anon_sym_noreturn] = ACTIONS(2563),
    [anon_sym__Nonnull] = ACTIONS(2563),
    [anon_sym_mutable] = ACTIONS(2563),
    [anon_sym_constinit] = ACTIONS(2563),
    [anon_sym_consteval] = ACTIONS(2563),
    [anon_sym_alignas] = ACTIONS(2563),
    [anon_sym__Alignas] = ACTIONS(2563),
    [sym_primitive_type] = ACTIONS(2563),
    [anon_sym_enum] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2563),
    [anon_sym_struct] = ACTIONS(2563),
    [anon_sym_union] = ACTIONS(2563),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(4173),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_do] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_return] = ACTIONS(2563),
    [anon_sym_break] = ACTIONS(2563),
    [anon_sym_continue] = ACTIONS(2563),
    [anon_sym_goto] = ACTIONS(2563),
    [anon_sym___try] = ACTIONS(2563),
    [anon_sym___leave] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_compl] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2565),
    [anon_sym_PLUS_PLUS] = ACTIONS(2565),
    [anon_sym_sizeof] = ACTIONS(2563),
    [anon_sym___alignof__] = ACTIONS(2563),
    [anon_sym___alignof] = ACTIONS(2563),
    [anon_sym__alignof] = ACTIONS(2563),
    [anon_sym_alignof] = ACTIONS(2563),
    [anon_sym__Alignof] = ACTIONS(2563),
    [anon_sym_offsetof] = ACTIONS(2563),
    [anon_sym__Generic] = ACTIONS(2563),
    [anon_sym_asm] = ACTIONS(2563),
    [anon_sym___asm__] = ACTIONS(2563),
    [anon_sym___asm] = ACTIONS(2563),
    [sym_number_literal] = ACTIONS(2565),
    [anon_sym_L_SQUOTE] = ACTIONS(2565),
    [anon_sym_u_SQUOTE] = ACTIONS(2565),
    [anon_sym_U_SQUOTE] = ACTIONS(2565),
    [anon_sym_u8_SQUOTE] = ACTIONS(2565),
    [anon_sym_SQUOTE] = ACTIONS(2565),
    [anon_sym_L_DQUOTE] = ACTIONS(2565),
    [anon_sym_u_DQUOTE] = ACTIONS(2565),
    [anon_sym_U_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [anon_sym_NULL] = ACTIONS(2563),
    [anon_sym_nullptr] = ACTIONS(2563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2563),
    [anon_sym_decltype] = ACTIONS(2563),
    [anon_sym_typename] = ACTIONS(2563),
    [anon_sym_template] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2563),
    [anon_sym_delete] = ACTIONS(2563),
    [anon_sym_throw] = ACTIONS(2563),
    [anon_sym_co_return] = ACTIONS(2563),
    [anon_sym_co_yield] = ACTIONS(2563),
    [anon_sym_R_DQUOTE] = ACTIONS(2565),
    [anon_sym_LR_DQUOTE] = ACTIONS(2565),
    [anon_sym_uR_DQUOTE] = ACTIONS(2565),
    [anon_sym_UR_DQUOTE] = ACTIONS(2565),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2565),
    [anon_sym_co_await] = ACTIONS(2563),
    [anon_sym_new] = ACTIONS(2563),
    [anon_sym_requires] = ACTIONS(2563),
    [sym_this] = ACTIONS(2563),
  },
  [869] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1566),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4084),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym___cdecl] = ACTIONS(4061),
    [anon_sym___clrcall] = ACTIONS(4061),
    [anon_sym___stdcall] = ACTIONS(4061),
    [anon_sym___fastcall] = ACTIONS(4061),
    [anon_sym___thiscall] = ACTIONS(4061),
    [anon_sym___vectorcall] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4091),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [870] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_goto] = ACTIONS(1913),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym___leave] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_compl] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_sizeof] = ACTIONS(1913),
    [anon_sym___alignof__] = ACTIONS(1913),
    [anon_sym___alignof] = ACTIONS(1913),
    [anon_sym__alignof] = ACTIONS(1913),
    [anon_sym_alignof] = ACTIONS(1913),
    [anon_sym__Alignof] = ACTIONS(1913),
    [anon_sym_offsetof] = ACTIONS(1913),
    [anon_sym__Generic] = ACTIONS(1913),
    [anon_sym_asm] = ACTIONS(1913),
    [anon_sym___asm__] = ACTIONS(1913),
    [anon_sym___asm] = ACTIONS(1913),
    [sym_number_literal] = ACTIONS(1911),
    [anon_sym_L_SQUOTE] = ACTIONS(1911),
    [anon_sym_u_SQUOTE] = ACTIONS(1911),
    [anon_sym_U_SQUOTE] = ACTIONS(1911),
    [anon_sym_u8_SQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [anon_sym_L_DQUOTE] = ACTIONS(1911),
    [anon_sym_u_DQUOTE] = ACTIONS(1911),
    [anon_sym_U_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8_DQUOTE] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [anon_sym_NULL] = ACTIONS(1913),
    [anon_sym_nullptr] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_co_return] = ACTIONS(1913),
    [anon_sym_co_yield] = ACTIONS(1913),
    [anon_sym_catch] = ACTIONS(1913),
    [anon_sym_R_DQUOTE] = ACTIONS(1911),
    [anon_sym_LR_DQUOTE] = ACTIONS(1911),
    [anon_sym_uR_DQUOTE] = ACTIONS(1911),
    [anon_sym_UR_DQUOTE] = ACTIONS(1911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1911),
    [anon_sym_co_await] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_requires] = ACTIONS(1913),
    [sym_this] = ACTIONS(1913),
  },
  [871] = {
    [sym_identifier] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1907),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_goto] = ACTIONS(1909),
    [anon_sym___try] = ACTIONS(1909),
    [anon_sym___leave] = ACTIONS(1909),
    [anon_sym_not] = ACTIONS(1909),
    [anon_sym_compl] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_sizeof] = ACTIONS(1909),
    [anon_sym___alignof__] = ACTIONS(1909),
    [anon_sym___alignof] = ACTIONS(1909),
    [anon_sym__alignof] = ACTIONS(1909),
    [anon_sym_alignof] = ACTIONS(1909),
    [anon_sym__Alignof] = ACTIONS(1909),
    [anon_sym_offsetof] = ACTIONS(1909),
    [anon_sym__Generic] = ACTIONS(1909),
    [anon_sym_asm] = ACTIONS(1909),
    [anon_sym___asm__] = ACTIONS(1909),
    [anon_sym___asm] = ACTIONS(1909),
    [sym_number_literal] = ACTIONS(1907),
    [anon_sym_L_SQUOTE] = ACTIONS(1907),
    [anon_sym_u_SQUOTE] = ACTIONS(1907),
    [anon_sym_U_SQUOTE] = ACTIONS(1907),
    [anon_sym_u8_SQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_L_DQUOTE] = ACTIONS(1907),
    [anon_sym_u_DQUOTE] = ACTIONS(1907),
    [anon_sym_U_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8_DQUOTE] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_NULL] = ACTIONS(1909),
    [anon_sym_nullptr] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_co_return] = ACTIONS(1909),
    [anon_sym_co_yield] = ACTIONS(1909),
    [anon_sym_catch] = ACTIONS(1909),
    [anon_sym_R_DQUOTE] = ACTIONS(1907),
    [anon_sym_LR_DQUOTE] = ACTIONS(1907),
    [anon_sym_uR_DQUOTE] = ACTIONS(1907),
    [anon_sym_UR_DQUOTE] = ACTIONS(1907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1907),
    [anon_sym_co_await] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_requires] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
  },
  [872] = {
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym___attribute] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym__Nonnull] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym__Alignas] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [anon_sym___asm] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
  },
  [873] = {
    [sym_identifier] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(2725),
    [anon_sym_BANG] = ACTIONS(2725),
    [anon_sym_TILDE] = ACTIONS(2725),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2723),
    [anon_sym_typedef] = ACTIONS(2723),
    [anon_sym_virtual] = ACTIONS(2723),
    [anon_sym_extern] = ACTIONS(2723),
    [anon_sym___attribute__] = ACTIONS(2723),
    [anon_sym___attribute] = ACTIONS(2723),
    [anon_sym_COLON_COLON] = ACTIONS(2725),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2725),
    [anon_sym___declspec] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2723),
    [anon_sym_unsigned] = ACTIONS(2723),
    [anon_sym_long] = ACTIONS(2723),
    [anon_sym_short] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_register] = ACTIONS(2723),
    [anon_sym_inline] = ACTIONS(2723),
    [anon_sym___inline] = ACTIONS(2723),
    [anon_sym___inline__] = ACTIONS(2723),
    [anon_sym___forceinline] = ACTIONS(2723),
    [anon_sym_thread_local] = ACTIONS(2723),
    [anon_sym___thread] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_constexpr] = ACTIONS(2723),
    [anon_sym_volatile] = ACTIONS(2723),
    [anon_sym_restrict] = ACTIONS(2723),
    [anon_sym___restrict__] = ACTIONS(2723),
    [anon_sym__Atomic] = ACTIONS(2723),
    [anon_sym__Noreturn] = ACTIONS(2723),
    [anon_sym_noreturn] = ACTIONS(2723),
    [anon_sym__Nonnull] = ACTIONS(2723),
    [anon_sym_mutable] = ACTIONS(2723),
    [anon_sym_constinit] = ACTIONS(2723),
    [anon_sym_consteval] = ACTIONS(2723),
    [anon_sym_alignas] = ACTIONS(2723),
    [anon_sym__Alignas] = ACTIONS(2723),
    [sym_primitive_type] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2723),
    [anon_sym_struct] = ACTIONS(2723),
    [anon_sym_union] = ACTIONS(2723),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_else] = ACTIONS(2723),
    [anon_sym_switch] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_do] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_goto] = ACTIONS(2723),
    [anon_sym___try] = ACTIONS(2723),
    [anon_sym___leave] = ACTIONS(2723),
    [anon_sym_not] = ACTIONS(2723),
    [anon_sym_compl] = ACTIONS(2723),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_sizeof] = ACTIONS(2723),
    [anon_sym___alignof__] = ACTIONS(2723),
    [anon_sym___alignof] = ACTIONS(2723),
    [anon_sym__alignof] = ACTIONS(2723),
    [anon_sym_alignof] = ACTIONS(2723),
    [anon_sym__Alignof] = ACTIONS(2723),
    [anon_sym_offsetof] = ACTIONS(2723),
    [anon_sym__Generic] = ACTIONS(2723),
    [anon_sym_asm] = ACTIONS(2723),
    [anon_sym___asm__] = ACTIONS(2723),
    [anon_sym___asm] = ACTIONS(2723),
    [sym_number_literal] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2725),
    [anon_sym_u_DQUOTE] = ACTIONS(2725),
    [anon_sym_U_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8_DQUOTE] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2725),
    [sym_true] = ACTIONS(2723),
    [sym_false] = ACTIONS(2723),
    [anon_sym_NULL] = ACTIONS(2723),
    [anon_sym_nullptr] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2723),
    [anon_sym_decltype] = ACTIONS(2723),
    [anon_sym_typename] = ACTIONS(2723),
    [anon_sym_template] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_delete] = ACTIONS(2723),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_co_return] = ACTIONS(2723),
    [anon_sym_co_yield] = ACTIONS(2723),
    [anon_sym_R_DQUOTE] = ACTIONS(2725),
    [anon_sym_LR_DQUOTE] = ACTIONS(2725),
    [anon_sym_uR_DQUOTE] = ACTIONS(2725),
    [anon_sym_UR_DQUOTE] = ACTIONS(2725),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2725),
    [anon_sym_co_await] = ACTIONS(2723),
    [anon_sym_new] = ACTIONS(2723),
    [anon_sym_requires] = ACTIONS(2723),
    [sym_this] = ACTIONS(2723),
  },
  [875] = {
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_LPAREN2] = ACTIONS(3824),
    [anon_sym_BANG] = ACTIONS(3824),
    [anon_sym_TILDE] = ACTIONS(3824),
    [anon_sym_DASH] = ACTIONS(3822),
    [anon_sym_PLUS] = ACTIONS(3822),
    [anon_sym_STAR] = ACTIONS(3824),
    [anon_sym_AMP] = ACTIONS(3824),
    [anon_sym_SEMI] = ACTIONS(3824),
    [anon_sym___extension__] = ACTIONS(3822),
    [anon_sym_virtual] = ACTIONS(3822),
    [anon_sym_extern] = ACTIONS(3822),
    [anon_sym___attribute__] = ACTIONS(3822),
    [anon_sym___attribute] = ACTIONS(3822),
    [anon_sym_COLON_COLON] = ACTIONS(3824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3824),
    [anon_sym___declspec] = ACTIONS(3822),
    [anon_sym_LBRACE] = ACTIONS(3824),
    [anon_sym_signed] = ACTIONS(3822),
    [anon_sym_unsigned] = ACTIONS(3822),
    [anon_sym_long] = ACTIONS(3822),
    [anon_sym_short] = ACTIONS(3822),
    [anon_sym_LBRACK] = ACTIONS(3822),
    [anon_sym_static] = ACTIONS(3822),
    [anon_sym_register] = ACTIONS(3822),
    [anon_sym_inline] = ACTIONS(3822),
    [anon_sym___inline] = ACTIONS(3822),
    [anon_sym___inline__] = ACTIONS(3822),
    [anon_sym___forceinline] = ACTIONS(3822),
    [anon_sym_thread_local] = ACTIONS(3822),
    [anon_sym___thread] = ACTIONS(3822),
    [anon_sym_const] = ACTIONS(3822),
    [anon_sym_constexpr] = ACTIONS(3822),
    [anon_sym_volatile] = ACTIONS(3822),
    [anon_sym_restrict] = ACTIONS(3822),
    [anon_sym___restrict__] = ACTIONS(3822),
    [anon_sym__Atomic] = ACTIONS(3822),
    [anon_sym__Noreturn] = ACTIONS(3822),
    [anon_sym_noreturn] = ACTIONS(3822),
    [anon_sym__Nonnull] = ACTIONS(3822),
    [anon_sym_mutable] = ACTIONS(3822),
    [anon_sym_constinit] = ACTIONS(3822),
    [anon_sym_consteval] = ACTIONS(3822),
    [anon_sym_alignas] = ACTIONS(3822),
    [anon_sym__Alignas] = ACTIONS(3822),
    [sym_primitive_type] = ACTIONS(3822),
    [anon_sym_enum] = ACTIONS(3822),
    [anon_sym_class] = ACTIONS(3822),
    [anon_sym_struct] = ACTIONS(3822),
    [anon_sym_union] = ACTIONS(3822),
    [anon_sym_if] = ACTIONS(3822),
    [anon_sym_switch] = ACTIONS(3822),
    [anon_sym_case] = ACTIONS(3822),
    [anon_sym_default] = ACTIONS(3822),
    [anon_sym_while] = ACTIONS(3822),
    [anon_sym_do] = ACTIONS(3822),
    [anon_sym_for] = ACTIONS(3822),
    [anon_sym_return] = ACTIONS(3822),
    [anon_sym_break] = ACTIONS(3822),
    [anon_sym_continue] = ACTIONS(3822),
    [anon_sym_goto] = ACTIONS(3822),
    [anon_sym___try] = ACTIONS(3822),
    [anon_sym___leave] = ACTIONS(3822),
    [anon_sym_not] = ACTIONS(3822),
    [anon_sym_compl] = ACTIONS(3822),
    [anon_sym_DASH_DASH] = ACTIONS(3824),
    [anon_sym_PLUS_PLUS] = ACTIONS(3824),
    [anon_sym_sizeof] = ACTIONS(3822),
    [anon_sym___alignof__] = ACTIONS(3822),
    [anon_sym___alignof] = ACTIONS(3822),
    [anon_sym__alignof] = ACTIONS(3822),
    [anon_sym_alignof] = ACTIONS(3822),
    [anon_sym__Alignof] = ACTIONS(3822),
    [anon_sym_offsetof] = ACTIONS(3822),
    [anon_sym__Generic] = ACTIONS(3822),
    [anon_sym_asm] = ACTIONS(3822),
    [anon_sym___asm__] = ACTIONS(3822),
    [anon_sym___asm] = ACTIONS(3822),
    [sym_number_literal] = ACTIONS(3824),
    [anon_sym_L_SQUOTE] = ACTIONS(3824),
    [anon_sym_u_SQUOTE] = ACTIONS(3824),
    [anon_sym_U_SQUOTE] = ACTIONS(3824),
    [anon_sym_u8_SQUOTE] = ACTIONS(3824),
    [anon_sym_SQUOTE] = ACTIONS(3824),
    [anon_sym_L_DQUOTE] = ACTIONS(3824),
    [anon_sym_u_DQUOTE] = ACTIONS(3824),
    [anon_sym_U_DQUOTE] = ACTIONS(3824),
    [anon_sym_u8_DQUOTE] = ACTIONS(3824),
    [anon_sym_DQUOTE] = ACTIONS(3824),
    [sym_true] = ACTIONS(3822),
    [sym_false] = ACTIONS(3822),
    [anon_sym_NULL] = ACTIONS(3822),
    [anon_sym_nullptr] = ACTIONS(3822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3822),
    [anon_sym_decltype] = ACTIONS(3822),
    [anon_sym_typename] = ACTIONS(3822),
    [anon_sym_template] = ACTIONS(3822),
    [anon_sym_try] = ACTIONS(3822),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_throw] = ACTIONS(3822),
    [anon_sym_co_return] = ACTIONS(3822),
    [anon_sym_co_yield] = ACTIONS(3822),
    [anon_sym_R_DQUOTE] = ACTIONS(3824),
    [anon_sym_LR_DQUOTE] = ACTIONS(3824),
    [anon_sym_uR_DQUOTE] = ACTIONS(3824),
    [anon_sym_UR_DQUOTE] = ACTIONS(3824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3824),
    [anon_sym_co_await] = ACTIONS(3822),
    [anon_sym_new] = ACTIONS(3822),
    [anon_sym_requires] = ACTIONS(3822),
    [sym_this] = ACTIONS(3822),
  },
  [876] = {
    [sym_identifier] = ACTIONS(2691),
    [anon_sym_LPAREN2] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2691),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_AMP] = ACTIONS(2693),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym___extension__] = ACTIONS(2691),
    [anon_sym_typedef] = ACTIONS(2691),
    [anon_sym_virtual] = ACTIONS(2691),
    [anon_sym_extern] = ACTIONS(2691),
    [anon_sym___attribute__] = ACTIONS(2691),
    [anon_sym___attribute] = ACTIONS(2691),
    [anon_sym_COLON_COLON] = ACTIONS(2693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2693),
    [anon_sym___declspec] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(2693),
    [anon_sym_signed] = ACTIONS(2691),
    [anon_sym_unsigned] = ACTIONS(2691),
    [anon_sym_long] = ACTIONS(2691),
    [anon_sym_short] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_static] = ACTIONS(2691),
    [anon_sym_register] = ACTIONS(2691),
    [anon_sym_inline] = ACTIONS(2691),
    [anon_sym___inline] = ACTIONS(2691),
    [anon_sym___inline__] = ACTIONS(2691),
    [anon_sym___forceinline] = ACTIONS(2691),
    [anon_sym_thread_local] = ACTIONS(2691),
    [anon_sym___thread] = ACTIONS(2691),
    [anon_sym_const] = ACTIONS(2691),
    [anon_sym_constexpr] = ACTIONS(2691),
    [anon_sym_volatile] = ACTIONS(2691),
    [anon_sym_restrict] = ACTIONS(2691),
    [anon_sym___restrict__] = ACTIONS(2691),
    [anon_sym__Atomic] = ACTIONS(2691),
    [anon_sym__Noreturn] = ACTIONS(2691),
    [anon_sym_noreturn] = ACTIONS(2691),
    [anon_sym__Nonnull] = ACTIONS(2691),
    [anon_sym_mutable] = ACTIONS(2691),
    [anon_sym_constinit] = ACTIONS(2691),
    [anon_sym_consteval] = ACTIONS(2691),
    [anon_sym_alignas] = ACTIONS(2691),
    [anon_sym__Alignas] = ACTIONS(2691),
    [sym_primitive_type] = ACTIONS(2691),
    [anon_sym_enum] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2691),
    [anon_sym_struct] = ACTIONS(2691),
    [anon_sym_union] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2691),
    [anon_sym_switch] = ACTIONS(2691),
    [anon_sym_while] = ACTIONS(2691),
    [anon_sym_do] = ACTIONS(2691),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_return] = ACTIONS(2691),
    [anon_sym_break] = ACTIONS(2691),
    [anon_sym_continue] = ACTIONS(2691),
    [anon_sym_goto] = ACTIONS(2691),
    [anon_sym___try] = ACTIONS(2691),
    [anon_sym___leave] = ACTIONS(2691),
    [anon_sym_not] = ACTIONS(2691),
    [anon_sym_compl] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_sizeof] = ACTIONS(2691),
    [anon_sym___alignof__] = ACTIONS(2691),
    [anon_sym___alignof] = ACTIONS(2691),
    [anon_sym__alignof] = ACTIONS(2691),
    [anon_sym_alignof] = ACTIONS(2691),
    [anon_sym__Alignof] = ACTIONS(2691),
    [anon_sym_offsetof] = ACTIONS(2691),
    [anon_sym__Generic] = ACTIONS(2691),
    [anon_sym_asm] = ACTIONS(2691),
    [anon_sym___asm__] = ACTIONS(2691),
    [anon_sym___asm] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2693),
    [anon_sym_L_SQUOTE] = ACTIONS(2693),
    [anon_sym_u_SQUOTE] = ACTIONS(2693),
    [anon_sym_U_SQUOTE] = ACTIONS(2693),
    [anon_sym_u8_SQUOTE] = ACTIONS(2693),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_L_DQUOTE] = ACTIONS(2693),
    [anon_sym_u_DQUOTE] = ACTIONS(2693),
    [anon_sym_U_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [sym_true] = ACTIONS(2691),
    [sym_false] = ACTIONS(2691),
    [anon_sym_NULL] = ACTIONS(2691),
    [anon_sym_nullptr] = ACTIONS(2691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2691),
    [anon_sym_decltype] = ACTIONS(2691),
    [anon_sym_typename] = ACTIONS(2691),
    [anon_sym_template] = ACTIONS(2691),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_delete] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2691),
    [anon_sym_co_return] = ACTIONS(2691),
    [anon_sym_co_yield] = ACTIONS(2691),
    [anon_sym_R_DQUOTE] = ACTIONS(2693),
    [anon_sym_LR_DQUOTE] = ACTIONS(2693),
    [anon_sym_uR_DQUOTE] = ACTIONS(2693),
    [anon_sym_UR_DQUOTE] = ACTIONS(2693),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2693),
    [anon_sym_co_await] = ACTIONS(2691),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_requires] = ACTIONS(2691),
    [sym_this] = ACTIONS(2691),
  },
  [877] = {
    [sym_identifier] = ACTIONS(2719),
    [anon_sym_LPAREN2] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2719),
    [anon_sym_typedef] = ACTIONS(2719),
    [anon_sym_virtual] = ACTIONS(2719),
    [anon_sym_extern] = ACTIONS(2719),
    [anon_sym___attribute__] = ACTIONS(2719),
    [anon_sym___attribute] = ACTIONS(2719),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2721),
    [anon_sym___declspec] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2719),
    [anon_sym_unsigned] = ACTIONS(2719),
    [anon_sym_long] = ACTIONS(2719),
    [anon_sym_short] = ACTIONS(2719),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [anon_sym_static] = ACTIONS(2719),
    [anon_sym_register] = ACTIONS(2719),
    [anon_sym_inline] = ACTIONS(2719),
    [anon_sym___inline] = ACTIONS(2719),
    [anon_sym___inline__] = ACTIONS(2719),
    [anon_sym___forceinline] = ACTIONS(2719),
    [anon_sym_thread_local] = ACTIONS(2719),
    [anon_sym___thread] = ACTIONS(2719),
    [anon_sym_const] = ACTIONS(2719),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(2719),
    [anon_sym_restrict] = ACTIONS(2719),
    [anon_sym___restrict__] = ACTIONS(2719),
    [anon_sym__Atomic] = ACTIONS(2719),
    [anon_sym__Noreturn] = ACTIONS(2719),
    [anon_sym_noreturn] = ACTIONS(2719),
    [anon_sym__Nonnull] = ACTIONS(2719),
    [anon_sym_mutable] = ACTIONS(2719),
    [anon_sym_constinit] = ACTIONS(2719),
    [anon_sym_consteval] = ACTIONS(2719),
    [anon_sym_alignas] = ACTIONS(2719),
    [anon_sym__Alignas] = ACTIONS(2719),
    [sym_primitive_type] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(2719),
    [anon_sym_class] = ACTIONS(2719),
    [anon_sym_struct] = ACTIONS(2719),
    [anon_sym_union] = ACTIONS(2719),
    [anon_sym_if] = ACTIONS(2719),
    [anon_sym_else] = ACTIONS(2719),
    [anon_sym_switch] = ACTIONS(2719),
    [anon_sym_while] = ACTIONS(2719),
    [anon_sym_do] = ACTIONS(2719),
    [anon_sym_for] = ACTIONS(2719),
    [anon_sym_return] = ACTIONS(2719),
    [anon_sym_break] = ACTIONS(2719),
    [anon_sym_continue] = ACTIONS(2719),
    [anon_sym_goto] = ACTIONS(2719),
    [anon_sym___try] = ACTIONS(2719),
    [anon_sym___leave] = ACTIONS(2719),
    [anon_sym_not] = ACTIONS(2719),
    [anon_sym_compl] = ACTIONS(2719),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_sizeof] = ACTIONS(2719),
    [anon_sym___alignof__] = ACTIONS(2719),
    [anon_sym___alignof] = ACTIONS(2719),
    [anon_sym__alignof] = ACTIONS(2719),
    [anon_sym_alignof] = ACTIONS(2719),
    [anon_sym__Alignof] = ACTIONS(2719),
    [anon_sym_offsetof] = ACTIONS(2719),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2719),
    [anon_sym___asm__] = ACTIONS(2719),
    [anon_sym___asm] = ACTIONS(2719),
    [sym_number_literal] = ACTIONS(2721),
    [anon_sym_L_SQUOTE] = ACTIONS(2721),
    [anon_sym_u_SQUOTE] = ACTIONS(2721),
    [anon_sym_U_SQUOTE] = ACTIONS(2721),
    [anon_sym_u8_SQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_L_DQUOTE] = ACTIONS(2721),
    [anon_sym_u_DQUOTE] = ACTIONS(2721),
    [anon_sym_U_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8_DQUOTE] = ACTIONS(2721),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [sym_true] = ACTIONS(2719),
    [sym_false] = ACTIONS(2719),
    [anon_sym_NULL] = ACTIONS(2719),
    [anon_sym_nullptr] = ACTIONS(2719),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2719),
    [anon_sym_decltype] = ACTIONS(2719),
    [anon_sym_typename] = ACTIONS(2719),
    [anon_sym_template] = ACTIONS(2719),
    [anon_sym_try] = ACTIONS(2719),
    [anon_sym_delete] = ACTIONS(2719),
    [anon_sym_throw] = ACTIONS(2719),
    [anon_sym_co_return] = ACTIONS(2719),
    [anon_sym_co_yield] = ACTIONS(2719),
    [anon_sym_R_DQUOTE] = ACTIONS(2721),
    [anon_sym_LR_DQUOTE] = ACTIONS(2721),
    [anon_sym_uR_DQUOTE] = ACTIONS(2721),
    [anon_sym_UR_DQUOTE] = ACTIONS(2721),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2721),
    [anon_sym_co_await] = ACTIONS(2719),
    [anon_sym_new] = ACTIONS(2719),
    [anon_sym_requires] = ACTIONS(2719),
    [sym_this] = ACTIONS(2719),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym___attribute] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym__Nonnull] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym__Alignas] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_else] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [anon_sym___asm] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2707),
    [anon_sym_LPAREN2] = ACTIONS(2709),
    [anon_sym_BANG] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2709),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym___extension__] = ACTIONS(2707),
    [anon_sym_typedef] = ACTIONS(2707),
    [anon_sym_virtual] = ACTIONS(2707),
    [anon_sym_extern] = ACTIONS(2707),
    [anon_sym___attribute__] = ACTIONS(2707),
    [anon_sym___attribute] = ACTIONS(2707),
    [anon_sym_COLON_COLON] = ACTIONS(2709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2709),
    [anon_sym___declspec] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_signed] = ACTIONS(2707),
    [anon_sym_unsigned] = ACTIONS(2707),
    [anon_sym_long] = ACTIONS(2707),
    [anon_sym_short] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [anon_sym_static] = ACTIONS(2707),
    [anon_sym_register] = ACTIONS(2707),
    [anon_sym_inline] = ACTIONS(2707),
    [anon_sym___inline] = ACTIONS(2707),
    [anon_sym___inline__] = ACTIONS(2707),
    [anon_sym___forceinline] = ACTIONS(2707),
    [anon_sym_thread_local] = ACTIONS(2707),
    [anon_sym___thread] = ACTIONS(2707),
    [anon_sym_const] = ACTIONS(2707),
    [anon_sym_constexpr] = ACTIONS(2707),
    [anon_sym_volatile] = ACTIONS(2707),
    [anon_sym_restrict] = ACTIONS(2707),
    [anon_sym___restrict__] = ACTIONS(2707),
    [anon_sym__Atomic] = ACTIONS(2707),
    [anon_sym__Noreturn] = ACTIONS(2707),
    [anon_sym_noreturn] = ACTIONS(2707),
    [anon_sym__Nonnull] = ACTIONS(2707),
    [anon_sym_mutable] = ACTIONS(2707),
    [anon_sym_constinit] = ACTIONS(2707),
    [anon_sym_consteval] = ACTIONS(2707),
    [anon_sym_alignas] = ACTIONS(2707),
    [anon_sym__Alignas] = ACTIONS(2707),
    [sym_primitive_type] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(2707),
    [anon_sym_class] = ACTIONS(2707),
    [anon_sym_struct] = ACTIONS(2707),
    [anon_sym_union] = ACTIONS(2707),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_else] = ACTIONS(2707),
    [anon_sym_switch] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(2707),
    [anon_sym_do] = ACTIONS(2707),
    [anon_sym_for] = ACTIONS(2707),
    [anon_sym_return] = ACTIONS(2707),
    [anon_sym_break] = ACTIONS(2707),
    [anon_sym_continue] = ACTIONS(2707),
    [anon_sym_goto] = ACTIONS(2707),
    [anon_sym___try] = ACTIONS(2707),
    [anon_sym___leave] = ACTIONS(2707),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_compl] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2709),
    [anon_sym_sizeof] = ACTIONS(2707),
    [anon_sym___alignof__] = ACTIONS(2707),
    [anon_sym___alignof] = ACTIONS(2707),
    [anon_sym__alignof] = ACTIONS(2707),
    [anon_sym_alignof] = ACTIONS(2707),
    [anon_sym__Alignof] = ACTIONS(2707),
    [anon_sym_offsetof] = ACTIONS(2707),
    [anon_sym__Generic] = ACTIONS(2707),
    [anon_sym_asm] = ACTIONS(2707),
    [anon_sym___asm__] = ACTIONS(2707),
    [anon_sym___asm] = ACTIONS(2707),
    [sym_number_literal] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2709),
    [anon_sym_u_SQUOTE] = ACTIONS(2709),
    [anon_sym_U_SQUOTE] = ACTIONS(2709),
    [anon_sym_u8_SQUOTE] = ACTIONS(2709),
    [anon_sym_SQUOTE] = ACTIONS(2709),
    [anon_sym_L_DQUOTE] = ACTIONS(2709),
    [anon_sym_u_DQUOTE] = ACTIONS(2709),
    [anon_sym_U_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8_DQUOTE] = ACTIONS(2709),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_true] = ACTIONS(2707),
    [sym_false] = ACTIONS(2707),
    [anon_sym_NULL] = ACTIONS(2707),
    [anon_sym_nullptr] = ACTIONS(2707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2707),
    [anon_sym_decltype] = ACTIONS(2707),
    [anon_sym_typename] = ACTIONS(2707),
    [anon_sym_template] = ACTIONS(2707),
    [anon_sym_try] = ACTIONS(2707),
    [anon_sym_delete] = ACTIONS(2707),
    [anon_sym_throw] = ACTIONS(2707),
    [anon_sym_co_return] = ACTIONS(2707),
    [anon_sym_co_yield] = ACTIONS(2707),
    [anon_sym_R_DQUOTE] = ACTIONS(2709),
    [anon_sym_LR_DQUOTE] = ACTIONS(2709),
    [anon_sym_uR_DQUOTE] = ACTIONS(2709),
    [anon_sym_UR_DQUOTE] = ACTIONS(2709),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2709),
    [anon_sym_co_await] = ACTIONS(2707),
    [anon_sym_new] = ACTIONS(2707),
    [anon_sym_requires] = ACTIONS(2707),
    [sym_this] = ACTIONS(2707),
  },
  [880] = {
    [sym_identifier] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2585),
    [anon_sym_STAR] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym___extension__] = ACTIONS(2585),
    [anon_sym_typedef] = ACTIONS(2585),
    [anon_sym_virtual] = ACTIONS(2585),
    [anon_sym_extern] = ACTIONS(2585),
    [anon_sym___attribute__] = ACTIONS(2585),
    [anon_sym___attribute] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2587),
    [anon_sym___declspec] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_signed] = ACTIONS(2585),
    [anon_sym_unsigned] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_register] = ACTIONS(2585),
    [anon_sym_inline] = ACTIONS(2585),
    [anon_sym___inline] = ACTIONS(2585),
    [anon_sym___inline__] = ACTIONS(2585),
    [anon_sym___forceinline] = ACTIONS(2585),
    [anon_sym_thread_local] = ACTIONS(2585),
    [anon_sym___thread] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_constexpr] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_restrict] = ACTIONS(2585),
    [anon_sym___restrict__] = ACTIONS(2585),
    [anon_sym__Atomic] = ACTIONS(2585),
    [anon_sym__Noreturn] = ACTIONS(2585),
    [anon_sym_noreturn] = ACTIONS(2585),
    [anon_sym__Nonnull] = ACTIONS(2585),
    [anon_sym_mutable] = ACTIONS(2585),
    [anon_sym_constinit] = ACTIONS(2585),
    [anon_sym_consteval] = ACTIONS(2585),
    [anon_sym_alignas] = ACTIONS(2585),
    [anon_sym__Alignas] = ACTIONS(2585),
    [sym_primitive_type] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_union] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_switch] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_break] = ACTIONS(2585),
    [anon_sym_continue] = ACTIONS(2585),
    [anon_sym_goto] = ACTIONS(2585),
    [anon_sym___try] = ACTIONS(2585),
    [anon_sym___leave] = ACTIONS(2585),
    [anon_sym_not] = ACTIONS(2585),
    [anon_sym_compl] = ACTIONS(2585),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_sizeof] = ACTIONS(2585),
    [anon_sym___alignof__] = ACTIONS(2585),
    [anon_sym___alignof] = ACTIONS(2585),
    [anon_sym__alignof] = ACTIONS(2585),
    [anon_sym_alignof] = ACTIONS(2585),
    [anon_sym__Alignof] = ACTIONS(2585),
    [anon_sym_offsetof] = ACTIONS(2585),
    [anon_sym__Generic] = ACTIONS(2585),
    [anon_sym_asm] = ACTIONS(2585),
    [anon_sym___asm__] = ACTIONS(2585),
    [anon_sym___asm] = ACTIONS(2585),
    [sym_number_literal] = ACTIONS(2587),
    [anon_sym_L_SQUOTE] = ACTIONS(2587),
    [anon_sym_u_SQUOTE] = ACTIONS(2587),
    [anon_sym_U_SQUOTE] = ACTIONS(2587),
    [anon_sym_u8_SQUOTE] = ACTIONS(2587),
    [anon_sym_SQUOTE] = ACTIONS(2587),
    [anon_sym_L_DQUOTE] = ACTIONS(2587),
    [anon_sym_u_DQUOTE] = ACTIONS(2587),
    [anon_sym_U_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [anon_sym_NULL] = ACTIONS(2585),
    [anon_sym_nullptr] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2585),
    [anon_sym_decltype] = ACTIONS(2585),
    [anon_sym_typename] = ACTIONS(2585),
    [anon_sym_template] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_delete] = ACTIONS(2585),
    [anon_sym_throw] = ACTIONS(2585),
    [anon_sym_co_return] = ACTIONS(2585),
    [anon_sym_co_yield] = ACTIONS(2585),
    [anon_sym_R_DQUOTE] = ACTIONS(2587),
    [anon_sym_LR_DQUOTE] = ACTIONS(2587),
    [anon_sym_uR_DQUOTE] = ACTIONS(2587),
    [anon_sym_UR_DQUOTE] = ACTIONS(2587),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2587),
    [anon_sym_co_await] = ACTIONS(2585),
    [anon_sym_new] = ACTIONS(2585),
    [anon_sym_requires] = ACTIONS(2585),
    [sym_this] = ACTIONS(2585),
  },
  [881] = {
    [sym_identifier] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym___attribute] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym__Nonnull] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym__Alignas] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [anon_sym___asm] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
  },
  [882] = {
    [sym_identifier] = ACTIONS(2711),
    [anon_sym_LPAREN2] = ACTIONS(2713),
    [anon_sym_BANG] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2711),
    [anon_sym_virtual] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym___attribute__] = ACTIONS(2711),
    [anon_sym___attribute] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2713),
    [anon_sym___declspec] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(2713),
    [anon_sym_signed] = ACTIONS(2711),
    [anon_sym_unsigned] = ACTIONS(2711),
    [anon_sym_long] = ACTIONS(2711),
    [anon_sym_short] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_register] = ACTIONS(2711),
    [anon_sym_inline] = ACTIONS(2711),
    [anon_sym___inline] = ACTIONS(2711),
    [anon_sym___inline__] = ACTIONS(2711),
    [anon_sym___forceinline] = ACTIONS(2711),
    [anon_sym_thread_local] = ACTIONS(2711),
    [anon_sym___thread] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_constexpr] = ACTIONS(2711),
    [anon_sym_volatile] = ACTIONS(2711),
    [anon_sym_restrict] = ACTIONS(2711),
    [anon_sym___restrict__] = ACTIONS(2711),
    [anon_sym__Atomic] = ACTIONS(2711),
    [anon_sym__Noreturn] = ACTIONS(2711),
    [anon_sym_noreturn] = ACTIONS(2711),
    [anon_sym__Nonnull] = ACTIONS(2711),
    [anon_sym_mutable] = ACTIONS(2711),
    [anon_sym_constinit] = ACTIONS(2711),
    [anon_sym_consteval] = ACTIONS(2711),
    [anon_sym_alignas] = ACTIONS(2711),
    [anon_sym__Alignas] = ACTIONS(2711),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_else] = ACTIONS(2711),
    [anon_sym_switch] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_do] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_break] = ACTIONS(2711),
    [anon_sym_continue] = ACTIONS(2711),
    [anon_sym_goto] = ACTIONS(2711),
    [anon_sym___try] = ACTIONS(2711),
    [anon_sym___leave] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2711),
    [anon_sym_compl] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_sizeof] = ACTIONS(2711),
    [anon_sym___alignof__] = ACTIONS(2711),
    [anon_sym___alignof] = ACTIONS(2711),
    [anon_sym__alignof] = ACTIONS(2711),
    [anon_sym_alignof] = ACTIONS(2711),
    [anon_sym__Alignof] = ACTIONS(2711),
    [anon_sym_offsetof] = ACTIONS(2711),
    [anon_sym__Generic] = ACTIONS(2711),
    [anon_sym_asm] = ACTIONS(2711),
    [anon_sym___asm__] = ACTIONS(2711),
    [anon_sym___asm] = ACTIONS(2711),
    [sym_number_literal] = ACTIONS(2713),
    [anon_sym_L_SQUOTE] = ACTIONS(2713),
    [anon_sym_u_SQUOTE] = ACTIONS(2713),
    [anon_sym_U_SQUOTE] = ACTIONS(2713),
    [anon_sym_u8_SQUOTE] = ACTIONS(2713),
    [anon_sym_SQUOTE] = ACTIONS(2713),
    [anon_sym_L_DQUOTE] = ACTIONS(2713),
    [anon_sym_u_DQUOTE] = ACTIONS(2713),
    [anon_sym_U_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8_DQUOTE] = ACTIONS(2713),
    [anon_sym_DQUOTE] = ACTIONS(2713),
    [sym_true] = ACTIONS(2711),
    [sym_false] = ACTIONS(2711),
    [anon_sym_NULL] = ACTIONS(2711),
    [anon_sym_nullptr] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2711),
    [anon_sym_decltype] = ACTIONS(2711),
    [anon_sym_typename] = ACTIONS(2711),
    [anon_sym_template] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_delete] = ACTIONS(2711),
    [anon_sym_throw] = ACTIONS(2711),
    [anon_sym_co_return] = ACTIONS(2711),
    [anon_sym_co_yield] = ACTIONS(2711),
    [anon_sym_R_DQUOTE] = ACTIONS(2713),
    [anon_sym_LR_DQUOTE] = ACTIONS(2713),
    [anon_sym_uR_DQUOTE] = ACTIONS(2713),
    [anon_sym_UR_DQUOTE] = ACTIONS(2713),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2713),
    [anon_sym_co_await] = ACTIONS(2711),
    [anon_sym_new] = ACTIONS(2711),
    [anon_sym_requires] = ACTIONS(2711),
    [sym_this] = ACTIONS(2711),
  },
  [883] = {
    [sym_identifier] = ACTIONS(2609),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2609),
    [anon_sym_typedef] = ACTIONS(2609),
    [anon_sym_virtual] = ACTIONS(2609),
    [anon_sym_extern] = ACTIONS(2609),
    [anon_sym___attribute__] = ACTIONS(2609),
    [anon_sym___attribute] = ACTIONS(2609),
    [anon_sym_COLON_COLON] = ACTIONS(2611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2609),
    [anon_sym_unsigned] = ACTIONS(2609),
    [anon_sym_long] = ACTIONS(2609),
    [anon_sym_short] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2609),
    [anon_sym_static] = ACTIONS(2609),
    [anon_sym_register] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(2609),
    [anon_sym___inline] = ACTIONS(2609),
    [anon_sym___inline__] = ACTIONS(2609),
    [anon_sym___forceinline] = ACTIONS(2609),
    [anon_sym_thread_local] = ACTIONS(2609),
    [anon_sym___thread] = ACTIONS(2609),
    [anon_sym_const] = ACTIONS(2609),
    [anon_sym_constexpr] = ACTIONS(2609),
    [anon_sym_volatile] = ACTIONS(2609),
    [anon_sym_restrict] = ACTIONS(2609),
    [anon_sym___restrict__] = ACTIONS(2609),
    [anon_sym__Atomic] = ACTIONS(2609),
    [anon_sym__Noreturn] = ACTIONS(2609),
    [anon_sym_noreturn] = ACTIONS(2609),
    [anon_sym__Nonnull] = ACTIONS(2609),
    [anon_sym_mutable] = ACTIONS(2609),
    [anon_sym_constinit] = ACTIONS(2609),
    [anon_sym_consteval] = ACTIONS(2609),
    [anon_sym_alignas] = ACTIONS(2609),
    [anon_sym__Alignas] = ACTIONS(2609),
    [sym_primitive_type] = ACTIONS(2609),
    [anon_sym_enum] = ACTIONS(2609),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2609),
    [anon_sym_union] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2609),
    [anon_sym_switch] = ACTIONS(2609),
    [anon_sym_while] = ACTIONS(2609),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_for] = ACTIONS(2609),
    [anon_sym_return] = ACTIONS(2609),
    [anon_sym_break] = ACTIONS(2609),
    [anon_sym_continue] = ACTIONS(2609),
    [anon_sym_goto] = ACTIONS(2609),
    [anon_sym___try] = ACTIONS(2609),
    [anon_sym___leave] = ACTIONS(2609),
    [anon_sym_not] = ACTIONS(2609),
    [anon_sym_compl] = ACTIONS(2609),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2609),
    [anon_sym___alignof__] = ACTIONS(2609),
    [anon_sym___alignof] = ACTIONS(2609),
    [anon_sym__alignof] = ACTIONS(2609),
    [anon_sym_alignof] = ACTIONS(2609),
    [anon_sym__Alignof] = ACTIONS(2609),
    [anon_sym_offsetof] = ACTIONS(2609),
    [anon_sym__Generic] = ACTIONS(2609),
    [anon_sym_asm] = ACTIONS(2609),
    [anon_sym___asm__] = ACTIONS(2609),
    [anon_sym___asm] = ACTIONS(2609),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2609),
    [sym_false] = ACTIONS(2609),
    [anon_sym_NULL] = ACTIONS(2609),
    [anon_sym_nullptr] = ACTIONS(2609),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2609),
    [anon_sym_decltype] = ACTIONS(2609),
    [anon_sym_typename] = ACTIONS(2609),
    [anon_sym_template] = ACTIONS(2609),
    [anon_sym_try] = ACTIONS(2609),
    [anon_sym_delete] = ACTIONS(2609),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_co_return] = ACTIONS(2609),
    [anon_sym_co_yield] = ACTIONS(2609),
    [anon_sym_R_DQUOTE] = ACTIONS(2611),
    [anon_sym_LR_DQUOTE] = ACTIONS(2611),
    [anon_sym_uR_DQUOTE] = ACTIONS(2611),
    [anon_sym_UR_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2611),
    [anon_sym_co_await] = ACTIONS(2609),
    [anon_sym_new] = ACTIONS(2609),
    [anon_sym_requires] = ACTIONS(2609),
    [sym_this] = ACTIONS(2609),
  },
  [884] = {
    [sym_identifier] = ACTIONS(4012),
    [anon_sym_LPAREN2] = ACTIONS(4018),
    [anon_sym_BANG] = ACTIONS(4018),
    [anon_sym_TILDE] = ACTIONS(4018),
    [anon_sym_DASH] = ACTIONS(4020),
    [anon_sym_PLUS] = ACTIONS(4020),
    [anon_sym_STAR] = ACTIONS(4018),
    [anon_sym_AMP] = ACTIONS(4018),
    [anon_sym_SEMI] = ACTIONS(4018),
    [anon_sym___extension__] = ACTIONS(4012),
    [anon_sym_virtual] = ACTIONS(4024),
    [anon_sym_extern] = ACTIONS(4024),
    [anon_sym___attribute__] = ACTIONS(4024),
    [anon_sym___attribute] = ACTIONS(4024),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4015),
    [anon_sym___declspec] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4018),
    [anon_sym_signed] = ACTIONS(4024),
    [anon_sym_unsigned] = ACTIONS(4024),
    [anon_sym_long] = ACTIONS(4024),
    [anon_sym_short] = ACTIONS(4024),
    [anon_sym_LBRACK] = ACTIONS(4020),
    [anon_sym_static] = ACTIONS(4024),
    [anon_sym_register] = ACTIONS(4024),
    [anon_sym_inline] = ACTIONS(4024),
    [anon_sym___inline] = ACTIONS(4024),
    [anon_sym___inline__] = ACTIONS(4024),
    [anon_sym___forceinline] = ACTIONS(4024),
    [anon_sym_thread_local] = ACTIONS(4024),
    [anon_sym___thread] = ACTIONS(4024),
    [anon_sym_const] = ACTIONS(4024),
    [anon_sym_constexpr] = ACTIONS(4024),
    [anon_sym_volatile] = ACTIONS(4024),
    [anon_sym_restrict] = ACTIONS(4024),
    [anon_sym___restrict__] = ACTIONS(4024),
    [anon_sym__Atomic] = ACTIONS(4024),
    [anon_sym__Noreturn] = ACTIONS(4024),
    [anon_sym_noreturn] = ACTIONS(4024),
    [anon_sym__Nonnull] = ACTIONS(4024),
    [anon_sym_mutable] = ACTIONS(4024),
    [anon_sym_constinit] = ACTIONS(4024),
    [anon_sym_consteval] = ACTIONS(4024),
    [anon_sym_alignas] = ACTIONS(4024),
    [anon_sym__Alignas] = ACTIONS(4024),
    [sym_primitive_type] = ACTIONS(4012),
    [anon_sym_enum] = ACTIONS(4024),
    [anon_sym_class] = ACTIONS(4024),
    [anon_sym_struct] = ACTIONS(4024),
    [anon_sym_union] = ACTIONS(4024),
    [anon_sym_if] = ACTIONS(4020),
    [anon_sym_switch] = ACTIONS(4020),
    [anon_sym_case] = ACTIONS(4020),
    [anon_sym_default] = ACTIONS(4020),
    [anon_sym_while] = ACTIONS(4020),
    [anon_sym_do] = ACTIONS(4020),
    [anon_sym_for] = ACTIONS(4020),
    [anon_sym_return] = ACTIONS(4020),
    [anon_sym_break] = ACTIONS(4020),
    [anon_sym_continue] = ACTIONS(4020),
    [anon_sym_goto] = ACTIONS(4020),
    [anon_sym___try] = ACTIONS(4020),
    [anon_sym___leave] = ACTIONS(4020),
    [anon_sym_not] = ACTIONS(4020),
    [anon_sym_compl] = ACTIONS(4020),
    [anon_sym_DASH_DASH] = ACTIONS(4018),
    [anon_sym_PLUS_PLUS] = ACTIONS(4018),
    [anon_sym_sizeof] = ACTIONS(4020),
    [anon_sym___alignof__] = ACTIONS(4020),
    [anon_sym___alignof] = ACTIONS(4020),
    [anon_sym__alignof] = ACTIONS(4020),
    [anon_sym_alignof] = ACTIONS(4020),
    [anon_sym__Alignof] = ACTIONS(4020),
    [anon_sym_offsetof] = ACTIONS(4020),
    [anon_sym__Generic] = ACTIONS(4020),
    [anon_sym_asm] = ACTIONS(4020),
    [anon_sym___asm__] = ACTIONS(4020),
    [anon_sym___asm] = ACTIONS(4020),
    [sym_number_literal] = ACTIONS(4018),
    [anon_sym_L_SQUOTE] = ACTIONS(4018),
    [anon_sym_u_SQUOTE] = ACTIONS(4018),
    [anon_sym_U_SQUOTE] = ACTIONS(4018),
    [anon_sym_u8_SQUOTE] = ACTIONS(4018),
    [anon_sym_SQUOTE] = ACTIONS(4018),
    [anon_sym_L_DQUOTE] = ACTIONS(4018),
    [anon_sym_u_DQUOTE] = ACTIONS(4018),
    [anon_sym_U_DQUOTE] = ACTIONS(4018),
    [anon_sym_u8_DQUOTE] = ACTIONS(4018),
    [anon_sym_DQUOTE] = ACTIONS(4018),
    [sym_true] = ACTIONS(4020),
    [sym_false] = ACTIONS(4020),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4024),
    [anon_sym_decltype] = ACTIONS(4012),
    [anon_sym_typename] = ACTIONS(4024),
    [anon_sym_template] = ACTIONS(4012),
    [anon_sym_try] = ACTIONS(4020),
    [anon_sym_delete] = ACTIONS(4020),
    [anon_sym_throw] = ACTIONS(4020),
    [anon_sym_co_return] = ACTIONS(4020),
    [anon_sym_co_yield] = ACTIONS(4020),
    [anon_sym_R_DQUOTE] = ACTIONS(4018),
    [anon_sym_LR_DQUOTE] = ACTIONS(4018),
    [anon_sym_uR_DQUOTE] = ACTIONS(4018),
    [anon_sym_UR_DQUOTE] = ACTIONS(4018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4018),
    [anon_sym_co_await] = ACTIONS(4020),
    [anon_sym_new] = ACTIONS(4020),
    [anon_sym_requires] = ACTIONS(4020),
    [sym_this] = ACTIONS(4020),
  },
  [885] = {
    [sym_identifier] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym___attribute] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym__Nonnull] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym__Alignas] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
  },
  [886] = {
    [sym_identifier] = ACTIONS(2683),
    [anon_sym_LPAREN2] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym___extension__] = ACTIONS(2683),
    [anon_sym_typedef] = ACTIONS(2683),
    [anon_sym_virtual] = ACTIONS(2683),
    [anon_sym_extern] = ACTIONS(2683),
    [anon_sym___attribute__] = ACTIONS(2683),
    [anon_sym___attribute] = ACTIONS(2683),
    [anon_sym_COLON_COLON] = ACTIONS(2685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2685),
    [anon_sym___declspec] = ACTIONS(2683),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_signed] = ACTIONS(2683),
    [anon_sym_unsigned] = ACTIONS(2683),
    [anon_sym_long] = ACTIONS(2683),
    [anon_sym_short] = ACTIONS(2683),
    [anon_sym_LBRACK] = ACTIONS(2683),
    [anon_sym_static] = ACTIONS(2683),
    [anon_sym_register] = ACTIONS(2683),
    [anon_sym_inline] = ACTIONS(2683),
    [anon_sym___inline] = ACTIONS(2683),
    [anon_sym___inline__] = ACTIONS(2683),
    [anon_sym___forceinline] = ACTIONS(2683),
    [anon_sym_thread_local] = ACTIONS(2683),
    [anon_sym___thread] = ACTIONS(2683),
    [anon_sym_const] = ACTIONS(2683),
    [anon_sym_constexpr] = ACTIONS(2683),
    [anon_sym_volatile] = ACTIONS(2683),
    [anon_sym_restrict] = ACTIONS(2683),
    [anon_sym___restrict__] = ACTIONS(2683),
    [anon_sym__Atomic] = ACTIONS(2683),
    [anon_sym__Noreturn] = ACTIONS(2683),
    [anon_sym_noreturn] = ACTIONS(2683),
    [anon_sym__Nonnull] = ACTIONS(2683),
    [anon_sym_mutable] = ACTIONS(2683),
    [anon_sym_constinit] = ACTIONS(2683),
    [anon_sym_consteval] = ACTIONS(2683),
    [anon_sym_alignas] = ACTIONS(2683),
    [anon_sym__Alignas] = ACTIONS(2683),
    [sym_primitive_type] = ACTIONS(2683),
    [anon_sym_enum] = ACTIONS(2683),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_struct] = ACTIONS(2683),
    [anon_sym_union] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_else] = ACTIONS(2683),
    [anon_sym_switch] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(2683),
    [anon_sym_for] = ACTIONS(2683),
    [anon_sym_return] = ACTIONS(2683),
    [anon_sym_break] = ACTIONS(2683),
    [anon_sym_continue] = ACTIONS(2683),
    [anon_sym_goto] = ACTIONS(2683),
    [anon_sym___try] = ACTIONS(2683),
    [anon_sym___leave] = ACTIONS(2683),
    [anon_sym_not] = ACTIONS(2683),
    [anon_sym_compl] = ACTIONS(2683),
    [anon_sym_DASH_DASH] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2685),
    [anon_sym_sizeof] = ACTIONS(2683),
    [anon_sym___alignof__] = ACTIONS(2683),
    [anon_sym___alignof] = ACTIONS(2683),
    [anon_sym__alignof] = ACTIONS(2683),
    [anon_sym_alignof] = ACTIONS(2683),
    [anon_sym__Alignof] = ACTIONS(2683),
    [anon_sym_offsetof] = ACTIONS(2683),
    [anon_sym__Generic] = ACTIONS(2683),
    [anon_sym_asm] = ACTIONS(2683),
    [anon_sym___asm__] = ACTIONS(2683),
    [anon_sym___asm] = ACTIONS(2683),
    [sym_number_literal] = ACTIONS(2685),
    [anon_sym_L_SQUOTE] = ACTIONS(2685),
    [anon_sym_u_SQUOTE] = ACTIONS(2685),
    [anon_sym_U_SQUOTE] = ACTIONS(2685),
    [anon_sym_u8_SQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2685),
    [anon_sym_L_DQUOTE] = ACTIONS(2685),
    [anon_sym_u_DQUOTE] = ACTIONS(2685),
    [anon_sym_U_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [sym_true] = ACTIONS(2683),
    [sym_false] = ACTIONS(2683),
    [anon_sym_NULL] = ACTIONS(2683),
    [anon_sym_nullptr] = ACTIONS(2683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2683),
    [anon_sym_decltype] = ACTIONS(2683),
    [anon_sym_typename] = ACTIONS(2683),
    [anon_sym_template] = ACTIONS(2683),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_delete] = ACTIONS(2683),
    [anon_sym_throw] = ACTIONS(2683),
    [anon_sym_co_return] = ACTIONS(2683),
    [anon_sym_co_yield] = ACTIONS(2683),
    [anon_sym_R_DQUOTE] = ACTIONS(2685),
    [anon_sym_LR_DQUOTE] = ACTIONS(2685),
    [anon_sym_uR_DQUOTE] = ACTIONS(2685),
    [anon_sym_UR_DQUOTE] = ACTIONS(2685),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2685),
    [anon_sym_co_await] = ACTIONS(2683),
    [anon_sym_new] = ACTIONS(2683),
    [anon_sym_requires] = ACTIONS(2683),
    [sym_this] = ACTIONS(2683),
  },
  [887] = {
    [sym_identifier] = ACTIONS(2601),
    [anon_sym_LPAREN2] = ACTIONS(2603),
    [anon_sym_BANG] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2603),
    [anon_sym___extension__] = ACTIONS(2601),
    [anon_sym_typedef] = ACTIONS(2601),
    [anon_sym_virtual] = ACTIONS(2601),
    [anon_sym_extern] = ACTIONS(2601),
    [anon_sym___attribute__] = ACTIONS(2601),
    [anon_sym___attribute] = ACTIONS(2601),
    [anon_sym_COLON_COLON] = ACTIONS(2603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2603),
    [anon_sym___declspec] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_signed] = ACTIONS(2601),
    [anon_sym_unsigned] = ACTIONS(2601),
    [anon_sym_long] = ACTIONS(2601),
    [anon_sym_short] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_register] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2601),
    [anon_sym___inline] = ACTIONS(2601),
    [anon_sym___inline__] = ACTIONS(2601),
    [anon_sym___forceinline] = ACTIONS(2601),
    [anon_sym_thread_local] = ACTIONS(2601),
    [anon_sym___thread] = ACTIONS(2601),
    [anon_sym_const] = ACTIONS(2601),
    [anon_sym_constexpr] = ACTIONS(2601),
    [anon_sym_volatile] = ACTIONS(2601),
    [anon_sym_restrict] = ACTIONS(2601),
    [anon_sym___restrict__] = ACTIONS(2601),
    [anon_sym__Atomic] = ACTIONS(2601),
    [anon_sym__Noreturn] = ACTIONS(2601),
    [anon_sym_noreturn] = ACTIONS(2601),
    [anon_sym__Nonnull] = ACTIONS(2601),
    [anon_sym_mutable] = ACTIONS(2601),
    [anon_sym_constinit] = ACTIONS(2601),
    [anon_sym_consteval] = ACTIONS(2601),
    [anon_sym_alignas] = ACTIONS(2601),
    [anon_sym__Alignas] = ACTIONS(2601),
    [sym_primitive_type] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_struct] = ACTIONS(2601),
    [anon_sym_union] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_goto] = ACTIONS(2601),
    [anon_sym___try] = ACTIONS(2601),
    [anon_sym___leave] = ACTIONS(2601),
    [anon_sym_not] = ACTIONS(2601),
    [anon_sym_compl] = ACTIONS(2601),
    [anon_sym_DASH_DASH] = ACTIONS(2603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2603),
    [anon_sym_sizeof] = ACTIONS(2601),
    [anon_sym___alignof__] = ACTIONS(2601),
    [anon_sym___alignof] = ACTIONS(2601),
    [anon_sym__alignof] = ACTIONS(2601),
    [anon_sym_alignof] = ACTIONS(2601),
    [anon_sym__Alignof] = ACTIONS(2601),
    [anon_sym_offsetof] = ACTIONS(2601),
    [anon_sym__Generic] = ACTIONS(2601),
    [anon_sym_asm] = ACTIONS(2601),
    [anon_sym___asm__] = ACTIONS(2601),
    [anon_sym___asm] = ACTIONS(2601),
    [sym_number_literal] = ACTIONS(2603),
    [anon_sym_L_SQUOTE] = ACTIONS(2603),
    [anon_sym_u_SQUOTE] = ACTIONS(2603),
    [anon_sym_U_SQUOTE] = ACTIONS(2603),
    [anon_sym_u8_SQUOTE] = ACTIONS(2603),
    [anon_sym_SQUOTE] = ACTIONS(2603),
    [anon_sym_L_DQUOTE] = ACTIONS(2603),
    [anon_sym_u_DQUOTE] = ACTIONS(2603),
    [anon_sym_U_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8_DQUOTE] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(2603),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [anon_sym_NULL] = ACTIONS(2601),
    [anon_sym_nullptr] = ACTIONS(2601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2601),
    [anon_sym_decltype] = ACTIONS(2601),
    [anon_sym_typename] = ACTIONS(2601),
    [anon_sym_template] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_delete] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_co_return] = ACTIONS(2601),
    [anon_sym_co_yield] = ACTIONS(2601),
    [anon_sym_R_DQUOTE] = ACTIONS(2603),
    [anon_sym_LR_DQUOTE] = ACTIONS(2603),
    [anon_sym_uR_DQUOTE] = ACTIONS(2603),
    [anon_sym_UR_DQUOTE] = ACTIONS(2603),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2603),
    [anon_sym_co_await] = ACTIONS(2601),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_requires] = ACTIONS(2601),
    [sym_this] = ACTIONS(2601),
  },
  [888] = {
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [889] = {
    [sym_identifier] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2699),
    [anon_sym_switch] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_goto] = ACTIONS(2699),
    [anon_sym___try] = ACTIONS(2699),
    [anon_sym___leave] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_compl] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_sizeof] = ACTIONS(2699),
    [anon_sym___alignof__] = ACTIONS(2699),
    [anon_sym___alignof] = ACTIONS(2699),
    [anon_sym__alignof] = ACTIONS(2699),
    [anon_sym_alignof] = ACTIONS(2699),
    [anon_sym__Alignof] = ACTIONS(2699),
    [anon_sym_offsetof] = ACTIONS(2699),
    [anon_sym__Generic] = ACTIONS(2699),
    [anon_sym_asm] = ACTIONS(2699),
    [anon_sym___asm__] = ACTIONS(2699),
    [anon_sym___asm] = ACTIONS(2699),
    [sym_number_literal] = ACTIONS(2701),
    [anon_sym_L_SQUOTE] = ACTIONS(2701),
    [anon_sym_u_SQUOTE] = ACTIONS(2701),
    [anon_sym_U_SQUOTE] = ACTIONS(2701),
    [anon_sym_u8_SQUOTE] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2701),
    [anon_sym_L_DQUOTE] = ACTIONS(2701),
    [anon_sym_u_DQUOTE] = ACTIONS(2701),
    [anon_sym_U_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8_DQUOTE] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [sym_true] = ACTIONS(2699),
    [sym_false] = ACTIONS(2699),
    [anon_sym_NULL] = ACTIONS(2699),
    [anon_sym_nullptr] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2699),
    [anon_sym_throw] = ACTIONS(2699),
    [anon_sym_co_return] = ACTIONS(2699),
    [anon_sym_co_yield] = ACTIONS(2699),
    [anon_sym_R_DQUOTE] = ACTIONS(2701),
    [anon_sym_LR_DQUOTE] = ACTIONS(2701),
    [anon_sym_uR_DQUOTE] = ACTIONS(2701),
    [anon_sym_UR_DQUOTE] = ACTIONS(2701),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2701),
    [anon_sym_co_await] = ACTIONS(2699),
    [anon_sym_new] = ACTIONS(2699),
    [anon_sym_requires] = ACTIONS(2699),
    [sym_this] = ACTIONS(2699),
  },
  [890] = {
    [sym_identifier] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym___attribute] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym__Nonnull] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym__Alignas] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [anon_sym___asm] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
  },
  [891] = {
    [sym_identifier] = ACTIONS(2593),
    [anon_sym_LPAREN2] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_TILDE] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2593),
    [anon_sym_STAR] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(2595),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym___extension__] = ACTIONS(2593),
    [anon_sym_typedef] = ACTIONS(2593),
    [anon_sym_virtual] = ACTIONS(2593),
    [anon_sym_extern] = ACTIONS(2593),
    [anon_sym___attribute__] = ACTIONS(2593),
    [anon_sym___attribute] = ACTIONS(2593),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2595),
    [anon_sym___declspec] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(2595),
    [anon_sym_signed] = ACTIONS(2593),
    [anon_sym_unsigned] = ACTIONS(2593),
    [anon_sym_long] = ACTIONS(2593),
    [anon_sym_short] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(2593),
    [anon_sym_static] = ACTIONS(2593),
    [anon_sym_register] = ACTIONS(2593),
    [anon_sym_inline] = ACTIONS(2593),
    [anon_sym___inline] = ACTIONS(2593),
    [anon_sym___inline__] = ACTIONS(2593),
    [anon_sym___forceinline] = ACTIONS(2593),
    [anon_sym_thread_local] = ACTIONS(2593),
    [anon_sym___thread] = ACTIONS(2593),
    [anon_sym_const] = ACTIONS(2593),
    [anon_sym_constexpr] = ACTIONS(2593),
    [anon_sym_volatile] = ACTIONS(2593),
    [anon_sym_restrict] = ACTIONS(2593),
    [anon_sym___restrict__] = ACTIONS(2593),
    [anon_sym__Atomic] = ACTIONS(2593),
    [anon_sym__Noreturn] = ACTIONS(2593),
    [anon_sym_noreturn] = ACTIONS(2593),
    [anon_sym__Nonnull] = ACTIONS(2593),
    [anon_sym_mutable] = ACTIONS(2593),
    [anon_sym_constinit] = ACTIONS(2593),
    [anon_sym_consteval] = ACTIONS(2593),
    [anon_sym_alignas] = ACTIONS(2593),
    [anon_sym__Alignas] = ACTIONS(2593),
    [sym_primitive_type] = ACTIONS(2593),
    [anon_sym_enum] = ACTIONS(2593),
    [anon_sym_class] = ACTIONS(2593),
    [anon_sym_struct] = ACTIONS(2593),
    [anon_sym_union] = ACTIONS(2593),
    [anon_sym_if] = ACTIONS(2593),
    [anon_sym_else] = ACTIONS(2593),
    [anon_sym_switch] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2593),
    [anon_sym_do] = ACTIONS(2593),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2593),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2593),
    [anon_sym_goto] = ACTIONS(2593),
    [anon_sym___try] = ACTIONS(2593),
    [anon_sym___leave] = ACTIONS(2593),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_compl] = ACTIONS(2593),
    [anon_sym_DASH_DASH] = ACTIONS(2595),
    [anon_sym_PLUS_PLUS] = ACTIONS(2595),
    [anon_sym_sizeof] = ACTIONS(2593),
    [anon_sym___alignof__] = ACTIONS(2593),
    [anon_sym___alignof] = ACTIONS(2593),
    [anon_sym__alignof] = ACTIONS(2593),
    [anon_sym_alignof] = ACTIONS(2593),
    [anon_sym__Alignof] = ACTIONS(2593),
    [anon_sym_offsetof] = ACTIONS(2593),
    [anon_sym__Generic] = ACTIONS(2593),
    [anon_sym_asm] = ACTIONS(2593),
    [anon_sym___asm__] = ACTIONS(2593),
    [anon_sym___asm] = ACTIONS(2593),
    [sym_number_literal] = ACTIONS(2595),
    [anon_sym_L_SQUOTE] = ACTIONS(2595),
    [anon_sym_u_SQUOTE] = ACTIONS(2595),
    [anon_sym_U_SQUOTE] = ACTIONS(2595),
    [anon_sym_u8_SQUOTE] = ACTIONS(2595),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_L_DQUOTE] = ACTIONS(2595),
    [anon_sym_u_DQUOTE] = ACTIONS(2595),
    [anon_sym_U_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8_DQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2595),
    [sym_true] = ACTIONS(2593),
    [sym_false] = ACTIONS(2593),
    [anon_sym_NULL] = ACTIONS(2593),
    [anon_sym_nullptr] = ACTIONS(2593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2593),
    [anon_sym_decltype] = ACTIONS(2593),
    [anon_sym_typename] = ACTIONS(2593),
    [anon_sym_template] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_delete] = ACTIONS(2593),
    [anon_sym_throw] = ACTIONS(2593),
    [anon_sym_co_return] = ACTIONS(2593),
    [anon_sym_co_yield] = ACTIONS(2593),
    [anon_sym_R_DQUOTE] = ACTIONS(2595),
    [anon_sym_LR_DQUOTE] = ACTIONS(2595),
    [anon_sym_uR_DQUOTE] = ACTIONS(2595),
    [anon_sym_UR_DQUOTE] = ACTIONS(2595),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2595),
    [anon_sym_co_await] = ACTIONS(2593),
    [anon_sym_new] = ACTIONS(2593),
    [anon_sym_requires] = ACTIONS(2593),
    [sym_this] = ACTIONS(2593),
  },
  [892] = {
    [sym_identifier] = ACTIONS(2695),
    [anon_sym_LPAREN2] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym___extension__] = ACTIONS(2695),
    [anon_sym_typedef] = ACTIONS(2695),
    [anon_sym_virtual] = ACTIONS(2695),
    [anon_sym_extern] = ACTIONS(2695),
    [anon_sym___attribute__] = ACTIONS(2695),
    [anon_sym___attribute] = ACTIONS(2695),
    [anon_sym_COLON_COLON] = ACTIONS(2697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2697),
    [anon_sym___declspec] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_signed] = ACTIONS(2695),
    [anon_sym_unsigned] = ACTIONS(2695),
    [anon_sym_long] = ACTIONS(2695),
    [anon_sym_short] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_register] = ACTIONS(2695),
    [anon_sym_inline] = ACTIONS(2695),
    [anon_sym___inline] = ACTIONS(2695),
    [anon_sym___inline__] = ACTIONS(2695),
    [anon_sym___forceinline] = ACTIONS(2695),
    [anon_sym_thread_local] = ACTIONS(2695),
    [anon_sym___thread] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_constexpr] = ACTIONS(2695),
    [anon_sym_volatile] = ACTIONS(2695),
    [anon_sym_restrict] = ACTIONS(2695),
    [anon_sym___restrict__] = ACTIONS(2695),
    [anon_sym__Atomic] = ACTIONS(2695),
    [anon_sym__Noreturn] = ACTIONS(2695),
    [anon_sym_noreturn] = ACTIONS(2695),
    [anon_sym__Nonnull] = ACTIONS(2695),
    [anon_sym_mutable] = ACTIONS(2695),
    [anon_sym_constinit] = ACTIONS(2695),
    [anon_sym_consteval] = ACTIONS(2695),
    [anon_sym_alignas] = ACTIONS(2695),
    [anon_sym__Alignas] = ACTIONS(2695),
    [sym_primitive_type] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(2695),
    [anon_sym_union] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2695),
    [anon_sym_switch] = ACTIONS(2695),
    [anon_sym_while] = ACTIONS(2695),
    [anon_sym_do] = ACTIONS(2695),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_return] = ACTIONS(2695),
    [anon_sym_break] = ACTIONS(2695),
    [anon_sym_continue] = ACTIONS(2695),
    [anon_sym_goto] = ACTIONS(2695),
    [anon_sym___try] = ACTIONS(2695),
    [anon_sym___leave] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_compl] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_sizeof] = ACTIONS(2695),
    [anon_sym___alignof__] = ACTIONS(2695),
    [anon_sym___alignof] = ACTIONS(2695),
    [anon_sym__alignof] = ACTIONS(2695),
    [anon_sym_alignof] = ACTIONS(2695),
    [anon_sym__Alignof] = ACTIONS(2695),
    [anon_sym_offsetof] = ACTIONS(2695),
    [anon_sym__Generic] = ACTIONS(2695),
    [anon_sym_asm] = ACTIONS(2695),
    [anon_sym___asm__] = ACTIONS(2695),
    [anon_sym___asm] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2697),
    [anon_sym_L_SQUOTE] = ACTIONS(2697),
    [anon_sym_u_SQUOTE] = ACTIONS(2697),
    [anon_sym_U_SQUOTE] = ACTIONS(2697),
    [anon_sym_u8_SQUOTE] = ACTIONS(2697),
    [anon_sym_SQUOTE] = ACTIONS(2697),
    [anon_sym_L_DQUOTE] = ACTIONS(2697),
    [anon_sym_u_DQUOTE] = ACTIONS(2697),
    [anon_sym_U_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [sym_true] = ACTIONS(2695),
    [sym_false] = ACTIONS(2695),
    [anon_sym_NULL] = ACTIONS(2695),
    [anon_sym_nullptr] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2695),
    [anon_sym_decltype] = ACTIONS(2695),
    [anon_sym_typename] = ACTIONS(2695),
    [anon_sym_template] = ACTIONS(2695),
    [anon_sym_try] = ACTIONS(2695),
    [anon_sym_delete] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2695),
    [anon_sym_co_return] = ACTIONS(2695),
    [anon_sym_co_yield] = ACTIONS(2695),
    [anon_sym_R_DQUOTE] = ACTIONS(2697),
    [anon_sym_LR_DQUOTE] = ACTIONS(2697),
    [anon_sym_uR_DQUOTE] = ACTIONS(2697),
    [anon_sym_UR_DQUOTE] = ACTIONS(2697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2697),
    [anon_sym_co_await] = ACTIONS(2695),
    [anon_sym_new] = ACTIONS(2695),
    [anon_sym_requires] = ACTIONS(2695),
    [sym_this] = ACTIONS(2695),
  },
  [893] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6462),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3228),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5739),
    [sym_qualified_identifier] = STATE(3288),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [894] = {
    [sym_identifier] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym___attribute] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym__Nonnull] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym__Alignas] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_else] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [anon_sym___asm] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
  },
  [895] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6462),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_expression] = STATE(3096),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3173),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5714),
    [sym_qualified_identifier] = STATE(3182),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_operator_name] = STATE(5964),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(1763),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [896] = {
    [sym_identifier] = ACTIONS(2613),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym___extension__] = ACTIONS(2613),
    [anon_sym_typedef] = ACTIONS(2613),
    [anon_sym_virtual] = ACTIONS(2613),
    [anon_sym_extern] = ACTIONS(2613),
    [anon_sym___attribute__] = ACTIONS(2613),
    [anon_sym___attribute] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2615),
    [anon_sym___declspec] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_signed] = ACTIONS(2613),
    [anon_sym_unsigned] = ACTIONS(2613),
    [anon_sym_long] = ACTIONS(2613),
    [anon_sym_short] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_static] = ACTIONS(2613),
    [anon_sym_register] = ACTIONS(2613),
    [anon_sym_inline] = ACTIONS(2613),
    [anon_sym___inline] = ACTIONS(2613),
    [anon_sym___inline__] = ACTIONS(2613),
    [anon_sym___forceinline] = ACTIONS(2613),
    [anon_sym_thread_local] = ACTIONS(2613),
    [anon_sym___thread] = ACTIONS(2613),
    [anon_sym_const] = ACTIONS(2613),
    [anon_sym_constexpr] = ACTIONS(2613),
    [anon_sym_volatile] = ACTIONS(2613),
    [anon_sym_restrict] = ACTIONS(2613),
    [anon_sym___restrict__] = ACTIONS(2613),
    [anon_sym__Atomic] = ACTIONS(2613),
    [anon_sym__Noreturn] = ACTIONS(2613),
    [anon_sym_noreturn] = ACTIONS(2613),
    [anon_sym__Nonnull] = ACTIONS(2613),
    [anon_sym_mutable] = ACTIONS(2613),
    [anon_sym_constinit] = ACTIONS(2613),
    [anon_sym_consteval] = ACTIONS(2613),
    [anon_sym_alignas] = ACTIONS(2613),
    [anon_sym__Alignas] = ACTIONS(2613),
    [sym_primitive_type] = ACTIONS(2613),
    [anon_sym_enum] = ACTIONS(2613),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_struct] = ACTIONS(2613),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_if] = ACTIONS(2613),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_switch] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_do] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_break] = ACTIONS(2613),
    [anon_sym_continue] = ACTIONS(2613),
    [anon_sym_goto] = ACTIONS(2613),
    [anon_sym___try] = ACTIONS(2613),
    [anon_sym___leave] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2613),
    [anon_sym_compl] = ACTIONS(2613),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2613),
    [anon_sym___alignof__] = ACTIONS(2613),
    [anon_sym___alignof] = ACTIONS(2613),
    [anon_sym__alignof] = ACTIONS(2613),
    [anon_sym_alignof] = ACTIONS(2613),
    [anon_sym__Alignof] = ACTIONS(2613),
    [anon_sym_offsetof] = ACTIONS(2613),
    [anon_sym__Generic] = ACTIONS(2613),
    [anon_sym_asm] = ACTIONS(2613),
    [anon_sym___asm__] = ACTIONS(2613),
    [anon_sym___asm] = ACTIONS(2613),
    [sym_number_literal] = ACTIONS(2615),
    [anon_sym_L_SQUOTE] = ACTIONS(2615),
    [anon_sym_u_SQUOTE] = ACTIONS(2615),
    [anon_sym_U_SQUOTE] = ACTIONS(2615),
    [anon_sym_u8_SQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE] = ACTIONS(2615),
    [anon_sym_L_DQUOTE] = ACTIONS(2615),
    [anon_sym_u_DQUOTE] = ACTIONS(2615),
    [anon_sym_U_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [sym_true] = ACTIONS(2613),
    [sym_false] = ACTIONS(2613),
    [anon_sym_NULL] = ACTIONS(2613),
    [anon_sym_nullptr] = ACTIONS(2613),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2613),
    [anon_sym_decltype] = ACTIONS(2613),
    [anon_sym_typename] = ACTIONS(2613),
    [anon_sym_template] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2613),
    [anon_sym_delete] = ACTIONS(2613),
    [anon_sym_throw] = ACTIONS(2613),
    [anon_sym_co_return] = ACTIONS(2613),
    [anon_sym_co_yield] = ACTIONS(2613),
    [anon_sym_R_DQUOTE] = ACTIONS(2615),
    [anon_sym_LR_DQUOTE] = ACTIONS(2615),
    [anon_sym_uR_DQUOTE] = ACTIONS(2615),
    [anon_sym_UR_DQUOTE] = ACTIONS(2615),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2615),
    [anon_sym_co_await] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_requires] = ACTIONS(2613),
    [sym_this] = ACTIONS(2613),
  },
  [897] = {
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym___attribute] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym__Nonnull] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym__Alignas] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [anon_sym___asm] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
  },
  [898] = {
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_STAR] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2599),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym___extension__] = ACTIONS(2597),
    [anon_sym_typedef] = ACTIONS(2597),
    [anon_sym_virtual] = ACTIONS(2597),
    [anon_sym_extern] = ACTIONS(2597),
    [anon_sym___attribute__] = ACTIONS(2597),
    [anon_sym___attribute] = ACTIONS(2597),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2599),
    [anon_sym___declspec] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_signed] = ACTIONS(2597),
    [anon_sym_unsigned] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_static] = ACTIONS(2597),
    [anon_sym_register] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(2597),
    [anon_sym___inline] = ACTIONS(2597),
    [anon_sym___inline__] = ACTIONS(2597),
    [anon_sym___forceinline] = ACTIONS(2597),
    [anon_sym_thread_local] = ACTIONS(2597),
    [anon_sym___thread] = ACTIONS(2597),
    [anon_sym_const] = ACTIONS(2597),
    [anon_sym_constexpr] = ACTIONS(2597),
    [anon_sym_volatile] = ACTIONS(2597),
    [anon_sym_restrict] = ACTIONS(2597),
    [anon_sym___restrict__] = ACTIONS(2597),
    [anon_sym__Atomic] = ACTIONS(2597),
    [anon_sym__Noreturn] = ACTIONS(2597),
    [anon_sym_noreturn] = ACTIONS(2597),
    [anon_sym__Nonnull] = ACTIONS(2597),
    [anon_sym_mutable] = ACTIONS(2597),
    [anon_sym_constinit] = ACTIONS(2597),
    [anon_sym_consteval] = ACTIONS(2597),
    [anon_sym_alignas] = ACTIONS(2597),
    [anon_sym__Alignas] = ACTIONS(2597),
    [sym_primitive_type] = ACTIONS(2597),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_struct] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_else] = ACTIONS(2597),
    [anon_sym_switch] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_break] = ACTIONS(2597),
    [anon_sym_continue] = ACTIONS(2597),
    [anon_sym_goto] = ACTIONS(2597),
    [anon_sym___try] = ACTIONS(2597),
    [anon_sym___leave] = ACTIONS(2597),
    [anon_sym_not] = ACTIONS(2597),
    [anon_sym_compl] = ACTIONS(2597),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_sizeof] = ACTIONS(2597),
    [anon_sym___alignof__] = ACTIONS(2597),
    [anon_sym___alignof] = ACTIONS(2597),
    [anon_sym__alignof] = ACTIONS(2597),
    [anon_sym_alignof] = ACTIONS(2597),
    [anon_sym__Alignof] = ACTIONS(2597),
    [anon_sym_offsetof] = ACTIONS(2597),
    [anon_sym__Generic] = ACTIONS(2597),
    [anon_sym_asm] = ACTIONS(2597),
    [anon_sym___asm__] = ACTIONS(2597),
    [anon_sym___asm] = ACTIONS(2597),
    [sym_number_literal] = ACTIONS(2599),
    [anon_sym_L_SQUOTE] = ACTIONS(2599),
    [anon_sym_u_SQUOTE] = ACTIONS(2599),
    [anon_sym_U_SQUOTE] = ACTIONS(2599),
    [anon_sym_u8_SQUOTE] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_L_DQUOTE] = ACTIONS(2599),
    [anon_sym_u_DQUOTE] = ACTIONS(2599),
    [anon_sym_U_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2599),
    [sym_true] = ACTIONS(2597),
    [sym_false] = ACTIONS(2597),
    [anon_sym_NULL] = ACTIONS(2597),
    [anon_sym_nullptr] = ACTIONS(2597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2597),
    [anon_sym_decltype] = ACTIONS(2597),
    [anon_sym_typename] = ACTIONS(2597),
    [anon_sym_template] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_delete] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2597),
    [anon_sym_co_return] = ACTIONS(2597),
    [anon_sym_co_yield] = ACTIONS(2597),
    [anon_sym_R_DQUOTE] = ACTIONS(2599),
    [anon_sym_LR_DQUOTE] = ACTIONS(2599),
    [anon_sym_uR_DQUOTE] = ACTIONS(2599),
    [anon_sym_UR_DQUOTE] = ACTIONS(2599),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2599),
    [anon_sym_co_await] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_requires] = ACTIONS(2597),
    [sym_this] = ACTIONS(2597),
  },
  [899] = {
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym___attribute] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [anon_sym___asm] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
  },
  [900] = {
    [sym_identifier] = ACTIONS(3818),
    [anon_sym_LPAREN2] = ACTIONS(3820),
    [anon_sym_BANG] = ACTIONS(3820),
    [anon_sym_TILDE] = ACTIONS(3820),
    [anon_sym_DASH] = ACTIONS(3818),
    [anon_sym_PLUS] = ACTIONS(3818),
    [anon_sym_STAR] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3820),
    [anon_sym_SEMI] = ACTIONS(3820),
    [anon_sym___extension__] = ACTIONS(3818),
    [anon_sym_virtual] = ACTIONS(3818),
    [anon_sym_extern] = ACTIONS(3818),
    [anon_sym___attribute__] = ACTIONS(3818),
    [anon_sym___attribute] = ACTIONS(3818),
    [anon_sym_COLON_COLON] = ACTIONS(3820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3820),
    [anon_sym___declspec] = ACTIONS(3818),
    [anon_sym_LBRACE] = ACTIONS(3820),
    [anon_sym_signed] = ACTIONS(3818),
    [anon_sym_unsigned] = ACTIONS(3818),
    [anon_sym_long] = ACTIONS(3818),
    [anon_sym_short] = ACTIONS(3818),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_static] = ACTIONS(3818),
    [anon_sym_register] = ACTIONS(3818),
    [anon_sym_inline] = ACTIONS(3818),
    [anon_sym___inline] = ACTIONS(3818),
    [anon_sym___inline__] = ACTIONS(3818),
    [anon_sym___forceinline] = ACTIONS(3818),
    [anon_sym_thread_local] = ACTIONS(3818),
    [anon_sym___thread] = ACTIONS(3818),
    [anon_sym_const] = ACTIONS(3818),
    [anon_sym_constexpr] = ACTIONS(3818),
    [anon_sym_volatile] = ACTIONS(3818),
    [anon_sym_restrict] = ACTIONS(3818),
    [anon_sym___restrict__] = ACTIONS(3818),
    [anon_sym__Atomic] = ACTIONS(3818),
    [anon_sym__Noreturn] = ACTIONS(3818),
    [anon_sym_noreturn] = ACTIONS(3818),
    [anon_sym__Nonnull] = ACTIONS(3818),
    [anon_sym_mutable] = ACTIONS(3818),
    [anon_sym_constinit] = ACTIONS(3818),
    [anon_sym_consteval] = ACTIONS(3818),
    [anon_sym_alignas] = ACTIONS(3818),
    [anon_sym__Alignas] = ACTIONS(3818),
    [sym_primitive_type] = ACTIONS(3818),
    [anon_sym_enum] = ACTIONS(3818),
    [anon_sym_class] = ACTIONS(3818),
    [anon_sym_struct] = ACTIONS(3818),
    [anon_sym_union] = ACTIONS(3818),
    [anon_sym_if] = ACTIONS(3818),
    [anon_sym_switch] = ACTIONS(3818),
    [anon_sym_case] = ACTIONS(3818),
    [anon_sym_default] = ACTIONS(3818),
    [anon_sym_while] = ACTIONS(3818),
    [anon_sym_do] = ACTIONS(3818),
    [anon_sym_for] = ACTIONS(3818),
    [anon_sym_return] = ACTIONS(3818),
    [anon_sym_break] = ACTIONS(3818),
    [anon_sym_continue] = ACTIONS(3818),
    [anon_sym_goto] = ACTIONS(3818),
    [anon_sym___try] = ACTIONS(3818),
    [anon_sym___leave] = ACTIONS(3818),
    [anon_sym_not] = ACTIONS(3818),
    [anon_sym_compl] = ACTIONS(3818),
    [anon_sym_DASH_DASH] = ACTIONS(3820),
    [anon_sym_PLUS_PLUS] = ACTIONS(3820),
    [anon_sym_sizeof] = ACTIONS(3818),
    [anon_sym___alignof__] = ACTIONS(3818),
    [anon_sym___alignof] = ACTIONS(3818),
    [anon_sym__alignof] = ACTIONS(3818),
    [anon_sym_alignof] = ACTIONS(3818),
    [anon_sym__Alignof] = ACTIONS(3818),
    [anon_sym_offsetof] = ACTIONS(3818),
    [anon_sym__Generic] = ACTIONS(3818),
    [anon_sym_asm] = ACTIONS(3818),
    [anon_sym___asm__] = ACTIONS(3818),
    [anon_sym___asm] = ACTIONS(3818),
    [sym_number_literal] = ACTIONS(3820),
    [anon_sym_L_SQUOTE] = ACTIONS(3820),
    [anon_sym_u_SQUOTE] = ACTIONS(3820),
    [anon_sym_U_SQUOTE] = ACTIONS(3820),
    [anon_sym_u8_SQUOTE] = ACTIONS(3820),
    [anon_sym_SQUOTE] = ACTIONS(3820),
    [anon_sym_L_DQUOTE] = ACTIONS(3820),
    [anon_sym_u_DQUOTE] = ACTIONS(3820),
    [anon_sym_U_DQUOTE] = ACTIONS(3820),
    [anon_sym_u8_DQUOTE] = ACTIONS(3820),
    [anon_sym_DQUOTE] = ACTIONS(3820),
    [sym_true] = ACTIONS(3818),
    [sym_false] = ACTIONS(3818),
    [anon_sym_NULL] = ACTIONS(3818),
    [anon_sym_nullptr] = ACTIONS(3818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3818),
    [anon_sym_decltype] = ACTIONS(3818),
    [anon_sym_typename] = ACTIONS(3818),
    [anon_sym_template] = ACTIONS(3818),
    [anon_sym_try] = ACTIONS(3818),
    [anon_sym_delete] = ACTIONS(3818),
    [anon_sym_throw] = ACTIONS(3818),
    [anon_sym_co_return] = ACTIONS(3818),
    [anon_sym_co_yield] = ACTIONS(3818),
    [anon_sym_R_DQUOTE] = ACTIONS(3820),
    [anon_sym_LR_DQUOTE] = ACTIONS(3820),
    [anon_sym_uR_DQUOTE] = ACTIONS(3820),
    [anon_sym_UR_DQUOTE] = ACTIONS(3820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3820),
    [anon_sym_co_await] = ACTIONS(3818),
    [anon_sym_new] = ACTIONS(3818),
    [anon_sym_requires] = ACTIONS(3818),
    [sym_this] = ACTIONS(3818),
  },
  [901] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym___extension__] = ACTIONS(2605),
    [anon_sym_typedef] = ACTIONS(2605),
    [anon_sym_virtual] = ACTIONS(2605),
    [anon_sym_extern] = ACTIONS(2605),
    [anon_sym___attribute__] = ACTIONS(2605),
    [anon_sym___attribute] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym___declspec] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_signed] = ACTIONS(2605),
    [anon_sym_unsigned] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_register] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym___inline] = ACTIONS(2605),
    [anon_sym___inline__] = ACTIONS(2605),
    [anon_sym___forceinline] = ACTIONS(2605),
    [anon_sym_thread_local] = ACTIONS(2605),
    [anon_sym___thread] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_constexpr] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_restrict] = ACTIONS(2605),
    [anon_sym___restrict__] = ACTIONS(2605),
    [anon_sym__Atomic] = ACTIONS(2605),
    [anon_sym__Noreturn] = ACTIONS(2605),
    [anon_sym_noreturn] = ACTIONS(2605),
    [anon_sym__Nonnull] = ACTIONS(2605),
    [anon_sym_mutable] = ACTIONS(2605),
    [anon_sym_constinit] = ACTIONS(2605),
    [anon_sym_consteval] = ACTIONS(2605),
    [anon_sym_alignas] = ACTIONS(2605),
    [anon_sym__Alignas] = ACTIONS(2605),
    [sym_primitive_type] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_switch] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_do] = ACTIONS(2605),
    [anon_sym_for] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_break] = ACTIONS(2605),
    [anon_sym_continue] = ACTIONS(2605),
    [anon_sym_goto] = ACTIONS(2605),
    [anon_sym___try] = ACTIONS(2605),
    [anon_sym___leave] = ACTIONS(2605),
    [anon_sym_not] = ACTIONS(2605),
    [anon_sym_compl] = ACTIONS(2605),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_sizeof] = ACTIONS(2605),
    [anon_sym___alignof__] = ACTIONS(2605),
    [anon_sym___alignof] = ACTIONS(2605),
    [anon_sym__alignof] = ACTIONS(2605),
    [anon_sym_alignof] = ACTIONS(2605),
    [anon_sym__Alignof] = ACTIONS(2605),
    [anon_sym_offsetof] = ACTIONS(2605),
    [anon_sym__Generic] = ACTIONS(2605),
    [anon_sym_asm] = ACTIONS(2605),
    [anon_sym___asm__] = ACTIONS(2605),
    [anon_sym___asm] = ACTIONS(2605),
    [sym_number_literal] = ACTIONS(2607),
    [anon_sym_L_SQUOTE] = ACTIONS(2607),
    [anon_sym_u_SQUOTE] = ACTIONS(2607),
    [anon_sym_U_SQUOTE] = ACTIONS(2607),
    [anon_sym_u8_SQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_L_DQUOTE] = ACTIONS(2607),
    [anon_sym_u_DQUOTE] = ACTIONS(2607),
    [anon_sym_U_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8_DQUOTE] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [sym_true] = ACTIONS(2605),
    [sym_false] = ACTIONS(2605),
    [anon_sym_NULL] = ACTIONS(2605),
    [anon_sym_nullptr] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2605),
    [anon_sym_decltype] = ACTIONS(2605),
    [anon_sym_typename] = ACTIONS(2605),
    [anon_sym_template] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_delete] = ACTIONS(2605),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_co_return] = ACTIONS(2605),
    [anon_sym_co_yield] = ACTIONS(2605),
    [anon_sym_R_DQUOTE] = ACTIONS(2607),
    [anon_sym_LR_DQUOTE] = ACTIONS(2607),
    [anon_sym_uR_DQUOTE] = ACTIONS(2607),
    [anon_sym_UR_DQUOTE] = ACTIONS(2607),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2607),
    [anon_sym_co_await] = ACTIONS(2605),
    [anon_sym_new] = ACTIONS(2605),
    [anon_sym_requires] = ACTIONS(2605),
    [sym_this] = ACTIONS(2605),
  },
  [902] = {
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [anon_sym___asm] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
  },
  [903] = {
    [sym_identifier] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym___attribute] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym__Nonnull] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym__Alignas] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [anon_sym___asm] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
  },
  [904] = {
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym___attribute] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym__Nonnull] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym__Alignas] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_else] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [anon_sym___asm] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
  },
  [905] = {
    [sym_identifier] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym___extension__] = ACTIONS(2687),
    [anon_sym_typedef] = ACTIONS(2687),
    [anon_sym_virtual] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym___attribute__] = ACTIONS(2687),
    [anon_sym___attribute] = ACTIONS(2687),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2689),
    [anon_sym___declspec] = ACTIONS(2687),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_signed] = ACTIONS(2687),
    [anon_sym_unsigned] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_register] = ACTIONS(2687),
    [anon_sym_inline] = ACTIONS(2687),
    [anon_sym___inline] = ACTIONS(2687),
    [anon_sym___inline__] = ACTIONS(2687),
    [anon_sym___forceinline] = ACTIONS(2687),
    [anon_sym_thread_local] = ACTIONS(2687),
    [anon_sym___thread] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_constexpr] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_restrict] = ACTIONS(2687),
    [anon_sym___restrict__] = ACTIONS(2687),
    [anon_sym__Atomic] = ACTIONS(2687),
    [anon_sym__Noreturn] = ACTIONS(2687),
    [anon_sym_noreturn] = ACTIONS(2687),
    [anon_sym__Nonnull] = ACTIONS(2687),
    [anon_sym_mutable] = ACTIONS(2687),
    [anon_sym_constinit] = ACTIONS(2687),
    [anon_sym_consteval] = ACTIONS(2687),
    [anon_sym_alignas] = ACTIONS(2687),
    [anon_sym__Alignas] = ACTIONS(2687),
    [sym_primitive_type] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2687),
    [anon_sym_switch] = ACTIONS(2687),
    [anon_sym_while] = ACTIONS(2687),
    [anon_sym_do] = ACTIONS(2687),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_return] = ACTIONS(2687),
    [anon_sym_break] = ACTIONS(2687),
    [anon_sym_continue] = ACTIONS(2687),
    [anon_sym_goto] = ACTIONS(2687),
    [anon_sym___try] = ACTIONS(2687),
    [anon_sym___leave] = ACTIONS(2687),
    [anon_sym_not] = ACTIONS(2687),
    [anon_sym_compl] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_sizeof] = ACTIONS(2687),
    [anon_sym___alignof__] = ACTIONS(2687),
    [anon_sym___alignof] = ACTIONS(2687),
    [anon_sym__alignof] = ACTIONS(2687),
    [anon_sym_alignof] = ACTIONS(2687),
    [anon_sym__Alignof] = ACTIONS(2687),
    [anon_sym_offsetof] = ACTIONS(2687),
    [anon_sym__Generic] = ACTIONS(2687),
    [anon_sym_asm] = ACTIONS(2687),
    [anon_sym___asm__] = ACTIONS(2687),
    [anon_sym___asm] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2689),
    [anon_sym_L_SQUOTE] = ACTIONS(2689),
    [anon_sym_u_SQUOTE] = ACTIONS(2689),
    [anon_sym_U_SQUOTE] = ACTIONS(2689),
    [anon_sym_u8_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_L_DQUOTE] = ACTIONS(2689),
    [anon_sym_u_DQUOTE] = ACTIONS(2689),
    [anon_sym_U_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [sym_true] = ACTIONS(2687),
    [sym_false] = ACTIONS(2687),
    [anon_sym_NULL] = ACTIONS(2687),
    [anon_sym_nullptr] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2687),
    [anon_sym_decltype] = ACTIONS(2687),
    [anon_sym_typename] = ACTIONS(2687),
    [anon_sym_template] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2687),
    [anon_sym_delete] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2687),
    [anon_sym_co_return] = ACTIONS(2687),
    [anon_sym_co_yield] = ACTIONS(2687),
    [anon_sym_R_DQUOTE] = ACTIONS(2689),
    [anon_sym_LR_DQUOTE] = ACTIONS(2689),
    [anon_sym_uR_DQUOTE] = ACTIONS(2689),
    [anon_sym_UR_DQUOTE] = ACTIONS(2689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2689),
    [anon_sym_co_await] = ACTIONS(2687),
    [anon_sym_new] = ACTIONS(2687),
    [anon_sym_requires] = ACTIONS(2687),
    [sym_this] = ACTIONS(2687),
  },
  [906] = {
    [sym_identifier] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym___attribute] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym__Nonnull] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym__Alignas] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [anon_sym___asm] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
  },
  [907] = {
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym___extension__] = ACTIONS(2589),
    [anon_sym_typedef] = ACTIONS(2589),
    [anon_sym_virtual] = ACTIONS(2589),
    [anon_sym_extern] = ACTIONS(2589),
    [anon_sym___attribute__] = ACTIONS(2589),
    [anon_sym___attribute] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2591),
    [anon_sym___declspec] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_signed] = ACTIONS(2589),
    [anon_sym_unsigned] = ACTIONS(2589),
    [anon_sym_long] = ACTIONS(2589),
    [anon_sym_short] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_register] = ACTIONS(2589),
    [anon_sym_inline] = ACTIONS(2589),
    [anon_sym___inline] = ACTIONS(2589),
    [anon_sym___inline__] = ACTIONS(2589),
    [anon_sym___forceinline] = ACTIONS(2589),
    [anon_sym_thread_local] = ACTIONS(2589),
    [anon_sym___thread] = ACTIONS(2589),
    [anon_sym_const] = ACTIONS(2589),
    [anon_sym_constexpr] = ACTIONS(2589),
    [anon_sym_volatile] = ACTIONS(2589),
    [anon_sym_restrict] = ACTIONS(2589),
    [anon_sym___restrict__] = ACTIONS(2589),
    [anon_sym__Atomic] = ACTIONS(2589),
    [anon_sym__Noreturn] = ACTIONS(2589),
    [anon_sym_noreturn] = ACTIONS(2589),
    [anon_sym__Nonnull] = ACTIONS(2589),
    [anon_sym_mutable] = ACTIONS(2589),
    [anon_sym_constinit] = ACTIONS(2589),
    [anon_sym_consteval] = ACTIONS(2589),
    [anon_sym_alignas] = ACTIONS(2589),
    [anon_sym__Alignas] = ACTIONS(2589),
    [sym_primitive_type] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_struct] = ACTIONS(2589),
    [anon_sym_union] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_goto] = ACTIONS(2589),
    [anon_sym___try] = ACTIONS(2589),
    [anon_sym___leave] = ACTIONS(2589),
    [anon_sym_not] = ACTIONS(2589),
    [anon_sym_compl] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(2591),
    [anon_sym_PLUS_PLUS] = ACTIONS(2591),
    [anon_sym_sizeof] = ACTIONS(2589),
    [anon_sym___alignof__] = ACTIONS(2589),
    [anon_sym___alignof] = ACTIONS(2589),
    [anon_sym__alignof] = ACTIONS(2589),
    [anon_sym_alignof] = ACTIONS(2589),
    [anon_sym__Alignof] = ACTIONS(2589),
    [anon_sym_offsetof] = ACTIONS(2589),
    [anon_sym__Generic] = ACTIONS(2589),
    [anon_sym_asm] = ACTIONS(2589),
    [anon_sym___asm__] = ACTIONS(2589),
    [anon_sym___asm] = ACTIONS(2589),
    [sym_number_literal] = ACTIONS(2591),
    [anon_sym_L_SQUOTE] = ACTIONS(2591),
    [anon_sym_u_SQUOTE] = ACTIONS(2591),
    [anon_sym_U_SQUOTE] = ACTIONS(2591),
    [anon_sym_u8_SQUOTE] = ACTIONS(2591),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_L_DQUOTE] = ACTIONS(2591),
    [anon_sym_u_DQUOTE] = ACTIONS(2591),
    [anon_sym_U_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8_DQUOTE] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [anon_sym_NULL] = ACTIONS(2589),
    [anon_sym_nullptr] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2589),
    [anon_sym_decltype] = ACTIONS(2589),
    [anon_sym_typename] = ACTIONS(2589),
    [anon_sym_template] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_delete] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_co_return] = ACTIONS(2589),
    [anon_sym_co_yield] = ACTIONS(2589),
    [anon_sym_R_DQUOTE] = ACTIONS(2591),
    [anon_sym_LR_DQUOTE] = ACTIONS(2591),
    [anon_sym_uR_DQUOTE] = ACTIONS(2591),
    [anon_sym_UR_DQUOTE] = ACTIONS(2591),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2591),
    [anon_sym_co_await] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_requires] = ACTIONS(2589),
    [sym_this] = ACTIONS(2589),
  },
  [908] = {
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym___attribute] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym__Nonnull] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym__Alignas] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [anon_sym___asm] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
  },
  [909] = {
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym___attribute] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym__Nonnull] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym__Alignas] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_else] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [anon_sym___asm] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
  },
  [910] = {
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_LPAREN2] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP] = ACTIONS(2705),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym___extension__] = ACTIONS(2703),
    [anon_sym_typedef] = ACTIONS(2703),
    [anon_sym_virtual] = ACTIONS(2703),
    [anon_sym_extern] = ACTIONS(2703),
    [anon_sym___attribute__] = ACTIONS(2703),
    [anon_sym___attribute] = ACTIONS(2703),
    [anon_sym_COLON_COLON] = ACTIONS(2705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2705),
    [anon_sym___declspec] = ACTIONS(2703),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_signed] = ACTIONS(2703),
    [anon_sym_unsigned] = ACTIONS(2703),
    [anon_sym_long] = ACTIONS(2703),
    [anon_sym_short] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_register] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(2703),
    [anon_sym___inline] = ACTIONS(2703),
    [anon_sym___inline__] = ACTIONS(2703),
    [anon_sym___forceinline] = ACTIONS(2703),
    [anon_sym_thread_local] = ACTIONS(2703),
    [anon_sym___thread] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_constexpr] = ACTIONS(2703),
    [anon_sym_volatile] = ACTIONS(2703),
    [anon_sym_restrict] = ACTIONS(2703),
    [anon_sym___restrict__] = ACTIONS(2703),
    [anon_sym__Atomic] = ACTIONS(2703),
    [anon_sym__Noreturn] = ACTIONS(2703),
    [anon_sym_noreturn] = ACTIONS(2703),
    [anon_sym__Nonnull] = ACTIONS(2703),
    [anon_sym_mutable] = ACTIONS(2703),
    [anon_sym_constinit] = ACTIONS(2703),
    [anon_sym_consteval] = ACTIONS(2703),
    [anon_sym_alignas] = ACTIONS(2703),
    [anon_sym__Alignas] = ACTIONS(2703),
    [sym_primitive_type] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2703),
    [anon_sym_struct] = ACTIONS(2703),
    [anon_sym_union] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_else] = ACTIONS(2703),
    [anon_sym_switch] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_goto] = ACTIONS(2703),
    [anon_sym___try] = ACTIONS(2703),
    [anon_sym___leave] = ACTIONS(2703),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_sizeof] = ACTIONS(2703),
    [anon_sym___alignof__] = ACTIONS(2703),
    [anon_sym___alignof] = ACTIONS(2703),
    [anon_sym__alignof] = ACTIONS(2703),
    [anon_sym_alignof] = ACTIONS(2703),
    [anon_sym__Alignof] = ACTIONS(2703),
    [anon_sym_offsetof] = ACTIONS(2703),
    [anon_sym__Generic] = ACTIONS(2703),
    [anon_sym_asm] = ACTIONS(2703),
    [anon_sym___asm__] = ACTIONS(2703),
    [anon_sym___asm] = ACTIONS(2703),
    [sym_number_literal] = ACTIONS(2705),
    [anon_sym_L_SQUOTE] = ACTIONS(2705),
    [anon_sym_u_SQUOTE] = ACTIONS(2705),
    [anon_sym_U_SQUOTE] = ACTIONS(2705),
    [anon_sym_u8_SQUOTE] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_L_DQUOTE] = ACTIONS(2705),
    [anon_sym_u_DQUOTE] = ACTIONS(2705),
    [anon_sym_U_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8_DQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2705),
    [sym_true] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
    [anon_sym_NULL] = ACTIONS(2703),
    [anon_sym_nullptr] = ACTIONS(2703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2703),
    [anon_sym_decltype] = ACTIONS(2703),
    [anon_sym_typename] = ACTIONS(2703),
    [anon_sym_template] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [anon_sym_delete] = ACTIONS(2703),
    [anon_sym_throw] = ACTIONS(2703),
    [anon_sym_co_return] = ACTIONS(2703),
    [anon_sym_co_yield] = ACTIONS(2703),
    [anon_sym_R_DQUOTE] = ACTIONS(2705),
    [anon_sym_LR_DQUOTE] = ACTIONS(2705),
    [anon_sym_uR_DQUOTE] = ACTIONS(2705),
    [anon_sym_UR_DQUOTE] = ACTIONS(2705),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2705),
    [anon_sym_co_await] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2703),
    [anon_sym_requires] = ACTIONS(2703),
    [sym_this] = ACTIONS(2703),
  },
  [911] = {
    [sym_identifier] = ACTIONS(2715),
    [anon_sym_LPAREN2] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2717),
    [anon_sym_TILDE] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2715),
    [anon_sym_typedef] = ACTIONS(2715),
    [anon_sym_virtual] = ACTIONS(2715),
    [anon_sym_extern] = ACTIONS(2715),
    [anon_sym___attribute__] = ACTIONS(2715),
    [anon_sym___attribute] = ACTIONS(2715),
    [anon_sym_COLON_COLON] = ACTIONS(2717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2717),
    [anon_sym___declspec] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2715),
    [anon_sym_unsigned] = ACTIONS(2715),
    [anon_sym_long] = ACTIONS(2715),
    [anon_sym_short] = ACTIONS(2715),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [anon_sym_static] = ACTIONS(2715),
    [anon_sym_register] = ACTIONS(2715),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym___inline] = ACTIONS(2715),
    [anon_sym___inline__] = ACTIONS(2715),
    [anon_sym___forceinline] = ACTIONS(2715),
    [anon_sym_thread_local] = ACTIONS(2715),
    [anon_sym___thread] = ACTIONS(2715),
    [anon_sym_const] = ACTIONS(2715),
    [anon_sym_constexpr] = ACTIONS(2715),
    [anon_sym_volatile] = ACTIONS(2715),
    [anon_sym_restrict] = ACTIONS(2715),
    [anon_sym___restrict__] = ACTIONS(2715),
    [anon_sym__Atomic] = ACTIONS(2715),
    [anon_sym__Noreturn] = ACTIONS(2715),
    [anon_sym_noreturn] = ACTIONS(2715),
    [anon_sym__Nonnull] = ACTIONS(2715),
    [anon_sym_mutable] = ACTIONS(2715),
    [anon_sym_constinit] = ACTIONS(2715),
    [anon_sym_consteval] = ACTIONS(2715),
    [anon_sym_alignas] = ACTIONS(2715),
    [anon_sym__Alignas] = ACTIONS(2715),
    [sym_primitive_type] = ACTIONS(2715),
    [anon_sym_enum] = ACTIONS(2715),
    [anon_sym_class] = ACTIONS(2715),
    [anon_sym_struct] = ACTIONS(2715),
    [anon_sym_union] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(2715),
    [anon_sym_switch] = ACTIONS(2715),
    [anon_sym_while] = ACTIONS(2715),
    [anon_sym_do] = ACTIONS(2715),
    [anon_sym_for] = ACTIONS(2715),
    [anon_sym_return] = ACTIONS(2715),
    [anon_sym_break] = ACTIONS(2715),
    [anon_sym_continue] = ACTIONS(2715),
    [anon_sym_goto] = ACTIONS(2715),
    [anon_sym___try] = ACTIONS(2715),
    [anon_sym___leave] = ACTIONS(2715),
    [anon_sym_not] = ACTIONS(2715),
    [anon_sym_compl] = ACTIONS(2715),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_sizeof] = ACTIONS(2715),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2715),
    [anon_sym__Generic] = ACTIONS(2715),
    [anon_sym_asm] = ACTIONS(2715),
    [anon_sym___asm__] = ACTIONS(2715),
    [anon_sym___asm] = ACTIONS(2715),
    [sym_number_literal] = ACTIONS(2717),
    [anon_sym_L_SQUOTE] = ACTIONS(2717),
    [anon_sym_u_SQUOTE] = ACTIONS(2717),
    [anon_sym_U_SQUOTE] = ACTIONS(2717),
    [anon_sym_u8_SQUOTE] = ACTIONS(2717),
    [anon_sym_SQUOTE] = ACTIONS(2717),
    [anon_sym_L_DQUOTE] = ACTIONS(2717),
    [anon_sym_u_DQUOTE] = ACTIONS(2717),
    [anon_sym_U_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8_DQUOTE] = ACTIONS(2717),
    [anon_sym_DQUOTE] = ACTIONS(2717),
    [sym_true] = ACTIONS(2715),
    [sym_false] = ACTIONS(2715),
    [anon_sym_NULL] = ACTIONS(2715),
    [anon_sym_nullptr] = ACTIONS(2715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2715),
    [anon_sym_decltype] = ACTIONS(2715),
    [anon_sym_typename] = ACTIONS(2715),
    [anon_sym_template] = ACTIONS(2715),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_delete] = ACTIONS(2715),
    [anon_sym_throw] = ACTIONS(2715),
    [anon_sym_co_return] = ACTIONS(2715),
    [anon_sym_co_yield] = ACTIONS(2715),
    [anon_sym_R_DQUOTE] = ACTIONS(2717),
    [anon_sym_LR_DQUOTE] = ACTIONS(2717),
    [anon_sym_uR_DQUOTE] = ACTIONS(2717),
    [anon_sym_UR_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2717),
    [anon_sym_co_await] = ACTIONS(2715),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_requires] = ACTIONS(2715),
    [sym_this] = ACTIONS(2715),
  },
  [912] = {
    [sym_identifier] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym___attribute] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym__Nonnull] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym__Alignas] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [anon_sym___asm] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
  },
  [913] = {
    [sym_identifier] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym___attribute] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym__Nonnull] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym__Alignas] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [anon_sym___asm] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
  },
  [914] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_call_modifier] = STATE(4677),
    [sym__declarator] = STATE(6616),
    [sym__abstract_declarator] = STATE(6793),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_list] = STATE(2982),
    [sym_parameter_declaration] = STATE(7367),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7367),
    [sym_variadic_parameter_declaration] = STATE(7367),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(2336),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(4181),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(4185),
    [anon_sym_AMP_AMP] = ACTIONS(4187),
    [anon_sym_AMP] = ACTIONS(4189),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1779),
    [anon_sym___clrcall] = ACTIONS(1779),
    [anon_sym___stdcall] = ACTIONS(1779),
    [anon_sym___fastcall] = ACTIONS(1779),
    [anon_sym___thiscall] = ACTIONS(1779),
    [anon_sym___vectorcall] = ACTIONS(1779),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [915] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1624),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4101),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [916] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4199),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [917] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4203),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [918] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(920),
    [sym_compound_requirement] = STATE(920),
    [sym__requirement] = STATE(920),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(920),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4205),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [919] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1624),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [920] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4207),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [921] = {
    [sym_expression] = STATE(4320),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7065),
    [sym_initializer_pair] = STATE(7065),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [922] = {
    [sym_string_literal] = STATE(2337),
    [sym_template_argument_list] = STATE(1543),
    [sym_raw_string_literal] = STATE(2337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4215),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4073),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4218),
    [anon_sym_or_eq] = ACTIONS(4218),
    [anon_sym_xor_eq] = ACTIONS(4218),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4071),
    [anon_sym_L_DQUOTE] = ACTIONS(4220),
    [anon_sym_u_DQUOTE] = ACTIONS(4220),
    [anon_sym_U_DQUOTE] = ACTIONS(4220),
    [anon_sym_u8_DQUOTE] = ACTIONS(4220),
    [anon_sym_DQUOTE] = ACTIONS(4220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(4222),
    [anon_sym_LR_DQUOTE] = ACTIONS(4222),
    [anon_sym_uR_DQUOTE] = ACTIONS(4222),
    [anon_sym_UR_DQUOTE] = ACTIONS(4222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4222),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4063),
  },
  [923] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(916),
    [sym_compound_requirement] = STATE(916),
    [sym__requirement] = STATE(916),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(916),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4224),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [924] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(930),
    [sym_compound_requirement] = STATE(930),
    [sym__requirement] = STATE(930),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(930),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4226),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [925] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(4228),
    [anon_sym_LPAREN2] = ACTIONS(4231),
    [anon_sym_BANG] = ACTIONS(4234),
    [anon_sym_TILDE] = ACTIONS(4234),
    [anon_sym_DASH] = ACTIONS(4237),
    [anon_sym_PLUS] = ACTIONS(4237),
    [anon_sym_STAR] = ACTIONS(4240),
    [anon_sym_AMP] = ACTIONS(4240),
    [anon_sym_SEMI] = ACTIONS(4243),
    [anon_sym___extension__] = ACTIONS(4246),
    [anon_sym_COLON_COLON] = ACTIONS(4249),
    [anon_sym_LBRACE] = ACTIONS(4252),
    [anon_sym_RBRACE] = ACTIONS(4255),
    [anon_sym_LBRACK] = ACTIONS(4257),
    [sym_primitive_type] = ACTIONS(4260),
    [anon_sym_not] = ACTIONS(4237),
    [anon_sym_compl] = ACTIONS(4237),
    [anon_sym_DASH_DASH] = ACTIONS(4263),
    [anon_sym_PLUS_PLUS] = ACTIONS(4263),
    [anon_sym_sizeof] = ACTIONS(4266),
    [anon_sym___alignof__] = ACTIONS(4269),
    [anon_sym___alignof] = ACTIONS(4269),
    [anon_sym__alignof] = ACTIONS(4269),
    [anon_sym_alignof] = ACTIONS(4269),
    [anon_sym__Alignof] = ACTIONS(4269),
    [anon_sym_offsetof] = ACTIONS(4272),
    [anon_sym__Generic] = ACTIONS(4275),
    [anon_sym_asm] = ACTIONS(4278),
    [anon_sym___asm__] = ACTIONS(4278),
    [anon_sym___asm] = ACTIONS(4278),
    [sym_number_literal] = ACTIONS(4281),
    [anon_sym_L_SQUOTE] = ACTIONS(4284),
    [anon_sym_u_SQUOTE] = ACTIONS(4284),
    [anon_sym_U_SQUOTE] = ACTIONS(4284),
    [anon_sym_u8_SQUOTE] = ACTIONS(4284),
    [anon_sym_SQUOTE] = ACTIONS(4284),
    [anon_sym_L_DQUOTE] = ACTIONS(4287),
    [anon_sym_u_DQUOTE] = ACTIONS(4287),
    [anon_sym_U_DQUOTE] = ACTIONS(4287),
    [anon_sym_u8_DQUOTE] = ACTIONS(4287),
    [anon_sym_DQUOTE] = ACTIONS(4287),
    [sym_true] = ACTIONS(4290),
    [sym_false] = ACTIONS(4290),
    [anon_sym_NULL] = ACTIONS(4293),
    [anon_sym_nullptr] = ACTIONS(4293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4296),
    [anon_sym_typename] = ACTIONS(4299),
    [anon_sym_template] = ACTIONS(4302),
    [anon_sym_delete] = ACTIONS(4305),
    [anon_sym_R_DQUOTE] = ACTIONS(4308),
    [anon_sym_LR_DQUOTE] = ACTIONS(4308),
    [anon_sym_uR_DQUOTE] = ACTIONS(4308),
    [anon_sym_UR_DQUOTE] = ACTIONS(4308),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4308),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4314),
    [anon_sym_requires] = ACTIONS(4317),
    [sym_this] = ACTIONS(4290),
  },
  [926] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4320),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [927] = {
    [sym_expression] = STATE(4348),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7152),
    [sym_initializer_pair] = STATE(7152),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_COMMA] = ACTIONS(4322),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4324),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [928] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(929),
    [sym_compound_requirement] = STATE(929),
    [sym__requirement] = STATE(929),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(929),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4326),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [929] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4328),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [930] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4330),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [931] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1624),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [932] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(939),
    [sym_compound_requirement] = STATE(939),
    [sym__requirement] = STATE(939),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4332),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [933] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(941),
    [sym_compound_requirement] = STATE(941),
    [sym__requirement] = STATE(941),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4334),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [934] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(926),
    [sym_compound_requirement] = STATE(926),
    [sym__requirement] = STATE(926),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(926),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [935] = {
    [sym_expression] = STATE(4309),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7187),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4338),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [936] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1624),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4340),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [937] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1624),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [938] = {
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7385),
    [sym_initializer_pair] = STATE(7385),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_COMMA] = ACTIONS(4342),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [939] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4346),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [940] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(943),
    [sym_compound_requirement] = STATE(943),
    [sym__requirement] = STATE(943),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(943),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4348),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [941] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4350),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [942] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1624),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [943] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(925),
    [sym_compound_requirement] = STATE(925),
    [sym__requirement] = STATE(925),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(925),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4352),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [944] = {
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7225),
    [sym_initializer_pair] = STATE(7225),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_COMMA] = ACTIONS(4354),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4356),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [945] = {
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7237),
    [sym_initializer_pair] = STATE(7237),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_COMMA] = ACTIONS(4358),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4360),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [946] = {
    [sym_expression] = STATE(4347),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7384),
    [sym_initializer_pair] = STATE(7384),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_COMMA] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4364),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [947] = {
    [sym_expression_statement] = STATE(2719),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8341),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_type_requirement] = STATE(917),
    [sym_compound_requirement] = STATE(917),
    [sym__requirement] = STATE(917),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_requirement_seq_repeat1] = STATE(917),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4195),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4366),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_typename] = ACTIONS(4201),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [948] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1624),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4368),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [949] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4370),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [950] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4372),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [951] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4338),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [952] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4374),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [953] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4376),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [954] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4378),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [955] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4380),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [956] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4382),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [957] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4384),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [958] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4386),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [959] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4388),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [960] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_RBRACE] = ACTIONS(4390),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [961] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(1638),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4079),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym___extension__] = ACTIONS(4061),
    [anon_sym_virtual] = ACTIONS(4061),
    [anon_sym_extern] = ACTIONS(4061),
    [anon_sym___attribute__] = ACTIONS(4061),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4069),
    [anon_sym___declspec] = ACTIONS(4061),
    [anon_sym___based] = ACTIONS(4061),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4089),
    [anon_sym_unsigned] = ACTIONS(4089),
    [anon_sym_long] = ACTIONS(4089),
    [anon_sym_short] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4073),
    [anon_sym_static] = ACTIONS(4061),
    [anon_sym_EQ] = ACTIONS(4061),
    [anon_sym_register] = ACTIONS(4061),
    [anon_sym_inline] = ACTIONS(4061),
    [anon_sym___inline] = ACTIONS(4061),
    [anon_sym___inline__] = ACTIONS(4061),
    [anon_sym___forceinline] = ACTIONS(4061),
    [anon_sym_thread_local] = ACTIONS(4061),
    [anon_sym___thread] = ACTIONS(4061),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4061),
    [anon_sym_volatile] = ACTIONS(4061),
    [anon_sym_restrict] = ACTIONS(4061),
    [anon_sym___restrict__] = ACTIONS(4061),
    [anon_sym__Atomic] = ACTIONS(4061),
    [anon_sym__Noreturn] = ACTIONS(4061),
    [anon_sym_noreturn] = ACTIONS(4061),
    [anon_sym__Nonnull] = ACTIONS(4061),
    [anon_sym_mutable] = ACTIONS(4061),
    [anon_sym_constinit] = ACTIONS(4061),
    [anon_sym_consteval] = ACTIONS(4061),
    [anon_sym_alignas] = ACTIONS(4061),
    [anon_sym__Alignas] = ACTIONS(4061),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(4061),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [962] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7650),
    [sym_initializer_pair] = STATE(7650),
    [sym_subscript_designator] = STATE(6670),
    [sym_subscript_range_designator] = STATE(6670),
    [sym_field_designator] = STATE(6670),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [aux_sym_initializer_pair_repeat1] = STATE(6670),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(217),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [963] = {
    [sym_expression] = STATE(4544),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_lambda_default_capture] = STATE(7565),
    [sym__lambda_capture_identifier] = STATE(7303),
    [sym_lambda_capture_initializer] = STATE(7303),
    [sym__lambda_capture] = STATE(7303),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_identifier_parameter_pack_expansion] = STATE(7303),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3638),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(4392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4394),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(4396),
    [anon_sym_AMP] = ACTIONS(4398),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4400),
    [anon_sym_EQ] = ACTIONS(4402),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(4404),
  },
  [964] = {
    [sym_expression] = STATE(4544),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_lambda_default_capture] = STATE(7565),
    [sym__lambda_capture_identifier] = STATE(7303),
    [sym_lambda_capture_initializer] = STATE(7303),
    [sym__lambda_capture] = STATE(7303),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_identifier_parameter_pack_expansion] = STATE(7303),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3638),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(4406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4394),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(4396),
    [anon_sym_AMP] = ACTIONS(4398),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4400),
    [anon_sym_EQ] = ACTIONS(4402),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(4404),
  },
  [965] = {
    [sym_compound_statement] = STATE(7136),
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7136),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4408),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [966] = {
    [sym_compound_statement] = STATE(7133),
    [sym_expression] = STATE(4328),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7133),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4410),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [967] = {
    [sym_expression] = STATE(3172),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8371),
    [sym__unary_right_fold] = STATE(8372),
    [sym__binary_fold] = STATE(8380),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [968] = {
    [sym_expression] = STATE(3291),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(7897),
    [sym__unary_right_fold] = STATE(7900),
    [sym__binary_fold] = STATE(7903),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [969] = {
    [sym_expression] = STATE(3306),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8303),
    [sym__unary_right_fold] = STATE(8304),
    [sym__binary_fold] = STATE(8306),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [970] = {
    [sym_expression] = STATE(4438),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8268),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8268),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4412),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [971] = {
    [sym_expression] = STATE(3295),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8204),
    [sym__unary_right_fold] = STATE(8208),
    [sym__binary_fold] = STATE(8210),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [972] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_identifier_parameter_pack_expansion] = STATE(7762),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3513),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(4414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4416),
    [anon_sym_COMMA] = ACTIONS(4418),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4418),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [973] = {
    [sym_expression] = STATE(3300),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(7870),
    [sym__unary_right_fold] = STATE(7906),
    [sym__binary_fold] = STATE(7920),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [974] = {
    [sym_compound_statement] = STATE(7380),
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7380),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4422),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [975] = {
    [sym_compound_statement] = STATE(8592),
    [sym_expression] = STATE(3285),
    [sym__string] = STATE(2890),
    [sym_comma_expression] = STATE(8592),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym__assignment_expression_lhs] = STATE(8025),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [976] = {
    [sym_expression] = STATE(4422),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8374),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8374),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4424),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [977] = {
    [sym_expression] = STATE(3301),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8242),
    [sym__unary_right_fold] = STATE(8265),
    [sym__binary_fold] = STATE(8310),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [978] = {
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8552),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8552),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4426),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [979] = {
    [sym_expression] = STATE(3223),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(7965),
    [sym__unary_right_fold] = STATE(7966),
    [sym__binary_fold] = STATE(7968),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [980] = {
    [sym_expression] = STATE(4158),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_initializer_list] = STATE(6761),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_default] = ACTIONS(4430),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(4432),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4434),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [981] = {
    [sym_compound_statement] = STATE(7401),
    [sym_expression] = STATE(4283),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7401),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4436),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [982] = {
    [sym_compound_statement] = STATE(7210),
    [sym_expression] = STATE(4325),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7210),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4438),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [983] = {
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8144),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8144),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4440),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [984] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_initializer_list] = STATE(6768),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_default] = ACTIONS(4442),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(4444),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4446),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [985] = {
    [sym_compound_statement] = STATE(7369),
    [sym_expression] = STATE(4289),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7369),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4448),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [986] = {
    [sym_expression] = STATE(3224),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8228),
    [sym__unary_right_fold] = STATE(8235),
    [sym__binary_fold] = STATE(8240),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [987] = {
    [sym_expression] = STATE(4143),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_initializer_list] = STATE(6728),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_default] = ACTIONS(4450),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(4452),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4454),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [988] = {
    [sym_expression] = STATE(4404),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8593),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8593),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4456),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [989] = {
    [sym_expression] = STATE(3280),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym__unary_left_fold] = STATE(8295),
    [sym__unary_right_fold] = STATE(8319),
    [sym__binary_fold] = STATE(8324),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [990] = {
    [sym_compound_statement] = STATE(7232),
    [sym_expression] = STATE(4359),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7232),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4458),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [991] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4460),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [992] = {
    [sym_expression] = STATE(4281),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_initializer_list] = STATE(7364),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4463),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [993] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4465),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [994] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4468),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [995] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4471),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [996] = {
    [sym_expression] = STATE(4310),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_initializer_list] = STATE(7138),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4474),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [997] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4476),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [998] = {
    [sym_compound_statement] = STATE(7519),
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7519),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [999] = {
    [sym_expression] = STATE(4362),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_initializer_list] = STATE(7315),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1000] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4481),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1001] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4484),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1002] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4487),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1003] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4490),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1004] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1005] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4496),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1006] = {
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1007] = {
    [sym_expression] = STATE(4439),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7635),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1008] = {
    [sym_expression] = STATE(3515),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_initializer_list] = STATE(3853),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1009] = {
    [sym_expression] = STATE(4467),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8233),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4501),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1010] = {
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7675),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1011] = {
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1012] = {
    [sym_expression] = STATE(4500),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_initializer_list] = STATE(3831),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1013] = {
    [sym_expression] = STATE(4427),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7879),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4503),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1014] = {
    [sym_expression] = STATE(4406),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7988),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4505),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1015] = {
    [sym_expression] = STATE(4541),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8370),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4507),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1016] = {
    [sym_expression] = STATE(4075),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_initializer_list] = STATE(3831),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1017] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1018] = {
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8657),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4511),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1019] = {
    [sym_expression] = STATE(4729),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8718),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1020] = {
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4513),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1021] = {
    [sym_expression] = STATE(4444),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8455),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4515),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1022] = {
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_initializer_list] = STATE(2417),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1023] = {
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_initializer_list] = STATE(3831),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1024] = {
    [sym_expression] = STATE(4511),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8262),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4517),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1025] = {
    [sym_expression] = STATE(4509),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8257),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4519),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1026] = {
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8267),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4521),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1027] = {
    [sym_expression] = STATE(4415),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7509),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1028] = {
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1029] = {
    [sym_expression] = STATE(4239),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_initializer_list] = STATE(7000),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1030] = {
    [sym_expression] = STATE(3570),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_initializer_list] = STATE(3841),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1031] = {
    [sym_expression] = STATE(3248),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(3615),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACE] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1032] = {
    [sym_expression] = STATE(4711),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(8264),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1033] = {
    [sym_expression] = STATE(4416),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8137),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4525),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1034] = {
    [sym_expression] = STATE(4466),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8178),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4527),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1035] = {
    [sym_expression] = STATE(4507),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8245),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1036] = {
    [sym_expression] = STATE(4495),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_initializer_list] = STATE(7654),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1037] = {
    [sym_expression] = STATE(3268),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_initializer_list] = STATE(2417),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1038] = {
    [sym_expression] = STATE(4219),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(3831),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1039] = {
    [sym_expression] = STATE(4340),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_initializer_list] = STATE(7509),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1040] = {
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_initializer_list] = STATE(2417),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1041] = {
    [sym_expression] = STATE(3107),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_initializer_list] = STATE(3474),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1042] = {
    [sym_expression] = STATE(4539),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8594),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4535),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1043] = {
    [sym_expression] = STATE(4518),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_initializer_list] = STATE(3831),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1044] = {
    [sym_expression] = STATE(4395),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_initializer_list] = STATE(4737),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(3730),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1045] = {
    [sym_expression] = STATE(4377),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8171),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4537),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1046] = {
    [sym_expression] = STATE(4540),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8624),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4539),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1047] = {
    [sym_expression] = STATE(4453),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7884),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4541),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1048] = {
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_initializer_list] = STATE(3831),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1049] = {
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8007),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4543),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1050] = {
    [sym_expression] = STATE(4498),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(8687),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_COLON] = ACTIONS(4545),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1051] = {
    [sym_expression] = STATE(3667),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1052] = {
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_initializer_list] = STATE(4764),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(3730),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1053] = {
    [sym_expression] = STATE(4327),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7187),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4547),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1054] = {
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_initializer_list] = STATE(2417),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1055] = {
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_initializer_list] = STATE(3778),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1056] = {
    [sym_expression] = STATE(3135),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1057] = {
    [sym_expression] = STATE(3132),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4555),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1058] = {
    [sym_expression] = STATE(3134),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4558),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1059] = {
    [sym_expression] = STATE(3134),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4561),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1060] = {
    [sym_expression] = STATE(3135),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4564),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1061] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4567),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1062] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4569),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1063] = {
    [sym_expression] = STATE(3135),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4571),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1064] = {
    [sym_expression] = STATE(3135),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4574),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1065] = {
    [sym_expression] = STATE(3109),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4577),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1066] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4580),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1067] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4582),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1068] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4584),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1069] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4586),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1070] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4588),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1071] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym_SEMI] = ACTIONS(4590),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4592),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1072] = {
    [sym_expression] = STATE(3109),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4594),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1073] = {
    [sym_expression] = STATE(3528),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4597),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1074] = {
    [sym_expression] = STATE(3528),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4600),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1075] = {
    [sym_expression] = STATE(3529),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4603),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1076] = {
    [sym_expression] = STATE(3529),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1077] = {
    [sym_expression] = STATE(3529),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1078] = {
    [sym_expression] = STATE(3530),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4612),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1079] = {
    [sym_expression] = STATE(2329),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4615),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1080] = {
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4619),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1081] = {
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4621),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1082] = {
    [sym_expression] = STATE(3531),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1083] = {
    [sym_expression] = STATE(3532),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1084] = {
    [sym_expression] = STATE(3533),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1085] = {
    [sym_expression] = STATE(3534),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4555),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1086] = {
    [sym_expression] = STATE(3535),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4558),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1087] = {
    [sym_expression] = STATE(3535),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4561),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1088] = {
    [sym_expression] = STATE(3536),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4564),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1089] = {
    [sym_expression] = STATE(3536),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4571),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1090] = {
    [sym_expression] = STATE(3536),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1091] = {
    [sym_expression] = STATE(3536),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4574),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1092] = {
    [sym_expression] = STATE(3538),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1093] = {
    [sym_expression] = STATE(3538),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4594),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1094] = {
    [sym_expression] = STATE(3530),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1095] = {
    [sym_expression] = STATE(3531),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4635),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1096] = {
    [sym_expression] = STATE(3532),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1097] = {
    [sym_expression] = STATE(3533),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1098] = {
    [sym_expression] = STATE(3534),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4644),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1099] = {
    [sym_expression] = STATE(3535),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4647),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1100] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4650),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1101] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4652),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1102] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4654),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1103] = {
    [sym_expression] = STATE(4580),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(4656),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1104] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4658),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1105] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4660),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1106] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4662),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1107] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym_SEMI] = ACTIONS(4664),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4592),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1108] = {
    [sym_expression] = STATE(4374),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4666),
    [anon_sym_LPAREN2] = ACTIONS(4668),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1109] = {
    [sym_expression] = STATE(4595),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4670),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1110] = {
    [sym_expression] = STATE(4596),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4672),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1111] = {
    [sym_expression] = STATE(3154),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1112] = {
    [sym_expression] = STATE(3131),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1113] = {
    [sym_expression] = STATE(3165),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1114] = {
    [sym_expression] = STATE(3131),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1115] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4674),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1116] = {
    [sym_expression] = STATE(3132),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4644),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1117] = {
    [sym_expression] = STATE(3134),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4647),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1118] = {
    [sym_expression] = STATE(4327),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7187),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1119] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4676),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1120] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4678),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1121] = {
    [sym_expression] = STATE(3562),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4680),
    [anon_sym_LPAREN2] = ACTIONS(4682),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1122] = {
    [sym_expression] = STATE(4621),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1123] = {
    [sym_expression] = STATE(4622),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4686),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1124] = {
    [sym_expression] = STATE(3676),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4688),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1125] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4692),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1126] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4694),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1127] = {
    [sym_expression] = STATE(3183),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4696),
    [anon_sym_LPAREN2] = ACTIONS(4698),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1128] = {
    [sym_expression] = STATE(4671),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4700),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1129] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4702),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1130] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym_SEMI] = ACTIONS(4704),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4592),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1131] = {
    [sym_expression] = STATE(3676),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4688),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1132] = {
    [sym_expression] = STATE(4568),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4708),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1133] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(4710),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1134] = {
    [sym_expression] = STATE(3676),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4688),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1135] = {
    [sym_expression] = STATE(2329),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4615),
    [anon_sym_LPAREN2] = ACTIONS(4714),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1136] = {
    [sym_expression] = STATE(2329),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4615),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1137] = {
    [sym_expression] = STATE(4587),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4718),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1138] = {
    [sym_expression] = STATE(4547),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4720),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1139] = {
    [sym_expression] = STATE(4490),
    [sym__string] = STATE(4193),
    [sym_comma_expression] = STATE(7187),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1140] = {
    [sym_expression] = STATE(4573),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4722),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1141] = {
    [sym_expression] = STATE(4602),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4724),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1142] = {
    [sym_expression] = STATE(4625),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4726),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1143] = {
    [sym_expression] = STATE(4542),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4728),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1144] = {
    [sym_expression] = STATE(4671),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4730),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1145] = {
    [sym_expression] = STATE(4651),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4732),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1146] = {
    [sym_expression] = STATE(4657),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4734),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1147] = {
    [sym_expression] = STATE(4667),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4736),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1148] = {
    [sym_expression] = STATE(4537),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4688),
    [anon_sym_LPAREN2] = ACTIONS(4738),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1149] = {
    [sym_expression] = STATE(3252),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4615),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1150] = {
    [sym_expression] = STATE(3078),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1151] = {
    [sym_expression] = STATE(4723),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4746),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1152] = {
    [sym_expression] = STATE(4725),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(4748),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1153] = {
    [sym_expression] = STATE(3081),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4597),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1154] = {
    [sym_expression] = STATE(3676),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4688),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1155] = {
    [sym_expression] = STATE(3081),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4600),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1156] = {
    [sym_expression] = STATE(3166),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4603),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1157] = {
    [sym_expression] = STATE(3166),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1158] = {
    [sym_expression] = STATE(3166),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1159] = {
    [sym_expression] = STATE(3154),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4612),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1160] = {
    [sym_expression] = STATE(3156),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1161] = {
    [sym_expression] = STATE(3165),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1162] = {
    [sym_expression] = STATE(3156),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4635),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1163] = {
    [sym_expression] = STATE(3178),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1164] = {
    [sym_expression] = STATE(4103),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(4752),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1165] = {
    [sym_expression] = STATE(2848),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(4754),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1166] = {
    [sym_expression] = STATE(2873),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1167] = {
    [sym_expression] = STATE(2874),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1168] = {
    [sym_expression] = STATE(2875),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1169] = {
    [sym_expression] = STATE(4397),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1170] = {
    [sym_expression] = STATE(4244),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1171] = {
    [sym_expression] = STATE(2876),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1172] = {
    [sym_expression] = STATE(4265),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1173] = {
    [sym_expression] = STATE(2877),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1174] = {
    [sym_expression] = STATE(3082),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1175] = {
    [sym_expression] = STATE(4562),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1176] = {
    [sym_expression] = STATE(4070),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1177] = {
    [sym_expression] = STATE(3661),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1178] = {
    [sym_expression] = STATE(4072),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1179] = {
    [sym_expression] = STATE(4077),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1180] = {
    [sym_expression] = STATE(4078),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1181] = {
    [sym_expression] = STATE(4096),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1182] = {
    [sym_expression] = STATE(4109),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1183] = {
    [sym_expression] = STATE(4110),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1184] = {
    [sym_expression] = STATE(4121),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1185] = {
    [sym_expression] = STATE(4122),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1186] = {
    [sym_expression] = STATE(4564),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1187] = {
    [sym_expression] = STATE(3661),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1188] = {
    [sym_expression] = STATE(4069),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1189] = {
    [sym_expression] = STATE(4074),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1190] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1191] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1192] = {
    [sym_expression] = STATE(3644),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(4756),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1193] = {
    [sym_expression] = STATE(3632),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1194] = {
    [sym_expression] = STATE(4269),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1195] = {
    [sym_expression] = STATE(4254),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(4758),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1196] = {
    [sym_expression] = STATE(3552),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(4760),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1197] = {
    [sym_expression] = STATE(4588),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1198] = {
    [sym_expression] = STATE(4127),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1199] = {
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1200] = {
    [sym_expression] = STATE(4236),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1201] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1202] = {
    [sym_expression] = STATE(3081),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1203] = {
    [sym_expression] = STATE(3687),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1204] = {
    [sym_expression] = STATE(4240),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1205] = {
    [sym_expression] = STATE(3166),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1206] = {
    [sym_expression] = STATE(3661),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1207] = {
    [sym_expression] = STATE(4086),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1208] = {
    [sym_expression] = STATE(4247),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1209] = {
    [sym_expression] = STATE(2919),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1210] = {
    [sym_expression] = STATE(3539),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1211] = {
    [sym_expression] = STATE(4583),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1212] = {
    [sym_expression] = STATE(4275),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1213] = {
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1214] = {
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1215] = {
    [sym_expression] = STATE(4242),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1216] = {
    [sym_expression] = STATE(3225),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1217] = {
    [sym_expression] = STATE(3194),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1218] = {
    [sym_expression] = STATE(3196),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1219] = {
    [sym_expression] = STATE(3197),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1220] = {
    [sym_expression] = STATE(3198),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1221] = {
    [sym_expression] = STATE(3200),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1222] = {
    [sym_expression] = STATE(3202),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1223] = {
    [sym_expression] = STATE(3212),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1224] = {
    [sym_expression] = STATE(3215),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1225] = {
    [sym_expression] = STATE(3216),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1226] = {
    [sym_expression] = STATE(3218),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1227] = {
    [sym_expression] = STATE(2740),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(4762),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1228] = {
    [sym_expression] = STATE(2331),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1229] = {
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1230] = {
    [sym_expression] = STATE(4499),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1231] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1232] = {
    [sym_expression] = STATE(3154),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1233] = {
    [sym_expression] = STATE(4222),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1234] = {
    [sym_expression] = STATE(3156),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1235] = {
    [sym_expression] = STATE(4277),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1236] = {
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1237] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1238] = {
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1239] = {
    [sym_expression] = STATE(3165),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1240] = {
    [sym_expression] = STATE(3131),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1241] = {
    [sym_expression] = STATE(4228),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1242] = {
    [sym_expression] = STATE(4258),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1243] = {
    [sym_expression] = STATE(4266),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1244] = {
    [sym_expression] = STATE(4235),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1245] = {
    [sym_expression] = STATE(4685),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1246] = {
    [sym_expression] = STATE(4262),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1247] = {
    [sym_expression] = STATE(4671),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1248] = {
    [sym_expression] = STATE(3159),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1249] = {
    [sym_expression] = STATE(4220),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1250] = {
    [sym_expression] = STATE(4238),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1251] = {
    [sym_expression] = STATE(3616),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1252] = {
    [sym_expression] = STATE(4432),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1253] = {
    [sym_expression] = STATE(4514),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1254] = {
    [sym_expression] = STATE(4515),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1255] = {
    [sym_expression] = STATE(4652),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1256] = {
    [sym_expression] = STATE(4371),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1257] = {
    [sym_expression] = STATE(4251),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1258] = {
    [sym_expression] = STATE(3132),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1259] = {
    [sym_expression] = STATE(3064),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1260] = {
    [sym_expression] = STATE(3003),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1261] = {
    [sym_expression] = STATE(2341),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1262] = {
    [sym_expression] = STATE(2935),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1263] = {
    [sym_expression] = STATE(2936),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1264] = {
    [sym_expression] = STATE(2937),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1265] = {
    [sym_expression] = STATE(2938),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1266] = {
    [sym_expression] = STATE(2939),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1267] = {
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1268] = {
    [sym_expression] = STATE(2942),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1269] = {
    [sym_expression] = STATE(2932),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1270] = {
    [sym_expression] = STATE(3503),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1271] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(4764),
  },
  [1272] = {
    [sym_expression] = STATE(3743),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1273] = {
    [sym_expression] = STATE(3554),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1274] = {
    [sym_expression] = STATE(3134),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1275] = {
    [sym_expression] = STATE(4383),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1276] = {
    [sym_expression] = STATE(4384),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1277] = {
    [sym_expression] = STATE(4655),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1278] = {
    [sym_expression] = STATE(4402),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1279] = {
    [sym_expression] = STATE(4544),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1280] = {
    [sym_expression] = STATE(2844),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1281] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1282] = {
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1283] = {
    [sym_expression] = STATE(4386),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1284] = {
    [sym_expression] = STATE(3648),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1285] = {
    [sym_expression] = STATE(4387),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1286] = {
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1287] = {
    [sym_expression] = STATE(2739),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1288] = {
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1289] = {
    [sym_expression] = STATE(2341),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1290] = {
    [sym_expression] = STATE(2790),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1291] = {
    [sym_expression] = STATE(2791),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1292] = {
    [sym_expression] = STATE(2794),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1293] = {
    [sym_expression] = STATE(2795),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1294] = {
    [sym_expression] = STATE(2799),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1295] = {
    [sym_expression] = STATE(2800),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1296] = {
    [sym_expression] = STATE(2764),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1297] = {
    [sym_expression] = STATE(2773),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1298] = {
    [sym_expression] = STATE(3199),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1299] = {
    [sym_expression] = STATE(4417),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1300] = {
    [sym_expression] = STATE(3180),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1301] = {
    [sym_expression] = STATE(4388),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1302] = {
    [sym_expression] = STATE(4389),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1303] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1304] = {
    [sym_expression] = STATE(4675),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1305] = {
    [sym_expression] = STATE(4391),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1306] = {
    [sym_expression] = STATE(4728),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1307] = {
    [sym_expression] = STATE(3682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(4766),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1308] = {
    [sym_expression] = STATE(4291),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1309] = {
    [sym_expression] = STATE(4634),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1310] = {
    [sym_expression] = STATE(3309),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(4768),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1311] = {
    [sym_expression] = STATE(3289),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1312] = {
    [sym_expression] = STATE(4252),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(4770),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1313] = {
    [sym_expression] = STATE(3682),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1314] = {
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(4772),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1315] = {
    [sym_expression] = STATE(3743),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1316] = {
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1317] = {
    [sym_expression] = STATE(3231),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1318] = {
    [sym_expression] = STATE(3135),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1319] = {
    [sym_expression] = STATE(4680),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1320] = {
    [sym_expression] = STATE(3069),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1321] = {
    [sym_expression] = STATE(3109),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1322] = {
    [sym_expression] = STATE(4649),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1323] = {
    [sym_expression] = STATE(3682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1324] = {
    [sym_expression] = STATE(3682),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1325] = {
    [sym_expression] = STATE(3743),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1326] = {
    [sym_expression] = STATE(2878),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1327] = {
    [sym_expression] = STATE(4666),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1328] = {
    [sym_expression] = STATE(4379),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1329] = {
    [sym_expression] = STATE(4679),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1330] = {
    [sym_expression] = STATE(4375),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(4774),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1331] = {
    [sym_expression] = STATE(3191),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1332] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1333] = {
    [sym_expression] = STATE(3568),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1334] = {
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(4776),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1335] = {
    [sym_expression] = STATE(2325),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1336] = {
    [sym_expression] = STATE(3122),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(4778),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1337] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1338] = {
    [sym_expression] = STATE(3145),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1339] = {
    [sym_expression] = STATE(2981),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(4780),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1340] = {
    [sym_expression] = STATE(2325),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1341] = {
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1342] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1343] = {
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1344] = {
    [sym_expression] = STATE(3096),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1345] = {
    [sym_expression] = STATE(2993),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1346] = {
    [sym_expression] = STATE(2897),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1347] = {
    [sym_expression] = STATE(3112),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(4782),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1348] = {
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1349] = {
    [sym_expression] = STATE(3023),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1350] = {
    [sym_expression] = STATE(4234),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1351] = {
    [sym_expression] = STATE(4719),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1352] = {
    [sym_expression] = STATE(4726),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1353] = {
    [sym_expression] = STATE(4505),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1354] = {
    [sym_expression] = STATE(4476),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(4784),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1355] = {
    [sym_expression] = STATE(3054),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(4786),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1356] = {
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1357] = {
    [sym_expression] = STATE(4508),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1358] = {
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1359] = {
    [sym_expression] = STATE(4481),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1360] = {
    [sym_expression] = STATE(4482),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1361] = {
    [sym_expression] = STATE(4483),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1362] = {
    [sym_expression] = STATE(4484),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1363] = {
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1364] = {
    [sym_expression] = STATE(4486),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1365] = {
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1366] = {
    [sym_expression] = STATE(4489),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1367] = {
    [sym_expression] = STATE(4548),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1368] = {
    [sym_expression] = STATE(3528),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1369] = {
    [sym_expression] = STATE(2331),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1370] = {
    [sym_expression] = STATE(3529),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1371] = {
    [sym_expression] = STATE(4550),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1372] = {
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1373] = {
    [sym_expression] = STATE(4492),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1374] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1375] = {
    [sym_expression] = STATE(4494),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1376] = {
    [sym_expression] = STATE(3530),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1377] = {
    [sym_expression] = STATE(4295),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1378] = {
    [sym_expression] = STATE(3531),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1379] = {
    [sym_expression] = STATE(3532),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1380] = {
    [sym_expression] = STATE(4563),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1381] = {
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1382] = {
    [sym_expression] = STATE(3533),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1383] = {
    [sym_expression] = STATE(2788),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(4788),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1384] = {
    [sym_expression] = STATE(4575),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1385] = {
    [sym_expression] = STATE(4576),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1386] = {
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1387] = {
    [sym_expression] = STATE(4578),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1388] = {
    [sym_expression] = STATE(4368),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1389] = {
    [sym_expression] = STATE(4589),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1390] = {
    [sym_expression] = STATE(4597),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1391] = {
    [sym_expression] = STATE(2774),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1392] = {
    [sym_expression] = STATE(4603),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1393] = {
    [sym_expression] = STATE(4605),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1394] = {
    [sym_expression] = STATE(4606),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1395] = {
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1396] = {
    [sym_expression] = STATE(4316),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1397] = {
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1398] = {
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1399] = {
    [sym_expression] = STATE(2869),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1400] = {
    [sym_expression] = STATE(4626),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1401] = {
    [sym_expression] = STATE(4627),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1402] = {
    [sym_expression] = STATE(4628),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1403] = {
    [sym_expression] = STATE(4629),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1404] = {
    [sym_expression] = STATE(4356),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1405] = {
    [sym_expression] = STATE(2341),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1406] = {
    [sym_expression] = STATE(4637),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1407] = {
    [sym_expression] = STATE(4639),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1408] = {
    [sym_expression] = STATE(4640),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1409] = {
    [sym_expression] = STATE(4641),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1410] = {
    [sym_expression] = STATE(4314),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1411] = {
    [sym_expression] = STATE(2724),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1412] = {
    [sym_expression] = STATE(4653),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1413] = {
    [sym_expression] = STATE(4734),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1414] = {
    [sym_expression] = STATE(4654),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1415] = {
    [sym_expression] = STATE(4401),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1416] = {
    [sym_expression] = STATE(2726),
    [sym__string] = STATE(2804),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2804),
    [sym_concatenated_string] = STATE(2804),
    [sym_string_literal] = STATE(1878),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(1878),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_PLUS] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(1923),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1919),
    [anon_sym_compl] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(3882),
    [anon_sym_PLUS_PLUS] = ACTIONS(3882),
    [anon_sym_sizeof] = ACTIONS(1931),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1941),
    [anon_sym_L_SQUOTE] = ACTIONS(1943),
    [anon_sym_u_SQUOTE] = ACTIONS(1943),
    [anon_sym_U_SQUOTE] = ACTIONS(1943),
    [anon_sym_u8_SQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [anon_sym_co_await] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1959),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1417] = {
    [sym_expression] = STATE(2325),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1418] = {
    [sym_expression] = STATE(4535),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1419] = {
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1420] = {
    [sym_expression] = STATE(2325),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(4790),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1421] = {
    [sym_expression] = STATE(4506),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(4792),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1422] = {
    [sym_expression] = STATE(4538),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3558),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3558),
    [sym_call_expression] = STATE(3558),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3558),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3558),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3558),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3558),
    [sym_identifier] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3736),
    [anon_sym_PLUS] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(3740),
    [anon_sym_COLON_COLON] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3736),
    [anon_sym_compl] = ACTIONS(3736),
    [anon_sym_DASH_DASH] = ACTIONS(3896),
    [anon_sym_PLUS_PLUS] = ACTIONS(3896),
    [anon_sym_sizeof] = ACTIONS(3744),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3746),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3748),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1423] = {
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1424] = {
    [sym_expression] = STATE(3073),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1425] = {
    [sym_expression] = STATE(3073),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1426] = {
    [sym_expression] = STATE(3249),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1427] = {
    [sym_expression] = STATE(3251),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1428] = {
    [sym_expression] = STATE(2870),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1429] = {
    [sym_expression] = STATE(3661),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1430] = {
    [sym_expression] = STATE(3534),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1431] = {
    [sym_expression] = STATE(3535),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1432] = {
    [sym_expression] = STATE(3536),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1433] = {
    [sym_expression] = STATE(3538),
    [sym__string] = STATE(3722),
    [sym_conditional_expression] = STATE(3860),
    [sym_assignment_expression] = STATE(3860),
    [sym_pointer_expression] = STATE(3314),
    [sym_unary_expression] = STATE(3860),
    [sym_binary_expression] = STATE(3860),
    [sym_update_expression] = STATE(3860),
    [sym_cast_expression] = STATE(3860),
    [sym_sizeof_expression] = STATE(3860),
    [sym_alignof_expression] = STATE(3860),
    [sym_offsetof_expression] = STATE(3860),
    [sym_generic_expression] = STATE(3860),
    [sym_subscript_expression] = STATE(3314),
    [sym_call_expression] = STATE(3314),
    [sym_gnu_asm_expression] = STATE(3860),
    [sym_extension_expression] = STATE(3860),
    [sym_field_expression] = STATE(3314),
    [sym_compound_literal_expression] = STATE(3860),
    [sym_parenthesized_expression] = STATE(3314),
    [sym_char_literal] = STATE(3722),
    [sym_concatenated_string] = STATE(3722),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3860),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7582),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3860),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3860),
    [sym_new_expression] = STATE(3860),
    [sym_delete_expression] = STATE(3860),
    [sym_requires_clause] = STATE(3860),
    [sym_requires_expression] = STATE(3860),
    [sym_lambda_expression] = STATE(3860),
    [sym_lambda_capture_specifier] = STATE(4900),
    [sym_fold_expression] = STATE(3860),
    [sym_parameter_pack_expansion] = STATE(3860),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3314),
    [sym_qualified_type_identifier] = STATE(7582),
    [sym_user_defined_literal] = STATE(3314),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(1865),
    [anon_sym_compl] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1877),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1881),
    [anon_sym__Generic] = ACTIONS(1883),
    [anon_sym_asm] = ACTIONS(1885),
    [anon_sym___asm__] = ACTIONS(1885),
    [anon_sym___asm] = ACTIONS(1885),
    [sym_number_literal] = ACTIONS(1887),
    [anon_sym_L_SQUOTE] = ACTIONS(1889),
    [anon_sym_u_SQUOTE] = ACTIONS(1889),
    [anon_sym_U_SQUOTE] = ACTIONS(1889),
    [anon_sym_u8_SQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [anon_sym_L_DQUOTE] = ACTIONS(1891),
    [anon_sym_u_DQUOTE] = ACTIONS(1891),
    [anon_sym_U_DQUOTE] = ACTIONS(1891),
    [anon_sym_u8_DQUOTE] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_R_DQUOTE] = ACTIONS(1899),
    [anon_sym_LR_DQUOTE] = ACTIONS(1899),
    [anon_sym_uR_DQUOTE] = ACTIONS(1899),
    [anon_sym_UR_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1899),
    [anon_sym_co_await] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_requires] = ACTIONS(1905),
    [sym_this] = ACTIONS(1893),
  },
  [1434] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1435] = {
    [sym_expression] = STATE(3146),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1436] = {
    [sym_expression] = STATE(4501),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1437] = {
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1438] = {
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1439] = {
    [sym_expression] = STATE(4504),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1440] = {
    [sym_expression] = STATE(2914),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(4796),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1441] = {
    [sym_expression] = STATE(4393),
    [sym__string] = STATE(4647),
    [sym_conditional_expression] = STATE(4792),
    [sym_assignment_expression] = STATE(4792),
    [sym_pointer_expression] = STATE(3584),
    [sym_unary_expression] = STATE(4792),
    [sym_binary_expression] = STATE(4792),
    [sym_update_expression] = STATE(4792),
    [sym_cast_expression] = STATE(4792),
    [sym_sizeof_expression] = STATE(4792),
    [sym_alignof_expression] = STATE(4792),
    [sym_offsetof_expression] = STATE(4792),
    [sym_generic_expression] = STATE(4792),
    [sym_subscript_expression] = STATE(3584),
    [sym_call_expression] = STATE(3584),
    [sym_gnu_asm_expression] = STATE(4792),
    [sym_extension_expression] = STATE(4792),
    [sym_field_expression] = STATE(3584),
    [sym_compound_literal_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(3584),
    [sym_char_literal] = STATE(4647),
    [sym_concatenated_string] = STATE(4647),
    [sym_string_literal] = STATE(3756),
    [sym_null] = STATE(4792),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7811),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(4792),
    [sym_raw_string_literal] = STATE(3756),
    [sym_co_await_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_delete_expression] = STATE(4792),
    [sym_requires_clause] = STATE(4792),
    [sym_requires_expression] = STATE(4792),
    [sym_lambda_expression] = STATE(4792),
    [sym_lambda_capture_specifier] = STATE(4927),
    [sym_fold_expression] = STATE(4792),
    [sym_parameter_pack_expansion] = STATE(4792),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3584),
    [sym_qualified_type_identifier] = STATE(7811),
    [sym_user_defined_literal] = STATE(3584),
    [sym_identifier] = ACTIONS(3726),
    [anon_sym_LPAREN2] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(3728),
    [anon_sym_COLON_COLON] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(3732),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2757),
    [anon_sym___alignof] = ACTIONS(2757),
    [anon_sym__alignof] = ACTIONS(2757),
    [anon_sym_alignof] = ACTIONS(2757),
    [anon_sym__Alignof] = ACTIONS(2757),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2761),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [anon_sym___asm] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2791),
    [sym_this] = ACTIONS(2771),
  },
  [1442] = {
    [sym_expression] = STATE(3282),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1443] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4592),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1444] = {
    [sym_expression] = STATE(2328),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1445] = {
    [sym_expression] = STATE(3250),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1446] = {
    [sym_expression] = STATE(3257),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1447] = {
    [sym_expression] = STATE(3258),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1448] = {
    [sym_expression] = STATE(3259),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1449] = {
    [sym_expression] = STATE(3260),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1450] = {
    [sym_expression] = STATE(3261),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1451] = {
    [sym_expression] = STATE(3262),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1452] = {
    [sym_expression] = STATE(3263),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1453] = {
    [sym_expression] = STATE(3264),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1454] = {
    [sym_expression] = STATE(3265),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1455] = {
    [sym_expression] = STATE(3266),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1456] = {
    [sym_expression] = STATE(3253),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1457] = {
    [sym_expression] = STATE(3254),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1458] = {
    [sym_expression] = STATE(3255),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(4800),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1459] = {
    [sym_expression] = STATE(3267),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1460] = {
    [sym_expression] = STATE(2331),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1461] = {
    [sym_expression] = STATE(3687),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1462] = {
    [sym_expression] = STATE(3270),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1463] = {
    [sym_expression] = STATE(3272),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4531),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(3894),
    [anon_sym_AMP] = ACTIONS(3894),
    [anon_sym___extension__] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_compl] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(3900),
    [anon_sym_PLUS_PLUS] = ACTIONS(3900),
    [anon_sym_sizeof] = ACTIONS(2447),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1464] = {
    [sym_expression] = STATE(4424),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1465] = {
    [sym_expression] = STATE(4425),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1466] = {
    [sym_expression] = STATE(4066),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(4802),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1467] = {
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1468] = {
    [sym_expression] = STATE(4517),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(4804),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1469] = {
    [sym_expression] = STATE(3204),
    [sym__string] = STATE(3401),
    [sym_conditional_expression] = STATE(3563),
    [sym_assignment_expression] = STATE(3563),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(3563),
    [sym_binary_expression] = STATE(3563),
    [sym_update_expression] = STATE(3563),
    [sym_cast_expression] = STATE(3563),
    [sym_sizeof_expression] = STATE(3563),
    [sym_alignof_expression] = STATE(3563),
    [sym_offsetof_expression] = STATE(3563),
    [sym_generic_expression] = STATE(3563),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(3563),
    [sym_extension_expression] = STATE(3563),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(3563),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(3401),
    [sym_concatenated_string] = STATE(3401),
    [sym_string_literal] = STATE(2327),
    [sym_null] = STATE(3563),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7528),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3563),
    [sym_raw_string_literal] = STATE(2327),
    [sym_co_await_expression] = STATE(3563),
    [sym_new_expression] = STATE(3563),
    [sym_delete_expression] = STATE(3563),
    [sym_requires_clause] = STATE(3563),
    [sym_requires_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3563),
    [sym_lambda_capture_specifier] = STATE(4870),
    [sym_fold_expression] = STATE(3563),
    [sym_parameter_pack_expansion] = STATE(3563),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5628),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7528),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2459),
    [anon_sym_COLON_COLON] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_compl] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(3888),
    [anon_sym_PLUS_PLUS] = ACTIONS(3888),
    [anon_sym_sizeof] = ACTIONS(2467),
    [anon_sym___alignof__] = ACTIONS(2469),
    [anon_sym___alignof] = ACTIONS(2469),
    [anon_sym__alignof] = ACTIONS(2469),
    [anon_sym_alignof] = ACTIONS(2469),
    [anon_sym__Alignof] = ACTIONS(2469),
    [anon_sym_offsetof] = ACTIONS(2471),
    [anon_sym__Generic] = ACTIONS(2473),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [anon_sym_L_SQUOTE] = ACTIONS(2479),
    [anon_sym_u_SQUOTE] = ACTIONS(2479),
    [anon_sym_U_SQUOTE] = ACTIONS(2479),
    [anon_sym_u8_SQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_L_DQUOTE] = ACTIONS(2481),
    [anon_sym_u_DQUOTE] = ACTIONS(2481),
    [anon_sym_U_DQUOTE] = ACTIONS(2481),
    [anon_sym_u8_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [anon_sym_NULL] = ACTIONS(2485),
    [anon_sym_nullptr] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_R_DQUOTE] = ACTIONS(2489),
    [anon_sym_LR_DQUOTE] = ACTIONS(2489),
    [anon_sym_uR_DQUOTE] = ACTIONS(2489),
    [anon_sym_UR_DQUOTE] = ACTIONS(2489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2489),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_requires] = ACTIONS(2495),
    [sym_this] = ACTIONS(2483),
  },
  [1470] = {
    [sym_expression] = STATE(4519),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1471] = {
    [sym_expression] = STATE(4520),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1472] = {
    [sym_expression] = STATE(4521),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1473] = {
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1474] = {
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1475] = {
    [sym_expression] = STATE(4524),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1476] = {
    [sym_expression] = STATE(4525),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1477] = {
    [sym_expression] = STATE(4526),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1478] = {
    [sym_expression] = STATE(4527),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1479] = {
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1480] = {
    [sym_expression] = STATE(4233),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1481] = {
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1482] = {
    [sym_expression] = STATE(4532),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1483] = {
    [sym_expression] = STATE(3682),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1484] = {
    [sym_expression] = STATE(3743),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1485] = {
    [sym_expression] = STATE(2871),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1486] = {
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(4806),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1487] = {
    [sym_expression] = STATE(3687),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3642),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3642),
    [sym_call_expression] = STATE(3642),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3642),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3642),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3642),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3642),
    [sym_identifier] = ACTIONS(3708),
    [anon_sym_LPAREN2] = ACTIONS(3752),
    [anon_sym_BANG] = ACTIONS(3712),
    [anon_sym_TILDE] = ACTIONS(3712),
    [anon_sym_DASH] = ACTIONS(3710),
    [anon_sym_PLUS] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(3714),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3710),
    [anon_sym_compl] = ACTIONS(3710),
    [anon_sym_DASH_DASH] = ACTIONS(3756),
    [anon_sym_PLUS_PLUS] = ACTIONS(3756),
    [anon_sym_sizeof] = ACTIONS(3718),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3720),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(3724),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1488] = {
    [sym_expression] = STATE(4270),
    [sym__string] = STATE(4306),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3284),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3284),
    [sym_call_expression] = STATE(3284),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3284),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3284),
    [sym_char_literal] = STATE(4306),
    [sym_concatenated_string] = STATE(4306),
    [sym_string_literal] = STATE(3325),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3325),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3284),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3284),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4428),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4808),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_sizeof] = ACTIONS(3504),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3506),
    [anon_sym_L_SQUOTE] = ACTIONS(3508),
    [anon_sym_u_SQUOTE] = ACTIONS(3508),
    [anon_sym_U_SQUOTE] = ACTIONS(3508),
    [anon_sym_u8_SQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_L_DQUOTE] = ACTIONS(3510),
    [anon_sym_u_DQUOTE] = ACTIONS(3510),
    [anon_sym_U_DQUOTE] = ACTIONS(3510),
    [anon_sym_u8_DQUOTE] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3512),
    [anon_sym_R_DQUOTE] = ACTIONS(3514),
    [anon_sym_LR_DQUOTE] = ACTIONS(3514),
    [anon_sym_uR_DQUOTE] = ACTIONS(3514),
    [anon_sym_UR_DQUOTE] = ACTIONS(3514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3514),
    [anon_sym_co_await] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1489] = {
    [sym_expression] = STATE(3687),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1490] = {
    [sym_expression] = STATE(2872),
    [sym__string] = STATE(2890),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(2890),
    [sym_concatenated_string] = STATE(2890),
    [sym_string_literal] = STATE(2055),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2055),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(4420),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1965),
    [anon_sym_compl] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(1975),
    [anon_sym_L_SQUOTE] = ACTIONS(1977),
    [anon_sym_u_SQUOTE] = ACTIONS(1977),
    [anon_sym_U_SQUOTE] = ACTIONS(1977),
    [anon_sym_u8_SQUOTE] = ACTIONS(1977),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_L_DQUOTE] = ACTIONS(1979),
    [anon_sym_u_DQUOTE] = ACTIONS(1979),
    [anon_sym_U_DQUOTE] = ACTIONS(1979),
    [anon_sym_u8_DQUOTE] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_R_DQUOTE] = ACTIONS(1983),
    [anon_sym_LR_DQUOTE] = ACTIONS(1983),
    [anon_sym_uR_DQUOTE] = ACTIONS(1983),
    [anon_sym_UR_DQUOTE] = ACTIONS(1983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1983),
    [anon_sym_co_await] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1491] = {
    [sym_expression] = STATE(3111),
    [sym__string] = STATE(3232),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3379),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3379),
    [sym_call_expression] = STATE(3379),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_extension_expression] = STATE(3409),
    [sym_field_expression] = STATE(3379),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3379),
    [sym_char_literal] = STATE(3232),
    [sym_concatenated_string] = STATE(3232),
    [sym_string_literal] = STATE(2319),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7549),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2319),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(4893),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3379),
    [sym_qualified_type_identifier] = STATE(7549),
    [sym_user_defined_literal] = STATE(3379),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1867),
    [anon_sym_AMP] = ACTIONS(1867),
    [anon_sym___extension__] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_compl] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1795),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(1799),
    [anon_sym___alignof] = ACTIONS(1799),
    [anon_sym__alignof] = ACTIONS(1799),
    [anon_sym_alignof] = ACTIONS(1799),
    [anon_sym__Alignof] = ACTIONS(1799),
    [anon_sym_offsetof] = ACTIONS(1801),
    [anon_sym__Generic] = ACTIONS(1803),
    [anon_sym_asm] = ACTIONS(1805),
    [anon_sym___asm__] = ACTIONS(1805),
    [anon_sym___asm] = ACTIONS(1805),
    [sym_number_literal] = ACTIONS(1807),
    [anon_sym_L_SQUOTE] = ACTIONS(1809),
    [anon_sym_u_SQUOTE] = ACTIONS(1809),
    [anon_sym_U_SQUOTE] = ACTIONS(1809),
    [anon_sym_u8_SQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [anon_sym_L_DQUOTE] = ACTIONS(1811),
    [anon_sym_u_DQUOTE] = ACTIONS(1811),
    [anon_sym_U_DQUOTE] = ACTIONS(1811),
    [anon_sym_u8_DQUOTE] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [anon_sym_NULL] = ACTIONS(1815),
    [anon_sym_nullptr] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_R_DQUOTE] = ACTIONS(1827),
    [anon_sym_LR_DQUOTE] = ACTIONS(1827),
    [anon_sym_uR_DQUOTE] = ACTIONS(1827),
    [anon_sym_UR_DQUOTE] = ACTIONS(1827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1827),
    [anon_sym_co_await] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_requires] = ACTIONS(1833),
    [sym_this] = ACTIONS(1813),
  },
  [1492] = {
    [sym_expression] = STATE(2354),
    [sym__string] = STATE(3164),
    [sym_conditional_expression] = STATE(2483),
    [sym_assignment_expression] = STATE(2483),
    [sym_pointer_expression] = STATE(2375),
    [sym_unary_expression] = STATE(2483),
    [sym_binary_expression] = STATE(2483),
    [sym_update_expression] = STATE(2483),
    [sym_cast_expression] = STATE(2483),
    [sym_sizeof_expression] = STATE(2483),
    [sym_alignof_expression] = STATE(2483),
    [sym_offsetof_expression] = STATE(2483),
    [sym_generic_expression] = STATE(2483),
    [sym_subscript_expression] = STATE(2375),
    [sym_call_expression] = STATE(2375),
    [sym_gnu_asm_expression] = STATE(2483),
    [sym_extension_expression] = STATE(2483),
    [sym_field_expression] = STATE(2375),
    [sym_compound_literal_expression] = STATE(2483),
    [sym_parenthesized_expression] = STATE(2375),
    [sym_char_literal] = STATE(3164),
    [sym_concatenated_string] = STATE(3164),
    [sym_string_literal] = STATE(2253),
    [sym_null] = STATE(2483),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7481),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(2483),
    [sym_raw_string_literal] = STATE(2253),
    [sym_co_await_expression] = STATE(2483),
    [sym_new_expression] = STATE(2483),
    [sym_delete_expression] = STATE(2483),
    [sym_requires_clause] = STATE(2483),
    [sym_requires_expression] = STATE(2483),
    [sym_lambda_expression] = STATE(2483),
    [sym_lambda_capture_specifier] = STATE(4911),
    [sym_fold_expression] = STATE(2483),
    [sym_parameter_pack_expansion] = STATE(2483),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2375),
    [sym_qualified_type_identifier] = STATE(7481),
    [sym_user_defined_literal] = STATE(2375),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(3890),
    [anon_sym_AMP] = ACTIONS(3890),
    [anon_sym___extension__] = ACTIONS(2001),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(1929),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(3892),
    [anon_sym_PLUS_PLUS] = ACTIONS(3892),
    [anon_sym_sizeof] = ACTIONS(2005),
    [anon_sym___alignof__] = ACTIONS(1933),
    [anon_sym___alignof] = ACTIONS(1933),
    [anon_sym__alignof] = ACTIONS(1933),
    [anon_sym_alignof] = ACTIONS(1933),
    [anon_sym__Alignof] = ACTIONS(1933),
    [anon_sym_offsetof] = ACTIONS(1935),
    [anon_sym__Generic] = ACTIONS(1937),
    [anon_sym_asm] = ACTIONS(1939),
    [anon_sym___asm__] = ACTIONS(1939),
    [anon_sym___asm] = ACTIONS(1939),
    [sym_number_literal] = ACTIONS(2007),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2011),
    [anon_sym_u_DQUOTE] = ACTIONS(2011),
    [anon_sym_U_DQUOTE] = ACTIONS(2011),
    [anon_sym_u8_DQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [anon_sym_NULL] = ACTIONS(1949),
    [anon_sym_nullptr] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1961),
    [sym_this] = ACTIONS(1947),
  },
  [1493] = {
    [sym_expression] = STATE(4118),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(2864),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(2864),
    [sym_call_expression] = STATE(2864),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(2864),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(2864),
    [sym_char_literal] = STATE(4164),
    [sym_concatenated_string] = STATE(4164),
    [sym_string_literal] = STATE(3038),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3038),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(2864),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(2864),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4509),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_STAR] = ACTIONS(3880),
    [anon_sym_AMP] = ACTIONS(3880),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(3460),
    [anon_sym_compl] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3886),
    [anon_sym_PLUS_PLUS] = ACTIONS(3886),
    [anon_sym_sizeof] = ACTIONS(3470),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(3472),
    [anon_sym_L_SQUOTE] = ACTIONS(3474),
    [anon_sym_u_SQUOTE] = ACTIONS(3474),
    [anon_sym_U_SQUOTE] = ACTIONS(3474),
    [anon_sym_u8_SQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
    [anon_sym_co_await] = ACTIONS(3482),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_requires] = ACTIONS(3486),
    [sym_this] = ACTIONS(221),
  },
  [1494] = {
    [sym_expression] = STATE(4730),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1495] = {
    [sym_expression] = STATE(4731),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1496] = {
    [sym_expression] = STATE(4732),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1497] = {
    [sym_expression] = STATE(4733),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1498] = {
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1499] = {
    [sym_expression] = STATE(4561),
    [sym__string] = STATE(4193),
    [sym_conditional_expression] = STATE(3794),
    [sym_assignment_expression] = STATE(3794),
    [sym_pointer_expression] = STATE(3236),
    [sym_unary_expression] = STATE(3794),
    [sym_binary_expression] = STATE(3794),
    [sym_update_expression] = STATE(3794),
    [sym_cast_expression] = STATE(3794),
    [sym_sizeof_expression] = STATE(3794),
    [sym_alignof_expression] = STATE(3794),
    [sym_offsetof_expression] = STATE(3794),
    [sym_generic_expression] = STATE(3794),
    [sym_subscript_expression] = STATE(3236),
    [sym_call_expression] = STATE(3236),
    [sym_gnu_asm_expression] = STATE(3794),
    [sym_extension_expression] = STATE(3794),
    [sym_field_expression] = STATE(3236),
    [sym_compound_literal_expression] = STATE(3794),
    [sym_parenthesized_expression] = STATE(3236),
    [sym_char_literal] = STATE(4193),
    [sym_concatenated_string] = STATE(4193),
    [sym_string_literal] = STATE(3087),
    [sym_null] = STATE(3794),
    [sym_decltype] = STATE(8209),
    [sym__class_name] = STATE(7601),
    [sym_template_type] = STATE(1864),
    [sym_template_function] = STATE(3794),
    [sym_raw_string_literal] = STATE(3087),
    [sym_co_await_expression] = STATE(3794),
    [sym_new_expression] = STATE(3794),
    [sym_delete_expression] = STATE(3794),
    [sym_requires_clause] = STATE(3794),
    [sym_requires_expression] = STATE(3794),
    [sym_lambda_expression] = STATE(3794),
    [sym_lambda_capture_specifier] = STATE(4868),
    [sym_fold_expression] = STATE(3794),
    [sym_parameter_pack_expansion] = STATE(3794),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5618),
    [sym_qualified_identifier] = STATE(3236),
    [sym_qualified_type_identifier] = STATE(7601),
    [sym_user_defined_literal] = STATE(3236),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [sym_primitive_type] = ACTIONS(2023),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1500] = {
    [sym_identifier] = ACTIONS(4810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_COMMA] = ACTIONS(4812),
    [anon_sym_RPAREN] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_TILDE] = ACTIONS(4812),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_STAR] = ACTIONS(4810),
    [anon_sym_SLASH] = ACTIONS(4810),
    [anon_sym_PERCENT] = ACTIONS(4810),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_PIPE] = ACTIONS(4810),
    [anon_sym_CARET] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4812),
    [anon_sym_BANG_EQ] = ACTIONS(4812),
    [anon_sym_GT] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4810),
    [anon_sym_LT] = ACTIONS(4810),
    [anon_sym_LT_LT] = ACTIONS(4810),
    [anon_sym_GT_GT] = ACTIONS(4810),
    [anon_sym_SEMI] = ACTIONS(4812),
    [anon_sym___extension__] = ACTIONS(4810),
    [anon_sym_virtual] = ACTIONS(4810),
    [anon_sym_extern] = ACTIONS(4810),
    [anon_sym___attribute__] = ACTIONS(4810),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4812),
    [anon_sym___declspec] = ACTIONS(4810),
    [anon_sym___based] = ACTIONS(4810),
    [anon_sym___cdecl] = ACTIONS(4810),
    [anon_sym___clrcall] = ACTIONS(4810),
    [anon_sym___stdcall] = ACTIONS(4810),
    [anon_sym___fastcall] = ACTIONS(4810),
    [anon_sym___thiscall] = ACTIONS(4810),
    [anon_sym___vectorcall] = ACTIONS(4810),
    [anon_sym_LBRACE] = ACTIONS(4812),
    [anon_sym_RBRACE] = ACTIONS(4812),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [anon_sym_static] = ACTIONS(4810),
    [anon_sym_EQ] = ACTIONS(4810),
    [anon_sym_register] = ACTIONS(4810),
    [anon_sym_inline] = ACTIONS(4810),
    [anon_sym___inline] = ACTIONS(4810),
    [anon_sym___inline__] = ACTIONS(4810),
    [anon_sym___forceinline] = ACTIONS(4810),
    [anon_sym_thread_local] = ACTIONS(4810),
    [anon_sym___thread] = ACTIONS(4810),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4810),
    [anon_sym_volatile] = ACTIONS(4810),
    [anon_sym_restrict] = ACTIONS(4810),
    [anon_sym___restrict__] = ACTIONS(4810),
    [anon_sym__Atomic] = ACTIONS(4810),
    [anon_sym__Noreturn] = ACTIONS(4810),
    [anon_sym_noreturn] = ACTIONS(4810),
    [anon_sym__Nonnull] = ACTIONS(4810),
    [anon_sym_mutable] = ACTIONS(4810),
    [anon_sym_constinit] = ACTIONS(4810),
    [anon_sym_consteval] = ACTIONS(4810),
    [anon_sym_alignas] = ACTIONS(4810),
    [anon_sym__Alignas] = ACTIONS(4810),
    [anon_sym_QMARK] = ACTIONS(4812),
    [anon_sym_STAR_EQ] = ACTIONS(4812),
    [anon_sym_SLASH_EQ] = ACTIONS(4812),
    [anon_sym_PERCENT_EQ] = ACTIONS(4812),
    [anon_sym_PLUS_EQ] = ACTIONS(4812),
    [anon_sym_DASH_EQ] = ACTIONS(4812),
    [anon_sym_LT_LT_EQ] = ACTIONS(4812),
    [anon_sym_GT_GT_EQ] = ACTIONS(4812),
    [anon_sym_AMP_EQ] = ACTIONS(4812),
    [anon_sym_CARET_EQ] = ACTIONS(4812),
    [anon_sym_PIPE_EQ] = ACTIONS(4812),
    [anon_sym_and_eq] = ACTIONS(4810),
    [anon_sym_or_eq] = ACTIONS(4810),
    [anon_sym_xor_eq] = ACTIONS(4810),
    [anon_sym_LT_EQ_GT] = ACTIONS(4812),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [anon_sym_bitor] = ACTIONS(4810),
    [anon_sym_xor] = ACTIONS(4810),
    [anon_sym_bitand] = ACTIONS(4810),
    [anon_sym_not_eq] = ACTIONS(4810),
    [anon_sym_DASH_DASH] = ACTIONS(4812),
    [anon_sym_PLUS_PLUS] = ACTIONS(4812),
    [anon_sym_DOT] = ACTIONS(4810),
    [anon_sym_DOT_STAR] = ACTIONS(4812),
    [anon_sym_DASH_GT] = ACTIONS(4812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4810),
    [anon_sym_decltype] = ACTIONS(4810),
    [anon_sym_template] = ACTIONS(4810),
    [anon_sym_operator] = ACTIONS(4810),
  },
  [1501] = {
    [sym_identifier] = ACTIONS(4814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_TILDE] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4814),
    [anon_sym_STAR] = ACTIONS(4814),
    [anon_sym_SLASH] = ACTIONS(4814),
    [anon_sym_PERCENT] = ACTIONS(4814),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_PIPE] = ACTIONS(4814),
    [anon_sym_CARET] = ACTIONS(4814),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym_EQ_EQ] = ACTIONS(4816),
    [anon_sym_BANG_EQ] = ACTIONS(4816),
    [anon_sym_GT] = ACTIONS(4814),
    [anon_sym_GT_EQ] = ACTIONS(4816),
    [anon_sym_LT_EQ] = ACTIONS(4814),
    [anon_sym_LT] = ACTIONS(4814),
    [anon_sym_LT_LT] = ACTIONS(4814),
    [anon_sym_GT_GT] = ACTIONS(4814),
    [anon_sym_SEMI] = ACTIONS(4816),
    [anon_sym___extension__] = ACTIONS(4814),
    [anon_sym_virtual] = ACTIONS(4814),
    [anon_sym_extern] = ACTIONS(4814),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4816),
    [anon_sym___declspec] = ACTIONS(4814),
    [anon_sym___based] = ACTIONS(4814),
    [anon_sym___cdecl] = ACTIONS(4814),
    [anon_sym___clrcall] = ACTIONS(4814),
    [anon_sym___stdcall] = ACTIONS(4814),
    [anon_sym___fastcall] = ACTIONS(4814),
    [anon_sym___thiscall] = ACTIONS(4814),
    [anon_sym___vectorcall] = ACTIONS(4814),
    [anon_sym_LBRACE] = ACTIONS(4816),
    [anon_sym_RBRACE] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4814),
    [anon_sym_static] = ACTIONS(4814),
    [anon_sym_EQ] = ACTIONS(4814),
    [anon_sym_register] = ACTIONS(4814),
    [anon_sym_inline] = ACTIONS(4814),
    [anon_sym___inline] = ACTIONS(4814),
    [anon_sym___inline__] = ACTIONS(4814),
    [anon_sym___forceinline] = ACTIONS(4814),
    [anon_sym_thread_local] = ACTIONS(4814),
    [anon_sym___thread] = ACTIONS(4814),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4814),
    [anon_sym_volatile] = ACTIONS(4814),
    [anon_sym_restrict] = ACTIONS(4814),
    [anon_sym___restrict__] = ACTIONS(4814),
    [anon_sym__Atomic] = ACTIONS(4814),
    [anon_sym__Noreturn] = ACTIONS(4814),
    [anon_sym_noreturn] = ACTIONS(4814),
    [anon_sym__Nonnull] = ACTIONS(4814),
    [anon_sym_mutable] = ACTIONS(4814),
    [anon_sym_constinit] = ACTIONS(4814),
    [anon_sym_consteval] = ACTIONS(4814),
    [anon_sym_alignas] = ACTIONS(4814),
    [anon_sym__Alignas] = ACTIONS(4814),
    [anon_sym_QMARK] = ACTIONS(4816),
    [anon_sym_STAR_EQ] = ACTIONS(4816),
    [anon_sym_SLASH_EQ] = ACTIONS(4816),
    [anon_sym_PERCENT_EQ] = ACTIONS(4816),
    [anon_sym_PLUS_EQ] = ACTIONS(4816),
    [anon_sym_DASH_EQ] = ACTIONS(4816),
    [anon_sym_LT_LT_EQ] = ACTIONS(4816),
    [anon_sym_GT_GT_EQ] = ACTIONS(4816),
    [anon_sym_AMP_EQ] = ACTIONS(4816),
    [anon_sym_CARET_EQ] = ACTIONS(4816),
    [anon_sym_PIPE_EQ] = ACTIONS(4816),
    [anon_sym_and_eq] = ACTIONS(4814),
    [anon_sym_or_eq] = ACTIONS(4814),
    [anon_sym_xor_eq] = ACTIONS(4814),
    [anon_sym_LT_EQ_GT] = ACTIONS(4816),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [anon_sym_bitor] = ACTIONS(4814),
    [anon_sym_xor] = ACTIONS(4814),
    [anon_sym_bitand] = ACTIONS(4814),
    [anon_sym_not_eq] = ACTIONS(4814),
    [anon_sym_DASH_DASH] = ACTIONS(4816),
    [anon_sym_PLUS_PLUS] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4814),
    [anon_sym_DOT_STAR] = ACTIONS(4816),
    [anon_sym_DASH_GT] = ACTIONS(4816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4814),
    [anon_sym_decltype] = ACTIONS(4814),
    [anon_sym_template] = ACTIONS(4814),
    [anon_sym_operator] = ACTIONS(4814),
  },
  [1502] = {
    [sym_identifier] = ACTIONS(4818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_COMMA] = ACTIONS(4820),
    [anon_sym_RPAREN] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_TILDE] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4818),
    [anon_sym_STAR] = ACTIONS(4818),
    [anon_sym_SLASH] = ACTIONS(4818),
    [anon_sym_PERCENT] = ACTIONS(4818),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_PIPE] = ACTIONS(4818),
    [anon_sym_CARET] = ACTIONS(4818),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym_EQ_EQ] = ACTIONS(4820),
    [anon_sym_BANG_EQ] = ACTIONS(4820),
    [anon_sym_GT] = ACTIONS(4818),
    [anon_sym_GT_EQ] = ACTIONS(4820),
    [anon_sym_LT_EQ] = ACTIONS(4818),
    [anon_sym_LT] = ACTIONS(4818),
    [anon_sym_LT_LT] = ACTIONS(4818),
    [anon_sym_GT_GT] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4820),
    [anon_sym___extension__] = ACTIONS(4818),
    [anon_sym_virtual] = ACTIONS(4818),
    [anon_sym_extern] = ACTIONS(4818),
    [anon_sym___attribute__] = ACTIONS(4818),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4820),
    [anon_sym___declspec] = ACTIONS(4818),
    [anon_sym___based] = ACTIONS(4818),
    [anon_sym___cdecl] = ACTIONS(4818),
    [anon_sym___clrcall] = ACTIONS(4818),
    [anon_sym___stdcall] = ACTIONS(4818),
    [anon_sym___fastcall] = ACTIONS(4818),
    [anon_sym___thiscall] = ACTIONS(4818),
    [anon_sym___vectorcall] = ACTIONS(4818),
    [anon_sym_LBRACE] = ACTIONS(4820),
    [anon_sym_RBRACE] = ACTIONS(4820),
    [anon_sym_LBRACK] = ACTIONS(4818),
    [anon_sym_static] = ACTIONS(4818),
    [anon_sym_EQ] = ACTIONS(4818),
    [anon_sym_register] = ACTIONS(4818),
    [anon_sym_inline] = ACTIONS(4818),
    [anon_sym___inline] = ACTIONS(4818),
    [anon_sym___inline__] = ACTIONS(4818),
    [anon_sym___forceinline] = ACTIONS(4818),
    [anon_sym_thread_local] = ACTIONS(4818),
    [anon_sym___thread] = ACTIONS(4818),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4818),
    [anon_sym_volatile] = ACTIONS(4818),
    [anon_sym_restrict] = ACTIONS(4818),
    [anon_sym___restrict__] = ACTIONS(4818),
    [anon_sym__Atomic] = ACTIONS(4818),
    [anon_sym__Noreturn] = ACTIONS(4818),
    [anon_sym_noreturn] = ACTIONS(4818),
    [anon_sym__Nonnull] = ACTIONS(4818),
    [anon_sym_mutable] = ACTIONS(4818),
    [anon_sym_constinit] = ACTIONS(4818),
    [anon_sym_consteval] = ACTIONS(4818),
    [anon_sym_alignas] = ACTIONS(4818),
    [anon_sym__Alignas] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4820),
    [anon_sym_STAR_EQ] = ACTIONS(4820),
    [anon_sym_SLASH_EQ] = ACTIONS(4820),
    [anon_sym_PERCENT_EQ] = ACTIONS(4820),
    [anon_sym_PLUS_EQ] = ACTIONS(4820),
    [anon_sym_DASH_EQ] = ACTIONS(4820),
    [anon_sym_LT_LT_EQ] = ACTIONS(4820),
    [anon_sym_GT_GT_EQ] = ACTIONS(4820),
    [anon_sym_AMP_EQ] = ACTIONS(4820),
    [anon_sym_CARET_EQ] = ACTIONS(4820),
    [anon_sym_PIPE_EQ] = ACTIONS(4820),
    [anon_sym_and_eq] = ACTIONS(4818),
    [anon_sym_or_eq] = ACTIONS(4818),
    [anon_sym_xor_eq] = ACTIONS(4818),
    [anon_sym_LT_EQ_GT] = ACTIONS(4820),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [anon_sym_bitor] = ACTIONS(4818),
    [anon_sym_xor] = ACTIONS(4818),
    [anon_sym_bitand] = ACTIONS(4818),
    [anon_sym_not_eq] = ACTIONS(4818),
    [anon_sym_DASH_DASH] = ACTIONS(4820),
    [anon_sym_PLUS_PLUS] = ACTIONS(4820),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_DOT_STAR] = ACTIONS(4820),
    [anon_sym_DASH_GT] = ACTIONS(4820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4818),
    [anon_sym_decltype] = ACTIONS(4818),
    [anon_sym_template] = ACTIONS(4818),
    [anon_sym_operator] = ACTIONS(4818),
  },
  [1503] = {
    [sym_identifier] = ACTIONS(4822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4824),
    [anon_sym_COMMA] = ACTIONS(4824),
    [anon_sym_RPAREN] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_TILDE] = ACTIONS(4824),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_STAR] = ACTIONS(4822),
    [anon_sym_SLASH] = ACTIONS(4822),
    [anon_sym_PERCENT] = ACTIONS(4822),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_PIPE] = ACTIONS(4822),
    [anon_sym_CARET] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym_EQ_EQ] = ACTIONS(4824),
    [anon_sym_BANG_EQ] = ACTIONS(4824),
    [anon_sym_GT] = ACTIONS(4822),
    [anon_sym_GT_EQ] = ACTIONS(4824),
    [anon_sym_LT_EQ] = ACTIONS(4822),
    [anon_sym_LT] = ACTIONS(4822),
    [anon_sym_LT_LT] = ACTIONS(4822),
    [anon_sym_GT_GT] = ACTIONS(4822),
    [anon_sym_SEMI] = ACTIONS(4824),
    [anon_sym___extension__] = ACTIONS(4822),
    [anon_sym_virtual] = ACTIONS(4822),
    [anon_sym_extern] = ACTIONS(4822),
    [anon_sym___attribute__] = ACTIONS(4822),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4824),
    [anon_sym___declspec] = ACTIONS(4822),
    [anon_sym___based] = ACTIONS(4822),
    [anon_sym___cdecl] = ACTIONS(4822),
    [anon_sym___clrcall] = ACTIONS(4822),
    [anon_sym___stdcall] = ACTIONS(4822),
    [anon_sym___fastcall] = ACTIONS(4822),
    [anon_sym___thiscall] = ACTIONS(4822),
    [anon_sym___vectorcall] = ACTIONS(4822),
    [anon_sym_LBRACE] = ACTIONS(4824),
    [anon_sym_RBRACE] = ACTIONS(4824),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_static] = ACTIONS(4822),
    [anon_sym_EQ] = ACTIONS(4822),
    [anon_sym_register] = ACTIONS(4822),
    [anon_sym_inline] = ACTIONS(4822),
    [anon_sym___inline] = ACTIONS(4822),
    [anon_sym___inline__] = ACTIONS(4822),
    [anon_sym___forceinline] = ACTIONS(4822),
    [anon_sym_thread_local] = ACTIONS(4822),
    [anon_sym___thread] = ACTIONS(4822),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4822),
    [anon_sym_volatile] = ACTIONS(4822),
    [anon_sym_restrict] = ACTIONS(4822),
    [anon_sym___restrict__] = ACTIONS(4822),
    [anon_sym__Atomic] = ACTIONS(4822),
    [anon_sym__Noreturn] = ACTIONS(4822),
    [anon_sym_noreturn] = ACTIONS(4822),
    [anon_sym__Nonnull] = ACTIONS(4822),
    [anon_sym_mutable] = ACTIONS(4822),
    [anon_sym_constinit] = ACTIONS(4822),
    [anon_sym_consteval] = ACTIONS(4822),
    [anon_sym_alignas] = ACTIONS(4822),
    [anon_sym__Alignas] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4824),
    [anon_sym_STAR_EQ] = ACTIONS(4824),
    [anon_sym_SLASH_EQ] = ACTIONS(4824),
    [anon_sym_PERCENT_EQ] = ACTIONS(4824),
    [anon_sym_PLUS_EQ] = ACTIONS(4824),
    [anon_sym_DASH_EQ] = ACTIONS(4824),
    [anon_sym_LT_LT_EQ] = ACTIONS(4824),
    [anon_sym_GT_GT_EQ] = ACTIONS(4824),
    [anon_sym_AMP_EQ] = ACTIONS(4824),
    [anon_sym_CARET_EQ] = ACTIONS(4824),
    [anon_sym_PIPE_EQ] = ACTIONS(4824),
    [anon_sym_and_eq] = ACTIONS(4822),
    [anon_sym_or_eq] = ACTIONS(4822),
    [anon_sym_xor_eq] = ACTIONS(4822),
    [anon_sym_LT_EQ_GT] = ACTIONS(4824),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [anon_sym_bitor] = ACTIONS(4822),
    [anon_sym_xor] = ACTIONS(4822),
    [anon_sym_bitand] = ACTIONS(4822),
    [anon_sym_not_eq] = ACTIONS(4822),
    [anon_sym_DASH_DASH] = ACTIONS(4824),
    [anon_sym_PLUS_PLUS] = ACTIONS(4824),
    [anon_sym_DOT] = ACTIONS(4822),
    [anon_sym_DOT_STAR] = ACTIONS(4824),
    [anon_sym_DASH_GT] = ACTIONS(4824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4822),
    [anon_sym_decltype] = ACTIONS(4822),
    [anon_sym_template] = ACTIONS(4822),
    [anon_sym_operator] = ACTIONS(4822),
  },
  [1504] = {
    [sym_identifier] = ACTIONS(4826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_COMMA] = ACTIONS(4828),
    [anon_sym_RPAREN] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_TILDE] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_PERCENT] = ACTIONS(4826),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4826),
    [anon_sym_CARET] = ACTIONS(4826),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym_EQ_EQ] = ACTIONS(4828),
    [anon_sym_BANG_EQ] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4826),
    [anon_sym_GT_EQ] = ACTIONS(4828),
    [anon_sym_LT_EQ] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4826),
    [anon_sym_LT_LT] = ACTIONS(4826),
    [anon_sym_GT_GT] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4826),
    [anon_sym_virtual] = ACTIONS(4826),
    [anon_sym_extern] = ACTIONS(4826),
    [anon_sym___attribute__] = ACTIONS(4826),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4828),
    [anon_sym___declspec] = ACTIONS(4826),
    [anon_sym___based] = ACTIONS(4826),
    [anon_sym___cdecl] = ACTIONS(4826),
    [anon_sym___clrcall] = ACTIONS(4826),
    [anon_sym___stdcall] = ACTIONS(4826),
    [anon_sym___fastcall] = ACTIONS(4826),
    [anon_sym___thiscall] = ACTIONS(4826),
    [anon_sym___vectorcall] = ACTIONS(4826),
    [anon_sym_LBRACE] = ACTIONS(4828),
    [anon_sym_RBRACE] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_static] = ACTIONS(4826),
    [anon_sym_EQ] = ACTIONS(4826),
    [anon_sym_register] = ACTIONS(4826),
    [anon_sym_inline] = ACTIONS(4826),
    [anon_sym___inline] = ACTIONS(4826),
    [anon_sym___inline__] = ACTIONS(4826),
    [anon_sym___forceinline] = ACTIONS(4826),
    [anon_sym_thread_local] = ACTIONS(4826),
    [anon_sym___thread] = ACTIONS(4826),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4826),
    [anon_sym_volatile] = ACTIONS(4826),
    [anon_sym_restrict] = ACTIONS(4826),
    [anon_sym___restrict__] = ACTIONS(4826),
    [anon_sym__Atomic] = ACTIONS(4826),
    [anon_sym__Noreturn] = ACTIONS(4826),
    [anon_sym_noreturn] = ACTIONS(4826),
    [anon_sym__Nonnull] = ACTIONS(4826),
    [anon_sym_mutable] = ACTIONS(4826),
    [anon_sym_constinit] = ACTIONS(4826),
    [anon_sym_consteval] = ACTIONS(4826),
    [anon_sym_alignas] = ACTIONS(4826),
    [anon_sym__Alignas] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4828),
    [anon_sym_STAR_EQ] = ACTIONS(4828),
    [anon_sym_SLASH_EQ] = ACTIONS(4828),
    [anon_sym_PERCENT_EQ] = ACTIONS(4828),
    [anon_sym_PLUS_EQ] = ACTIONS(4828),
    [anon_sym_DASH_EQ] = ACTIONS(4828),
    [anon_sym_LT_LT_EQ] = ACTIONS(4828),
    [anon_sym_GT_GT_EQ] = ACTIONS(4828),
    [anon_sym_AMP_EQ] = ACTIONS(4828),
    [anon_sym_CARET_EQ] = ACTIONS(4828),
    [anon_sym_PIPE_EQ] = ACTIONS(4828),
    [anon_sym_and_eq] = ACTIONS(4826),
    [anon_sym_or_eq] = ACTIONS(4826),
    [anon_sym_xor_eq] = ACTIONS(4826),
    [anon_sym_LT_EQ_GT] = ACTIONS(4828),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [anon_sym_bitor] = ACTIONS(4826),
    [anon_sym_xor] = ACTIONS(4826),
    [anon_sym_bitand] = ACTIONS(4826),
    [anon_sym_not_eq] = ACTIONS(4826),
    [anon_sym_DASH_DASH] = ACTIONS(4828),
    [anon_sym_PLUS_PLUS] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4826),
    [anon_sym_DOT_STAR] = ACTIONS(4828),
    [anon_sym_DASH_GT] = ACTIONS(4828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4826),
    [anon_sym_decltype] = ACTIONS(4826),
    [anon_sym_template] = ACTIONS(4826),
    [anon_sym_operator] = ACTIONS(4826),
  },
  [1505] = {
    [sym_identifier] = ACTIONS(4830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_COMMA] = ACTIONS(4832),
    [anon_sym_RPAREN] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [anon_sym_DASH] = ACTIONS(4830),
    [anon_sym_PLUS] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4830),
    [anon_sym_SLASH] = ACTIONS(4830),
    [anon_sym_PERCENT] = ACTIONS(4830),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_PIPE] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4830),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym_EQ_EQ] = ACTIONS(4832),
    [anon_sym_BANG_EQ] = ACTIONS(4832),
    [anon_sym_GT] = ACTIONS(4830),
    [anon_sym_GT_EQ] = ACTIONS(4832),
    [anon_sym_LT_EQ] = ACTIONS(4830),
    [anon_sym_LT] = ACTIONS(4830),
    [anon_sym_LT_LT] = ACTIONS(4830),
    [anon_sym_GT_GT] = ACTIONS(4830),
    [anon_sym_SEMI] = ACTIONS(4832),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_virtual] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4830),
    [anon_sym___attribute__] = ACTIONS(4830),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4832),
    [anon_sym___declspec] = ACTIONS(4830),
    [anon_sym___based] = ACTIONS(4830),
    [anon_sym___cdecl] = ACTIONS(4830),
    [anon_sym___clrcall] = ACTIONS(4830),
    [anon_sym___stdcall] = ACTIONS(4830),
    [anon_sym___fastcall] = ACTIONS(4830),
    [anon_sym___thiscall] = ACTIONS(4830),
    [anon_sym___vectorcall] = ACTIONS(4830),
    [anon_sym_LBRACE] = ACTIONS(4832),
    [anon_sym_RBRACE] = ACTIONS(4832),
    [anon_sym_LBRACK] = ACTIONS(4830),
    [anon_sym_static] = ACTIONS(4830),
    [anon_sym_EQ] = ACTIONS(4830),
    [anon_sym_register] = ACTIONS(4830),
    [anon_sym_inline] = ACTIONS(4830),
    [anon_sym___inline] = ACTIONS(4830),
    [anon_sym___inline__] = ACTIONS(4830),
    [anon_sym___forceinline] = ACTIONS(4830),
    [anon_sym_thread_local] = ACTIONS(4830),
    [anon_sym___thread] = ACTIONS(4830),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym__Nonnull] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [anon_sym_alignas] = ACTIONS(4830),
    [anon_sym__Alignas] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4832),
    [anon_sym_STAR_EQ] = ACTIONS(4832),
    [anon_sym_SLASH_EQ] = ACTIONS(4832),
    [anon_sym_PERCENT_EQ] = ACTIONS(4832),
    [anon_sym_PLUS_EQ] = ACTIONS(4832),
    [anon_sym_DASH_EQ] = ACTIONS(4832),
    [anon_sym_LT_LT_EQ] = ACTIONS(4832),
    [anon_sym_GT_GT_EQ] = ACTIONS(4832),
    [anon_sym_AMP_EQ] = ACTIONS(4832),
    [anon_sym_CARET_EQ] = ACTIONS(4832),
    [anon_sym_PIPE_EQ] = ACTIONS(4832),
    [anon_sym_and_eq] = ACTIONS(4830),
    [anon_sym_or_eq] = ACTIONS(4830),
    [anon_sym_xor_eq] = ACTIONS(4830),
    [anon_sym_LT_EQ_GT] = ACTIONS(4832),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [anon_sym_bitor] = ACTIONS(4830),
    [anon_sym_xor] = ACTIONS(4830),
    [anon_sym_bitand] = ACTIONS(4830),
    [anon_sym_not_eq] = ACTIONS(4830),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_DOT_STAR] = ACTIONS(4832),
    [anon_sym_DASH_GT] = ACTIONS(4832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4830),
    [anon_sym_decltype] = ACTIONS(4830),
    [anon_sym_template] = ACTIONS(4830),
    [anon_sym_operator] = ACTIONS(4830),
  },
  [1506] = {
    [sym_identifier] = ACTIONS(4834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_COMMA] = ACTIONS(4836),
    [anon_sym_RPAREN] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_TILDE] = ACTIONS(4836),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_STAR] = ACTIONS(4834),
    [anon_sym_SLASH] = ACTIONS(4834),
    [anon_sym_PERCENT] = ACTIONS(4834),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_PIPE] = ACTIONS(4834),
    [anon_sym_CARET] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym_EQ_EQ] = ACTIONS(4836),
    [anon_sym_BANG_EQ] = ACTIONS(4836),
    [anon_sym_GT] = ACTIONS(4834),
    [anon_sym_GT_EQ] = ACTIONS(4836),
    [anon_sym_LT_EQ] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(4834),
    [anon_sym_LT_LT] = ACTIONS(4834),
    [anon_sym_GT_GT] = ACTIONS(4834),
    [anon_sym_SEMI] = ACTIONS(4836),
    [anon_sym___extension__] = ACTIONS(4834),
    [anon_sym_virtual] = ACTIONS(4834),
    [anon_sym_extern] = ACTIONS(4834),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4836),
    [anon_sym___declspec] = ACTIONS(4834),
    [anon_sym___based] = ACTIONS(4834),
    [anon_sym___cdecl] = ACTIONS(4834),
    [anon_sym___clrcall] = ACTIONS(4834),
    [anon_sym___stdcall] = ACTIONS(4834),
    [anon_sym___fastcall] = ACTIONS(4834),
    [anon_sym___thiscall] = ACTIONS(4834),
    [anon_sym___vectorcall] = ACTIONS(4834),
    [anon_sym_LBRACE] = ACTIONS(4836),
    [anon_sym_RBRACE] = ACTIONS(4836),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [anon_sym_static] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(4834),
    [anon_sym_register] = ACTIONS(4834),
    [anon_sym_inline] = ACTIONS(4834),
    [anon_sym___inline] = ACTIONS(4834),
    [anon_sym___inline__] = ACTIONS(4834),
    [anon_sym___forceinline] = ACTIONS(4834),
    [anon_sym_thread_local] = ACTIONS(4834),
    [anon_sym___thread] = ACTIONS(4834),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4834),
    [anon_sym_volatile] = ACTIONS(4834),
    [anon_sym_restrict] = ACTIONS(4834),
    [anon_sym___restrict__] = ACTIONS(4834),
    [anon_sym__Atomic] = ACTIONS(4834),
    [anon_sym__Noreturn] = ACTIONS(4834),
    [anon_sym_noreturn] = ACTIONS(4834),
    [anon_sym__Nonnull] = ACTIONS(4834),
    [anon_sym_mutable] = ACTIONS(4834),
    [anon_sym_constinit] = ACTIONS(4834),
    [anon_sym_consteval] = ACTIONS(4834),
    [anon_sym_alignas] = ACTIONS(4834),
    [anon_sym__Alignas] = ACTIONS(4834),
    [anon_sym_QMARK] = ACTIONS(4836),
    [anon_sym_STAR_EQ] = ACTIONS(4836),
    [anon_sym_SLASH_EQ] = ACTIONS(4836),
    [anon_sym_PERCENT_EQ] = ACTIONS(4836),
    [anon_sym_PLUS_EQ] = ACTIONS(4836),
    [anon_sym_DASH_EQ] = ACTIONS(4836),
    [anon_sym_LT_LT_EQ] = ACTIONS(4836),
    [anon_sym_GT_GT_EQ] = ACTIONS(4836),
    [anon_sym_AMP_EQ] = ACTIONS(4836),
    [anon_sym_CARET_EQ] = ACTIONS(4836),
    [anon_sym_PIPE_EQ] = ACTIONS(4836),
    [anon_sym_and_eq] = ACTIONS(4834),
    [anon_sym_or_eq] = ACTIONS(4834),
    [anon_sym_xor_eq] = ACTIONS(4834),
    [anon_sym_LT_EQ_GT] = ACTIONS(4836),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [anon_sym_bitor] = ACTIONS(4834),
    [anon_sym_xor] = ACTIONS(4834),
    [anon_sym_bitand] = ACTIONS(4834),
    [anon_sym_not_eq] = ACTIONS(4834),
    [anon_sym_DASH_DASH] = ACTIONS(4836),
    [anon_sym_PLUS_PLUS] = ACTIONS(4836),
    [anon_sym_DOT] = ACTIONS(4834),
    [anon_sym_DOT_STAR] = ACTIONS(4836),
    [anon_sym_DASH_GT] = ACTIONS(4836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4834),
    [anon_sym_decltype] = ACTIONS(4834),
    [anon_sym_template] = ACTIONS(4834),
    [anon_sym_operator] = ACTIONS(4834),
  },
  [1507] = {
    [sym_template_argument_list] = STATE(1508),
    [sym_identifier] = ACTIONS(4838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4840),
    [anon_sym_COMMA] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4842),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4842),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_virtual] = ACTIONS(4838),
    [anon_sym_extern] = ACTIONS(4838),
    [anon_sym___attribute__] = ACTIONS(4838),
    [anon_sym___attribute] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4842),
    [anon_sym___declspec] = ACTIONS(4838),
    [anon_sym___based] = ACTIONS(4838),
    [anon_sym___cdecl] = ACTIONS(4838),
    [anon_sym___clrcall] = ACTIONS(4838),
    [anon_sym___stdcall] = ACTIONS(4838),
    [anon_sym___fastcall] = ACTIONS(4838),
    [anon_sym___thiscall] = ACTIONS(4838),
    [anon_sym___vectorcall] = ACTIONS(4838),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4840),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_static] = ACTIONS(4838),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4838),
    [anon_sym_inline] = ACTIONS(4838),
    [anon_sym___inline] = ACTIONS(4838),
    [anon_sym___inline__] = ACTIONS(4838),
    [anon_sym___forceinline] = ACTIONS(4838),
    [anon_sym_thread_local] = ACTIONS(4838),
    [anon_sym___thread] = ACTIONS(4838),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_template] = ACTIONS(4838),
    [anon_sym_operator] = ACTIONS(4838),
  },
  [1508] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4859),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4859),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1509] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_ms_call_modifier] = STATE(6291),
    [sym__abstract_declarator] = STATE(6793),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_list] = STATE(2982),
    [sym_parameter_declaration] = STATE(7367),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7367),
    [sym_variadic_parameter_declaration] = STATE(7367),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(4181),
    [anon_sym_LPAREN2] = ACTIONS(4871),
    [anon_sym_STAR] = ACTIONS(4873),
    [anon_sym_AMP_AMP] = ACTIONS(4875),
    [anon_sym_AMP] = ACTIONS(4877),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1779),
    [anon_sym___clrcall] = ACTIONS(1779),
    [anon_sym___stdcall] = ACTIONS(1779),
    [anon_sym___fastcall] = ACTIONS(1779),
    [anon_sym___thiscall] = ACTIONS(1779),
    [anon_sym___vectorcall] = ACTIONS(1779),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1510] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_ms_call_modifier] = STATE(6273),
    [sym__abstract_declarator] = STATE(6831),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_list] = STATE(2982),
    [sym_parameter_declaration] = STATE(7367),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7367),
    [sym_variadic_parameter_declaration] = STATE(7367),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(4181),
    [anon_sym_LPAREN2] = ACTIONS(4871),
    [anon_sym_STAR] = ACTIONS(4873),
    [anon_sym_AMP_AMP] = ACTIONS(4875),
    [anon_sym_AMP] = ACTIONS(4877),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1779),
    [anon_sym___clrcall] = ACTIONS(1779),
    [anon_sym___stdcall] = ACTIONS(1779),
    [anon_sym___fastcall] = ACTIONS(1779),
    [anon_sym___thiscall] = ACTIONS(1779),
    [anon_sym___vectorcall] = ACTIONS(1779),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4881),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1511] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym___attribute] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [1512] = {
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym___attribute] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [1513] = {
    [sym_identifier] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2861),
    [anon_sym_BANG] = ACTIONS(2861),
    [anon_sym_TILDE] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2861),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym___attribute] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2861),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2861),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2861),
    [anon_sym_L_SQUOTE] = ACTIONS(2861),
    [anon_sym_u_SQUOTE] = ACTIONS(2861),
    [anon_sym_U_SQUOTE] = ACTIONS(2861),
    [anon_sym_u8_SQUOTE] = ACTIONS(2861),
    [anon_sym_SQUOTE] = ACTIONS(2861),
    [anon_sym_L_DQUOTE] = ACTIONS(2861),
    [anon_sym_u_DQUOTE] = ACTIONS(2861),
    [anon_sym_U_DQUOTE] = ACTIONS(2861),
    [anon_sym_u8_DQUOTE] = ACTIONS(2861),
    [anon_sym_DQUOTE] = ACTIONS(2861),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2861),
    [anon_sym_LR_DQUOTE] = ACTIONS(2861),
    [anon_sym_uR_DQUOTE] = ACTIONS(2861),
    [anon_sym_UR_DQUOTE] = ACTIONS(2861),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2861),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [1514] = {
    [sym_identifier] = ACTIONS(4830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_COMMA] = ACTIONS(4832),
    [anon_sym_RPAREN] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [anon_sym_DASH] = ACTIONS(4830),
    [anon_sym_PLUS] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_SLASH] = ACTIONS(4830),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_PIPE] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym_EQ_EQ] = ACTIONS(4832),
    [anon_sym_BANG_EQ] = ACTIONS(4832),
    [anon_sym_GT] = ACTIONS(4830),
    [anon_sym_GT_EQ] = ACTIONS(4832),
    [anon_sym_LT_EQ] = ACTIONS(4830),
    [anon_sym_LT] = ACTIONS(4830),
    [anon_sym_LT_LT] = ACTIONS(4832),
    [anon_sym_GT_GT] = ACTIONS(4832),
    [anon_sym_SEMI] = ACTIONS(4832),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_virtual] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4830),
    [anon_sym___attribute__] = ACTIONS(4830),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4832),
    [anon_sym___declspec] = ACTIONS(4830),
    [anon_sym___based] = ACTIONS(4830),
    [anon_sym___cdecl] = ACTIONS(4830),
    [anon_sym___clrcall] = ACTIONS(4830),
    [anon_sym___stdcall] = ACTIONS(4830),
    [anon_sym___fastcall] = ACTIONS(4830),
    [anon_sym___thiscall] = ACTIONS(4830),
    [anon_sym___vectorcall] = ACTIONS(4830),
    [anon_sym_LBRACE] = ACTIONS(4832),
    [anon_sym_RBRACE] = ACTIONS(4832),
    [anon_sym_LBRACK] = ACTIONS(4830),
    [anon_sym_static] = ACTIONS(4830),
    [anon_sym_RBRACK] = ACTIONS(4832),
    [anon_sym_EQ] = ACTIONS(4830),
    [anon_sym_register] = ACTIONS(4830),
    [anon_sym_inline] = ACTIONS(4830),
    [anon_sym___inline] = ACTIONS(4830),
    [anon_sym___inline__] = ACTIONS(4830),
    [anon_sym___forceinline] = ACTIONS(4830),
    [anon_sym_thread_local] = ACTIONS(4830),
    [anon_sym___thread] = ACTIONS(4830),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym__Nonnull] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [anon_sym_alignas] = ACTIONS(4830),
    [anon_sym__Alignas] = ACTIONS(4830),
    [anon_sym_COLON] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4832),
    [anon_sym_LT_EQ_GT] = ACTIONS(4832),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [anon_sym_bitor] = ACTIONS(4830),
    [anon_sym_xor] = ACTIONS(4830),
    [anon_sym_bitand] = ACTIONS(4830),
    [anon_sym_not_eq] = ACTIONS(4830),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_DOT_STAR] = ACTIONS(4832),
    [anon_sym_DASH_GT] = ACTIONS(4832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4830),
    [anon_sym_decltype] = ACTIONS(4830),
    [anon_sym_final] = ACTIONS(4830),
    [anon_sym_override] = ACTIONS(4830),
    [anon_sym_template] = ACTIONS(4830),
    [anon_sym_operator] = ACTIONS(4830),
    [anon_sym_try] = ACTIONS(4830),
    [anon_sym_noexcept] = ACTIONS(4830),
    [anon_sym_throw] = ACTIONS(4830),
    [anon_sym_requires] = ACTIONS(4830),
  },
  [1515] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5231),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6657),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_parameter_list] = STATE(799),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(4147),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [1516] = {
    [sym_identifier] = ACTIONS(4818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_COMMA] = ACTIONS(4820),
    [anon_sym_RPAREN] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_TILDE] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4818),
    [anon_sym_STAR] = ACTIONS(4820),
    [anon_sym_SLASH] = ACTIONS(4818),
    [anon_sym_PERCENT] = ACTIONS(4820),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_PIPE] = ACTIONS(4818),
    [anon_sym_CARET] = ACTIONS(4820),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym_EQ_EQ] = ACTIONS(4820),
    [anon_sym_BANG_EQ] = ACTIONS(4820),
    [anon_sym_GT] = ACTIONS(4818),
    [anon_sym_GT_EQ] = ACTIONS(4820),
    [anon_sym_LT_EQ] = ACTIONS(4818),
    [anon_sym_LT] = ACTIONS(4818),
    [anon_sym_LT_LT] = ACTIONS(4820),
    [anon_sym_GT_GT] = ACTIONS(4820),
    [anon_sym_SEMI] = ACTIONS(4820),
    [anon_sym___extension__] = ACTIONS(4818),
    [anon_sym_virtual] = ACTIONS(4818),
    [anon_sym_extern] = ACTIONS(4818),
    [anon_sym___attribute__] = ACTIONS(4818),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4820),
    [anon_sym___declspec] = ACTIONS(4818),
    [anon_sym___based] = ACTIONS(4818),
    [anon_sym___cdecl] = ACTIONS(4818),
    [anon_sym___clrcall] = ACTIONS(4818),
    [anon_sym___stdcall] = ACTIONS(4818),
    [anon_sym___fastcall] = ACTIONS(4818),
    [anon_sym___thiscall] = ACTIONS(4818),
    [anon_sym___vectorcall] = ACTIONS(4818),
    [anon_sym_LBRACE] = ACTIONS(4820),
    [anon_sym_RBRACE] = ACTIONS(4820),
    [anon_sym_LBRACK] = ACTIONS(4818),
    [anon_sym_static] = ACTIONS(4818),
    [anon_sym_RBRACK] = ACTIONS(4820),
    [anon_sym_EQ] = ACTIONS(4818),
    [anon_sym_register] = ACTIONS(4818),
    [anon_sym_inline] = ACTIONS(4818),
    [anon_sym___inline] = ACTIONS(4818),
    [anon_sym___inline__] = ACTIONS(4818),
    [anon_sym___forceinline] = ACTIONS(4818),
    [anon_sym_thread_local] = ACTIONS(4818),
    [anon_sym___thread] = ACTIONS(4818),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4818),
    [anon_sym_volatile] = ACTIONS(4818),
    [anon_sym_restrict] = ACTIONS(4818),
    [anon_sym___restrict__] = ACTIONS(4818),
    [anon_sym__Atomic] = ACTIONS(4818),
    [anon_sym__Noreturn] = ACTIONS(4818),
    [anon_sym_noreturn] = ACTIONS(4818),
    [anon_sym__Nonnull] = ACTIONS(4818),
    [anon_sym_mutable] = ACTIONS(4818),
    [anon_sym_constinit] = ACTIONS(4818),
    [anon_sym_consteval] = ACTIONS(4818),
    [anon_sym_alignas] = ACTIONS(4818),
    [anon_sym__Alignas] = ACTIONS(4818),
    [anon_sym_COLON] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4820),
    [anon_sym_LT_EQ_GT] = ACTIONS(4820),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [anon_sym_bitor] = ACTIONS(4818),
    [anon_sym_xor] = ACTIONS(4818),
    [anon_sym_bitand] = ACTIONS(4818),
    [anon_sym_not_eq] = ACTIONS(4818),
    [anon_sym_DASH_DASH] = ACTIONS(4820),
    [anon_sym_PLUS_PLUS] = ACTIONS(4820),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_DOT_STAR] = ACTIONS(4820),
    [anon_sym_DASH_GT] = ACTIONS(4820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4818),
    [anon_sym_decltype] = ACTIONS(4818),
    [anon_sym_final] = ACTIONS(4818),
    [anon_sym_override] = ACTIONS(4818),
    [anon_sym_template] = ACTIONS(4818),
    [anon_sym_operator] = ACTIONS(4818),
    [anon_sym_try] = ACTIONS(4818),
    [anon_sym_noexcept] = ACTIONS(4818),
    [anon_sym_throw] = ACTIONS(4818),
    [anon_sym_requires] = ACTIONS(4818),
  },
  [1517] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5239),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6581),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_parameter_list] = STATE(798),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(4147),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [1518] = {
    [sym_identifier] = ACTIONS(4810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_COMMA] = ACTIONS(4812),
    [anon_sym_RPAREN] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_TILDE] = ACTIONS(4812),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_STAR] = ACTIONS(4812),
    [anon_sym_SLASH] = ACTIONS(4810),
    [anon_sym_PERCENT] = ACTIONS(4812),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_PIPE] = ACTIONS(4810),
    [anon_sym_CARET] = ACTIONS(4812),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4812),
    [anon_sym_BANG_EQ] = ACTIONS(4812),
    [anon_sym_GT] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4810),
    [anon_sym_LT] = ACTIONS(4810),
    [anon_sym_LT_LT] = ACTIONS(4812),
    [anon_sym_GT_GT] = ACTIONS(4812),
    [anon_sym_SEMI] = ACTIONS(4812),
    [anon_sym___extension__] = ACTIONS(4810),
    [anon_sym_virtual] = ACTIONS(4810),
    [anon_sym_extern] = ACTIONS(4810),
    [anon_sym___attribute__] = ACTIONS(4810),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4812),
    [anon_sym___declspec] = ACTIONS(4810),
    [anon_sym___based] = ACTIONS(4810),
    [anon_sym___cdecl] = ACTIONS(4810),
    [anon_sym___clrcall] = ACTIONS(4810),
    [anon_sym___stdcall] = ACTIONS(4810),
    [anon_sym___fastcall] = ACTIONS(4810),
    [anon_sym___thiscall] = ACTIONS(4810),
    [anon_sym___vectorcall] = ACTIONS(4810),
    [anon_sym_LBRACE] = ACTIONS(4812),
    [anon_sym_RBRACE] = ACTIONS(4812),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [anon_sym_static] = ACTIONS(4810),
    [anon_sym_RBRACK] = ACTIONS(4812),
    [anon_sym_EQ] = ACTIONS(4810),
    [anon_sym_register] = ACTIONS(4810),
    [anon_sym_inline] = ACTIONS(4810),
    [anon_sym___inline] = ACTIONS(4810),
    [anon_sym___inline__] = ACTIONS(4810),
    [anon_sym___forceinline] = ACTIONS(4810),
    [anon_sym_thread_local] = ACTIONS(4810),
    [anon_sym___thread] = ACTIONS(4810),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4810),
    [anon_sym_volatile] = ACTIONS(4810),
    [anon_sym_restrict] = ACTIONS(4810),
    [anon_sym___restrict__] = ACTIONS(4810),
    [anon_sym__Atomic] = ACTIONS(4810),
    [anon_sym__Noreturn] = ACTIONS(4810),
    [anon_sym_noreturn] = ACTIONS(4810),
    [anon_sym__Nonnull] = ACTIONS(4810),
    [anon_sym_mutable] = ACTIONS(4810),
    [anon_sym_constinit] = ACTIONS(4810),
    [anon_sym_consteval] = ACTIONS(4810),
    [anon_sym_alignas] = ACTIONS(4810),
    [anon_sym__Alignas] = ACTIONS(4810),
    [anon_sym_COLON] = ACTIONS(4810),
    [anon_sym_QMARK] = ACTIONS(4812),
    [anon_sym_LT_EQ_GT] = ACTIONS(4812),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [anon_sym_bitor] = ACTIONS(4810),
    [anon_sym_xor] = ACTIONS(4810),
    [anon_sym_bitand] = ACTIONS(4810),
    [anon_sym_not_eq] = ACTIONS(4810),
    [anon_sym_DASH_DASH] = ACTIONS(4812),
    [anon_sym_PLUS_PLUS] = ACTIONS(4812),
    [anon_sym_DOT] = ACTIONS(4810),
    [anon_sym_DOT_STAR] = ACTIONS(4812),
    [anon_sym_DASH_GT] = ACTIONS(4812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4810),
    [anon_sym_decltype] = ACTIONS(4810),
    [anon_sym_final] = ACTIONS(4810),
    [anon_sym_override] = ACTIONS(4810),
    [anon_sym_template] = ACTIONS(4810),
    [anon_sym_operator] = ACTIONS(4810),
    [anon_sym_try] = ACTIONS(4810),
    [anon_sym_noexcept] = ACTIONS(4810),
    [anon_sym_throw] = ACTIONS(4810),
    [anon_sym_requires] = ACTIONS(4810),
  },
  [1519] = {
    [sym_identifier] = ACTIONS(4822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4824),
    [anon_sym_COMMA] = ACTIONS(4824),
    [anon_sym_RPAREN] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_TILDE] = ACTIONS(4824),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_STAR] = ACTIONS(4824),
    [anon_sym_SLASH] = ACTIONS(4822),
    [anon_sym_PERCENT] = ACTIONS(4824),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_PIPE] = ACTIONS(4822),
    [anon_sym_CARET] = ACTIONS(4824),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym_EQ_EQ] = ACTIONS(4824),
    [anon_sym_BANG_EQ] = ACTIONS(4824),
    [anon_sym_GT] = ACTIONS(4822),
    [anon_sym_GT_EQ] = ACTIONS(4824),
    [anon_sym_LT_EQ] = ACTIONS(4822),
    [anon_sym_LT] = ACTIONS(4822),
    [anon_sym_LT_LT] = ACTIONS(4824),
    [anon_sym_GT_GT] = ACTIONS(4824),
    [anon_sym_SEMI] = ACTIONS(4824),
    [anon_sym___extension__] = ACTIONS(4822),
    [anon_sym_virtual] = ACTIONS(4822),
    [anon_sym_extern] = ACTIONS(4822),
    [anon_sym___attribute__] = ACTIONS(4822),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4824),
    [anon_sym___declspec] = ACTIONS(4822),
    [anon_sym___based] = ACTIONS(4822),
    [anon_sym___cdecl] = ACTIONS(4822),
    [anon_sym___clrcall] = ACTIONS(4822),
    [anon_sym___stdcall] = ACTIONS(4822),
    [anon_sym___fastcall] = ACTIONS(4822),
    [anon_sym___thiscall] = ACTIONS(4822),
    [anon_sym___vectorcall] = ACTIONS(4822),
    [anon_sym_LBRACE] = ACTIONS(4824),
    [anon_sym_RBRACE] = ACTIONS(4824),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_static] = ACTIONS(4822),
    [anon_sym_RBRACK] = ACTIONS(4824),
    [anon_sym_EQ] = ACTIONS(4822),
    [anon_sym_register] = ACTIONS(4822),
    [anon_sym_inline] = ACTIONS(4822),
    [anon_sym___inline] = ACTIONS(4822),
    [anon_sym___inline__] = ACTIONS(4822),
    [anon_sym___forceinline] = ACTIONS(4822),
    [anon_sym_thread_local] = ACTIONS(4822),
    [anon_sym___thread] = ACTIONS(4822),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4822),
    [anon_sym_volatile] = ACTIONS(4822),
    [anon_sym_restrict] = ACTIONS(4822),
    [anon_sym___restrict__] = ACTIONS(4822),
    [anon_sym__Atomic] = ACTIONS(4822),
    [anon_sym__Noreturn] = ACTIONS(4822),
    [anon_sym_noreturn] = ACTIONS(4822),
    [anon_sym__Nonnull] = ACTIONS(4822),
    [anon_sym_mutable] = ACTIONS(4822),
    [anon_sym_constinit] = ACTIONS(4822),
    [anon_sym_consteval] = ACTIONS(4822),
    [anon_sym_alignas] = ACTIONS(4822),
    [anon_sym__Alignas] = ACTIONS(4822),
    [anon_sym_COLON] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4824),
    [anon_sym_LT_EQ_GT] = ACTIONS(4824),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [anon_sym_bitor] = ACTIONS(4822),
    [anon_sym_xor] = ACTIONS(4822),
    [anon_sym_bitand] = ACTIONS(4822),
    [anon_sym_not_eq] = ACTIONS(4822),
    [anon_sym_DASH_DASH] = ACTIONS(4824),
    [anon_sym_PLUS_PLUS] = ACTIONS(4824),
    [anon_sym_DOT] = ACTIONS(4822),
    [anon_sym_DOT_STAR] = ACTIONS(4824),
    [anon_sym_DASH_GT] = ACTIONS(4824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4822),
    [anon_sym_decltype] = ACTIONS(4822),
    [anon_sym_final] = ACTIONS(4822),
    [anon_sym_override] = ACTIONS(4822),
    [anon_sym_template] = ACTIONS(4822),
    [anon_sym_operator] = ACTIONS(4822),
    [anon_sym_try] = ACTIONS(4822),
    [anon_sym_noexcept] = ACTIONS(4822),
    [anon_sym_throw] = ACTIONS(4822),
    [anon_sym_requires] = ACTIONS(4822),
  },
  [1520] = {
    [sym_identifier] = ACTIONS(4826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_COMMA] = ACTIONS(4828),
    [anon_sym_RPAREN] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_TILDE] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_PERCENT] = ACTIONS(4828),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4826),
    [anon_sym_CARET] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym_EQ_EQ] = ACTIONS(4828),
    [anon_sym_BANG_EQ] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4826),
    [anon_sym_GT_EQ] = ACTIONS(4828),
    [anon_sym_LT_EQ] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4826),
    [anon_sym_LT_LT] = ACTIONS(4828),
    [anon_sym_GT_GT] = ACTIONS(4828),
    [anon_sym_SEMI] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4826),
    [anon_sym_virtual] = ACTIONS(4826),
    [anon_sym_extern] = ACTIONS(4826),
    [anon_sym___attribute__] = ACTIONS(4826),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4828),
    [anon_sym___declspec] = ACTIONS(4826),
    [anon_sym___based] = ACTIONS(4826),
    [anon_sym___cdecl] = ACTIONS(4826),
    [anon_sym___clrcall] = ACTIONS(4826),
    [anon_sym___stdcall] = ACTIONS(4826),
    [anon_sym___fastcall] = ACTIONS(4826),
    [anon_sym___thiscall] = ACTIONS(4826),
    [anon_sym___vectorcall] = ACTIONS(4826),
    [anon_sym_LBRACE] = ACTIONS(4828),
    [anon_sym_RBRACE] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_static] = ACTIONS(4826),
    [anon_sym_RBRACK] = ACTIONS(4828),
    [anon_sym_EQ] = ACTIONS(4826),
    [anon_sym_register] = ACTIONS(4826),
    [anon_sym_inline] = ACTIONS(4826),
    [anon_sym___inline] = ACTIONS(4826),
    [anon_sym___inline__] = ACTIONS(4826),
    [anon_sym___forceinline] = ACTIONS(4826),
    [anon_sym_thread_local] = ACTIONS(4826),
    [anon_sym___thread] = ACTIONS(4826),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4826),
    [anon_sym_volatile] = ACTIONS(4826),
    [anon_sym_restrict] = ACTIONS(4826),
    [anon_sym___restrict__] = ACTIONS(4826),
    [anon_sym__Atomic] = ACTIONS(4826),
    [anon_sym__Noreturn] = ACTIONS(4826),
    [anon_sym_noreturn] = ACTIONS(4826),
    [anon_sym__Nonnull] = ACTIONS(4826),
    [anon_sym_mutable] = ACTIONS(4826),
    [anon_sym_constinit] = ACTIONS(4826),
    [anon_sym_consteval] = ACTIONS(4826),
    [anon_sym_alignas] = ACTIONS(4826),
    [anon_sym__Alignas] = ACTIONS(4826),
    [anon_sym_COLON] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4828),
    [anon_sym_LT_EQ_GT] = ACTIONS(4828),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [anon_sym_bitor] = ACTIONS(4826),
    [anon_sym_xor] = ACTIONS(4826),
    [anon_sym_bitand] = ACTIONS(4826),
    [anon_sym_not_eq] = ACTIONS(4826),
    [anon_sym_DASH_DASH] = ACTIONS(4828),
    [anon_sym_PLUS_PLUS] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4826),
    [anon_sym_DOT_STAR] = ACTIONS(4828),
    [anon_sym_DASH_GT] = ACTIONS(4828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4826),
    [anon_sym_decltype] = ACTIONS(4826),
    [anon_sym_final] = ACTIONS(4826),
    [anon_sym_override] = ACTIONS(4826),
    [anon_sym_template] = ACTIONS(4826),
    [anon_sym_operator] = ACTIONS(4826),
    [anon_sym_try] = ACTIONS(4826),
    [anon_sym_noexcept] = ACTIONS(4826),
    [anon_sym_throw] = ACTIONS(4826),
    [anon_sym_requires] = ACTIONS(4826),
  },
  [1521] = {
    [sym_template_argument_list] = STATE(1527),
    [sym_identifier] = ACTIONS(4838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4840),
    [anon_sym_COMMA] = ACTIONS(4840),
    [anon_sym_RPAREN] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4842),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4840),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_virtual] = ACTIONS(4838),
    [anon_sym_extern] = ACTIONS(4838),
    [anon_sym___attribute__] = ACTIONS(4838),
    [anon_sym___attribute] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4838),
    [anon_sym___based] = ACTIONS(4838),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4840),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_static] = ACTIONS(4838),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4838),
    [anon_sym_inline] = ACTIONS(4838),
    [anon_sym___inline] = ACTIONS(4838),
    [anon_sym___inline__] = ACTIONS(4838),
    [anon_sym___forceinline] = ACTIONS(4838),
    [anon_sym_thread_local] = ACTIONS(4838),
    [anon_sym___thread] = ACTIONS(4838),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_template] = ACTIONS(4838),
    [anon_sym_operator] = ACTIONS(4838),
  },
  [1522] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5249),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6583),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_parameter_list] = STATE(796),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(4147),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [1523] = {
    [sym_identifier] = ACTIONS(4834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_COMMA] = ACTIONS(4836),
    [anon_sym_RPAREN] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_TILDE] = ACTIONS(4836),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_STAR] = ACTIONS(4836),
    [anon_sym_SLASH] = ACTIONS(4834),
    [anon_sym_PERCENT] = ACTIONS(4836),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_PIPE] = ACTIONS(4834),
    [anon_sym_CARET] = ACTIONS(4836),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym_EQ_EQ] = ACTIONS(4836),
    [anon_sym_BANG_EQ] = ACTIONS(4836),
    [anon_sym_GT] = ACTIONS(4834),
    [anon_sym_GT_EQ] = ACTIONS(4836),
    [anon_sym_LT_EQ] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(4834),
    [anon_sym_LT_LT] = ACTIONS(4836),
    [anon_sym_GT_GT] = ACTIONS(4836),
    [anon_sym_SEMI] = ACTIONS(4836),
    [anon_sym___extension__] = ACTIONS(4834),
    [anon_sym_virtual] = ACTIONS(4834),
    [anon_sym_extern] = ACTIONS(4834),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4836),
    [anon_sym___declspec] = ACTIONS(4834),
    [anon_sym___based] = ACTIONS(4834),
    [anon_sym___cdecl] = ACTIONS(4834),
    [anon_sym___clrcall] = ACTIONS(4834),
    [anon_sym___stdcall] = ACTIONS(4834),
    [anon_sym___fastcall] = ACTIONS(4834),
    [anon_sym___thiscall] = ACTIONS(4834),
    [anon_sym___vectorcall] = ACTIONS(4834),
    [anon_sym_LBRACE] = ACTIONS(4836),
    [anon_sym_RBRACE] = ACTIONS(4836),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [anon_sym_static] = ACTIONS(4834),
    [anon_sym_RBRACK] = ACTIONS(4836),
    [anon_sym_EQ] = ACTIONS(4834),
    [anon_sym_register] = ACTIONS(4834),
    [anon_sym_inline] = ACTIONS(4834),
    [anon_sym___inline] = ACTIONS(4834),
    [anon_sym___inline__] = ACTIONS(4834),
    [anon_sym___forceinline] = ACTIONS(4834),
    [anon_sym_thread_local] = ACTIONS(4834),
    [anon_sym___thread] = ACTIONS(4834),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4834),
    [anon_sym_volatile] = ACTIONS(4834),
    [anon_sym_restrict] = ACTIONS(4834),
    [anon_sym___restrict__] = ACTIONS(4834),
    [anon_sym__Atomic] = ACTIONS(4834),
    [anon_sym__Noreturn] = ACTIONS(4834),
    [anon_sym_noreturn] = ACTIONS(4834),
    [anon_sym__Nonnull] = ACTIONS(4834),
    [anon_sym_mutable] = ACTIONS(4834),
    [anon_sym_constinit] = ACTIONS(4834),
    [anon_sym_consteval] = ACTIONS(4834),
    [anon_sym_alignas] = ACTIONS(4834),
    [anon_sym__Alignas] = ACTIONS(4834),
    [anon_sym_COLON] = ACTIONS(4834),
    [anon_sym_QMARK] = ACTIONS(4836),
    [anon_sym_LT_EQ_GT] = ACTIONS(4836),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [anon_sym_bitor] = ACTIONS(4834),
    [anon_sym_xor] = ACTIONS(4834),
    [anon_sym_bitand] = ACTIONS(4834),
    [anon_sym_not_eq] = ACTIONS(4834),
    [anon_sym_DASH_DASH] = ACTIONS(4836),
    [anon_sym_PLUS_PLUS] = ACTIONS(4836),
    [anon_sym_DOT] = ACTIONS(4834),
    [anon_sym_DOT_STAR] = ACTIONS(4836),
    [anon_sym_DASH_GT] = ACTIONS(4836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4834),
    [anon_sym_decltype] = ACTIONS(4834),
    [anon_sym_final] = ACTIONS(4834),
    [anon_sym_override] = ACTIONS(4834),
    [anon_sym_template] = ACTIONS(4834),
    [anon_sym_operator] = ACTIONS(4834),
    [anon_sym_try] = ACTIONS(4834),
    [anon_sym_noexcept] = ACTIONS(4834),
    [anon_sym_throw] = ACTIONS(4834),
    [anon_sym_requires] = ACTIONS(4834),
  },
  [1524] = {
    [sym_identifier] = ACTIONS(4814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_TILDE] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4814),
    [anon_sym_STAR] = ACTIONS(4816),
    [anon_sym_SLASH] = ACTIONS(4814),
    [anon_sym_PERCENT] = ACTIONS(4816),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_PIPE] = ACTIONS(4814),
    [anon_sym_CARET] = ACTIONS(4816),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym_EQ_EQ] = ACTIONS(4816),
    [anon_sym_BANG_EQ] = ACTIONS(4816),
    [anon_sym_GT] = ACTIONS(4814),
    [anon_sym_GT_EQ] = ACTIONS(4816),
    [anon_sym_LT_EQ] = ACTIONS(4814),
    [anon_sym_LT] = ACTIONS(4814),
    [anon_sym_LT_LT] = ACTIONS(4816),
    [anon_sym_GT_GT] = ACTIONS(4816),
    [anon_sym_SEMI] = ACTIONS(4816),
    [anon_sym___extension__] = ACTIONS(4814),
    [anon_sym_virtual] = ACTIONS(4814),
    [anon_sym_extern] = ACTIONS(4814),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4816),
    [anon_sym___declspec] = ACTIONS(4814),
    [anon_sym___based] = ACTIONS(4814),
    [anon_sym___cdecl] = ACTIONS(4814),
    [anon_sym___clrcall] = ACTIONS(4814),
    [anon_sym___stdcall] = ACTIONS(4814),
    [anon_sym___fastcall] = ACTIONS(4814),
    [anon_sym___thiscall] = ACTIONS(4814),
    [anon_sym___vectorcall] = ACTIONS(4814),
    [anon_sym_LBRACE] = ACTIONS(4816),
    [anon_sym_RBRACE] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4814),
    [anon_sym_static] = ACTIONS(4814),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4814),
    [anon_sym_register] = ACTIONS(4814),
    [anon_sym_inline] = ACTIONS(4814),
    [anon_sym___inline] = ACTIONS(4814),
    [anon_sym___inline__] = ACTIONS(4814),
    [anon_sym___forceinline] = ACTIONS(4814),
    [anon_sym_thread_local] = ACTIONS(4814),
    [anon_sym___thread] = ACTIONS(4814),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4814),
    [anon_sym_volatile] = ACTIONS(4814),
    [anon_sym_restrict] = ACTIONS(4814),
    [anon_sym___restrict__] = ACTIONS(4814),
    [anon_sym__Atomic] = ACTIONS(4814),
    [anon_sym__Noreturn] = ACTIONS(4814),
    [anon_sym_noreturn] = ACTIONS(4814),
    [anon_sym__Nonnull] = ACTIONS(4814),
    [anon_sym_mutable] = ACTIONS(4814),
    [anon_sym_constinit] = ACTIONS(4814),
    [anon_sym_consteval] = ACTIONS(4814),
    [anon_sym_alignas] = ACTIONS(4814),
    [anon_sym__Alignas] = ACTIONS(4814),
    [anon_sym_COLON] = ACTIONS(4814),
    [anon_sym_QMARK] = ACTIONS(4816),
    [anon_sym_LT_EQ_GT] = ACTIONS(4816),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [anon_sym_bitor] = ACTIONS(4814),
    [anon_sym_xor] = ACTIONS(4814),
    [anon_sym_bitand] = ACTIONS(4814),
    [anon_sym_not_eq] = ACTIONS(4814),
    [anon_sym_DASH_DASH] = ACTIONS(4816),
    [anon_sym_PLUS_PLUS] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4814),
    [anon_sym_DOT_STAR] = ACTIONS(4816),
    [anon_sym_DASH_GT] = ACTIONS(4816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4814),
    [anon_sym_decltype] = ACTIONS(4814),
    [anon_sym_final] = ACTIONS(4814),
    [anon_sym_override] = ACTIONS(4814),
    [anon_sym_template] = ACTIONS(4814),
    [anon_sym_operator] = ACTIONS(4814),
    [anon_sym_try] = ACTIONS(4814),
    [anon_sym_noexcept] = ACTIONS(4814),
    [anon_sym_throw] = ACTIONS(4814),
    [anon_sym_requires] = ACTIONS(4814),
  },
  [1525] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5255),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6611),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(5964),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_parameter_list] = STATE(801),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(4147),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_type_identifier] = STATE(3028),
    [sym_operator_name] = STATE(5964),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [1526] = {
    [sym_template_argument_list] = STATE(1528),
    [sym_identifier] = ACTIONS(4838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4842),
    [anon_sym_COMMA] = ACTIONS(4842),
    [anon_sym_RPAREN] = ACTIONS(4842),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4842),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4889),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_virtual] = ACTIONS(4838),
    [anon_sym_extern] = ACTIONS(4838),
    [anon_sym___attribute__] = ACTIONS(4838),
    [anon_sym___attribute] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4838),
    [anon_sym___based] = ACTIONS(4838),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_static] = ACTIONS(4838),
    [anon_sym_EQ] = ACTIONS(4849),
    [anon_sym_register] = ACTIONS(4838),
    [anon_sym_inline] = ACTIONS(4838),
    [anon_sym___inline] = ACTIONS(4838),
    [anon_sym___inline__] = ACTIONS(4838),
    [anon_sym___forceinline] = ACTIONS(4838),
    [anon_sym_thread_local] = ACTIONS(4838),
    [anon_sym___thread] = ACTIONS(4838),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_template] = ACTIONS(4838),
    [anon_sym_operator] = ACTIONS(4838),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4840),
  },
  [1527] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1529] = {
    [sym_identifier] = ACTIONS(4814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_TILDE] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4814),
    [anon_sym_STAR] = ACTIONS(4814),
    [anon_sym_SLASH] = ACTIONS(4814),
    [anon_sym_PERCENT] = ACTIONS(4814),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_PIPE] = ACTIONS(4814),
    [anon_sym_CARET] = ACTIONS(4814),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym_EQ_EQ] = ACTIONS(4816),
    [anon_sym_BANG_EQ] = ACTIONS(4816),
    [anon_sym_GT] = ACTIONS(4814),
    [anon_sym_GT_EQ] = ACTIONS(4816),
    [anon_sym_LT_EQ] = ACTIONS(4814),
    [anon_sym_LT] = ACTIONS(4814),
    [anon_sym_LT_LT] = ACTIONS(4814),
    [anon_sym_GT_GT] = ACTIONS(4814),
    [anon_sym___extension__] = ACTIONS(4814),
    [anon_sym_virtual] = ACTIONS(4814),
    [anon_sym_extern] = ACTIONS(4814),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4816),
    [anon_sym___declspec] = ACTIONS(4814),
    [anon_sym___based] = ACTIONS(4814),
    [anon_sym_LBRACE] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4814),
    [anon_sym_static] = ACTIONS(4814),
    [anon_sym_EQ] = ACTIONS(4814),
    [anon_sym_register] = ACTIONS(4814),
    [anon_sym_inline] = ACTIONS(4814),
    [anon_sym___inline] = ACTIONS(4814),
    [anon_sym___inline__] = ACTIONS(4814),
    [anon_sym___forceinline] = ACTIONS(4814),
    [anon_sym_thread_local] = ACTIONS(4814),
    [anon_sym___thread] = ACTIONS(4814),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4814),
    [anon_sym_volatile] = ACTIONS(4814),
    [anon_sym_restrict] = ACTIONS(4814),
    [anon_sym___restrict__] = ACTIONS(4814),
    [anon_sym__Atomic] = ACTIONS(4814),
    [anon_sym__Noreturn] = ACTIONS(4814),
    [anon_sym_noreturn] = ACTIONS(4814),
    [anon_sym__Nonnull] = ACTIONS(4814),
    [anon_sym_mutable] = ACTIONS(4814),
    [anon_sym_constinit] = ACTIONS(4814),
    [anon_sym_consteval] = ACTIONS(4814),
    [anon_sym_alignas] = ACTIONS(4814),
    [anon_sym__Alignas] = ACTIONS(4814),
    [anon_sym_QMARK] = ACTIONS(4816),
    [anon_sym_STAR_EQ] = ACTIONS(4816),
    [anon_sym_SLASH_EQ] = ACTIONS(4816),
    [anon_sym_PERCENT_EQ] = ACTIONS(4816),
    [anon_sym_PLUS_EQ] = ACTIONS(4816),
    [anon_sym_DASH_EQ] = ACTIONS(4816),
    [anon_sym_LT_LT_EQ] = ACTIONS(4816),
    [anon_sym_GT_GT_EQ] = ACTIONS(4816),
    [anon_sym_AMP_EQ] = ACTIONS(4816),
    [anon_sym_CARET_EQ] = ACTIONS(4816),
    [anon_sym_PIPE_EQ] = ACTIONS(4816),
    [anon_sym_and_eq] = ACTIONS(4814),
    [anon_sym_or_eq] = ACTIONS(4814),
    [anon_sym_xor_eq] = ACTIONS(4814),
    [anon_sym_LT_EQ_GT] = ACTIONS(4816),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [anon_sym_bitor] = ACTIONS(4814),
    [anon_sym_xor] = ACTIONS(4814),
    [anon_sym_bitand] = ACTIONS(4814),
    [anon_sym_not_eq] = ACTIONS(4814),
    [anon_sym_DASH_DASH] = ACTIONS(4816),
    [anon_sym_PLUS_PLUS] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4814),
    [anon_sym_DOT_STAR] = ACTIONS(4816),
    [anon_sym_DASH_GT] = ACTIONS(4814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4814),
    [anon_sym_decltype] = ACTIONS(4814),
    [anon_sym_template] = ACTIONS(4814),
    [anon_sym_operator] = ACTIONS(4814),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4816),
  },
  [1530] = {
    [sym_template_argument_list] = STATE(1538),
    [sym_identifier] = ACTIONS(4838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4842),
    [anon_sym_COMMA] = ACTIONS(4842),
    [anon_sym_RPAREN] = ACTIONS(4842),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4842),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4852),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_virtual] = ACTIONS(4838),
    [anon_sym_extern] = ACTIONS(4838),
    [anon_sym___attribute__] = ACTIONS(4838),
    [anon_sym___attribute] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4838),
    [anon_sym___based] = ACTIONS(4838),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_static] = ACTIONS(4838),
    [anon_sym_EQ] = ACTIONS(4849),
    [anon_sym_register] = ACTIONS(4838),
    [anon_sym_inline] = ACTIONS(4838),
    [anon_sym___inline] = ACTIONS(4838),
    [anon_sym___inline__] = ACTIONS(4838),
    [anon_sym___forceinline] = ACTIONS(4838),
    [anon_sym_thread_local] = ACTIONS(4838),
    [anon_sym___thread] = ACTIONS(4838),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_template] = ACTIONS(4838),
    [anon_sym_operator] = ACTIONS(4838),
  },
  [1531] = {
    [sym_string_literal] = STATE(2128),
    [sym_template_argument_list] = STATE(1668),
    [sym_raw_string_literal] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(4065),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym___extension__] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4895),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4897),
    [anon_sym_unsigned] = ACTIONS(4897),
    [anon_sym_long] = ACTIONS(4897),
    [anon_sym_short] = ACTIONS(4897),
    [anon_sym_LBRACK] = ACTIONS(4091),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4069),
    [anon_sym_volatile] = ACTIONS(4069),
    [anon_sym_restrict] = ACTIONS(4069),
    [anon_sym___restrict__] = ACTIONS(4069),
    [anon_sym__Atomic] = ACTIONS(4069),
    [anon_sym__Noreturn] = ACTIONS(4069),
    [anon_sym_noreturn] = ACTIONS(4069),
    [anon_sym__Nonnull] = ACTIONS(4069),
    [anon_sym_mutable] = ACTIONS(4069),
    [anon_sym_constinit] = ACTIONS(4069),
    [anon_sym_consteval] = ACTIONS(4069),
    [anon_sym_alignas] = ACTIONS(4069),
    [anon_sym__Alignas] = ACTIONS(4069),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4071),
    [anon_sym_L_DQUOTE] = ACTIONS(4899),
    [anon_sym_u_DQUOTE] = ACTIONS(4899),
    [anon_sym_U_DQUOTE] = ACTIONS(4899),
    [anon_sym_u8_DQUOTE] = ACTIONS(4899),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4069),
    [anon_sym_decltype] = ACTIONS(4069),
    [anon_sym_R_DQUOTE] = ACTIONS(4901),
    [anon_sym_LR_DQUOTE] = ACTIONS(4901),
    [anon_sym_uR_DQUOTE] = ACTIONS(4901),
    [anon_sym_UR_DQUOTE] = ACTIONS(4901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4063),
  },
  [1532] = {
    [sym_identifier] = ACTIONS(4822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4824),
    [anon_sym_COMMA] = ACTIONS(4824),
    [anon_sym_RPAREN] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_TILDE] = ACTIONS(4824),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_STAR] = ACTIONS(4822),
    [anon_sym_SLASH] = ACTIONS(4822),
    [anon_sym_PERCENT] = ACTIONS(4822),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_PIPE] = ACTIONS(4822),
    [anon_sym_CARET] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym_EQ_EQ] = ACTIONS(4824),
    [anon_sym_BANG_EQ] = ACTIONS(4824),
    [anon_sym_GT] = ACTIONS(4822),
    [anon_sym_GT_EQ] = ACTIONS(4824),
    [anon_sym_LT_EQ] = ACTIONS(4822),
    [anon_sym_LT] = ACTIONS(4822),
    [anon_sym_LT_LT] = ACTIONS(4822),
    [anon_sym_GT_GT] = ACTIONS(4822),
    [anon_sym___extension__] = ACTIONS(4822),
    [anon_sym_virtual] = ACTIONS(4822),
    [anon_sym_extern] = ACTIONS(4822),
    [anon_sym___attribute__] = ACTIONS(4822),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4824),
    [anon_sym___declspec] = ACTIONS(4822),
    [anon_sym___based] = ACTIONS(4822),
    [anon_sym_LBRACE] = ACTIONS(4824),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_static] = ACTIONS(4822),
    [anon_sym_EQ] = ACTIONS(4822),
    [anon_sym_register] = ACTIONS(4822),
    [anon_sym_inline] = ACTIONS(4822),
    [anon_sym___inline] = ACTIONS(4822),
    [anon_sym___inline__] = ACTIONS(4822),
    [anon_sym___forceinline] = ACTIONS(4822),
    [anon_sym_thread_local] = ACTIONS(4822),
    [anon_sym___thread] = ACTIONS(4822),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4822),
    [anon_sym_volatile] = ACTIONS(4822),
    [anon_sym_restrict] = ACTIONS(4822),
    [anon_sym___restrict__] = ACTIONS(4822),
    [anon_sym__Atomic] = ACTIONS(4822),
    [anon_sym__Noreturn] = ACTIONS(4822),
    [anon_sym_noreturn] = ACTIONS(4822),
    [anon_sym__Nonnull] = ACTIONS(4822),
    [anon_sym_mutable] = ACTIONS(4822),
    [anon_sym_constinit] = ACTIONS(4822),
    [anon_sym_consteval] = ACTIONS(4822),
    [anon_sym_alignas] = ACTIONS(4822),
    [anon_sym__Alignas] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4824),
    [anon_sym_STAR_EQ] = ACTIONS(4824),
    [anon_sym_SLASH_EQ] = ACTIONS(4824),
    [anon_sym_PERCENT_EQ] = ACTIONS(4824),
    [anon_sym_PLUS_EQ] = ACTIONS(4824),
    [anon_sym_DASH_EQ] = ACTIONS(4824),
    [anon_sym_LT_LT_EQ] = ACTIONS(4824),
    [anon_sym_GT_GT_EQ] = ACTIONS(4824),
    [anon_sym_AMP_EQ] = ACTIONS(4824),
    [anon_sym_CARET_EQ] = ACTIONS(4824),
    [anon_sym_PIPE_EQ] = ACTIONS(4824),
    [anon_sym_and_eq] = ACTIONS(4822),
    [anon_sym_or_eq] = ACTIONS(4822),
    [anon_sym_xor_eq] = ACTIONS(4822),
    [anon_sym_LT_EQ_GT] = ACTIONS(4824),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [anon_sym_bitor] = ACTIONS(4822),
    [anon_sym_xor] = ACTIONS(4822),
    [anon_sym_bitand] = ACTIONS(4822),
    [anon_sym_not_eq] = ACTIONS(4822),
    [anon_sym_DASH_DASH] = ACTIONS(4824),
    [anon_sym_PLUS_PLUS] = ACTIONS(4824),
    [anon_sym_DOT] = ACTIONS(4822),
    [anon_sym_DOT_STAR] = ACTIONS(4824),
    [anon_sym_DASH_GT] = ACTIONS(4822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4822),
    [anon_sym_decltype] = ACTIONS(4822),
    [anon_sym_template] = ACTIONS(4822),
    [anon_sym_operator] = ACTIONS(4822),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4824),
  },
  [1533] = {
    [sym_identifier] = ACTIONS(4810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_COMMA] = ACTIONS(4812),
    [anon_sym_RPAREN] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_TILDE] = ACTIONS(4812),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_STAR] = ACTIONS(4810),
    [anon_sym_SLASH] = ACTIONS(4810),
    [anon_sym_PERCENT] = ACTIONS(4810),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_PIPE] = ACTIONS(4810),
    [anon_sym_CARET] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4812),
    [anon_sym_BANG_EQ] = ACTIONS(4812),
    [anon_sym_GT] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4810),
    [anon_sym_LT] = ACTIONS(4810),
    [anon_sym_LT_LT] = ACTIONS(4810),
    [anon_sym_GT_GT] = ACTIONS(4810),
    [anon_sym___extension__] = ACTIONS(4810),
    [anon_sym_virtual] = ACTIONS(4810),
    [anon_sym_extern] = ACTIONS(4810),
    [anon_sym___attribute__] = ACTIONS(4810),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4812),
    [anon_sym___declspec] = ACTIONS(4810),
    [anon_sym___based] = ACTIONS(4810),
    [anon_sym_LBRACE] = ACTIONS(4812),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [anon_sym_static] = ACTIONS(4810),
    [anon_sym_EQ] = ACTIONS(4810),
    [anon_sym_register] = ACTIONS(4810),
    [anon_sym_inline] = ACTIONS(4810),
    [anon_sym___inline] = ACTIONS(4810),
    [anon_sym___inline__] = ACTIONS(4810),
    [anon_sym___forceinline] = ACTIONS(4810),
    [anon_sym_thread_local] = ACTIONS(4810),
    [anon_sym___thread] = ACTIONS(4810),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4810),
    [anon_sym_volatile] = ACTIONS(4810),
    [anon_sym_restrict] = ACTIONS(4810),
    [anon_sym___restrict__] = ACTIONS(4810),
    [anon_sym__Atomic] = ACTIONS(4810),
    [anon_sym__Noreturn] = ACTIONS(4810),
    [anon_sym_noreturn] = ACTIONS(4810),
    [anon_sym__Nonnull] = ACTIONS(4810),
    [anon_sym_mutable] = ACTIONS(4810),
    [anon_sym_constinit] = ACTIONS(4810),
    [anon_sym_consteval] = ACTIONS(4810),
    [anon_sym_alignas] = ACTIONS(4810),
    [anon_sym__Alignas] = ACTIONS(4810),
    [anon_sym_QMARK] = ACTIONS(4812),
    [anon_sym_STAR_EQ] = ACTIONS(4812),
    [anon_sym_SLASH_EQ] = ACTIONS(4812),
    [anon_sym_PERCENT_EQ] = ACTIONS(4812),
    [anon_sym_PLUS_EQ] = ACTIONS(4812),
    [anon_sym_DASH_EQ] = ACTIONS(4812),
    [anon_sym_LT_LT_EQ] = ACTIONS(4812),
    [anon_sym_GT_GT_EQ] = ACTIONS(4812),
    [anon_sym_AMP_EQ] = ACTIONS(4812),
    [anon_sym_CARET_EQ] = ACTIONS(4812),
    [anon_sym_PIPE_EQ] = ACTIONS(4812),
    [anon_sym_and_eq] = ACTIONS(4810),
    [anon_sym_or_eq] = ACTIONS(4810),
    [anon_sym_xor_eq] = ACTIONS(4810),
    [anon_sym_LT_EQ_GT] = ACTIONS(4812),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [anon_sym_bitor] = ACTIONS(4810),
    [anon_sym_xor] = ACTIONS(4810),
    [anon_sym_bitand] = ACTIONS(4810),
    [anon_sym_not_eq] = ACTIONS(4810),
    [anon_sym_DASH_DASH] = ACTIONS(4812),
    [anon_sym_PLUS_PLUS] = ACTIONS(4812),
    [anon_sym_DOT] = ACTIONS(4810),
    [anon_sym_DOT_STAR] = ACTIONS(4812),
    [anon_sym_DASH_GT] = ACTIONS(4810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4810),
    [anon_sym_decltype] = ACTIONS(4810),
    [anon_sym_template] = ACTIONS(4810),
    [anon_sym_operator] = ACTIONS(4810),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4812),
  },
  [1534] = {
    [sym_identifier] = ACTIONS(4826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_COMMA] = ACTIONS(4828),
    [anon_sym_RPAREN] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_TILDE] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_PERCENT] = ACTIONS(4826),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4826),
    [anon_sym_CARET] = ACTIONS(4826),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym_EQ_EQ] = ACTIONS(4828),
    [anon_sym_BANG_EQ] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4826),
    [anon_sym_GT_EQ] = ACTIONS(4828),
    [anon_sym_LT_EQ] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4826),
    [anon_sym_LT_LT] = ACTIONS(4826),
    [anon_sym_GT_GT] = ACTIONS(4826),
    [anon_sym___extension__] = ACTIONS(4826),
    [anon_sym_virtual] = ACTIONS(4826),
    [anon_sym_extern] = ACTIONS(4826),
    [anon_sym___attribute__] = ACTIONS(4826),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4828),
    [anon_sym___declspec] = ACTIONS(4826),
    [anon_sym___based] = ACTIONS(4826),
    [anon_sym_LBRACE] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_static] = ACTIONS(4826),
    [anon_sym_EQ] = ACTIONS(4826),
    [anon_sym_register] = ACTIONS(4826),
    [anon_sym_inline] = ACTIONS(4826),
    [anon_sym___inline] = ACTIONS(4826),
    [anon_sym___inline__] = ACTIONS(4826),
    [anon_sym___forceinline] = ACTIONS(4826),
    [anon_sym_thread_local] = ACTIONS(4826),
    [anon_sym___thread] = ACTIONS(4826),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4826),
    [anon_sym_volatile] = ACTIONS(4826),
    [anon_sym_restrict] = ACTIONS(4826),
    [anon_sym___restrict__] = ACTIONS(4826),
    [anon_sym__Atomic] = ACTIONS(4826),
    [anon_sym__Noreturn] = ACTIONS(4826),
    [anon_sym_noreturn] = ACTIONS(4826),
    [anon_sym__Nonnull] = ACTIONS(4826),
    [anon_sym_mutable] = ACTIONS(4826),
    [anon_sym_constinit] = ACTIONS(4826),
    [anon_sym_consteval] = ACTIONS(4826),
    [anon_sym_alignas] = ACTIONS(4826),
    [anon_sym__Alignas] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4828),
    [anon_sym_STAR_EQ] = ACTIONS(4828),
    [anon_sym_SLASH_EQ] = ACTIONS(4828),
    [anon_sym_PERCENT_EQ] = ACTIONS(4828),
    [anon_sym_PLUS_EQ] = ACTIONS(4828),
    [anon_sym_DASH_EQ] = ACTIONS(4828),
    [anon_sym_LT_LT_EQ] = ACTIONS(4828),
    [anon_sym_GT_GT_EQ] = ACTIONS(4828),
    [anon_sym_AMP_EQ] = ACTIONS(4828),
    [anon_sym_CARET_EQ] = ACTIONS(4828),
    [anon_sym_PIPE_EQ] = ACTIONS(4828),
    [anon_sym_and_eq] = ACTIONS(4826),
    [anon_sym_or_eq] = ACTIONS(4826),
    [anon_sym_xor_eq] = ACTIONS(4826),
    [anon_sym_LT_EQ_GT] = ACTIONS(4828),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [anon_sym_bitor] = ACTIONS(4826),
    [anon_sym_xor] = ACTIONS(4826),
    [anon_sym_bitand] = ACTIONS(4826),
    [anon_sym_not_eq] = ACTIONS(4826),
    [anon_sym_DASH_DASH] = ACTIONS(4828),
    [anon_sym_PLUS_PLUS] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4826),
    [anon_sym_DOT_STAR] = ACTIONS(4828),
    [anon_sym_DASH_GT] = ACTIONS(4826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4826),
    [anon_sym_decltype] = ACTIONS(4826),
    [anon_sym_template] = ACTIONS(4826),
    [anon_sym_operator] = ACTIONS(4826),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4828),
  },
  [1535] = {
    [sym_identifier] = ACTIONS(4834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_COMMA] = ACTIONS(4836),
    [anon_sym_RPAREN] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_TILDE] = ACTIONS(4836),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_STAR] = ACTIONS(4834),
    [anon_sym_SLASH] = ACTIONS(4834),
    [anon_sym_PERCENT] = ACTIONS(4834),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_PIPE] = ACTIONS(4834),
    [anon_sym_CARET] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym_EQ_EQ] = ACTIONS(4836),
    [anon_sym_BANG_EQ] = ACTIONS(4836),
    [anon_sym_GT] = ACTIONS(4834),
    [anon_sym_GT_EQ] = ACTIONS(4836),
    [anon_sym_LT_EQ] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(4834),
    [anon_sym_LT_LT] = ACTIONS(4834),
    [anon_sym_GT_GT] = ACTIONS(4834),
    [anon_sym___extension__] = ACTIONS(4834),
    [anon_sym_virtual] = ACTIONS(4834),
    [anon_sym_extern] = ACTIONS(4834),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4836),
    [anon_sym___declspec] = ACTIONS(4834),
    [anon_sym___based] = ACTIONS(4834),
    [anon_sym_LBRACE] = ACTIONS(4836),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [anon_sym_static] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(4834),
    [anon_sym_register] = ACTIONS(4834),
    [anon_sym_inline] = ACTIONS(4834),
    [anon_sym___inline] = ACTIONS(4834),
    [anon_sym___inline__] = ACTIONS(4834),
    [anon_sym___forceinline] = ACTIONS(4834),
    [anon_sym_thread_local] = ACTIONS(4834),
    [anon_sym___thread] = ACTIONS(4834),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4834),
    [anon_sym_volatile] = ACTIONS(4834),
    [anon_sym_restrict] = ACTIONS(4834),
    [anon_sym___restrict__] = ACTIONS(4834),
    [anon_sym__Atomic] = ACTIONS(4834),
    [anon_sym__Noreturn] = ACTIONS(4834),
    [anon_sym_noreturn] = ACTIONS(4834),
    [anon_sym__Nonnull] = ACTIONS(4834),
    [anon_sym_mutable] = ACTIONS(4834),
    [anon_sym_constinit] = ACTIONS(4834),
    [anon_sym_consteval] = ACTIONS(4834),
    [anon_sym_alignas] = ACTIONS(4834),
    [anon_sym__Alignas] = ACTIONS(4834),
    [anon_sym_QMARK] = ACTIONS(4836),
    [anon_sym_STAR_EQ] = ACTIONS(4836),
    [anon_sym_SLASH_EQ] = ACTIONS(4836),
    [anon_sym_PERCENT_EQ] = ACTIONS(4836),
    [anon_sym_PLUS_EQ] = ACTIONS(4836),
    [anon_sym_DASH_EQ] = ACTIONS(4836),
    [anon_sym_LT_LT_EQ] = ACTIONS(4836),
    [anon_sym_GT_GT_EQ] = ACTIONS(4836),
    [anon_sym_AMP_EQ] = ACTIONS(4836),
    [anon_sym_CARET_EQ] = ACTIONS(4836),
    [anon_sym_PIPE_EQ] = ACTIONS(4836),
    [anon_sym_and_eq] = ACTIONS(4834),
    [anon_sym_or_eq] = ACTIONS(4834),
    [anon_sym_xor_eq] = ACTIONS(4834),
    [anon_sym_LT_EQ_GT] = ACTIONS(4836),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [anon_sym_bitor] = ACTIONS(4834),
    [anon_sym_xor] = ACTIONS(4834),
    [anon_sym_bitand] = ACTIONS(4834),
    [anon_sym_not_eq] = ACTIONS(4834),
    [anon_sym_DASH_DASH] = ACTIONS(4836),
    [anon_sym_PLUS_PLUS] = ACTIONS(4836),
    [anon_sym_DOT] = ACTIONS(4834),
    [anon_sym_DOT_STAR] = ACTIONS(4836),
    [anon_sym_DASH_GT] = ACTIONS(4834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4834),
    [anon_sym_decltype] = ACTIONS(4834),
    [anon_sym_template] = ACTIONS(4834),
    [anon_sym_operator] = ACTIONS(4834),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4836),
  },
  [1536] = {
    [sym_identifier] = ACTIONS(4830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_COMMA] = ACTIONS(4832),
    [anon_sym_RPAREN] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [anon_sym_DASH] = ACTIONS(4830),
    [anon_sym_PLUS] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4830),
    [anon_sym_SLASH] = ACTIONS(4830),
    [anon_sym_PERCENT] = ACTIONS(4830),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_PIPE] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4830),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym_EQ_EQ] = ACTIONS(4832),
    [anon_sym_BANG_EQ] = ACTIONS(4832),
    [anon_sym_GT] = ACTIONS(4830),
    [anon_sym_GT_EQ] = ACTIONS(4832),
    [anon_sym_LT_EQ] = ACTIONS(4830),
    [anon_sym_LT] = ACTIONS(4830),
    [anon_sym_LT_LT] = ACTIONS(4830),
    [anon_sym_GT_GT] = ACTIONS(4830),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_virtual] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4830),
    [anon_sym___attribute__] = ACTIONS(4830),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4832),
    [anon_sym___declspec] = ACTIONS(4830),
    [anon_sym___based] = ACTIONS(4830),
    [anon_sym_LBRACE] = ACTIONS(4832),
    [anon_sym_LBRACK] = ACTIONS(4830),
    [anon_sym_static] = ACTIONS(4830),
    [anon_sym_EQ] = ACTIONS(4830),
    [anon_sym_register] = ACTIONS(4830),
    [anon_sym_inline] = ACTIONS(4830),
    [anon_sym___inline] = ACTIONS(4830),
    [anon_sym___inline__] = ACTIONS(4830),
    [anon_sym___forceinline] = ACTIONS(4830),
    [anon_sym_thread_local] = ACTIONS(4830),
    [anon_sym___thread] = ACTIONS(4830),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym__Nonnull] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [anon_sym_alignas] = ACTIONS(4830),
    [anon_sym__Alignas] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4832),
    [anon_sym_STAR_EQ] = ACTIONS(4832),
    [anon_sym_SLASH_EQ] = ACTIONS(4832),
    [anon_sym_PERCENT_EQ] = ACTIONS(4832),
    [anon_sym_PLUS_EQ] = ACTIONS(4832),
    [anon_sym_DASH_EQ] = ACTIONS(4832),
    [anon_sym_LT_LT_EQ] = ACTIONS(4832),
    [anon_sym_GT_GT_EQ] = ACTIONS(4832),
    [anon_sym_AMP_EQ] = ACTIONS(4832),
    [anon_sym_CARET_EQ] = ACTIONS(4832),
    [anon_sym_PIPE_EQ] = ACTIONS(4832),
    [anon_sym_and_eq] = ACTIONS(4830),
    [anon_sym_or_eq] = ACTIONS(4830),
    [anon_sym_xor_eq] = ACTIONS(4830),
    [anon_sym_LT_EQ_GT] = ACTIONS(4832),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [anon_sym_bitor] = ACTIONS(4830),
    [anon_sym_xor] = ACTIONS(4830),
    [anon_sym_bitand] = ACTIONS(4830),
    [anon_sym_not_eq] = ACTIONS(4830),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_DOT_STAR] = ACTIONS(4832),
    [anon_sym_DASH_GT] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4830),
    [anon_sym_decltype] = ACTIONS(4830),
    [anon_sym_template] = ACTIONS(4830),
    [anon_sym_operator] = ACTIONS(4830),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4832),
  },
  [1537] = {
    [sym_identifier] = ACTIONS(4818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_COMMA] = ACTIONS(4820),
    [anon_sym_RPAREN] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_TILDE] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4818),
    [anon_sym_STAR] = ACTIONS(4818),
    [anon_sym_SLASH] = ACTIONS(4818),
    [anon_sym_PERCENT] = ACTIONS(4818),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_PIPE] = ACTIONS(4818),
    [anon_sym_CARET] = ACTIONS(4818),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym_EQ_EQ] = ACTIONS(4820),
    [anon_sym_BANG_EQ] = ACTIONS(4820),
    [anon_sym_GT] = ACTIONS(4818),
    [anon_sym_GT_EQ] = ACTIONS(4820),
    [anon_sym_LT_EQ] = ACTIONS(4818),
    [anon_sym_LT] = ACTIONS(4818),
    [anon_sym_LT_LT] = ACTIONS(4818),
    [anon_sym_GT_GT] = ACTIONS(4818),
    [anon_sym___extension__] = ACTIONS(4818),
    [anon_sym_virtual] = ACTIONS(4818),
    [anon_sym_extern] = ACTIONS(4818),
    [anon_sym___attribute__] = ACTIONS(4818),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4820),
    [anon_sym___declspec] = ACTIONS(4818),
    [anon_sym___based] = ACTIONS(4818),
    [anon_sym_LBRACE] = ACTIONS(4820),
    [anon_sym_LBRACK] = ACTIONS(4818),
    [anon_sym_static] = ACTIONS(4818),
    [anon_sym_EQ] = ACTIONS(4818),
    [anon_sym_register] = ACTIONS(4818),
    [anon_sym_inline] = ACTIONS(4818),
    [anon_sym___inline] = ACTIONS(4818),
    [anon_sym___inline__] = ACTIONS(4818),
    [anon_sym___forceinline] = ACTIONS(4818),
    [anon_sym_thread_local] = ACTIONS(4818),
    [anon_sym___thread] = ACTIONS(4818),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4818),
    [anon_sym_volatile] = ACTIONS(4818),
    [anon_sym_restrict] = ACTIONS(4818),
    [anon_sym___restrict__] = ACTIONS(4818),
    [anon_sym__Atomic] = ACTIONS(4818),
    [anon_sym__Noreturn] = ACTIONS(4818),
    [anon_sym_noreturn] = ACTIONS(4818),
    [anon_sym__Nonnull] = ACTIONS(4818),
    [anon_sym_mutable] = ACTIONS(4818),
    [anon_sym_constinit] = ACTIONS(4818),
    [anon_sym_consteval] = ACTIONS(4818),
    [anon_sym_alignas] = ACTIONS(4818),
    [anon_sym__Alignas] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4820),
    [anon_sym_STAR_EQ] = ACTIONS(4820),
    [anon_sym_SLASH_EQ] = ACTIONS(4820),
    [anon_sym_PERCENT_EQ] = ACTIONS(4820),
    [anon_sym_PLUS_EQ] = ACTIONS(4820),
    [anon_sym_DASH_EQ] = ACTIONS(4820),
    [anon_sym_LT_LT_EQ] = ACTIONS(4820),
    [anon_sym_GT_GT_EQ] = ACTIONS(4820),
    [anon_sym_AMP_EQ] = ACTIONS(4820),
    [anon_sym_CARET_EQ] = ACTIONS(4820),
    [anon_sym_PIPE_EQ] = ACTIONS(4820),
    [anon_sym_and_eq] = ACTIONS(4818),
    [anon_sym_or_eq] = ACTIONS(4818),
    [anon_sym_xor_eq] = ACTIONS(4818),
    [anon_sym_LT_EQ_GT] = ACTIONS(4820),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [anon_sym_bitor] = ACTIONS(4818),
    [anon_sym_xor] = ACTIONS(4818),
    [anon_sym_bitand] = ACTIONS(4818),
    [anon_sym_not_eq] = ACTIONS(4818),
    [anon_sym_DASH_DASH] = ACTIONS(4820),
    [anon_sym_PLUS_PLUS] = ACTIONS(4820),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_DOT_STAR] = ACTIONS(4820),
    [anon_sym_DASH_GT] = ACTIONS(4818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4818),
    [anon_sym_decltype] = ACTIONS(4818),
    [anon_sym_template] = ACTIONS(4818),
    [anon_sym_operator] = ACTIONS(4818),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4820),
  },
  [1538] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1539] = {
    [sym_type_qualifier] = STATE(1539),
    [sym_alignas_qualifier] = STATE(1553),
    [aux_sym__type_definition_type_repeat1] = STATE(1539),
    [sym_identifier] = ACTIONS(4903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_COMMA] = ACTIONS(4905),
    [anon_sym_RPAREN] = ACTIONS(4905),
    [aux_sym_preproc_if_token2] = ACTIONS(4905),
    [aux_sym_preproc_else_token1] = ACTIONS(4905),
    [aux_sym_preproc_elif_token1] = ACTIONS(4903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(4905),
    [anon_sym_DASH] = ACTIONS(4903),
    [anon_sym_PLUS] = ACTIONS(4903),
    [anon_sym_STAR] = ACTIONS(4903),
    [anon_sym_SLASH] = ACTIONS(4903),
    [anon_sym_PERCENT] = ACTIONS(4903),
    [anon_sym_PIPE_PIPE] = ACTIONS(4905),
    [anon_sym_AMP_AMP] = ACTIONS(4905),
    [anon_sym_PIPE] = ACTIONS(4903),
    [anon_sym_CARET] = ACTIONS(4903),
    [anon_sym_AMP] = ACTIONS(4903),
    [anon_sym_EQ_EQ] = ACTIONS(4905),
    [anon_sym_BANG_EQ] = ACTIONS(4905),
    [anon_sym_GT] = ACTIONS(4903),
    [anon_sym_GT_EQ] = ACTIONS(4905),
    [anon_sym_LT_EQ] = ACTIONS(4903),
    [anon_sym_LT] = ACTIONS(4903),
    [anon_sym_LT_LT] = ACTIONS(4903),
    [anon_sym_GT_GT] = ACTIONS(4903),
    [anon_sym_SEMI] = ACTIONS(4905),
    [anon_sym___extension__] = ACTIONS(4907),
    [anon_sym___attribute__] = ACTIONS(4903),
    [anon_sym___attribute] = ACTIONS(4903),
    [anon_sym_LBRACE] = ACTIONS(4905),
    [anon_sym_RBRACE] = ACTIONS(4905),
    [anon_sym_signed] = ACTIONS(4903),
    [anon_sym_unsigned] = ACTIONS(4903),
    [anon_sym_long] = ACTIONS(4903),
    [anon_sym_short] = ACTIONS(4903),
    [anon_sym_LBRACK] = ACTIONS(4905),
    [anon_sym_RBRACK] = ACTIONS(4905),
    [anon_sym_EQ] = ACTIONS(4903),
    [anon_sym_const] = ACTIONS(4907),
    [anon_sym_constexpr] = ACTIONS(4907),
    [anon_sym_volatile] = ACTIONS(4907),
    [anon_sym_restrict] = ACTIONS(4907),
    [anon_sym___restrict__] = ACTIONS(4907),
    [anon_sym__Atomic] = ACTIONS(4907),
    [anon_sym__Noreturn] = ACTIONS(4907),
    [anon_sym_noreturn] = ACTIONS(4907),
    [anon_sym__Nonnull] = ACTIONS(4907),
    [anon_sym_mutable] = ACTIONS(4907),
    [anon_sym_constinit] = ACTIONS(4907),
    [anon_sym_consteval] = ACTIONS(4907),
    [anon_sym_alignas] = ACTIONS(4910),
    [anon_sym__Alignas] = ACTIONS(4910),
    [sym_primitive_type] = ACTIONS(4903),
    [anon_sym_COLON] = ACTIONS(4905),
    [anon_sym_QMARK] = ACTIONS(4905),
    [anon_sym_STAR_EQ] = ACTIONS(4905),
    [anon_sym_SLASH_EQ] = ACTIONS(4905),
    [anon_sym_PERCENT_EQ] = ACTIONS(4905),
    [anon_sym_PLUS_EQ] = ACTIONS(4905),
    [anon_sym_DASH_EQ] = ACTIONS(4905),
    [anon_sym_LT_LT_EQ] = ACTIONS(4905),
    [anon_sym_GT_GT_EQ] = ACTIONS(4905),
    [anon_sym_AMP_EQ] = ACTIONS(4905),
    [anon_sym_CARET_EQ] = ACTIONS(4905),
    [anon_sym_PIPE_EQ] = ACTIONS(4905),
    [anon_sym_and_eq] = ACTIONS(4903),
    [anon_sym_or_eq] = ACTIONS(4903),
    [anon_sym_xor_eq] = ACTIONS(4903),
    [anon_sym_LT_EQ_GT] = ACTIONS(4905),
    [anon_sym_or] = ACTIONS(4903),
    [anon_sym_and] = ACTIONS(4903),
    [anon_sym_bitor] = ACTIONS(4903),
    [anon_sym_xor] = ACTIONS(4903),
    [anon_sym_bitand] = ACTIONS(4903),
    [anon_sym_not_eq] = ACTIONS(4903),
    [anon_sym_DASH_DASH] = ACTIONS(4905),
    [anon_sym_PLUS_PLUS] = ACTIONS(4905),
    [anon_sym_DOT] = ACTIONS(4903),
    [anon_sym_DOT_STAR] = ACTIONS(4905),
    [anon_sym_DASH_GT] = ACTIONS(4905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4903),
    [anon_sym_decltype] = ACTIONS(4903),
  },
  [1540] = {
    [sym_string_literal] = STATE(2128),
    [sym_template_argument_list] = STATE(1818),
    [sym_raw_string_literal] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4913),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym___extension__] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4897),
    [anon_sym_unsigned] = ACTIONS(4897),
    [anon_sym_long] = ACTIONS(4897),
    [anon_sym_short] = ACTIONS(4897),
    [anon_sym_LBRACK] = ACTIONS(4076),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4069),
    [anon_sym_volatile] = ACTIONS(4069),
    [anon_sym_restrict] = ACTIONS(4069),
    [anon_sym___restrict__] = ACTIONS(4069),
    [anon_sym__Atomic] = ACTIONS(4069),
    [anon_sym__Noreturn] = ACTIONS(4069),
    [anon_sym_noreturn] = ACTIONS(4069),
    [anon_sym__Nonnull] = ACTIONS(4069),
    [anon_sym_mutable] = ACTIONS(4069),
    [anon_sym_constinit] = ACTIONS(4069),
    [anon_sym_consteval] = ACTIONS(4069),
    [anon_sym_alignas] = ACTIONS(4069),
    [anon_sym__Alignas] = ACTIONS(4069),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4071),
    [anon_sym_L_DQUOTE] = ACTIONS(4899),
    [anon_sym_u_DQUOTE] = ACTIONS(4899),
    [anon_sym_U_DQUOTE] = ACTIONS(4899),
    [anon_sym_u8_DQUOTE] = ACTIONS(4899),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4069),
    [anon_sym_decltype] = ACTIONS(4069),
    [anon_sym_R_DQUOTE] = ACTIONS(4901),
    [anon_sym_LR_DQUOTE] = ACTIONS(4901),
    [anon_sym_uR_DQUOTE] = ACTIONS(4901),
    [anon_sym_UR_DQUOTE] = ACTIONS(4901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4063),
  },
  [1541] = {
    [sym_string_literal] = STATE(3464),
    [sym_template_argument_list] = STATE(2899),
    [sym_raw_string_literal] = STATE(3464),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4071),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4916),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym___extension__] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4919),
    [anon_sym_unsigned] = ACTIONS(4919),
    [anon_sym_long] = ACTIONS(4919),
    [anon_sym_short] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4076),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4069),
    [anon_sym_volatile] = ACTIONS(4069),
    [anon_sym_restrict] = ACTIONS(4069),
    [anon_sym___restrict__] = ACTIONS(4069),
    [anon_sym__Atomic] = ACTIONS(4069),
    [anon_sym__Noreturn] = ACTIONS(4069),
    [anon_sym_noreturn] = ACTIONS(4069),
    [anon_sym__Nonnull] = ACTIONS(4069),
    [anon_sym_mutable] = ACTIONS(4069),
    [anon_sym_constinit] = ACTIONS(4069),
    [anon_sym_consteval] = ACTIONS(4069),
    [anon_sym_alignas] = ACTIONS(4069),
    [anon_sym__Alignas] = ACTIONS(4069),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4923),
    [anon_sym_SLASH_EQ] = ACTIONS(4923),
    [anon_sym_PERCENT_EQ] = ACTIONS(4923),
    [anon_sym_PLUS_EQ] = ACTIONS(4923),
    [anon_sym_DASH_EQ] = ACTIONS(4923),
    [anon_sym_LT_LT_EQ] = ACTIONS(4923),
    [anon_sym_GT_GT_EQ] = ACTIONS(4921),
    [anon_sym_AMP_EQ] = ACTIONS(4923),
    [anon_sym_CARET_EQ] = ACTIONS(4923),
    [anon_sym_PIPE_EQ] = ACTIONS(4923),
    [anon_sym_and_eq] = ACTIONS(4923),
    [anon_sym_or_eq] = ACTIONS(4923),
    [anon_sym_xor_eq] = ACTIONS(4923),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4069),
    [anon_sym_decltype] = ACTIONS(4069),
    [anon_sym_GT2] = ACTIONS(4076),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
  },
  [1542] = {
    [sym_identifier] = ACTIONS(4834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_COMMA] = ACTIONS(4836),
    [anon_sym_RPAREN] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_TILDE] = ACTIONS(4836),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_STAR] = ACTIONS(4834),
    [anon_sym_SLASH] = ACTIONS(4834),
    [anon_sym_PERCENT] = ACTIONS(4834),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_PIPE] = ACTIONS(4834),
    [anon_sym_CARET] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym_EQ_EQ] = ACTIONS(4836),
    [anon_sym_BANG_EQ] = ACTIONS(4836),
    [anon_sym_GT] = ACTIONS(4834),
    [anon_sym_GT_EQ] = ACTIONS(4836),
    [anon_sym_LT_EQ] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(4834),
    [anon_sym_LT_LT] = ACTIONS(4834),
    [anon_sym_GT_GT] = ACTIONS(4834),
    [anon_sym___extension__] = ACTIONS(4834),
    [anon_sym_virtual] = ACTIONS(4834),
    [anon_sym_extern] = ACTIONS(4834),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4836),
    [anon_sym___declspec] = ACTIONS(4834),
    [anon_sym___based] = ACTIONS(4834),
    [anon_sym_LBRACE] = ACTIONS(4836),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [anon_sym_static] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(4834),
    [anon_sym_register] = ACTIONS(4834),
    [anon_sym_inline] = ACTIONS(4834),
    [anon_sym___inline] = ACTIONS(4834),
    [anon_sym___inline__] = ACTIONS(4834),
    [anon_sym___forceinline] = ACTIONS(4834),
    [anon_sym_thread_local] = ACTIONS(4834),
    [anon_sym___thread] = ACTIONS(4834),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4834),
    [anon_sym_volatile] = ACTIONS(4834),
    [anon_sym_restrict] = ACTIONS(4834),
    [anon_sym___restrict__] = ACTIONS(4834),
    [anon_sym__Atomic] = ACTIONS(4834),
    [anon_sym__Noreturn] = ACTIONS(4834),
    [anon_sym_noreturn] = ACTIONS(4834),
    [anon_sym__Nonnull] = ACTIONS(4834),
    [anon_sym_mutable] = ACTIONS(4834),
    [anon_sym_constinit] = ACTIONS(4834),
    [anon_sym_consteval] = ACTIONS(4834),
    [anon_sym_alignas] = ACTIONS(4834),
    [anon_sym__Alignas] = ACTIONS(4834),
    [anon_sym_QMARK] = ACTIONS(4836),
    [anon_sym_STAR_EQ] = ACTIONS(4836),
    [anon_sym_SLASH_EQ] = ACTIONS(4836),
    [anon_sym_PERCENT_EQ] = ACTIONS(4836),
    [anon_sym_PLUS_EQ] = ACTIONS(4836),
    [anon_sym_DASH_EQ] = ACTIONS(4836),
    [anon_sym_LT_LT_EQ] = ACTIONS(4836),
    [anon_sym_GT_GT_EQ] = ACTIONS(4836),
    [anon_sym_AMP_EQ] = ACTIONS(4836),
    [anon_sym_CARET_EQ] = ACTIONS(4836),
    [anon_sym_PIPE_EQ] = ACTIONS(4836),
    [anon_sym_LT_EQ_GT] = ACTIONS(4836),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [anon_sym_bitor] = ACTIONS(4834),
    [anon_sym_xor] = ACTIONS(4834),
    [anon_sym_bitand] = ACTIONS(4834),
    [anon_sym_not_eq] = ACTIONS(4834),
    [anon_sym_DASH_DASH] = ACTIONS(4836),
    [anon_sym_PLUS_PLUS] = ACTIONS(4836),
    [anon_sym_DOT] = ACTIONS(4834),
    [anon_sym_DOT_STAR] = ACTIONS(4836),
    [anon_sym_DASH_GT] = ACTIONS(4834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4834),
    [anon_sym_decltype] = ACTIONS(4834),
    [anon_sym_template] = ACTIONS(4834),
    [anon_sym_operator] = ACTIONS(4834),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4836),
  },
  [1543] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1544] = {
    [sym_identifier] = ACTIONS(4830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_COMMA] = ACTIONS(4832),
    [anon_sym_RPAREN] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [anon_sym_DASH] = ACTIONS(4830),
    [anon_sym_PLUS] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4830),
    [anon_sym_SLASH] = ACTIONS(4830),
    [anon_sym_PERCENT] = ACTIONS(4830),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_PIPE] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4830),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym_EQ_EQ] = ACTIONS(4832),
    [anon_sym_BANG_EQ] = ACTIONS(4832),
    [anon_sym_GT] = ACTIONS(4830),
    [anon_sym_GT_EQ] = ACTIONS(4832),
    [anon_sym_LT_EQ] = ACTIONS(4830),
    [anon_sym_LT] = ACTIONS(4830),
    [anon_sym_LT_LT] = ACTIONS(4830),
    [anon_sym_GT_GT] = ACTIONS(4830),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_virtual] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4830),
    [anon_sym___attribute__] = ACTIONS(4830),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4832),
    [anon_sym___declspec] = ACTIONS(4830),
    [anon_sym___based] = ACTIONS(4830),
    [anon_sym_LBRACE] = ACTIONS(4832),
    [anon_sym_LBRACK] = ACTIONS(4830),
    [anon_sym_static] = ACTIONS(4830),
    [anon_sym_EQ] = ACTIONS(4830),
    [anon_sym_register] = ACTIONS(4830),
    [anon_sym_inline] = ACTIONS(4830),
    [anon_sym___inline] = ACTIONS(4830),
    [anon_sym___inline__] = ACTIONS(4830),
    [anon_sym___forceinline] = ACTIONS(4830),
    [anon_sym_thread_local] = ACTIONS(4830),
    [anon_sym___thread] = ACTIONS(4830),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym__Nonnull] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [anon_sym_alignas] = ACTIONS(4830),
    [anon_sym__Alignas] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4832),
    [anon_sym_STAR_EQ] = ACTIONS(4832),
    [anon_sym_SLASH_EQ] = ACTIONS(4832),
    [anon_sym_PERCENT_EQ] = ACTIONS(4832),
    [anon_sym_PLUS_EQ] = ACTIONS(4832),
    [anon_sym_DASH_EQ] = ACTIONS(4832),
    [anon_sym_LT_LT_EQ] = ACTIONS(4832),
    [anon_sym_GT_GT_EQ] = ACTIONS(4832),
    [anon_sym_AMP_EQ] = ACTIONS(4832),
    [anon_sym_CARET_EQ] = ACTIONS(4832),
    [anon_sym_PIPE_EQ] = ACTIONS(4832),
    [anon_sym_LT_EQ_GT] = ACTIONS(4832),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [anon_sym_bitor] = ACTIONS(4830),
    [anon_sym_xor] = ACTIONS(4830),
    [anon_sym_bitand] = ACTIONS(4830),
    [anon_sym_not_eq] = ACTIONS(4830),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_DOT_STAR] = ACTIONS(4832),
    [anon_sym_DASH_GT] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4830),
    [anon_sym_decltype] = ACTIONS(4830),
    [anon_sym_template] = ACTIONS(4830),
    [anon_sym_operator] = ACTIONS(4830),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4832),
  },
  [1545] = {
    [sym_identifier] = ACTIONS(4826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_COMMA] = ACTIONS(4828),
    [anon_sym_RPAREN] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_TILDE] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_PERCENT] = ACTIONS(4826),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4826),
    [anon_sym_CARET] = ACTIONS(4826),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym_EQ_EQ] = ACTIONS(4828),
    [anon_sym_BANG_EQ] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4826),
    [anon_sym_GT_EQ] = ACTIONS(4828),
    [anon_sym_LT_EQ] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4826),
    [anon_sym_LT_LT] = ACTIONS(4826),
    [anon_sym_GT_GT] = ACTIONS(4826),
    [anon_sym___extension__] = ACTIONS(4826),
    [anon_sym_virtual] = ACTIONS(4826),
    [anon_sym_extern] = ACTIONS(4826),
    [anon_sym___attribute__] = ACTIONS(4826),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4828),
    [anon_sym___declspec] = ACTIONS(4826),
    [anon_sym___based] = ACTIONS(4826),
    [anon_sym_LBRACE] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_static] = ACTIONS(4826),
    [anon_sym_EQ] = ACTIONS(4826),
    [anon_sym_register] = ACTIONS(4826),
    [anon_sym_inline] = ACTIONS(4826),
    [anon_sym___inline] = ACTIONS(4826),
    [anon_sym___inline__] = ACTIONS(4826),
    [anon_sym___forceinline] = ACTIONS(4826),
    [anon_sym_thread_local] = ACTIONS(4826),
    [anon_sym___thread] = ACTIONS(4826),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4826),
    [anon_sym_volatile] = ACTIONS(4826),
    [anon_sym_restrict] = ACTIONS(4826),
    [anon_sym___restrict__] = ACTIONS(4826),
    [anon_sym__Atomic] = ACTIONS(4826),
    [anon_sym__Noreturn] = ACTIONS(4826),
    [anon_sym_noreturn] = ACTIONS(4826),
    [anon_sym__Nonnull] = ACTIONS(4826),
    [anon_sym_mutable] = ACTIONS(4826),
    [anon_sym_constinit] = ACTIONS(4826),
    [anon_sym_consteval] = ACTIONS(4826),
    [anon_sym_alignas] = ACTIONS(4826),
    [anon_sym__Alignas] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4828),
    [anon_sym_STAR_EQ] = ACTIONS(4828),
    [anon_sym_SLASH_EQ] = ACTIONS(4828),
    [anon_sym_PERCENT_EQ] = ACTIONS(4828),
    [anon_sym_PLUS_EQ] = ACTIONS(4828),
    [anon_sym_DASH_EQ] = ACTIONS(4828),
    [anon_sym_LT_LT_EQ] = ACTIONS(4828),
    [anon_sym_GT_GT_EQ] = ACTIONS(4828),
    [anon_sym_AMP_EQ] = ACTIONS(4828),
    [anon_sym_CARET_EQ] = ACTIONS(4828),
    [anon_sym_PIPE_EQ] = ACTIONS(4828),
    [anon_sym_LT_EQ_GT] = ACTIONS(4828),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [anon_sym_bitor] = ACTIONS(4826),
    [anon_sym_xor] = ACTIONS(4826),
    [anon_sym_bitand] = ACTIONS(4826),
    [anon_sym_not_eq] = ACTIONS(4826),
    [anon_sym_DASH_DASH] = ACTIONS(4828),
    [anon_sym_PLUS_PLUS] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4826),
    [anon_sym_DOT_STAR] = ACTIONS(4828),
    [anon_sym_DASH_GT] = ACTIONS(4826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4826),
    [anon_sym_decltype] = ACTIONS(4826),
    [anon_sym_template] = ACTIONS(4826),
    [anon_sym_operator] = ACTIONS(4826),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4828),
  },
  [1546] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4931),
    [aux_sym_preproc_if_token2] = ACTIONS(4931),
    [aux_sym_preproc_else_token1] = ACTIONS(4931),
    [aux_sym_preproc_elif_token1] = ACTIONS(4929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4931),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym_SEMI] = ACTIONS(4931),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym___attribute] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4931),
    [anon_sym_RBRACE] = ACTIONS(4931),
    [anon_sym_signed] = ACTIONS(4933),
    [anon_sym_unsigned] = ACTIONS(4933),
    [anon_sym_long] = ACTIONS(4933),
    [anon_sym_short] = ACTIONS(4933),
    [anon_sym_LBRACK] = ACTIONS(4931),
    [anon_sym_RBRACK] = ACTIONS(4931),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(4931),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4929),
    [anon_sym_or_eq] = ACTIONS(4929),
    [anon_sym_xor_eq] = ACTIONS(4929),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
  },
  [1547] = {
    [sym_identifier] = ACTIONS(4818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_COMMA] = ACTIONS(4820),
    [anon_sym_RPAREN] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_TILDE] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4818),
    [anon_sym_STAR] = ACTIONS(4818),
    [anon_sym_SLASH] = ACTIONS(4818),
    [anon_sym_PERCENT] = ACTIONS(4818),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_PIPE] = ACTIONS(4818),
    [anon_sym_CARET] = ACTIONS(4818),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym_EQ_EQ] = ACTIONS(4820),
    [anon_sym_BANG_EQ] = ACTIONS(4820),
    [anon_sym_GT] = ACTIONS(4818),
    [anon_sym_GT_EQ] = ACTIONS(4820),
    [anon_sym_LT_EQ] = ACTIONS(4818),
    [anon_sym_LT] = ACTIONS(4818),
    [anon_sym_LT_LT] = ACTIONS(4818),
    [anon_sym_GT_GT] = ACTIONS(4818),
    [anon_sym___extension__] = ACTIONS(4818),
    [anon_sym_virtual] = ACTIONS(4818),
    [anon_sym_extern] = ACTIONS(4818),
    [anon_sym___attribute__] = ACTIONS(4818),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4820),
    [anon_sym___declspec] = ACTIONS(4818),
    [anon_sym___based] = ACTIONS(4818),
    [anon_sym_LBRACE] = ACTIONS(4820),
    [anon_sym_LBRACK] = ACTIONS(4818),
    [anon_sym_static] = ACTIONS(4818),
    [anon_sym_EQ] = ACTIONS(4818),
    [anon_sym_register] = ACTIONS(4818),
    [anon_sym_inline] = ACTIONS(4818),
    [anon_sym___inline] = ACTIONS(4818),
    [anon_sym___inline__] = ACTIONS(4818),
    [anon_sym___forceinline] = ACTIONS(4818),
    [anon_sym_thread_local] = ACTIONS(4818),
    [anon_sym___thread] = ACTIONS(4818),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4818),
    [anon_sym_volatile] = ACTIONS(4818),
    [anon_sym_restrict] = ACTIONS(4818),
    [anon_sym___restrict__] = ACTIONS(4818),
    [anon_sym__Atomic] = ACTIONS(4818),
    [anon_sym__Noreturn] = ACTIONS(4818),
    [anon_sym_noreturn] = ACTIONS(4818),
    [anon_sym__Nonnull] = ACTIONS(4818),
    [anon_sym_mutable] = ACTIONS(4818),
    [anon_sym_constinit] = ACTIONS(4818),
    [anon_sym_consteval] = ACTIONS(4818),
    [anon_sym_alignas] = ACTIONS(4818),
    [anon_sym__Alignas] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4820),
    [anon_sym_STAR_EQ] = ACTIONS(4820),
    [anon_sym_SLASH_EQ] = ACTIONS(4820),
    [anon_sym_PERCENT_EQ] = ACTIONS(4820),
    [anon_sym_PLUS_EQ] = ACTIONS(4820),
    [anon_sym_DASH_EQ] = ACTIONS(4820),
    [anon_sym_LT_LT_EQ] = ACTIONS(4820),
    [anon_sym_GT_GT_EQ] = ACTIONS(4820),
    [anon_sym_AMP_EQ] = ACTIONS(4820),
    [anon_sym_CARET_EQ] = ACTIONS(4820),
    [anon_sym_PIPE_EQ] = ACTIONS(4820),
    [anon_sym_LT_EQ_GT] = ACTIONS(4820),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [anon_sym_bitor] = ACTIONS(4818),
    [anon_sym_xor] = ACTIONS(4818),
    [anon_sym_bitand] = ACTIONS(4818),
    [anon_sym_not_eq] = ACTIONS(4818),
    [anon_sym_DASH_DASH] = ACTIONS(4820),
    [anon_sym_PLUS_PLUS] = ACTIONS(4820),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_DOT_STAR] = ACTIONS(4820),
    [anon_sym_DASH_GT] = ACTIONS(4818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4818),
    [anon_sym_decltype] = ACTIONS(4818),
    [anon_sym_template] = ACTIONS(4818),
    [anon_sym_operator] = ACTIONS(4818),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4820),
  },
  [1548] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(2966),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym___extension__] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_signed] = ACTIONS(4897),
    [anon_sym_unsigned] = ACTIONS(4897),
    [anon_sym_long] = ACTIONS(4897),
    [anon_sym_short] = ACTIONS(4897),
    [anon_sym_LBRACK] = ACTIONS(4076),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4061),
    [anon_sym_constexpr] = ACTIONS(4069),
    [anon_sym_volatile] = ACTIONS(4069),
    [anon_sym_restrict] = ACTIONS(4069),
    [anon_sym___restrict__] = ACTIONS(4069),
    [anon_sym__Atomic] = ACTIONS(4069),
    [anon_sym__Noreturn] = ACTIONS(4069),
    [anon_sym_noreturn] = ACTIONS(4069),
    [anon_sym__Nonnull] = ACTIONS(4069),
    [anon_sym_mutable] = ACTIONS(4069),
    [anon_sym_constinit] = ACTIONS(4069),
    [anon_sym_consteval] = ACTIONS(4069),
    [anon_sym_alignas] = ACTIONS(4069),
    [anon_sym__Alignas] = ACTIONS(4069),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4069),
    [anon_sym_decltype] = ACTIONS(4069),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [1549] = {
    [sym_identifier] = ACTIONS(4810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_COMMA] = ACTIONS(4812),
    [anon_sym_RPAREN] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_TILDE] = ACTIONS(4812),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_STAR] = ACTIONS(4810),
    [anon_sym_SLASH] = ACTIONS(4810),
    [anon_sym_PERCENT] = ACTIONS(4810),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_PIPE] = ACTIONS(4810),
    [anon_sym_CARET] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4812),
    [anon_sym_BANG_EQ] = ACTIONS(4812),
    [anon_sym_GT] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4810),
    [anon_sym_LT] = ACTIONS(4810),
    [anon_sym_LT_LT] = ACTIONS(4810),
    [anon_sym_GT_GT] = ACTIONS(4810),
    [anon_sym___extension__] = ACTIONS(4810),
    [anon_sym_virtual] = ACTIONS(4810),
    [anon_sym_extern] = ACTIONS(4810),
    [anon_sym___attribute__] = ACTIONS(4810),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4812),
    [anon_sym___declspec] = ACTIONS(4810),
    [anon_sym___based] = ACTIONS(4810),
    [anon_sym_LBRACE] = ACTIONS(4812),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [anon_sym_static] = ACTIONS(4810),
    [anon_sym_EQ] = ACTIONS(4810),
    [anon_sym_register] = ACTIONS(4810),
    [anon_sym_inline] = ACTIONS(4810),
    [anon_sym___inline] = ACTIONS(4810),
    [anon_sym___inline__] = ACTIONS(4810),
    [anon_sym___forceinline] = ACTIONS(4810),
    [anon_sym_thread_local] = ACTIONS(4810),
    [anon_sym___thread] = ACTIONS(4810),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4810),
    [anon_sym_volatile] = ACTIONS(4810),
    [anon_sym_restrict] = ACTIONS(4810),
    [anon_sym___restrict__] = ACTIONS(4810),
    [anon_sym__Atomic] = ACTIONS(4810),
    [anon_sym__Noreturn] = ACTIONS(4810),
    [anon_sym_noreturn] = ACTIONS(4810),
    [anon_sym__Nonnull] = ACTIONS(4810),
    [anon_sym_mutable] = ACTIONS(4810),
    [anon_sym_constinit] = ACTIONS(4810),
    [anon_sym_consteval] = ACTIONS(4810),
    [anon_sym_alignas] = ACTIONS(4810),
    [anon_sym__Alignas] = ACTIONS(4810),
    [anon_sym_QMARK] = ACTIONS(4812),
    [anon_sym_STAR_EQ] = ACTIONS(4812),
    [anon_sym_SLASH_EQ] = ACTIONS(4812),
    [anon_sym_PERCENT_EQ] = ACTIONS(4812),
    [anon_sym_PLUS_EQ] = ACTIONS(4812),
    [anon_sym_DASH_EQ] = ACTIONS(4812),
    [anon_sym_LT_LT_EQ] = ACTIONS(4812),
    [anon_sym_GT_GT_EQ] = ACTIONS(4812),
    [anon_sym_AMP_EQ] = ACTIONS(4812),
    [anon_sym_CARET_EQ] = ACTIONS(4812),
    [anon_sym_PIPE_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ_GT] = ACTIONS(4812),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [anon_sym_bitor] = ACTIONS(4810),
    [anon_sym_xor] = ACTIONS(4810),
    [anon_sym_bitand] = ACTIONS(4810),
    [anon_sym_not_eq] = ACTIONS(4810),
    [anon_sym_DASH_DASH] = ACTIONS(4812),
    [anon_sym_PLUS_PLUS] = ACTIONS(4812),
    [anon_sym_DOT] = ACTIONS(4810),
    [anon_sym_DOT_STAR] = ACTIONS(4812),
    [anon_sym_DASH_GT] = ACTIONS(4810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4810),
    [anon_sym_decltype] = ACTIONS(4810),
    [anon_sym_template] = ACTIONS(4810),
    [anon_sym_operator] = ACTIONS(4810),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4812),
  },
  [1550] = {
    [sym_identifier] = ACTIONS(4814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_TILDE] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4814),
    [anon_sym_STAR] = ACTIONS(4814),
    [anon_sym_SLASH] = ACTIONS(4814),
    [anon_sym_PERCENT] = ACTIONS(4814),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_PIPE] = ACTIONS(4814),
    [anon_sym_CARET] = ACTIONS(4814),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym_EQ_EQ] = ACTIONS(4816),
    [anon_sym_BANG_EQ] = ACTIONS(4816),
    [anon_sym_GT] = ACTIONS(4814),
    [anon_sym_GT_EQ] = ACTIONS(4816),
    [anon_sym_LT_EQ] = ACTIONS(4814),
    [anon_sym_LT] = ACTIONS(4814),
    [anon_sym_LT_LT] = ACTIONS(4814),
    [anon_sym_GT_GT] = ACTIONS(4814),
    [anon_sym___extension__] = ACTIONS(4814),
    [anon_sym_virtual] = ACTIONS(4814),
    [anon_sym_extern] = ACTIONS(4814),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4816),
    [anon_sym___declspec] = ACTIONS(4814),
    [anon_sym___based] = ACTIONS(4814),
    [anon_sym_LBRACE] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4814),
    [anon_sym_static] = ACTIONS(4814),
    [anon_sym_EQ] = ACTIONS(4814),
    [anon_sym_register] = ACTIONS(4814),
    [anon_sym_inline] = ACTIONS(4814),
    [anon_sym___inline] = ACTIONS(4814),
    [anon_sym___inline__] = ACTIONS(4814),
    [anon_sym___forceinline] = ACTIONS(4814),
    [anon_sym_thread_local] = ACTIONS(4814),
    [anon_sym___thread] = ACTIONS(4814),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4814),
    [anon_sym_volatile] = ACTIONS(4814),
    [anon_sym_restrict] = ACTIONS(4814),
    [anon_sym___restrict__] = ACTIONS(4814),
    [anon_sym__Atomic] = ACTIONS(4814),
    [anon_sym__Noreturn] = ACTIONS(4814),
    [anon_sym_noreturn] = ACTIONS(4814),
    [anon_sym__Nonnull] = ACTIONS(4814),
    [anon_sym_mutable] = ACTIONS(4814),
    [anon_sym_constinit] = ACTIONS(4814),
    [anon_sym_consteval] = ACTIONS(4814),
    [anon_sym_alignas] = ACTIONS(4814),
    [anon_sym__Alignas] = ACTIONS(4814),
    [anon_sym_QMARK] = ACTIONS(4816),
    [anon_sym_STAR_EQ] = ACTIONS(4816),
    [anon_sym_SLASH_EQ] = ACTIONS(4816),
    [anon_sym_PERCENT_EQ] = ACTIONS(4816),
    [anon_sym_PLUS_EQ] = ACTIONS(4816),
    [anon_sym_DASH_EQ] = ACTIONS(4816),
    [anon_sym_LT_LT_EQ] = ACTIONS(4816),
    [anon_sym_GT_GT_EQ] = ACTIONS(4816),
    [anon_sym_AMP_EQ] = ACTIONS(4816),
    [anon_sym_CARET_EQ] = ACTIONS(4816),
    [anon_sym_PIPE_EQ] = ACTIONS(4816),
    [anon_sym_LT_EQ_GT] = ACTIONS(4816),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [anon_sym_bitor] = ACTIONS(4814),
    [anon_sym_xor] = ACTIONS(4814),
    [anon_sym_bitand] = ACTIONS(4814),
    [anon_sym_not_eq] = ACTIONS(4814),
    [anon_sym_DASH_DASH] = ACTIONS(4816),
    [anon_sym_PLUS_PLUS] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4814),
    [anon_sym_DOT_STAR] = ACTIONS(4816),
    [anon_sym_DASH_GT] = ACTIONS(4814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4814),
    [anon_sym_decltype] = ACTIONS(4814),
    [anon_sym_template] = ACTIONS(4814),
    [anon_sym_operator] = ACTIONS(4814),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4816),
  },
  [1551] = {
    [sym_identifier] = ACTIONS(4822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4824),
    [anon_sym_COMMA] = ACTIONS(4824),
    [anon_sym_RPAREN] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_TILDE] = ACTIONS(4824),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_STAR] = ACTIONS(4822),
    [anon_sym_SLASH] = ACTIONS(4822),
    [anon_sym_PERCENT] = ACTIONS(4822),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_PIPE] = ACTIONS(4822),
    [anon_sym_CARET] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym_EQ_EQ] = ACTIONS(4824),
    [anon_sym_BANG_EQ] = ACTIONS(4824),
    [anon_sym_GT] = ACTIONS(4822),
    [anon_sym_GT_EQ] = ACTIONS(4824),
    [anon_sym_LT_EQ] = ACTIONS(4822),
    [anon_sym_LT] = ACTIONS(4822),
    [anon_sym_LT_LT] = ACTIONS(4822),
    [anon_sym_GT_GT] = ACTIONS(4822),
    [anon_sym___extension__] = ACTIONS(4822),
    [anon_sym_virtual] = ACTIONS(4822),
    [anon_sym_extern] = ACTIONS(4822),
    [anon_sym___attribute__] = ACTIONS(4822),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4824),
    [anon_sym___declspec] = ACTIONS(4822),
    [anon_sym___based] = ACTIONS(4822),
    [anon_sym_LBRACE] = ACTIONS(4824),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_static] = ACTIONS(4822),
    [anon_sym_EQ] = ACTIONS(4822),
    [anon_sym_register] = ACTIONS(4822),
    [anon_sym_inline] = ACTIONS(4822),
    [anon_sym___inline] = ACTIONS(4822),
    [anon_sym___inline__] = ACTIONS(4822),
    [anon_sym___forceinline] = ACTIONS(4822),
    [anon_sym_thread_local] = ACTIONS(4822),
    [anon_sym___thread] = ACTIONS(4822),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4822),
    [anon_sym_volatile] = ACTIONS(4822),
    [anon_sym_restrict] = ACTIONS(4822),
    [anon_sym___restrict__] = ACTIONS(4822),
    [anon_sym__Atomic] = ACTIONS(4822),
    [anon_sym__Noreturn] = ACTIONS(4822),
    [anon_sym_noreturn] = ACTIONS(4822),
    [anon_sym__Nonnull] = ACTIONS(4822),
    [anon_sym_mutable] = ACTIONS(4822),
    [anon_sym_constinit] = ACTIONS(4822),
    [anon_sym_consteval] = ACTIONS(4822),
    [anon_sym_alignas] = ACTIONS(4822),
    [anon_sym__Alignas] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4824),
    [anon_sym_STAR_EQ] = ACTIONS(4824),
    [anon_sym_SLASH_EQ] = ACTIONS(4824),
    [anon_sym_PERCENT_EQ] = ACTIONS(4824),
    [anon_sym_PLUS_EQ] = ACTIONS(4824),
    [anon_sym_DASH_EQ] = ACTIONS(4824),
    [anon_sym_LT_LT_EQ] = ACTIONS(4824),
    [anon_sym_GT_GT_EQ] = ACTIONS(4824),
    [anon_sym_AMP_EQ] = ACTIONS(4824),
    [anon_sym_CARET_EQ] = ACTIONS(4824),
    [anon_sym_PIPE_EQ] = ACTIONS(4824),
    [anon_sym_LT_EQ_GT] = ACTIONS(4824),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [anon_sym_bitor] = ACTIONS(4822),
    [anon_sym_xor] = ACTIONS(4822),
    [anon_sym_bitand] = ACTIONS(4822),
    [anon_sym_not_eq] = ACTIONS(4822),
    [anon_sym_DASH_DASH] = ACTIONS(4824),
    [anon_sym_PLUS_PLUS] = ACTIONS(4824),
    [anon_sym_DOT] = ACTIONS(4822),
    [anon_sym_DOT_STAR] = ACTIONS(4824),
    [anon_sym_DASH_GT] = ACTIONS(4822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4822),
    [anon_sym_decltype] = ACTIONS(4822),
    [anon_sym_template] = ACTIONS(4822),
    [anon_sym_operator] = ACTIONS(4822),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4824),
  },
  [1552] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_RPAREN] = ACTIONS(4941),
    [aux_sym_preproc_if_token2] = ACTIONS(4941),
    [aux_sym_preproc_else_token1] = ACTIONS(4941),
    [aux_sym_preproc_elif_token1] = ACTIONS(4939),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4939),
    [anon_sym_SLASH] = ACTIONS(4939),
    [anon_sym_PERCENT] = ACTIONS(4939),
    [anon_sym_PIPE_PIPE] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_PIPE] = ACTIONS(4939),
    [anon_sym_CARET] = ACTIONS(4939),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_EQ_EQ] = ACTIONS(4941),
    [anon_sym_BANG_EQ] = ACTIONS(4941),
    [anon_sym_GT] = ACTIONS(4939),
    [anon_sym_GT_EQ] = ACTIONS(4941),
    [anon_sym_LT_EQ] = ACTIONS(4939),
    [anon_sym_LT] = ACTIONS(4939),
    [anon_sym_LT_LT] = ACTIONS(4939),
    [anon_sym_GT_GT] = ACTIONS(4939),
    [anon_sym_SEMI] = ACTIONS(4941),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym___attribute] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_RBRACE] = ACTIONS(4941),
    [anon_sym_signed] = ACTIONS(4939),
    [anon_sym_unsigned] = ACTIONS(4939),
    [anon_sym_long] = ACTIONS(4939),
    [anon_sym_short] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_RBRACK] = ACTIONS(4941),
    [anon_sym_EQ] = ACTIONS(4939),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym__Nonnull] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_COLON] = ACTIONS(4941),
    [anon_sym_QMARK] = ACTIONS(4941),
    [anon_sym_STAR_EQ] = ACTIONS(4941),
    [anon_sym_SLASH_EQ] = ACTIONS(4941),
    [anon_sym_PERCENT_EQ] = ACTIONS(4941),
    [anon_sym_PLUS_EQ] = ACTIONS(4941),
    [anon_sym_DASH_EQ] = ACTIONS(4941),
    [anon_sym_LT_LT_EQ] = ACTIONS(4941),
    [anon_sym_GT_GT_EQ] = ACTIONS(4941),
    [anon_sym_AMP_EQ] = ACTIONS(4941),
    [anon_sym_CARET_EQ] = ACTIONS(4941),
    [anon_sym_PIPE_EQ] = ACTIONS(4941),
    [anon_sym_and_eq] = ACTIONS(4939),
    [anon_sym_or_eq] = ACTIONS(4939),
    [anon_sym_xor_eq] = ACTIONS(4939),
    [anon_sym_LT_EQ_GT] = ACTIONS(4941),
    [anon_sym_or] = ACTIONS(4939),
    [anon_sym_and] = ACTIONS(4939),
    [anon_sym_bitor] = ACTIONS(4939),
    [anon_sym_xor] = ACTIONS(4939),
    [anon_sym_bitand] = ACTIONS(4939),
    [anon_sym_not_eq] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_DOT_STAR] = ACTIONS(4941),
    [anon_sym_DASH_GT] = ACTIONS(4941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
  },
  [1553] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2532),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2532),
    [anon_sym_CARET] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_LT_LT] = ACTIONS(2532),
    [anon_sym_GT_GT] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_RBRACK] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2522),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_and_eq] = ACTIONS(2532),
    [anon_sym_or_eq] = ACTIONS(2532),
    [anon_sym_xor_eq] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_bitor] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_bitand] = ACTIONS(2532),
    [anon_sym_not_eq] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2532),
    [anon_sym_DOT_STAR] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
  },
  [1554] = {
    [sym_type_qualifier] = STATE(1539),
    [sym_alignas_qualifier] = STATE(1553),
    [aux_sym__type_definition_type_repeat1] = STATE(1539),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2269),
    [sym_identifier] = ACTIONS(4943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_RPAREN] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym_SEMI] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(4949),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_RBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(4951),
    [anon_sym_unsigned] = ACTIONS(4951),
    [anon_sym_long] = ACTIONS(4951),
    [anon_sym_short] = ACTIONS(4951),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_RBRACK] = ACTIONS(4945),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_const] = ACTIONS(4949),
    [anon_sym_constexpr] = ACTIONS(4949),
    [anon_sym_volatile] = ACTIONS(4949),
    [anon_sym_restrict] = ACTIONS(4949),
    [anon_sym___restrict__] = ACTIONS(4949),
    [anon_sym__Atomic] = ACTIONS(4949),
    [anon_sym__Noreturn] = ACTIONS(4949),
    [anon_sym_noreturn] = ACTIONS(4949),
    [anon_sym__Nonnull] = ACTIONS(4949),
    [anon_sym_mutable] = ACTIONS(4949),
    [anon_sym_constinit] = ACTIONS(4949),
    [anon_sym_consteval] = ACTIONS(4949),
    [anon_sym_alignas] = ACTIONS(4953),
    [anon_sym__Alignas] = ACTIONS(4953),
    [sym_primitive_type] = ACTIONS(4955),
    [anon_sym_COLON] = ACTIONS(4945),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_STAR_EQ] = ACTIONS(4945),
    [anon_sym_SLASH_EQ] = ACTIONS(4945),
    [anon_sym_PERCENT_EQ] = ACTIONS(4945),
    [anon_sym_PLUS_EQ] = ACTIONS(4945),
    [anon_sym_DASH_EQ] = ACTIONS(4945),
    [anon_sym_LT_LT_EQ] = ACTIONS(4945),
    [anon_sym_GT_GT_EQ] = ACTIONS(4945),
    [anon_sym_AMP_EQ] = ACTIONS(4945),
    [anon_sym_CARET_EQ] = ACTIONS(4945),
    [anon_sym_PIPE_EQ] = ACTIONS(4945),
    [anon_sym_and_eq] = ACTIONS(4947),
    [anon_sym_or_eq] = ACTIONS(4947),
    [anon_sym_xor_eq] = ACTIONS(4947),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
  },
  [1555] = {
    [sym_type_qualifier] = STATE(1556),
    [sym_alignas_qualifier] = STATE(1553),
    [aux_sym__type_definition_type_repeat1] = STATE(1556),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1579),
    [sym_identifier] = ACTIONS(4957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [aux_sym_preproc_if_token2] = ACTIONS(4960),
    [aux_sym_preproc_else_token1] = ACTIONS(4960),
    [aux_sym_preproc_elif_token1] = ACTIONS(4962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4962),
    [anon_sym_STAR] = ACTIONS(4962),
    [anon_sym_SLASH] = ACTIONS(4962),
    [anon_sym_PERCENT] = ACTIONS(4962),
    [anon_sym_PIPE_PIPE] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_PIPE] = ACTIONS(4962),
    [anon_sym_CARET] = ACTIONS(4962),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_EQ_EQ] = ACTIONS(4960),
    [anon_sym_BANG_EQ] = ACTIONS(4960),
    [anon_sym_GT] = ACTIONS(4962),
    [anon_sym_GT_EQ] = ACTIONS(4960),
    [anon_sym_LT_EQ] = ACTIONS(4962),
    [anon_sym_LT] = ACTIONS(4962),
    [anon_sym_LT_LT] = ACTIONS(4962),
    [anon_sym_GT_GT] = ACTIONS(4962),
    [anon_sym___extension__] = ACTIONS(4949),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(4964),
    [anon_sym_unsigned] = ACTIONS(4964),
    [anon_sym_long] = ACTIONS(4964),
    [anon_sym_short] = ACTIONS(4964),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym_EQ] = ACTIONS(4962),
    [anon_sym_const] = ACTIONS(4949),
    [anon_sym_constexpr] = ACTIONS(4949),
    [anon_sym_volatile] = ACTIONS(4949),
    [anon_sym_restrict] = ACTIONS(4949),
    [anon_sym___restrict__] = ACTIONS(4949),
    [anon_sym__Atomic] = ACTIONS(4949),
    [anon_sym__Noreturn] = ACTIONS(4949),
    [anon_sym_noreturn] = ACTIONS(4949),
    [anon_sym__Nonnull] = ACTIONS(4949),
    [anon_sym_mutable] = ACTIONS(4949),
    [anon_sym_constinit] = ACTIONS(4949),
    [anon_sym_consteval] = ACTIONS(4949),
    [anon_sym_alignas] = ACTIONS(4953),
    [anon_sym__Alignas] = ACTIONS(4953),
    [sym_primitive_type] = ACTIONS(4966),
    [anon_sym_QMARK] = ACTIONS(4960),
    [anon_sym_STAR_EQ] = ACTIONS(4960),
    [anon_sym_SLASH_EQ] = ACTIONS(4960),
    [anon_sym_PERCENT_EQ] = ACTIONS(4960),
    [anon_sym_PLUS_EQ] = ACTIONS(4960),
    [anon_sym_DASH_EQ] = ACTIONS(4960),
    [anon_sym_LT_LT_EQ] = ACTIONS(4960),
    [anon_sym_GT_GT_EQ] = ACTIONS(4960),
    [anon_sym_AMP_EQ] = ACTIONS(4960),
    [anon_sym_CARET_EQ] = ACTIONS(4960),
    [anon_sym_PIPE_EQ] = ACTIONS(4960),
    [anon_sym_and_eq] = ACTIONS(4962),
    [anon_sym_or_eq] = ACTIONS(4962),
    [anon_sym_xor_eq] = ACTIONS(4962),
    [anon_sym_LT_EQ_GT] = ACTIONS(4960),
    [anon_sym_or] = ACTIONS(4962),
    [anon_sym_and] = ACTIONS(4962),
    [anon_sym_bitor] = ACTIONS(4962),
    [anon_sym_xor] = ACTIONS(4962),
    [anon_sym_bitand] = ACTIONS(4962),
    [anon_sym_not_eq] = ACTIONS(4962),
    [anon_sym_DASH_DASH] = ACTIONS(4960),
    [anon_sym_PLUS_PLUS] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_DOT_STAR] = ACTIONS(4960),
    [anon_sym_DASH_GT] = ACTIONS(4960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
  },
  [1556] = {
    [sym_type_qualifier] = STATE(1539),
    [sym_alignas_qualifier] = STATE(1553),
    [aux_sym__type_definition_type_repeat1] = STATE(1539),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2203),
    [sym_identifier] = ACTIONS(4968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [aux_sym_preproc_if_token2] = ACTIONS(4945),
    [aux_sym_preproc_else_token1] = ACTIONS(4945),
    [aux_sym_preproc_elif_token1] = ACTIONS(4947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym___extension__] = ACTIONS(4949),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(4971),
    [anon_sym_unsigned] = ACTIONS(4971),
    [anon_sym_long] = ACTIONS(4971),
    [anon_sym_short] = ACTIONS(4971),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_const] = ACTIONS(4949),
    [anon_sym_constexpr] = ACTIONS(4949),
    [anon_sym_volatile] = ACTIONS(4949),
    [anon_sym_restrict] = ACTIONS(4949),
    [anon_sym___restrict__] = ACTIONS(4949),
    [anon_sym__Atomic] = ACTIONS(4949),
    [anon_sym__Noreturn] = ACTIONS(4949),
    [anon_sym_noreturn] = ACTIONS(4949),
    [anon_sym__Nonnull] = ACTIONS(4949),
    [anon_sym_mutable] = ACTIONS(4949),
    [anon_sym_constinit] = ACTIONS(4949),
    [anon_sym_consteval] = ACTIONS(4949),
    [anon_sym_alignas] = ACTIONS(4953),
    [anon_sym__Alignas] = ACTIONS(4953),
    [sym_primitive_type] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_STAR_EQ] = ACTIONS(4945),
    [anon_sym_SLASH_EQ] = ACTIONS(4945),
    [anon_sym_PERCENT_EQ] = ACTIONS(4945),
    [anon_sym_PLUS_EQ] = ACTIONS(4945),
    [anon_sym_DASH_EQ] = ACTIONS(4945),
    [anon_sym_LT_LT_EQ] = ACTIONS(4945),
    [anon_sym_GT_GT_EQ] = ACTIONS(4945),
    [anon_sym_AMP_EQ] = ACTIONS(4945),
    [anon_sym_CARET_EQ] = ACTIONS(4945),
    [anon_sym_PIPE_EQ] = ACTIONS(4945),
    [anon_sym_and_eq] = ACTIONS(4947),
    [anon_sym_or_eq] = ACTIONS(4947),
    [anon_sym_xor_eq] = ACTIONS(4947),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
  },
  [1557] = {
    [sym_type_qualifier] = STATE(1554),
    [sym_alignas_qualifier] = STATE(1553),
    [aux_sym__type_definition_type_repeat1] = STATE(1554),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1573),
    [sym_identifier] = ACTIONS(4975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [anon_sym_RPAREN] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4962),
    [anon_sym_STAR] = ACTIONS(4962),
    [anon_sym_SLASH] = ACTIONS(4962),
    [anon_sym_PERCENT] = ACTIONS(4962),
    [anon_sym_PIPE_PIPE] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_PIPE] = ACTIONS(4962),
    [anon_sym_CARET] = ACTIONS(4962),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_EQ_EQ] = ACTIONS(4960),
    [anon_sym_BANG_EQ] = ACTIONS(4960),
    [anon_sym_GT] = ACTIONS(4962),
    [anon_sym_GT_EQ] = ACTIONS(4960),
    [anon_sym_LT_EQ] = ACTIONS(4962),
    [anon_sym_LT] = ACTIONS(4962),
    [anon_sym_LT_LT] = ACTIONS(4962),
    [anon_sym_GT_GT] = ACTIONS(4962),
    [anon_sym_SEMI] = ACTIONS(4960),
    [anon_sym___extension__] = ACTIONS(4949),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_RBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(4977),
    [anon_sym_unsigned] = ACTIONS(4977),
    [anon_sym_long] = ACTIONS(4977),
    [anon_sym_short] = ACTIONS(4977),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym_RBRACK] = ACTIONS(4960),
    [anon_sym_EQ] = ACTIONS(4962),
    [anon_sym_const] = ACTIONS(4949),
    [anon_sym_constexpr] = ACTIONS(4949),
    [anon_sym_volatile] = ACTIONS(4949),
    [anon_sym_restrict] = ACTIONS(4949),
    [anon_sym___restrict__] = ACTIONS(4949),
    [anon_sym__Atomic] = ACTIONS(4949),
    [anon_sym__Noreturn] = ACTIONS(4949),
    [anon_sym_noreturn] = ACTIONS(4949),
    [anon_sym__Nonnull] = ACTIONS(4949),
    [anon_sym_mutable] = ACTIONS(4949),
    [anon_sym_constinit] = ACTIONS(4949),
    [anon_sym_consteval] = ACTIONS(4949),
    [anon_sym_alignas] = ACTIONS(4953),
    [anon_sym__Alignas] = ACTIONS(4953),
    [sym_primitive_type] = ACTIONS(4979),
    [anon_sym_COLON] = ACTIONS(4960),
    [anon_sym_QMARK] = ACTIONS(4960),
    [anon_sym_STAR_EQ] = ACTIONS(4960),
    [anon_sym_SLASH_EQ] = ACTIONS(4960),
    [anon_sym_PERCENT_EQ] = ACTIONS(4960),
    [anon_sym_PLUS_EQ] = ACTIONS(4960),
    [anon_sym_DASH_EQ] = ACTIONS(4960),
    [anon_sym_LT_LT_EQ] = ACTIONS(4960),
    [anon_sym_GT_GT_EQ] = ACTIONS(4960),
    [anon_sym_AMP_EQ] = ACTIONS(4960),
    [anon_sym_CARET_EQ] = ACTIONS(4960),
    [anon_sym_PIPE_EQ] = ACTIONS(4960),
    [anon_sym_and_eq] = ACTIONS(4962),
    [anon_sym_or_eq] = ACTIONS(4962),
    [anon_sym_xor_eq] = ACTIONS(4962),
    [anon_sym_LT_EQ_GT] = ACTIONS(4960),
    [anon_sym_or] = ACTIONS(4962),
    [anon_sym_and] = ACTIONS(4962),
    [anon_sym_bitor] = ACTIONS(4962),
    [anon_sym_xor] = ACTIONS(4962),
    [anon_sym_bitand] = ACTIONS(4962),
    [anon_sym_not_eq] = ACTIONS(4962),
    [anon_sym_DASH_DASH] = ACTIONS(4960),
    [anon_sym_PLUS_PLUS] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_DOT_STAR] = ACTIONS(4960),
    [anon_sym_DASH_GT] = ACTIONS(4960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
  },
  [1558] = {
    [sym_identifier] = ACTIONS(4826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_COMMA] = ACTIONS(4828),
    [anon_sym_RPAREN] = ACTIONS(4828),
    [aux_sym_preproc_if_token2] = ACTIONS(4828),
    [aux_sym_preproc_else_token1] = ACTIONS(4828),
    [aux_sym_preproc_elif_token1] = ACTIONS(4826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_PERCENT] = ACTIONS(4826),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4826),
    [anon_sym_CARET] = ACTIONS(4826),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym_EQ_EQ] = ACTIONS(4828),
    [anon_sym_BANG_EQ] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4826),
    [anon_sym_GT_EQ] = ACTIONS(4828),
    [anon_sym_LT_EQ] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4826),
    [anon_sym_LT_LT] = ACTIONS(4826),
    [anon_sym_GT_GT] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4826),
    [anon_sym___attribute__] = ACTIONS(4826),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym_LBRACE] = ACTIONS(4828),
    [anon_sym_RBRACE] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4828),
    [anon_sym_RBRACK] = ACTIONS(4828),
    [anon_sym_EQ] = ACTIONS(4826),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4826),
    [anon_sym_volatile] = ACTIONS(4826),
    [anon_sym_restrict] = ACTIONS(4826),
    [anon_sym___restrict__] = ACTIONS(4826),
    [anon_sym__Atomic] = ACTIONS(4826),
    [anon_sym__Noreturn] = ACTIONS(4826),
    [anon_sym_noreturn] = ACTIONS(4826),
    [anon_sym__Nonnull] = ACTIONS(4826),
    [anon_sym_mutable] = ACTIONS(4826),
    [anon_sym_constinit] = ACTIONS(4826),
    [anon_sym_consteval] = ACTIONS(4826),
    [anon_sym_alignas] = ACTIONS(4826),
    [anon_sym__Alignas] = ACTIONS(4826),
    [anon_sym_COLON] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4828),
    [anon_sym_STAR_EQ] = ACTIONS(4828),
    [anon_sym_SLASH_EQ] = ACTIONS(4828),
    [anon_sym_PERCENT_EQ] = ACTIONS(4828),
    [anon_sym_PLUS_EQ] = ACTIONS(4828),
    [anon_sym_DASH_EQ] = ACTIONS(4828),
    [anon_sym_LT_LT_EQ] = ACTIONS(4828),
    [anon_sym_GT_GT_EQ] = ACTIONS(4828),
    [anon_sym_AMP_EQ] = ACTIONS(4828),
    [anon_sym_CARET_EQ] = ACTIONS(4828),
    [anon_sym_PIPE_EQ] = ACTIONS(4828),
    [anon_sym_and_eq] = ACTIONS(4826),
    [anon_sym_or_eq] = ACTIONS(4826),
    [anon_sym_xor_eq] = ACTIONS(4826),
    [anon_sym_LT_EQ_GT] = ACTIONS(4828),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [anon_sym_bitor] = ACTIONS(4826),
    [anon_sym_xor] = ACTIONS(4826),
    [anon_sym_bitand] = ACTIONS(4826),
    [anon_sym_not_eq] = ACTIONS(4826),
    [anon_sym_DASH_DASH] = ACTIONS(4828),
    [anon_sym_PLUS_PLUS] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4826),
    [anon_sym_DOT_STAR] = ACTIONS(4828),
    [anon_sym_DASH_GT] = ACTIONS(4828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4826),
    [anon_sym_decltype] = ACTIONS(4826),
    [anon_sym_final] = ACTIONS(4826),
    [anon_sym_override] = ACTIONS(4826),
  },
  [1559] = {
    [sym_identifier] = ACTIONS(4810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_COMMA] = ACTIONS(4812),
    [anon_sym_RPAREN] = ACTIONS(4812),
    [aux_sym_preproc_if_token2] = ACTIONS(4812),
    [aux_sym_preproc_else_token1] = ACTIONS(4812),
    [aux_sym_preproc_elif_token1] = ACTIONS(4810),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_STAR] = ACTIONS(4810),
    [anon_sym_SLASH] = ACTIONS(4810),
    [anon_sym_PERCENT] = ACTIONS(4810),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_PIPE] = ACTIONS(4810),
    [anon_sym_CARET] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4812),
    [anon_sym_BANG_EQ] = ACTIONS(4812),
    [anon_sym_GT] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4810),
    [anon_sym_LT] = ACTIONS(4810),
    [anon_sym_LT_LT] = ACTIONS(4810),
    [anon_sym_GT_GT] = ACTIONS(4810),
    [anon_sym_SEMI] = ACTIONS(4812),
    [anon_sym___extension__] = ACTIONS(4810),
    [anon_sym___attribute__] = ACTIONS(4810),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym_LBRACE] = ACTIONS(4812),
    [anon_sym_RBRACE] = ACTIONS(4812),
    [anon_sym_LBRACK] = ACTIONS(4812),
    [anon_sym_RBRACK] = ACTIONS(4812),
    [anon_sym_EQ] = ACTIONS(4810),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4810),
    [anon_sym_volatile] = ACTIONS(4810),
    [anon_sym_restrict] = ACTIONS(4810),
    [anon_sym___restrict__] = ACTIONS(4810),
    [anon_sym__Atomic] = ACTIONS(4810),
    [anon_sym__Noreturn] = ACTIONS(4810),
    [anon_sym_noreturn] = ACTIONS(4810),
    [anon_sym__Nonnull] = ACTIONS(4810),
    [anon_sym_mutable] = ACTIONS(4810),
    [anon_sym_constinit] = ACTIONS(4810),
    [anon_sym_consteval] = ACTIONS(4810),
    [anon_sym_alignas] = ACTIONS(4810),
    [anon_sym__Alignas] = ACTIONS(4810),
    [anon_sym_COLON] = ACTIONS(4810),
    [anon_sym_QMARK] = ACTIONS(4812),
    [anon_sym_STAR_EQ] = ACTIONS(4812),
    [anon_sym_SLASH_EQ] = ACTIONS(4812),
    [anon_sym_PERCENT_EQ] = ACTIONS(4812),
    [anon_sym_PLUS_EQ] = ACTIONS(4812),
    [anon_sym_DASH_EQ] = ACTIONS(4812),
    [anon_sym_LT_LT_EQ] = ACTIONS(4812),
    [anon_sym_GT_GT_EQ] = ACTIONS(4812),
    [anon_sym_AMP_EQ] = ACTIONS(4812),
    [anon_sym_CARET_EQ] = ACTIONS(4812),
    [anon_sym_PIPE_EQ] = ACTIONS(4812),
    [anon_sym_and_eq] = ACTIONS(4810),
    [anon_sym_or_eq] = ACTIONS(4810),
    [anon_sym_xor_eq] = ACTIONS(4810),
    [anon_sym_LT_EQ_GT] = ACTIONS(4812),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [anon_sym_bitor] = ACTIONS(4810),
    [anon_sym_xor] = ACTIONS(4810),
    [anon_sym_bitand] = ACTIONS(4810),
    [anon_sym_not_eq] = ACTIONS(4810),
    [anon_sym_DASH_DASH] = ACTIONS(4812),
    [anon_sym_PLUS_PLUS] = ACTIONS(4812),
    [anon_sym_DOT] = ACTIONS(4810),
    [anon_sym_DOT_STAR] = ACTIONS(4812),
    [anon_sym_DASH_GT] = ACTIONS(4812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4810),
    [anon_sym_decltype] = ACTIONS(4810),
    [anon_sym_final] = ACTIONS(4810),
    [anon_sym_override] = ACTIONS(4810),
  },
  [1560] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_STAR] = ACTIONS(4862),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_signed] = ACTIONS(4855),
    [anon_sym_unsigned] = ACTIONS(4855),
    [anon_sym_long] = ACTIONS(4855),
    [anon_sym_short] = ACTIONS(4855),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4862),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [sym_primitive_type] = ACTIONS(4855),
    [anon_sym_enum] = ACTIONS(4855),
    [anon_sym_class] = ACTIONS(4855),
    [anon_sym_struct] = ACTIONS(4855),
    [anon_sym_union] = ACTIONS(4855),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_asm] = ACTIONS(4855),
    [anon_sym___asm__] = ACTIONS(4855),
    [anon_sym___asm] = ACTIONS(4855),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_final] = ACTIONS(4855),
    [anon_sym_override] = ACTIONS(4855),
    [anon_sym_explicit] = ACTIONS(4855),
    [anon_sym_typename] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_GT2] = ACTIONS(4862),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_try] = ACTIONS(4855),
    [anon_sym_friend] = ACTIONS(4855),
    [anon_sym_noexcept] = ACTIONS(4855),
    [anon_sym_throw] = ACTIONS(4855),
    [anon_sym_using] = ACTIONS(4855),
    [anon_sym_concept] = ACTIONS(4855),
    [anon_sym_requires] = ACTIONS(4855),
  },
  [1561] = {
    [sym_identifier] = ACTIONS(4814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [aux_sym_preproc_if_token2] = ACTIONS(4816),
    [aux_sym_preproc_else_token1] = ACTIONS(4816),
    [aux_sym_preproc_elif_token1] = ACTIONS(4814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4816),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4814),
    [anon_sym_STAR] = ACTIONS(4814),
    [anon_sym_SLASH] = ACTIONS(4814),
    [anon_sym_PERCENT] = ACTIONS(4814),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_PIPE] = ACTIONS(4814),
    [anon_sym_CARET] = ACTIONS(4814),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym_EQ_EQ] = ACTIONS(4816),
    [anon_sym_BANG_EQ] = ACTIONS(4816),
    [anon_sym_GT] = ACTIONS(4814),
    [anon_sym_GT_EQ] = ACTIONS(4816),
    [anon_sym_LT_EQ] = ACTIONS(4814),
    [anon_sym_LT] = ACTIONS(4814),
    [anon_sym_LT_LT] = ACTIONS(4814),
    [anon_sym_GT_GT] = ACTIONS(4814),
    [anon_sym_SEMI] = ACTIONS(4816),
    [anon_sym___extension__] = ACTIONS(4814),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4816),
    [anon_sym_RBRACE] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4814),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4814),
    [anon_sym_volatile] = ACTIONS(4814),
    [anon_sym_restrict] = ACTIONS(4814),
    [anon_sym___restrict__] = ACTIONS(4814),
    [anon_sym__Atomic] = ACTIONS(4814),
    [anon_sym__Noreturn] = ACTIONS(4814),
    [anon_sym_noreturn] = ACTIONS(4814),
    [anon_sym__Nonnull] = ACTIONS(4814),
    [anon_sym_mutable] = ACTIONS(4814),
    [anon_sym_constinit] = ACTIONS(4814),
    [anon_sym_consteval] = ACTIONS(4814),
    [anon_sym_alignas] = ACTIONS(4814),
    [anon_sym__Alignas] = ACTIONS(4814),
    [anon_sym_COLON] = ACTIONS(4814),
    [anon_sym_QMARK] = ACTIONS(4816),
    [anon_sym_STAR_EQ] = ACTIONS(4816),
    [anon_sym_SLASH_EQ] = ACTIONS(4816),
    [anon_sym_PERCENT_EQ] = ACTIONS(4816),
    [anon_sym_PLUS_EQ] = ACTIONS(4816),
    [anon_sym_DASH_EQ] = ACTIONS(4816),
    [anon_sym_LT_LT_EQ] = ACTIONS(4816),
    [anon_sym_GT_GT_EQ] = ACTIONS(4816),
    [anon_sym_AMP_EQ] = ACTIONS(4816),
    [anon_sym_CARET_EQ] = ACTIONS(4816),
    [anon_sym_PIPE_EQ] = ACTIONS(4816),
    [anon_sym_and_eq] = ACTIONS(4814),
    [anon_sym_or_eq] = ACTIONS(4814),
    [anon_sym_xor_eq] = ACTIONS(4814),
    [anon_sym_LT_EQ_GT] = ACTIONS(4816),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [anon_sym_bitor] = ACTIONS(4814),
    [anon_sym_xor] = ACTIONS(4814),
    [anon_sym_bitand] = ACTIONS(4814),
    [anon_sym_not_eq] = ACTIONS(4814),
    [anon_sym_DASH_DASH] = ACTIONS(4816),
    [anon_sym_PLUS_PLUS] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4814),
    [anon_sym_DOT_STAR] = ACTIONS(4816),
    [anon_sym_DASH_GT] = ACTIONS(4816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4814),
    [anon_sym_decltype] = ACTIONS(4814),
    [anon_sym_final] = ACTIONS(4814),
    [anon_sym_override] = ACTIONS(4814),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(4822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4824),
    [anon_sym_COMMA] = ACTIONS(4824),
    [anon_sym_RPAREN] = ACTIONS(4824),
    [aux_sym_preproc_if_token2] = ACTIONS(4824),
    [aux_sym_preproc_else_token1] = ACTIONS(4824),
    [aux_sym_preproc_elif_token1] = ACTIONS(4822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_STAR] = ACTIONS(4822),
    [anon_sym_SLASH] = ACTIONS(4822),
    [anon_sym_PERCENT] = ACTIONS(4822),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_PIPE] = ACTIONS(4822),
    [anon_sym_CARET] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym_EQ_EQ] = ACTIONS(4824),
    [anon_sym_BANG_EQ] = ACTIONS(4824),
    [anon_sym_GT] = ACTIONS(4822),
    [anon_sym_GT_EQ] = ACTIONS(4824),
    [anon_sym_LT_EQ] = ACTIONS(4822),
    [anon_sym_LT] = ACTIONS(4822),
    [anon_sym_LT_LT] = ACTIONS(4822),
    [anon_sym_GT_GT] = ACTIONS(4822),
    [anon_sym_SEMI] = ACTIONS(4824),
    [anon_sym___extension__] = ACTIONS(4822),
    [anon_sym___attribute__] = ACTIONS(4822),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym_LBRACE] = ACTIONS(4824),
    [anon_sym_RBRACE] = ACTIONS(4824),
    [anon_sym_LBRACK] = ACTIONS(4824),
    [anon_sym_RBRACK] = ACTIONS(4824),
    [anon_sym_EQ] = ACTIONS(4822),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4822),
    [anon_sym_volatile] = ACTIONS(4822),
    [anon_sym_restrict] = ACTIONS(4822),
    [anon_sym___restrict__] = ACTIONS(4822),
    [anon_sym__Atomic] = ACTIONS(4822),
    [anon_sym__Noreturn] = ACTIONS(4822),
    [anon_sym_noreturn] = ACTIONS(4822),
    [anon_sym__Nonnull] = ACTIONS(4822),
    [anon_sym_mutable] = ACTIONS(4822),
    [anon_sym_constinit] = ACTIONS(4822),
    [anon_sym_consteval] = ACTIONS(4822),
    [anon_sym_alignas] = ACTIONS(4822),
    [anon_sym__Alignas] = ACTIONS(4822),
    [anon_sym_COLON] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4824),
    [anon_sym_STAR_EQ] = ACTIONS(4824),
    [anon_sym_SLASH_EQ] = ACTIONS(4824),
    [anon_sym_PERCENT_EQ] = ACTIONS(4824),
    [anon_sym_PLUS_EQ] = ACTIONS(4824),
    [anon_sym_DASH_EQ] = ACTIONS(4824),
    [anon_sym_LT_LT_EQ] = ACTIONS(4824),
    [anon_sym_GT_GT_EQ] = ACTIONS(4824),
    [anon_sym_AMP_EQ] = ACTIONS(4824),
    [anon_sym_CARET_EQ] = ACTIONS(4824),
    [anon_sym_PIPE_EQ] = ACTIONS(4824),
    [anon_sym_and_eq] = ACTIONS(4822),
    [anon_sym_or_eq] = ACTIONS(4822),
    [anon_sym_xor_eq] = ACTIONS(4822),
    [anon_sym_LT_EQ_GT] = ACTIONS(4824),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [anon_sym_bitor] = ACTIONS(4822),
    [anon_sym_xor] = ACTIONS(4822),
    [anon_sym_bitand] = ACTIONS(4822),
    [anon_sym_not_eq] = ACTIONS(4822),
    [anon_sym_DASH_DASH] = ACTIONS(4824),
    [anon_sym_PLUS_PLUS] = ACTIONS(4824),
    [anon_sym_DOT] = ACTIONS(4822),
    [anon_sym_DOT_STAR] = ACTIONS(4824),
    [anon_sym_DASH_GT] = ACTIONS(4824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4822),
    [anon_sym_decltype] = ACTIONS(4822),
    [anon_sym_final] = ACTIONS(4822),
    [anon_sym_override] = ACTIONS(4822),
  },
  [1563] = {
    [sym_identifier] = ACTIONS(4834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_COMMA] = ACTIONS(4836),
    [anon_sym_RPAREN] = ACTIONS(4836),
    [aux_sym_preproc_if_token2] = ACTIONS(4836),
    [aux_sym_preproc_else_token1] = ACTIONS(4836),
    [aux_sym_preproc_elif_token1] = ACTIONS(4834),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4836),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_STAR] = ACTIONS(4834),
    [anon_sym_SLASH] = ACTIONS(4834),
    [anon_sym_PERCENT] = ACTIONS(4834),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_PIPE] = ACTIONS(4834),
    [anon_sym_CARET] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym_EQ_EQ] = ACTIONS(4836),
    [anon_sym_BANG_EQ] = ACTIONS(4836),
    [anon_sym_GT] = ACTIONS(4834),
    [anon_sym_GT_EQ] = ACTIONS(4836),
    [anon_sym_LT_EQ] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(4834),
    [anon_sym_LT_LT] = ACTIONS(4834),
    [anon_sym_GT_GT] = ACTIONS(4834),
    [anon_sym_SEMI] = ACTIONS(4836),
    [anon_sym___extension__] = ACTIONS(4834),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACE] = ACTIONS(4836),
    [anon_sym_RBRACE] = ACTIONS(4836),
    [anon_sym_LBRACK] = ACTIONS(4836),
    [anon_sym_RBRACK] = ACTIONS(4836),
    [anon_sym_EQ] = ACTIONS(4834),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4834),
    [anon_sym_volatile] = ACTIONS(4834),
    [anon_sym_restrict] = ACTIONS(4834),
    [anon_sym___restrict__] = ACTIONS(4834),
    [anon_sym__Atomic] = ACTIONS(4834),
    [anon_sym__Noreturn] = ACTIONS(4834),
    [anon_sym_noreturn] = ACTIONS(4834),
    [anon_sym__Nonnull] = ACTIONS(4834),
    [anon_sym_mutable] = ACTIONS(4834),
    [anon_sym_constinit] = ACTIONS(4834),
    [anon_sym_consteval] = ACTIONS(4834),
    [anon_sym_alignas] = ACTIONS(4834),
    [anon_sym__Alignas] = ACTIONS(4834),
    [anon_sym_COLON] = ACTIONS(4834),
    [anon_sym_QMARK] = ACTIONS(4836),
    [anon_sym_STAR_EQ] = ACTIONS(4836),
    [anon_sym_SLASH_EQ] = ACTIONS(4836),
    [anon_sym_PERCENT_EQ] = ACTIONS(4836),
    [anon_sym_PLUS_EQ] = ACTIONS(4836),
    [anon_sym_DASH_EQ] = ACTIONS(4836),
    [anon_sym_LT_LT_EQ] = ACTIONS(4836),
    [anon_sym_GT_GT_EQ] = ACTIONS(4836),
    [anon_sym_AMP_EQ] = ACTIONS(4836),
    [anon_sym_CARET_EQ] = ACTIONS(4836),
    [anon_sym_PIPE_EQ] = ACTIONS(4836),
    [anon_sym_and_eq] = ACTIONS(4834),
    [anon_sym_or_eq] = ACTIONS(4834),
    [anon_sym_xor_eq] = ACTIONS(4834),
    [anon_sym_LT_EQ_GT] = ACTIONS(4836),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [anon_sym_bitor] = ACTIONS(4834),
    [anon_sym_xor] = ACTIONS(4834),
    [anon_sym_bitand] = ACTIONS(4834),
    [anon_sym_not_eq] = ACTIONS(4834),
    [anon_sym_DASH_DASH] = ACTIONS(4836),
    [anon_sym_PLUS_PLUS] = ACTIONS(4836),
    [anon_sym_DOT] = ACTIONS(4834),
    [anon_sym_DOT_STAR] = ACTIONS(4836),
    [anon_sym_DASH_GT] = ACTIONS(4836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4834),
    [anon_sym_decltype] = ACTIONS(4834),
    [anon_sym_final] = ACTIONS(4834),
    [anon_sym_override] = ACTIONS(4834),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_COMMA] = ACTIONS(4820),
    [anon_sym_RPAREN] = ACTIONS(4820),
    [aux_sym_preproc_if_token2] = ACTIONS(4820),
    [aux_sym_preproc_else_token1] = ACTIONS(4820),
    [aux_sym_preproc_elif_token1] = ACTIONS(4818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4820),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4818),
    [anon_sym_STAR] = ACTIONS(4818),
    [anon_sym_SLASH] = ACTIONS(4818),
    [anon_sym_PERCENT] = ACTIONS(4818),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_PIPE] = ACTIONS(4818),
    [anon_sym_CARET] = ACTIONS(4818),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym_EQ_EQ] = ACTIONS(4820),
    [anon_sym_BANG_EQ] = ACTIONS(4820),
    [anon_sym_GT] = ACTIONS(4818),
    [anon_sym_GT_EQ] = ACTIONS(4820),
    [anon_sym_LT_EQ] = ACTIONS(4818),
    [anon_sym_LT] = ACTIONS(4818),
    [anon_sym_LT_LT] = ACTIONS(4818),
    [anon_sym_GT_GT] = ACTIONS(4818),
    [anon_sym_SEMI] = ACTIONS(4820),
    [anon_sym___extension__] = ACTIONS(4818),
    [anon_sym___attribute__] = ACTIONS(4818),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym_LBRACE] = ACTIONS(4820),
    [anon_sym_RBRACE] = ACTIONS(4820),
    [anon_sym_LBRACK] = ACTIONS(4820),
    [anon_sym_RBRACK] = ACTIONS(4820),
    [anon_sym_EQ] = ACTIONS(4818),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4818),
    [anon_sym_volatile] = ACTIONS(4818),
    [anon_sym_restrict] = ACTIONS(4818),
    [anon_sym___restrict__] = ACTIONS(4818),
    [anon_sym__Atomic] = ACTIONS(4818),
    [anon_sym__Noreturn] = ACTIONS(4818),
    [anon_sym_noreturn] = ACTIONS(4818),
    [anon_sym__Nonnull] = ACTIONS(4818),
    [anon_sym_mutable] = ACTIONS(4818),
    [anon_sym_constinit] = ACTIONS(4818),
    [anon_sym_consteval] = ACTIONS(4818),
    [anon_sym_alignas] = ACTIONS(4818),
    [anon_sym__Alignas] = ACTIONS(4818),
    [anon_sym_COLON] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4820),
    [anon_sym_STAR_EQ] = ACTIONS(4820),
    [anon_sym_SLASH_EQ] = ACTIONS(4820),
    [anon_sym_PERCENT_EQ] = ACTIONS(4820),
    [anon_sym_PLUS_EQ] = ACTIONS(4820),
    [anon_sym_DASH_EQ] = ACTIONS(4820),
    [anon_sym_LT_LT_EQ] = ACTIONS(4820),
    [anon_sym_GT_GT_EQ] = ACTIONS(4820),
    [anon_sym_AMP_EQ] = ACTIONS(4820),
    [anon_sym_CARET_EQ] = ACTIONS(4820),
    [anon_sym_PIPE_EQ] = ACTIONS(4820),
    [anon_sym_and_eq] = ACTIONS(4818),
    [anon_sym_or_eq] = ACTIONS(4818),
    [anon_sym_xor_eq] = ACTIONS(4818),
    [anon_sym_LT_EQ_GT] = ACTIONS(4820),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [anon_sym_bitor] = ACTIONS(4818),
    [anon_sym_xor] = ACTIONS(4818),
    [anon_sym_bitand] = ACTIONS(4818),
    [anon_sym_not_eq] = ACTIONS(4818),
    [anon_sym_DASH_DASH] = ACTIONS(4820),
    [anon_sym_PLUS_PLUS] = ACTIONS(4820),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_DOT_STAR] = ACTIONS(4820),
    [anon_sym_DASH_GT] = ACTIONS(4820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4818),
    [anon_sym_decltype] = ACTIONS(4818),
    [anon_sym_final] = ACTIONS(4818),
    [anon_sym_override] = ACTIONS(4818),
  },
  [1565] = {
    [sym_identifier] = ACTIONS(4830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_COMMA] = ACTIONS(4832),
    [anon_sym_RPAREN] = ACTIONS(4832),
    [aux_sym_preproc_if_token2] = ACTIONS(4832),
    [aux_sym_preproc_else_token1] = ACTIONS(4832),
    [aux_sym_preproc_elif_token1] = ACTIONS(4830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4832),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_DASH] = ACTIONS(4830),
    [anon_sym_PLUS] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4830),
    [anon_sym_SLASH] = ACTIONS(4830),
    [anon_sym_PERCENT] = ACTIONS(4830),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_PIPE] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4830),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym_EQ_EQ] = ACTIONS(4832),
    [anon_sym_BANG_EQ] = ACTIONS(4832),
    [anon_sym_GT] = ACTIONS(4830),
    [anon_sym_GT_EQ] = ACTIONS(4832),
    [anon_sym_LT_EQ] = ACTIONS(4830),
    [anon_sym_LT] = ACTIONS(4830),
    [anon_sym_LT_LT] = ACTIONS(4830),
    [anon_sym_GT_GT] = ACTIONS(4830),
    [anon_sym_SEMI] = ACTIONS(4832),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym___attribute__] = ACTIONS(4830),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym_LBRACE] = ACTIONS(4832),
    [anon_sym_RBRACE] = ACTIONS(4832),
    [anon_sym_LBRACK] = ACTIONS(4832),
    [anon_sym_RBRACK] = ACTIONS(4832),
    [anon_sym_EQ] = ACTIONS(4830),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym__Nonnull] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [anon_sym_alignas] = ACTIONS(4830),
    [anon_sym__Alignas] = ACTIONS(4830),
    [anon_sym_COLON] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4832),
    [anon_sym_STAR_EQ] = ACTIONS(4832),
    [anon_sym_SLASH_EQ] = ACTIONS(4832),
    [anon_sym_PERCENT_EQ] = ACTIONS(4832),
    [anon_sym_PLUS_EQ] = ACTIONS(4832),
    [anon_sym_DASH_EQ] = ACTIONS(4832),
    [anon_sym_LT_LT_EQ] = ACTIONS(4832),
    [anon_sym_GT_GT_EQ] = ACTIONS(4832),
    [anon_sym_AMP_EQ] = ACTIONS(4832),
    [anon_sym_CARET_EQ] = ACTIONS(4832),
    [anon_sym_PIPE_EQ] = ACTIONS(4832),
    [anon_sym_and_eq] = ACTIONS(4830),
    [anon_sym_or_eq] = ACTIONS(4830),
    [anon_sym_xor_eq] = ACTIONS(4830),
    [anon_sym_LT_EQ_GT] = ACTIONS(4832),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [anon_sym_bitor] = ACTIONS(4830),
    [anon_sym_xor] = ACTIONS(4830),
    [anon_sym_bitand] = ACTIONS(4830),
    [anon_sym_not_eq] = ACTIONS(4830),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_DOT_STAR] = ACTIONS(4832),
    [anon_sym_DASH_GT] = ACTIONS(4832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4830),
    [anon_sym_decltype] = ACTIONS(4830),
    [anon_sym_final] = ACTIONS(4830),
    [anon_sym_override] = ACTIONS(4830),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4859),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4857),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4857),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4857),
    [anon_sym_GT_GT] = ACTIONS(4857),
    [anon_sym_SEMI] = ACTIONS(4859),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4859),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_RBRACK] = ACTIONS(4857),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1567] = {
    [sym_identifier] = ACTIONS(4981),
    [anon_sym_COMMA] = ACTIONS(4983),
    [anon_sym_RPAREN] = ACTIONS(4983),
    [anon_sym_LPAREN2] = ACTIONS(4983),
    [anon_sym_TILDE] = ACTIONS(4983),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_PIPE_PIPE] = ACTIONS(4983),
    [anon_sym_AMP_AMP] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4981),
    [anon_sym_SEMI] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4981),
    [anon_sym_virtual] = ACTIONS(4981),
    [anon_sym_extern] = ACTIONS(4981),
    [anon_sym___attribute__] = ACTIONS(4981),
    [anon_sym___attribute] = ACTIONS(4981),
    [anon_sym_COLON_COLON] = ACTIONS(4983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4983),
    [anon_sym___declspec] = ACTIONS(4981),
    [anon_sym___based] = ACTIONS(4981),
    [anon_sym___cdecl] = ACTIONS(4981),
    [anon_sym___clrcall] = ACTIONS(4981),
    [anon_sym___stdcall] = ACTIONS(4981),
    [anon_sym___fastcall] = ACTIONS(4981),
    [anon_sym___thiscall] = ACTIONS(4981),
    [anon_sym___vectorcall] = ACTIONS(4981),
    [anon_sym_LBRACE] = ACTIONS(4983),
    [anon_sym_signed] = ACTIONS(4981),
    [anon_sym_unsigned] = ACTIONS(4981),
    [anon_sym_long] = ACTIONS(4981),
    [anon_sym_short] = ACTIONS(4981),
    [anon_sym_LBRACK] = ACTIONS(4981),
    [anon_sym_static] = ACTIONS(4981),
    [anon_sym_EQ] = ACTIONS(4983),
    [anon_sym_register] = ACTIONS(4981),
    [anon_sym_inline] = ACTIONS(4981),
    [anon_sym___inline] = ACTIONS(4981),
    [anon_sym___inline__] = ACTIONS(4981),
    [anon_sym___forceinline] = ACTIONS(4981),
    [anon_sym_thread_local] = ACTIONS(4981),
    [anon_sym___thread] = ACTIONS(4981),
    [anon_sym_const] = ACTIONS(4981),
    [anon_sym_constexpr] = ACTIONS(4981),
    [anon_sym_volatile] = ACTIONS(4981),
    [anon_sym_restrict] = ACTIONS(4981),
    [anon_sym___restrict__] = ACTIONS(4981),
    [anon_sym__Atomic] = ACTIONS(4981),
    [anon_sym__Noreturn] = ACTIONS(4981),
    [anon_sym_noreturn] = ACTIONS(4981),
    [anon_sym__Nonnull] = ACTIONS(4981),
    [anon_sym_mutable] = ACTIONS(4981),
    [anon_sym_constinit] = ACTIONS(4981),
    [anon_sym_consteval] = ACTIONS(4981),
    [anon_sym_alignas] = ACTIONS(4981),
    [anon_sym__Alignas] = ACTIONS(4981),
    [sym_primitive_type] = ACTIONS(4981),
    [anon_sym_enum] = ACTIONS(4981),
    [anon_sym_class] = ACTIONS(4981),
    [anon_sym_struct] = ACTIONS(4981),
    [anon_sym_union] = ACTIONS(4981),
    [anon_sym_or] = ACTIONS(4981),
    [anon_sym_and] = ACTIONS(4981),
    [anon_sym_asm] = ACTIONS(4981),
    [anon_sym___asm__] = ACTIONS(4981),
    [anon_sym___asm] = ACTIONS(4981),
    [anon_sym_DASH_GT] = ACTIONS(4983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4981),
    [anon_sym_decltype] = ACTIONS(4981),
    [anon_sym_final] = ACTIONS(4981),
    [anon_sym_override] = ACTIONS(4981),
    [anon_sym_explicit] = ACTIONS(4981),
    [anon_sym_typename] = ACTIONS(4981),
    [anon_sym_template] = ACTIONS(4981),
    [anon_sym_GT2] = ACTIONS(4983),
    [anon_sym_operator] = ACTIONS(4981),
    [anon_sym_try] = ACTIONS(4981),
    [anon_sym_friend] = ACTIONS(4981),
    [anon_sym_noexcept] = ACTIONS(4981),
    [anon_sym_throw] = ACTIONS(4981),
    [anon_sym_using] = ACTIONS(4981),
    [anon_sym_concept] = ACTIONS(4981),
    [anon_sym_requires] = ACTIONS(4981),
  },
  [1568] = {
    [sym_identifier] = ACTIONS(4985),
    [anon_sym_COMMA] = ACTIONS(4987),
    [anon_sym_RPAREN] = ACTIONS(4987),
    [anon_sym_LPAREN2] = ACTIONS(4987),
    [anon_sym_TILDE] = ACTIONS(4987),
    [anon_sym_STAR] = ACTIONS(4987),
    [anon_sym_PIPE_PIPE] = ACTIONS(4987),
    [anon_sym_AMP_AMP] = ACTIONS(4987),
    [anon_sym_AMP] = ACTIONS(4985),
    [anon_sym_SEMI] = ACTIONS(4987),
    [anon_sym___extension__] = ACTIONS(4985),
    [anon_sym_virtual] = ACTIONS(4985),
    [anon_sym_extern] = ACTIONS(4985),
    [anon_sym___attribute__] = ACTIONS(4985),
    [anon_sym___attribute] = ACTIONS(4985),
    [anon_sym_COLON_COLON] = ACTIONS(4987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4987),
    [anon_sym___declspec] = ACTIONS(4985),
    [anon_sym___based] = ACTIONS(4985),
    [anon_sym___cdecl] = ACTIONS(4985),
    [anon_sym___clrcall] = ACTIONS(4985),
    [anon_sym___stdcall] = ACTIONS(4985),
    [anon_sym___fastcall] = ACTIONS(4985),
    [anon_sym___thiscall] = ACTIONS(4985),
    [anon_sym___vectorcall] = ACTIONS(4985),
    [anon_sym_LBRACE] = ACTIONS(4987),
    [anon_sym_signed] = ACTIONS(4985),
    [anon_sym_unsigned] = ACTIONS(4985),
    [anon_sym_long] = ACTIONS(4985),
    [anon_sym_short] = ACTIONS(4985),
    [anon_sym_LBRACK] = ACTIONS(4985),
    [anon_sym_static] = ACTIONS(4985),
    [anon_sym_EQ] = ACTIONS(4987),
    [anon_sym_register] = ACTIONS(4985),
    [anon_sym_inline] = ACTIONS(4985),
    [anon_sym___inline] = ACTIONS(4985),
    [anon_sym___inline__] = ACTIONS(4985),
    [anon_sym___forceinline] = ACTIONS(4985),
    [anon_sym_thread_local] = ACTIONS(4985),
    [anon_sym___thread] = ACTIONS(4985),
    [anon_sym_const] = ACTIONS(4985),
    [anon_sym_constexpr] = ACTIONS(4985),
    [anon_sym_volatile] = ACTIONS(4985),
    [anon_sym_restrict] = ACTIONS(4985),
    [anon_sym___restrict__] = ACTIONS(4985),
    [anon_sym__Atomic] = ACTIONS(4985),
    [anon_sym__Noreturn] = ACTIONS(4985),
    [anon_sym_noreturn] = ACTIONS(4985),
    [anon_sym__Nonnull] = ACTIONS(4985),
    [anon_sym_mutable] = ACTIONS(4985),
    [anon_sym_constinit] = ACTIONS(4985),
    [anon_sym_consteval] = ACTIONS(4985),
    [anon_sym_alignas] = ACTIONS(4985),
    [anon_sym__Alignas] = ACTIONS(4985),
    [sym_primitive_type] = ACTIONS(4985),
    [anon_sym_enum] = ACTIONS(4985),
    [anon_sym_class] = ACTIONS(4985),
    [anon_sym_struct] = ACTIONS(4985),
    [anon_sym_union] = ACTIONS(4985),
    [anon_sym_or] = ACTIONS(4985),
    [anon_sym_and] = ACTIONS(4985),
    [anon_sym_asm] = ACTIONS(4985),
    [anon_sym___asm__] = ACTIONS(4985),
    [anon_sym___asm] = ACTIONS(4985),
    [anon_sym_DASH_GT] = ACTIONS(4987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4985),
    [anon_sym_decltype] = ACTIONS(4985),
    [anon_sym_final] = ACTIONS(4985),
    [anon_sym_override] = ACTIONS(4985),
    [anon_sym_explicit] = ACTIONS(4985),
    [anon_sym_typename] = ACTIONS(4985),
    [anon_sym_template] = ACTIONS(4985),
    [anon_sym_GT2] = ACTIONS(4987),
    [anon_sym_operator] = ACTIONS(4985),
    [anon_sym_try] = ACTIONS(4985),
    [anon_sym_friend] = ACTIONS(4985),
    [anon_sym_noexcept] = ACTIONS(4985),
    [anon_sym_throw] = ACTIONS(4985),
    [anon_sym_using] = ACTIONS(4985),
    [anon_sym_concept] = ACTIONS(4985),
    [anon_sym_requires] = ACTIONS(4985),
  },
  [1569] = {
    [sym_identifier] = ACTIONS(4989),
    [anon_sym_COMMA] = ACTIONS(4991),
    [anon_sym_RPAREN] = ACTIONS(4991),
    [anon_sym_LPAREN2] = ACTIONS(4991),
    [anon_sym_TILDE] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_PIPE_PIPE] = ACTIONS(4991),
    [anon_sym_AMP_AMP] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4989),
    [anon_sym_SEMI] = ACTIONS(4991),
    [anon_sym___extension__] = ACTIONS(4989),
    [anon_sym_virtual] = ACTIONS(4989),
    [anon_sym_extern] = ACTIONS(4989),
    [anon_sym___attribute__] = ACTIONS(4989),
    [anon_sym___attribute] = ACTIONS(4989),
    [anon_sym_COLON_COLON] = ACTIONS(4991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4991),
    [anon_sym___declspec] = ACTIONS(4989),
    [anon_sym___based] = ACTIONS(4989),
    [anon_sym___cdecl] = ACTIONS(4989),
    [anon_sym___clrcall] = ACTIONS(4989),
    [anon_sym___stdcall] = ACTIONS(4989),
    [anon_sym___fastcall] = ACTIONS(4989),
    [anon_sym___thiscall] = ACTIONS(4989),
    [anon_sym___vectorcall] = ACTIONS(4989),
    [anon_sym_LBRACE] = ACTIONS(4991),
    [anon_sym_signed] = ACTIONS(4989),
    [anon_sym_unsigned] = ACTIONS(4989),
    [anon_sym_long] = ACTIONS(4989),
    [anon_sym_short] = ACTIONS(4989),
    [anon_sym_LBRACK] = ACTIONS(4989),
    [anon_sym_static] = ACTIONS(4989),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_register] = ACTIONS(4989),
    [anon_sym_inline] = ACTIONS(4989),
    [anon_sym___inline] = ACTIONS(4989),
    [anon_sym___inline__] = ACTIONS(4989),
    [anon_sym___forceinline] = ACTIONS(4989),
    [anon_sym_thread_local] = ACTIONS(4989),
    [anon_sym___thread] = ACTIONS(4989),
    [anon_sym_const] = ACTIONS(4989),
    [anon_sym_constexpr] = ACTIONS(4989),
    [anon_sym_volatile] = ACTIONS(4989),
    [anon_sym_restrict] = ACTIONS(4989),
    [anon_sym___restrict__] = ACTIONS(4989),
    [anon_sym__Atomic] = ACTIONS(4989),
    [anon_sym__Noreturn] = ACTIONS(4989),
    [anon_sym_noreturn] = ACTIONS(4989),
    [anon_sym__Nonnull] = ACTIONS(4989),
    [anon_sym_mutable] = ACTIONS(4989),
    [anon_sym_constinit] = ACTIONS(4989),
    [anon_sym_consteval] = ACTIONS(4989),
    [anon_sym_alignas] = ACTIONS(4989),
    [anon_sym__Alignas] = ACTIONS(4989),
    [sym_primitive_type] = ACTIONS(4989),
    [anon_sym_enum] = ACTIONS(4989),
    [anon_sym_class] = ACTIONS(4989),
    [anon_sym_struct] = ACTIONS(4989),
    [anon_sym_union] = ACTIONS(4989),
    [anon_sym_or] = ACTIONS(4989),
    [anon_sym_and] = ACTIONS(4989),
    [anon_sym_asm] = ACTIONS(4989),
    [anon_sym___asm__] = ACTIONS(4989),
    [anon_sym___asm] = ACTIONS(4989),
    [anon_sym_DASH_GT] = ACTIONS(4991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4989),
    [anon_sym_decltype] = ACTIONS(4989),
    [anon_sym_final] = ACTIONS(4989),
    [anon_sym_override] = ACTIONS(4989),
    [anon_sym_explicit] = ACTIONS(4989),
    [anon_sym_typename] = ACTIONS(4989),
    [anon_sym_template] = ACTIONS(4989),
    [anon_sym_GT2] = ACTIONS(4991),
    [anon_sym_operator] = ACTIONS(4989),
    [anon_sym_try] = ACTIONS(4989),
    [anon_sym_friend] = ACTIONS(4989),
    [anon_sym_noexcept] = ACTIONS(4989),
    [anon_sym_throw] = ACTIONS(4989),
    [anon_sym_using] = ACTIONS(4989),
    [anon_sym_concept] = ACTIONS(4989),
    [anon_sym_requires] = ACTIONS(4989),
  },
  [1570] = {
    [sym_type_qualifier] = STATE(1576),
    [sym_alignas_qualifier] = STATE(1615),
    [aux_sym__type_definition_type_repeat1] = STATE(1576),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1608),
    [sym_identifier] = ACTIONS(4993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [anon_sym_RPAREN] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4962),
    [anon_sym_STAR] = ACTIONS(4962),
    [anon_sym_SLASH] = ACTIONS(4962),
    [anon_sym_PERCENT] = ACTIONS(4962),
    [anon_sym_PIPE_PIPE] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_PIPE] = ACTIONS(4962),
    [anon_sym_CARET] = ACTIONS(4962),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_EQ_EQ] = ACTIONS(4960),
    [anon_sym_BANG_EQ] = ACTIONS(4960),
    [anon_sym_GT] = ACTIONS(4962),
    [anon_sym_GT_EQ] = ACTIONS(4960),
    [anon_sym_LT_EQ] = ACTIONS(4962),
    [anon_sym_LT] = ACTIONS(4962),
    [anon_sym_LT_LT] = ACTIONS(4962),
    [anon_sym_GT_GT] = ACTIONS(4962),
    [anon_sym___extension__] = ACTIONS(4995),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(4997),
    [anon_sym_unsigned] = ACTIONS(4997),
    [anon_sym_long] = ACTIONS(4997),
    [anon_sym_short] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym_EQ] = ACTIONS(4962),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4995),
    [anon_sym_volatile] = ACTIONS(4995),
    [anon_sym_restrict] = ACTIONS(4995),
    [anon_sym___restrict__] = ACTIONS(4995),
    [anon_sym__Atomic] = ACTIONS(4995),
    [anon_sym__Noreturn] = ACTIONS(4995),
    [anon_sym_noreturn] = ACTIONS(4995),
    [anon_sym__Nonnull] = ACTIONS(4995),
    [anon_sym_mutable] = ACTIONS(4995),
    [anon_sym_constinit] = ACTIONS(4995),
    [anon_sym_consteval] = ACTIONS(4995),
    [anon_sym_alignas] = ACTIONS(4999),
    [anon_sym__Alignas] = ACTIONS(4999),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_QMARK] = ACTIONS(4960),
    [anon_sym_STAR_EQ] = ACTIONS(4960),
    [anon_sym_SLASH_EQ] = ACTIONS(4960),
    [anon_sym_PERCENT_EQ] = ACTIONS(4960),
    [anon_sym_PLUS_EQ] = ACTIONS(4960),
    [anon_sym_DASH_EQ] = ACTIONS(4960),
    [anon_sym_LT_LT_EQ] = ACTIONS(4960),
    [anon_sym_GT_GT_EQ] = ACTIONS(4960),
    [anon_sym_AMP_EQ] = ACTIONS(4960),
    [anon_sym_CARET_EQ] = ACTIONS(4960),
    [anon_sym_PIPE_EQ] = ACTIONS(4960),
    [anon_sym_and_eq] = ACTIONS(4962),
    [anon_sym_or_eq] = ACTIONS(4962),
    [anon_sym_xor_eq] = ACTIONS(4962),
    [anon_sym_LT_EQ_GT] = ACTIONS(4960),
    [anon_sym_or] = ACTIONS(4962),
    [anon_sym_and] = ACTIONS(4962),
    [anon_sym_bitor] = ACTIONS(4962),
    [anon_sym_xor] = ACTIONS(4962),
    [anon_sym_bitand] = ACTIONS(4962),
    [anon_sym_not_eq] = ACTIONS(4962),
    [anon_sym_DASH_DASH] = ACTIONS(4960),
    [anon_sym_PLUS_PLUS] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_DOT_STAR] = ACTIONS(4960),
    [anon_sym_DASH_GT] = ACTIONS(4962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4960),
  },
  [1571] = {
    [sym_identifier] = ACTIONS(5003),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_TILDE] = ACTIONS(5005),
    [anon_sym_STAR] = ACTIONS(5005),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_SEMI] = ACTIONS(5005),
    [anon_sym___extension__] = ACTIONS(5003),
    [anon_sym_virtual] = ACTIONS(5003),
    [anon_sym_extern] = ACTIONS(5003),
    [anon_sym___attribute__] = ACTIONS(5003),
    [anon_sym___attribute] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5005),
    [anon_sym___declspec] = ACTIONS(5003),
    [anon_sym___based] = ACTIONS(5003),
    [anon_sym___cdecl] = ACTIONS(5003),
    [anon_sym___clrcall] = ACTIONS(5003),
    [anon_sym___stdcall] = ACTIONS(5003),
    [anon_sym___fastcall] = ACTIONS(5003),
    [anon_sym___thiscall] = ACTIONS(5003),
    [anon_sym___vectorcall] = ACTIONS(5003),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_signed] = ACTIONS(5003),
    [anon_sym_unsigned] = ACTIONS(5003),
    [anon_sym_long] = ACTIONS(5003),
    [anon_sym_short] = ACTIONS(5003),
    [anon_sym_LBRACK] = ACTIONS(5003),
    [anon_sym_static] = ACTIONS(5003),
    [anon_sym_EQ] = ACTIONS(5005),
    [anon_sym_register] = ACTIONS(5003),
    [anon_sym_inline] = ACTIONS(5003),
    [anon_sym___inline] = ACTIONS(5003),
    [anon_sym___inline__] = ACTIONS(5003),
    [anon_sym___forceinline] = ACTIONS(5003),
    [anon_sym_thread_local] = ACTIONS(5003),
    [anon_sym___thread] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5003),
    [anon_sym_volatile] = ACTIONS(5003),
    [anon_sym_restrict] = ACTIONS(5003),
    [anon_sym___restrict__] = ACTIONS(5003),
    [anon_sym__Atomic] = ACTIONS(5003),
    [anon_sym__Noreturn] = ACTIONS(5003),
    [anon_sym_noreturn] = ACTIONS(5003),
    [anon_sym__Nonnull] = ACTIONS(5003),
    [anon_sym_mutable] = ACTIONS(5003),
    [anon_sym_constinit] = ACTIONS(5003),
    [anon_sym_consteval] = ACTIONS(5003),
    [anon_sym_alignas] = ACTIONS(5003),
    [anon_sym__Alignas] = ACTIONS(5003),
    [sym_primitive_type] = ACTIONS(5003),
    [anon_sym_enum] = ACTIONS(5003),
    [anon_sym_class] = ACTIONS(5003),
    [anon_sym_struct] = ACTIONS(5003),
    [anon_sym_union] = ACTIONS(5003),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_asm] = ACTIONS(5003),
    [anon_sym___asm__] = ACTIONS(5003),
    [anon_sym___asm] = ACTIONS(5003),
    [anon_sym_DASH_GT] = ACTIONS(5005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5003),
    [anon_sym_decltype] = ACTIONS(5003),
    [anon_sym_final] = ACTIONS(5003),
    [anon_sym_override] = ACTIONS(5003),
    [anon_sym_explicit] = ACTIONS(5003),
    [anon_sym_typename] = ACTIONS(5003),
    [anon_sym_template] = ACTIONS(5003),
    [anon_sym_GT2] = ACTIONS(5005),
    [anon_sym_operator] = ACTIONS(5003),
    [anon_sym_try] = ACTIONS(5003),
    [anon_sym_friend] = ACTIONS(5003),
    [anon_sym_noexcept] = ACTIONS(5003),
    [anon_sym_throw] = ACTIONS(5003),
    [anon_sym_using] = ACTIONS(5003),
    [anon_sym_concept] = ACTIONS(5003),
    [anon_sym_requires] = ACTIONS(5003),
  },
  [1572] = {
    [sym_identifier] = ACTIONS(5007),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_RPAREN] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_TILDE] = ACTIONS(5009),
    [anon_sym_STAR] = ACTIONS(5009),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_SEMI] = ACTIONS(5009),
    [anon_sym___extension__] = ACTIONS(5007),
    [anon_sym_virtual] = ACTIONS(5007),
    [anon_sym_extern] = ACTIONS(5007),
    [anon_sym___attribute__] = ACTIONS(5007),
    [anon_sym___attribute] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5009),
    [anon_sym___declspec] = ACTIONS(5007),
    [anon_sym___based] = ACTIONS(5007),
    [anon_sym___cdecl] = ACTIONS(5007),
    [anon_sym___clrcall] = ACTIONS(5007),
    [anon_sym___stdcall] = ACTIONS(5007),
    [anon_sym___fastcall] = ACTIONS(5007),
    [anon_sym___thiscall] = ACTIONS(5007),
    [anon_sym___vectorcall] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_signed] = ACTIONS(5007),
    [anon_sym_unsigned] = ACTIONS(5007),
    [anon_sym_long] = ACTIONS(5007),
    [anon_sym_short] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [anon_sym_static] = ACTIONS(5007),
    [anon_sym_EQ] = ACTIONS(5009),
    [anon_sym_register] = ACTIONS(5007),
    [anon_sym_inline] = ACTIONS(5007),
    [anon_sym___inline] = ACTIONS(5007),
    [anon_sym___inline__] = ACTIONS(5007),
    [anon_sym___forceinline] = ACTIONS(5007),
    [anon_sym_thread_local] = ACTIONS(5007),
    [anon_sym___thread] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_constexpr] = ACTIONS(5007),
    [anon_sym_volatile] = ACTIONS(5007),
    [anon_sym_restrict] = ACTIONS(5007),
    [anon_sym___restrict__] = ACTIONS(5007),
    [anon_sym__Atomic] = ACTIONS(5007),
    [anon_sym__Noreturn] = ACTIONS(5007),
    [anon_sym_noreturn] = ACTIONS(5007),
    [anon_sym__Nonnull] = ACTIONS(5007),
    [anon_sym_mutable] = ACTIONS(5007),
    [anon_sym_constinit] = ACTIONS(5007),
    [anon_sym_consteval] = ACTIONS(5007),
    [anon_sym_alignas] = ACTIONS(5007),
    [anon_sym__Alignas] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(5007),
    [anon_sym_enum] = ACTIONS(5007),
    [anon_sym_class] = ACTIONS(5007),
    [anon_sym_struct] = ACTIONS(5007),
    [anon_sym_union] = ACTIONS(5007),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_asm] = ACTIONS(5007),
    [anon_sym___asm__] = ACTIONS(5007),
    [anon_sym___asm] = ACTIONS(5007),
    [anon_sym_DASH_GT] = ACTIONS(5009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5007),
    [anon_sym_decltype] = ACTIONS(5007),
    [anon_sym_final] = ACTIONS(5007),
    [anon_sym_override] = ACTIONS(5007),
    [anon_sym_explicit] = ACTIONS(5007),
    [anon_sym_typename] = ACTIONS(5007),
    [anon_sym_template] = ACTIONS(5007),
    [anon_sym_GT2] = ACTIONS(5009),
    [anon_sym_operator] = ACTIONS(5007),
    [anon_sym_try] = ACTIONS(5007),
    [anon_sym_friend] = ACTIONS(5007),
    [anon_sym_noexcept] = ACTIONS(5007),
    [anon_sym_throw] = ACTIONS(5007),
    [anon_sym_using] = ACTIONS(5007),
    [anon_sym_concept] = ACTIONS(5007),
    [anon_sym_requires] = ACTIONS(5007),
  },
  [1573] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [anon_sym_RPAREN] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_STAR] = ACTIONS(5014),
    [anon_sym_SLASH] = ACTIONS(5014),
    [anon_sym_PERCENT] = ACTIONS(5014),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5014),
    [anon_sym_CARET] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(5014),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5014),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5014),
    [anon_sym_LT] = ACTIONS(5014),
    [anon_sym_LT_LT] = ACTIONS(5014),
    [anon_sym_GT_GT] = ACTIONS(5014),
    [anon_sym_SEMI] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(5014),
    [anon_sym___attribute] = ACTIONS(5014),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_RBRACE] = ACTIONS(5011),
    [anon_sym_signed] = ACTIONS(4933),
    [anon_sym_unsigned] = ACTIONS(4933),
    [anon_sym_long] = ACTIONS(4933),
    [anon_sym_short] = ACTIONS(4933),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_RBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5014),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_STAR_EQ] = ACTIONS(5011),
    [anon_sym_SLASH_EQ] = ACTIONS(5011),
    [anon_sym_PERCENT_EQ] = ACTIONS(5011),
    [anon_sym_PLUS_EQ] = ACTIONS(5011),
    [anon_sym_DASH_EQ] = ACTIONS(5011),
    [anon_sym_LT_LT_EQ] = ACTIONS(5011),
    [anon_sym_GT_GT_EQ] = ACTIONS(5011),
    [anon_sym_AMP_EQ] = ACTIONS(5011),
    [anon_sym_CARET_EQ] = ACTIONS(5011),
    [anon_sym_PIPE_EQ] = ACTIONS(5011),
    [anon_sym_and_eq] = ACTIONS(5014),
    [anon_sym_or_eq] = ACTIONS(5014),
    [anon_sym_xor_eq] = ACTIONS(5014),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5014),
    [anon_sym_and] = ACTIONS(5014),
    [anon_sym_bitor] = ACTIONS(5014),
    [anon_sym_xor] = ACTIONS(5014),
    [anon_sym_bitand] = ACTIONS(5014),
    [anon_sym_not_eq] = ACTIONS(5014),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5014),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5014),
    [anon_sym_decltype] = ACTIONS(5014),
  },
  [1574] = {
    [sym_identifier] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5019),
    [anon_sym_RPAREN] = ACTIONS(5019),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_TILDE] = ACTIONS(5019),
    [anon_sym_STAR] = ACTIONS(5019),
    [anon_sym_PIPE_PIPE] = ACTIONS(5019),
    [anon_sym_AMP_AMP] = ACTIONS(5019),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_SEMI] = ACTIONS(5019),
    [anon_sym___extension__] = ACTIONS(5017),
    [anon_sym_virtual] = ACTIONS(5017),
    [anon_sym_extern] = ACTIONS(5017),
    [anon_sym___attribute__] = ACTIONS(5017),
    [anon_sym___attribute] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(5019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5019),
    [anon_sym___declspec] = ACTIONS(5017),
    [anon_sym___based] = ACTIONS(5017),
    [anon_sym___cdecl] = ACTIONS(5017),
    [anon_sym___clrcall] = ACTIONS(5017),
    [anon_sym___stdcall] = ACTIONS(5017),
    [anon_sym___fastcall] = ACTIONS(5017),
    [anon_sym___thiscall] = ACTIONS(5017),
    [anon_sym___vectorcall] = ACTIONS(5017),
    [anon_sym_LBRACE] = ACTIONS(5019),
    [anon_sym_signed] = ACTIONS(5017),
    [anon_sym_unsigned] = ACTIONS(5017),
    [anon_sym_long] = ACTIONS(5017),
    [anon_sym_short] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5017),
    [anon_sym_static] = ACTIONS(5017),
    [anon_sym_EQ] = ACTIONS(5019),
    [anon_sym_register] = ACTIONS(5017),
    [anon_sym_inline] = ACTIONS(5017),
    [anon_sym___inline] = ACTIONS(5017),
    [anon_sym___inline__] = ACTIONS(5017),
    [anon_sym___forceinline] = ACTIONS(5017),
    [anon_sym_thread_local] = ACTIONS(5017),
    [anon_sym___thread] = ACTIONS(5017),
    [anon_sym_const] = ACTIONS(5017),
    [anon_sym_constexpr] = ACTIONS(5017),
    [anon_sym_volatile] = ACTIONS(5017),
    [anon_sym_restrict] = ACTIONS(5017),
    [anon_sym___restrict__] = ACTIONS(5017),
    [anon_sym__Atomic] = ACTIONS(5017),
    [anon_sym__Noreturn] = ACTIONS(5017),
    [anon_sym_noreturn] = ACTIONS(5017),
    [anon_sym__Nonnull] = ACTIONS(5017),
    [anon_sym_mutable] = ACTIONS(5017),
    [anon_sym_constinit] = ACTIONS(5017),
    [anon_sym_consteval] = ACTIONS(5017),
    [anon_sym_alignas] = ACTIONS(5017),
    [anon_sym__Alignas] = ACTIONS(5017),
    [sym_primitive_type] = ACTIONS(5017),
    [anon_sym_enum] = ACTIONS(5017),
    [anon_sym_class] = ACTIONS(5017),
    [anon_sym_struct] = ACTIONS(5017),
    [anon_sym_union] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5017),
    [anon_sym_and] = ACTIONS(5017),
    [anon_sym_asm] = ACTIONS(5017),
    [anon_sym___asm__] = ACTIONS(5017),
    [anon_sym___asm] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5017),
    [anon_sym_decltype] = ACTIONS(5017),
    [anon_sym_final] = ACTIONS(5017),
    [anon_sym_override] = ACTIONS(5017),
    [anon_sym_explicit] = ACTIONS(5017),
    [anon_sym_typename] = ACTIONS(5017),
    [anon_sym_template] = ACTIONS(5017),
    [anon_sym_GT2] = ACTIONS(5019),
    [anon_sym_operator] = ACTIONS(5017),
    [anon_sym_try] = ACTIONS(5017),
    [anon_sym_friend] = ACTIONS(5017),
    [anon_sym_noexcept] = ACTIONS(5017),
    [anon_sym_throw] = ACTIONS(5017),
    [anon_sym_using] = ACTIONS(5017),
    [anon_sym_concept] = ACTIONS(5017),
    [anon_sym_requires] = ACTIONS(5017),
  },
  [1575] = {
    [sym_identifier] = ACTIONS(5021),
    [anon_sym_COMMA] = ACTIONS(5023),
    [anon_sym_RPAREN] = ACTIONS(5023),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_TILDE] = ACTIONS(5023),
    [anon_sym_STAR] = ACTIONS(5023),
    [anon_sym_PIPE_PIPE] = ACTIONS(5023),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_AMP] = ACTIONS(5021),
    [anon_sym_SEMI] = ACTIONS(5023),
    [anon_sym___extension__] = ACTIONS(5021),
    [anon_sym_virtual] = ACTIONS(5021),
    [anon_sym_extern] = ACTIONS(5021),
    [anon_sym___attribute__] = ACTIONS(5021),
    [anon_sym___attribute] = ACTIONS(5021),
    [anon_sym_COLON_COLON] = ACTIONS(5023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5023),
    [anon_sym___declspec] = ACTIONS(5021),
    [anon_sym___based] = ACTIONS(5021),
    [anon_sym___cdecl] = ACTIONS(5021),
    [anon_sym___clrcall] = ACTIONS(5021),
    [anon_sym___stdcall] = ACTIONS(5021),
    [anon_sym___fastcall] = ACTIONS(5021),
    [anon_sym___thiscall] = ACTIONS(5021),
    [anon_sym___vectorcall] = ACTIONS(5021),
    [anon_sym_LBRACE] = ACTIONS(5023),
    [anon_sym_signed] = ACTIONS(5021),
    [anon_sym_unsigned] = ACTIONS(5021),
    [anon_sym_long] = ACTIONS(5021),
    [anon_sym_short] = ACTIONS(5021),
    [anon_sym_LBRACK] = ACTIONS(5021),
    [anon_sym_static] = ACTIONS(5021),
    [anon_sym_EQ] = ACTIONS(5023),
    [anon_sym_register] = ACTIONS(5021),
    [anon_sym_inline] = ACTIONS(5021),
    [anon_sym___inline] = ACTIONS(5021),
    [anon_sym___inline__] = ACTIONS(5021),
    [anon_sym___forceinline] = ACTIONS(5021),
    [anon_sym_thread_local] = ACTIONS(5021),
    [anon_sym___thread] = ACTIONS(5021),
    [anon_sym_const] = ACTIONS(5021),
    [anon_sym_constexpr] = ACTIONS(5021),
    [anon_sym_volatile] = ACTIONS(5021),
    [anon_sym_restrict] = ACTIONS(5021),
    [anon_sym___restrict__] = ACTIONS(5021),
    [anon_sym__Atomic] = ACTIONS(5021),
    [anon_sym__Noreturn] = ACTIONS(5021),
    [anon_sym_noreturn] = ACTIONS(5021),
    [anon_sym__Nonnull] = ACTIONS(5021),
    [anon_sym_mutable] = ACTIONS(5021),
    [anon_sym_constinit] = ACTIONS(5021),
    [anon_sym_consteval] = ACTIONS(5021),
    [anon_sym_alignas] = ACTIONS(5021),
    [anon_sym__Alignas] = ACTIONS(5021),
    [sym_primitive_type] = ACTIONS(5021),
    [anon_sym_enum] = ACTIONS(5021),
    [anon_sym_class] = ACTIONS(5021),
    [anon_sym_struct] = ACTIONS(5021),
    [anon_sym_union] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5021),
    [anon_sym_and] = ACTIONS(5021),
    [anon_sym_asm] = ACTIONS(5021),
    [anon_sym___asm__] = ACTIONS(5021),
    [anon_sym___asm] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5021),
    [anon_sym_decltype] = ACTIONS(5021),
    [anon_sym_final] = ACTIONS(5021),
    [anon_sym_override] = ACTIONS(5021),
    [anon_sym_explicit] = ACTIONS(5021),
    [anon_sym_typename] = ACTIONS(5021),
    [anon_sym_template] = ACTIONS(5021),
    [anon_sym_GT2] = ACTIONS(5023),
    [anon_sym_operator] = ACTIONS(5021),
    [anon_sym_try] = ACTIONS(5021),
    [anon_sym_friend] = ACTIONS(5021),
    [anon_sym_noexcept] = ACTIONS(5021),
    [anon_sym_throw] = ACTIONS(5021),
    [anon_sym_using] = ACTIONS(5021),
    [anon_sym_concept] = ACTIONS(5021),
    [anon_sym_requires] = ACTIONS(5021),
  },
  [1576] = {
    [sym_type_qualifier] = STATE(1586),
    [sym_alignas_qualifier] = STATE(1615),
    [aux_sym__type_definition_type_repeat1] = STATE(1586),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2522),
    [sym_identifier] = ACTIONS(5025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_RPAREN] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym___extension__] = ACTIONS(4995),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(5027),
    [anon_sym_unsigned] = ACTIONS(5027),
    [anon_sym_long] = ACTIONS(5027),
    [anon_sym_short] = ACTIONS(5027),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4995),
    [anon_sym_volatile] = ACTIONS(4995),
    [anon_sym_restrict] = ACTIONS(4995),
    [anon_sym___restrict__] = ACTIONS(4995),
    [anon_sym__Atomic] = ACTIONS(4995),
    [anon_sym__Noreturn] = ACTIONS(4995),
    [anon_sym_noreturn] = ACTIONS(4995),
    [anon_sym__Nonnull] = ACTIONS(4995),
    [anon_sym_mutable] = ACTIONS(4995),
    [anon_sym_constinit] = ACTIONS(4995),
    [anon_sym_consteval] = ACTIONS(4995),
    [anon_sym_alignas] = ACTIONS(4999),
    [anon_sym__Alignas] = ACTIONS(4999),
    [sym_primitive_type] = ACTIONS(5029),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_STAR_EQ] = ACTIONS(4945),
    [anon_sym_SLASH_EQ] = ACTIONS(4945),
    [anon_sym_PERCENT_EQ] = ACTIONS(4945),
    [anon_sym_PLUS_EQ] = ACTIONS(4945),
    [anon_sym_DASH_EQ] = ACTIONS(4945),
    [anon_sym_LT_LT_EQ] = ACTIONS(4945),
    [anon_sym_GT_GT_EQ] = ACTIONS(4945),
    [anon_sym_AMP_EQ] = ACTIONS(4945),
    [anon_sym_CARET_EQ] = ACTIONS(4945),
    [anon_sym_PIPE_EQ] = ACTIONS(4945),
    [anon_sym_and_eq] = ACTIONS(4947),
    [anon_sym_or_eq] = ACTIONS(4947),
    [anon_sym_xor_eq] = ACTIONS(4947),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4945),
  },
  [1577] = {
    [sym_identifier] = ACTIONS(5031),
    [anon_sym_COMMA] = ACTIONS(5033),
    [anon_sym_RPAREN] = ACTIONS(5033),
    [anon_sym_LPAREN2] = ACTIONS(5033),
    [anon_sym_TILDE] = ACTIONS(5033),
    [anon_sym_STAR] = ACTIONS(5033),
    [anon_sym_PIPE_PIPE] = ACTIONS(5033),
    [anon_sym_AMP_AMP] = ACTIONS(5033),
    [anon_sym_AMP] = ACTIONS(5031),
    [anon_sym_SEMI] = ACTIONS(5033),
    [anon_sym___extension__] = ACTIONS(5031),
    [anon_sym_virtual] = ACTIONS(5031),
    [anon_sym_extern] = ACTIONS(5031),
    [anon_sym___attribute__] = ACTIONS(5031),
    [anon_sym___attribute] = ACTIONS(5031),
    [anon_sym_COLON_COLON] = ACTIONS(5033),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5033),
    [anon_sym___declspec] = ACTIONS(5031),
    [anon_sym___based] = ACTIONS(5031),
    [anon_sym___cdecl] = ACTIONS(5031),
    [anon_sym___clrcall] = ACTIONS(5031),
    [anon_sym___stdcall] = ACTIONS(5031),
    [anon_sym___fastcall] = ACTIONS(5031),
    [anon_sym___thiscall] = ACTIONS(5031),
    [anon_sym___vectorcall] = ACTIONS(5031),
    [anon_sym_LBRACE] = ACTIONS(5033),
    [anon_sym_signed] = ACTIONS(5031),
    [anon_sym_unsigned] = ACTIONS(5031),
    [anon_sym_long] = ACTIONS(5031),
    [anon_sym_short] = ACTIONS(5031),
    [anon_sym_LBRACK] = ACTIONS(5031),
    [anon_sym_static] = ACTIONS(5031),
    [anon_sym_EQ] = ACTIONS(5033),
    [anon_sym_register] = ACTIONS(5031),
    [anon_sym_inline] = ACTIONS(5031),
    [anon_sym___inline] = ACTIONS(5031),
    [anon_sym___inline__] = ACTIONS(5031),
    [anon_sym___forceinline] = ACTIONS(5031),
    [anon_sym_thread_local] = ACTIONS(5031),
    [anon_sym___thread] = ACTIONS(5031),
    [anon_sym_const] = ACTIONS(5031),
    [anon_sym_constexpr] = ACTIONS(5031),
    [anon_sym_volatile] = ACTIONS(5031),
    [anon_sym_restrict] = ACTIONS(5031),
    [anon_sym___restrict__] = ACTIONS(5031),
    [anon_sym__Atomic] = ACTIONS(5031),
    [anon_sym__Noreturn] = ACTIONS(5031),
    [anon_sym_noreturn] = ACTIONS(5031),
    [anon_sym__Nonnull] = ACTIONS(5031),
    [anon_sym_mutable] = ACTIONS(5031),
    [anon_sym_constinit] = ACTIONS(5031),
    [anon_sym_consteval] = ACTIONS(5031),
    [anon_sym_alignas] = ACTIONS(5031),
    [anon_sym__Alignas] = ACTIONS(5031),
    [sym_primitive_type] = ACTIONS(5031),
    [anon_sym_enum] = ACTIONS(5031),
    [anon_sym_class] = ACTIONS(5031),
    [anon_sym_struct] = ACTIONS(5031),
    [anon_sym_union] = ACTIONS(5031),
    [anon_sym_or] = ACTIONS(5031),
    [anon_sym_and] = ACTIONS(5031),
    [anon_sym_asm] = ACTIONS(5031),
    [anon_sym___asm__] = ACTIONS(5031),
    [anon_sym___asm] = ACTIONS(5031),
    [anon_sym_DASH_GT] = ACTIONS(5033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5031),
    [anon_sym_decltype] = ACTIONS(5031),
    [anon_sym_final] = ACTIONS(5031),
    [anon_sym_override] = ACTIONS(5031),
    [anon_sym_explicit] = ACTIONS(5031),
    [anon_sym_typename] = ACTIONS(5031),
    [anon_sym_template] = ACTIONS(5031),
    [anon_sym_GT2] = ACTIONS(5033),
    [anon_sym_operator] = ACTIONS(5031),
    [anon_sym_try] = ACTIONS(5031),
    [anon_sym_friend] = ACTIONS(5031),
    [anon_sym_noexcept] = ACTIONS(5031),
    [anon_sym_throw] = ACTIONS(5031),
    [anon_sym_using] = ACTIONS(5031),
    [anon_sym_concept] = ACTIONS(5031),
    [anon_sym_requires] = ACTIONS(5031),
  },
  [1578] = {
    [sym_identifier] = ACTIONS(5035),
    [anon_sym_COMMA] = ACTIONS(5037),
    [anon_sym_RPAREN] = ACTIONS(5037),
    [anon_sym_LPAREN2] = ACTIONS(5037),
    [anon_sym_TILDE] = ACTIONS(5037),
    [anon_sym_STAR] = ACTIONS(5037),
    [anon_sym_PIPE_PIPE] = ACTIONS(5037),
    [anon_sym_AMP_AMP] = ACTIONS(5037),
    [anon_sym_AMP] = ACTIONS(5035),
    [anon_sym_SEMI] = ACTIONS(5037),
    [anon_sym___extension__] = ACTIONS(5035),
    [anon_sym_virtual] = ACTIONS(5035),
    [anon_sym_extern] = ACTIONS(5035),
    [anon_sym___attribute__] = ACTIONS(5035),
    [anon_sym___attribute] = ACTIONS(5035),
    [anon_sym_COLON_COLON] = ACTIONS(5037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5037),
    [anon_sym___declspec] = ACTIONS(5035),
    [anon_sym___based] = ACTIONS(5035),
    [anon_sym___cdecl] = ACTIONS(5035),
    [anon_sym___clrcall] = ACTIONS(5035),
    [anon_sym___stdcall] = ACTIONS(5035),
    [anon_sym___fastcall] = ACTIONS(5035),
    [anon_sym___thiscall] = ACTIONS(5035),
    [anon_sym___vectorcall] = ACTIONS(5035),
    [anon_sym_LBRACE] = ACTIONS(5037),
    [anon_sym_signed] = ACTIONS(5035),
    [anon_sym_unsigned] = ACTIONS(5035),
    [anon_sym_long] = ACTIONS(5035),
    [anon_sym_short] = ACTIONS(5035),
    [anon_sym_LBRACK] = ACTIONS(5035),
    [anon_sym_static] = ACTIONS(5035),
    [anon_sym_EQ] = ACTIONS(5037),
    [anon_sym_register] = ACTIONS(5035),
    [anon_sym_inline] = ACTIONS(5035),
    [anon_sym___inline] = ACTIONS(5035),
    [anon_sym___inline__] = ACTIONS(5035),
    [anon_sym___forceinline] = ACTIONS(5035),
    [anon_sym_thread_local] = ACTIONS(5035),
    [anon_sym___thread] = ACTIONS(5035),
    [anon_sym_const] = ACTIONS(5035),
    [anon_sym_constexpr] = ACTIONS(5035),
    [anon_sym_volatile] = ACTIONS(5035),
    [anon_sym_restrict] = ACTIONS(5035),
    [anon_sym___restrict__] = ACTIONS(5035),
    [anon_sym__Atomic] = ACTIONS(5035),
    [anon_sym__Noreturn] = ACTIONS(5035),
    [anon_sym_noreturn] = ACTIONS(5035),
    [anon_sym__Nonnull] = ACTIONS(5035),
    [anon_sym_mutable] = ACTIONS(5035),
    [anon_sym_constinit] = ACTIONS(5035),
    [anon_sym_consteval] = ACTIONS(5035),
    [anon_sym_alignas] = ACTIONS(5035),
    [anon_sym__Alignas] = ACTIONS(5035),
    [sym_primitive_type] = ACTIONS(5035),
    [anon_sym_enum] = ACTIONS(5035),
    [anon_sym_class] = ACTIONS(5035),
    [anon_sym_struct] = ACTIONS(5035),
    [anon_sym_union] = ACTIONS(5035),
    [anon_sym_or] = ACTIONS(5035),
    [anon_sym_and] = ACTIONS(5035),
    [anon_sym_asm] = ACTIONS(5035),
    [anon_sym___asm__] = ACTIONS(5035),
    [anon_sym___asm] = ACTIONS(5035),
    [anon_sym_DASH_GT] = ACTIONS(5037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5035),
    [anon_sym_decltype] = ACTIONS(5035),
    [anon_sym_final] = ACTIONS(5035),
    [anon_sym_override] = ACTIONS(5035),
    [anon_sym_explicit] = ACTIONS(5035),
    [anon_sym_typename] = ACTIONS(5035),
    [anon_sym_template] = ACTIONS(5035),
    [anon_sym_GT2] = ACTIONS(5037),
    [anon_sym_operator] = ACTIONS(5035),
    [anon_sym_try] = ACTIONS(5035),
    [anon_sym_friend] = ACTIONS(5035),
    [anon_sym_noexcept] = ACTIONS(5035),
    [anon_sym_throw] = ACTIONS(5035),
    [anon_sym_using] = ACTIONS(5035),
    [anon_sym_concept] = ACTIONS(5035),
    [anon_sym_requires] = ACTIONS(5035),
  },
  [1579] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [sym_identifier] = ACTIONS(5014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [aux_sym_preproc_if_token2] = ACTIONS(5011),
    [aux_sym_preproc_else_token1] = ACTIONS(5011),
    [aux_sym_preproc_elif_token1] = ACTIONS(5014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_STAR] = ACTIONS(5014),
    [anon_sym_SLASH] = ACTIONS(5014),
    [anon_sym_PERCENT] = ACTIONS(5014),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5014),
    [anon_sym_CARET] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(5014),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5014),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5014),
    [anon_sym_LT] = ACTIONS(5014),
    [anon_sym_LT_LT] = ACTIONS(5014),
    [anon_sym_GT_GT] = ACTIONS(5014),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(5014),
    [anon_sym___attribute] = ACTIONS(5014),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_signed] = ACTIONS(4933),
    [anon_sym_unsigned] = ACTIONS(4933),
    [anon_sym_long] = ACTIONS(4933),
    [anon_sym_short] = ACTIONS(4933),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5014),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_STAR_EQ] = ACTIONS(5011),
    [anon_sym_SLASH_EQ] = ACTIONS(5011),
    [anon_sym_PERCENT_EQ] = ACTIONS(5011),
    [anon_sym_PLUS_EQ] = ACTIONS(5011),
    [anon_sym_DASH_EQ] = ACTIONS(5011),
    [anon_sym_LT_LT_EQ] = ACTIONS(5011),
    [anon_sym_GT_GT_EQ] = ACTIONS(5011),
    [anon_sym_AMP_EQ] = ACTIONS(5011),
    [anon_sym_CARET_EQ] = ACTIONS(5011),
    [anon_sym_PIPE_EQ] = ACTIONS(5011),
    [anon_sym_and_eq] = ACTIONS(5014),
    [anon_sym_or_eq] = ACTIONS(5014),
    [anon_sym_xor_eq] = ACTIONS(5014),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5014),
    [anon_sym_and] = ACTIONS(5014),
    [anon_sym_bitor] = ACTIONS(5014),
    [anon_sym_xor] = ACTIONS(5014),
    [anon_sym_bitand] = ACTIONS(5014),
    [anon_sym_not_eq] = ACTIONS(5014),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5014),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5014),
    [anon_sym_decltype] = ACTIONS(5014),
  },
  [1580] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_COMMA] = ACTIONS(5041),
    [anon_sym_RPAREN] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5041),
    [anon_sym_STAR] = ACTIONS(5041),
    [anon_sym_PIPE_PIPE] = ACTIONS(5041),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_AMP] = ACTIONS(5039),
    [anon_sym_SEMI] = ACTIONS(5041),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym___attribute] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5041),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5041),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym___cdecl] = ACTIONS(5039),
    [anon_sym___clrcall] = ACTIONS(5039),
    [anon_sym___stdcall] = ACTIONS(5039),
    [anon_sym___fastcall] = ACTIONS(5039),
    [anon_sym___thiscall] = ACTIONS(5039),
    [anon_sym___vectorcall] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5041),
    [anon_sym_signed] = ACTIONS(5039),
    [anon_sym_unsigned] = ACTIONS(5039),
    [anon_sym_long] = ACTIONS(5039),
    [anon_sym_short] = ACTIONS(5039),
    [anon_sym_LBRACK] = ACTIONS(5039),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_EQ] = ACTIONS(5041),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym__Nonnull] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym__Alignas] = ACTIONS(5039),
    [sym_primitive_type] = ACTIONS(5039),
    [anon_sym_enum] = ACTIONS(5039),
    [anon_sym_class] = ACTIONS(5039),
    [anon_sym_struct] = ACTIONS(5039),
    [anon_sym_union] = ACTIONS(5039),
    [anon_sym_or] = ACTIONS(5039),
    [anon_sym_and] = ACTIONS(5039),
    [anon_sym_asm] = ACTIONS(5039),
    [anon_sym___asm__] = ACTIONS(5039),
    [anon_sym___asm] = ACTIONS(5039),
    [anon_sym_DASH_GT] = ACTIONS(5041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_final] = ACTIONS(5039),
    [anon_sym_override] = ACTIONS(5039),
    [anon_sym_explicit] = ACTIONS(5039),
    [anon_sym_typename] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_GT2] = ACTIONS(5041),
    [anon_sym_operator] = ACTIONS(5039),
    [anon_sym_try] = ACTIONS(5039),
    [anon_sym_friend] = ACTIONS(5039),
    [anon_sym_noexcept] = ACTIONS(5039),
    [anon_sym_throw] = ACTIONS(5039),
    [anon_sym_using] = ACTIONS(5039),
    [anon_sym_concept] = ACTIONS(5039),
    [anon_sym_requires] = ACTIONS(5039),
  },
  [1581] = {
    [sym_identifier] = ACTIONS(5043),
    [anon_sym_COMMA] = ACTIONS(5045),
    [anon_sym_RPAREN] = ACTIONS(5045),
    [anon_sym_LPAREN2] = ACTIONS(5045),
    [anon_sym_TILDE] = ACTIONS(5045),
    [anon_sym_STAR] = ACTIONS(5045),
    [anon_sym_PIPE_PIPE] = ACTIONS(5045),
    [anon_sym_AMP_AMP] = ACTIONS(5045),
    [anon_sym_AMP] = ACTIONS(5043),
    [anon_sym_SEMI] = ACTIONS(5045),
    [anon_sym___extension__] = ACTIONS(5043),
    [anon_sym_virtual] = ACTIONS(5043),
    [anon_sym_extern] = ACTIONS(5043),
    [anon_sym___attribute__] = ACTIONS(5043),
    [anon_sym___attribute] = ACTIONS(5043),
    [anon_sym_COLON_COLON] = ACTIONS(5045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5045),
    [anon_sym___declspec] = ACTIONS(5043),
    [anon_sym___based] = ACTIONS(5043),
    [anon_sym___cdecl] = ACTIONS(5043),
    [anon_sym___clrcall] = ACTIONS(5043),
    [anon_sym___stdcall] = ACTIONS(5043),
    [anon_sym___fastcall] = ACTIONS(5043),
    [anon_sym___thiscall] = ACTIONS(5043),
    [anon_sym___vectorcall] = ACTIONS(5043),
    [anon_sym_LBRACE] = ACTIONS(5045),
    [anon_sym_signed] = ACTIONS(5043),
    [anon_sym_unsigned] = ACTIONS(5043),
    [anon_sym_long] = ACTIONS(5043),
    [anon_sym_short] = ACTIONS(5043),
    [anon_sym_LBRACK] = ACTIONS(5043),
    [anon_sym_static] = ACTIONS(5043),
    [anon_sym_EQ] = ACTIONS(5045),
    [anon_sym_register] = ACTIONS(5043),
    [anon_sym_inline] = ACTIONS(5043),
    [anon_sym___inline] = ACTIONS(5043),
    [anon_sym___inline__] = ACTIONS(5043),
    [anon_sym___forceinline] = ACTIONS(5043),
    [anon_sym_thread_local] = ACTIONS(5043),
    [anon_sym___thread] = ACTIONS(5043),
    [anon_sym_const] = ACTIONS(5043),
    [anon_sym_constexpr] = ACTIONS(5043),
    [anon_sym_volatile] = ACTIONS(5043),
    [anon_sym_restrict] = ACTIONS(5043),
    [anon_sym___restrict__] = ACTIONS(5043),
    [anon_sym__Atomic] = ACTIONS(5043),
    [anon_sym__Noreturn] = ACTIONS(5043),
    [anon_sym_noreturn] = ACTIONS(5043),
    [anon_sym__Nonnull] = ACTIONS(5043),
    [anon_sym_mutable] = ACTIONS(5043),
    [anon_sym_constinit] = ACTIONS(5043),
    [anon_sym_consteval] = ACTIONS(5043),
    [anon_sym_alignas] = ACTIONS(5043),
    [anon_sym__Alignas] = ACTIONS(5043),
    [sym_primitive_type] = ACTIONS(5043),
    [anon_sym_enum] = ACTIONS(5043),
    [anon_sym_class] = ACTIONS(5043),
    [anon_sym_struct] = ACTIONS(5043),
    [anon_sym_union] = ACTIONS(5043),
    [anon_sym_or] = ACTIONS(5043),
    [anon_sym_and] = ACTIONS(5043),
    [anon_sym_asm] = ACTIONS(5043),
    [anon_sym___asm__] = ACTIONS(5043),
    [anon_sym___asm] = ACTIONS(5043),
    [anon_sym_DASH_GT] = ACTIONS(5045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5043),
    [anon_sym_decltype] = ACTIONS(5043),
    [anon_sym_final] = ACTIONS(5043),
    [anon_sym_override] = ACTIONS(5043),
    [anon_sym_explicit] = ACTIONS(5043),
    [anon_sym_typename] = ACTIONS(5043),
    [anon_sym_template] = ACTIONS(5043),
    [anon_sym_GT2] = ACTIONS(5045),
    [anon_sym_operator] = ACTIONS(5043),
    [anon_sym_try] = ACTIONS(5043),
    [anon_sym_friend] = ACTIONS(5043),
    [anon_sym_noexcept] = ACTIONS(5043),
    [anon_sym_throw] = ACTIONS(5043),
    [anon_sym_using] = ACTIONS(5043),
    [anon_sym_concept] = ACTIONS(5043),
    [anon_sym_requires] = ACTIONS(5043),
  },
  [1582] = {
    [sym_identifier] = ACTIONS(5043),
    [anon_sym_COMMA] = ACTIONS(5045),
    [anon_sym_RPAREN] = ACTIONS(5045),
    [anon_sym_LPAREN2] = ACTIONS(5045),
    [anon_sym_TILDE] = ACTIONS(5045),
    [anon_sym_STAR] = ACTIONS(5045),
    [anon_sym_PIPE_PIPE] = ACTIONS(5045),
    [anon_sym_AMP_AMP] = ACTIONS(5045),
    [anon_sym_AMP] = ACTIONS(5043),
    [anon_sym_SEMI] = ACTIONS(5045),
    [anon_sym___extension__] = ACTIONS(5043),
    [anon_sym_virtual] = ACTIONS(5043),
    [anon_sym_extern] = ACTIONS(5043),
    [anon_sym___attribute__] = ACTIONS(5043),
    [anon_sym___attribute] = ACTIONS(5043),
    [anon_sym_COLON_COLON] = ACTIONS(5045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5045),
    [anon_sym___declspec] = ACTIONS(5043),
    [anon_sym___based] = ACTIONS(5043),
    [anon_sym___cdecl] = ACTIONS(5043),
    [anon_sym___clrcall] = ACTIONS(5043),
    [anon_sym___stdcall] = ACTIONS(5043),
    [anon_sym___fastcall] = ACTIONS(5043),
    [anon_sym___thiscall] = ACTIONS(5043),
    [anon_sym___vectorcall] = ACTIONS(5043),
    [anon_sym_LBRACE] = ACTIONS(5045),
    [anon_sym_signed] = ACTIONS(5043),
    [anon_sym_unsigned] = ACTIONS(5043),
    [anon_sym_long] = ACTIONS(5043),
    [anon_sym_short] = ACTIONS(5043),
    [anon_sym_LBRACK] = ACTIONS(5043),
    [anon_sym_static] = ACTIONS(5043),
    [anon_sym_EQ] = ACTIONS(5045),
    [anon_sym_register] = ACTIONS(5043),
    [anon_sym_inline] = ACTIONS(5043),
    [anon_sym___inline] = ACTIONS(5043),
    [anon_sym___inline__] = ACTIONS(5043),
    [anon_sym___forceinline] = ACTIONS(5043),
    [anon_sym_thread_local] = ACTIONS(5043),
    [anon_sym___thread] = ACTIONS(5043),
    [anon_sym_const] = ACTIONS(5043),
    [anon_sym_constexpr] = ACTIONS(5043),
    [anon_sym_volatile] = ACTIONS(5043),
    [anon_sym_restrict] = ACTIONS(5043),
    [anon_sym___restrict__] = ACTIONS(5043),
    [anon_sym__Atomic] = ACTIONS(5043),
    [anon_sym__Noreturn] = ACTIONS(5043),
    [anon_sym_noreturn] = ACTIONS(5043),
    [anon_sym__Nonnull] = ACTIONS(5043),
    [anon_sym_mutable] = ACTIONS(5043),
    [anon_sym_constinit] = ACTIONS(5043),
    [anon_sym_consteval] = ACTIONS(5043),
    [anon_sym_alignas] = ACTIONS(5043),
    [anon_sym__Alignas] = ACTIONS(5043),
    [sym_primitive_type] = ACTIONS(5043),
    [anon_sym_enum] = ACTIONS(5043),
    [anon_sym_class] = ACTIONS(5043),
    [anon_sym_struct] = ACTIONS(5043),
    [anon_sym_union] = ACTIONS(5043),
    [anon_sym_or] = ACTIONS(5043),
    [anon_sym_and] = ACTIONS(5043),
    [anon_sym_asm] = ACTIONS(5043),
    [anon_sym___asm__] = ACTIONS(5043),
    [anon_sym___asm] = ACTIONS(5043),
    [anon_sym_DASH_GT] = ACTIONS(5045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5043),
    [anon_sym_decltype] = ACTIONS(5043),
    [anon_sym_final] = ACTIONS(5043),
    [anon_sym_override] = ACTIONS(5043),
    [anon_sym_explicit] = ACTIONS(5043),
    [anon_sym_typename] = ACTIONS(5043),
    [anon_sym_template] = ACTIONS(5043),
    [anon_sym_GT2] = ACTIONS(5045),
    [anon_sym_operator] = ACTIONS(5043),
    [anon_sym_try] = ACTIONS(5043),
    [anon_sym_friend] = ACTIONS(5043),
    [anon_sym_noexcept] = ACTIONS(5043),
    [anon_sym_throw] = ACTIONS(5043),
    [anon_sym_using] = ACTIONS(5043),
    [anon_sym_concept] = ACTIONS(5043),
    [anon_sym_requires] = ACTIONS(5043),
  },
  [1583] = {
    [sym_identifier] = ACTIONS(5043),
    [anon_sym_COMMA] = ACTIONS(5045),
    [anon_sym_RPAREN] = ACTIONS(5045),
    [anon_sym_LPAREN2] = ACTIONS(5045),
    [anon_sym_TILDE] = ACTIONS(5045),
    [anon_sym_STAR] = ACTIONS(5045),
    [anon_sym_PIPE_PIPE] = ACTIONS(5045),
    [anon_sym_AMP_AMP] = ACTIONS(5045),
    [anon_sym_AMP] = ACTIONS(5043),
    [anon_sym_SEMI] = ACTIONS(5045),
    [anon_sym___extension__] = ACTIONS(5043),
    [anon_sym_virtual] = ACTIONS(5043),
    [anon_sym_extern] = ACTIONS(5043),
    [anon_sym___attribute__] = ACTIONS(5043),
    [anon_sym___attribute] = ACTIONS(5043),
    [anon_sym_COLON_COLON] = ACTIONS(5045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5045),
    [anon_sym___declspec] = ACTIONS(5043),
    [anon_sym___based] = ACTIONS(5043),
    [anon_sym___cdecl] = ACTIONS(5043),
    [anon_sym___clrcall] = ACTIONS(5043),
    [anon_sym___stdcall] = ACTIONS(5043),
    [anon_sym___fastcall] = ACTIONS(5043),
    [anon_sym___thiscall] = ACTIONS(5043),
    [anon_sym___vectorcall] = ACTIONS(5043),
    [anon_sym_LBRACE] = ACTIONS(5045),
    [anon_sym_signed] = ACTIONS(5043),
    [anon_sym_unsigned] = ACTIONS(5043),
    [anon_sym_long] = ACTIONS(5043),
    [anon_sym_short] = ACTIONS(5043),
    [anon_sym_LBRACK] = ACTIONS(5043),
    [anon_sym_static] = ACTIONS(5043),
    [anon_sym_EQ] = ACTIONS(5045),
    [anon_sym_register] = ACTIONS(5043),
    [anon_sym_inline] = ACTIONS(5043),
    [anon_sym___inline] = ACTIONS(5043),
    [anon_sym___inline__] = ACTIONS(5043),
    [anon_sym___forceinline] = ACTIONS(5043),
    [anon_sym_thread_local] = ACTIONS(5043),
    [anon_sym___thread] = ACTIONS(5043),
    [anon_sym_const] = ACTIONS(5043),
    [anon_sym_constexpr] = ACTIONS(5043),
    [anon_sym_volatile] = ACTIONS(5043),
    [anon_sym_restrict] = ACTIONS(5043),
    [anon_sym___restrict__] = ACTIONS(5043),
    [anon_sym__Atomic] = ACTIONS(5043),
    [anon_sym__Noreturn] = ACTIONS(5043),
    [anon_sym_noreturn] = ACTIONS(5043),
    [anon_sym__Nonnull] = ACTIONS(5043),
    [anon_sym_mutable] = ACTIONS(5043),
    [anon_sym_constinit] = ACTIONS(5043),
    [anon_sym_consteval] = ACTIONS(5043),
    [anon_sym_alignas] = ACTIONS(5043),
    [anon_sym__Alignas] = ACTIONS(5043),
    [sym_primitive_type] = ACTIONS(5043),
    [anon_sym_enum] = ACTIONS(5043),
    [anon_sym_class] = ACTIONS(5043),
    [anon_sym_struct] = ACTIONS(5043),
    [anon_sym_union] = ACTIONS(5043),
    [anon_sym_or] = ACTIONS(5043),
    [anon_sym_and] = ACTIONS(5043),
    [anon_sym_asm] = ACTIONS(5043),
    [anon_sym___asm__] = ACTIONS(5043),
    [anon_sym___asm] = ACTIONS(5043),
    [anon_sym_DASH_GT] = ACTIONS(5045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5043),
    [anon_sym_decltype] = ACTIONS(5043),
    [anon_sym_final] = ACTIONS(5043),
    [anon_sym_override] = ACTIONS(5043),
    [anon_sym_explicit] = ACTIONS(5043),
    [anon_sym_typename] = ACTIONS(5043),
    [anon_sym_template] = ACTIONS(5043),
    [anon_sym_GT2] = ACTIONS(5045),
    [anon_sym_operator] = ACTIONS(5043),
    [anon_sym_try] = ACTIONS(5043),
    [anon_sym_friend] = ACTIONS(5043),
    [anon_sym_noexcept] = ACTIONS(5043),
    [anon_sym_throw] = ACTIONS(5043),
    [anon_sym_using] = ACTIONS(5043),
    [anon_sym_concept] = ACTIONS(5043),
    [anon_sym_requires] = ACTIONS(5043),
  },
  [1584] = {
    [sym_identifier] = ACTIONS(5047),
    [anon_sym_COMMA] = ACTIONS(5049),
    [anon_sym_RPAREN] = ACTIONS(5049),
    [anon_sym_LPAREN2] = ACTIONS(5049),
    [anon_sym_TILDE] = ACTIONS(5049),
    [anon_sym_STAR] = ACTIONS(5049),
    [anon_sym_PIPE_PIPE] = ACTIONS(5049),
    [anon_sym_AMP_AMP] = ACTIONS(5049),
    [anon_sym_AMP] = ACTIONS(5047),
    [anon_sym_SEMI] = ACTIONS(5049),
    [anon_sym___extension__] = ACTIONS(5047),
    [anon_sym_virtual] = ACTIONS(5047),
    [anon_sym_extern] = ACTIONS(5047),
    [anon_sym___attribute__] = ACTIONS(5047),
    [anon_sym___attribute] = ACTIONS(5047),
    [anon_sym_COLON_COLON] = ACTIONS(5049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5049),
    [anon_sym___declspec] = ACTIONS(5047),
    [anon_sym___based] = ACTIONS(5047),
    [anon_sym___cdecl] = ACTIONS(5047),
    [anon_sym___clrcall] = ACTIONS(5047),
    [anon_sym___stdcall] = ACTIONS(5047),
    [anon_sym___fastcall] = ACTIONS(5047),
    [anon_sym___thiscall] = ACTIONS(5047),
    [anon_sym___vectorcall] = ACTIONS(5047),
    [anon_sym_LBRACE] = ACTIONS(5049),
    [anon_sym_signed] = ACTIONS(5047),
    [anon_sym_unsigned] = ACTIONS(5047),
    [anon_sym_long] = ACTIONS(5047),
    [anon_sym_short] = ACTIONS(5047),
    [anon_sym_LBRACK] = ACTIONS(5047),
    [anon_sym_static] = ACTIONS(5047),
    [anon_sym_EQ] = ACTIONS(5049),
    [anon_sym_register] = ACTIONS(5047),
    [anon_sym_inline] = ACTIONS(5047),
    [anon_sym___inline] = ACTIONS(5047),
    [anon_sym___inline__] = ACTIONS(5047),
    [anon_sym___forceinline] = ACTIONS(5047),
    [anon_sym_thread_local] = ACTIONS(5047),
    [anon_sym___thread] = ACTIONS(5047),
    [anon_sym_const] = ACTIONS(5047),
    [anon_sym_constexpr] = ACTIONS(5047),
    [anon_sym_volatile] = ACTIONS(5047),
    [anon_sym_restrict] = ACTIONS(5047),
    [anon_sym___restrict__] = ACTIONS(5047),
    [anon_sym__Atomic] = ACTIONS(5047),
    [anon_sym__Noreturn] = ACTIONS(5047),
    [anon_sym_noreturn] = ACTIONS(5047),
    [anon_sym__Nonnull] = ACTIONS(5047),
    [anon_sym_mutable] = ACTIONS(5047),
    [anon_sym_constinit] = ACTIONS(5047),
    [anon_sym_consteval] = ACTIONS(5047),
    [anon_sym_alignas] = ACTIONS(5047),
    [anon_sym__Alignas] = ACTIONS(5047),
    [sym_primitive_type] = ACTIONS(5047),
    [anon_sym_enum] = ACTIONS(5047),
    [anon_sym_class] = ACTIONS(5047),
    [anon_sym_struct] = ACTIONS(5047),
    [anon_sym_union] = ACTIONS(5047),
    [anon_sym_or] = ACTIONS(5047),
    [anon_sym_and] = ACTIONS(5047),
    [anon_sym_asm] = ACTIONS(5047),
    [anon_sym___asm__] = ACTIONS(5047),
    [anon_sym___asm] = ACTIONS(5047),
    [anon_sym_DASH_GT] = ACTIONS(5049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5047),
    [anon_sym_decltype] = ACTIONS(5047),
    [anon_sym_final] = ACTIONS(5047),
    [anon_sym_override] = ACTIONS(5047),
    [anon_sym_explicit] = ACTIONS(5047),
    [anon_sym_typename] = ACTIONS(5047),
    [anon_sym_template] = ACTIONS(5047),
    [anon_sym_GT2] = ACTIONS(5049),
    [anon_sym_operator] = ACTIONS(5047),
    [anon_sym_try] = ACTIONS(5047),
    [anon_sym_friend] = ACTIONS(5047),
    [anon_sym_noexcept] = ACTIONS(5047),
    [anon_sym_throw] = ACTIONS(5047),
    [anon_sym_using] = ACTIONS(5047),
    [anon_sym_concept] = ACTIONS(5047),
    [anon_sym_requires] = ACTIONS(5047),
  },
  [1585] = {
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5053),
    [anon_sym_RPAREN] = ACTIONS(5053),
    [anon_sym_LPAREN2] = ACTIONS(5053),
    [anon_sym_TILDE] = ACTIONS(5053),
    [anon_sym_STAR] = ACTIONS(5053),
    [anon_sym_PIPE_PIPE] = ACTIONS(5053),
    [anon_sym_AMP_AMP] = ACTIONS(5053),
    [anon_sym_AMP] = ACTIONS(5051),
    [anon_sym_SEMI] = ACTIONS(5053),
    [anon_sym___extension__] = ACTIONS(5051),
    [anon_sym_virtual] = ACTIONS(5051),
    [anon_sym_extern] = ACTIONS(5051),
    [anon_sym___attribute__] = ACTIONS(5051),
    [anon_sym___attribute] = ACTIONS(5051),
    [anon_sym_COLON_COLON] = ACTIONS(5053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5053),
    [anon_sym___declspec] = ACTIONS(5051),
    [anon_sym___based] = ACTIONS(5051),
    [anon_sym___cdecl] = ACTIONS(5051),
    [anon_sym___clrcall] = ACTIONS(5051),
    [anon_sym___stdcall] = ACTIONS(5051),
    [anon_sym___fastcall] = ACTIONS(5051),
    [anon_sym___thiscall] = ACTIONS(5051),
    [anon_sym___vectorcall] = ACTIONS(5051),
    [anon_sym_LBRACE] = ACTIONS(5053),
    [anon_sym_signed] = ACTIONS(5051),
    [anon_sym_unsigned] = ACTIONS(5051),
    [anon_sym_long] = ACTIONS(5051),
    [anon_sym_short] = ACTIONS(5051),
    [anon_sym_LBRACK] = ACTIONS(5051),
    [anon_sym_static] = ACTIONS(5051),
    [anon_sym_EQ] = ACTIONS(5053),
    [anon_sym_register] = ACTIONS(5051),
    [anon_sym_inline] = ACTIONS(5051),
    [anon_sym___inline] = ACTIONS(5051),
    [anon_sym___inline__] = ACTIONS(5051),
    [anon_sym___forceinline] = ACTIONS(5051),
    [anon_sym_thread_local] = ACTIONS(5051),
    [anon_sym___thread] = ACTIONS(5051),
    [anon_sym_const] = ACTIONS(5051),
    [anon_sym_constexpr] = ACTIONS(5051),
    [anon_sym_volatile] = ACTIONS(5051),
    [anon_sym_restrict] = ACTIONS(5051),
    [anon_sym___restrict__] = ACTIONS(5051),
    [anon_sym__Atomic] = ACTIONS(5051),
    [anon_sym__Noreturn] = ACTIONS(5051),
    [anon_sym_noreturn] = ACTIONS(5051),
    [anon_sym__Nonnull] = ACTIONS(5051),
    [anon_sym_mutable] = ACTIONS(5051),
    [anon_sym_constinit] = ACTIONS(5051),
    [anon_sym_consteval] = ACTIONS(5051),
    [anon_sym_alignas] = ACTIONS(5051),
    [anon_sym__Alignas] = ACTIONS(5051),
    [sym_primitive_type] = ACTIONS(5051),
    [anon_sym_enum] = ACTIONS(5051),
    [anon_sym_class] = ACTIONS(5051),
    [anon_sym_struct] = ACTIONS(5051),
    [anon_sym_union] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5051),
    [anon_sym_and] = ACTIONS(5051),
    [anon_sym_asm] = ACTIONS(5051),
    [anon_sym___asm__] = ACTIONS(5051),
    [anon_sym___asm] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5051),
    [anon_sym_decltype] = ACTIONS(5051),
    [anon_sym_final] = ACTIONS(5051),
    [anon_sym_override] = ACTIONS(5051),
    [anon_sym_explicit] = ACTIONS(5051),
    [anon_sym_typename] = ACTIONS(5051),
    [anon_sym_template] = ACTIONS(5051),
    [anon_sym_GT2] = ACTIONS(5053),
    [anon_sym_operator] = ACTIONS(5051),
    [anon_sym_try] = ACTIONS(5051),
    [anon_sym_friend] = ACTIONS(5051),
    [anon_sym_noexcept] = ACTIONS(5051),
    [anon_sym_throw] = ACTIONS(5051),
    [anon_sym_using] = ACTIONS(5051),
    [anon_sym_concept] = ACTIONS(5051),
    [anon_sym_requires] = ACTIONS(5051),
  },
  [1586] = {
    [sym_type_qualifier] = STATE(1586),
    [sym_alignas_qualifier] = STATE(1615),
    [aux_sym__type_definition_type_repeat1] = STATE(1586),
    [sym_identifier] = ACTIONS(4903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_COMMA] = ACTIONS(4905),
    [anon_sym_RPAREN] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(4905),
    [anon_sym_DASH] = ACTIONS(4903),
    [anon_sym_PLUS] = ACTIONS(4903),
    [anon_sym_STAR] = ACTIONS(4903),
    [anon_sym_SLASH] = ACTIONS(4903),
    [anon_sym_PERCENT] = ACTIONS(4903),
    [anon_sym_PIPE_PIPE] = ACTIONS(4905),
    [anon_sym_AMP_AMP] = ACTIONS(4905),
    [anon_sym_PIPE] = ACTIONS(4903),
    [anon_sym_CARET] = ACTIONS(4903),
    [anon_sym_AMP] = ACTIONS(4903),
    [anon_sym_EQ_EQ] = ACTIONS(4905),
    [anon_sym_BANG_EQ] = ACTIONS(4905),
    [anon_sym_GT] = ACTIONS(4903),
    [anon_sym_GT_EQ] = ACTIONS(4905),
    [anon_sym_LT_EQ] = ACTIONS(4903),
    [anon_sym_LT] = ACTIONS(4903),
    [anon_sym_LT_LT] = ACTIONS(4903),
    [anon_sym_GT_GT] = ACTIONS(4903),
    [anon_sym___extension__] = ACTIONS(5055),
    [anon_sym___attribute__] = ACTIONS(4903),
    [anon_sym___attribute] = ACTIONS(4903),
    [anon_sym_LBRACE] = ACTIONS(4905),
    [anon_sym_signed] = ACTIONS(4903),
    [anon_sym_unsigned] = ACTIONS(4903),
    [anon_sym_long] = ACTIONS(4903),
    [anon_sym_short] = ACTIONS(4903),
    [anon_sym_LBRACK] = ACTIONS(4905),
    [anon_sym_EQ] = ACTIONS(4903),
    [anon_sym_const] = ACTIONS(5055),
    [anon_sym_constexpr] = ACTIONS(5055),
    [anon_sym_volatile] = ACTIONS(5055),
    [anon_sym_restrict] = ACTIONS(5055),
    [anon_sym___restrict__] = ACTIONS(5055),
    [anon_sym__Atomic] = ACTIONS(5055),
    [anon_sym__Noreturn] = ACTIONS(5055),
    [anon_sym_noreturn] = ACTIONS(5055),
    [anon_sym__Nonnull] = ACTIONS(5055),
    [anon_sym_mutable] = ACTIONS(5055),
    [anon_sym_constinit] = ACTIONS(5055),
    [anon_sym_consteval] = ACTIONS(5055),
    [anon_sym_alignas] = ACTIONS(5058),
    [anon_sym__Alignas] = ACTIONS(5058),
    [sym_primitive_type] = ACTIONS(4903),
    [anon_sym_QMARK] = ACTIONS(4905),
    [anon_sym_STAR_EQ] = ACTIONS(4905),
    [anon_sym_SLASH_EQ] = ACTIONS(4905),
    [anon_sym_PERCENT_EQ] = ACTIONS(4905),
    [anon_sym_PLUS_EQ] = ACTIONS(4905),
    [anon_sym_DASH_EQ] = ACTIONS(4905),
    [anon_sym_LT_LT_EQ] = ACTIONS(4905),
    [anon_sym_GT_GT_EQ] = ACTIONS(4905),
    [anon_sym_AMP_EQ] = ACTIONS(4905),
    [anon_sym_CARET_EQ] = ACTIONS(4905),
    [anon_sym_PIPE_EQ] = ACTIONS(4905),
    [anon_sym_and_eq] = ACTIONS(4903),
    [anon_sym_or_eq] = ACTIONS(4903),
    [anon_sym_xor_eq] = ACTIONS(4903),
    [anon_sym_LT_EQ_GT] = ACTIONS(4905),
    [anon_sym_or] = ACTIONS(4903),
    [anon_sym_and] = ACTIONS(4903),
    [anon_sym_bitor] = ACTIONS(4903),
    [anon_sym_xor] = ACTIONS(4903),
    [anon_sym_bitand] = ACTIONS(4903),
    [anon_sym_not_eq] = ACTIONS(4903),
    [anon_sym_DASH_DASH] = ACTIONS(4905),
    [anon_sym_PLUS_PLUS] = ACTIONS(4905),
    [anon_sym_DOT] = ACTIONS(4903),
    [anon_sym_DOT_STAR] = ACTIONS(4905),
    [anon_sym_DASH_GT] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4903),
    [anon_sym_decltype] = ACTIONS(4903),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4905),
  },
  [1587] = {
    [sym_type_qualifier] = STATE(1592),
    [sym_alignas_qualifier] = STATE(1623),
    [aux_sym__type_definition_type_repeat1] = STATE(1592),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2566),
    [sym_identifier] = ACTIONS(5061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4947),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym___extension__] = ACTIONS(5063),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(5065),
    [anon_sym_unsigned] = ACTIONS(5065),
    [anon_sym_long] = ACTIONS(5065),
    [anon_sym_short] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_const] = ACTIONS(5063),
    [anon_sym_constexpr] = ACTIONS(5063),
    [anon_sym_volatile] = ACTIONS(5063),
    [anon_sym_restrict] = ACTIONS(5063),
    [anon_sym___restrict__] = ACTIONS(5063),
    [anon_sym__Atomic] = ACTIONS(5063),
    [anon_sym__Noreturn] = ACTIONS(5063),
    [anon_sym_noreturn] = ACTIONS(5063),
    [anon_sym__Nonnull] = ACTIONS(5063),
    [anon_sym_mutable] = ACTIONS(5063),
    [anon_sym_constinit] = ACTIONS(5063),
    [anon_sym_consteval] = ACTIONS(5063),
    [anon_sym_alignas] = ACTIONS(5067),
    [anon_sym__Alignas] = ACTIONS(5067),
    [sym_primitive_type] = ACTIONS(5069),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_STAR_EQ] = ACTIONS(4945),
    [anon_sym_SLASH_EQ] = ACTIONS(4945),
    [anon_sym_PERCENT_EQ] = ACTIONS(4945),
    [anon_sym_PLUS_EQ] = ACTIONS(4945),
    [anon_sym_DASH_EQ] = ACTIONS(4945),
    [anon_sym_LT_LT_EQ] = ACTIONS(4945),
    [anon_sym_GT_GT_EQ] = ACTIONS(4947),
    [anon_sym_AMP_EQ] = ACTIONS(4945),
    [anon_sym_CARET_EQ] = ACTIONS(4945),
    [anon_sym_PIPE_EQ] = ACTIONS(4945),
    [anon_sym_and_eq] = ACTIONS(4947),
    [anon_sym_or_eq] = ACTIONS(4947),
    [anon_sym_xor_eq] = ACTIONS(4947),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
    [anon_sym_GT2] = ACTIONS(4945),
  },
  [1588] = {
    [sym_type_qualifier] = STATE(1587),
    [sym_alignas_qualifier] = STATE(1623),
    [aux_sym__type_definition_type_repeat1] = STATE(1587),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(5071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4962),
    [anon_sym_STAR] = ACTIONS(4962),
    [anon_sym_SLASH] = ACTIONS(4962),
    [anon_sym_PERCENT] = ACTIONS(4962),
    [anon_sym_PIPE_PIPE] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_PIPE] = ACTIONS(4962),
    [anon_sym_CARET] = ACTIONS(4962),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_EQ_EQ] = ACTIONS(4960),
    [anon_sym_BANG_EQ] = ACTIONS(4960),
    [anon_sym_GT] = ACTIONS(4962),
    [anon_sym_GT_EQ] = ACTIONS(4962),
    [anon_sym_LT_EQ] = ACTIONS(4962),
    [anon_sym_LT] = ACTIONS(4962),
    [anon_sym_LT_LT] = ACTIONS(4962),
    [anon_sym_GT_GT] = ACTIONS(4962),
    [anon_sym___extension__] = ACTIONS(5063),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(5073),
    [anon_sym_unsigned] = ACTIONS(5073),
    [anon_sym_long] = ACTIONS(5073),
    [anon_sym_short] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym_EQ] = ACTIONS(4962),
    [anon_sym_const] = ACTIONS(5063),
    [anon_sym_constexpr] = ACTIONS(5063),
    [anon_sym_volatile] = ACTIONS(5063),
    [anon_sym_restrict] = ACTIONS(5063),
    [anon_sym___restrict__] = ACTIONS(5063),
    [anon_sym__Atomic] = ACTIONS(5063),
    [anon_sym__Noreturn] = ACTIONS(5063),
    [anon_sym_noreturn] = ACTIONS(5063),
    [anon_sym__Nonnull] = ACTIONS(5063),
    [anon_sym_mutable] = ACTIONS(5063),
    [anon_sym_constinit] = ACTIONS(5063),
    [anon_sym_consteval] = ACTIONS(5063),
    [anon_sym_alignas] = ACTIONS(5067),
    [anon_sym__Alignas] = ACTIONS(5067),
    [sym_primitive_type] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(4960),
    [anon_sym_STAR_EQ] = ACTIONS(4960),
    [anon_sym_SLASH_EQ] = ACTIONS(4960),
    [anon_sym_PERCENT_EQ] = ACTIONS(4960),
    [anon_sym_PLUS_EQ] = ACTIONS(4960),
    [anon_sym_DASH_EQ] = ACTIONS(4960),
    [anon_sym_LT_LT_EQ] = ACTIONS(4960),
    [anon_sym_GT_GT_EQ] = ACTIONS(4962),
    [anon_sym_AMP_EQ] = ACTIONS(4960),
    [anon_sym_CARET_EQ] = ACTIONS(4960),
    [anon_sym_PIPE_EQ] = ACTIONS(4960),
    [anon_sym_and_eq] = ACTIONS(4962),
    [anon_sym_or_eq] = ACTIONS(4962),
    [anon_sym_xor_eq] = ACTIONS(4962),
    [anon_sym_LT_EQ_GT] = ACTIONS(4960),
    [anon_sym_or] = ACTIONS(4962),
    [anon_sym_and] = ACTIONS(4962),
    [anon_sym_bitor] = ACTIONS(4962),
    [anon_sym_xor] = ACTIONS(4962),
    [anon_sym_bitand] = ACTIONS(4962),
    [anon_sym_not_eq] = ACTIONS(4962),
    [anon_sym_DASH_DASH] = ACTIONS(4960),
    [anon_sym_PLUS_PLUS] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_DOT_STAR] = ACTIONS(4960),
    [anon_sym_DASH_GT] = ACTIONS(4960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
    [anon_sym_GT2] = ACTIONS(4960),
  },
  [1589] = {
    [sym_function_definition] = STATE(544),
    [sym_declaration] = STATE(544),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4704),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1908),
    [sym_declaration_list] = STATE(544),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1590] = {
    [sym_function_definition] = STATE(707),
    [sym_declaration] = STATE(707),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4678),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1903),
    [sym_declaration_list] = STATE(707),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5083),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1591] = {
    [sym_function_definition] = STATE(683),
    [sym_declaration] = STATE(683),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1905),
    [sym_declaration_list] = STATE(683),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1592] = {
    [sym_type_qualifier] = STATE(1592),
    [sym_alignas_qualifier] = STATE(1623),
    [aux_sym__type_definition_type_repeat1] = STATE(1592),
    [sym_identifier] = ACTIONS(4903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_COMMA] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(4905),
    [anon_sym_DASH] = ACTIONS(4903),
    [anon_sym_PLUS] = ACTIONS(4903),
    [anon_sym_STAR] = ACTIONS(4903),
    [anon_sym_SLASH] = ACTIONS(4903),
    [anon_sym_PERCENT] = ACTIONS(4903),
    [anon_sym_PIPE_PIPE] = ACTIONS(4905),
    [anon_sym_AMP_AMP] = ACTIONS(4905),
    [anon_sym_PIPE] = ACTIONS(4903),
    [anon_sym_CARET] = ACTIONS(4903),
    [anon_sym_AMP] = ACTIONS(4903),
    [anon_sym_EQ_EQ] = ACTIONS(4905),
    [anon_sym_BANG_EQ] = ACTIONS(4905),
    [anon_sym_GT] = ACTIONS(4903),
    [anon_sym_GT_EQ] = ACTIONS(4903),
    [anon_sym_LT_EQ] = ACTIONS(4903),
    [anon_sym_LT] = ACTIONS(4903),
    [anon_sym_LT_LT] = ACTIONS(4903),
    [anon_sym_GT_GT] = ACTIONS(4903),
    [anon_sym___extension__] = ACTIONS(5087),
    [anon_sym___attribute__] = ACTIONS(4903),
    [anon_sym___attribute] = ACTIONS(4903),
    [anon_sym_LBRACE] = ACTIONS(4905),
    [anon_sym_signed] = ACTIONS(4903),
    [anon_sym_unsigned] = ACTIONS(4903),
    [anon_sym_long] = ACTIONS(4903),
    [anon_sym_short] = ACTIONS(4903),
    [anon_sym_LBRACK] = ACTIONS(4905),
    [anon_sym_EQ] = ACTIONS(4903),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5087),
    [anon_sym_volatile] = ACTIONS(5087),
    [anon_sym_restrict] = ACTIONS(5087),
    [anon_sym___restrict__] = ACTIONS(5087),
    [anon_sym__Atomic] = ACTIONS(5087),
    [anon_sym__Noreturn] = ACTIONS(5087),
    [anon_sym_noreturn] = ACTIONS(5087),
    [anon_sym__Nonnull] = ACTIONS(5087),
    [anon_sym_mutable] = ACTIONS(5087),
    [anon_sym_constinit] = ACTIONS(5087),
    [anon_sym_consteval] = ACTIONS(5087),
    [anon_sym_alignas] = ACTIONS(5090),
    [anon_sym__Alignas] = ACTIONS(5090),
    [sym_primitive_type] = ACTIONS(4903),
    [anon_sym_QMARK] = ACTIONS(4905),
    [anon_sym_STAR_EQ] = ACTIONS(4905),
    [anon_sym_SLASH_EQ] = ACTIONS(4905),
    [anon_sym_PERCENT_EQ] = ACTIONS(4905),
    [anon_sym_PLUS_EQ] = ACTIONS(4905),
    [anon_sym_DASH_EQ] = ACTIONS(4905),
    [anon_sym_LT_LT_EQ] = ACTIONS(4905),
    [anon_sym_GT_GT_EQ] = ACTIONS(4903),
    [anon_sym_AMP_EQ] = ACTIONS(4905),
    [anon_sym_CARET_EQ] = ACTIONS(4905),
    [anon_sym_PIPE_EQ] = ACTIONS(4905),
    [anon_sym_and_eq] = ACTIONS(4903),
    [anon_sym_or_eq] = ACTIONS(4903),
    [anon_sym_xor_eq] = ACTIONS(4903),
    [anon_sym_LT_EQ_GT] = ACTIONS(4905),
    [anon_sym_or] = ACTIONS(4903),
    [anon_sym_and] = ACTIONS(4903),
    [anon_sym_bitor] = ACTIONS(4903),
    [anon_sym_xor] = ACTIONS(4903),
    [anon_sym_bitand] = ACTIONS(4903),
    [anon_sym_not_eq] = ACTIONS(4903),
    [anon_sym_DASH_DASH] = ACTIONS(4905),
    [anon_sym_PLUS_PLUS] = ACTIONS(4905),
    [anon_sym_DOT] = ACTIONS(4903),
    [anon_sym_DOT_STAR] = ACTIONS(4905),
    [anon_sym_DASH_GT] = ACTIONS(4905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4903),
    [anon_sym_decltype] = ACTIONS(4903),
    [anon_sym_GT2] = ACTIONS(4905),
  },
  [1593] = {
    [sym_function_definition] = STATE(334),
    [sym_declaration] = STATE(334),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1907),
    [sym_declaration_list] = STATE(334),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1594] = {
    [sym_function_definition] = STATE(358),
    [sym_declaration] = STATE(358),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1907),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8012),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5097),
    [anon_sym_struct] = ACTIONS(5099),
    [anon_sym_union] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1595] = {
    [sym_function_definition] = STATE(1728),
    [sym_declaration] = STATE(1728),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4706),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1873),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8557),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5103),
    [anon_sym_struct] = ACTIONS(5105),
    [anon_sym_union] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1596] = {
    [sym_type_qualifier] = STATE(1614),
    [sym_alignas_qualifier] = STATE(1642),
    [aux_sym__type_definition_type_repeat1] = STATE(1614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2712),
    [sym_identifier] = ACTIONS(5109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_RPAREN] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym___extension__] = ACTIONS(5111),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(5113),
    [anon_sym_unsigned] = ACTIONS(5113),
    [anon_sym_long] = ACTIONS(5113),
    [anon_sym_short] = ACTIONS(5113),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_const] = ACTIONS(5111),
    [anon_sym_constexpr] = ACTIONS(5111),
    [anon_sym_volatile] = ACTIONS(5111),
    [anon_sym_restrict] = ACTIONS(5111),
    [anon_sym___restrict__] = ACTIONS(5111),
    [anon_sym__Atomic] = ACTIONS(5111),
    [anon_sym__Noreturn] = ACTIONS(5111),
    [anon_sym_noreturn] = ACTIONS(5111),
    [anon_sym__Nonnull] = ACTIONS(5111),
    [anon_sym_mutable] = ACTIONS(5111),
    [anon_sym_constinit] = ACTIONS(5111),
    [anon_sym_consteval] = ACTIONS(5111),
    [anon_sym_alignas] = ACTIONS(5115),
    [anon_sym__Alignas] = ACTIONS(5115),
    [sym_primitive_type] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_STAR_EQ] = ACTIONS(4945),
    [anon_sym_SLASH_EQ] = ACTIONS(4945),
    [anon_sym_PERCENT_EQ] = ACTIONS(4945),
    [anon_sym_PLUS_EQ] = ACTIONS(4945),
    [anon_sym_DASH_EQ] = ACTIONS(4945),
    [anon_sym_LT_LT_EQ] = ACTIONS(4945),
    [anon_sym_GT_GT_EQ] = ACTIONS(4945),
    [anon_sym_AMP_EQ] = ACTIONS(4945),
    [anon_sym_CARET_EQ] = ACTIONS(4945),
    [anon_sym_PIPE_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4945),
  },
  [1597] = {
    [sym_function_definition] = STATE(1963),
    [sym_declaration] = STATE(1963),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4705),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1909),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7913),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5119),
    [anon_sym_struct] = ACTIONS(5121),
    [anon_sym_union] = ACTIONS(5123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1598] = {
    [sym_function_definition] = STATE(2106),
    [sym_declaration] = STATE(2106),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4708),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1889),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8493),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5125),
    [anon_sym_struct] = ACTIONS(5127),
    [anon_sym_union] = ACTIONS(5129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1599] = {
    [sym_function_definition] = STATE(1731),
    [sym_declaration] = STATE(1731),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4706),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1873),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8602),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5131),
    [anon_sym_struct] = ACTIONS(5133),
    [anon_sym_union] = ACTIONS(5135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1600] = {
    [sym_function_definition] = STATE(632),
    [sym_declaration] = STATE(632),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4704),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1908),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8322),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5137),
    [anon_sym_struct] = ACTIONS(5139),
    [anon_sym_union] = ACTIONS(5141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1601] = {
    [sym_function_definition] = STATE(2064),
    [sym_declaration] = STATE(2064),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4705),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1909),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7972),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5143),
    [anon_sym_struct] = ACTIONS(5145),
    [anon_sym_union] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1602] = {
    [sym_function_definition] = STATE(669),
    [sym_declaration] = STATE(669),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1905),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7932),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5149),
    [anon_sym_struct] = ACTIONS(5151),
    [anon_sym_union] = ACTIONS(5153),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1603] = {
    [sym_function_definition] = STATE(1968),
    [sym_declaration] = STATE(1968),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4708),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1889),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8652),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5155),
    [anon_sym_struct] = ACTIONS(5157),
    [anon_sym_union] = ACTIONS(5159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1604] = {
    [sym_function_definition] = STATE(665),
    [sym_declaration] = STATE(665),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4676),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1905),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8440),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5161),
    [anon_sym_struct] = ACTIONS(5163),
    [anon_sym_union] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1605] = {
    [sym_type_qualifier] = STATE(1605),
    [sym_alignas_qualifier] = STATE(1619),
    [aux_sym__type_definition_type_repeat1] = STATE(1605),
    [sym_identifier] = ACTIONS(4903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_COMMA] = ACTIONS(4905),
    [anon_sym_RPAREN] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(4905),
    [anon_sym_TILDE] = ACTIONS(4905),
    [anon_sym_STAR] = ACTIONS(4905),
    [anon_sym_AMP_AMP] = ACTIONS(4905),
    [anon_sym_AMP] = ACTIONS(4903),
    [anon_sym_SEMI] = ACTIONS(4905),
    [anon_sym___extension__] = ACTIONS(5167),
    [anon_sym_virtual] = ACTIONS(4903),
    [anon_sym_extern] = ACTIONS(4903),
    [anon_sym___attribute__] = ACTIONS(4903),
    [anon_sym___attribute] = ACTIONS(4903),
    [anon_sym_COLON_COLON] = ACTIONS(4905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4905),
    [anon_sym___declspec] = ACTIONS(4903),
    [anon_sym___based] = ACTIONS(4903),
    [anon_sym___cdecl] = ACTIONS(4903),
    [anon_sym___clrcall] = ACTIONS(4903),
    [anon_sym___stdcall] = ACTIONS(4903),
    [anon_sym___fastcall] = ACTIONS(4903),
    [anon_sym___thiscall] = ACTIONS(4903),
    [anon_sym___vectorcall] = ACTIONS(4903),
    [anon_sym_LBRACE] = ACTIONS(4905),
    [anon_sym_signed] = ACTIONS(4903),
    [anon_sym_unsigned] = ACTIONS(4903),
    [anon_sym_long] = ACTIONS(4903),
    [anon_sym_short] = ACTIONS(4903),
    [anon_sym_LBRACK] = ACTIONS(4903),
    [anon_sym_static] = ACTIONS(4903),
    [anon_sym_EQ] = ACTIONS(4905),
    [anon_sym_register] = ACTIONS(4903),
    [anon_sym_inline] = ACTIONS(4903),
    [anon_sym___inline] = ACTIONS(4903),
    [anon_sym___inline__] = ACTIONS(4903),
    [anon_sym___forceinline] = ACTIONS(4903),
    [anon_sym_thread_local] = ACTIONS(4903),
    [anon_sym___thread] = ACTIONS(4903),
    [anon_sym_const] = ACTIONS(5167),
    [anon_sym_constexpr] = ACTIONS(5167),
    [anon_sym_volatile] = ACTIONS(5167),
    [anon_sym_restrict] = ACTIONS(5167),
    [anon_sym___restrict__] = ACTIONS(5167),
    [anon_sym__Atomic] = ACTIONS(5167),
    [anon_sym__Noreturn] = ACTIONS(5167),
    [anon_sym_noreturn] = ACTIONS(5167),
    [anon_sym__Nonnull] = ACTIONS(5167),
    [anon_sym_mutable] = ACTIONS(5167),
    [anon_sym_constinit] = ACTIONS(5167),
    [anon_sym_consteval] = ACTIONS(5167),
    [anon_sym_alignas] = ACTIONS(5170),
    [anon_sym__Alignas] = ACTIONS(5170),
    [sym_primitive_type] = ACTIONS(4903),
    [anon_sym_enum] = ACTIONS(4903),
    [anon_sym_class] = ACTIONS(4903),
    [anon_sym_struct] = ACTIONS(4903),
    [anon_sym_union] = ACTIONS(4903),
    [anon_sym_asm] = ACTIONS(4903),
    [anon_sym___asm__] = ACTIONS(4903),
    [anon_sym___asm] = ACTIONS(4903),
    [anon_sym_DASH_GT] = ACTIONS(4905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4903),
    [anon_sym_decltype] = ACTIONS(4903),
    [anon_sym_final] = ACTIONS(4903),
    [anon_sym_override] = ACTIONS(4903),
    [anon_sym_typename] = ACTIONS(4903),
    [anon_sym_template] = ACTIONS(4903),
    [anon_sym_GT2] = ACTIONS(4905),
    [anon_sym_operator] = ACTIONS(4903),
    [anon_sym_try] = ACTIONS(4903),
    [anon_sym_noexcept] = ACTIONS(4903),
    [anon_sym_throw] = ACTIONS(4903),
    [anon_sym_requires] = ACTIONS(4903),
  },
  [1606] = {
    [sym_function_definition] = STATE(744),
    [sym_declaration] = STATE(744),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4678),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1903),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8681),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5173),
    [anon_sym_struct] = ACTIONS(5175),
    [anon_sym_union] = ACTIONS(5177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1607] = {
    [sym_function_definition] = STATE(688),
    [sym_declaration] = STATE(688),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4678),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1903),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8224),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5179),
    [anon_sym_struct] = ACTIONS(5181),
    [anon_sym_union] = ACTIONS(5183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1608] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1611),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [anon_sym_RPAREN] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_STAR] = ACTIONS(5014),
    [anon_sym_SLASH] = ACTIONS(5014),
    [anon_sym_PERCENT] = ACTIONS(5014),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5014),
    [anon_sym_CARET] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(5014),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5014),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5014),
    [anon_sym_LT] = ACTIONS(5014),
    [anon_sym_LT_LT] = ACTIONS(5014),
    [anon_sym_GT_GT] = ACTIONS(5014),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(5014),
    [anon_sym___attribute] = ACTIONS(5014),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_signed] = ACTIONS(5185),
    [anon_sym_unsigned] = ACTIONS(5185),
    [anon_sym_long] = ACTIONS(5185),
    [anon_sym_short] = ACTIONS(5185),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5014),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_STAR_EQ] = ACTIONS(5011),
    [anon_sym_SLASH_EQ] = ACTIONS(5011),
    [anon_sym_PERCENT_EQ] = ACTIONS(5011),
    [anon_sym_PLUS_EQ] = ACTIONS(5011),
    [anon_sym_DASH_EQ] = ACTIONS(5011),
    [anon_sym_LT_LT_EQ] = ACTIONS(5011),
    [anon_sym_GT_GT_EQ] = ACTIONS(5011),
    [anon_sym_AMP_EQ] = ACTIONS(5011),
    [anon_sym_CARET_EQ] = ACTIONS(5011),
    [anon_sym_PIPE_EQ] = ACTIONS(5011),
    [anon_sym_and_eq] = ACTIONS(5014),
    [anon_sym_or_eq] = ACTIONS(5014),
    [anon_sym_xor_eq] = ACTIONS(5014),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5014),
    [anon_sym_and] = ACTIONS(5014),
    [anon_sym_bitor] = ACTIONS(5014),
    [anon_sym_xor] = ACTIONS(5014),
    [anon_sym_bitand] = ACTIONS(5014),
    [anon_sym_not_eq] = ACTIONS(5014),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5014),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5014),
    [anon_sym_decltype] = ACTIONS(5014),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5011),
  },
  [1609] = {
    [sym_function_definition] = STATE(629),
    [sym_declaration] = STATE(629),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4704),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1908),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(8053),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5188),
    [anon_sym_struct] = ACTIONS(5190),
    [anon_sym_union] = ACTIONS(5192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1610] = {
    [sym_function_definition] = STATE(355),
    [sym_declaration] = STATE(355),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4696),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_ms_call_modifier] = STATE(1907),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym__class_name] = STATE(7937),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(3731),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5194),
    [anon_sym_struct] = ACTIONS(5196),
    [anon_sym_union] = ACTIONS(5198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1611] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1611),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4931),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym___attribute] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4931),
    [anon_sym_signed] = ACTIONS(5185),
    [anon_sym_unsigned] = ACTIONS(5185),
    [anon_sym_long] = ACTIONS(5185),
    [anon_sym_short] = ACTIONS(5185),
    [anon_sym_LBRACK] = ACTIONS(4931),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4929),
    [anon_sym_or_eq] = ACTIONS(4929),
    [anon_sym_xor_eq] = ACTIONS(4929),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4931),
  },
  [1612] = {
    [sym_type_qualifier] = STATE(1596),
    [sym_alignas_qualifier] = STATE(1642),
    [aux_sym__type_definition_type_repeat1] = STATE(1596),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(5200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [anon_sym_RPAREN] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4962),
    [anon_sym_STAR] = ACTIONS(4962),
    [anon_sym_SLASH] = ACTIONS(4962),
    [anon_sym_PERCENT] = ACTIONS(4962),
    [anon_sym_PIPE_PIPE] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_PIPE] = ACTIONS(4962),
    [anon_sym_CARET] = ACTIONS(4962),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_EQ_EQ] = ACTIONS(4960),
    [anon_sym_BANG_EQ] = ACTIONS(4960),
    [anon_sym_GT] = ACTIONS(4962),
    [anon_sym_GT_EQ] = ACTIONS(4960),
    [anon_sym_LT_EQ] = ACTIONS(4962),
    [anon_sym_LT] = ACTIONS(4962),
    [anon_sym_LT_LT] = ACTIONS(4962),
    [anon_sym_GT_GT] = ACTIONS(4962),
    [anon_sym___extension__] = ACTIONS(5111),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(5202),
    [anon_sym_unsigned] = ACTIONS(5202),
    [anon_sym_long] = ACTIONS(5202),
    [anon_sym_short] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym_EQ] = ACTIONS(4962),
    [anon_sym_const] = ACTIONS(5111),
    [anon_sym_constexpr] = ACTIONS(5111),
    [anon_sym_volatile] = ACTIONS(5111),
    [anon_sym_restrict] = ACTIONS(5111),
    [anon_sym___restrict__] = ACTIONS(5111),
    [anon_sym__Atomic] = ACTIONS(5111),
    [anon_sym__Noreturn] = ACTIONS(5111),
    [anon_sym_noreturn] = ACTIONS(5111),
    [anon_sym__Nonnull] = ACTIONS(5111),
    [anon_sym_mutable] = ACTIONS(5111),
    [anon_sym_constinit] = ACTIONS(5111),
    [anon_sym_consteval] = ACTIONS(5111),
    [anon_sym_alignas] = ACTIONS(5115),
    [anon_sym__Alignas] = ACTIONS(5115),
    [sym_primitive_type] = ACTIONS(5204),
    [anon_sym_QMARK] = ACTIONS(4960),
    [anon_sym_STAR_EQ] = ACTIONS(4960),
    [anon_sym_SLASH_EQ] = ACTIONS(4960),
    [anon_sym_PERCENT_EQ] = ACTIONS(4960),
    [anon_sym_PLUS_EQ] = ACTIONS(4960),
    [anon_sym_DASH_EQ] = ACTIONS(4960),
    [anon_sym_LT_LT_EQ] = ACTIONS(4960),
    [anon_sym_GT_GT_EQ] = ACTIONS(4960),
    [anon_sym_AMP_EQ] = ACTIONS(4960),
    [anon_sym_CARET_EQ] = ACTIONS(4960),
    [anon_sym_PIPE_EQ] = ACTIONS(4960),
    [anon_sym_LT_EQ_GT] = ACTIONS(4960),
    [anon_sym_or] = ACTIONS(4962),
    [anon_sym_and] = ACTIONS(4962),
    [anon_sym_bitor] = ACTIONS(4962),
    [anon_sym_xor] = ACTIONS(4962),
    [anon_sym_bitand] = ACTIONS(4962),
    [anon_sym_not_eq] = ACTIONS(4962),
    [anon_sym_DASH_DASH] = ACTIONS(4960),
    [anon_sym_PLUS_PLUS] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_DOT_STAR] = ACTIONS(4960),
    [anon_sym_DASH_GT] = ACTIONS(4962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4960),
  },
  [1613] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_RPAREN] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4939),
    [anon_sym_SLASH] = ACTIONS(4939),
    [anon_sym_PERCENT] = ACTIONS(4939),
    [anon_sym_PIPE_PIPE] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_PIPE] = ACTIONS(4939),
    [anon_sym_CARET] = ACTIONS(4939),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_EQ_EQ] = ACTIONS(4941),
    [anon_sym_BANG_EQ] = ACTIONS(4941),
    [anon_sym_GT] = ACTIONS(4939),
    [anon_sym_GT_EQ] = ACTIONS(4941),
    [anon_sym_LT_EQ] = ACTIONS(4939),
    [anon_sym_LT] = ACTIONS(4939),
    [anon_sym_LT_LT] = ACTIONS(4939),
    [anon_sym_GT_GT] = ACTIONS(4939),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym___attribute] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_signed] = ACTIONS(4939),
    [anon_sym_unsigned] = ACTIONS(4939),
    [anon_sym_long] = ACTIONS(4939),
    [anon_sym_short] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_EQ] = ACTIONS(4939),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym__Nonnull] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_QMARK] = ACTIONS(4941),
    [anon_sym_STAR_EQ] = ACTIONS(4941),
    [anon_sym_SLASH_EQ] = ACTIONS(4941),
    [anon_sym_PERCENT_EQ] = ACTIONS(4941),
    [anon_sym_PLUS_EQ] = ACTIONS(4941),
    [anon_sym_DASH_EQ] = ACTIONS(4941),
    [anon_sym_LT_LT_EQ] = ACTIONS(4941),
    [anon_sym_GT_GT_EQ] = ACTIONS(4941),
    [anon_sym_AMP_EQ] = ACTIONS(4941),
    [anon_sym_CARET_EQ] = ACTIONS(4941),
    [anon_sym_PIPE_EQ] = ACTIONS(4941),
    [anon_sym_and_eq] = ACTIONS(4939),
    [anon_sym_or_eq] = ACTIONS(4939),
    [anon_sym_xor_eq] = ACTIONS(4939),
    [anon_sym_LT_EQ_GT] = ACTIONS(4941),
    [anon_sym_or] = ACTIONS(4939),
    [anon_sym_and] = ACTIONS(4939),
    [anon_sym_bitor] = ACTIONS(4939),
    [anon_sym_xor] = ACTIONS(4939),
    [anon_sym_bitand] = ACTIONS(4939),
    [anon_sym_not_eq] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_DOT_STAR] = ACTIONS(4941),
    [anon_sym_DASH_GT] = ACTIONS(4939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4941),
  },
  [1614] = {
    [sym_type_qualifier] = STATE(1614),
    [sym_alignas_qualifier] = STATE(1642),
    [aux_sym__type_definition_type_repeat1] = STATE(1614),
    [sym_identifier] = ACTIONS(4903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_COMMA] = ACTIONS(4905),
    [anon_sym_RPAREN] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(4905),
    [anon_sym_DASH] = ACTIONS(4903),
    [anon_sym_PLUS] = ACTIONS(4903),
    [anon_sym_STAR] = ACTIONS(4903),
    [anon_sym_SLASH] = ACTIONS(4903),
    [anon_sym_PERCENT] = ACTIONS(4903),
    [anon_sym_PIPE_PIPE] = ACTIONS(4905),
    [anon_sym_AMP_AMP] = ACTIONS(4905),
    [anon_sym_PIPE] = ACTIONS(4903),
    [anon_sym_CARET] = ACTIONS(4903),
    [anon_sym_AMP] = ACTIONS(4903),
    [anon_sym_EQ_EQ] = ACTIONS(4905),
    [anon_sym_BANG_EQ] = ACTIONS(4905),
    [anon_sym_GT] = ACTIONS(4903),
    [anon_sym_GT_EQ] = ACTIONS(4905),
    [anon_sym_LT_EQ] = ACTIONS(4903),
    [anon_sym_LT] = ACTIONS(4903),
    [anon_sym_LT_LT] = ACTIONS(4903),
    [anon_sym_GT_GT] = ACTIONS(4903),
    [anon_sym___extension__] = ACTIONS(5206),
    [anon_sym___attribute__] = ACTIONS(4903),
    [anon_sym___attribute] = ACTIONS(4903),
    [anon_sym_LBRACE] = ACTIONS(4905),
    [anon_sym_signed] = ACTIONS(4903),
    [anon_sym_unsigned] = ACTIONS(4903),
    [anon_sym_long] = ACTIONS(4903),
    [anon_sym_short] = ACTIONS(4903),
    [anon_sym_LBRACK] = ACTIONS(4905),
    [anon_sym_EQ] = ACTIONS(4903),
    [anon_sym_const] = ACTIONS(5206),
    [anon_sym_constexpr] = ACTIONS(5206),
    [anon_sym_volatile] = ACTIONS(5206),
    [anon_sym_restrict] = ACTIONS(5206),
    [anon_sym___restrict__] = ACTIONS(5206),
    [anon_sym__Atomic] = ACTIONS(5206),
    [anon_sym__Noreturn] = ACTIONS(5206),
    [anon_sym_noreturn] = ACTIONS(5206),
    [anon_sym__Nonnull] = ACTIONS(5206),
    [anon_sym_mutable] = ACTIONS(5206),
    [anon_sym_constinit] = ACTIONS(5206),
    [anon_sym_consteval] = ACTIONS(5206),
    [anon_sym_alignas] = ACTIONS(5209),
    [anon_sym__Alignas] = ACTIONS(5209),
    [sym_primitive_type] = ACTIONS(4903),
    [anon_sym_QMARK] = ACTIONS(4905),
    [anon_sym_STAR_EQ] = ACTIONS(4905),
    [anon_sym_SLASH_EQ] = ACTIONS(4905),
    [anon_sym_PERCENT_EQ] = ACTIONS(4905),
    [anon_sym_PLUS_EQ] = ACTIONS(4905),
    [anon_sym_DASH_EQ] = ACTIONS(4905),
    [anon_sym_LT_LT_EQ] = ACTIONS(4905),
    [anon_sym_GT_GT_EQ] = ACTIONS(4905),
    [anon_sym_AMP_EQ] = ACTIONS(4905),
    [anon_sym_CARET_EQ] = ACTIONS(4905),
    [anon_sym_PIPE_EQ] = ACTIONS(4905),
    [anon_sym_LT_EQ_GT] = ACTIONS(4905),
    [anon_sym_or] = ACTIONS(4903),
    [anon_sym_and] = ACTIONS(4903),
    [anon_sym_bitor] = ACTIONS(4903),
    [anon_sym_xor] = ACTIONS(4903),
    [anon_sym_bitand] = ACTIONS(4903),
    [anon_sym_not_eq] = ACTIONS(4903),
    [anon_sym_DASH_DASH] = ACTIONS(4905),
    [anon_sym_PLUS_PLUS] = ACTIONS(4905),
    [anon_sym_DOT] = ACTIONS(4903),
    [anon_sym_DOT_STAR] = ACTIONS(4905),
    [anon_sym_DASH_GT] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4903),
    [anon_sym_decltype] = ACTIONS(4903),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4905),
  },
  [1615] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2532),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2532),
    [anon_sym_CARET] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_LT_LT] = ACTIONS(2532),
    [anon_sym_GT_GT] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2522),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_and_eq] = ACTIONS(2532),
    [anon_sym_or_eq] = ACTIONS(2532),
    [anon_sym_xor_eq] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_bitor] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_bitand] = ACTIONS(2532),
    [anon_sym_not_eq] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2532),
    [anon_sym_DOT_STAR] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2522),
  },
  [1616] = {
    [sym_type_qualifier] = STATE(1616),
    [sym_alignas_qualifier] = STATE(1640),
    [aux_sym__type_definition_type_repeat1] = STATE(1616),
    [sym_identifier] = ACTIONS(4903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_COMMA] = ACTIONS(4905),
    [anon_sym_RPAREN] = ACTIONS(4905),
    [aux_sym_preproc_if_token2] = ACTIONS(4905),
    [aux_sym_preproc_else_token1] = ACTIONS(4905),
    [aux_sym_preproc_elif_token1] = ACTIONS(4903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(4905),
    [anon_sym_DASH] = ACTIONS(4903),
    [anon_sym_PLUS] = ACTIONS(4903),
    [anon_sym_STAR] = ACTIONS(4905),
    [anon_sym_SLASH] = ACTIONS(4903),
    [anon_sym_PERCENT] = ACTIONS(4905),
    [anon_sym_PIPE_PIPE] = ACTIONS(4905),
    [anon_sym_AMP_AMP] = ACTIONS(4905),
    [anon_sym_PIPE] = ACTIONS(4903),
    [anon_sym_CARET] = ACTIONS(4905),
    [anon_sym_AMP] = ACTIONS(4903),
    [anon_sym_EQ_EQ] = ACTIONS(4905),
    [anon_sym_BANG_EQ] = ACTIONS(4905),
    [anon_sym_GT] = ACTIONS(4903),
    [anon_sym_GT_EQ] = ACTIONS(4905),
    [anon_sym_LT_EQ] = ACTIONS(4903),
    [anon_sym_LT] = ACTIONS(4903),
    [anon_sym_LT_LT] = ACTIONS(4905),
    [anon_sym_GT_GT] = ACTIONS(4905),
    [anon_sym_SEMI] = ACTIONS(4905),
    [anon_sym___extension__] = ACTIONS(5212),
    [anon_sym___attribute__] = ACTIONS(4903),
    [anon_sym___attribute] = ACTIONS(4903),
    [anon_sym_LBRACE] = ACTIONS(4905),
    [anon_sym_RBRACE] = ACTIONS(4905),
    [anon_sym_signed] = ACTIONS(4903),
    [anon_sym_unsigned] = ACTIONS(4903),
    [anon_sym_long] = ACTIONS(4903),
    [anon_sym_short] = ACTIONS(4903),
    [anon_sym_LBRACK] = ACTIONS(4905),
    [anon_sym_RBRACK] = ACTIONS(4905),
    [anon_sym_const] = ACTIONS(5212),
    [anon_sym_constexpr] = ACTIONS(5212),
    [anon_sym_volatile] = ACTIONS(5212),
    [anon_sym_restrict] = ACTIONS(5212),
    [anon_sym___restrict__] = ACTIONS(5212),
    [anon_sym__Atomic] = ACTIONS(5212),
    [anon_sym__Noreturn] = ACTIONS(5212),
    [anon_sym_noreturn] = ACTIONS(5212),
    [anon_sym__Nonnull] = ACTIONS(5212),
    [anon_sym_mutable] = ACTIONS(5212),
    [anon_sym_constinit] = ACTIONS(5212),
    [anon_sym_consteval] = ACTIONS(5212),
    [anon_sym_alignas] = ACTIONS(5215),
    [anon_sym__Alignas] = ACTIONS(5215),
    [sym_primitive_type] = ACTIONS(4903),
    [anon_sym_COLON] = ACTIONS(4905),
    [anon_sym_QMARK] = ACTIONS(4905),
    [anon_sym_LT_EQ_GT] = ACTIONS(4905),
    [anon_sym_or] = ACTIONS(4903),
    [anon_sym_and] = ACTIONS(4903),
    [anon_sym_bitor] = ACTIONS(4903),
    [anon_sym_xor] = ACTIONS(4903),
    [anon_sym_bitand] = ACTIONS(4903),
    [anon_sym_not_eq] = ACTIONS(4903),
    [anon_sym_DASH_DASH] = ACTIONS(4905),
    [anon_sym_PLUS_PLUS] = ACTIONS(4905),
    [anon_sym_DOT] = ACTIONS(4903),
    [anon_sym_DOT_STAR] = ACTIONS(4905),
    [anon_sym_DASH_GT] = ACTIONS(4905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4903),
    [anon_sym_decltype] = ACTIONS(4903),
    [anon_sym_final] = ACTIONS(4903),
    [anon_sym_override] = ACTIONS(4903),
    [anon_sym_requires] = ACTIONS(4903),
  },
  [1617] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1618),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_STAR] = ACTIONS(5014),
    [anon_sym_SLASH] = ACTIONS(5014),
    [anon_sym_PERCENT] = ACTIONS(5014),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5014),
    [anon_sym_CARET] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(5014),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5014),
    [anon_sym_GT_EQ] = ACTIONS(5014),
    [anon_sym_LT_EQ] = ACTIONS(5014),
    [anon_sym_LT] = ACTIONS(5014),
    [anon_sym_LT_LT] = ACTIONS(5014),
    [anon_sym_GT_GT] = ACTIONS(5014),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(5014),
    [anon_sym___attribute] = ACTIONS(5014),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_signed] = ACTIONS(5218),
    [anon_sym_unsigned] = ACTIONS(5218),
    [anon_sym_long] = ACTIONS(5218),
    [anon_sym_short] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5014),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_STAR_EQ] = ACTIONS(5011),
    [anon_sym_SLASH_EQ] = ACTIONS(5011),
    [anon_sym_PERCENT_EQ] = ACTIONS(5011),
    [anon_sym_PLUS_EQ] = ACTIONS(5011),
    [anon_sym_DASH_EQ] = ACTIONS(5011),
    [anon_sym_LT_LT_EQ] = ACTIONS(5011),
    [anon_sym_GT_GT_EQ] = ACTIONS(5014),
    [anon_sym_AMP_EQ] = ACTIONS(5011),
    [anon_sym_CARET_EQ] = ACTIONS(5011),
    [anon_sym_PIPE_EQ] = ACTIONS(5011),
    [anon_sym_and_eq] = ACTIONS(5014),
    [anon_sym_or_eq] = ACTIONS(5014),
    [anon_sym_xor_eq] = ACTIONS(5014),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5014),
    [anon_sym_and] = ACTIONS(5014),
    [anon_sym_bitor] = ACTIONS(5014),
    [anon_sym_xor] = ACTIONS(5014),
    [anon_sym_bitand] = ACTIONS(5014),
    [anon_sym_not_eq] = ACTIONS(5014),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5014),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5014),
    [anon_sym_decltype] = ACTIONS(5014),
    [anon_sym_GT2] = ACTIONS(5011),
  },
  [1618] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1618),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4931),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4929),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym___attribute] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4931),
    [anon_sym_signed] = ACTIONS(5218),
    [anon_sym_unsigned] = ACTIONS(5218),
    [anon_sym_long] = ACTIONS(5218),
    [anon_sym_short] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(4931),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4929),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4929),
    [anon_sym_or_eq] = ACTIONS(4929),
    [anon_sym_xor_eq] = ACTIONS(4929),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_GT2] = ACTIONS(4931),
  },
  [1619] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_final] = ACTIONS(2532),
    [anon_sym_override] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_GT2] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_noexcept] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
  },
  [1620] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4939),
    [anon_sym_SLASH] = ACTIONS(4939),
    [anon_sym_PERCENT] = ACTIONS(4939),
    [anon_sym_PIPE_PIPE] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_PIPE] = ACTIONS(4939),
    [anon_sym_CARET] = ACTIONS(4939),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_EQ_EQ] = ACTIONS(4941),
    [anon_sym_BANG_EQ] = ACTIONS(4941),
    [anon_sym_GT] = ACTIONS(4939),
    [anon_sym_GT_EQ] = ACTIONS(4939),
    [anon_sym_LT_EQ] = ACTIONS(4939),
    [anon_sym_LT] = ACTIONS(4939),
    [anon_sym_LT_LT] = ACTIONS(4939),
    [anon_sym_GT_GT] = ACTIONS(4939),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym___attribute] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_signed] = ACTIONS(4939),
    [anon_sym_unsigned] = ACTIONS(4939),
    [anon_sym_long] = ACTIONS(4939),
    [anon_sym_short] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_EQ] = ACTIONS(4939),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym__Nonnull] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_QMARK] = ACTIONS(4941),
    [anon_sym_STAR_EQ] = ACTIONS(4941),
    [anon_sym_SLASH_EQ] = ACTIONS(4941),
    [anon_sym_PERCENT_EQ] = ACTIONS(4941),
    [anon_sym_PLUS_EQ] = ACTIONS(4941),
    [anon_sym_DASH_EQ] = ACTIONS(4941),
    [anon_sym_LT_LT_EQ] = ACTIONS(4941),
    [anon_sym_GT_GT_EQ] = ACTIONS(4939),
    [anon_sym_AMP_EQ] = ACTIONS(4941),
    [anon_sym_CARET_EQ] = ACTIONS(4941),
    [anon_sym_PIPE_EQ] = ACTIONS(4941),
    [anon_sym_and_eq] = ACTIONS(4939),
    [anon_sym_or_eq] = ACTIONS(4939),
    [anon_sym_xor_eq] = ACTIONS(4939),
    [anon_sym_LT_EQ_GT] = ACTIONS(4941),
    [anon_sym_or] = ACTIONS(4939),
    [anon_sym_and] = ACTIONS(4939),
    [anon_sym_bitor] = ACTIONS(4939),
    [anon_sym_xor] = ACTIONS(4939),
    [anon_sym_bitand] = ACTIONS(4939),
    [anon_sym_not_eq] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_DOT_STAR] = ACTIONS(4941),
    [anon_sym_DASH_GT] = ACTIONS(4941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
    [anon_sym_GT2] = ACTIONS(4941),
  },
  [1621] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3885),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7108),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_type_parameter_declaration] = STATE(7108),
    [sym_variadic_type_parameter_declaration] = STATE(7108),
    [sym_optional_type_parameter_declaration] = STATE(7108),
    [sym_template_template_parameter_declaration] = STATE(7108),
    [sym_optional_parameter_declaration] = STATE(7108),
    [sym_variadic_parameter_declaration] = STATE(7108),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(5221),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5223),
    [anon_sym_template] = ACTIONS(5225),
    [anon_sym_GT2] = ACTIONS(5227),
  },
  [1622] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_RPAREN] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_TILDE] = ACTIONS(4941),
    [anon_sym_STAR] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_SEMI] = ACTIONS(4941),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym_virtual] = ACTIONS(4939),
    [anon_sym_extern] = ACTIONS(4939),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym___attribute] = ACTIONS(4939),
    [anon_sym_COLON_COLON] = ACTIONS(4941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4941),
    [anon_sym___declspec] = ACTIONS(4939),
    [anon_sym___based] = ACTIONS(4939),
    [anon_sym___cdecl] = ACTIONS(4939),
    [anon_sym___clrcall] = ACTIONS(4939),
    [anon_sym___stdcall] = ACTIONS(4939),
    [anon_sym___fastcall] = ACTIONS(4939),
    [anon_sym___thiscall] = ACTIONS(4939),
    [anon_sym___vectorcall] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_signed] = ACTIONS(4939),
    [anon_sym_unsigned] = ACTIONS(4939),
    [anon_sym_long] = ACTIONS(4939),
    [anon_sym_short] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4939),
    [anon_sym_static] = ACTIONS(4939),
    [anon_sym_EQ] = ACTIONS(4941),
    [anon_sym_register] = ACTIONS(4939),
    [anon_sym_inline] = ACTIONS(4939),
    [anon_sym___inline] = ACTIONS(4939),
    [anon_sym___inline__] = ACTIONS(4939),
    [anon_sym___forceinline] = ACTIONS(4939),
    [anon_sym_thread_local] = ACTIONS(4939),
    [anon_sym___thread] = ACTIONS(4939),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym__Nonnull] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_enum] = ACTIONS(4939),
    [anon_sym_class] = ACTIONS(4939),
    [anon_sym_struct] = ACTIONS(4939),
    [anon_sym_union] = ACTIONS(4939),
    [anon_sym_asm] = ACTIONS(4939),
    [anon_sym___asm__] = ACTIONS(4939),
    [anon_sym___asm] = ACTIONS(4939),
    [anon_sym_DASH_GT] = ACTIONS(4941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
    [anon_sym_final] = ACTIONS(4939),
    [anon_sym_override] = ACTIONS(4939),
    [anon_sym_explicit] = ACTIONS(4939),
    [anon_sym_typename] = ACTIONS(4939),
    [anon_sym_template] = ACTIONS(4939),
    [anon_sym_GT2] = ACTIONS(4941),
    [anon_sym_operator] = ACTIONS(4939),
    [anon_sym_try] = ACTIONS(4939),
    [anon_sym_noexcept] = ACTIONS(4939),
    [anon_sym_throw] = ACTIONS(4939),
    [anon_sym_requires] = ACTIONS(4939),
  },
  [1623] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2532),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2532),
    [anon_sym_CARET] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_LT_EQ] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_LT_LT] = ACTIONS(2532),
    [anon_sym_GT_GT] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_and_eq] = ACTIONS(2532),
    [anon_sym_or_eq] = ACTIONS(2532),
    [anon_sym_xor_eq] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_bitor] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_bitand] = ACTIONS(2532),
    [anon_sym_not_eq] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2532),
    [anon_sym_DOT_STAR] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_GT2] = ACTIONS(2522),
  },
  [1624] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4859),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4857),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4857),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4857),
    [anon_sym_GT_GT] = ACTIONS(4857),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1625] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3885),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7781),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_type_parameter_declaration] = STATE(7781),
    [sym_variadic_type_parameter_declaration] = STATE(7781),
    [sym_optional_type_parameter_declaration] = STATE(7781),
    [sym_template_template_parameter_declaration] = STATE(7781),
    [sym_optional_parameter_declaration] = STATE(7781),
    [sym_variadic_parameter_declaration] = STATE(7781),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(5221),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5223),
    [anon_sym_template] = ACTIONS(5225),
  },
  [1626] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4931),
    [aux_sym_preproc_if_token2] = ACTIONS(4931),
    [aux_sym_preproc_else_token1] = ACTIONS(4931),
    [aux_sym_preproc_elif_token1] = ACTIONS(4929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4931),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4931),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4931),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4931),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4931),
    [anon_sym_GT_GT] = ACTIONS(4931),
    [anon_sym_SEMI] = ACTIONS(4931),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym___attribute] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4931),
    [anon_sym_RBRACE] = ACTIONS(4931),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(4931),
    [anon_sym_RBRACK] = ACTIONS(4931),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(4931),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_final] = ACTIONS(4929),
    [anon_sym_override] = ACTIONS(4929),
    [anon_sym_requires] = ACTIONS(4929),
  },
  [1627] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_COMMA] = ACTIONS(4820),
    [anon_sym_RPAREN] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4818),
    [anon_sym_STAR] = ACTIONS(4818),
    [anon_sym_SLASH] = ACTIONS(4818),
    [anon_sym_PERCENT] = ACTIONS(4818),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_PIPE] = ACTIONS(4818),
    [anon_sym_CARET] = ACTIONS(4818),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym_EQ_EQ] = ACTIONS(4820),
    [anon_sym_BANG_EQ] = ACTIONS(4820),
    [anon_sym_GT] = ACTIONS(4818),
    [anon_sym_GT_EQ] = ACTIONS(4820),
    [anon_sym_LT_EQ] = ACTIONS(4818),
    [anon_sym_LT] = ACTIONS(4818),
    [anon_sym_LT_LT] = ACTIONS(4818),
    [anon_sym_GT_GT] = ACTIONS(4818),
    [anon_sym___extension__] = ACTIONS(4820),
    [anon_sym___attribute__] = ACTIONS(4820),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym_LBRACE] = ACTIONS(4820),
    [anon_sym_LBRACK] = ACTIONS(4820),
    [anon_sym_EQ] = ACTIONS(4818),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4820),
    [anon_sym_volatile] = ACTIONS(4820),
    [anon_sym_restrict] = ACTIONS(4820),
    [anon_sym___restrict__] = ACTIONS(4820),
    [anon_sym__Atomic] = ACTIONS(4820),
    [anon_sym__Noreturn] = ACTIONS(4820),
    [anon_sym_noreturn] = ACTIONS(4820),
    [anon_sym__Nonnull] = ACTIONS(4820),
    [anon_sym_mutable] = ACTIONS(4820),
    [anon_sym_constinit] = ACTIONS(4820),
    [anon_sym_consteval] = ACTIONS(4820),
    [anon_sym_alignas] = ACTIONS(4820),
    [anon_sym__Alignas] = ACTIONS(4820),
    [anon_sym_COLON] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4820),
    [anon_sym_STAR_EQ] = ACTIONS(4820),
    [anon_sym_SLASH_EQ] = ACTIONS(4820),
    [anon_sym_PERCENT_EQ] = ACTIONS(4820),
    [anon_sym_PLUS_EQ] = ACTIONS(4820),
    [anon_sym_DASH_EQ] = ACTIONS(4820),
    [anon_sym_LT_LT_EQ] = ACTIONS(4820),
    [anon_sym_GT_GT_EQ] = ACTIONS(4820),
    [anon_sym_AMP_EQ] = ACTIONS(4820),
    [anon_sym_CARET_EQ] = ACTIONS(4820),
    [anon_sym_PIPE_EQ] = ACTIONS(4820),
    [anon_sym_and_eq] = ACTIONS(4820),
    [anon_sym_or_eq] = ACTIONS(4820),
    [anon_sym_xor_eq] = ACTIONS(4820),
    [anon_sym_LT_EQ_GT] = ACTIONS(4820),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [anon_sym_bitor] = ACTIONS(4820),
    [anon_sym_xor] = ACTIONS(4818),
    [anon_sym_bitand] = ACTIONS(4820),
    [anon_sym_not_eq] = ACTIONS(4820),
    [anon_sym_DASH_DASH] = ACTIONS(4820),
    [anon_sym_PLUS_PLUS] = ACTIONS(4820),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_DOT_STAR] = ACTIONS(4820),
    [anon_sym_DASH_GT] = ACTIONS(4818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4820),
    [anon_sym_decltype] = ACTIONS(4820),
    [anon_sym_final] = ACTIONS(4820),
    [anon_sym_override] = ACTIONS(4820),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4820),
  },
  [1628] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_COMMA] = ACTIONS(4812),
    [anon_sym_RPAREN] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_STAR] = ACTIONS(4810),
    [anon_sym_SLASH] = ACTIONS(4810),
    [anon_sym_PERCENT] = ACTIONS(4810),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_PIPE] = ACTIONS(4810),
    [anon_sym_CARET] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4812),
    [anon_sym_BANG_EQ] = ACTIONS(4812),
    [anon_sym_GT] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4810),
    [anon_sym_LT] = ACTIONS(4810),
    [anon_sym_LT_LT] = ACTIONS(4810),
    [anon_sym_GT_GT] = ACTIONS(4810),
    [anon_sym___extension__] = ACTIONS(4812),
    [anon_sym___attribute__] = ACTIONS(4812),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym_LBRACE] = ACTIONS(4812),
    [anon_sym_LBRACK] = ACTIONS(4812),
    [anon_sym_EQ] = ACTIONS(4810),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4812),
    [anon_sym_volatile] = ACTIONS(4812),
    [anon_sym_restrict] = ACTIONS(4812),
    [anon_sym___restrict__] = ACTIONS(4812),
    [anon_sym__Atomic] = ACTIONS(4812),
    [anon_sym__Noreturn] = ACTIONS(4812),
    [anon_sym_noreturn] = ACTIONS(4812),
    [anon_sym__Nonnull] = ACTIONS(4812),
    [anon_sym_mutable] = ACTIONS(4812),
    [anon_sym_constinit] = ACTIONS(4812),
    [anon_sym_consteval] = ACTIONS(4812),
    [anon_sym_alignas] = ACTIONS(4812),
    [anon_sym__Alignas] = ACTIONS(4812),
    [anon_sym_COLON] = ACTIONS(4810),
    [anon_sym_QMARK] = ACTIONS(4812),
    [anon_sym_STAR_EQ] = ACTIONS(4812),
    [anon_sym_SLASH_EQ] = ACTIONS(4812),
    [anon_sym_PERCENT_EQ] = ACTIONS(4812),
    [anon_sym_PLUS_EQ] = ACTIONS(4812),
    [anon_sym_DASH_EQ] = ACTIONS(4812),
    [anon_sym_LT_LT_EQ] = ACTIONS(4812),
    [anon_sym_GT_GT_EQ] = ACTIONS(4812),
    [anon_sym_AMP_EQ] = ACTIONS(4812),
    [anon_sym_CARET_EQ] = ACTIONS(4812),
    [anon_sym_PIPE_EQ] = ACTIONS(4812),
    [anon_sym_and_eq] = ACTIONS(4812),
    [anon_sym_or_eq] = ACTIONS(4812),
    [anon_sym_xor_eq] = ACTIONS(4812),
    [anon_sym_LT_EQ_GT] = ACTIONS(4812),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [anon_sym_bitor] = ACTIONS(4812),
    [anon_sym_xor] = ACTIONS(4810),
    [anon_sym_bitand] = ACTIONS(4812),
    [anon_sym_not_eq] = ACTIONS(4812),
    [anon_sym_DASH_DASH] = ACTIONS(4812),
    [anon_sym_PLUS_PLUS] = ACTIONS(4812),
    [anon_sym_DOT] = ACTIONS(4810),
    [anon_sym_DOT_STAR] = ACTIONS(4812),
    [anon_sym_DASH_GT] = ACTIONS(4810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4812),
    [anon_sym_decltype] = ACTIONS(4812),
    [anon_sym_final] = ACTIONS(4812),
    [anon_sym_override] = ACTIONS(4812),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4812),
  },
  [1629] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_COMMA] = ACTIONS(4828),
    [anon_sym_RPAREN] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_PERCENT] = ACTIONS(4826),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4826),
    [anon_sym_CARET] = ACTIONS(4826),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym_EQ_EQ] = ACTIONS(4828),
    [anon_sym_BANG_EQ] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4826),
    [anon_sym_GT_EQ] = ACTIONS(4828),
    [anon_sym_LT_EQ] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4826),
    [anon_sym_LT_LT] = ACTIONS(4826),
    [anon_sym_GT_GT] = ACTIONS(4826),
    [anon_sym___extension__] = ACTIONS(4828),
    [anon_sym___attribute__] = ACTIONS(4828),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym_LBRACE] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4828),
    [anon_sym_EQ] = ACTIONS(4826),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4828),
    [anon_sym_volatile] = ACTIONS(4828),
    [anon_sym_restrict] = ACTIONS(4828),
    [anon_sym___restrict__] = ACTIONS(4828),
    [anon_sym__Atomic] = ACTIONS(4828),
    [anon_sym__Noreturn] = ACTIONS(4828),
    [anon_sym_noreturn] = ACTIONS(4828),
    [anon_sym__Nonnull] = ACTIONS(4828),
    [anon_sym_mutable] = ACTIONS(4828),
    [anon_sym_constinit] = ACTIONS(4828),
    [anon_sym_consteval] = ACTIONS(4828),
    [anon_sym_alignas] = ACTIONS(4828),
    [anon_sym__Alignas] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4828),
    [anon_sym_STAR_EQ] = ACTIONS(4828),
    [anon_sym_SLASH_EQ] = ACTIONS(4828),
    [anon_sym_PERCENT_EQ] = ACTIONS(4828),
    [anon_sym_PLUS_EQ] = ACTIONS(4828),
    [anon_sym_DASH_EQ] = ACTIONS(4828),
    [anon_sym_LT_LT_EQ] = ACTIONS(4828),
    [anon_sym_GT_GT_EQ] = ACTIONS(4828),
    [anon_sym_AMP_EQ] = ACTIONS(4828),
    [anon_sym_CARET_EQ] = ACTIONS(4828),
    [anon_sym_PIPE_EQ] = ACTIONS(4828),
    [anon_sym_and_eq] = ACTIONS(4828),
    [anon_sym_or_eq] = ACTIONS(4828),
    [anon_sym_xor_eq] = ACTIONS(4828),
    [anon_sym_LT_EQ_GT] = ACTIONS(4828),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [anon_sym_bitor] = ACTIONS(4828),
    [anon_sym_xor] = ACTIONS(4826),
    [anon_sym_bitand] = ACTIONS(4828),
    [anon_sym_not_eq] = ACTIONS(4828),
    [anon_sym_DASH_DASH] = ACTIONS(4828),
    [anon_sym_PLUS_PLUS] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4826),
    [anon_sym_DOT_STAR] = ACTIONS(4828),
    [anon_sym_DASH_GT] = ACTIONS(4826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4828),
    [anon_sym_decltype] = ACTIONS(4828),
    [anon_sym_final] = ACTIONS(4828),
    [anon_sym_override] = ACTIONS(4828),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4828),
  },
  [1630] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_COMMA] = ACTIONS(4832),
    [anon_sym_RPAREN] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_DASH] = ACTIONS(4830),
    [anon_sym_PLUS] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4830),
    [anon_sym_SLASH] = ACTIONS(4830),
    [anon_sym_PERCENT] = ACTIONS(4830),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_PIPE] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4830),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym_EQ_EQ] = ACTIONS(4832),
    [anon_sym_BANG_EQ] = ACTIONS(4832),
    [anon_sym_GT] = ACTIONS(4830),
    [anon_sym_GT_EQ] = ACTIONS(4832),
    [anon_sym_LT_EQ] = ACTIONS(4830),
    [anon_sym_LT] = ACTIONS(4830),
    [anon_sym_LT_LT] = ACTIONS(4830),
    [anon_sym_GT_GT] = ACTIONS(4830),
    [anon_sym___extension__] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4832),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym_LBRACE] = ACTIONS(4832),
    [anon_sym_LBRACK] = ACTIONS(4832),
    [anon_sym_EQ] = ACTIONS(4830),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4832),
    [anon_sym_volatile] = ACTIONS(4832),
    [anon_sym_restrict] = ACTIONS(4832),
    [anon_sym___restrict__] = ACTIONS(4832),
    [anon_sym__Atomic] = ACTIONS(4832),
    [anon_sym__Noreturn] = ACTIONS(4832),
    [anon_sym_noreturn] = ACTIONS(4832),
    [anon_sym__Nonnull] = ACTIONS(4832),
    [anon_sym_mutable] = ACTIONS(4832),
    [anon_sym_constinit] = ACTIONS(4832),
    [anon_sym_consteval] = ACTIONS(4832),
    [anon_sym_alignas] = ACTIONS(4832),
    [anon_sym__Alignas] = ACTIONS(4832),
    [anon_sym_COLON] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4832),
    [anon_sym_STAR_EQ] = ACTIONS(4832),
    [anon_sym_SLASH_EQ] = ACTIONS(4832),
    [anon_sym_PERCENT_EQ] = ACTIONS(4832),
    [anon_sym_PLUS_EQ] = ACTIONS(4832),
    [anon_sym_DASH_EQ] = ACTIONS(4832),
    [anon_sym_LT_LT_EQ] = ACTIONS(4832),
    [anon_sym_GT_GT_EQ] = ACTIONS(4832),
    [anon_sym_AMP_EQ] = ACTIONS(4832),
    [anon_sym_CARET_EQ] = ACTIONS(4832),
    [anon_sym_PIPE_EQ] = ACTIONS(4832),
    [anon_sym_and_eq] = ACTIONS(4832),
    [anon_sym_or_eq] = ACTIONS(4832),
    [anon_sym_xor_eq] = ACTIONS(4832),
    [anon_sym_LT_EQ_GT] = ACTIONS(4832),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [anon_sym_bitor] = ACTIONS(4832),
    [anon_sym_xor] = ACTIONS(4830),
    [anon_sym_bitand] = ACTIONS(4832),
    [anon_sym_not_eq] = ACTIONS(4832),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_DOT_STAR] = ACTIONS(4832),
    [anon_sym_DASH_GT] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4832),
    [anon_sym_decltype] = ACTIONS(4832),
    [anon_sym_final] = ACTIONS(4832),
    [anon_sym_override] = ACTIONS(4832),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4832),
  },
  [1631] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4814),
    [anon_sym_STAR] = ACTIONS(4814),
    [anon_sym_SLASH] = ACTIONS(4814),
    [anon_sym_PERCENT] = ACTIONS(4814),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_PIPE] = ACTIONS(4814),
    [anon_sym_CARET] = ACTIONS(4814),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym_EQ_EQ] = ACTIONS(4816),
    [anon_sym_BANG_EQ] = ACTIONS(4816),
    [anon_sym_GT] = ACTIONS(4814),
    [anon_sym_GT_EQ] = ACTIONS(4816),
    [anon_sym_LT_EQ] = ACTIONS(4814),
    [anon_sym_LT] = ACTIONS(4814),
    [anon_sym_LT_LT] = ACTIONS(4814),
    [anon_sym_GT_GT] = ACTIONS(4814),
    [anon_sym___extension__] = ACTIONS(4816),
    [anon_sym___attribute__] = ACTIONS(4816),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4814),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4816),
    [anon_sym_volatile] = ACTIONS(4816),
    [anon_sym_restrict] = ACTIONS(4816),
    [anon_sym___restrict__] = ACTIONS(4816),
    [anon_sym__Atomic] = ACTIONS(4816),
    [anon_sym__Noreturn] = ACTIONS(4816),
    [anon_sym_noreturn] = ACTIONS(4816),
    [anon_sym__Nonnull] = ACTIONS(4816),
    [anon_sym_mutable] = ACTIONS(4816),
    [anon_sym_constinit] = ACTIONS(4816),
    [anon_sym_consteval] = ACTIONS(4816),
    [anon_sym_alignas] = ACTIONS(4816),
    [anon_sym__Alignas] = ACTIONS(4816),
    [anon_sym_COLON] = ACTIONS(4814),
    [anon_sym_QMARK] = ACTIONS(4816),
    [anon_sym_STAR_EQ] = ACTIONS(4816),
    [anon_sym_SLASH_EQ] = ACTIONS(4816),
    [anon_sym_PERCENT_EQ] = ACTIONS(4816),
    [anon_sym_PLUS_EQ] = ACTIONS(4816),
    [anon_sym_DASH_EQ] = ACTIONS(4816),
    [anon_sym_LT_LT_EQ] = ACTIONS(4816),
    [anon_sym_GT_GT_EQ] = ACTIONS(4816),
    [anon_sym_AMP_EQ] = ACTIONS(4816),
    [anon_sym_CARET_EQ] = ACTIONS(4816),
    [anon_sym_PIPE_EQ] = ACTIONS(4816),
    [anon_sym_and_eq] = ACTIONS(4816),
    [anon_sym_or_eq] = ACTIONS(4816),
    [anon_sym_xor_eq] = ACTIONS(4816),
    [anon_sym_LT_EQ_GT] = ACTIONS(4816),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [anon_sym_bitor] = ACTIONS(4816),
    [anon_sym_xor] = ACTIONS(4814),
    [anon_sym_bitand] = ACTIONS(4816),
    [anon_sym_not_eq] = ACTIONS(4816),
    [anon_sym_DASH_DASH] = ACTIONS(4816),
    [anon_sym_PLUS_PLUS] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4814),
    [anon_sym_DOT_STAR] = ACTIONS(4816),
    [anon_sym_DASH_GT] = ACTIONS(4814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4816),
    [anon_sym_decltype] = ACTIONS(4816),
    [anon_sym_final] = ACTIONS(4816),
    [anon_sym_override] = ACTIONS(4816),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4816),
  },
  [1632] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4824),
    [anon_sym_COMMA] = ACTIONS(4824),
    [anon_sym_RPAREN] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_STAR] = ACTIONS(4822),
    [anon_sym_SLASH] = ACTIONS(4822),
    [anon_sym_PERCENT] = ACTIONS(4822),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_PIPE] = ACTIONS(4822),
    [anon_sym_CARET] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym_EQ_EQ] = ACTIONS(4824),
    [anon_sym_BANG_EQ] = ACTIONS(4824),
    [anon_sym_GT] = ACTIONS(4822),
    [anon_sym_GT_EQ] = ACTIONS(4824),
    [anon_sym_LT_EQ] = ACTIONS(4822),
    [anon_sym_LT] = ACTIONS(4822),
    [anon_sym_LT_LT] = ACTIONS(4822),
    [anon_sym_GT_GT] = ACTIONS(4822),
    [anon_sym___extension__] = ACTIONS(4824),
    [anon_sym___attribute__] = ACTIONS(4824),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym_LBRACE] = ACTIONS(4824),
    [anon_sym_LBRACK] = ACTIONS(4824),
    [anon_sym_EQ] = ACTIONS(4822),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4824),
    [anon_sym_volatile] = ACTIONS(4824),
    [anon_sym_restrict] = ACTIONS(4824),
    [anon_sym___restrict__] = ACTIONS(4824),
    [anon_sym__Atomic] = ACTIONS(4824),
    [anon_sym__Noreturn] = ACTIONS(4824),
    [anon_sym_noreturn] = ACTIONS(4824),
    [anon_sym__Nonnull] = ACTIONS(4824),
    [anon_sym_mutable] = ACTIONS(4824),
    [anon_sym_constinit] = ACTIONS(4824),
    [anon_sym_consteval] = ACTIONS(4824),
    [anon_sym_alignas] = ACTIONS(4824),
    [anon_sym__Alignas] = ACTIONS(4824),
    [anon_sym_COLON] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4824),
    [anon_sym_STAR_EQ] = ACTIONS(4824),
    [anon_sym_SLASH_EQ] = ACTIONS(4824),
    [anon_sym_PERCENT_EQ] = ACTIONS(4824),
    [anon_sym_PLUS_EQ] = ACTIONS(4824),
    [anon_sym_DASH_EQ] = ACTIONS(4824),
    [anon_sym_LT_LT_EQ] = ACTIONS(4824),
    [anon_sym_GT_GT_EQ] = ACTIONS(4824),
    [anon_sym_AMP_EQ] = ACTIONS(4824),
    [anon_sym_CARET_EQ] = ACTIONS(4824),
    [anon_sym_PIPE_EQ] = ACTIONS(4824),
    [anon_sym_and_eq] = ACTIONS(4824),
    [anon_sym_or_eq] = ACTIONS(4824),
    [anon_sym_xor_eq] = ACTIONS(4824),
    [anon_sym_LT_EQ_GT] = ACTIONS(4824),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [anon_sym_bitor] = ACTIONS(4824),
    [anon_sym_xor] = ACTIONS(4822),
    [anon_sym_bitand] = ACTIONS(4824),
    [anon_sym_not_eq] = ACTIONS(4824),
    [anon_sym_DASH_DASH] = ACTIONS(4824),
    [anon_sym_PLUS_PLUS] = ACTIONS(4824),
    [anon_sym_DOT] = ACTIONS(4822),
    [anon_sym_DOT_STAR] = ACTIONS(4824),
    [anon_sym_DASH_GT] = ACTIONS(4822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4824),
    [anon_sym_decltype] = ACTIONS(4824),
    [anon_sym_final] = ACTIONS(4824),
    [anon_sym_override] = ACTIONS(4824),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4824),
  },
  [1633] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_COMMA] = ACTIONS(4836),
    [anon_sym_RPAREN] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_STAR] = ACTIONS(4834),
    [anon_sym_SLASH] = ACTIONS(4834),
    [anon_sym_PERCENT] = ACTIONS(4834),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_PIPE] = ACTIONS(4834),
    [anon_sym_CARET] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym_EQ_EQ] = ACTIONS(4836),
    [anon_sym_BANG_EQ] = ACTIONS(4836),
    [anon_sym_GT] = ACTIONS(4834),
    [anon_sym_GT_EQ] = ACTIONS(4836),
    [anon_sym_LT_EQ] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(4834),
    [anon_sym_LT_LT] = ACTIONS(4834),
    [anon_sym_GT_GT] = ACTIONS(4834),
    [anon_sym___extension__] = ACTIONS(4836),
    [anon_sym___attribute__] = ACTIONS(4836),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACE] = ACTIONS(4836),
    [anon_sym_LBRACK] = ACTIONS(4836),
    [anon_sym_EQ] = ACTIONS(4834),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4836),
    [anon_sym_volatile] = ACTIONS(4836),
    [anon_sym_restrict] = ACTIONS(4836),
    [anon_sym___restrict__] = ACTIONS(4836),
    [anon_sym__Atomic] = ACTIONS(4836),
    [anon_sym__Noreturn] = ACTIONS(4836),
    [anon_sym_noreturn] = ACTIONS(4836),
    [anon_sym__Nonnull] = ACTIONS(4836),
    [anon_sym_mutable] = ACTIONS(4836),
    [anon_sym_constinit] = ACTIONS(4836),
    [anon_sym_consteval] = ACTIONS(4836),
    [anon_sym_alignas] = ACTIONS(4836),
    [anon_sym__Alignas] = ACTIONS(4836),
    [anon_sym_COLON] = ACTIONS(4834),
    [anon_sym_QMARK] = ACTIONS(4836),
    [anon_sym_STAR_EQ] = ACTIONS(4836),
    [anon_sym_SLASH_EQ] = ACTIONS(4836),
    [anon_sym_PERCENT_EQ] = ACTIONS(4836),
    [anon_sym_PLUS_EQ] = ACTIONS(4836),
    [anon_sym_DASH_EQ] = ACTIONS(4836),
    [anon_sym_LT_LT_EQ] = ACTIONS(4836),
    [anon_sym_GT_GT_EQ] = ACTIONS(4836),
    [anon_sym_AMP_EQ] = ACTIONS(4836),
    [anon_sym_CARET_EQ] = ACTIONS(4836),
    [anon_sym_PIPE_EQ] = ACTIONS(4836),
    [anon_sym_and_eq] = ACTIONS(4836),
    [anon_sym_or_eq] = ACTIONS(4836),
    [anon_sym_xor_eq] = ACTIONS(4836),
    [anon_sym_LT_EQ_GT] = ACTIONS(4836),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [anon_sym_bitor] = ACTIONS(4836),
    [anon_sym_xor] = ACTIONS(4834),
    [anon_sym_bitand] = ACTIONS(4836),
    [anon_sym_not_eq] = ACTIONS(4836),
    [anon_sym_DASH_DASH] = ACTIONS(4836),
    [anon_sym_PLUS_PLUS] = ACTIONS(4836),
    [anon_sym_DOT] = ACTIONS(4834),
    [anon_sym_DOT_STAR] = ACTIONS(4836),
    [anon_sym_DASH_GT] = ACTIONS(4834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4836),
    [anon_sym_decltype] = ACTIONS(4836),
    [anon_sym_final] = ACTIONS(4836),
    [anon_sym_override] = ACTIONS(4836),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4836),
  },
  [1634] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4931),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym___attribute] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4931),
    [anon_sym_signed] = ACTIONS(5232),
    [anon_sym_unsigned] = ACTIONS(5232),
    [anon_sym_long] = ACTIONS(5232),
    [anon_sym_short] = ACTIONS(5232),
    [anon_sym_LBRACK] = ACTIONS(4931),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4931),
  },
  [1635] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_PIPE_PIPE] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_or] = ACTIONS(1909),
    [anon_sym_and] = ACTIONS(1909),
    [anon_sym_DASH_GT] = ACTIONS(1907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_noexcept] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_catch] = ACTIONS(1909),
  },
  [1636] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_PIPE_PIPE] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_DASH_GT] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_friend] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1913),
    [anon_sym_private] = ACTIONS(1913),
    [anon_sym_protected] = ACTIONS(1913),
    [anon_sym_noexcept] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_catch] = ACTIONS(1913),
  },
  [1637] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1634),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [anon_sym_RPAREN] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_STAR] = ACTIONS(5014),
    [anon_sym_SLASH] = ACTIONS(5014),
    [anon_sym_PERCENT] = ACTIONS(5014),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5014),
    [anon_sym_CARET] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(5014),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5014),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5014),
    [anon_sym_LT] = ACTIONS(5014),
    [anon_sym_LT_LT] = ACTIONS(5014),
    [anon_sym_GT_GT] = ACTIONS(5014),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(5014),
    [anon_sym___attribute] = ACTIONS(5014),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_signed] = ACTIONS(5232),
    [anon_sym_unsigned] = ACTIONS(5232),
    [anon_sym_long] = ACTIONS(5232),
    [anon_sym_short] = ACTIONS(5232),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5014),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_STAR_EQ] = ACTIONS(5011),
    [anon_sym_SLASH_EQ] = ACTIONS(5011),
    [anon_sym_PERCENT_EQ] = ACTIONS(5011),
    [anon_sym_PLUS_EQ] = ACTIONS(5011),
    [anon_sym_DASH_EQ] = ACTIONS(5011),
    [anon_sym_LT_LT_EQ] = ACTIONS(5011),
    [anon_sym_GT_GT_EQ] = ACTIONS(5011),
    [anon_sym_AMP_EQ] = ACTIONS(5011),
    [anon_sym_CARET_EQ] = ACTIONS(5011),
    [anon_sym_PIPE_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5014),
    [anon_sym_and] = ACTIONS(5014),
    [anon_sym_bitor] = ACTIONS(5014),
    [anon_sym_xor] = ACTIONS(5014),
    [anon_sym_bitand] = ACTIONS(5014),
    [anon_sym_not_eq] = ACTIONS(5014),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5014),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5014),
    [anon_sym_decltype] = ACTIONS(5014),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5011),
  },
  [1638] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4859),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4857),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4857),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4857),
    [anon_sym_GT_GT] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1639] = {
    [sym_string_literal] = STATE(1654),
    [sym_template_argument_list] = STATE(2281),
    [sym_raw_string_literal] = STATE(1654),
    [sym_identifier] = ACTIONS(4071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(4063),
    [aux_sym_preproc_if_token2] = ACTIONS(4063),
    [aux_sym_preproc_else_token1] = ACTIONS(4063),
    [aux_sym_preproc_elif_token1] = ACTIONS(4071),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4063),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(5235),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_RBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_COLON] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4071),
    [anon_sym_or_eq] = ACTIONS(4071),
    [anon_sym_xor_eq] = ACTIONS(4071),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
  },
  [1640] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2532),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_GT_GT] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_RBRACK] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_bitor] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_bitand] = ACTIONS(2532),
    [anon_sym_not_eq] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2532),
    [anon_sym_DOT_STAR] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_final] = ACTIONS(2532),
    [anon_sym_override] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
  },
  [1641] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_RPAREN] = ACTIONS(4941),
    [aux_sym_preproc_if_token2] = ACTIONS(4941),
    [aux_sym_preproc_else_token1] = ACTIONS(4941),
    [aux_sym_preproc_elif_token1] = ACTIONS(4939),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4941),
    [anon_sym_SLASH] = ACTIONS(4939),
    [anon_sym_PERCENT] = ACTIONS(4941),
    [anon_sym_PIPE_PIPE] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_PIPE] = ACTIONS(4939),
    [anon_sym_CARET] = ACTIONS(4941),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_EQ_EQ] = ACTIONS(4941),
    [anon_sym_BANG_EQ] = ACTIONS(4941),
    [anon_sym_GT] = ACTIONS(4939),
    [anon_sym_GT_EQ] = ACTIONS(4941),
    [anon_sym_LT_EQ] = ACTIONS(4939),
    [anon_sym_LT] = ACTIONS(4939),
    [anon_sym_LT_LT] = ACTIONS(4941),
    [anon_sym_GT_GT] = ACTIONS(4941),
    [anon_sym_SEMI] = ACTIONS(4941),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym___attribute] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_RBRACE] = ACTIONS(4941),
    [anon_sym_signed] = ACTIONS(4939),
    [anon_sym_unsigned] = ACTIONS(4939),
    [anon_sym_long] = ACTIONS(4939),
    [anon_sym_short] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_RBRACK] = ACTIONS(4941),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym__Nonnull] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_COLON] = ACTIONS(4941),
    [anon_sym_QMARK] = ACTIONS(4941),
    [anon_sym_LT_EQ_GT] = ACTIONS(4941),
    [anon_sym_or] = ACTIONS(4939),
    [anon_sym_and] = ACTIONS(4939),
    [anon_sym_bitor] = ACTIONS(4939),
    [anon_sym_xor] = ACTIONS(4939),
    [anon_sym_bitand] = ACTIONS(4939),
    [anon_sym_not_eq] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_DOT_STAR] = ACTIONS(4941),
    [anon_sym_DASH_GT] = ACTIONS(4941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
    [anon_sym_final] = ACTIONS(4939),
    [anon_sym_override] = ACTIONS(4939),
    [anon_sym_requires] = ACTIONS(4939),
  },
  [1642] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2532),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2532),
    [anon_sym_CARET] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_LT_EQ] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_LT_LT] = ACTIONS(2532),
    [anon_sym_GT_GT] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2522),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_bitor] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_bitand] = ACTIONS(2532),
    [anon_sym_not_eq] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2532),
    [anon_sym_DOT_STAR] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2522),
  },
  [1643] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_RPAREN] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4939),
    [anon_sym_SLASH] = ACTIONS(4939),
    [anon_sym_PERCENT] = ACTIONS(4939),
    [anon_sym_PIPE_PIPE] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_PIPE] = ACTIONS(4939),
    [anon_sym_CARET] = ACTIONS(4939),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_EQ_EQ] = ACTIONS(4941),
    [anon_sym_BANG_EQ] = ACTIONS(4941),
    [anon_sym_GT] = ACTIONS(4939),
    [anon_sym_GT_EQ] = ACTIONS(4941),
    [anon_sym_LT_EQ] = ACTIONS(4939),
    [anon_sym_LT] = ACTIONS(4939),
    [anon_sym_LT_LT] = ACTIONS(4939),
    [anon_sym_GT_GT] = ACTIONS(4939),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym___attribute] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_signed] = ACTIONS(4939),
    [anon_sym_unsigned] = ACTIONS(4939),
    [anon_sym_long] = ACTIONS(4939),
    [anon_sym_short] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_EQ] = ACTIONS(4939),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym__Nonnull] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_QMARK] = ACTIONS(4941),
    [anon_sym_STAR_EQ] = ACTIONS(4941),
    [anon_sym_SLASH_EQ] = ACTIONS(4941),
    [anon_sym_PERCENT_EQ] = ACTIONS(4941),
    [anon_sym_PLUS_EQ] = ACTIONS(4941),
    [anon_sym_DASH_EQ] = ACTIONS(4941),
    [anon_sym_LT_LT_EQ] = ACTIONS(4941),
    [anon_sym_GT_GT_EQ] = ACTIONS(4941),
    [anon_sym_AMP_EQ] = ACTIONS(4941),
    [anon_sym_CARET_EQ] = ACTIONS(4941),
    [anon_sym_PIPE_EQ] = ACTIONS(4941),
    [anon_sym_LT_EQ_GT] = ACTIONS(4941),
    [anon_sym_or] = ACTIONS(4939),
    [anon_sym_and] = ACTIONS(4939),
    [anon_sym_bitor] = ACTIONS(4939),
    [anon_sym_xor] = ACTIONS(4939),
    [anon_sym_bitand] = ACTIONS(4939),
    [anon_sym_not_eq] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_DOT_STAR] = ACTIONS(4941),
    [anon_sym_DASH_GT] = ACTIONS(4939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4941),
  },
  [1644] = {
    [sym_catch_clause] = STATE(1652),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_friend] = ACTIONS(2504),
    [anon_sym_public] = ACTIONS(2504),
    [anon_sym_private] = ACTIONS(2504),
    [anon_sym_protected] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_catch] = ACTIONS(5238),
  },
  [1645] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_COMMA] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4818),
    [anon_sym_STAR] = ACTIONS(4818),
    [anon_sym_SLASH] = ACTIONS(4818),
    [anon_sym_PERCENT] = ACTIONS(4818),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_PIPE] = ACTIONS(4818),
    [anon_sym_CARET] = ACTIONS(4818),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym_EQ_EQ] = ACTIONS(4820),
    [anon_sym_BANG_EQ] = ACTIONS(4820),
    [anon_sym_GT] = ACTIONS(4818),
    [anon_sym_GT_EQ] = ACTIONS(4818),
    [anon_sym_LT_EQ] = ACTIONS(4818),
    [anon_sym_LT] = ACTIONS(4818),
    [anon_sym_LT_LT] = ACTIONS(4818),
    [anon_sym_GT_GT] = ACTIONS(4818),
    [anon_sym___extension__] = ACTIONS(4820),
    [anon_sym___attribute__] = ACTIONS(4820),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym_LBRACE] = ACTIONS(4820),
    [anon_sym_LBRACK] = ACTIONS(4820),
    [anon_sym_EQ] = ACTIONS(4818),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4820),
    [anon_sym_volatile] = ACTIONS(4820),
    [anon_sym_restrict] = ACTIONS(4820),
    [anon_sym___restrict__] = ACTIONS(4820),
    [anon_sym__Atomic] = ACTIONS(4820),
    [anon_sym__Noreturn] = ACTIONS(4820),
    [anon_sym_noreturn] = ACTIONS(4820),
    [anon_sym__Nonnull] = ACTIONS(4820),
    [anon_sym_mutable] = ACTIONS(4820),
    [anon_sym_constinit] = ACTIONS(4820),
    [anon_sym_consteval] = ACTIONS(4820),
    [anon_sym_alignas] = ACTIONS(4820),
    [anon_sym__Alignas] = ACTIONS(4820),
    [anon_sym_COLON] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4820),
    [anon_sym_STAR_EQ] = ACTIONS(4820),
    [anon_sym_SLASH_EQ] = ACTIONS(4820),
    [anon_sym_PERCENT_EQ] = ACTIONS(4820),
    [anon_sym_PLUS_EQ] = ACTIONS(4820),
    [anon_sym_DASH_EQ] = ACTIONS(4820),
    [anon_sym_LT_LT_EQ] = ACTIONS(4820),
    [anon_sym_GT_GT_EQ] = ACTIONS(4818),
    [anon_sym_AMP_EQ] = ACTIONS(4820),
    [anon_sym_CARET_EQ] = ACTIONS(4820),
    [anon_sym_PIPE_EQ] = ACTIONS(4820),
    [anon_sym_and_eq] = ACTIONS(4820),
    [anon_sym_or_eq] = ACTIONS(4820),
    [anon_sym_xor_eq] = ACTIONS(4820),
    [anon_sym_LT_EQ_GT] = ACTIONS(4820),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [anon_sym_bitor] = ACTIONS(4820),
    [anon_sym_xor] = ACTIONS(4818),
    [anon_sym_bitand] = ACTIONS(4820),
    [anon_sym_not_eq] = ACTIONS(4820),
    [anon_sym_DASH_DASH] = ACTIONS(4820),
    [anon_sym_PLUS_PLUS] = ACTIONS(4820),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_DOT_STAR] = ACTIONS(4820),
    [anon_sym_DASH_GT] = ACTIONS(4820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4820),
    [anon_sym_decltype] = ACTIONS(4820),
    [anon_sym_final] = ACTIONS(4820),
    [anon_sym_override] = ACTIONS(4820),
    [anon_sym_GT2] = ACTIONS(4820),
  },
  [1646] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_COMMA] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_STAR] = ACTIONS(4810),
    [anon_sym_SLASH] = ACTIONS(4810),
    [anon_sym_PERCENT] = ACTIONS(4810),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_PIPE] = ACTIONS(4810),
    [anon_sym_CARET] = ACTIONS(4810),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4812),
    [anon_sym_BANG_EQ] = ACTIONS(4812),
    [anon_sym_GT] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4810),
    [anon_sym_LT_EQ] = ACTIONS(4810),
    [anon_sym_LT] = ACTIONS(4810),
    [anon_sym_LT_LT] = ACTIONS(4810),
    [anon_sym_GT_GT] = ACTIONS(4810),
    [anon_sym___extension__] = ACTIONS(4812),
    [anon_sym___attribute__] = ACTIONS(4812),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym_LBRACE] = ACTIONS(4812),
    [anon_sym_LBRACK] = ACTIONS(4812),
    [anon_sym_EQ] = ACTIONS(4810),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4812),
    [anon_sym_volatile] = ACTIONS(4812),
    [anon_sym_restrict] = ACTIONS(4812),
    [anon_sym___restrict__] = ACTIONS(4812),
    [anon_sym__Atomic] = ACTIONS(4812),
    [anon_sym__Noreturn] = ACTIONS(4812),
    [anon_sym_noreturn] = ACTIONS(4812),
    [anon_sym__Nonnull] = ACTIONS(4812),
    [anon_sym_mutable] = ACTIONS(4812),
    [anon_sym_constinit] = ACTIONS(4812),
    [anon_sym_consteval] = ACTIONS(4812),
    [anon_sym_alignas] = ACTIONS(4812),
    [anon_sym__Alignas] = ACTIONS(4812),
    [anon_sym_COLON] = ACTIONS(4810),
    [anon_sym_QMARK] = ACTIONS(4812),
    [anon_sym_STAR_EQ] = ACTIONS(4812),
    [anon_sym_SLASH_EQ] = ACTIONS(4812),
    [anon_sym_PERCENT_EQ] = ACTIONS(4812),
    [anon_sym_PLUS_EQ] = ACTIONS(4812),
    [anon_sym_DASH_EQ] = ACTIONS(4812),
    [anon_sym_LT_LT_EQ] = ACTIONS(4812),
    [anon_sym_GT_GT_EQ] = ACTIONS(4810),
    [anon_sym_AMP_EQ] = ACTIONS(4812),
    [anon_sym_CARET_EQ] = ACTIONS(4812),
    [anon_sym_PIPE_EQ] = ACTIONS(4812),
    [anon_sym_and_eq] = ACTIONS(4812),
    [anon_sym_or_eq] = ACTIONS(4812),
    [anon_sym_xor_eq] = ACTIONS(4812),
    [anon_sym_LT_EQ_GT] = ACTIONS(4812),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [anon_sym_bitor] = ACTIONS(4812),
    [anon_sym_xor] = ACTIONS(4810),
    [anon_sym_bitand] = ACTIONS(4812),
    [anon_sym_not_eq] = ACTIONS(4812),
    [anon_sym_DASH_DASH] = ACTIONS(4812),
    [anon_sym_PLUS_PLUS] = ACTIONS(4812),
    [anon_sym_DOT] = ACTIONS(4810),
    [anon_sym_DOT_STAR] = ACTIONS(4812),
    [anon_sym_DASH_GT] = ACTIONS(4812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4812),
    [anon_sym_decltype] = ACTIONS(4812),
    [anon_sym_final] = ACTIONS(4812),
    [anon_sym_override] = ACTIONS(4812),
    [anon_sym_GT2] = ACTIONS(4812),
  },
  [1647] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_COMMA] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_PERCENT] = ACTIONS(4826),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4826),
    [anon_sym_CARET] = ACTIONS(4826),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym_EQ_EQ] = ACTIONS(4828),
    [anon_sym_BANG_EQ] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4826),
    [anon_sym_GT_EQ] = ACTIONS(4826),
    [anon_sym_LT_EQ] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4826),
    [anon_sym_LT_LT] = ACTIONS(4826),
    [anon_sym_GT_GT] = ACTIONS(4826),
    [anon_sym___extension__] = ACTIONS(4828),
    [anon_sym___attribute__] = ACTIONS(4828),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym_LBRACE] = ACTIONS(4828),
    [anon_sym_LBRACK] = ACTIONS(4828),
    [anon_sym_EQ] = ACTIONS(4826),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4828),
    [anon_sym_volatile] = ACTIONS(4828),
    [anon_sym_restrict] = ACTIONS(4828),
    [anon_sym___restrict__] = ACTIONS(4828),
    [anon_sym__Atomic] = ACTIONS(4828),
    [anon_sym__Noreturn] = ACTIONS(4828),
    [anon_sym_noreturn] = ACTIONS(4828),
    [anon_sym__Nonnull] = ACTIONS(4828),
    [anon_sym_mutable] = ACTIONS(4828),
    [anon_sym_constinit] = ACTIONS(4828),
    [anon_sym_consteval] = ACTIONS(4828),
    [anon_sym_alignas] = ACTIONS(4828),
    [anon_sym__Alignas] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4828),
    [anon_sym_STAR_EQ] = ACTIONS(4828),
    [anon_sym_SLASH_EQ] = ACTIONS(4828),
    [anon_sym_PERCENT_EQ] = ACTIONS(4828),
    [anon_sym_PLUS_EQ] = ACTIONS(4828),
    [anon_sym_DASH_EQ] = ACTIONS(4828),
    [anon_sym_LT_LT_EQ] = ACTIONS(4828),
    [anon_sym_GT_GT_EQ] = ACTIONS(4826),
    [anon_sym_AMP_EQ] = ACTIONS(4828),
    [anon_sym_CARET_EQ] = ACTIONS(4828),
    [anon_sym_PIPE_EQ] = ACTIONS(4828),
    [anon_sym_and_eq] = ACTIONS(4828),
    [anon_sym_or_eq] = ACTIONS(4828),
    [anon_sym_xor_eq] = ACTIONS(4828),
    [anon_sym_LT_EQ_GT] = ACTIONS(4828),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [anon_sym_bitor] = ACTIONS(4828),
    [anon_sym_xor] = ACTIONS(4826),
    [anon_sym_bitand] = ACTIONS(4828),
    [anon_sym_not_eq] = ACTIONS(4828),
    [anon_sym_DASH_DASH] = ACTIONS(4828),
    [anon_sym_PLUS_PLUS] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4826),
    [anon_sym_DOT_STAR] = ACTIONS(4828),
    [anon_sym_DASH_GT] = ACTIONS(4828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4828),
    [anon_sym_decltype] = ACTIONS(4828),
    [anon_sym_final] = ACTIONS(4828),
    [anon_sym_override] = ACTIONS(4828),
    [anon_sym_GT2] = ACTIONS(4828),
  },
  [1648] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_COMMA] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_DASH] = ACTIONS(4830),
    [anon_sym_PLUS] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4830),
    [anon_sym_SLASH] = ACTIONS(4830),
    [anon_sym_PERCENT] = ACTIONS(4830),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_PIPE] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4830),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym_EQ_EQ] = ACTIONS(4832),
    [anon_sym_BANG_EQ] = ACTIONS(4832),
    [anon_sym_GT] = ACTIONS(4830),
    [anon_sym_GT_EQ] = ACTIONS(4830),
    [anon_sym_LT_EQ] = ACTIONS(4830),
    [anon_sym_LT] = ACTIONS(4830),
    [anon_sym_LT_LT] = ACTIONS(4830),
    [anon_sym_GT_GT] = ACTIONS(4830),
    [anon_sym___extension__] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4832),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym_LBRACE] = ACTIONS(4832),
    [anon_sym_LBRACK] = ACTIONS(4832),
    [anon_sym_EQ] = ACTIONS(4830),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4832),
    [anon_sym_volatile] = ACTIONS(4832),
    [anon_sym_restrict] = ACTIONS(4832),
    [anon_sym___restrict__] = ACTIONS(4832),
    [anon_sym__Atomic] = ACTIONS(4832),
    [anon_sym__Noreturn] = ACTIONS(4832),
    [anon_sym_noreturn] = ACTIONS(4832),
    [anon_sym__Nonnull] = ACTIONS(4832),
    [anon_sym_mutable] = ACTIONS(4832),
    [anon_sym_constinit] = ACTIONS(4832),
    [anon_sym_consteval] = ACTIONS(4832),
    [anon_sym_alignas] = ACTIONS(4832),
    [anon_sym__Alignas] = ACTIONS(4832),
    [anon_sym_COLON] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4832),
    [anon_sym_STAR_EQ] = ACTIONS(4832),
    [anon_sym_SLASH_EQ] = ACTIONS(4832),
    [anon_sym_PERCENT_EQ] = ACTIONS(4832),
    [anon_sym_PLUS_EQ] = ACTIONS(4832),
    [anon_sym_DASH_EQ] = ACTIONS(4832),
    [anon_sym_LT_LT_EQ] = ACTIONS(4832),
    [anon_sym_GT_GT_EQ] = ACTIONS(4830),
    [anon_sym_AMP_EQ] = ACTIONS(4832),
    [anon_sym_CARET_EQ] = ACTIONS(4832),
    [anon_sym_PIPE_EQ] = ACTIONS(4832),
    [anon_sym_and_eq] = ACTIONS(4832),
    [anon_sym_or_eq] = ACTIONS(4832),
    [anon_sym_xor_eq] = ACTIONS(4832),
    [anon_sym_LT_EQ_GT] = ACTIONS(4832),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [anon_sym_bitor] = ACTIONS(4832),
    [anon_sym_xor] = ACTIONS(4830),
    [anon_sym_bitand] = ACTIONS(4832),
    [anon_sym_not_eq] = ACTIONS(4832),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_DOT_STAR] = ACTIONS(4832),
    [anon_sym_DASH_GT] = ACTIONS(4832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4832),
    [anon_sym_decltype] = ACTIONS(4832),
    [anon_sym_final] = ACTIONS(4832),
    [anon_sym_override] = ACTIONS(4832),
    [anon_sym_GT2] = ACTIONS(4832),
  },
  [1649] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4814),
    [anon_sym_STAR] = ACTIONS(4814),
    [anon_sym_SLASH] = ACTIONS(4814),
    [anon_sym_PERCENT] = ACTIONS(4814),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_PIPE] = ACTIONS(4814),
    [anon_sym_CARET] = ACTIONS(4814),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym_EQ_EQ] = ACTIONS(4816),
    [anon_sym_BANG_EQ] = ACTIONS(4816),
    [anon_sym_GT] = ACTIONS(4814),
    [anon_sym_GT_EQ] = ACTIONS(4814),
    [anon_sym_LT_EQ] = ACTIONS(4814),
    [anon_sym_LT] = ACTIONS(4814),
    [anon_sym_LT_LT] = ACTIONS(4814),
    [anon_sym_GT_GT] = ACTIONS(4814),
    [anon_sym___extension__] = ACTIONS(4816),
    [anon_sym___attribute__] = ACTIONS(4816),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4816),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4814),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4816),
    [anon_sym_volatile] = ACTIONS(4816),
    [anon_sym_restrict] = ACTIONS(4816),
    [anon_sym___restrict__] = ACTIONS(4816),
    [anon_sym__Atomic] = ACTIONS(4816),
    [anon_sym__Noreturn] = ACTIONS(4816),
    [anon_sym_noreturn] = ACTIONS(4816),
    [anon_sym__Nonnull] = ACTIONS(4816),
    [anon_sym_mutable] = ACTIONS(4816),
    [anon_sym_constinit] = ACTIONS(4816),
    [anon_sym_consteval] = ACTIONS(4816),
    [anon_sym_alignas] = ACTIONS(4816),
    [anon_sym__Alignas] = ACTIONS(4816),
    [anon_sym_COLON] = ACTIONS(4814),
    [anon_sym_QMARK] = ACTIONS(4816),
    [anon_sym_STAR_EQ] = ACTIONS(4816),
    [anon_sym_SLASH_EQ] = ACTIONS(4816),
    [anon_sym_PERCENT_EQ] = ACTIONS(4816),
    [anon_sym_PLUS_EQ] = ACTIONS(4816),
    [anon_sym_DASH_EQ] = ACTIONS(4816),
    [anon_sym_LT_LT_EQ] = ACTIONS(4816),
    [anon_sym_GT_GT_EQ] = ACTIONS(4814),
    [anon_sym_AMP_EQ] = ACTIONS(4816),
    [anon_sym_CARET_EQ] = ACTIONS(4816),
    [anon_sym_PIPE_EQ] = ACTIONS(4816),
    [anon_sym_and_eq] = ACTIONS(4816),
    [anon_sym_or_eq] = ACTIONS(4816),
    [anon_sym_xor_eq] = ACTIONS(4816),
    [anon_sym_LT_EQ_GT] = ACTIONS(4816),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [anon_sym_bitor] = ACTIONS(4816),
    [anon_sym_xor] = ACTIONS(4814),
    [anon_sym_bitand] = ACTIONS(4816),
    [anon_sym_not_eq] = ACTIONS(4816),
    [anon_sym_DASH_DASH] = ACTIONS(4816),
    [anon_sym_PLUS_PLUS] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4814),
    [anon_sym_DOT_STAR] = ACTIONS(4816),
    [anon_sym_DASH_GT] = ACTIONS(4816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4816),
    [anon_sym_decltype] = ACTIONS(4816),
    [anon_sym_final] = ACTIONS(4816),
    [anon_sym_override] = ACTIONS(4816),
    [anon_sym_GT2] = ACTIONS(4816),
  },
  [1650] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4824),
    [anon_sym_COMMA] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_STAR] = ACTIONS(4822),
    [anon_sym_SLASH] = ACTIONS(4822),
    [anon_sym_PERCENT] = ACTIONS(4822),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_PIPE] = ACTIONS(4822),
    [anon_sym_CARET] = ACTIONS(4822),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym_EQ_EQ] = ACTIONS(4824),
    [anon_sym_BANG_EQ] = ACTIONS(4824),
    [anon_sym_GT] = ACTIONS(4822),
    [anon_sym_GT_EQ] = ACTIONS(4822),
    [anon_sym_LT_EQ] = ACTIONS(4822),
    [anon_sym_LT] = ACTIONS(4822),
    [anon_sym_LT_LT] = ACTIONS(4822),
    [anon_sym_GT_GT] = ACTIONS(4822),
    [anon_sym___extension__] = ACTIONS(4824),
    [anon_sym___attribute__] = ACTIONS(4824),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym_LBRACE] = ACTIONS(4824),
    [anon_sym_LBRACK] = ACTIONS(4824),
    [anon_sym_EQ] = ACTIONS(4822),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4824),
    [anon_sym_volatile] = ACTIONS(4824),
    [anon_sym_restrict] = ACTIONS(4824),
    [anon_sym___restrict__] = ACTIONS(4824),
    [anon_sym__Atomic] = ACTIONS(4824),
    [anon_sym__Noreturn] = ACTIONS(4824),
    [anon_sym_noreturn] = ACTIONS(4824),
    [anon_sym__Nonnull] = ACTIONS(4824),
    [anon_sym_mutable] = ACTIONS(4824),
    [anon_sym_constinit] = ACTIONS(4824),
    [anon_sym_consteval] = ACTIONS(4824),
    [anon_sym_alignas] = ACTIONS(4824),
    [anon_sym__Alignas] = ACTIONS(4824),
    [anon_sym_COLON] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4824),
    [anon_sym_STAR_EQ] = ACTIONS(4824),
    [anon_sym_SLASH_EQ] = ACTIONS(4824),
    [anon_sym_PERCENT_EQ] = ACTIONS(4824),
    [anon_sym_PLUS_EQ] = ACTIONS(4824),
    [anon_sym_DASH_EQ] = ACTIONS(4824),
    [anon_sym_LT_LT_EQ] = ACTIONS(4824),
    [anon_sym_GT_GT_EQ] = ACTIONS(4822),
    [anon_sym_AMP_EQ] = ACTIONS(4824),
    [anon_sym_CARET_EQ] = ACTIONS(4824),
    [anon_sym_PIPE_EQ] = ACTIONS(4824),
    [anon_sym_and_eq] = ACTIONS(4824),
    [anon_sym_or_eq] = ACTIONS(4824),
    [anon_sym_xor_eq] = ACTIONS(4824),
    [anon_sym_LT_EQ_GT] = ACTIONS(4824),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [anon_sym_bitor] = ACTIONS(4824),
    [anon_sym_xor] = ACTIONS(4822),
    [anon_sym_bitand] = ACTIONS(4824),
    [anon_sym_not_eq] = ACTIONS(4824),
    [anon_sym_DASH_DASH] = ACTIONS(4824),
    [anon_sym_PLUS_PLUS] = ACTIONS(4824),
    [anon_sym_DOT] = ACTIONS(4822),
    [anon_sym_DOT_STAR] = ACTIONS(4824),
    [anon_sym_DASH_GT] = ACTIONS(4824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4824),
    [anon_sym_decltype] = ACTIONS(4824),
    [anon_sym_final] = ACTIONS(4824),
    [anon_sym_override] = ACTIONS(4824),
    [anon_sym_GT2] = ACTIONS(4824),
  },
  [1651] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_COMMA] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_STAR] = ACTIONS(4834),
    [anon_sym_SLASH] = ACTIONS(4834),
    [anon_sym_PERCENT] = ACTIONS(4834),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_PIPE] = ACTIONS(4834),
    [anon_sym_CARET] = ACTIONS(4834),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym_EQ_EQ] = ACTIONS(4836),
    [anon_sym_BANG_EQ] = ACTIONS(4836),
    [anon_sym_GT] = ACTIONS(4834),
    [anon_sym_GT_EQ] = ACTIONS(4834),
    [anon_sym_LT_EQ] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(4834),
    [anon_sym_LT_LT] = ACTIONS(4834),
    [anon_sym_GT_GT] = ACTIONS(4834),
    [anon_sym___extension__] = ACTIONS(4836),
    [anon_sym___attribute__] = ACTIONS(4836),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACE] = ACTIONS(4836),
    [anon_sym_LBRACK] = ACTIONS(4836),
    [anon_sym_EQ] = ACTIONS(4834),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4836),
    [anon_sym_volatile] = ACTIONS(4836),
    [anon_sym_restrict] = ACTIONS(4836),
    [anon_sym___restrict__] = ACTIONS(4836),
    [anon_sym__Atomic] = ACTIONS(4836),
    [anon_sym__Noreturn] = ACTIONS(4836),
    [anon_sym_noreturn] = ACTIONS(4836),
    [anon_sym__Nonnull] = ACTIONS(4836),
    [anon_sym_mutable] = ACTIONS(4836),
    [anon_sym_constinit] = ACTIONS(4836),
    [anon_sym_consteval] = ACTIONS(4836),
    [anon_sym_alignas] = ACTIONS(4836),
    [anon_sym__Alignas] = ACTIONS(4836),
    [anon_sym_COLON] = ACTIONS(4834),
    [anon_sym_QMARK] = ACTIONS(4836),
    [anon_sym_STAR_EQ] = ACTIONS(4836),
    [anon_sym_SLASH_EQ] = ACTIONS(4836),
    [anon_sym_PERCENT_EQ] = ACTIONS(4836),
    [anon_sym_PLUS_EQ] = ACTIONS(4836),
    [anon_sym_DASH_EQ] = ACTIONS(4836),
    [anon_sym_LT_LT_EQ] = ACTIONS(4836),
    [anon_sym_GT_GT_EQ] = ACTIONS(4834),
    [anon_sym_AMP_EQ] = ACTIONS(4836),
    [anon_sym_CARET_EQ] = ACTIONS(4836),
    [anon_sym_PIPE_EQ] = ACTIONS(4836),
    [anon_sym_and_eq] = ACTIONS(4836),
    [anon_sym_or_eq] = ACTIONS(4836),
    [anon_sym_xor_eq] = ACTIONS(4836),
    [anon_sym_LT_EQ_GT] = ACTIONS(4836),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [anon_sym_bitor] = ACTIONS(4836),
    [anon_sym_xor] = ACTIONS(4834),
    [anon_sym_bitand] = ACTIONS(4836),
    [anon_sym_not_eq] = ACTIONS(4836),
    [anon_sym_DASH_DASH] = ACTIONS(4836),
    [anon_sym_PLUS_PLUS] = ACTIONS(4836),
    [anon_sym_DOT] = ACTIONS(4834),
    [anon_sym_DOT_STAR] = ACTIONS(4836),
    [anon_sym_DASH_GT] = ACTIONS(4836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4836),
    [anon_sym_decltype] = ACTIONS(4836),
    [anon_sym_final] = ACTIONS(4836),
    [anon_sym_override] = ACTIONS(4836),
    [anon_sym_GT2] = ACTIONS(4836),
  },
  [1652] = {
    [sym_catch_clause] = STATE(1652),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [aux_sym_preproc_else_token1] = ACTIONS(2497),
    [aux_sym_preproc_elif_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_AMP_AMP] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym___extension__] = ACTIONS(2497),
    [anon_sym_typedef] = ACTIONS(2497),
    [anon_sym_virtual] = ACTIONS(2497),
    [anon_sym_extern] = ACTIONS(2497),
    [anon_sym___attribute__] = ACTIONS(2497),
    [anon_sym___attribute] = ACTIONS(2497),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2499),
    [anon_sym___declspec] = ACTIONS(2497),
    [anon_sym___based] = ACTIONS(2497),
    [anon_sym_signed] = ACTIONS(2497),
    [anon_sym_unsigned] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_register] = ACTIONS(2497),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym___inline] = ACTIONS(2497),
    [anon_sym___inline__] = ACTIONS(2497),
    [anon_sym___forceinline] = ACTIONS(2497),
    [anon_sym_thread_local] = ACTIONS(2497),
    [anon_sym___thread] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_constexpr] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_restrict] = ACTIONS(2497),
    [anon_sym___restrict__] = ACTIONS(2497),
    [anon_sym__Atomic] = ACTIONS(2497),
    [anon_sym__Noreturn] = ACTIONS(2497),
    [anon_sym_noreturn] = ACTIONS(2497),
    [anon_sym__Nonnull] = ACTIONS(2497),
    [anon_sym_mutable] = ACTIONS(2497),
    [anon_sym_constinit] = ACTIONS(2497),
    [anon_sym_consteval] = ACTIONS(2497),
    [anon_sym_alignas] = ACTIONS(2497),
    [anon_sym__Alignas] = ACTIONS(2497),
    [sym_primitive_type] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_struct] = ACTIONS(2497),
    [anon_sym_union] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2497),
    [anon_sym_decltype] = ACTIONS(2497),
    [anon_sym_explicit] = ACTIONS(2497),
    [anon_sym_typename] = ACTIONS(2497),
    [anon_sym_template] = ACTIONS(2497),
    [anon_sym_operator] = ACTIONS(2497),
    [anon_sym_friend] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_static_assert] = ACTIONS(2497),
    [anon_sym_catch] = ACTIONS(5240),
  },
  [1653] = {
    [sym_identifier] = ACTIONS(5243),
    [anon_sym_LPAREN2] = ACTIONS(5245),
    [anon_sym_BANG] = ACTIONS(5245),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_DASH] = ACTIONS(5243),
    [anon_sym_PLUS] = ACTIONS(5243),
    [anon_sym_STAR] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(5245),
    [anon_sym_SEMI] = ACTIONS(5245),
    [anon_sym___extension__] = ACTIONS(5243),
    [anon_sym_COLON_COLON] = ACTIONS(5245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5245),
    [anon_sym_LBRACE] = ACTIONS(5245),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [sym_primitive_type] = ACTIONS(5243),
    [anon_sym_if] = ACTIONS(5243),
    [anon_sym_switch] = ACTIONS(5243),
    [anon_sym_case] = ACTIONS(5243),
    [anon_sym_default] = ACTIONS(5243),
    [anon_sym_while] = ACTIONS(5243),
    [anon_sym_do] = ACTIONS(5243),
    [anon_sym_for] = ACTIONS(5243),
    [anon_sym_return] = ACTIONS(5243),
    [anon_sym_break] = ACTIONS(5243),
    [anon_sym_continue] = ACTIONS(5243),
    [anon_sym_goto] = ACTIONS(5243),
    [anon_sym___try] = ACTIONS(5243),
    [anon_sym___leave] = ACTIONS(5243),
    [anon_sym_not] = ACTIONS(5243),
    [anon_sym_compl] = ACTIONS(5243),
    [anon_sym_DASH_DASH] = ACTIONS(5245),
    [anon_sym_PLUS_PLUS] = ACTIONS(5245),
    [anon_sym_sizeof] = ACTIONS(5243),
    [anon_sym___alignof__] = ACTIONS(5243),
    [anon_sym___alignof] = ACTIONS(5243),
    [anon_sym__alignof] = ACTIONS(5243),
    [anon_sym_alignof] = ACTIONS(5243),
    [anon_sym__Alignof] = ACTIONS(5243),
    [anon_sym_offsetof] = ACTIONS(5243),
    [anon_sym__Generic] = ACTIONS(5243),
    [anon_sym_asm] = ACTIONS(5243),
    [anon_sym___asm__] = ACTIONS(5243),
    [anon_sym___asm] = ACTIONS(5243),
    [sym_number_literal] = ACTIONS(5245),
    [anon_sym_L_SQUOTE] = ACTIONS(5245),
    [anon_sym_u_SQUOTE] = ACTIONS(5245),
    [anon_sym_U_SQUOTE] = ACTIONS(5245),
    [anon_sym_u8_SQUOTE] = ACTIONS(5245),
    [anon_sym_SQUOTE] = ACTIONS(5245),
    [anon_sym_L_DQUOTE] = ACTIONS(5245),
    [anon_sym_u_DQUOTE] = ACTIONS(5245),
    [anon_sym_U_DQUOTE] = ACTIONS(5245),
    [anon_sym_u8_DQUOTE] = ACTIONS(5245),
    [anon_sym_DQUOTE] = ACTIONS(5245),
    [sym_true] = ACTIONS(5243),
    [sym_false] = ACTIONS(5243),
    [anon_sym_NULL] = ACTIONS(5243),
    [anon_sym_nullptr] = ACTIONS(5243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5243),
    [anon_sym_template] = ACTIONS(5243),
    [anon_sym_try] = ACTIONS(5243),
    [anon_sym_delete] = ACTIONS(5243),
    [anon_sym_throw] = ACTIONS(5243),
    [anon_sym_co_return] = ACTIONS(5243),
    [anon_sym_co_yield] = ACTIONS(5243),
    [anon_sym_R_DQUOTE] = ACTIONS(5245),
    [anon_sym_LR_DQUOTE] = ACTIONS(5245),
    [anon_sym_uR_DQUOTE] = ACTIONS(5245),
    [anon_sym_UR_DQUOTE] = ACTIONS(5245),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5245),
    [anon_sym_co_await] = ACTIONS(5243),
    [anon_sym_new] = ACTIONS(5243),
    [anon_sym_requires] = ACTIONS(5243),
    [sym_this] = ACTIONS(5243),
  },
  [1654] = {
    [sym_string_literal] = STATE(1657),
    [sym_raw_string_literal] = STATE(1657),
    [aux_sym_concatenated_string_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(5247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5249),
    [anon_sym_COMMA] = ACTIONS(5249),
    [anon_sym_RPAREN] = ACTIONS(5249),
    [aux_sym_preproc_if_token2] = ACTIONS(5249),
    [aux_sym_preproc_else_token1] = ACTIONS(5249),
    [aux_sym_preproc_elif_token1] = ACTIONS(5251),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5249),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5249),
    [anon_sym_LPAREN2] = ACTIONS(5249),
    [anon_sym_DASH] = ACTIONS(5251),
    [anon_sym_PLUS] = ACTIONS(5251),
    [anon_sym_STAR] = ACTIONS(5251),
    [anon_sym_SLASH] = ACTIONS(5251),
    [anon_sym_PERCENT] = ACTIONS(5251),
    [anon_sym_PIPE_PIPE] = ACTIONS(5249),
    [anon_sym_AMP_AMP] = ACTIONS(5249),
    [anon_sym_PIPE] = ACTIONS(5251),
    [anon_sym_CARET] = ACTIONS(5251),
    [anon_sym_AMP] = ACTIONS(5251),
    [anon_sym_EQ_EQ] = ACTIONS(5249),
    [anon_sym_BANG_EQ] = ACTIONS(5249),
    [anon_sym_GT] = ACTIONS(5251),
    [anon_sym_GT_EQ] = ACTIONS(5249),
    [anon_sym_LT_EQ] = ACTIONS(5251),
    [anon_sym_LT] = ACTIONS(5251),
    [anon_sym_LT_LT] = ACTIONS(5251),
    [anon_sym_GT_GT] = ACTIONS(5251),
    [anon_sym_SEMI] = ACTIONS(5249),
    [anon_sym_RBRACE] = ACTIONS(5249),
    [anon_sym_LBRACK] = ACTIONS(5249),
    [anon_sym_RBRACK] = ACTIONS(5249),
    [anon_sym_EQ] = ACTIONS(5251),
    [anon_sym_COLON] = ACTIONS(5249),
    [anon_sym_QMARK] = ACTIONS(5249),
    [anon_sym_STAR_EQ] = ACTIONS(5249),
    [anon_sym_SLASH_EQ] = ACTIONS(5249),
    [anon_sym_PERCENT_EQ] = ACTIONS(5249),
    [anon_sym_PLUS_EQ] = ACTIONS(5249),
    [anon_sym_DASH_EQ] = ACTIONS(5249),
    [anon_sym_LT_LT_EQ] = ACTIONS(5249),
    [anon_sym_GT_GT_EQ] = ACTIONS(5249),
    [anon_sym_AMP_EQ] = ACTIONS(5249),
    [anon_sym_CARET_EQ] = ACTIONS(5249),
    [anon_sym_PIPE_EQ] = ACTIONS(5249),
    [anon_sym_and_eq] = ACTIONS(5251),
    [anon_sym_or_eq] = ACTIONS(5251),
    [anon_sym_xor_eq] = ACTIONS(5251),
    [anon_sym_LT_EQ_GT] = ACTIONS(5249),
    [anon_sym_or] = ACTIONS(5251),
    [anon_sym_and] = ACTIONS(5251),
    [anon_sym_bitor] = ACTIONS(5251),
    [anon_sym_xor] = ACTIONS(5251),
    [anon_sym_bitand] = ACTIONS(5251),
    [anon_sym_not_eq] = ACTIONS(5251),
    [anon_sym_DASH_DASH] = ACTIONS(5249),
    [anon_sym_PLUS_PLUS] = ACTIONS(5249),
    [anon_sym_DOT] = ACTIONS(5251),
    [anon_sym_DOT_STAR] = ACTIONS(5249),
    [anon_sym_DASH_GT] = ACTIONS(5249),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [sym_literal_suffix] = ACTIONS(5251),
  },
  [1655] = {
    [sym_catch_clause] = STATE(1652),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token2] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [aux_sym_preproc_else_token1] = ACTIONS(2557),
    [aux_sym_preproc_elif_token1] = ACTIONS(2557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_STAR] = ACTIONS(2559),
    [anon_sym_AMP_AMP] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym___extension__] = ACTIONS(2557),
    [anon_sym_typedef] = ACTIONS(2557),
    [anon_sym_virtual] = ACTIONS(2557),
    [anon_sym_extern] = ACTIONS(2557),
    [anon_sym___attribute__] = ACTIONS(2557),
    [anon_sym___attribute] = ACTIONS(2557),
    [anon_sym_COLON_COLON] = ACTIONS(2559),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2559),
    [anon_sym___declspec] = ACTIONS(2557),
    [anon_sym___based] = ACTIONS(2557),
    [anon_sym_signed] = ACTIONS(2557),
    [anon_sym_unsigned] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_register] = ACTIONS(2557),
    [anon_sym_inline] = ACTIONS(2557),
    [anon_sym___inline] = ACTIONS(2557),
    [anon_sym___inline__] = ACTIONS(2557),
    [anon_sym___forceinline] = ACTIONS(2557),
    [anon_sym_thread_local] = ACTIONS(2557),
    [anon_sym___thread] = ACTIONS(2557),
    [anon_sym_const] = ACTIONS(2557),
    [anon_sym_constexpr] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_restrict] = ACTIONS(2557),
    [anon_sym___restrict__] = ACTIONS(2557),
    [anon_sym__Atomic] = ACTIONS(2557),
    [anon_sym__Noreturn] = ACTIONS(2557),
    [anon_sym_noreturn] = ACTIONS(2557),
    [anon_sym__Nonnull] = ACTIONS(2557),
    [anon_sym_mutable] = ACTIONS(2557),
    [anon_sym_constinit] = ACTIONS(2557),
    [anon_sym_consteval] = ACTIONS(2557),
    [anon_sym_alignas] = ACTIONS(2557),
    [anon_sym__Alignas] = ACTIONS(2557),
    [sym_primitive_type] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_struct] = ACTIONS(2557),
    [anon_sym_union] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2557),
    [anon_sym_decltype] = ACTIONS(2557),
    [anon_sym_explicit] = ACTIONS(2557),
    [anon_sym_typename] = ACTIONS(2557),
    [anon_sym_template] = ACTIONS(2557),
    [anon_sym_operator] = ACTIONS(2557),
    [anon_sym_friend] = ACTIONS(2557),
    [anon_sym_public] = ACTIONS(2557),
    [anon_sym_private] = ACTIONS(2557),
    [anon_sym_protected] = ACTIONS(2557),
    [anon_sym_using] = ACTIONS(2557),
    [anon_sym_static_assert] = ACTIONS(2557),
    [anon_sym_catch] = ACTIONS(5238),
  },
  [1656] = {
    [sym_catch_clause] = STATE(1652),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token2] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [aux_sym_preproc_else_token1] = ACTIONS(2549),
    [aux_sym_preproc_elif_token1] = ACTIONS(2549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_AMP_AMP] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym___extension__] = ACTIONS(2549),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2549),
    [anon_sym_extern] = ACTIONS(2549),
    [anon_sym___attribute__] = ACTIONS(2549),
    [anon_sym___attribute] = ACTIONS(2549),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2551),
    [anon_sym___declspec] = ACTIONS(2549),
    [anon_sym___based] = ACTIONS(2549),
    [anon_sym_signed] = ACTIONS(2549),
    [anon_sym_unsigned] = ACTIONS(2549),
    [anon_sym_long] = ACTIONS(2549),
    [anon_sym_short] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_register] = ACTIONS(2549),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym___inline] = ACTIONS(2549),
    [anon_sym___inline__] = ACTIONS(2549),
    [anon_sym___forceinline] = ACTIONS(2549),
    [anon_sym_thread_local] = ACTIONS(2549),
    [anon_sym___thread] = ACTIONS(2549),
    [anon_sym_const] = ACTIONS(2549),
    [anon_sym_constexpr] = ACTIONS(2549),
    [anon_sym_volatile] = ACTIONS(2549),
    [anon_sym_restrict] = ACTIONS(2549),
    [anon_sym___restrict__] = ACTIONS(2549),
    [anon_sym__Atomic] = ACTIONS(2549),
    [anon_sym__Noreturn] = ACTIONS(2549),
    [anon_sym_noreturn] = ACTIONS(2549),
    [anon_sym__Nonnull] = ACTIONS(2549),
    [anon_sym_mutable] = ACTIONS(2549),
    [anon_sym_constinit] = ACTIONS(2549),
    [anon_sym_consteval] = ACTIONS(2549),
    [anon_sym_alignas] = ACTIONS(2549),
    [anon_sym__Alignas] = ACTIONS(2549),
    [sym_primitive_type] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_struct] = ACTIONS(2549),
    [anon_sym_union] = ACTIONS(2549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2549),
    [anon_sym_decltype] = ACTIONS(2549),
    [anon_sym_explicit] = ACTIONS(2549),
    [anon_sym_typename] = ACTIONS(2549),
    [anon_sym_template] = ACTIONS(2549),
    [anon_sym_operator] = ACTIONS(2549),
    [anon_sym_friend] = ACTIONS(2549),
    [anon_sym_public] = ACTIONS(2549),
    [anon_sym_private] = ACTIONS(2549),
    [anon_sym_protected] = ACTIONS(2549),
    [anon_sym_using] = ACTIONS(2549),
    [anon_sym_static_assert] = ACTIONS(2549),
    [anon_sym_catch] = ACTIONS(5238),
  },
  [1657] = {
    [sym_string_literal] = STATE(1659),
    [sym_raw_string_literal] = STATE(1659),
    [aux_sym_concatenated_string_repeat1] = STATE(1659),
    [sym_identifier] = ACTIONS(5253),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [anon_sym_RPAREN] = ACTIONS(5255),
    [aux_sym_preproc_if_token2] = ACTIONS(5255),
    [aux_sym_preproc_else_token1] = ACTIONS(5255),
    [aux_sym_preproc_elif_token1] = ACTIONS(5257),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5255),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5255),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_SEMI] = ACTIONS(5255),
    [anon_sym_RBRACE] = ACTIONS(5255),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_RBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_COLON] = ACTIONS(5255),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5255),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5255),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [1658] = {
    [sym_identifier] = ACTIONS(5259),
    [anon_sym_LPAREN2] = ACTIONS(5261),
    [anon_sym_BANG] = ACTIONS(5261),
    [anon_sym_TILDE] = ACTIONS(5261),
    [anon_sym_DASH] = ACTIONS(5259),
    [anon_sym_PLUS] = ACTIONS(5259),
    [anon_sym_STAR] = ACTIONS(5261),
    [anon_sym_AMP] = ACTIONS(5261),
    [anon_sym_SEMI] = ACTIONS(5261),
    [anon_sym___extension__] = ACTIONS(5259),
    [anon_sym_COLON_COLON] = ACTIONS(5261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5261),
    [anon_sym_LBRACE] = ACTIONS(5261),
    [anon_sym_LBRACK] = ACTIONS(5259),
    [sym_primitive_type] = ACTIONS(5259),
    [anon_sym_if] = ACTIONS(5259),
    [anon_sym_switch] = ACTIONS(5259),
    [anon_sym_case] = ACTIONS(5259),
    [anon_sym_default] = ACTIONS(5259),
    [anon_sym_while] = ACTIONS(5259),
    [anon_sym_do] = ACTIONS(5259),
    [anon_sym_for] = ACTIONS(5259),
    [anon_sym_return] = ACTIONS(5259),
    [anon_sym_break] = ACTIONS(5259),
    [anon_sym_continue] = ACTIONS(5259),
    [anon_sym_goto] = ACTIONS(5259),
    [anon_sym___try] = ACTIONS(5259),
    [anon_sym___leave] = ACTIONS(5259),
    [anon_sym_not] = ACTIONS(5259),
    [anon_sym_compl] = ACTIONS(5259),
    [anon_sym_DASH_DASH] = ACTIONS(5261),
    [anon_sym_PLUS_PLUS] = ACTIONS(5261),
    [anon_sym_sizeof] = ACTIONS(5259),
    [anon_sym___alignof__] = ACTIONS(5259),
    [anon_sym___alignof] = ACTIONS(5259),
    [anon_sym__alignof] = ACTIONS(5259),
    [anon_sym_alignof] = ACTIONS(5259),
    [anon_sym__Alignof] = ACTIONS(5259),
    [anon_sym_offsetof] = ACTIONS(5259),
    [anon_sym__Generic] = ACTIONS(5259),
    [anon_sym_asm] = ACTIONS(5259),
    [anon_sym___asm__] = ACTIONS(5259),
    [anon_sym___asm] = ACTIONS(5259),
    [sym_number_literal] = ACTIONS(5261),
    [anon_sym_L_SQUOTE] = ACTIONS(5261),
    [anon_sym_u_SQUOTE] = ACTIONS(5261),
    [anon_sym_U_SQUOTE] = ACTIONS(5261),
    [anon_sym_u8_SQUOTE] = ACTIONS(5261),
    [anon_sym_SQUOTE] = ACTIONS(5261),
    [anon_sym_L_DQUOTE] = ACTIONS(5261),
    [anon_sym_u_DQUOTE] = ACTIONS(5261),
    [anon_sym_U_DQUOTE] = ACTIONS(5261),
    [anon_sym_u8_DQUOTE] = ACTIONS(5261),
    [anon_sym_DQUOTE] = ACTIONS(5261),
    [sym_true] = ACTIONS(5259),
    [sym_false] = ACTIONS(5259),
    [anon_sym_NULL] = ACTIONS(5259),
    [anon_sym_nullptr] = ACTIONS(5259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5259),
    [anon_sym_template] = ACTIONS(5259),
    [anon_sym_try] = ACTIONS(5259),
    [anon_sym_delete] = ACTIONS(5259),
    [anon_sym_throw] = ACTIONS(5259),
    [anon_sym_co_return] = ACTIONS(5259),
    [anon_sym_co_yield] = ACTIONS(5259),
    [anon_sym_R_DQUOTE] = ACTIONS(5261),
    [anon_sym_LR_DQUOTE] = ACTIONS(5261),
    [anon_sym_uR_DQUOTE] = ACTIONS(5261),
    [anon_sym_UR_DQUOTE] = ACTIONS(5261),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5261),
    [anon_sym_co_await] = ACTIONS(5259),
    [anon_sym_new] = ACTIONS(5259),
    [anon_sym_requires] = ACTIONS(5259),
    [sym_this] = ACTIONS(5259),
  },
  [1659] = {
    [sym_string_literal] = STATE(1659),
    [sym_raw_string_literal] = STATE(1659),
    [aux_sym_concatenated_string_repeat1] = STATE(1659),
    [sym_identifier] = ACTIONS(5263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5266),
    [anon_sym_COMMA] = ACTIONS(5266),
    [anon_sym_RPAREN] = ACTIONS(5266),
    [aux_sym_preproc_if_token2] = ACTIONS(5266),
    [aux_sym_preproc_else_token1] = ACTIONS(5266),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5266),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5268),
    [anon_sym_STAR] = ACTIONS(5268),
    [anon_sym_SLASH] = ACTIONS(5268),
    [anon_sym_PERCENT] = ACTIONS(5268),
    [anon_sym_PIPE_PIPE] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_PIPE] = ACTIONS(5268),
    [anon_sym_CARET] = ACTIONS(5268),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_EQ_EQ] = ACTIONS(5266),
    [anon_sym_BANG_EQ] = ACTIONS(5266),
    [anon_sym_GT] = ACTIONS(5268),
    [anon_sym_GT_EQ] = ACTIONS(5266),
    [anon_sym_LT_EQ] = ACTIONS(5268),
    [anon_sym_LT] = ACTIONS(5268),
    [anon_sym_LT_LT] = ACTIONS(5268),
    [anon_sym_GT_GT] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym_RBRACE] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [anon_sym_RBRACK] = ACTIONS(5266),
    [anon_sym_EQ] = ACTIONS(5268),
    [anon_sym_COLON] = ACTIONS(5266),
    [anon_sym_QMARK] = ACTIONS(5266),
    [anon_sym_STAR_EQ] = ACTIONS(5266),
    [anon_sym_SLASH_EQ] = ACTIONS(5266),
    [anon_sym_PERCENT_EQ] = ACTIONS(5266),
    [anon_sym_PLUS_EQ] = ACTIONS(5266),
    [anon_sym_DASH_EQ] = ACTIONS(5266),
    [anon_sym_LT_LT_EQ] = ACTIONS(5266),
    [anon_sym_GT_GT_EQ] = ACTIONS(5266),
    [anon_sym_AMP_EQ] = ACTIONS(5266),
    [anon_sym_CARET_EQ] = ACTIONS(5266),
    [anon_sym_PIPE_EQ] = ACTIONS(5266),
    [anon_sym_and_eq] = ACTIONS(5268),
    [anon_sym_or_eq] = ACTIONS(5268),
    [anon_sym_xor_eq] = ACTIONS(5268),
    [anon_sym_LT_EQ_GT] = ACTIONS(5266),
    [anon_sym_or] = ACTIONS(5268),
    [anon_sym_and] = ACTIONS(5268),
    [anon_sym_bitor] = ACTIONS(5268),
    [anon_sym_xor] = ACTIONS(5268),
    [anon_sym_bitand] = ACTIONS(5268),
    [anon_sym_not_eq] = ACTIONS(5268),
    [anon_sym_DASH_DASH] = ACTIONS(5266),
    [anon_sym_PLUS_PLUS] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_DOT_STAR] = ACTIONS(5266),
    [anon_sym_DASH_GT] = ACTIONS(5266),
    [anon_sym_L_DQUOTE] = ACTIONS(5270),
    [anon_sym_u_DQUOTE] = ACTIONS(5270),
    [anon_sym_U_DQUOTE] = ACTIONS(5270),
    [anon_sym_u8_DQUOTE] = ACTIONS(5270),
    [anon_sym_DQUOTE] = ACTIONS(5270),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5273),
    [anon_sym_LR_DQUOTE] = ACTIONS(5273),
    [anon_sym_uR_DQUOTE] = ACTIONS(5273),
    [anon_sym_UR_DQUOTE] = ACTIONS(5273),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5273),
    [sym_literal_suffix] = ACTIONS(5268),
  },
  [1660] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7333),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7333),
    [sym_variadic_parameter_declaration] = STATE(7333),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5276),
    [anon_sym_RPAREN] = ACTIONS(5278),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1661] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7367),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7367),
    [sym_variadic_parameter_declaration] = STATE(7367),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1662] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7251),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7251),
    [sym_variadic_parameter_declaration] = STATE(7251),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_RPAREN] = ACTIONS(5282),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1663] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7372),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7372),
    [sym_variadic_parameter_declaration] = STATE(7372),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5284),
    [anon_sym_RPAREN] = ACTIONS(5286),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1664] = {
    [sym_type_qualifier] = STATE(1664),
    [sym_alignas_qualifier] = STATE(1853),
    [aux_sym_array_declarator_repeat1] = STATE(1664),
    [sym_identifier] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5290),
    [anon_sym_BANG] = ACTIONS(5290),
    [anon_sym_TILDE] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5288),
    [anon_sym_STAR] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5290),
    [anon_sym___extension__] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_RBRACK] = ACTIONS(5290),
    [anon_sym_const] = ACTIONS(5292),
    [anon_sym_constexpr] = ACTIONS(5292),
    [anon_sym_volatile] = ACTIONS(5292),
    [anon_sym_restrict] = ACTIONS(5292),
    [anon_sym___restrict__] = ACTIONS(5292),
    [anon_sym__Atomic] = ACTIONS(5292),
    [anon_sym__Noreturn] = ACTIONS(5292),
    [anon_sym_noreturn] = ACTIONS(5292),
    [anon_sym__Nonnull] = ACTIONS(5292),
    [anon_sym_mutable] = ACTIONS(5292),
    [anon_sym_constinit] = ACTIONS(5292),
    [anon_sym_consteval] = ACTIONS(5292),
    [anon_sym_alignas] = ACTIONS(5298),
    [anon_sym__Alignas] = ACTIONS(5298),
    [sym_primitive_type] = ACTIONS(5288),
    [anon_sym_not] = ACTIONS(5288),
    [anon_sym_compl] = ACTIONS(5288),
    [anon_sym_DASH_DASH] = ACTIONS(5290),
    [anon_sym_PLUS_PLUS] = ACTIONS(5290),
    [anon_sym_sizeof] = ACTIONS(5288),
    [anon_sym___alignof__] = ACTIONS(5288),
    [anon_sym___alignof] = ACTIONS(5288),
    [anon_sym__alignof] = ACTIONS(5288),
    [anon_sym_alignof] = ACTIONS(5288),
    [anon_sym__Alignof] = ACTIONS(5288),
    [anon_sym_offsetof] = ACTIONS(5288),
    [anon_sym__Generic] = ACTIONS(5288),
    [anon_sym_asm] = ACTIONS(5288),
    [anon_sym___asm__] = ACTIONS(5288),
    [anon_sym___asm] = ACTIONS(5288),
    [sym_number_literal] = ACTIONS(5290),
    [anon_sym_L_SQUOTE] = ACTIONS(5290),
    [anon_sym_u_SQUOTE] = ACTIONS(5290),
    [anon_sym_U_SQUOTE] = ACTIONS(5290),
    [anon_sym_u8_SQUOTE] = ACTIONS(5290),
    [anon_sym_SQUOTE] = ACTIONS(5290),
    [anon_sym_L_DQUOTE] = ACTIONS(5290),
    [anon_sym_u_DQUOTE] = ACTIONS(5290),
    [anon_sym_U_DQUOTE] = ACTIONS(5290),
    [anon_sym_u8_DQUOTE] = ACTIONS(5290),
    [anon_sym_DQUOTE] = ACTIONS(5290),
    [sym_true] = ACTIONS(5288),
    [sym_false] = ACTIONS(5288),
    [anon_sym_NULL] = ACTIONS(5288),
    [anon_sym_nullptr] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5288),
    [anon_sym_template] = ACTIONS(5288),
    [anon_sym_delete] = ACTIONS(5288),
    [anon_sym_R_DQUOTE] = ACTIONS(5290),
    [anon_sym_LR_DQUOTE] = ACTIONS(5290),
    [anon_sym_uR_DQUOTE] = ACTIONS(5290),
    [anon_sym_UR_DQUOTE] = ACTIONS(5290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5290),
    [anon_sym_co_await] = ACTIONS(5288),
    [anon_sym_new] = ACTIONS(5288),
    [anon_sym_requires] = ACTIONS(5288),
    [sym_this] = ACTIONS(5288),
  },
  [1665] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [aux_sym_preproc_else_token1] = ACTIONS(1909),
    [aux_sym_preproc_elif_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
  },
  [1666] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [aux_sym_preproc_else_token1] = ACTIONS(1909),
    [aux_sym_preproc_elif_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_catch] = ACTIONS(1909),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token2] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [aux_sym_preproc_else_token1] = ACTIONS(1913),
    [aux_sym_preproc_elif_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_friend] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1913),
    [anon_sym_private] = ACTIONS(1913),
    [anon_sym_protected] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_catch] = ACTIONS(1913),
  },
  [1668] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4857),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1669] = {
    [sym_template_argument_list] = STATE(1668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4840),
    [anon_sym_COMMA] = ACTIONS(4840),
    [anon_sym_RPAREN] = ACTIONS(4842),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4842),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4889),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4840),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4840),
  },
  [1670] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7295),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7295),
    [sym_variadic_parameter_declaration] = STATE(7295),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1671] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [aux_sym_preproc_else_token1] = ACTIONS(1909),
    [aux_sym_preproc_elif_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(5301),
    [anon_sym___attribute] = ACTIONS(5301),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token2] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [aux_sym_preproc_else_token1] = ACTIONS(2569),
    [aux_sym_preproc_elif_token1] = ACTIONS(2569),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_STAR] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym___extension__] = ACTIONS(2569),
    [anon_sym_typedef] = ACTIONS(2569),
    [anon_sym_virtual] = ACTIONS(2569),
    [anon_sym_extern] = ACTIONS(2569),
    [anon_sym___attribute__] = ACTIONS(2569),
    [anon_sym___attribute] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2571),
    [anon_sym___declspec] = ACTIONS(2569),
    [anon_sym___based] = ACTIONS(2569),
    [anon_sym_signed] = ACTIONS(2569),
    [anon_sym_unsigned] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_register] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym___inline] = ACTIONS(2569),
    [anon_sym___inline__] = ACTIONS(2569),
    [anon_sym___forceinline] = ACTIONS(2569),
    [anon_sym_thread_local] = ACTIONS(2569),
    [anon_sym___thread] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_constexpr] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_restrict] = ACTIONS(2569),
    [anon_sym___restrict__] = ACTIONS(2569),
    [anon_sym__Atomic] = ACTIONS(2569),
    [anon_sym__Noreturn] = ACTIONS(2569),
    [anon_sym_noreturn] = ACTIONS(2569),
    [anon_sym__Nonnull] = ACTIONS(2569),
    [anon_sym_mutable] = ACTIONS(2569),
    [anon_sym_constinit] = ACTIONS(2569),
    [anon_sym_consteval] = ACTIONS(2569),
    [anon_sym_alignas] = ACTIONS(2569),
    [anon_sym__Alignas] = ACTIONS(2569),
    [sym_primitive_type] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_struct] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2569),
    [anon_sym_decltype] = ACTIONS(2569),
    [anon_sym_explicit] = ACTIONS(2569),
    [anon_sym_typename] = ACTIONS(2569),
    [anon_sym_template] = ACTIONS(2569),
    [anon_sym_operator] = ACTIONS(2569),
    [anon_sym_friend] = ACTIONS(2569),
    [anon_sym_public] = ACTIONS(2569),
    [anon_sym_private] = ACTIONS(2569),
    [anon_sym_protected] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_static_assert] = ACTIONS(2569),
    [anon_sym_catch] = ACTIONS(2569),
  },
  [1673] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7803),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7803),
    [sym_variadic_parameter_declaration] = STATE(7803),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5303),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(5305),
    [aux_sym_preproc_def_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token2] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5305),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5305),
    [sym_preproc_directive] = ACTIONS(5305),
    [anon_sym_LPAREN2] = ACTIONS(5307),
    [anon_sym_TILDE] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_AMP_AMP] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5305),
    [anon_sym_SEMI] = ACTIONS(5307),
    [anon_sym___extension__] = ACTIONS(5305),
    [anon_sym_typedef] = ACTIONS(5305),
    [anon_sym_virtual] = ACTIONS(5305),
    [anon_sym_extern] = ACTIONS(5305),
    [anon_sym___attribute__] = ACTIONS(5305),
    [anon_sym___attribute] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5307),
    [anon_sym___declspec] = ACTIONS(5305),
    [anon_sym___based] = ACTIONS(5305),
    [anon_sym_signed] = ACTIONS(5305),
    [anon_sym_unsigned] = ACTIONS(5305),
    [anon_sym_long] = ACTIONS(5305),
    [anon_sym_short] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_static] = ACTIONS(5305),
    [anon_sym_register] = ACTIONS(5305),
    [anon_sym_inline] = ACTIONS(5305),
    [anon_sym___inline] = ACTIONS(5305),
    [anon_sym___inline__] = ACTIONS(5305),
    [anon_sym___forceinline] = ACTIONS(5305),
    [anon_sym_thread_local] = ACTIONS(5305),
    [anon_sym___thread] = ACTIONS(5305),
    [anon_sym_const] = ACTIONS(5305),
    [anon_sym_constexpr] = ACTIONS(5305),
    [anon_sym_volatile] = ACTIONS(5305),
    [anon_sym_restrict] = ACTIONS(5305),
    [anon_sym___restrict__] = ACTIONS(5305),
    [anon_sym__Atomic] = ACTIONS(5305),
    [anon_sym__Noreturn] = ACTIONS(5305),
    [anon_sym_noreturn] = ACTIONS(5305),
    [anon_sym__Nonnull] = ACTIONS(5305),
    [anon_sym_mutable] = ACTIONS(5305),
    [anon_sym_constinit] = ACTIONS(5305),
    [anon_sym_consteval] = ACTIONS(5305),
    [anon_sym_alignas] = ACTIONS(5305),
    [anon_sym__Alignas] = ACTIONS(5305),
    [sym_primitive_type] = ACTIONS(5305),
    [anon_sym_enum] = ACTIONS(5305),
    [anon_sym_class] = ACTIONS(5305),
    [anon_sym_struct] = ACTIONS(5305),
    [anon_sym_union] = ACTIONS(5305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5305),
    [anon_sym_decltype] = ACTIONS(5305),
    [anon_sym_explicit] = ACTIONS(5305),
    [anon_sym_typename] = ACTIONS(5305),
    [anon_sym_template] = ACTIONS(5305),
    [anon_sym_operator] = ACTIONS(5305),
    [anon_sym_friend] = ACTIONS(5305),
    [anon_sym_public] = ACTIONS(5305),
    [anon_sym_private] = ACTIONS(5305),
    [anon_sym_protected] = ACTIONS(5305),
    [anon_sym_using] = ACTIONS(5305),
    [anon_sym_static_assert] = ACTIONS(5305),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym___attribute] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [aux_sym_preproc_else_token1] = ACTIONS(3015),
    [aux_sym_preproc_elif_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym___attribute] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_friend] = ACTIONS(3015),
    [anon_sym_public] = ACTIONS(3015),
    [anon_sym_private] = ACTIONS(3015),
    [anon_sym_protected] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(3109),
    [aux_sym_preproc_def_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token2] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3109),
    [aux_sym_preproc_else_token1] = ACTIONS(3109),
    [aux_sym_preproc_elif_token1] = ACTIONS(3109),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3109),
    [sym_preproc_directive] = ACTIONS(3109),
    [anon_sym_LPAREN2] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_AMP_AMP] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3109),
    [anon_sym_typedef] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym___attribute__] = ACTIONS(3109),
    [anon_sym___attribute] = ACTIONS(3109),
    [anon_sym_COLON_COLON] = ACTIONS(3111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3109),
    [anon_sym___based] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3109),
    [anon_sym_unsigned] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_register] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(3109),
    [anon_sym___inline] = ACTIONS(3109),
    [anon_sym___inline__] = ACTIONS(3109),
    [anon_sym___forceinline] = ACTIONS(3109),
    [anon_sym_thread_local] = ACTIONS(3109),
    [anon_sym___thread] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_constexpr] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_restrict] = ACTIONS(3109),
    [anon_sym___restrict__] = ACTIONS(3109),
    [anon_sym__Atomic] = ACTIONS(3109),
    [anon_sym__Noreturn] = ACTIONS(3109),
    [anon_sym_noreturn] = ACTIONS(3109),
    [anon_sym__Nonnull] = ACTIONS(3109),
    [anon_sym_mutable] = ACTIONS(3109),
    [anon_sym_constinit] = ACTIONS(3109),
    [anon_sym_consteval] = ACTIONS(3109),
    [anon_sym_alignas] = ACTIONS(3109),
    [anon_sym__Alignas] = ACTIONS(3109),
    [sym_primitive_type] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_union] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3109),
    [anon_sym_decltype] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3109),
    [anon_sym_template] = ACTIONS(3109),
    [anon_sym_operator] = ACTIONS(3109),
    [anon_sym_friend] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static_assert] = ACTIONS(3109),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [aux_sym_preproc_else_token1] = ACTIONS(3119),
    [aux_sym_preproc_elif_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym___attribute] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_friend] = ACTIONS(3119),
    [anon_sym_public] = ACTIONS(3119),
    [anon_sym_private] = ACTIONS(3119),
    [anon_sym_protected] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_friend] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [1683] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_friend] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [1685] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [aux_sym_preproc_else_token1] = ACTIONS(3166),
    [aux_sym_preproc_elif_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym___attribute] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_friend] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
  },
  [1686] = {
    [sym_identifier] = ACTIONS(5309),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_DASH] = ACTIONS(5309),
    [anon_sym_PLUS] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5309),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5309),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5309),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT] = ACTIONS(5309),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5309),
    [anon_sym_LT] = ACTIONS(5309),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym___extension__] = ACTIONS(5309),
    [anon_sym___attribute__] = ACTIONS(5309),
    [anon_sym___attribute] = ACTIONS(5309),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5309),
    [anon_sym_LBRACE] = ACTIONS(5311),
    [anon_sym_RBRACE] = ACTIONS(5311),
    [anon_sym_signed] = ACTIONS(5309),
    [anon_sym_unsigned] = ACTIONS(5309),
    [anon_sym_long] = ACTIONS(5309),
    [anon_sym_short] = ACTIONS(5309),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_RBRACK] = ACTIONS(5311),
    [anon_sym_const] = ACTIONS(5309),
    [anon_sym_constexpr] = ACTIONS(5309),
    [anon_sym_volatile] = ACTIONS(5309),
    [anon_sym_restrict] = ACTIONS(5309),
    [anon_sym___restrict__] = ACTIONS(5309),
    [anon_sym__Atomic] = ACTIONS(5309),
    [anon_sym__Noreturn] = ACTIONS(5309),
    [anon_sym_noreturn] = ACTIONS(5309),
    [anon_sym__Nonnull] = ACTIONS(5309),
    [anon_sym_mutable] = ACTIONS(5309),
    [anon_sym_constinit] = ACTIONS(5309),
    [anon_sym_consteval] = ACTIONS(5309),
    [anon_sym_alignas] = ACTIONS(5309),
    [anon_sym__Alignas] = ACTIONS(5309),
    [sym_primitive_type] = ACTIONS(5309),
    [anon_sym_COLON] = ACTIONS(5309),
    [anon_sym_QMARK] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5309),
    [anon_sym_and] = ACTIONS(5309),
    [anon_sym_bitor] = ACTIONS(5309),
    [anon_sym_xor] = ACTIONS(5309),
    [anon_sym_bitand] = ACTIONS(5309),
    [anon_sym_not_eq] = ACTIONS(5309),
    [anon_sym_DASH_DASH] = ACTIONS(5311),
    [anon_sym_PLUS_PLUS] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5309),
    [anon_sym_DOT_STAR] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5311),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5309),
    [anon_sym_decltype] = ACTIONS(5309),
    [anon_sym_final] = ACTIONS(5309),
    [anon_sym_override] = ACTIONS(5309),
    [anon_sym_requires] = ACTIONS(5309),
  },
  [1687] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [aux_sym_preproc_else_token1] = ACTIONS(2876),
    [aux_sym_preproc_elif_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym___attribute] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_friend] = ACTIONS(2876),
    [anon_sym_public] = ACTIONS(2876),
    [anon_sym_private] = ACTIONS(2876),
    [anon_sym_protected] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token2] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [aux_sym_preproc_else_token1] = ACTIONS(2908),
    [aux_sym_preproc_elif_token1] = ACTIONS(2908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym___attribute] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [sym_primitive_type] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_friend] = ACTIONS(2908),
    [anon_sym_public] = ACTIONS(2908),
    [anon_sym_private] = ACTIONS(2908),
    [anon_sym_protected] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [aux_sym_preproc_else_token1] = ACTIONS(2912),
    [aux_sym_preproc_elif_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_friend] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
  },
  [1690] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [aux_sym_preproc_else_token1] = ACTIONS(2912),
    [aux_sym_preproc_elif_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_friend] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
  },
  [1691] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1693] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [aux_sym_preproc_else_token1] = ACTIONS(2932),
    [aux_sym_preproc_elif_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym___attribute] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_friend] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [aux_sym_preproc_else_token1] = ACTIONS(2936),
    [aux_sym_preproc_elif_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym___attribute] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [aux_sym_preproc_else_token1] = ACTIONS(2940),
    [aux_sym_preproc_elif_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym___attribute] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_friend] = ACTIONS(2940),
    [anon_sym_public] = ACTIONS(2940),
    [anon_sym_private] = ACTIONS(2940),
    [anon_sym_protected] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [aux_sym_preproc_else_token1] = ACTIONS(2953),
    [aux_sym_preproc_elif_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_friend] = ACTIONS(2953),
    [anon_sym_public] = ACTIONS(2953),
    [anon_sym_private] = ACTIONS(2953),
    [anon_sym_protected] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_friend] = ACTIONS(2957),
    [anon_sym_public] = ACTIONS(2957),
    [anon_sym_private] = ACTIONS(2957),
    [anon_sym_protected] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
  },
  [1698] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym___attribute] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym__Nonnull] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [1699] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [aux_sym_preproc_else_token1] = ACTIONS(3041),
    [aux_sym_preproc_elif_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [1701] = {
    [sym_identifier] = ACTIONS(5315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5317),
    [anon_sym_COMMA] = ACTIONS(5317),
    [anon_sym_RPAREN] = ACTIONS(5317),
    [aux_sym_preproc_if_token2] = ACTIONS(5317),
    [aux_sym_preproc_else_token1] = ACTIONS(5317),
    [aux_sym_preproc_elif_token1] = ACTIONS(5315),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5317),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_DASH] = ACTIONS(5315),
    [anon_sym_PLUS] = ACTIONS(5315),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_SLASH] = ACTIONS(5315),
    [anon_sym_PERCENT] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_PIPE] = ACTIONS(5315),
    [anon_sym_CARET] = ACTIONS(5315),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_EQ_EQ] = ACTIONS(5317),
    [anon_sym_BANG_EQ] = ACTIONS(5317),
    [anon_sym_GT] = ACTIONS(5315),
    [anon_sym_GT_EQ] = ACTIONS(5317),
    [anon_sym_LT_EQ] = ACTIONS(5315),
    [anon_sym_LT] = ACTIONS(5315),
    [anon_sym_LT_LT] = ACTIONS(5315),
    [anon_sym_GT_GT] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym_RBRACE] = ACTIONS(5317),
    [anon_sym_LBRACK] = ACTIONS(5317),
    [anon_sym_RBRACK] = ACTIONS(5317),
    [anon_sym_EQ] = ACTIONS(5315),
    [anon_sym_COLON] = ACTIONS(5317),
    [anon_sym_QMARK] = ACTIONS(5317),
    [anon_sym_STAR_EQ] = ACTIONS(5317),
    [anon_sym_SLASH_EQ] = ACTIONS(5317),
    [anon_sym_PERCENT_EQ] = ACTIONS(5317),
    [anon_sym_PLUS_EQ] = ACTIONS(5317),
    [anon_sym_DASH_EQ] = ACTIONS(5317),
    [anon_sym_LT_LT_EQ] = ACTIONS(5317),
    [anon_sym_GT_GT_EQ] = ACTIONS(5317),
    [anon_sym_AMP_EQ] = ACTIONS(5317),
    [anon_sym_CARET_EQ] = ACTIONS(5317),
    [anon_sym_PIPE_EQ] = ACTIONS(5317),
    [anon_sym_and_eq] = ACTIONS(5315),
    [anon_sym_or_eq] = ACTIONS(5315),
    [anon_sym_xor_eq] = ACTIONS(5315),
    [anon_sym_LT_EQ_GT] = ACTIONS(5317),
    [anon_sym_or] = ACTIONS(5315),
    [anon_sym_and] = ACTIONS(5315),
    [anon_sym_bitor] = ACTIONS(5315),
    [anon_sym_xor] = ACTIONS(5315),
    [anon_sym_bitand] = ACTIONS(5315),
    [anon_sym_not_eq] = ACTIONS(5315),
    [anon_sym_DASH_DASH] = ACTIONS(5317),
    [anon_sym_PLUS_PLUS] = ACTIONS(5317),
    [anon_sym_DOT] = ACTIONS(5315),
    [anon_sym_DOT_STAR] = ACTIONS(5317),
    [anon_sym_DASH_GT] = ACTIONS(5317),
    [anon_sym_L_DQUOTE] = ACTIONS(5317),
    [anon_sym_u_DQUOTE] = ACTIONS(5317),
    [anon_sym_U_DQUOTE] = ACTIONS(5317),
    [anon_sym_u8_DQUOTE] = ACTIONS(5317),
    [anon_sym_DQUOTE] = ACTIONS(5317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5317),
    [anon_sym_LR_DQUOTE] = ACTIONS(5317),
    [anon_sym_uR_DQUOTE] = ACTIONS(5317),
    [anon_sym_UR_DQUOTE] = ACTIONS(5317),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5317),
    [sym_literal_suffix] = ACTIONS(5315),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_friend] = ACTIONS(3051),
    [anon_sym_public] = ACTIONS(3051),
    [anon_sym_private] = ACTIONS(3051),
    [anon_sym_protected] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
  },
  [1703] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_friend] = ACTIONS(3051),
    [anon_sym_public] = ACTIONS(3051),
    [anon_sym_private] = ACTIONS(3051),
    [anon_sym_protected] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(3071),
    [aux_sym_preproc_def_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token2] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3071),
    [aux_sym_preproc_else_token1] = ACTIONS(3071),
    [aux_sym_preproc_elif_token1] = ACTIONS(3071),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3071),
    [sym_preproc_directive] = ACTIONS(3071),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3073),
    [anon_sym_AMP_AMP] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3071),
    [anon_sym_typedef] = ACTIONS(3071),
    [anon_sym_virtual] = ACTIONS(3071),
    [anon_sym_extern] = ACTIONS(3071),
    [anon_sym___attribute__] = ACTIONS(3071),
    [anon_sym___attribute] = ACTIONS(3071),
    [anon_sym_COLON_COLON] = ACTIONS(3073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3073),
    [anon_sym___declspec] = ACTIONS(3071),
    [anon_sym___based] = ACTIONS(3071),
    [anon_sym_signed] = ACTIONS(3071),
    [anon_sym_unsigned] = ACTIONS(3071),
    [anon_sym_long] = ACTIONS(3071),
    [anon_sym_short] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_static] = ACTIONS(3071),
    [anon_sym_register] = ACTIONS(3071),
    [anon_sym_inline] = ACTIONS(3071),
    [anon_sym___inline] = ACTIONS(3071),
    [anon_sym___inline__] = ACTIONS(3071),
    [anon_sym___forceinline] = ACTIONS(3071),
    [anon_sym_thread_local] = ACTIONS(3071),
    [anon_sym___thread] = ACTIONS(3071),
    [anon_sym_const] = ACTIONS(3071),
    [anon_sym_constexpr] = ACTIONS(3071),
    [anon_sym_volatile] = ACTIONS(3071),
    [anon_sym_restrict] = ACTIONS(3071),
    [anon_sym___restrict__] = ACTIONS(3071),
    [anon_sym__Atomic] = ACTIONS(3071),
    [anon_sym__Noreturn] = ACTIONS(3071),
    [anon_sym_noreturn] = ACTIONS(3071),
    [anon_sym__Nonnull] = ACTIONS(3071),
    [anon_sym_mutable] = ACTIONS(3071),
    [anon_sym_constinit] = ACTIONS(3071),
    [anon_sym_consteval] = ACTIONS(3071),
    [anon_sym_alignas] = ACTIONS(3071),
    [anon_sym__Alignas] = ACTIONS(3071),
    [sym_primitive_type] = ACTIONS(3071),
    [anon_sym_enum] = ACTIONS(3071),
    [anon_sym_class] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3071),
    [anon_sym_union] = ACTIONS(3071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3071),
    [anon_sym_decltype] = ACTIONS(3071),
    [anon_sym_explicit] = ACTIONS(3071),
    [anon_sym_typename] = ACTIONS(3071),
    [anon_sym_template] = ACTIONS(3071),
    [anon_sym_operator] = ACTIONS(3071),
    [anon_sym_friend] = ACTIONS(3071),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3071),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(3101),
    [aux_sym_preproc_def_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3101),
    [aux_sym_preproc_else_token1] = ACTIONS(3101),
    [aux_sym_preproc_elif_token1] = ACTIONS(3101),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_AMP_AMP] = ACTIONS(3103),
    [anon_sym_AMP] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_typedef] = ACTIONS(3101),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym___attribute] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3103),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym___based] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym__Nonnull] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym__Alignas] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3101),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3101),
    [anon_sym_explicit] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3101),
    [anon_sym_operator] = ACTIONS(3101),
    [anon_sym_friend] = ACTIONS(3101),
    [anon_sym_public] = ACTIONS(3101),
    [anon_sym_private] = ACTIONS(3101),
    [anon_sym_protected] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3101),
    [anon_sym_static_assert] = ACTIONS(3101),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [aux_sym_preproc_if_token2] = ACTIONS(5321),
    [aux_sym_preproc_else_token1] = ACTIONS(5321),
    [aux_sym_preproc_elif_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5321),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5319),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5319),
    [anon_sym_GT_GT] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_EQ] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5321),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_STAR_EQ] = ACTIONS(5321),
    [anon_sym_SLASH_EQ] = ACTIONS(5321),
    [anon_sym_PERCENT_EQ] = ACTIONS(5321),
    [anon_sym_PLUS_EQ] = ACTIONS(5321),
    [anon_sym_DASH_EQ] = ACTIONS(5321),
    [anon_sym_LT_LT_EQ] = ACTIONS(5321),
    [anon_sym_GT_GT_EQ] = ACTIONS(5321),
    [anon_sym_AMP_EQ] = ACTIONS(5321),
    [anon_sym_CARET_EQ] = ACTIONS(5321),
    [anon_sym_PIPE_EQ] = ACTIONS(5321),
    [anon_sym_and_eq] = ACTIONS(5319),
    [anon_sym_or_eq] = ACTIONS(5319),
    [anon_sym_xor_eq] = ACTIONS(5319),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [anon_sym_L_DQUOTE] = ACTIONS(5321),
    [anon_sym_u_DQUOTE] = ACTIONS(5321),
    [anon_sym_U_DQUOTE] = ACTIONS(5321),
    [anon_sym_u8_DQUOTE] = ACTIONS(5321),
    [anon_sym_DQUOTE] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5321),
    [anon_sym_LR_DQUOTE] = ACTIONS(5321),
    [anon_sym_uR_DQUOTE] = ACTIONS(5321),
    [anon_sym_UR_DQUOTE] = ACTIONS(5321),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5321),
    [sym_literal_suffix] = ACTIONS(5319),
  },
  [1707] = {
    [sym_decltype_auto] = STATE(1807),
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5323),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_PIPE] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5325),
    [anon_sym_BANG_EQ] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5323),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym___attribute] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_RBRACK] = ACTIONS(5325),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [sym_primitive_type] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5325),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_bitor] = ACTIONS(5323),
    [anon_sym_xor] = ACTIONS(5323),
    [anon_sym_bitand] = ACTIONS(5323),
    [anon_sym_not_eq] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5325),
    [anon_sym_DOT] = ACTIONS(5323),
    [anon_sym_DOT_STAR] = ACTIONS(5325),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5327),
    [anon_sym_decltype] = ACTIONS(5329),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
    [anon_sym_requires] = ACTIONS(5323),
  },
  [1708] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [aux_sym_preproc_else_token1] = ACTIONS(2699),
    [aux_sym_preproc_elif_token1] = ACTIONS(2699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_friend] = ACTIONS(2699),
    [anon_sym_public] = ACTIONS(2699),
    [anon_sym_private] = ACTIONS(2699),
    [anon_sym_protected] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [aux_sym_preproc_else_token1] = ACTIONS(2699),
    [aux_sym_preproc_elif_token1] = ACTIONS(2699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_friend] = ACTIONS(2699),
    [anon_sym_public] = ACTIONS(2699),
    [anon_sym_private] = ACTIONS(2699),
    [anon_sym_protected] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token2] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [aux_sym_preproc_else_token1] = ACTIONS(2605),
    [aux_sym_preproc_elif_token1] = ACTIONS(2605),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym___extension__] = ACTIONS(2605),
    [anon_sym_typedef] = ACTIONS(2605),
    [anon_sym_virtual] = ACTIONS(2605),
    [anon_sym_extern] = ACTIONS(2605),
    [anon_sym___attribute__] = ACTIONS(2605),
    [anon_sym___attribute] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym___declspec] = ACTIONS(2605),
    [anon_sym___based] = ACTIONS(2605),
    [anon_sym_signed] = ACTIONS(2605),
    [anon_sym_unsigned] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_register] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym___inline] = ACTIONS(2605),
    [anon_sym___inline__] = ACTIONS(2605),
    [anon_sym___forceinline] = ACTIONS(2605),
    [anon_sym_thread_local] = ACTIONS(2605),
    [anon_sym___thread] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_constexpr] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_restrict] = ACTIONS(2605),
    [anon_sym___restrict__] = ACTIONS(2605),
    [anon_sym__Atomic] = ACTIONS(2605),
    [anon_sym__Noreturn] = ACTIONS(2605),
    [anon_sym_noreturn] = ACTIONS(2605),
    [anon_sym__Nonnull] = ACTIONS(2605),
    [anon_sym_mutable] = ACTIONS(2605),
    [anon_sym_constinit] = ACTIONS(2605),
    [anon_sym_consteval] = ACTIONS(2605),
    [anon_sym_alignas] = ACTIONS(2605),
    [anon_sym__Alignas] = ACTIONS(2605),
    [sym_primitive_type] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2605),
    [anon_sym_decltype] = ACTIONS(2605),
    [anon_sym_explicit] = ACTIONS(2605),
    [anon_sym_typename] = ACTIONS(2605),
    [anon_sym_template] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_friend] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_static_assert] = ACTIONS(2605),
  },
  [1711] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
  },
  [1713] = {
    [sym_identifier] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token2] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [aux_sym_preproc_else_token1] = ACTIONS(2585),
    [aux_sym_preproc_elif_token1] = ACTIONS(2585),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_STAR] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym___extension__] = ACTIONS(2585),
    [anon_sym_typedef] = ACTIONS(2585),
    [anon_sym_virtual] = ACTIONS(2585),
    [anon_sym_extern] = ACTIONS(2585),
    [anon_sym___attribute__] = ACTIONS(2585),
    [anon_sym___attribute] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2587),
    [anon_sym___declspec] = ACTIONS(2585),
    [anon_sym___based] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2585),
    [anon_sym_unsigned] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_register] = ACTIONS(2585),
    [anon_sym_inline] = ACTIONS(2585),
    [anon_sym___inline] = ACTIONS(2585),
    [anon_sym___inline__] = ACTIONS(2585),
    [anon_sym___forceinline] = ACTIONS(2585),
    [anon_sym_thread_local] = ACTIONS(2585),
    [anon_sym___thread] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_constexpr] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_restrict] = ACTIONS(2585),
    [anon_sym___restrict__] = ACTIONS(2585),
    [anon_sym__Atomic] = ACTIONS(2585),
    [anon_sym__Noreturn] = ACTIONS(2585),
    [anon_sym_noreturn] = ACTIONS(2585),
    [anon_sym__Nonnull] = ACTIONS(2585),
    [anon_sym_mutable] = ACTIONS(2585),
    [anon_sym_constinit] = ACTIONS(2585),
    [anon_sym_consteval] = ACTIONS(2585),
    [anon_sym_alignas] = ACTIONS(2585),
    [anon_sym__Alignas] = ACTIONS(2585),
    [sym_primitive_type] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_union] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2585),
    [anon_sym_decltype] = ACTIONS(2585),
    [anon_sym_explicit] = ACTIONS(2585),
    [anon_sym_typename] = ACTIONS(2585),
    [anon_sym_template] = ACTIONS(2585),
    [anon_sym_operator] = ACTIONS(2585),
    [anon_sym_friend] = ACTIONS(2585),
    [anon_sym_public] = ACTIONS(2585),
    [anon_sym_private] = ACTIONS(2585),
    [anon_sym_protected] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_static_assert] = ACTIONS(2585),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(5331),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5333),
    [anon_sym_COMMA] = ACTIONS(5333),
    [anon_sym_RPAREN] = ACTIONS(5333),
    [aux_sym_preproc_if_token2] = ACTIONS(5333),
    [aux_sym_preproc_else_token1] = ACTIONS(5333),
    [aux_sym_preproc_elif_token1] = ACTIONS(5331),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_DASH] = ACTIONS(5331),
    [anon_sym_PLUS] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_SLASH] = ACTIONS(5331),
    [anon_sym_PERCENT] = ACTIONS(5331),
    [anon_sym_PIPE_PIPE] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_PIPE] = ACTIONS(5331),
    [anon_sym_CARET] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_EQ_EQ] = ACTIONS(5333),
    [anon_sym_BANG_EQ] = ACTIONS(5333),
    [anon_sym_GT] = ACTIONS(5331),
    [anon_sym_GT_EQ] = ACTIONS(5333),
    [anon_sym_LT_EQ] = ACTIONS(5331),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_LT_LT] = ACTIONS(5331),
    [anon_sym_GT_GT] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym_RBRACE] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_RBRACK] = ACTIONS(5333),
    [anon_sym_EQ] = ACTIONS(5331),
    [anon_sym_COLON] = ACTIONS(5333),
    [anon_sym_QMARK] = ACTIONS(5333),
    [anon_sym_STAR_EQ] = ACTIONS(5333),
    [anon_sym_SLASH_EQ] = ACTIONS(5333),
    [anon_sym_PERCENT_EQ] = ACTIONS(5333),
    [anon_sym_PLUS_EQ] = ACTIONS(5333),
    [anon_sym_DASH_EQ] = ACTIONS(5333),
    [anon_sym_LT_LT_EQ] = ACTIONS(5333),
    [anon_sym_GT_GT_EQ] = ACTIONS(5333),
    [anon_sym_AMP_EQ] = ACTIONS(5333),
    [anon_sym_CARET_EQ] = ACTIONS(5333),
    [anon_sym_PIPE_EQ] = ACTIONS(5333),
    [anon_sym_and_eq] = ACTIONS(5331),
    [anon_sym_or_eq] = ACTIONS(5331),
    [anon_sym_xor_eq] = ACTIONS(5331),
    [anon_sym_LT_EQ_GT] = ACTIONS(5333),
    [anon_sym_or] = ACTIONS(5331),
    [anon_sym_and] = ACTIONS(5331),
    [anon_sym_bitor] = ACTIONS(5331),
    [anon_sym_xor] = ACTIONS(5331),
    [anon_sym_bitand] = ACTIONS(5331),
    [anon_sym_not_eq] = ACTIONS(5331),
    [anon_sym_DASH_DASH] = ACTIONS(5333),
    [anon_sym_PLUS_PLUS] = ACTIONS(5333),
    [anon_sym_DOT] = ACTIONS(5331),
    [anon_sym_DOT_STAR] = ACTIONS(5333),
    [anon_sym_DASH_GT] = ACTIONS(5333),
    [anon_sym_L_DQUOTE] = ACTIONS(5333),
    [anon_sym_u_DQUOTE] = ACTIONS(5333),
    [anon_sym_U_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8_DQUOTE] = ACTIONS(5333),
    [anon_sym_DQUOTE] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5333),
    [anon_sym_LR_DQUOTE] = ACTIONS(5333),
    [anon_sym_uR_DQUOTE] = ACTIONS(5333),
    [anon_sym_UR_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5333),
    [sym_literal_suffix] = ACTIONS(5331),
  },
  [1715] = {
    [sym_template_argument_list] = STATE(1818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4840),
    [anon_sym_COMMA] = ACTIONS(4840),
    [anon_sym_RPAREN] = ACTIONS(4842),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4842),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(5335),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4840),
  },
  [1716] = {
    [sym_attribute_specifier] = STATE(2213),
    [sym_field_declaration_list] = STATE(2129),
    [sym_virtual_specifier] = STATE(6878),
    [sym_base_class_clause] = STATE(7720),
    [sym_identifier] = ACTIONS(5338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5340),
    [anon_sym_COMMA] = ACTIONS(5340),
    [anon_sym_RPAREN] = ACTIONS(5340),
    [aux_sym_preproc_if_token2] = ACTIONS(5340),
    [aux_sym_preproc_else_token1] = ACTIONS(5340),
    [aux_sym_preproc_elif_token1] = ACTIONS(5338),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5340),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5338),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5338),
    [anon_sym_PIPE_PIPE] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5340),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_CARET] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_EQ_EQ] = ACTIONS(5340),
    [anon_sym_BANG_EQ] = ACTIONS(5340),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_GT_EQ] = ACTIONS(5340),
    [anon_sym_LT_EQ] = ACTIONS(5338),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5338),
    [anon_sym_GT_GT] = ACTIONS(5338),
    [anon_sym_SEMI] = ACTIONS(5340),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5344),
    [anon_sym_RBRACE] = ACTIONS(5340),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [anon_sym_RBRACK] = ACTIONS(5340),
    [anon_sym_EQ] = ACTIONS(5338),
    [anon_sym_COLON] = ACTIONS(5346),
    [anon_sym_QMARK] = ACTIONS(5340),
    [anon_sym_STAR_EQ] = ACTIONS(5340),
    [anon_sym_SLASH_EQ] = ACTIONS(5340),
    [anon_sym_PERCENT_EQ] = ACTIONS(5340),
    [anon_sym_PLUS_EQ] = ACTIONS(5340),
    [anon_sym_DASH_EQ] = ACTIONS(5340),
    [anon_sym_LT_LT_EQ] = ACTIONS(5340),
    [anon_sym_GT_GT_EQ] = ACTIONS(5340),
    [anon_sym_AMP_EQ] = ACTIONS(5340),
    [anon_sym_CARET_EQ] = ACTIONS(5340),
    [anon_sym_PIPE_EQ] = ACTIONS(5340),
    [anon_sym_and_eq] = ACTIONS(5338),
    [anon_sym_or_eq] = ACTIONS(5338),
    [anon_sym_xor_eq] = ACTIONS(5338),
    [anon_sym_LT_EQ_GT] = ACTIONS(5340),
    [anon_sym_or] = ACTIONS(5338),
    [anon_sym_and] = ACTIONS(5338),
    [anon_sym_bitor] = ACTIONS(5338),
    [anon_sym_xor] = ACTIONS(5338),
    [anon_sym_bitand] = ACTIONS(5338),
    [anon_sym_not_eq] = ACTIONS(5338),
    [anon_sym_DASH_DASH] = ACTIONS(5340),
    [anon_sym_PLUS_PLUS] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_DOT_STAR] = ACTIONS(5340),
    [anon_sym_DASH_GT] = ACTIONS(5340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5338),
    [anon_sym_decltype] = ACTIONS(5338),
    [anon_sym_final] = ACTIONS(5348),
    [anon_sym_override] = ACTIONS(5348),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_else_token1] = ACTIONS(5352),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_and_eq] = ACTIONS(5350),
    [anon_sym_or_eq] = ACTIONS(5350),
    [anon_sym_xor_eq] = ACTIONS(5350),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [anon_sym_L_DQUOTE] = ACTIONS(5352),
    [anon_sym_u_DQUOTE] = ACTIONS(5352),
    [anon_sym_U_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8_DQUOTE] = ACTIONS(5352),
    [anon_sym_DQUOTE] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5352),
    [anon_sym_LR_DQUOTE] = ACTIONS(5352),
    [anon_sym_uR_DQUOTE] = ACTIONS(5352),
    [anon_sym_UR_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5352),
    [sym_literal_suffix] = ACTIONS(5350),
  },
  [1718] = {
    [sym_identifier] = ACTIONS(2711),
    [aux_sym_preproc_def_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token2] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2711),
    [aux_sym_preproc_else_token1] = ACTIONS(2711),
    [aux_sym_preproc_elif_token1] = ACTIONS(2711),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2711),
    [sym_preproc_directive] = ACTIONS(2711),
    [anon_sym_LPAREN2] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2711),
    [anon_sym_virtual] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym___attribute__] = ACTIONS(2711),
    [anon_sym___attribute] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2713),
    [anon_sym___declspec] = ACTIONS(2711),
    [anon_sym___based] = ACTIONS(2711),
    [anon_sym_signed] = ACTIONS(2711),
    [anon_sym_unsigned] = ACTIONS(2711),
    [anon_sym_long] = ACTIONS(2711),
    [anon_sym_short] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_register] = ACTIONS(2711),
    [anon_sym_inline] = ACTIONS(2711),
    [anon_sym___inline] = ACTIONS(2711),
    [anon_sym___inline__] = ACTIONS(2711),
    [anon_sym___forceinline] = ACTIONS(2711),
    [anon_sym_thread_local] = ACTIONS(2711),
    [anon_sym___thread] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_constexpr] = ACTIONS(2711),
    [anon_sym_volatile] = ACTIONS(2711),
    [anon_sym_restrict] = ACTIONS(2711),
    [anon_sym___restrict__] = ACTIONS(2711),
    [anon_sym__Atomic] = ACTIONS(2711),
    [anon_sym__Noreturn] = ACTIONS(2711),
    [anon_sym_noreturn] = ACTIONS(2711),
    [anon_sym__Nonnull] = ACTIONS(2711),
    [anon_sym_mutable] = ACTIONS(2711),
    [anon_sym_constinit] = ACTIONS(2711),
    [anon_sym_consteval] = ACTIONS(2711),
    [anon_sym_alignas] = ACTIONS(2711),
    [anon_sym__Alignas] = ACTIONS(2711),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2711),
    [anon_sym_decltype] = ACTIONS(2711),
    [anon_sym_explicit] = ACTIONS(2711),
    [anon_sym_typename] = ACTIONS(2711),
    [anon_sym_template] = ACTIONS(2711),
    [anon_sym_operator] = ACTIONS(2711),
    [anon_sym_friend] = ACTIONS(2711),
    [anon_sym_public] = ACTIONS(2711),
    [anon_sym_private] = ACTIONS(2711),
    [anon_sym_protected] = ACTIONS(2711),
    [anon_sym_using] = ACTIONS(2711),
    [anon_sym_static_assert] = ACTIONS(2711),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [aux_sym_preproc_else_token1] = ACTIONS(2673),
    [aux_sym_preproc_elif_token1] = ACTIONS(2673),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym___attribute] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym__Nonnull] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym__Alignas] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_friend] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(2687),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2687),
    [aux_sym_preproc_else_token1] = ACTIONS(2687),
    [aux_sym_preproc_elif_token1] = ACTIONS(2687),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2687),
    [sym_preproc_directive] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym___extension__] = ACTIONS(2687),
    [anon_sym_typedef] = ACTIONS(2687),
    [anon_sym_virtual] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym___attribute__] = ACTIONS(2687),
    [anon_sym___attribute] = ACTIONS(2687),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2689),
    [anon_sym___declspec] = ACTIONS(2687),
    [anon_sym___based] = ACTIONS(2687),
    [anon_sym_signed] = ACTIONS(2687),
    [anon_sym_unsigned] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_register] = ACTIONS(2687),
    [anon_sym_inline] = ACTIONS(2687),
    [anon_sym___inline] = ACTIONS(2687),
    [anon_sym___inline__] = ACTIONS(2687),
    [anon_sym___forceinline] = ACTIONS(2687),
    [anon_sym_thread_local] = ACTIONS(2687),
    [anon_sym___thread] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_constexpr] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_restrict] = ACTIONS(2687),
    [anon_sym___restrict__] = ACTIONS(2687),
    [anon_sym__Atomic] = ACTIONS(2687),
    [anon_sym__Noreturn] = ACTIONS(2687),
    [anon_sym_noreturn] = ACTIONS(2687),
    [anon_sym__Nonnull] = ACTIONS(2687),
    [anon_sym_mutable] = ACTIONS(2687),
    [anon_sym_constinit] = ACTIONS(2687),
    [anon_sym_consteval] = ACTIONS(2687),
    [anon_sym_alignas] = ACTIONS(2687),
    [anon_sym__Alignas] = ACTIONS(2687),
    [sym_primitive_type] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2687),
    [anon_sym_decltype] = ACTIONS(2687),
    [anon_sym_explicit] = ACTIONS(2687),
    [anon_sym_typename] = ACTIONS(2687),
    [anon_sym_template] = ACTIONS(2687),
    [anon_sym_operator] = ACTIONS(2687),
    [anon_sym_friend] = ACTIONS(2687),
    [anon_sym_public] = ACTIONS(2687),
    [anon_sym_private] = ACTIONS(2687),
    [anon_sym_protected] = ACTIONS(2687),
    [anon_sym_using] = ACTIONS(2687),
    [anon_sym_static_assert] = ACTIONS(2687),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3170),
    [aux_sym_preproc_elif_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym___attribute] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_friend] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym___attribute] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [aux_sym_preproc_else_token1] = ACTIONS(3095),
    [aux_sym_preproc_elif_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym___attribute] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_friend] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
  },
  [1724] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6286),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6748),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6748),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5372),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(5372),
    [anon_sym_unsigned] = ACTIONS(5372),
    [anon_sym_long] = ACTIONS(5372),
    [anon_sym_short] = ACTIONS(5372),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5372),
    [anon_sym_constexpr] = ACTIONS(5372),
    [anon_sym_volatile] = ACTIONS(5372),
    [anon_sym_restrict] = ACTIONS(5372),
    [anon_sym___restrict__] = ACTIONS(5372),
    [anon_sym__Atomic] = ACTIONS(5372),
    [anon_sym__Noreturn] = ACTIONS(5372),
    [anon_sym_noreturn] = ACTIONS(5372),
    [anon_sym__Nonnull] = ACTIONS(5372),
    [anon_sym_mutable] = ACTIONS(5372),
    [anon_sym_constinit] = ACTIONS(5372),
    [anon_sym_consteval] = ACTIONS(5372),
    [anon_sym_alignas] = ACTIONS(5372),
    [anon_sym__Alignas] = ACTIONS(5372),
    [sym_primitive_type] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5372),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
    [anon_sym_final] = ACTIONS(5372),
    [anon_sym_override] = ACTIONS(5372),
    [anon_sym_requires] = ACTIONS(5372),
  },
  [1726] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5378),
    [anon_sym_GT_GT] = ACTIONS(5378),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
    [anon_sym_requires] = ACTIONS(5376),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5378),
    [anon_sym_GT_GT] = ACTIONS(5378),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
    [anon_sym_requires] = ACTIONS(5376),
  },
  [1728] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token2] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [aux_sym_preproc_else_token1] = ACTIONS(3123),
    [aux_sym_preproc_elif_token1] = ACTIONS(3123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym___attribute] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_friend] = ACTIONS(3123),
    [anon_sym_public] = ACTIONS(3123),
    [anon_sym_private] = ACTIONS(3123),
    [anon_sym_protected] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
  },
  [1729] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token2] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [aux_sym_preproc_else_token1] = ACTIONS(3127),
    [aux_sym_preproc_elif_token1] = ACTIONS(3127),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym___attribute] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_friend] = ACTIONS(3127),
    [anon_sym_public] = ACTIONS(3127),
    [anon_sym_private] = ACTIONS(3127),
    [anon_sym_protected] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
  },
  [1730] = {
    [sym_identifier] = ACTIONS(5380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5380),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_SLASH] = ACTIONS(5380),
    [anon_sym_PERCENT] = ACTIONS(5382),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5380),
    [anon_sym_CARET] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5380),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5380),
    [anon_sym_LT] = ACTIONS(5380),
    [anon_sym_LT_LT] = ACTIONS(5382),
    [anon_sym_GT_GT] = ACTIONS(5382),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(5380),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym___attribute] = ACTIONS(5380),
    [anon_sym_COLON_COLON] = ACTIONS(5382),
    [anon_sym___based] = ACTIONS(5380),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_signed] = ACTIONS(5380),
    [anon_sym_unsigned] = ACTIONS(5380),
    [anon_sym_long] = ACTIONS(5380),
    [anon_sym_short] = ACTIONS(5380),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_const] = ACTIONS(5380),
    [anon_sym_constexpr] = ACTIONS(5380),
    [anon_sym_volatile] = ACTIONS(5380),
    [anon_sym_restrict] = ACTIONS(5380),
    [anon_sym___restrict__] = ACTIONS(5380),
    [anon_sym__Atomic] = ACTIONS(5380),
    [anon_sym__Noreturn] = ACTIONS(5380),
    [anon_sym_noreturn] = ACTIONS(5380),
    [anon_sym__Nonnull] = ACTIONS(5380),
    [anon_sym_mutable] = ACTIONS(5380),
    [anon_sym_constinit] = ACTIONS(5380),
    [anon_sym_consteval] = ACTIONS(5380),
    [anon_sym_alignas] = ACTIONS(5380),
    [anon_sym__Alignas] = ACTIONS(5380),
    [sym_primitive_type] = ACTIONS(5380),
    [anon_sym_COLON] = ACTIONS(5380),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [anon_sym_bitor] = ACTIONS(5380),
    [anon_sym_xor] = ACTIONS(5380),
    [anon_sym_bitand] = ACTIONS(5380),
    [anon_sym_not_eq] = ACTIONS(5380),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
    [anon_sym_final] = ACTIONS(5380),
    [anon_sym_override] = ACTIONS(5380),
    [anon_sym_requires] = ACTIONS(5380),
  },
  [1731] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [aux_sym_preproc_else_token1] = ACTIONS(3134),
    [aux_sym_preproc_elif_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_friend] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
  },
  [1732] = {
    [sym_identifier] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token2] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [aux_sym_preproc_else_token1] = ACTIONS(5384),
    [aux_sym_preproc_elif_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_TILDE] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(5384),
    [anon_sym_typedef] = ACTIONS(5384),
    [anon_sym_virtual] = ACTIONS(5384),
    [anon_sym_extern] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym___attribute] = ACTIONS(5384),
    [anon_sym_COLON_COLON] = ACTIONS(5386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5386),
    [anon_sym___declspec] = ACTIONS(5384),
    [anon_sym___based] = ACTIONS(5384),
    [anon_sym_signed] = ACTIONS(5384),
    [anon_sym_unsigned] = ACTIONS(5384),
    [anon_sym_long] = ACTIONS(5384),
    [anon_sym_short] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_static] = ACTIONS(5384),
    [anon_sym_register] = ACTIONS(5384),
    [anon_sym_inline] = ACTIONS(5384),
    [anon_sym___inline] = ACTIONS(5384),
    [anon_sym___inline__] = ACTIONS(5384),
    [anon_sym___forceinline] = ACTIONS(5384),
    [anon_sym_thread_local] = ACTIONS(5384),
    [anon_sym___thread] = ACTIONS(5384),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5384),
    [anon_sym_volatile] = ACTIONS(5384),
    [anon_sym_restrict] = ACTIONS(5384),
    [anon_sym___restrict__] = ACTIONS(5384),
    [anon_sym__Atomic] = ACTIONS(5384),
    [anon_sym__Noreturn] = ACTIONS(5384),
    [anon_sym_noreturn] = ACTIONS(5384),
    [anon_sym__Nonnull] = ACTIONS(5384),
    [anon_sym_mutable] = ACTIONS(5384),
    [anon_sym_constinit] = ACTIONS(5384),
    [anon_sym_consteval] = ACTIONS(5384),
    [anon_sym_alignas] = ACTIONS(5384),
    [anon_sym__Alignas] = ACTIONS(5384),
    [sym_primitive_type] = ACTIONS(5384),
    [anon_sym_enum] = ACTIONS(5384),
    [anon_sym_class] = ACTIONS(5384),
    [anon_sym_struct] = ACTIONS(5384),
    [anon_sym_union] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
    [anon_sym_explicit] = ACTIONS(5384),
    [anon_sym_typename] = ACTIONS(5384),
    [anon_sym_template] = ACTIONS(5384),
    [anon_sym_operator] = ACTIONS(5384),
    [anon_sym_friend] = ACTIONS(5384),
    [anon_sym_public] = ACTIONS(5384),
    [anon_sym_private] = ACTIONS(5384),
    [anon_sym_protected] = ACTIONS(5384),
    [anon_sym_using] = ACTIONS(5384),
    [anon_sym_static_assert] = ACTIONS(5384),
  },
  [1733] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6187),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6748),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6748),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1734] = {
    [sym_identifier] = ACTIONS(5388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5390),
    [anon_sym_COMMA] = ACTIONS(5390),
    [anon_sym_RPAREN] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_SLASH] = ACTIONS(5388),
    [anon_sym_PERCENT] = ACTIONS(5390),
    [anon_sym_PIPE_PIPE] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_PIPE] = ACTIONS(5388),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_EQ_EQ] = ACTIONS(5390),
    [anon_sym_BANG_EQ] = ACTIONS(5390),
    [anon_sym_GT] = ACTIONS(5388),
    [anon_sym_GT_EQ] = ACTIONS(5390),
    [anon_sym_LT_EQ] = ACTIONS(5388),
    [anon_sym_LT] = ACTIONS(5388),
    [anon_sym_LT_LT] = ACTIONS(5390),
    [anon_sym_GT_GT] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___attribute] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5390),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5390),
    [anon_sym_RBRACE] = ACTIONS(5390),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [anon_sym_RBRACK] = ACTIONS(5390),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_COLON] = ACTIONS(5388),
    [anon_sym_QMARK] = ACTIONS(5390),
    [anon_sym_LT_EQ_GT] = ACTIONS(5390),
    [anon_sym_or] = ACTIONS(5388),
    [anon_sym_and] = ACTIONS(5388),
    [anon_sym_bitor] = ACTIONS(5388),
    [anon_sym_xor] = ACTIONS(5388),
    [anon_sym_bitand] = ACTIONS(5388),
    [anon_sym_not_eq] = ACTIONS(5388),
    [anon_sym_DASH_DASH] = ACTIONS(5390),
    [anon_sym_PLUS_PLUS] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_DOT_STAR] = ACTIONS(5390),
    [anon_sym_DASH_GT] = ACTIONS(5390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_final] = ACTIONS(5388),
    [anon_sym_override] = ACTIONS(5388),
    [anon_sym_requires] = ACTIONS(5388),
  },
  [1735] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_friend] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
  },
  [1736] = {
    [sym__declaration_modifiers] = STATE(2075),
    [sym__declaration_specifiers] = STATE(3912),
    [sym_attribute_specifier] = STATE(2075),
    [sym_attribute_declaration] = STATE(2075),
    [sym_ms_declspec_modifier] = STATE(2075),
    [sym_storage_class_specifier] = STATE(2075),
    [sym_type_qualifier] = STATE(2075),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_parameter_declaration] = STATE(7626),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_optional_parameter_declaration] = STATE(7626),
    [sym_variadic_parameter_declaration] = STATE(7626),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2075),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1843),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1737] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [aux_sym_preproc_else_token1] = ACTIONS(5392),
    [aux_sym_preproc_elif_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym___attribute] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
  },
  [1738] = {
    [sym_identifier] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token2] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [aux_sym_preproc_else_token1] = ACTIONS(5396),
    [aux_sym_preproc_elif_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_TILDE] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym_typedef] = ACTIONS(5396),
    [anon_sym_virtual] = ACTIONS(5396),
    [anon_sym_extern] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___attribute] = ACTIONS(5396),
    [anon_sym_COLON_COLON] = ACTIONS(5398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5398),
    [anon_sym___declspec] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_static] = ACTIONS(5396),
    [anon_sym_register] = ACTIONS(5396),
    [anon_sym_inline] = ACTIONS(5396),
    [anon_sym___inline] = ACTIONS(5396),
    [anon_sym___inline__] = ACTIONS(5396),
    [anon_sym___forceinline] = ACTIONS(5396),
    [anon_sym_thread_local] = ACTIONS(5396),
    [anon_sym___thread] = ACTIONS(5396),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [sym_primitive_type] = ACTIONS(5396),
    [anon_sym_enum] = ACTIONS(5396),
    [anon_sym_class] = ACTIONS(5396),
    [anon_sym_struct] = ACTIONS(5396),
    [anon_sym_union] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_explicit] = ACTIONS(5396),
    [anon_sym_typename] = ACTIONS(5396),
    [anon_sym_template] = ACTIONS(5396),
    [anon_sym_operator] = ACTIONS(5396),
    [anon_sym_friend] = ACTIONS(5396),
    [anon_sym_public] = ACTIONS(5396),
    [anon_sym_private] = ACTIONS(5396),
    [anon_sym_protected] = ACTIONS(5396),
    [anon_sym_using] = ACTIONS(5396),
    [anon_sym_static_assert] = ACTIONS(5396),
  },
  [1739] = {
    [sym_identifier] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token2] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [aux_sym_preproc_else_token1] = ACTIONS(5400),
    [aux_sym_preproc_elif_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_TILDE] = ACTIONS(5402),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym_typedef] = ACTIONS(5400),
    [anon_sym_virtual] = ACTIONS(5400),
    [anon_sym_extern] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___attribute] = ACTIONS(5400),
    [anon_sym_COLON_COLON] = ACTIONS(5402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5402),
    [anon_sym___declspec] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5400),
    [anon_sym_static] = ACTIONS(5400),
    [anon_sym_register] = ACTIONS(5400),
    [anon_sym_inline] = ACTIONS(5400),
    [anon_sym___inline] = ACTIONS(5400),
    [anon_sym___inline__] = ACTIONS(5400),
    [anon_sym___forceinline] = ACTIONS(5400),
    [anon_sym_thread_local] = ACTIONS(5400),
    [anon_sym___thread] = ACTIONS(5400),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [sym_primitive_type] = ACTIONS(5400),
    [anon_sym_enum] = ACTIONS(5400),
    [anon_sym_class] = ACTIONS(5400),
    [anon_sym_struct] = ACTIONS(5400),
    [anon_sym_union] = ACTIONS(5400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_explicit] = ACTIONS(5400),
    [anon_sym_typename] = ACTIONS(5400),
    [anon_sym_template] = ACTIONS(5400),
    [anon_sym_operator] = ACTIONS(5400),
    [anon_sym_friend] = ACTIONS(5400),
    [anon_sym_public] = ACTIONS(5400),
    [anon_sym_private] = ACTIONS(5400),
    [anon_sym_protected] = ACTIONS(5400),
    [anon_sym_using] = ACTIONS(5400),
    [anon_sym_static_assert] = ACTIONS(5400),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [aux_sym_preproc_else_token1] = ACTIONS(5404),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [aux_sym_preproc_else_token1] = ACTIONS(5408),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [1742] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [aux_sym_preproc_else_token1] = ACTIONS(5408),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [aux_sym_preproc_else_token1] = ACTIONS(5408),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [1744] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [aux_sym_preproc_else_token1] = ACTIONS(5404),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [1747] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym___attribute] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [1748] = {
    [sym_identifier] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token2] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [aux_sym_preproc_else_token1] = ACTIONS(5412),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_TILDE] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym_typedef] = ACTIONS(5412),
    [anon_sym_virtual] = ACTIONS(5412),
    [anon_sym_extern] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___attribute] = ACTIONS(5412),
    [anon_sym_COLON_COLON] = ACTIONS(5414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5414),
    [anon_sym___declspec] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5412),
    [anon_sym_static] = ACTIONS(5412),
    [anon_sym_register] = ACTIONS(5412),
    [anon_sym_inline] = ACTIONS(5412),
    [anon_sym___inline] = ACTIONS(5412),
    [anon_sym___inline__] = ACTIONS(5412),
    [anon_sym___forceinline] = ACTIONS(5412),
    [anon_sym_thread_local] = ACTIONS(5412),
    [anon_sym___thread] = ACTIONS(5412),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_enum] = ACTIONS(5412),
    [anon_sym_class] = ACTIONS(5412),
    [anon_sym_struct] = ACTIONS(5412),
    [anon_sym_union] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_explicit] = ACTIONS(5412),
    [anon_sym_typename] = ACTIONS(5412),
    [anon_sym_template] = ACTIONS(5412),
    [anon_sym_operator] = ACTIONS(5412),
    [anon_sym_friend] = ACTIONS(5412),
    [anon_sym_public] = ACTIONS(5412),
    [anon_sym_private] = ACTIONS(5412),
    [anon_sym_protected] = ACTIONS(5412),
    [anon_sym_using] = ACTIONS(5412),
    [anon_sym_static_assert] = ACTIONS(5412),
  },
  [1749] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [aux_sym_preproc_else_token1] = ACTIONS(5416),
    [aux_sym_preproc_elif_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [aux_sym_preproc_else_token1] = ACTIONS(5420),
    [aux_sym_preproc_elif_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
  },
  [1751] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [aux_sym_preproc_else_token1] = ACTIONS(5424),
    [aux_sym_preproc_elif_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
  },
  [1752] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [aux_sym_preproc_else_token1] = ACTIONS(5424),
    [aux_sym_preproc_elif_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token2] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [aux_sym_preproc_else_token1] = ACTIONS(5428),
    [aux_sym_preproc_elif_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_TILDE] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___extension__] = ACTIONS(5428),
    [anon_sym_typedef] = ACTIONS(5428),
    [anon_sym_virtual] = ACTIONS(5428),
    [anon_sym_extern] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym___attribute] = ACTIONS(5428),
    [anon_sym_COLON_COLON] = ACTIONS(5430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5430),
    [anon_sym___declspec] = ACTIONS(5428),
    [anon_sym___based] = ACTIONS(5428),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5428),
    [anon_sym_static] = ACTIONS(5428),
    [anon_sym_register] = ACTIONS(5428),
    [anon_sym_inline] = ACTIONS(5428),
    [anon_sym___inline] = ACTIONS(5428),
    [anon_sym___inline__] = ACTIONS(5428),
    [anon_sym___forceinline] = ACTIONS(5428),
    [anon_sym_thread_local] = ACTIONS(5428),
    [anon_sym___thread] = ACTIONS(5428),
    [anon_sym_const] = ACTIONS(5428),
    [anon_sym_constexpr] = ACTIONS(5428),
    [anon_sym_volatile] = ACTIONS(5428),
    [anon_sym_restrict] = ACTIONS(5428),
    [anon_sym___restrict__] = ACTIONS(5428),
    [anon_sym__Atomic] = ACTIONS(5428),
    [anon_sym__Noreturn] = ACTIONS(5428),
    [anon_sym_noreturn] = ACTIONS(5428),
    [anon_sym__Nonnull] = ACTIONS(5428),
    [anon_sym_mutable] = ACTIONS(5428),
    [anon_sym_constinit] = ACTIONS(5428),
    [anon_sym_consteval] = ACTIONS(5428),
    [anon_sym_alignas] = ACTIONS(5428),
    [anon_sym__Alignas] = ACTIONS(5428),
    [sym_primitive_type] = ACTIONS(5428),
    [anon_sym_enum] = ACTIONS(5428),
    [anon_sym_class] = ACTIONS(5428),
    [anon_sym_struct] = ACTIONS(5428),
    [anon_sym_union] = ACTIONS(5428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
    [anon_sym_explicit] = ACTIONS(5428),
    [anon_sym_typename] = ACTIONS(5428),
    [anon_sym_template] = ACTIONS(5428),
    [anon_sym_operator] = ACTIONS(5428),
    [anon_sym_friend] = ACTIONS(5428),
    [anon_sym_public] = ACTIONS(5428),
    [anon_sym_private] = ACTIONS(5428),
    [anon_sym_protected] = ACTIONS(5428),
    [anon_sym_using] = ACTIONS(5428),
    [anon_sym_static_assert] = ACTIONS(5428),
  },
  [1754] = {
    [sym_identifier] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token2] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [aux_sym_preproc_else_token1] = ACTIONS(5432),
    [aux_sym_preproc_elif_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_TILDE] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5432),
    [anon_sym_typedef] = ACTIONS(5432),
    [anon_sym_virtual] = ACTIONS(5432),
    [anon_sym_extern] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(5432),
    [anon_sym___attribute] = ACTIONS(5432),
    [anon_sym_COLON_COLON] = ACTIONS(5434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5434),
    [anon_sym___declspec] = ACTIONS(5432),
    [anon_sym___based] = ACTIONS(5432),
    [anon_sym_signed] = ACTIONS(5432),
    [anon_sym_unsigned] = ACTIONS(5432),
    [anon_sym_long] = ACTIONS(5432),
    [anon_sym_short] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_static] = ACTIONS(5432),
    [anon_sym_register] = ACTIONS(5432),
    [anon_sym_inline] = ACTIONS(5432),
    [anon_sym___inline] = ACTIONS(5432),
    [anon_sym___inline__] = ACTIONS(5432),
    [anon_sym___forceinline] = ACTIONS(5432),
    [anon_sym_thread_local] = ACTIONS(5432),
    [anon_sym___thread] = ACTIONS(5432),
    [anon_sym_const] = ACTIONS(5432),
    [anon_sym_constexpr] = ACTIONS(5432),
    [anon_sym_volatile] = ACTIONS(5432),
    [anon_sym_restrict] = ACTIONS(5432),
    [anon_sym___restrict__] = ACTIONS(5432),
    [anon_sym__Atomic] = ACTIONS(5432),
    [anon_sym__Noreturn] = ACTIONS(5432),
    [anon_sym_noreturn] = ACTIONS(5432),
    [anon_sym__Nonnull] = ACTIONS(5432),
    [anon_sym_mutable] = ACTIONS(5432),
    [anon_sym_constinit] = ACTIONS(5432),
    [anon_sym_consteval] = ACTIONS(5432),
    [anon_sym_alignas] = ACTIONS(5432),
    [anon_sym__Alignas] = ACTIONS(5432),
    [sym_primitive_type] = ACTIONS(5432),
    [anon_sym_enum] = ACTIONS(5432),
    [anon_sym_class] = ACTIONS(5432),
    [anon_sym_struct] = ACTIONS(5432),
    [anon_sym_union] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
    [anon_sym_explicit] = ACTIONS(5432),
    [anon_sym_typename] = ACTIONS(5432),
    [anon_sym_template] = ACTIONS(5432),
    [anon_sym_operator] = ACTIONS(5432),
    [anon_sym_friend] = ACTIONS(5432),
    [anon_sym_public] = ACTIONS(5432),
    [anon_sym_private] = ACTIONS(5432),
    [anon_sym_protected] = ACTIONS(5432),
    [anon_sym_using] = ACTIONS(5432),
    [anon_sym_static_assert] = ACTIONS(5432),
  },
  [1755] = {
    [sym_identifier] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token2] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [aux_sym_preproc_else_token1] = ACTIONS(5436),
    [aux_sym_preproc_elif_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5438),
    [anon_sym_TILDE] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5436),
    [anon_sym_typedef] = ACTIONS(5436),
    [anon_sym_virtual] = ACTIONS(5436),
    [anon_sym_extern] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5436),
    [anon_sym___attribute] = ACTIONS(5436),
    [anon_sym_COLON_COLON] = ACTIONS(5438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5438),
    [anon_sym___declspec] = ACTIONS(5436),
    [anon_sym___based] = ACTIONS(5436),
    [anon_sym_signed] = ACTIONS(5436),
    [anon_sym_unsigned] = ACTIONS(5436),
    [anon_sym_long] = ACTIONS(5436),
    [anon_sym_short] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5436),
    [anon_sym_static] = ACTIONS(5436),
    [anon_sym_register] = ACTIONS(5436),
    [anon_sym_inline] = ACTIONS(5436),
    [anon_sym___inline] = ACTIONS(5436),
    [anon_sym___inline__] = ACTIONS(5436),
    [anon_sym___forceinline] = ACTIONS(5436),
    [anon_sym_thread_local] = ACTIONS(5436),
    [anon_sym___thread] = ACTIONS(5436),
    [anon_sym_const] = ACTIONS(5436),
    [anon_sym_constexpr] = ACTIONS(5436),
    [anon_sym_volatile] = ACTIONS(5436),
    [anon_sym_restrict] = ACTIONS(5436),
    [anon_sym___restrict__] = ACTIONS(5436),
    [anon_sym__Atomic] = ACTIONS(5436),
    [anon_sym__Noreturn] = ACTIONS(5436),
    [anon_sym_noreturn] = ACTIONS(5436),
    [anon_sym__Nonnull] = ACTIONS(5436),
    [anon_sym_mutable] = ACTIONS(5436),
    [anon_sym_constinit] = ACTIONS(5436),
    [anon_sym_consteval] = ACTIONS(5436),
    [anon_sym_alignas] = ACTIONS(5436),
    [anon_sym__Alignas] = ACTIONS(5436),
    [sym_primitive_type] = ACTIONS(5436),
    [anon_sym_enum] = ACTIONS(5436),
    [anon_sym_class] = ACTIONS(5436),
    [anon_sym_struct] = ACTIONS(5436),
    [anon_sym_union] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5436),
    [anon_sym_decltype] = ACTIONS(5436),
    [anon_sym_explicit] = ACTIONS(5436),
    [anon_sym_typename] = ACTIONS(5436),
    [anon_sym_template] = ACTIONS(5436),
    [anon_sym_operator] = ACTIONS(5436),
    [anon_sym_friend] = ACTIONS(5436),
    [anon_sym_public] = ACTIONS(5436),
    [anon_sym_private] = ACTIONS(5436),
    [anon_sym_protected] = ACTIONS(5436),
    [anon_sym_using] = ACTIONS(5436),
    [anon_sym_static_assert] = ACTIONS(5436),
  },
  [1756] = {
    [sym_identifier] = ACTIONS(5440),
    [aux_sym_preproc_def_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token2] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5440),
    [aux_sym_preproc_else_token1] = ACTIONS(5440),
    [aux_sym_preproc_elif_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5440),
    [sym_preproc_directive] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_TILDE] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___extension__] = ACTIONS(5440),
    [anon_sym_typedef] = ACTIONS(5440),
    [anon_sym_virtual] = ACTIONS(5440),
    [anon_sym_extern] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym___attribute] = ACTIONS(5440),
    [anon_sym_COLON_COLON] = ACTIONS(5442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5442),
    [anon_sym___declspec] = ACTIONS(5440),
    [anon_sym___based] = ACTIONS(5440),
    [anon_sym_signed] = ACTIONS(5440),
    [anon_sym_unsigned] = ACTIONS(5440),
    [anon_sym_long] = ACTIONS(5440),
    [anon_sym_short] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_static] = ACTIONS(5440),
    [anon_sym_register] = ACTIONS(5440),
    [anon_sym_inline] = ACTIONS(5440),
    [anon_sym___inline] = ACTIONS(5440),
    [anon_sym___inline__] = ACTIONS(5440),
    [anon_sym___forceinline] = ACTIONS(5440),
    [anon_sym_thread_local] = ACTIONS(5440),
    [anon_sym___thread] = ACTIONS(5440),
    [anon_sym_const] = ACTIONS(5440),
    [anon_sym_constexpr] = ACTIONS(5440),
    [anon_sym_volatile] = ACTIONS(5440),
    [anon_sym_restrict] = ACTIONS(5440),
    [anon_sym___restrict__] = ACTIONS(5440),
    [anon_sym__Atomic] = ACTIONS(5440),
    [anon_sym__Noreturn] = ACTIONS(5440),
    [anon_sym_noreturn] = ACTIONS(5440),
    [anon_sym__Nonnull] = ACTIONS(5440),
    [anon_sym_mutable] = ACTIONS(5440),
    [anon_sym_constinit] = ACTIONS(5440),
    [anon_sym_consteval] = ACTIONS(5440),
    [anon_sym_alignas] = ACTIONS(5440),
    [anon_sym__Alignas] = ACTIONS(5440),
    [sym_primitive_type] = ACTIONS(5440),
    [anon_sym_enum] = ACTIONS(5440),
    [anon_sym_class] = ACTIONS(5440),
    [anon_sym_struct] = ACTIONS(5440),
    [anon_sym_union] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
    [anon_sym_explicit] = ACTIONS(5440),
    [anon_sym_typename] = ACTIONS(5440),
    [anon_sym_template] = ACTIONS(5440),
    [anon_sym_operator] = ACTIONS(5440),
    [anon_sym_friend] = ACTIONS(5440),
    [anon_sym_public] = ACTIONS(5440),
    [anon_sym_private] = ACTIONS(5440),
    [anon_sym_protected] = ACTIONS(5440),
    [anon_sym_using] = ACTIONS(5440),
    [anon_sym_static_assert] = ACTIONS(5440),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(5444),
    [aux_sym_preproc_def_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token2] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5444),
    [aux_sym_preproc_else_token1] = ACTIONS(5444),
    [aux_sym_preproc_elif_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5444),
    [sym_preproc_directive] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym_typedef] = ACTIONS(5444),
    [anon_sym_virtual] = ACTIONS(5444),
    [anon_sym_extern] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym___attribute] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5446),
    [anon_sym___declspec] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_static] = ACTIONS(5444),
    [anon_sym_register] = ACTIONS(5444),
    [anon_sym_inline] = ACTIONS(5444),
    [anon_sym___inline] = ACTIONS(5444),
    [anon_sym___inline__] = ACTIONS(5444),
    [anon_sym___forceinline] = ACTIONS(5444),
    [anon_sym_thread_local] = ACTIONS(5444),
    [anon_sym___thread] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym__Nonnull] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym__Alignas] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_enum] = ACTIONS(5444),
    [anon_sym_class] = ACTIONS(5444),
    [anon_sym_struct] = ACTIONS(5444),
    [anon_sym_union] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_explicit] = ACTIONS(5444),
    [anon_sym_typename] = ACTIONS(5444),
    [anon_sym_template] = ACTIONS(5444),
    [anon_sym_operator] = ACTIONS(5444),
    [anon_sym_friend] = ACTIONS(5444),
    [anon_sym_public] = ACTIONS(5444),
    [anon_sym_private] = ACTIONS(5444),
    [anon_sym_protected] = ACTIONS(5444),
    [anon_sym_using] = ACTIONS(5444),
    [anon_sym_static_assert] = ACTIONS(5444),
  },
  [1758] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [1759] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [1760] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(5456),
    [aux_sym_preproc_def_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5456),
    [aux_sym_preproc_else_token1] = ACTIONS(5456),
    [aux_sym_preproc_elif_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5456),
    [sym_preproc_directive] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_typedef] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [sym_primitive_type] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_friend] = ACTIONS(5456),
    [anon_sym_public] = ACTIONS(5456),
    [anon_sym_private] = ACTIONS(5456),
    [anon_sym_protected] = ACTIONS(5456),
    [anon_sym_using] = ACTIONS(5456),
    [anon_sym_static_assert] = ACTIONS(5456),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(5460),
    [aux_sym_preproc_def_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token2] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5460),
    [aux_sym_preproc_else_token1] = ACTIONS(5460),
    [aux_sym_preproc_elif_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5460),
    [sym_preproc_directive] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5462),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_typedef] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym___attribute] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5462),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym__Nonnull] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym__Alignas] = ACTIONS(5460),
    [sym_primitive_type] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_public] = ACTIONS(5460),
    [anon_sym_private] = ACTIONS(5460),
    [anon_sym_protected] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_static_assert] = ACTIONS(5460),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(5464),
    [aux_sym_preproc_def_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5464),
    [aux_sym_preproc_else_token1] = ACTIONS(5464),
    [aux_sym_preproc_elif_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5464),
    [sym_preproc_directive] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_typedef] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [sym_primitive_type] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_public] = ACTIONS(5464),
    [anon_sym_private] = ACTIONS(5464),
    [anon_sym_protected] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_static_assert] = ACTIONS(5464),
  },
  [1764] = {
    [sym_identifier] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token2] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [aux_sym_preproc_else_token1] = ACTIONS(5468),
    [aux_sym_preproc_elif_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_TILDE] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym_typedef] = ACTIONS(5468),
    [anon_sym_virtual] = ACTIONS(5468),
    [anon_sym_extern] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym___attribute] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5470),
    [anon_sym___declspec] = ACTIONS(5468),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_static] = ACTIONS(5468),
    [anon_sym_register] = ACTIONS(5468),
    [anon_sym_inline] = ACTIONS(5468),
    [anon_sym___inline] = ACTIONS(5468),
    [anon_sym___inline__] = ACTIONS(5468),
    [anon_sym___forceinline] = ACTIONS(5468),
    [anon_sym_thread_local] = ACTIONS(5468),
    [anon_sym___thread] = ACTIONS(5468),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym__Nonnull] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [anon_sym_alignas] = ACTIONS(5468),
    [anon_sym__Alignas] = ACTIONS(5468),
    [sym_primitive_type] = ACTIONS(5468),
    [anon_sym_enum] = ACTIONS(5468),
    [anon_sym_class] = ACTIONS(5468),
    [anon_sym_struct] = ACTIONS(5468),
    [anon_sym_union] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_explicit] = ACTIONS(5468),
    [anon_sym_typename] = ACTIONS(5468),
    [anon_sym_template] = ACTIONS(5468),
    [anon_sym_operator] = ACTIONS(5468),
    [anon_sym_friend] = ACTIONS(5468),
    [anon_sym_public] = ACTIONS(5468),
    [anon_sym_private] = ACTIONS(5468),
    [anon_sym_protected] = ACTIONS(5468),
    [anon_sym_using] = ACTIONS(5468),
    [anon_sym_static_assert] = ACTIONS(5468),
  },
  [1765] = {
    [sym_identifier] = ACTIONS(5472),
    [aux_sym_preproc_def_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token2] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5472),
    [aux_sym_preproc_else_token1] = ACTIONS(5472),
    [aux_sym_preproc_elif_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5472),
    [sym_preproc_directive] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_TILDE] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym_typedef] = ACTIONS(5472),
    [anon_sym_virtual] = ACTIONS(5472),
    [anon_sym_extern] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym_COLON_COLON] = ACTIONS(5474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5474),
    [anon_sym___declspec] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_static] = ACTIONS(5472),
    [anon_sym_register] = ACTIONS(5472),
    [anon_sym_inline] = ACTIONS(5472),
    [anon_sym___inline] = ACTIONS(5472),
    [anon_sym___inline__] = ACTIONS(5472),
    [anon_sym___forceinline] = ACTIONS(5472),
    [anon_sym_thread_local] = ACTIONS(5472),
    [anon_sym___thread] = ACTIONS(5472),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym__Nonnull] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym__Alignas] = ACTIONS(5472),
    [sym_primitive_type] = ACTIONS(5472),
    [anon_sym_enum] = ACTIONS(5472),
    [anon_sym_class] = ACTIONS(5472),
    [anon_sym_struct] = ACTIONS(5472),
    [anon_sym_union] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_explicit] = ACTIONS(5472),
    [anon_sym_typename] = ACTIONS(5472),
    [anon_sym_template] = ACTIONS(5472),
    [anon_sym_operator] = ACTIONS(5472),
    [anon_sym_friend] = ACTIONS(5472),
    [anon_sym_public] = ACTIONS(5472),
    [anon_sym_private] = ACTIONS(5472),
    [anon_sym_protected] = ACTIONS(5472),
    [anon_sym_using] = ACTIONS(5472),
    [anon_sym_static_assert] = ACTIONS(5472),
  },
  [1766] = {
    [sym_identifier] = ACTIONS(5476),
    [aux_sym_preproc_def_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token2] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5476),
    [aux_sym_preproc_else_token1] = ACTIONS(5476),
    [aux_sym_preproc_elif_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5476),
    [sym_preproc_directive] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_TILDE] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym_typedef] = ACTIONS(5476),
    [anon_sym_virtual] = ACTIONS(5476),
    [anon_sym_extern] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym___declspec] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5476),
    [anon_sym_inline] = ACTIONS(5476),
    [anon_sym___inline] = ACTIONS(5476),
    [anon_sym___inline__] = ACTIONS(5476),
    [anon_sym___forceinline] = ACTIONS(5476),
    [anon_sym_thread_local] = ACTIONS(5476),
    [anon_sym___thread] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym__Nonnull] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym__Alignas] = ACTIONS(5476),
    [sym_primitive_type] = ACTIONS(5476),
    [anon_sym_enum] = ACTIONS(5476),
    [anon_sym_class] = ACTIONS(5476),
    [anon_sym_struct] = ACTIONS(5476),
    [anon_sym_union] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_explicit] = ACTIONS(5476),
    [anon_sym_typename] = ACTIONS(5476),
    [anon_sym_template] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5476),
    [anon_sym_friend] = ACTIONS(5476),
    [anon_sym_public] = ACTIONS(5476),
    [anon_sym_private] = ACTIONS(5476),
    [anon_sym_protected] = ACTIONS(5476),
    [anon_sym_using] = ACTIONS(5476),
    [anon_sym_static_assert] = ACTIONS(5476),
  },
  [1767] = {
    [sym_identifier] = ACTIONS(5305),
    [aux_sym_preproc_def_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token2] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5305),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5305),
    [sym_preproc_directive] = ACTIONS(5305),
    [anon_sym_LPAREN2] = ACTIONS(5307),
    [anon_sym_TILDE] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_AMP_AMP] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5305),
    [anon_sym_SEMI] = ACTIONS(5307),
    [anon_sym___extension__] = ACTIONS(5305),
    [anon_sym_typedef] = ACTIONS(5305),
    [anon_sym_virtual] = ACTIONS(5305),
    [anon_sym_extern] = ACTIONS(5305),
    [anon_sym___attribute__] = ACTIONS(5305),
    [anon_sym___attribute] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5307),
    [anon_sym___declspec] = ACTIONS(5305),
    [anon_sym___based] = ACTIONS(5305),
    [anon_sym_signed] = ACTIONS(5305),
    [anon_sym_unsigned] = ACTIONS(5305),
    [anon_sym_long] = ACTIONS(5305),
    [anon_sym_short] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_static] = ACTIONS(5305),
    [anon_sym_register] = ACTIONS(5305),
    [anon_sym_inline] = ACTIONS(5305),
    [anon_sym___inline] = ACTIONS(5305),
    [anon_sym___inline__] = ACTIONS(5305),
    [anon_sym___forceinline] = ACTIONS(5305),
    [anon_sym_thread_local] = ACTIONS(5305),
    [anon_sym___thread] = ACTIONS(5305),
    [anon_sym_const] = ACTIONS(5305),
    [anon_sym_constexpr] = ACTIONS(5305),
    [anon_sym_volatile] = ACTIONS(5305),
    [anon_sym_restrict] = ACTIONS(5305),
    [anon_sym___restrict__] = ACTIONS(5305),
    [anon_sym__Atomic] = ACTIONS(5305),
    [anon_sym__Noreturn] = ACTIONS(5305),
    [anon_sym_noreturn] = ACTIONS(5305),
    [anon_sym__Nonnull] = ACTIONS(5305),
    [anon_sym_mutable] = ACTIONS(5305),
    [anon_sym_constinit] = ACTIONS(5305),
    [anon_sym_consteval] = ACTIONS(5305),
    [anon_sym_alignas] = ACTIONS(5305),
    [anon_sym__Alignas] = ACTIONS(5305),
    [sym_primitive_type] = ACTIONS(5305),
    [anon_sym_enum] = ACTIONS(5305),
    [anon_sym_class] = ACTIONS(5305),
    [anon_sym_struct] = ACTIONS(5305),
    [anon_sym_union] = ACTIONS(5305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5305),
    [anon_sym_decltype] = ACTIONS(5305),
    [anon_sym_explicit] = ACTIONS(5305),
    [anon_sym_typename] = ACTIONS(5305),
    [anon_sym_template] = ACTIONS(5305),
    [anon_sym_operator] = ACTIONS(5305),
    [anon_sym_friend] = ACTIONS(5305),
    [anon_sym_public] = ACTIONS(5305),
    [anon_sym_private] = ACTIONS(5305),
    [anon_sym_protected] = ACTIONS(5305),
    [anon_sym_using] = ACTIONS(5305),
    [anon_sym_static_assert] = ACTIONS(5305),
  },
  [1768] = {
    [sym_identifier] = ACTIONS(5476),
    [aux_sym_preproc_def_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token2] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5476),
    [aux_sym_preproc_else_token1] = ACTIONS(5476),
    [aux_sym_preproc_elif_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5476),
    [sym_preproc_directive] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_TILDE] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym_typedef] = ACTIONS(5476),
    [anon_sym_virtual] = ACTIONS(5476),
    [anon_sym_extern] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym___declspec] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5476),
    [anon_sym_inline] = ACTIONS(5476),
    [anon_sym___inline] = ACTIONS(5476),
    [anon_sym___inline__] = ACTIONS(5476),
    [anon_sym___forceinline] = ACTIONS(5476),
    [anon_sym_thread_local] = ACTIONS(5476),
    [anon_sym___thread] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym__Nonnull] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym__Alignas] = ACTIONS(5476),
    [sym_primitive_type] = ACTIONS(5476),
    [anon_sym_enum] = ACTIONS(5476),
    [anon_sym_class] = ACTIONS(5476),
    [anon_sym_struct] = ACTIONS(5476),
    [anon_sym_union] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_explicit] = ACTIONS(5476),
    [anon_sym_typename] = ACTIONS(5476),
    [anon_sym_template] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5476),
    [anon_sym_friend] = ACTIONS(5476),
    [anon_sym_public] = ACTIONS(5476),
    [anon_sym_private] = ACTIONS(5476),
    [anon_sym_protected] = ACTIONS(5476),
    [anon_sym_using] = ACTIONS(5476),
    [anon_sym_static_assert] = ACTIONS(5476),
  },
  [1769] = {
    [sym_identifier] = ACTIONS(4834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_COMMA] = ACTIONS(4836),
    [anon_sym_RPAREN] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_DASH] = ACTIONS(4834),
    [anon_sym_PLUS] = ACTIONS(4834),
    [anon_sym_STAR] = ACTIONS(4836),
    [anon_sym_SLASH] = ACTIONS(4834),
    [anon_sym_PERCENT] = ACTIONS(4836),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_PIPE] = ACTIONS(4834),
    [anon_sym_CARET] = ACTIONS(4836),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym_EQ_EQ] = ACTIONS(4836),
    [anon_sym_BANG_EQ] = ACTIONS(4836),
    [anon_sym_GT] = ACTIONS(4834),
    [anon_sym_GT_EQ] = ACTIONS(4836),
    [anon_sym_LT_EQ] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(4834),
    [anon_sym_LT_LT] = ACTIONS(4836),
    [anon_sym_GT_GT] = ACTIONS(4836),
    [anon_sym_SEMI] = ACTIONS(4836),
    [anon_sym___extension__] = ACTIONS(4834),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym___based] = ACTIONS(4834),
    [anon_sym_LBRACE] = ACTIONS(4836),
    [anon_sym_RBRACE] = ACTIONS(4836),
    [anon_sym_signed] = ACTIONS(4834),
    [anon_sym_unsigned] = ACTIONS(4834),
    [anon_sym_long] = ACTIONS(4834),
    [anon_sym_short] = ACTIONS(4834),
    [anon_sym_LBRACK] = ACTIONS(4836),
    [anon_sym_RBRACK] = ACTIONS(4836),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4834),
    [anon_sym_volatile] = ACTIONS(4834),
    [anon_sym_restrict] = ACTIONS(4834),
    [anon_sym___restrict__] = ACTIONS(4834),
    [anon_sym__Atomic] = ACTIONS(4834),
    [anon_sym__Noreturn] = ACTIONS(4834),
    [anon_sym_noreturn] = ACTIONS(4834),
    [anon_sym__Nonnull] = ACTIONS(4834),
    [anon_sym_mutable] = ACTIONS(4834),
    [anon_sym_constinit] = ACTIONS(4834),
    [anon_sym_consteval] = ACTIONS(4834),
    [anon_sym_alignas] = ACTIONS(4834),
    [anon_sym__Alignas] = ACTIONS(4834),
    [sym_primitive_type] = ACTIONS(4834),
    [anon_sym_COLON] = ACTIONS(4834),
    [anon_sym_QMARK] = ACTIONS(4836),
    [anon_sym_LT_EQ_GT] = ACTIONS(4836),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [anon_sym_bitor] = ACTIONS(4834),
    [anon_sym_xor] = ACTIONS(4834),
    [anon_sym_bitand] = ACTIONS(4834),
    [anon_sym_not_eq] = ACTIONS(4834),
    [anon_sym_DASH_DASH] = ACTIONS(4836),
    [anon_sym_PLUS_PLUS] = ACTIONS(4836),
    [anon_sym_DOT] = ACTIONS(4834),
    [anon_sym_DOT_STAR] = ACTIONS(4836),
    [anon_sym_DASH_GT] = ACTIONS(4836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4834),
    [anon_sym_decltype] = ACTIONS(4834),
    [anon_sym_final] = ACTIONS(4834),
    [anon_sym_override] = ACTIONS(4834),
    [anon_sym_requires] = ACTIONS(4834),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(5480),
    [aux_sym_preproc_def_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token2] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5480),
    [aux_sym_preproc_else_token1] = ACTIONS(5480),
    [aux_sym_preproc_elif_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5480),
    [sym_preproc_directive] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_TILDE] = ACTIONS(5482),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym_typedef] = ACTIONS(5480),
    [anon_sym_virtual] = ACTIONS(5480),
    [anon_sym_extern] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5482),
    [anon_sym___declspec] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_static] = ACTIONS(5480),
    [anon_sym_register] = ACTIONS(5480),
    [anon_sym_inline] = ACTIONS(5480),
    [anon_sym___inline] = ACTIONS(5480),
    [anon_sym___inline__] = ACTIONS(5480),
    [anon_sym___forceinline] = ACTIONS(5480),
    [anon_sym_thread_local] = ACTIONS(5480),
    [anon_sym___thread] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym__Nonnull] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym__Alignas] = ACTIONS(5480),
    [sym_primitive_type] = ACTIONS(5480),
    [anon_sym_enum] = ACTIONS(5480),
    [anon_sym_class] = ACTIONS(5480),
    [anon_sym_struct] = ACTIONS(5480),
    [anon_sym_union] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_explicit] = ACTIONS(5480),
    [anon_sym_typename] = ACTIONS(5480),
    [anon_sym_template] = ACTIONS(5480),
    [anon_sym_operator] = ACTIONS(5480),
    [anon_sym_friend] = ACTIONS(5480),
    [anon_sym_public] = ACTIONS(5480),
    [anon_sym_private] = ACTIONS(5480),
    [anon_sym_protected] = ACTIONS(5480),
    [anon_sym_using] = ACTIONS(5480),
    [anon_sym_static_assert] = ACTIONS(5480),
  },
  [1771] = {
    [sym_identifier] = ACTIONS(5484),
    [aux_sym_preproc_def_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token2] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5484),
    [aux_sym_preproc_else_token1] = ACTIONS(5484),
    [aux_sym_preproc_elif_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5484),
    [sym_preproc_directive] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_TILDE] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym_typedef] = ACTIONS(5484),
    [anon_sym_virtual] = ACTIONS(5484),
    [anon_sym_extern] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym___attribute] = ACTIONS(5484),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5486),
    [anon_sym___declspec] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_static] = ACTIONS(5484),
    [anon_sym_register] = ACTIONS(5484),
    [anon_sym_inline] = ACTIONS(5484),
    [anon_sym___inline] = ACTIONS(5484),
    [anon_sym___inline__] = ACTIONS(5484),
    [anon_sym___forceinline] = ACTIONS(5484),
    [anon_sym_thread_local] = ACTIONS(5484),
    [anon_sym___thread] = ACTIONS(5484),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym__Nonnull] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym__Alignas] = ACTIONS(5484),
    [sym_primitive_type] = ACTIONS(5484),
    [anon_sym_enum] = ACTIONS(5484),
    [anon_sym_class] = ACTIONS(5484),
    [anon_sym_struct] = ACTIONS(5484),
    [anon_sym_union] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_explicit] = ACTIONS(5484),
    [anon_sym_typename] = ACTIONS(5484),
    [anon_sym_template] = ACTIONS(5484),
    [anon_sym_operator] = ACTIONS(5484),
    [anon_sym_friend] = ACTIONS(5484),
    [anon_sym_public] = ACTIONS(5484),
    [anon_sym_private] = ACTIONS(5484),
    [anon_sym_protected] = ACTIONS(5484),
    [anon_sym_using] = ACTIONS(5484),
    [anon_sym_static_assert] = ACTIONS(5484),
  },
  [1772] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [aux_sym_preproc_else_token1] = ACTIONS(2824),
    [aux_sym_preproc_elif_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_virtual] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [1773] = {
    [sym_identifier] = ACTIONS(5488),
    [aux_sym_preproc_def_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token2] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5488),
    [aux_sym_preproc_else_token1] = ACTIONS(5488),
    [aux_sym_preproc_elif_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5488),
    [sym_preproc_directive] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_TILDE] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym_typedef] = ACTIONS(5488),
    [anon_sym_virtual] = ACTIONS(5488),
    [anon_sym_extern] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5490),
    [anon_sym___declspec] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_static] = ACTIONS(5488),
    [anon_sym_register] = ACTIONS(5488),
    [anon_sym_inline] = ACTIONS(5488),
    [anon_sym___inline] = ACTIONS(5488),
    [anon_sym___inline__] = ACTIONS(5488),
    [anon_sym___forceinline] = ACTIONS(5488),
    [anon_sym_thread_local] = ACTIONS(5488),
    [anon_sym___thread] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_enum] = ACTIONS(5488),
    [anon_sym_class] = ACTIONS(5488),
    [anon_sym_struct] = ACTIONS(5488),
    [anon_sym_union] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_explicit] = ACTIONS(5488),
    [anon_sym_typename] = ACTIONS(5488),
    [anon_sym_template] = ACTIONS(5488),
    [anon_sym_operator] = ACTIONS(5488),
    [anon_sym_friend] = ACTIONS(5488),
    [anon_sym_public] = ACTIONS(5488),
    [anon_sym_private] = ACTIONS(5488),
    [anon_sym_protected] = ACTIONS(5488),
    [anon_sym_using] = ACTIONS(5488),
    [anon_sym_static_assert] = ACTIONS(5488),
  },
  [1774] = {
    [sym_identifier] = ACTIONS(5488),
    [aux_sym_preproc_def_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token2] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5488),
    [aux_sym_preproc_else_token1] = ACTIONS(5488),
    [aux_sym_preproc_elif_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5488),
    [sym_preproc_directive] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_TILDE] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym_typedef] = ACTIONS(5488),
    [anon_sym_virtual] = ACTIONS(5488),
    [anon_sym_extern] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5490),
    [anon_sym___declspec] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_static] = ACTIONS(5488),
    [anon_sym_register] = ACTIONS(5488),
    [anon_sym_inline] = ACTIONS(5488),
    [anon_sym___inline] = ACTIONS(5488),
    [anon_sym___inline__] = ACTIONS(5488),
    [anon_sym___forceinline] = ACTIONS(5488),
    [anon_sym_thread_local] = ACTIONS(5488),
    [anon_sym___thread] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_enum] = ACTIONS(5488),
    [anon_sym_class] = ACTIONS(5488),
    [anon_sym_struct] = ACTIONS(5488),
    [anon_sym_union] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_explicit] = ACTIONS(5488),
    [anon_sym_typename] = ACTIONS(5488),
    [anon_sym_template] = ACTIONS(5488),
    [anon_sym_operator] = ACTIONS(5488),
    [anon_sym_friend] = ACTIONS(5488),
    [anon_sym_public] = ACTIONS(5488),
    [anon_sym_private] = ACTIONS(5488),
    [anon_sym_protected] = ACTIONS(5488),
    [anon_sym_using] = ACTIONS(5488),
    [anon_sym_static_assert] = ACTIONS(5488),
  },
  [1775] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [aux_sym_preproc_else_token1] = ACTIONS(2880),
    [aux_sym_preproc_elif_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym___attribute] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_friend] = ACTIONS(2880),
    [anon_sym_public] = ACTIONS(2880),
    [anon_sym_private] = ACTIONS(2880),
    [anon_sym_protected] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
  },
  [1776] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6172),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6749),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6749),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1777] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token2] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [aux_sym_preproc_else_token1] = ACTIONS(2916),
    [aux_sym_preproc_elif_token1] = ACTIONS(2916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym___attribute] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_friend] = ACTIONS(2916),
    [anon_sym_public] = ACTIONS(2916),
    [anon_sym_private] = ACTIONS(2916),
    [anon_sym_protected] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [aux_sym_preproc_else_token1] = ACTIONS(2920),
    [aux_sym_preproc_elif_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym___attribute] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_friend] = ACTIONS(2920),
    [anon_sym_public] = ACTIONS(2920),
    [anon_sym_private] = ACTIONS(2920),
    [anon_sym_protected] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(4818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_COMMA] = ACTIONS(4820),
    [anon_sym_RPAREN] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4818),
    [anon_sym_PLUS] = ACTIONS(4818),
    [anon_sym_STAR] = ACTIONS(4820),
    [anon_sym_SLASH] = ACTIONS(4818),
    [anon_sym_PERCENT] = ACTIONS(4820),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_PIPE] = ACTIONS(4818),
    [anon_sym_CARET] = ACTIONS(4820),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym_EQ_EQ] = ACTIONS(4820),
    [anon_sym_BANG_EQ] = ACTIONS(4820),
    [anon_sym_GT] = ACTIONS(4818),
    [anon_sym_GT_EQ] = ACTIONS(4820),
    [anon_sym_LT_EQ] = ACTIONS(4818),
    [anon_sym_LT] = ACTIONS(4818),
    [anon_sym_LT_LT] = ACTIONS(4820),
    [anon_sym_GT_GT] = ACTIONS(4820),
    [anon_sym_SEMI] = ACTIONS(4820),
    [anon_sym___extension__] = ACTIONS(4818),
    [anon_sym___attribute__] = ACTIONS(4818),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym___based] = ACTIONS(4818),
    [anon_sym_LBRACE] = ACTIONS(4820),
    [anon_sym_RBRACE] = ACTIONS(4820),
    [anon_sym_signed] = ACTIONS(4818),
    [anon_sym_unsigned] = ACTIONS(4818),
    [anon_sym_long] = ACTIONS(4818),
    [anon_sym_short] = ACTIONS(4818),
    [anon_sym_LBRACK] = ACTIONS(4820),
    [anon_sym_RBRACK] = ACTIONS(4820),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4818),
    [anon_sym_volatile] = ACTIONS(4818),
    [anon_sym_restrict] = ACTIONS(4818),
    [anon_sym___restrict__] = ACTIONS(4818),
    [anon_sym__Atomic] = ACTIONS(4818),
    [anon_sym__Noreturn] = ACTIONS(4818),
    [anon_sym_noreturn] = ACTIONS(4818),
    [anon_sym__Nonnull] = ACTIONS(4818),
    [anon_sym_mutable] = ACTIONS(4818),
    [anon_sym_constinit] = ACTIONS(4818),
    [anon_sym_consteval] = ACTIONS(4818),
    [anon_sym_alignas] = ACTIONS(4818),
    [anon_sym__Alignas] = ACTIONS(4818),
    [sym_primitive_type] = ACTIONS(4818),
    [anon_sym_COLON] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4820),
    [anon_sym_LT_EQ_GT] = ACTIONS(4820),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [anon_sym_bitor] = ACTIONS(4818),
    [anon_sym_xor] = ACTIONS(4818),
    [anon_sym_bitand] = ACTIONS(4818),
    [anon_sym_not_eq] = ACTIONS(4818),
    [anon_sym_DASH_DASH] = ACTIONS(4820),
    [anon_sym_PLUS_PLUS] = ACTIONS(4820),
    [anon_sym_DOT] = ACTIONS(4818),
    [anon_sym_DOT_STAR] = ACTIONS(4820),
    [anon_sym_DASH_GT] = ACTIONS(4820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4818),
    [anon_sym_decltype] = ACTIONS(4818),
    [anon_sym_final] = ACTIONS(4818),
    [anon_sym_override] = ACTIONS(4818),
    [anon_sym_requires] = ACTIONS(4818),
  },
  [1780] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [aux_sym_preproc_else_token1] = ACTIONS(2924),
    [aux_sym_preproc_elif_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym___attribute] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [1781] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6269),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6759),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6759),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1782] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym___attribute] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_friend] = ACTIONS(2997),
    [anon_sym_public] = ACTIONS(2997),
    [anon_sym_private] = ACTIONS(2997),
    [anon_sym_protected] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
  },
  [1783] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6183),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6759),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6759),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1784] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6301),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6745),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6745),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1785] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6138),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6745),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6745),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1786] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6276),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6773),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6773),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1787] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6740),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6740),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1788] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6189),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6773),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6773),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1789] = {
    [sym__declaration_modifiers] = STATE(3294),
    [sym_attribute_specifier] = STATE(3294),
    [sym_attribute_declaration] = STATE(3294),
    [sym_ms_declspec_modifier] = STATE(3294),
    [sym_ms_based_modifier] = STATE(8001),
    [sym__declarator] = STATE(6683),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_function_declarator] = STATE(6195),
    [sym_array_declarator] = STATE(5964),
    [sym_storage_class_specifier] = STATE(3294),
    [sym_type_qualifier] = STATE(3294),
    [sym_alignas_qualifier] = STATE(2960),
    [sym_decltype] = STATE(8209),
    [sym_explicit_function_specifier] = STATE(3294),
    [sym_operator_cast] = STATE(6723),
    [sym__constructor_specifiers] = STATE(3294),
    [sym_reference_declarator] = STATE(5964),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5529),
    [sym_qualified_identifier] = STATE(5964),
    [sym_qualified_operator_cast_identifier] = STATE(6723),
    [sym_operator_name] = STATE(5964),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3294),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym___attribute] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1790] = {
    [sym_identifier] = ACTIONS(4810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_COMMA] = ACTIONS(4812),
    [anon_sym_RPAREN] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_DASH] = ACTIONS(4810),
    [anon_sym_PLUS] = ACTIONS(4810),
    [anon_sym_STAR] = ACTIONS(4812),
    [anon_sym_SLASH] = ACTIONS(4810),
    [anon_sym_PERCENT] = ACTIONS(4812),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_PIPE] = ACTIONS(4810),
    [anon_sym_CARET] = ACTIONS(4812),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4812),
    [anon_sym_BANG_EQ] = ACTIONS(4812),
    [anon_sym_GT] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4810),
    [anon_sym_LT] = ACTIONS(4810),
    [anon_sym_LT_LT] = ACTIONS(4812),
    [anon_sym_GT_GT] = ACTIONS(4812),
    [anon_sym_SEMI] = ACTIONS(4812),
    [anon_sym___extension__] = ACTIONS(4810),
    [anon_sym___attribute__] = ACTIONS(4810),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym___based] = ACTIONS(4810),
    [anon_sym_LBRACE] = ACTIONS(4812),
    [anon_sym_RBRACE] = ACTIONS(4812),
    [anon_sym_signed] = ACTIONS(4810),
    [anon_sym_unsigned] = ACTIONS(4810),
    [anon_sym_long] = ACTIONS(4810),
    [anon_sym_short] = ACTIONS(4810),
    [anon_sym_LBRACK] = ACTIONS(4812),
    [anon_sym_RBRACK] = ACTIONS(4812),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4810),
    [anon_sym_volatile] = ACTIONS(4810),
    [anon_sym_restrict] = ACTIONS(4810),
    [anon_sym___restrict__] = ACTIONS(4810),
    [anon_sym__Atomic] = ACTIONS(4810),
    [anon_sym__Noreturn] = ACTIONS(4810),
    [anon_sym_noreturn] = ACTIONS(4810),
    [anon_sym__Nonnull] = ACTIONS(4810),
    [anon_sym_mutable] = ACTIONS(4810),
    [anon_sym_constinit] = ACTIONS(4810),
    [anon_sym_consteval] = ACTIONS(4810),
    [anon_sym_alignas] = ACTIONS(4810),
    [anon_sym__Alignas] = ACTIONS(4810),
    [sym_primitive_type] = ACTIONS(4810),
    [anon_sym_COLON] = ACTIONS(4810),
    [anon_sym_QMARK] = ACTIONS(4812),
    [anon_sym_LT_EQ_GT] = ACTIONS(4812),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [anon_sym_bitor] = ACTIONS(4810),
    [anon_sym_xor] = ACTIONS(4810),
    [anon_sym_bitand] = ACTIONS(4810),
    [anon_sym_not_eq] = ACTIONS(4810),
    [anon_sym_DASH_DASH] = ACTIONS(4812),
    [anon_sym_PLUS_PLUS] = ACTIONS(4812),
    [anon_sym_DOT] = ACTIONS(4810),
    [anon_sym_DOT_STAR] = ACTIONS(4812),
    [anon_sym_DASH_GT] = ACTIONS(4812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4810),
    [anon_sym_decltype] = ACTIONS(4810),
    [anon_sym_final] = ACTIONS(4810),
    [anon_sym_override] = ACTIONS(4810),
    [anon_sym_requires] = ACTIONS(4810),
  },
  [1791] = {
    [sym_identifier] = ACTIONS(4826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_COMMA] = ACTIONS(4828),
    [anon_sym_RPAREN] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_PERCENT] = ACTIONS(4828),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4826),
    [anon_sym_CARET] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym_EQ_EQ] = ACTIONS(4828),
    [anon_sym_BANG_EQ] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4826),
    [anon_sym_GT_EQ] = ACTIONS(4828),
    [anon_sym_LT_EQ] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4826),
    [anon_sym_LT_LT] = ACTIONS(4828),
    [anon_sym_GT_GT] = ACTIONS(4828),
    [anon_sym_SEMI] = ACTIONS(4828),
    [anon_sym___extension__] = ACTIONS(4826),
    [anon_sym___attribute__] = ACTIONS(4826),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym___based] = ACTIONS(4826),
    [anon_sym_LBRACE] = ACTIONS(4828),
    [anon_sym_RBRACE] = ACTIONS(4828),
    [anon_sym_signed] = ACTIONS(4826),
    [anon_sym_unsigned] = ACTIONS(4826),
    [anon_sym_long] = ACTIONS(4826),
    [anon_sym_short] = ACTIONS(4826),
    [anon_sym_LBRACK] = ACTIONS(4828),
    [anon_sym_RBRACK] = ACTIONS(4828),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4826),
    [anon_sym_volatile] = ACTIONS(4826),
    [anon_sym_restrict] = ACTIONS(4826),
    [anon_sym___restrict__] = ACTIONS(4826),
    [anon_sym__Atomic] = ACTIONS(4826),
    [anon_sym__Noreturn] = ACTIONS(4826),
    [anon_sym_noreturn] = ACTIONS(4826),
    [anon_sym__Nonnull] = ACTIONS(4826),
    [anon_sym_mutable] = ACTIONS(4826),
    [anon_sym_constinit] = ACTIONS(4826),
    [anon_sym_consteval] = ACTIONS(4826),
    [anon_sym_alignas] = ACTIONS(4826),
    [anon_sym__Alignas] = ACTIONS(4826),
    [sym_primitive_type] = ACTIONS(4826),
    [anon_sym_COLON] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4828),
    [anon_sym_LT_EQ_GT] = ACTIONS(4828),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [anon_sym_bitor] = ACTIONS(4826),
    [anon_sym_xor] = ACTIONS(4826),
    [anon_sym_bitand] = ACTIONS(4826),
    [anon_sym_not_eq] = ACTIONS(4826),
    [anon_sym_DASH_DASH] = ACTIONS(4828),
    [anon_sym_PLUS_PLUS] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4826),
    [anon_sym_DOT_STAR] = ACTIONS(4828),
    [anon_sym_DASH_GT] = ACTIONS(4828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4826),
    [anon_sym_decltype] = ACTIONS(4826),
    [anon_sym_final] = ACTIONS(4826),
    [anon_sym_override] = ACTIONS(4826),
    [anon_sym_requires] = ACTIONS(4826),
  },
  [1792] = {
    [sym_identifier] = ACTIONS(4830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_COMMA] = ACTIONS(4832),
    [anon_sym_RPAREN] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_DASH] = ACTIONS(4830),
    [anon_sym_PLUS] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_SLASH] = ACTIONS(4830),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_PIPE] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym_EQ_EQ] = ACTIONS(4832),
    [anon_sym_BANG_EQ] = ACTIONS(4832),
    [anon_sym_GT] = ACTIONS(4830),
    [anon_sym_GT_EQ] = ACTIONS(4832),
    [anon_sym_LT_EQ] = ACTIONS(4830),
    [anon_sym_LT] = ACTIONS(4830),
    [anon_sym_LT_LT] = ACTIONS(4832),
    [anon_sym_GT_GT] = ACTIONS(4832),
    [anon_sym_SEMI] = ACTIONS(4832),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym___attribute__] = ACTIONS(4830),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym___based] = ACTIONS(4830),
    [anon_sym_LBRACE] = ACTIONS(4832),
    [anon_sym_RBRACE] = ACTIONS(4832),
    [anon_sym_signed] = ACTIONS(4830),
    [anon_sym_unsigned] = ACTIONS(4830),
    [anon_sym_long] = ACTIONS(4830),
    [anon_sym_short] = ACTIONS(4830),
    [anon_sym_LBRACK] = ACTIONS(4832),
    [anon_sym_RBRACK] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym__Nonnull] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [anon_sym_alignas] = ACTIONS(4830),
    [anon_sym__Alignas] = ACTIONS(4830),
    [sym_primitive_type] = ACTIONS(4830),
    [anon_sym_COLON] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4832),
    [anon_sym_LT_EQ_GT] = ACTIONS(4832),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [anon_sym_bitor] = ACTIONS(4830),
    [anon_sym_xor] = ACTIONS(4830),
    [anon_sym_bitand] = ACTIONS(4830),
    [anon_sym_not_eq] = ACTIONS(4830),
    [anon_sym_DASH_DASH] = ACTIONS(4832),
    [anon_sym_PLUS_PLUS] = ACTIONS(4832),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_DOT_STAR] = ACTIONS(4832),
    [anon_sym_DASH_GT] = ACTIONS(4832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4830),
    [anon_sym_decltype] = ACTIONS(4830),
    [anon_sym_final] = ACTIONS(4830),
    [anon_sym_override] = ACTIONS(4830),
    [anon_sym_requires] = ACTIONS(4830),
  },
  [1793] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_friend] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [1794] = {
    [sym_identifier] = ACTIONS(4814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_DASH] = ACTIONS(4814),
    [anon_sym_PLUS] = ACTIONS(4814),
    [anon_sym_STAR] = ACTIONS(4816),
    [anon_sym_SLASH] = ACTIONS(4814),
    [anon_sym_PERCENT] = ACTIONS(4816),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_PIPE] = ACTIONS(4814),
    [anon_sym_CARET] = ACTIONS(4816),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym_EQ_EQ] = ACTIONS(4816),
    [anon_sym_BANG_EQ] = ACTIONS(4816),
    [anon_sym_GT] = ACTIONS(4814),
    [anon_sym_GT_EQ] = ACTIONS(4816),
    [anon_sym_LT_EQ] = ACTIONS(4814),
    [anon_sym_LT] = ACTIONS(4814),
    [anon_sym_LT_LT] = ACTIONS(4816),
    [anon_sym_GT_GT] = ACTIONS(4816),
    [anon_sym_SEMI] = ACTIONS(4816),
    [anon_sym___extension__] = ACTIONS(4814),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym___based] = ACTIONS(4814),
    [anon_sym_LBRACE] = ACTIONS(4816),
    [anon_sym_RBRACE] = ACTIONS(4816),
    [anon_sym_signed] = ACTIONS(4814),
    [anon_sym_unsigned] = ACTIONS(4814),
    [anon_sym_long] = ACTIONS(4814),
    [anon_sym_short] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4814),
    [anon_sym_volatile] = ACTIONS(4814),
    [anon_sym_restrict] = ACTIONS(4814),
    [anon_sym___restrict__] = ACTIONS(4814),
    [anon_sym__Atomic] = ACTIONS(4814),
    [anon_sym__Noreturn] = ACTIONS(4814),
    [anon_sym_noreturn] = ACTIONS(4814),
    [anon_sym__Nonnull] = ACTIONS(4814),
    [anon_sym_mutable] = ACTIONS(4814),
    [anon_sym_constinit] = ACTIONS(4814),
    [anon_sym_consteval] = ACTIONS(4814),
    [anon_sym_alignas] = ACTIONS(4814),
    [anon_sym__Alignas] = ACTIONS(4814),
    [sym_primitive_type] = ACTIONS(4814),
    [anon_sym_COLON] = ACTIONS(4814),
    [anon_sym_QMARK] = ACTIONS(4816),
    [anon_sym_LT_EQ_GT] = ACTIONS(4816),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [anon_sym_bitor] = ACTIONS(4814),
    [anon_sym_xor] = ACTIONS(4814),
    [anon_sym_bitand] = ACTIONS(4814),
    [anon_sym_not_eq] = ACTIONS(4814),
    [anon_sym_DASH_DASH] = ACTIONS(4816),
    [anon_sym_PLUS_PLUS] = ACTIONS(4816),
    [anon_sym_DOT] = ACTIONS(4814),
    [anon_sym_DOT_STAR] = ACTIONS(4816),
    [anon_sym_DASH_GT] = ACTIONS(4816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4814),
    [anon_sym_decltype] = ACTIONS(4814),
    [anon_sym_final] = ACTIONS(4814),
    [anon_sym_override] = ACTIONS(4814),
    [anon_sym_requires] = ACTIONS(4814),
  },
  [1795] = {
    [sym_identifier] = ACTIONS(4822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4824),
    [anon_sym_COMMA] = ACTIONS(4824),
    [anon_sym_RPAREN] = ACTIONS(4824),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_DASH] = ACTIONS(4822),
    [anon_sym_PLUS] = ACTIONS(4822),
    [anon_sym_STAR] = ACTIONS(4824),
    [anon_sym_SLASH] = ACTIONS(4822),
    [anon_sym_PERCENT] = ACTIONS(4824),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_PIPE] = ACTIONS(4822),
    [anon_sym_CARET] = ACTIONS(4824),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym_EQ_EQ] = ACTIONS(4824),
    [anon_sym_BANG_EQ] = ACTIONS(4824),
    [anon_sym_GT] = ACTIONS(4822),
    [anon_sym_GT_EQ] = ACTIONS(4824),
    [anon_sym_LT_EQ] = ACTIONS(4822),
    [anon_sym_LT] = ACTIONS(4822),
    [anon_sym_LT_LT] = ACTIONS(4824),
    [anon_sym_GT_GT] = ACTIONS(4824),
    [anon_sym_SEMI] = ACTIONS(4824),
    [anon_sym___extension__] = ACTIONS(4822),
    [anon_sym___attribute__] = ACTIONS(4822),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym___based] = ACTIONS(4822),
    [anon_sym_LBRACE] = ACTIONS(4824),
    [anon_sym_RBRACE] = ACTIONS(4824),
    [anon_sym_signed] = ACTIONS(4822),
    [anon_sym_unsigned] = ACTIONS(4822),
    [anon_sym_long] = ACTIONS(4822),
    [anon_sym_short] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4824),
    [anon_sym_RBRACK] = ACTIONS(4824),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4822),
    [anon_sym_volatile] = ACTIONS(4822),
    [anon_sym_restrict] = ACTIONS(4822),
    [anon_sym___restrict__] = ACTIONS(4822),
    [anon_sym__Atomic] = ACTIONS(4822),
    [anon_sym__Noreturn] = ACTIONS(4822),
    [anon_sym_noreturn] = ACTIONS(4822),
    [anon_sym__Nonnull] = ACTIONS(4822),
    [anon_sym_mutable] = ACTIONS(4822),
    [anon_sym_constinit] = ACTIONS(4822),
    [anon_sym_consteval] = ACTIONS(4822),
    [anon_sym_alignas] = ACTIONS(4822),
    [anon_sym__Alignas] = ACTIONS(4822),
    [sym_primitive_type] = ACTIONS(4822),
    [anon_sym_COLON] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4824),
    [anon_sym_LT_EQ_GT] = ACTIONS(4824),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [anon_sym_bitor] = ACTIONS(4822),
    [anon_sym_xor] = ACTIONS(4822),
    [anon_sym_bitand] = ACTIONS(4822),
    [anon_sym_not_eq] = ACTIONS(4822),
    [anon_sym_DASH_DASH] = ACTIONS(4824),
    [anon_sym_PLUS_PLUS] = ACTIONS(4824),
    [anon_sym_DOT] = ACTIONS(4822),
    [anon_sym_DOT_STAR] = ACTIONS(4824),
    [anon_sym_DASH_GT] = ACTIONS(4824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4822),
    [anon_sym_decltype] = ACTIONS(4822),
    [anon_sym_final] = ACTIONS(4822),
    [anon_sym_override] = ACTIONS(4822),
    [anon_sym_requires] = ACTIONS(4822),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(5492),
    [aux_sym_preproc_def_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token2] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5492),
    [aux_sym_preproc_else_token1] = ACTIONS(5492),
    [aux_sym_preproc_elif_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5492),
    [sym_preproc_directive] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_TILDE] = ACTIONS(5494),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym_typedef] = ACTIONS(5492),
    [anon_sym_virtual] = ACTIONS(5492),
    [anon_sym_extern] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym_COLON_COLON] = ACTIONS(5494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5494),
    [anon_sym___declspec] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_static] = ACTIONS(5492),
    [anon_sym_register] = ACTIONS(5492),
    [anon_sym_inline] = ACTIONS(5492),
    [anon_sym___inline] = ACTIONS(5492),
    [anon_sym___inline__] = ACTIONS(5492),
    [anon_sym___forceinline] = ACTIONS(5492),
    [anon_sym_thread_local] = ACTIONS(5492),
    [anon_sym___thread] = ACTIONS(5492),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym__Nonnull] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym__Alignas] = ACTIONS(5492),
    [sym_primitive_type] = ACTIONS(5492),
    [anon_sym_enum] = ACTIONS(5492),
    [anon_sym_class] = ACTIONS(5492),
    [anon_sym_struct] = ACTIONS(5492),
    [anon_sym_union] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_explicit] = ACTIONS(5492),
    [anon_sym_typename] = ACTIONS(5492),
    [anon_sym_template] = ACTIONS(5492),
    [anon_sym_operator] = ACTIONS(5492),
    [anon_sym_friend] = ACTIONS(5492),
    [anon_sym_public] = ACTIONS(5492),
    [anon_sym_private] = ACTIONS(5492),
    [anon_sym_protected] = ACTIONS(5492),
    [anon_sym_using] = ACTIONS(5492),
    [anon_sym_static_assert] = ACTIONS(5492),
  },
  [1797] = {
    [sym_identifier] = ACTIONS(5496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5496),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym___extension__] = ACTIONS(5496),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym___attribute] = ACTIONS(5496),
    [anon_sym___based] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_signed] = ACTIONS(5496),
    [anon_sym_unsigned] = ACTIONS(5496),
    [anon_sym_long] = ACTIONS(5496),
    [anon_sym_short] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_const] = ACTIONS(5496),
    [anon_sym_constexpr] = ACTIONS(5496),
    [anon_sym_volatile] = ACTIONS(5496),
    [anon_sym_restrict] = ACTIONS(5496),
    [anon_sym___restrict__] = ACTIONS(5496),
    [anon_sym__Atomic] = ACTIONS(5496),
    [anon_sym__Noreturn] = ACTIONS(5496),
    [anon_sym_noreturn] = ACTIONS(5496),
    [anon_sym__Nonnull] = ACTIONS(5496),
    [anon_sym_mutable] = ACTIONS(5496),
    [anon_sym_constinit] = ACTIONS(5496),
    [anon_sym_consteval] = ACTIONS(5496),
    [anon_sym_alignas] = ACTIONS(5496),
    [anon_sym__Alignas] = ACTIONS(5496),
    [sym_primitive_type] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_LT_EQ_GT] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5496),
    [anon_sym_bitor] = ACTIONS(5496),
    [anon_sym_xor] = ACTIONS(5496),
    [anon_sym_bitand] = ACTIONS(5496),
    [anon_sym_not_eq] = ACTIONS(5496),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_DOT_STAR] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
    [anon_sym_final] = ACTIONS(5496),
    [anon_sym_override] = ACTIONS(5496),
    [anon_sym_requires] = ACTIONS(5496),
  },
  [1798] = {
    [sym_identifier] = ACTIONS(5500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_RPAREN] = ACTIONS(5502),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5502),
    [anon_sym_PIPE_PIPE] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_CARET] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5500),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym___attribute] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_LBRACE] = ACTIONS(5502),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_RBRACK] = ACTIONS(5502),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym__Nonnull] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym__Alignas] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_COLON] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_LT_EQ_GT] = ACTIONS(5502),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_and] = ACTIONS(5500),
    [anon_sym_bitor] = ACTIONS(5500),
    [anon_sym_xor] = ACTIONS(5500),
    [anon_sym_bitand] = ACTIONS(5500),
    [anon_sym_not_eq] = ACTIONS(5500),
    [anon_sym_DASH_DASH] = ACTIONS(5502),
    [anon_sym_PLUS_PLUS] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_DOT_STAR] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_final] = ACTIONS(5500),
    [anon_sym_override] = ACTIONS(5500),
    [anon_sym_requires] = ACTIONS(5500),
  },
  [1799] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___extension__] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___attribute] = ACTIONS(5504),
    [anon_sym___based] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_signed] = ACTIONS(5504),
    [anon_sym_unsigned] = ACTIONS(5504),
    [anon_sym_long] = ACTIONS(5504),
    [anon_sym_short] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_const] = ACTIONS(5504),
    [anon_sym_constexpr] = ACTIONS(5504),
    [anon_sym_volatile] = ACTIONS(5504),
    [anon_sym_restrict] = ACTIONS(5504),
    [anon_sym___restrict__] = ACTIONS(5504),
    [anon_sym__Atomic] = ACTIONS(5504),
    [anon_sym__Noreturn] = ACTIONS(5504),
    [anon_sym_noreturn] = ACTIONS(5504),
    [anon_sym__Nonnull] = ACTIONS(5504),
    [anon_sym_mutable] = ACTIONS(5504),
    [anon_sym_constinit] = ACTIONS(5504),
    [anon_sym_consteval] = ACTIONS(5504),
    [anon_sym_alignas] = ACTIONS(5504),
    [anon_sym__Alignas] = ACTIONS(5504),
    [sym_primitive_type] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
    [anon_sym_final] = ACTIONS(5504),
    [anon_sym_override] = ACTIONS(5504),
    [anon_sym_requires] = ACTIONS(5504),
  },
  [1800] = {
    [sym_identifier] = ACTIONS(5508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5510),
    [anon_sym_COMMA] = ACTIONS(5510),
    [anon_sym_RPAREN] = ACTIONS(5510),
    [anon_sym_LPAREN2] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5508),
    [anon_sym_PERCENT] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5510),
    [anon_sym_PIPE] = ACTIONS(5508),
    [anon_sym_CARET] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym_EQ_EQ] = ACTIONS(5510),
    [anon_sym_BANG_EQ] = ACTIONS(5510),
    [anon_sym_GT] = ACTIONS(5508),
    [anon_sym_GT_EQ] = ACTIONS(5510),
    [anon_sym_LT_EQ] = ACTIONS(5508),
    [anon_sym_LT] = ACTIONS(5508),
    [anon_sym_LT_LT] = ACTIONS(5510),
    [anon_sym_GT_GT] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5510),
    [anon_sym___extension__] = ACTIONS(5508),
    [anon_sym___attribute__] = ACTIONS(5508),
    [anon_sym___attribute] = ACTIONS(5508),
    [anon_sym___based] = ACTIONS(5508),
    [anon_sym_LBRACE] = ACTIONS(5510),
    [anon_sym_RBRACE] = ACTIONS(5510),
    [anon_sym_signed] = ACTIONS(5508),
    [anon_sym_unsigned] = ACTIONS(5508),
    [anon_sym_long] = ACTIONS(5508),
    [anon_sym_short] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_RBRACK] = ACTIONS(5510),
    [anon_sym_const] = ACTIONS(5508),
    [anon_sym_constexpr] = ACTIONS(5508),
    [anon_sym_volatile] = ACTIONS(5508),
    [anon_sym_restrict] = ACTIONS(5508),
    [anon_sym___restrict__] = ACTIONS(5508),
    [anon_sym__Atomic] = ACTIONS(5508),
    [anon_sym__Noreturn] = ACTIONS(5508),
    [anon_sym_noreturn] = ACTIONS(5508),
    [anon_sym__Nonnull] = ACTIONS(5508),
    [anon_sym_mutable] = ACTIONS(5508),
    [anon_sym_constinit] = ACTIONS(5508),
    [anon_sym_consteval] = ACTIONS(5508),
    [anon_sym_alignas] = ACTIONS(5508),
    [anon_sym__Alignas] = ACTIONS(5508),
    [sym_primitive_type] = ACTIONS(5508),
    [anon_sym_COLON] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5510),
    [anon_sym_LT_EQ_GT] = ACTIONS(5510),
    [anon_sym_or] = ACTIONS(5508),
    [anon_sym_and] = ACTIONS(5508),
    [anon_sym_bitor] = ACTIONS(5508),
    [anon_sym_xor] = ACTIONS(5508),
    [anon_sym_bitand] = ACTIONS(5508),
    [anon_sym_not_eq] = ACTIONS(5508),
    [anon_sym_DASH_DASH] = ACTIONS(5510),
    [anon_sym_PLUS_PLUS] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_DOT_STAR] = ACTIONS(5510),
    [anon_sym_DASH_GT] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5508),
    [anon_sym_decltype] = ACTIONS(5508),
    [anon_sym_final] = ACTIONS(5508),
    [anon_sym_override] = ACTIONS(5508),
    [anon_sym_requires] = ACTIONS(5508),
  },
  [1801] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [aux_sym_preproc_if_token2] = ACTIONS(4862),
    [aux_sym_preproc_else_token1] = ACTIONS(4862),
    [aux_sym_preproc_elif_token1] = ACTIONS(4855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4862),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4862),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4862),
    [anon_sym_GT_GT] = ACTIONS(4862),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_final] = ACTIONS(4855),
    [anon_sym_override] = ACTIONS(4855),
    [anon_sym_requires] = ACTIONS(4855),
  },
  [1802] = {
    [sym_identifier] = ACTIONS(5512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5514),
    [anon_sym_COMMA] = ACTIONS(5514),
    [anon_sym_RPAREN] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_SLASH] = ACTIONS(5512),
    [anon_sym_PERCENT] = ACTIONS(5514),
    [anon_sym_PIPE_PIPE] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5514),
    [anon_sym_PIPE] = ACTIONS(5512),
    [anon_sym_CARET] = ACTIONS(5514),
    [anon_sym_AMP] = ACTIONS(5512),
    [anon_sym_EQ_EQ] = ACTIONS(5514),
    [anon_sym_BANG_EQ] = ACTIONS(5514),
    [anon_sym_GT] = ACTIONS(5512),
    [anon_sym_GT_EQ] = ACTIONS(5514),
    [anon_sym_LT_EQ] = ACTIONS(5512),
    [anon_sym_LT] = ACTIONS(5512),
    [anon_sym_LT_LT] = ACTIONS(5514),
    [anon_sym_GT_GT] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5514),
    [anon_sym___extension__] = ACTIONS(5512),
    [anon_sym___attribute__] = ACTIONS(5512),
    [anon_sym___attribute] = ACTIONS(5512),
    [anon_sym___based] = ACTIONS(5512),
    [anon_sym_LBRACE] = ACTIONS(5514),
    [anon_sym_RBRACE] = ACTIONS(5514),
    [anon_sym_signed] = ACTIONS(5512),
    [anon_sym_unsigned] = ACTIONS(5512),
    [anon_sym_long] = ACTIONS(5512),
    [anon_sym_short] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_RBRACK] = ACTIONS(5514),
    [anon_sym_const] = ACTIONS(5512),
    [anon_sym_constexpr] = ACTIONS(5512),
    [anon_sym_volatile] = ACTIONS(5512),
    [anon_sym_restrict] = ACTIONS(5512),
    [anon_sym___restrict__] = ACTIONS(5512),
    [anon_sym__Atomic] = ACTIONS(5512),
    [anon_sym__Noreturn] = ACTIONS(5512),
    [anon_sym_noreturn] = ACTIONS(5512),
    [anon_sym__Nonnull] = ACTIONS(5512),
    [anon_sym_mutable] = ACTIONS(5512),
    [anon_sym_constinit] = ACTIONS(5512),
    [anon_sym_consteval] = ACTIONS(5512),
    [anon_sym_alignas] = ACTIONS(5512),
    [anon_sym__Alignas] = ACTIONS(5512),
    [sym_primitive_type] = ACTIONS(5512),
    [anon_sym_COLON] = ACTIONS(5514),
    [anon_sym_QMARK] = ACTIONS(5514),
    [anon_sym_LT_EQ_GT] = ACTIONS(5514),
    [anon_sym_or] = ACTIONS(5512),
    [anon_sym_and] = ACTIONS(5512),
    [anon_sym_bitor] = ACTIONS(5512),
    [anon_sym_xor] = ACTIONS(5512),
    [anon_sym_bitand] = ACTIONS(5512),
    [anon_sym_not_eq] = ACTIONS(5512),
    [anon_sym_DASH_DASH] = ACTIONS(5514),
    [anon_sym_PLUS_PLUS] = ACTIONS(5514),
    [anon_sym_DOT] = ACTIONS(5512),
    [anon_sym_DOT_STAR] = ACTIONS(5514),
    [anon_sym_DASH_GT] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5512),
    [anon_sym_decltype] = ACTIONS(5512),
    [anon_sym_final] = ACTIONS(5512),
    [anon_sym_override] = ACTIONS(5512),
    [anon_sym_requires] = ACTIONS(5512),
  },
  [1803] = {
    [sym_identifier] = ACTIONS(5516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5518),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5516),
    [anon_sym_PLUS] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_SLASH] = ACTIONS(5516),
    [anon_sym_PERCENT] = ACTIONS(5518),
    [anon_sym_PIPE_PIPE] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_PIPE] = ACTIONS(5516),
    [anon_sym_CARET] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_EQ_EQ] = ACTIONS(5518),
    [anon_sym_BANG_EQ] = ACTIONS(5518),
    [anon_sym_GT] = ACTIONS(5516),
    [anon_sym_GT_EQ] = ACTIONS(5518),
    [anon_sym_LT_EQ] = ACTIONS(5516),
    [anon_sym_LT] = ACTIONS(5516),
    [anon_sym_LT_LT] = ACTIONS(5518),
    [anon_sym_GT_GT] = ACTIONS(5518),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym___attribute] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_RBRACE] = ACTIONS(5518),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [anon_sym_RBRACK] = ACTIONS(5518),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym__Nonnull] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym__Alignas] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_COLON] = ACTIONS(5518),
    [anon_sym_QMARK] = ACTIONS(5518),
    [anon_sym_LT_EQ_GT] = ACTIONS(5518),
    [anon_sym_or] = ACTIONS(5516),
    [anon_sym_and] = ACTIONS(5516),
    [anon_sym_bitor] = ACTIONS(5516),
    [anon_sym_xor] = ACTIONS(5516),
    [anon_sym_bitand] = ACTIONS(5516),
    [anon_sym_not_eq] = ACTIONS(5516),
    [anon_sym_DASH_DASH] = ACTIONS(5518),
    [anon_sym_PLUS_PLUS] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_DOT_STAR] = ACTIONS(5518),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_final] = ACTIONS(5516),
    [anon_sym_override] = ACTIONS(5516),
    [anon_sym_requires] = ACTIONS(5516),
  },
  [1804] = {
    [sym_catch_clause] = STATE(1810),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1810),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_friend] = ACTIONS(2504),
    [anon_sym_public] = ACTIONS(2504),
    [anon_sym_private] = ACTIONS(2504),
    [anon_sym_protected] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_catch] = ACTIONS(5520),
  },
  [1805] = {
    [sym_identifier] = ACTIONS(5522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5524),
    [anon_sym_COMMA] = ACTIONS(5524),
    [anon_sym_RPAREN] = ACTIONS(5524),
    [anon_sym_LPAREN2] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5524),
    [anon_sym_SLASH] = ACTIONS(5522),
    [anon_sym_PERCENT] = ACTIONS(5524),
    [anon_sym_PIPE_PIPE] = ACTIONS(5524),
    [anon_sym_AMP_AMP] = ACTIONS(5524),
    [anon_sym_PIPE] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5524),
    [anon_sym_BANG_EQ] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5524),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5522),
    [anon_sym_LT_LT] = ACTIONS(5524),
    [anon_sym_GT_GT] = ACTIONS(5524),
    [anon_sym_SEMI] = ACTIONS(5524),
    [anon_sym___extension__] = ACTIONS(5522),
    [anon_sym___attribute__] = ACTIONS(5522),
    [anon_sym___attribute] = ACTIONS(5522),
    [anon_sym___based] = ACTIONS(5522),
    [anon_sym_LBRACE] = ACTIONS(5524),
    [anon_sym_RBRACE] = ACTIONS(5524),
    [anon_sym_signed] = ACTIONS(5522),
    [anon_sym_unsigned] = ACTIONS(5522),
    [anon_sym_long] = ACTIONS(5522),
    [anon_sym_short] = ACTIONS(5522),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [anon_sym_RBRACK] = ACTIONS(5524),
    [anon_sym_const] = ACTIONS(5522),
    [anon_sym_constexpr] = ACTIONS(5522),
    [anon_sym_volatile] = ACTIONS(5522),
    [anon_sym_restrict] = ACTIONS(5522),
    [anon_sym___restrict__] = ACTIONS(5522),
    [anon_sym__Atomic] = ACTIONS(5522),
    [anon_sym__Noreturn] = ACTIONS(5522),
    [anon_sym_noreturn] = ACTIONS(5522),
    [anon_sym__Nonnull] = ACTIONS(5522),
    [anon_sym_mutable] = ACTIONS(5522),
    [anon_sym_constinit] = ACTIONS(5522),
    [anon_sym_consteval] = ACTIONS(5522),
    [anon_sym_alignas] = ACTIONS(5522),
    [anon_sym__Alignas] = ACTIONS(5522),
    [sym_primitive_type] = ACTIONS(5522),
    [anon_sym_COLON] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_LT_EQ_GT] = ACTIONS(5524),
    [anon_sym_or] = ACTIONS(5522),
    [anon_sym_and] = ACTIONS(5522),
    [anon_sym_bitor] = ACTIONS(5522),
    [anon_sym_xor] = ACTIONS(5522),
    [anon_sym_bitand] = ACTIONS(5522),
    [anon_sym_not_eq] = ACTIONS(5522),
    [anon_sym_DASH_DASH] = ACTIONS(5524),
    [anon_sym_PLUS_PLUS] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5522),
    [anon_sym_DOT_STAR] = ACTIONS(5524),
    [anon_sym_DASH_GT] = ACTIONS(5524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5522),
    [anon_sym_decltype] = ACTIONS(5522),
    [anon_sym_final] = ACTIONS(5522),
    [anon_sym_override] = ACTIONS(5522),
    [anon_sym_requires] = ACTIONS(5522),
  },
  [1806] = {
    [sym_identifier] = ACTIONS(5526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5528),
    [anon_sym_COMMA] = ACTIONS(5528),
    [anon_sym_RPAREN] = ACTIONS(5528),
    [anon_sym_LPAREN2] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(5528),
    [anon_sym_SLASH] = ACTIONS(5526),
    [anon_sym_PERCENT] = ACTIONS(5528),
    [anon_sym_PIPE_PIPE] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_PIPE] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5526),
    [anon_sym_EQ_EQ] = ACTIONS(5528),
    [anon_sym_BANG_EQ] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5526),
    [anon_sym_GT_EQ] = ACTIONS(5528),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5526),
    [anon_sym_LT_LT] = ACTIONS(5528),
    [anon_sym_GT_GT] = ACTIONS(5528),
    [anon_sym_SEMI] = ACTIONS(5528),
    [anon_sym___extension__] = ACTIONS(5526),
    [anon_sym___attribute__] = ACTIONS(5526),
    [anon_sym___attribute] = ACTIONS(5526),
    [anon_sym___based] = ACTIONS(5526),
    [anon_sym_LBRACE] = ACTIONS(5528),
    [anon_sym_RBRACE] = ACTIONS(5528),
    [anon_sym_signed] = ACTIONS(5526),
    [anon_sym_unsigned] = ACTIONS(5526),
    [anon_sym_long] = ACTIONS(5526),
    [anon_sym_short] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5528),
    [anon_sym_RBRACK] = ACTIONS(5528),
    [anon_sym_const] = ACTIONS(5526),
    [anon_sym_constexpr] = ACTIONS(5526),
    [anon_sym_volatile] = ACTIONS(5526),
    [anon_sym_restrict] = ACTIONS(5526),
    [anon_sym___restrict__] = ACTIONS(5526),
    [anon_sym__Atomic] = ACTIONS(5526),
    [anon_sym__Noreturn] = ACTIONS(5526),
    [anon_sym_noreturn] = ACTIONS(5526),
    [anon_sym__Nonnull] = ACTIONS(5526),
    [anon_sym_mutable] = ACTIONS(5526),
    [anon_sym_constinit] = ACTIONS(5526),
    [anon_sym_consteval] = ACTIONS(5526),
    [anon_sym_alignas] = ACTIONS(5526),
    [anon_sym__Alignas] = ACTIONS(5526),
    [sym_primitive_type] = ACTIONS(5526),
    [anon_sym_COLON] = ACTIONS(5528),
    [anon_sym_QMARK] = ACTIONS(5528),
    [anon_sym_LT_EQ_GT] = ACTIONS(5528),
    [anon_sym_or] = ACTIONS(5526),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_bitor] = ACTIONS(5526),
    [anon_sym_xor] = ACTIONS(5526),
    [anon_sym_bitand] = ACTIONS(5526),
    [anon_sym_not_eq] = ACTIONS(5526),
    [anon_sym_DASH_DASH] = ACTIONS(5528),
    [anon_sym_PLUS_PLUS] = ACTIONS(5528),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_DOT_STAR] = ACTIONS(5528),
    [anon_sym_DASH_GT] = ACTIONS(5528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5526),
    [anon_sym_decltype] = ACTIONS(5526),
    [anon_sym_final] = ACTIONS(5526),
    [anon_sym_override] = ACTIONS(5526),
    [anon_sym_requires] = ACTIONS(5526),
  },
  [1807] = {
    [sym_identifier] = ACTIONS(5530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5532),
    [anon_sym_COMMA] = ACTIONS(5532),
    [anon_sym_RPAREN] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5532),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(5532),
    [anon_sym_SLASH] = ACTIONS(5530),
    [anon_sym_PERCENT] = ACTIONS(5532),
    [anon_sym_PIPE_PIPE] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5532),
    [anon_sym_PIPE] = ACTIONS(5530),
    [anon_sym_CARET] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5530),
    [anon_sym_EQ_EQ] = ACTIONS(5532),
    [anon_sym_BANG_EQ] = ACTIONS(5532),
    [anon_sym_GT] = ACTIONS(5530),
    [anon_sym_GT_EQ] = ACTIONS(5532),
    [anon_sym_LT_EQ] = ACTIONS(5530),
    [anon_sym_LT] = ACTIONS(5530),
    [anon_sym_LT_LT] = ACTIONS(5532),
    [anon_sym_GT_GT] = ACTIONS(5532),
    [anon_sym_SEMI] = ACTIONS(5532),
    [anon_sym___extension__] = ACTIONS(5530),
    [anon_sym___attribute__] = ACTIONS(5530),
    [anon_sym___attribute] = ACTIONS(5530),
    [anon_sym___based] = ACTIONS(5530),
    [anon_sym_LBRACE] = ACTIONS(5532),
    [anon_sym_RBRACE] = ACTIONS(5532),
    [anon_sym_signed] = ACTIONS(5530),
    [anon_sym_unsigned] = ACTIONS(5530),
    [anon_sym_long] = ACTIONS(5530),
    [anon_sym_short] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_RBRACK] = ACTIONS(5532),
    [anon_sym_const] = ACTIONS(5530),
    [anon_sym_constexpr] = ACTIONS(5530),
    [anon_sym_volatile] = ACTIONS(5530),
    [anon_sym_restrict] = ACTIONS(5530),
    [anon_sym___restrict__] = ACTIONS(5530),
    [anon_sym__Atomic] = ACTIONS(5530),
    [anon_sym__Noreturn] = ACTIONS(5530),
    [anon_sym_noreturn] = ACTIONS(5530),
    [anon_sym__Nonnull] = ACTIONS(5530),
    [anon_sym_mutable] = ACTIONS(5530),
    [anon_sym_constinit] = ACTIONS(5530),
    [anon_sym_consteval] = ACTIONS(5530),
    [anon_sym_alignas] = ACTIONS(5530),
    [anon_sym__Alignas] = ACTIONS(5530),
    [sym_primitive_type] = ACTIONS(5530),
    [anon_sym_COLON] = ACTIONS(5532),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_LT_EQ_GT] = ACTIONS(5532),
    [anon_sym_or] = ACTIONS(5530),
    [anon_sym_and] = ACTIONS(5530),
    [anon_sym_bitor] = ACTIONS(5530),
    [anon_sym_xor] = ACTIONS(5530),
    [anon_sym_bitand] = ACTIONS(5530),
    [anon_sym_not_eq] = ACTIONS(5530),
    [anon_sym_DASH_DASH] = ACTIONS(5532),
    [anon_sym_PLUS_PLUS] = ACTIONS(5532),
    [anon_sym_DOT] = ACTIONS(5530),
    [anon_sym_DOT_STAR] = ACTIONS(5532),
    [anon_sym_DASH_GT] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5530),
    [anon_sym_decltype] = ACTIONS(5530),
    [anon_sym_final] = ACTIONS(5530),
    [anon_sym_override] = ACTIONS(5530),
    [anon_sym_requires] = ACTIONS(5530),
  },
  [1808] = {
    [sym_identifier] = ACTIONS(5534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5536),
    [anon_sym_COMMA] = ACTIONS(5536),
    [anon_sym_RPAREN] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5536),
    [anon_sym_DASH] = ACTIONS(5534),
    [anon_sym_PLUS] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5536),
    [anon_sym_SLASH] = ACTIONS(5534),
    [anon_sym_PERCENT] = ACTIONS(5536),
    [anon_sym_PIPE_PIPE] = ACTIONS(5536),
    [anon_sym_AMP_AMP] = ACTIONS(5536),
    [anon_sym_PIPE] = ACTIONS(5534),
    [anon_sym_CARET] = ACTIONS(5536),
    [anon_sym_AMP] = ACTIONS(5534),
    [anon_sym_EQ_EQ] = ACTIONS(5536),
    [anon_sym_BANG_EQ] = ACTIONS(5536),
    [anon_sym_GT] = ACTIONS(5534),
    [anon_sym_GT_EQ] = ACTIONS(5536),
    [anon_sym_LT_EQ] = ACTIONS(5534),
    [anon_sym_LT] = ACTIONS(5534),
    [anon_sym_LT_LT] = ACTIONS(5536),
    [anon_sym_GT_GT] = ACTIONS(5536),
    [anon_sym_SEMI] = ACTIONS(5536),
    [anon_sym___extension__] = ACTIONS(5534),
    [anon_sym___attribute__] = ACTIONS(5534),
    [anon_sym___attribute] = ACTIONS(5534),
    [anon_sym___based] = ACTIONS(5534),
    [anon_sym_LBRACE] = ACTIONS(5536),
    [anon_sym_RBRACE] = ACTIONS(5536),
    [anon_sym_signed] = ACTIONS(5534),
    [anon_sym_unsigned] = ACTIONS(5534),
    [anon_sym_long] = ACTIONS(5534),
    [anon_sym_short] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_RBRACK] = ACTIONS(5536),
    [anon_sym_const] = ACTIONS(5534),
    [anon_sym_constexpr] = ACTIONS(5534),
    [anon_sym_volatile] = ACTIONS(5534),
    [anon_sym_restrict] = ACTIONS(5534),
    [anon_sym___restrict__] = ACTIONS(5534),
    [anon_sym__Atomic] = ACTIONS(5534),
    [anon_sym__Noreturn] = ACTIONS(5534),
    [anon_sym_noreturn] = ACTIONS(5534),
    [anon_sym__Nonnull] = ACTIONS(5534),
    [anon_sym_mutable] = ACTIONS(5534),
    [anon_sym_constinit] = ACTIONS(5534),
    [anon_sym_consteval] = ACTIONS(5534),
    [anon_sym_alignas] = ACTIONS(5534),
    [anon_sym__Alignas] = ACTIONS(5534),
    [sym_primitive_type] = ACTIONS(5534),
    [anon_sym_COLON] = ACTIONS(5536),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_LT_EQ_GT] = ACTIONS(5536),
    [anon_sym_or] = ACTIONS(5534),
    [anon_sym_and] = ACTIONS(5534),
    [anon_sym_bitor] = ACTIONS(5534),
    [anon_sym_xor] = ACTIONS(5534),
    [anon_sym_bitand] = ACTIONS(5534),
    [anon_sym_not_eq] = ACTIONS(5534),
    [anon_sym_DASH_DASH] = ACTIONS(5536),
    [anon_sym_PLUS_PLUS] = ACTIONS(5536),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_DOT_STAR] = ACTIONS(5536),
    [anon_sym_DASH_GT] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5534),
    [anon_sym_decltype] = ACTIONS(5534),
    [anon_sym_final] = ACTIONS(5534),
    [anon_sym_override] = ACTIONS(5534),
    [anon_sym_requires] = ACTIONS(5534),
  },
  [1809] = {
    [sym_identifier] = ACTIONS(5538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5540),
    [anon_sym_COMMA] = ACTIONS(5540),
    [anon_sym_RPAREN] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_SLASH] = ACTIONS(5538),
    [anon_sym_PERCENT] = ACTIONS(5540),
    [anon_sym_PIPE_PIPE] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_PIPE] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5540),
    [anon_sym_BANG_EQ] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5540),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5538),
    [anon_sym_LT_LT] = ACTIONS(5540),
    [anon_sym_GT_GT] = ACTIONS(5540),
    [anon_sym_SEMI] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5538),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym___attribute] = ACTIONS(5538),
    [anon_sym___based] = ACTIONS(5538),
    [anon_sym_LBRACE] = ACTIONS(5540),
    [anon_sym_RBRACE] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5538),
    [anon_sym_unsigned] = ACTIONS(5538),
    [anon_sym_long] = ACTIONS(5538),
    [anon_sym_short] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_RBRACK] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5538),
    [anon_sym_constexpr] = ACTIONS(5538),
    [anon_sym_volatile] = ACTIONS(5538),
    [anon_sym_restrict] = ACTIONS(5538),
    [anon_sym___restrict__] = ACTIONS(5538),
    [anon_sym__Atomic] = ACTIONS(5538),
    [anon_sym__Noreturn] = ACTIONS(5538),
    [anon_sym_noreturn] = ACTIONS(5538),
    [anon_sym__Nonnull] = ACTIONS(5538),
    [anon_sym_mutable] = ACTIONS(5538),
    [anon_sym_constinit] = ACTIONS(5538),
    [anon_sym_consteval] = ACTIONS(5538),
    [anon_sym_alignas] = ACTIONS(5538),
    [anon_sym__Alignas] = ACTIONS(5538),
    [sym_primitive_type] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5540),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_LT_EQ_GT] = ACTIONS(5540),
    [anon_sym_or] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_bitor] = ACTIONS(5538),
    [anon_sym_xor] = ACTIONS(5538),
    [anon_sym_bitand] = ACTIONS(5538),
    [anon_sym_not_eq] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5540),
    [anon_sym_DOT] = ACTIONS(5538),
    [anon_sym_DOT_STAR] = ACTIONS(5540),
    [anon_sym_DASH_GT] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
    [anon_sym_final] = ACTIONS(5538),
    [anon_sym_override] = ACTIONS(5538),
    [anon_sym_requires] = ACTIONS(5538),
  },
  [1810] = {
    [sym_catch_clause] = STATE(1810),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1810),
    [sym_identifier] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_AMP_AMP] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym___extension__] = ACTIONS(2497),
    [anon_sym_typedef] = ACTIONS(2497),
    [anon_sym_virtual] = ACTIONS(2497),
    [anon_sym_extern] = ACTIONS(2497),
    [anon_sym___attribute__] = ACTIONS(2497),
    [anon_sym___attribute] = ACTIONS(2497),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2499),
    [anon_sym___declspec] = ACTIONS(2497),
    [anon_sym___based] = ACTIONS(2497),
    [anon_sym_signed] = ACTIONS(2497),
    [anon_sym_unsigned] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_register] = ACTIONS(2497),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym___inline] = ACTIONS(2497),
    [anon_sym___inline__] = ACTIONS(2497),
    [anon_sym___forceinline] = ACTIONS(2497),
    [anon_sym_thread_local] = ACTIONS(2497),
    [anon_sym___thread] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_constexpr] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_restrict] = ACTIONS(2497),
    [anon_sym___restrict__] = ACTIONS(2497),
    [anon_sym__Atomic] = ACTIONS(2497),
    [anon_sym__Noreturn] = ACTIONS(2497),
    [anon_sym_noreturn] = ACTIONS(2497),
    [anon_sym__Nonnull] = ACTIONS(2497),
    [anon_sym_mutable] = ACTIONS(2497),
    [anon_sym_constinit] = ACTIONS(2497),
    [anon_sym_consteval] = ACTIONS(2497),
    [anon_sym_alignas] = ACTIONS(2497),
    [anon_sym__Alignas] = ACTIONS(2497),
    [sym_primitive_type] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_struct] = ACTIONS(2497),
    [anon_sym_union] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2497),
    [anon_sym_decltype] = ACTIONS(2497),
    [anon_sym_explicit] = ACTIONS(2497),
    [anon_sym_typename] = ACTIONS(2497),
    [anon_sym_template] = ACTIONS(2497),
    [anon_sym_operator] = ACTIONS(2497),
    [anon_sym_friend] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_static_assert] = ACTIONS(2497),
    [anon_sym_catch] = ACTIONS(5542),
  },
  [1811] = {
    [sym_identifier] = ACTIONS(5545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5547),
    [anon_sym_COMMA] = ACTIONS(5547),
    [anon_sym_RPAREN] = ACTIONS(5547),
    [anon_sym_LPAREN2] = ACTIONS(5547),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym_STAR] = ACTIONS(5547),
    [anon_sym_SLASH] = ACTIONS(5545),
    [anon_sym_PERCENT] = ACTIONS(5547),
    [anon_sym_PIPE_PIPE] = ACTIONS(5547),
    [anon_sym_AMP_AMP] = ACTIONS(5547),
    [anon_sym_PIPE] = ACTIONS(5545),
    [anon_sym_CARET] = ACTIONS(5547),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym_EQ_EQ] = ACTIONS(5547),
    [anon_sym_BANG_EQ] = ACTIONS(5547),
    [anon_sym_GT] = ACTIONS(5545),
    [anon_sym_GT_EQ] = ACTIONS(5547),
    [anon_sym_LT_EQ] = ACTIONS(5545),
    [anon_sym_LT] = ACTIONS(5545),
    [anon_sym_LT_LT] = ACTIONS(5547),
    [anon_sym_GT_GT] = ACTIONS(5547),
    [anon_sym_SEMI] = ACTIONS(5547),
    [anon_sym___extension__] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym___attribute] = ACTIONS(5545),
    [anon_sym___based] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(5547),
    [anon_sym_RBRACE] = ACTIONS(5547),
    [anon_sym_signed] = ACTIONS(5545),
    [anon_sym_unsigned] = ACTIONS(5545),
    [anon_sym_long] = ACTIONS(5545),
    [anon_sym_short] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(5547),
    [anon_sym_RBRACK] = ACTIONS(5547),
    [anon_sym_const] = ACTIONS(5545),
    [anon_sym_constexpr] = ACTIONS(5545),
    [anon_sym_volatile] = ACTIONS(5545),
    [anon_sym_restrict] = ACTIONS(5545),
    [anon_sym___restrict__] = ACTIONS(5545),
    [anon_sym__Atomic] = ACTIONS(5545),
    [anon_sym__Noreturn] = ACTIONS(5545),
    [anon_sym_noreturn] = ACTIONS(5545),
    [anon_sym__Nonnull] = ACTIONS(5545),
    [anon_sym_mutable] = ACTIONS(5545),
    [anon_sym_constinit] = ACTIONS(5545),
    [anon_sym_consteval] = ACTIONS(5545),
    [anon_sym_alignas] = ACTIONS(5545),
    [anon_sym__Alignas] = ACTIONS(5545),
    [sym_primitive_type] = ACTIONS(5545),
    [anon_sym_COLON] = ACTIONS(5547),
    [anon_sym_QMARK] = ACTIONS(5547),
    [anon_sym_LT_EQ_GT] = ACTIONS(5547),
    [anon_sym_or] = ACTIONS(5545),
    [anon_sym_and] = ACTIONS(5545),
    [anon_sym_bitor] = ACTIONS(5545),
    [anon_sym_xor] = ACTIONS(5545),
    [anon_sym_bitand] = ACTIONS(5545),
    [anon_sym_not_eq] = ACTIONS(5545),
    [anon_sym_DASH_DASH] = ACTIONS(5547),
    [anon_sym_PLUS_PLUS] = ACTIONS(5547),
    [anon_sym_DOT] = ACTIONS(5545),
    [anon_sym_DOT_STAR] = ACTIONS(5547),
    [anon_sym_DASH_GT] = ACTIONS(5547),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
    [anon_sym_final] = ACTIONS(5545),
    [anon_sym_override] = ACTIONS(5545),
    [anon_sym_requires] = ACTIONS(5545),
  },
  [1812] = {
    [sym_identifier] = ACTIONS(5549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_RPAREN] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5549),
    [anon_sym_PLUS] = ACTIONS(5549),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5549),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5549),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5549),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5549),
    [anon_sym_LT] = ACTIONS(5549),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5549),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym___attribute] = ACTIONS(5549),
    [anon_sym___based] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5549),
    [anon_sym_unsigned] = ACTIONS(5549),
    [anon_sym_long] = ACTIONS(5549),
    [anon_sym_short] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5549),
    [anon_sym_constexpr] = ACTIONS(5549),
    [anon_sym_volatile] = ACTIONS(5549),
    [anon_sym_restrict] = ACTIONS(5549),
    [anon_sym___restrict__] = ACTIONS(5549),
    [anon_sym__Atomic] = ACTIONS(5549),
    [anon_sym__Noreturn] = ACTIONS(5549),
    [anon_sym_noreturn] = ACTIONS(5549),
    [anon_sym__Nonnull] = ACTIONS(5549),
    [anon_sym_mutable] = ACTIONS(5549),
    [anon_sym_constinit] = ACTIONS(5549),
    [anon_sym_consteval] = ACTIONS(5549),
    [anon_sym_alignas] = ACTIONS(5549),
    [anon_sym__Alignas] = ACTIONS(5549),
    [sym_primitive_type] = ACTIONS(5549),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_bitor] = ACTIONS(5549),
    [anon_sym_xor] = ACTIONS(5549),
    [anon_sym_bitand] = ACTIONS(5549),
    [anon_sym_not_eq] = ACTIONS(5549),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5549),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
    [anon_sym_final] = ACTIONS(5549),
    [anon_sym_override] = ACTIONS(5549),
    [anon_sym_requires] = ACTIONS(5549),
  },
  [1813] = {
    [sym_identifier] = ACTIONS(5553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [anon_sym_RPAREN] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5553),
    [anon_sym_PLUS] = ACTIONS(5553),
    [anon_sym_STAR] = ACTIONS(5555),
    [anon_sym_SLASH] = ACTIONS(5553),
    [anon_sym_PERCENT] = ACTIONS(5555),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5553),
    [anon_sym_CARET] = ACTIONS(5555),
    [anon_sym_AMP] = ACTIONS(5553),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5553),
    [anon_sym_GT_EQ] = ACTIONS(5555),
    [anon_sym_LT_EQ] = ACTIONS(5553),
    [anon_sym_LT] = ACTIONS(5553),
    [anon_sym_LT_LT] = ACTIONS(5555),
    [anon_sym_GT_GT] = ACTIONS(5555),
    [anon_sym_SEMI] = ACTIONS(5555),
    [anon_sym___extension__] = ACTIONS(5553),
    [anon_sym___attribute__] = ACTIONS(5553),
    [anon_sym___attribute] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(5553),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_RBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5553),
    [anon_sym_unsigned] = ACTIONS(5553),
    [anon_sym_long] = ACTIONS(5553),
    [anon_sym_short] = ACTIONS(5553),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_RBRACK] = ACTIONS(5555),
    [anon_sym_const] = ACTIONS(5553),
    [anon_sym_constexpr] = ACTIONS(5553),
    [anon_sym_volatile] = ACTIONS(5553),
    [anon_sym_restrict] = ACTIONS(5553),
    [anon_sym___restrict__] = ACTIONS(5553),
    [anon_sym__Atomic] = ACTIONS(5553),
    [anon_sym__Noreturn] = ACTIONS(5553),
    [anon_sym_noreturn] = ACTIONS(5553),
    [anon_sym__Nonnull] = ACTIONS(5553),
    [anon_sym_mutable] = ACTIONS(5553),
    [anon_sym_constinit] = ACTIONS(5553),
    [anon_sym_consteval] = ACTIONS(5553),
    [anon_sym_alignas] = ACTIONS(5553),
    [anon_sym__Alignas] = ACTIONS(5553),
    [sym_primitive_type] = ACTIONS(5553),
    [anon_sym_COLON] = ACTIONS(5555),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5553),
    [anon_sym_and] = ACTIONS(5553),
    [anon_sym_bitor] = ACTIONS(5553),
    [anon_sym_xor] = ACTIONS(5553),
    [anon_sym_bitand] = ACTIONS(5553),
    [anon_sym_not_eq] = ACTIONS(5553),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5553),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5553),
    [anon_sym_decltype] = ACTIONS(5553),
    [anon_sym_final] = ACTIONS(5553),
    [anon_sym_override] = ACTIONS(5553),
    [anon_sym_requires] = ACTIONS(5553),
  },
  [1814] = {
    [sym_identifier] = ACTIONS(5557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5559),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5559),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5559),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5559),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5559),
    [anon_sym_GT_GT] = ACTIONS(5559),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym___based] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_RBRACE] = ACTIONS(5559),
    [anon_sym_signed] = ACTIONS(5557),
    [anon_sym_unsigned] = ACTIONS(5557),
    [anon_sym_long] = ACTIONS(5557),
    [anon_sym_short] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym__Nonnull] = ACTIONS(5557),
    [anon_sym_mutable] = ACTIONS(5557),
    [anon_sym_constinit] = ACTIONS(5557),
    [anon_sym_consteval] = ACTIONS(5557),
    [anon_sym_alignas] = ACTIONS(5557),
    [anon_sym__Alignas] = ACTIONS(5557),
    [sym_primitive_type] = ACTIONS(5557),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
    [anon_sym_final] = ACTIONS(5557),
    [anon_sym_override] = ACTIONS(5557),
    [anon_sym_requires] = ACTIONS(5557),
  },
  [1815] = {
    [sym_identifier] = ACTIONS(5549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_RPAREN] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5549),
    [anon_sym_PLUS] = ACTIONS(5549),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5549),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5549),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5549),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5549),
    [anon_sym_LT] = ACTIONS(5549),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5549),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym___attribute] = ACTIONS(5549),
    [anon_sym___based] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5549),
    [anon_sym_unsigned] = ACTIONS(5549),
    [anon_sym_long] = ACTIONS(5549),
    [anon_sym_short] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5549),
    [anon_sym_constexpr] = ACTIONS(5549),
    [anon_sym_volatile] = ACTIONS(5549),
    [anon_sym_restrict] = ACTIONS(5549),
    [anon_sym___restrict__] = ACTIONS(5549),
    [anon_sym__Atomic] = ACTIONS(5549),
    [anon_sym__Noreturn] = ACTIONS(5549),
    [anon_sym_noreturn] = ACTIONS(5549),
    [anon_sym__Nonnull] = ACTIONS(5549),
    [anon_sym_mutable] = ACTIONS(5549),
    [anon_sym_constinit] = ACTIONS(5549),
    [anon_sym_consteval] = ACTIONS(5549),
    [anon_sym_alignas] = ACTIONS(5549),
    [anon_sym__Alignas] = ACTIONS(5549),
    [sym_primitive_type] = ACTIONS(5549),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_bitor] = ACTIONS(5549),
    [anon_sym_xor] = ACTIONS(5549),
    [anon_sym_bitand] = ACTIONS(5549),
    [anon_sym_not_eq] = ACTIONS(5549),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5549),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
    [anon_sym_final] = ACTIONS(5549),
    [anon_sym_override] = ACTIONS(5549),
    [anon_sym_requires] = ACTIONS(5549),
  },
  [1816] = {
    [sym_type_qualifier] = STATE(1616),
    [sym_alignas_qualifier] = STATE(1640),
    [aux_sym__type_definition_type_repeat1] = STATE(1616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1893),
    [sym_identifier] = ACTIONS(5561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_RPAREN] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4945),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4945),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4945),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4945),
    [anon_sym_GT_GT] = ACTIONS(4945),
    [anon_sym_SEMI] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_RBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(5565),
    [anon_sym_unsigned] = ACTIONS(5565),
    [anon_sym_long] = ACTIONS(5565),
    [anon_sym_short] = ACTIONS(5565),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_RBRACK] = ACTIONS(4945),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym__Nonnull] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5567),
    [anon_sym__Alignas] = ACTIONS(5567),
    [sym_primitive_type] = ACTIONS(5569),
    [anon_sym_COLON] = ACTIONS(4945),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
  },
  [1817] = {
    [sym_identifier] = ACTIONS(5571),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5573),
    [anon_sym_COMMA] = ACTIONS(5573),
    [anon_sym_RPAREN] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5573),
    [anon_sym_DASH] = ACTIONS(5571),
    [anon_sym_PLUS] = ACTIONS(5571),
    [anon_sym_STAR] = ACTIONS(5573),
    [anon_sym_SLASH] = ACTIONS(5571),
    [anon_sym_PERCENT] = ACTIONS(5573),
    [anon_sym_PIPE_PIPE] = ACTIONS(5573),
    [anon_sym_AMP_AMP] = ACTIONS(5573),
    [anon_sym_PIPE] = ACTIONS(5571),
    [anon_sym_CARET] = ACTIONS(5573),
    [anon_sym_AMP] = ACTIONS(5571),
    [anon_sym_EQ_EQ] = ACTIONS(5573),
    [anon_sym_BANG_EQ] = ACTIONS(5573),
    [anon_sym_GT] = ACTIONS(5571),
    [anon_sym_GT_EQ] = ACTIONS(5573),
    [anon_sym_LT_EQ] = ACTIONS(5571),
    [anon_sym_LT] = ACTIONS(5571),
    [anon_sym_LT_LT] = ACTIONS(5573),
    [anon_sym_GT_GT] = ACTIONS(5573),
    [anon_sym_SEMI] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5571),
    [anon_sym___attribute__] = ACTIONS(5571),
    [anon_sym___attribute] = ACTIONS(5571),
    [anon_sym___based] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_RBRACE] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5571),
    [anon_sym_unsigned] = ACTIONS(5571),
    [anon_sym_long] = ACTIONS(5571),
    [anon_sym_short] = ACTIONS(5571),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_RBRACK] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5571),
    [anon_sym_constexpr] = ACTIONS(5571),
    [anon_sym_volatile] = ACTIONS(5571),
    [anon_sym_restrict] = ACTIONS(5571),
    [anon_sym___restrict__] = ACTIONS(5571),
    [anon_sym__Atomic] = ACTIONS(5571),
    [anon_sym__Noreturn] = ACTIONS(5571),
    [anon_sym_noreturn] = ACTIONS(5571),
    [anon_sym__Nonnull] = ACTIONS(5571),
    [anon_sym_mutable] = ACTIONS(5571),
    [anon_sym_constinit] = ACTIONS(5571),
    [anon_sym_consteval] = ACTIONS(5571),
    [anon_sym_alignas] = ACTIONS(5571),
    [anon_sym__Alignas] = ACTIONS(5571),
    [sym_primitive_type] = ACTIONS(5571),
    [anon_sym_COLON] = ACTIONS(5573),
    [anon_sym_QMARK] = ACTIONS(5573),
    [anon_sym_LT_EQ_GT] = ACTIONS(5573),
    [anon_sym_or] = ACTIONS(5571),
    [anon_sym_and] = ACTIONS(5571),
    [anon_sym_bitor] = ACTIONS(5571),
    [anon_sym_xor] = ACTIONS(5571),
    [anon_sym_bitand] = ACTIONS(5571),
    [anon_sym_not_eq] = ACTIONS(5571),
    [anon_sym_DASH_DASH] = ACTIONS(5573),
    [anon_sym_PLUS_PLUS] = ACTIONS(5573),
    [anon_sym_DOT] = ACTIONS(5571),
    [anon_sym_DOT_STAR] = ACTIONS(5573),
    [anon_sym_DASH_GT] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5571),
    [anon_sym_decltype] = ACTIONS(5571),
    [anon_sym_final] = ACTIONS(5571),
    [anon_sym_override] = ACTIONS(5571),
    [anon_sym_requires] = ACTIONS(5571),
  },
  [1818] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1819] = {
    [sym_identifier] = ACTIONS(5549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_RPAREN] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5549),
    [anon_sym_PLUS] = ACTIONS(5549),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5549),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5549),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5549),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5549),
    [anon_sym_LT] = ACTIONS(5549),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5549),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym___attribute] = ACTIONS(5549),
    [anon_sym___based] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5549),
    [anon_sym_unsigned] = ACTIONS(5549),
    [anon_sym_long] = ACTIONS(5549),
    [anon_sym_short] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5549),
    [anon_sym_constexpr] = ACTIONS(5549),
    [anon_sym_volatile] = ACTIONS(5549),
    [anon_sym_restrict] = ACTIONS(5549),
    [anon_sym___restrict__] = ACTIONS(5549),
    [anon_sym__Atomic] = ACTIONS(5549),
    [anon_sym__Noreturn] = ACTIONS(5549),
    [anon_sym_noreturn] = ACTIONS(5549),
    [anon_sym__Nonnull] = ACTIONS(5549),
    [anon_sym_mutable] = ACTIONS(5549),
    [anon_sym_constinit] = ACTIONS(5549),
    [anon_sym_consteval] = ACTIONS(5549),
    [anon_sym_alignas] = ACTIONS(5549),
    [anon_sym__Alignas] = ACTIONS(5549),
    [sym_primitive_type] = ACTIONS(5549),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_bitor] = ACTIONS(5549),
    [anon_sym_xor] = ACTIONS(5549),
    [anon_sym_bitand] = ACTIONS(5549),
    [anon_sym_not_eq] = ACTIONS(5549),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5549),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
    [anon_sym_final] = ACTIONS(5549),
    [anon_sym_override] = ACTIONS(5549),
    [anon_sym_requires] = ACTIONS(5549),
  },
  [1820] = {
    [sym_template_argument_list] = STATE(1860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4842),
    [anon_sym_COMMA] = ACTIONS(4842),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4842),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4847),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(5575),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4847),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_GT2] = ACTIONS(4842),
  },
  [1821] = {
    [sym_catch_clause] = STATE(1831),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_friend] = ACTIONS(2504),
    [anon_sym_public] = ACTIONS(2504),
    [anon_sym_private] = ACTIONS(2504),
    [anon_sym_protected] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_catch] = ACTIONS(5578),
  },
  [1822] = {
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5372),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym___based] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(5372),
    [anon_sym_unsigned] = ACTIONS(5372),
    [anon_sym_long] = ACTIONS(5372),
    [anon_sym_short] = ACTIONS(5372),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5372),
    [anon_sym_constexpr] = ACTIONS(5372),
    [anon_sym_volatile] = ACTIONS(5372),
    [anon_sym_restrict] = ACTIONS(5372),
    [anon_sym___restrict__] = ACTIONS(5372),
    [anon_sym__Atomic] = ACTIONS(5372),
    [anon_sym__Noreturn] = ACTIONS(5372),
    [anon_sym_noreturn] = ACTIONS(5372),
    [anon_sym__Nonnull] = ACTIONS(5372),
    [anon_sym_mutable] = ACTIONS(5372),
    [anon_sym_constinit] = ACTIONS(5372),
    [anon_sym_consteval] = ACTIONS(5372),
    [anon_sym_alignas] = ACTIONS(5372),
    [anon_sym__Alignas] = ACTIONS(5372),
    [sym_primitive_type] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
    [anon_sym_final] = ACTIONS(5372),
    [anon_sym_override] = ACTIONS(5372),
    [anon_sym_requires] = ACTIONS(5372),
  },
  [1823] = {
    [sym_identifier] = ACTIONS(5580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5582),
    [anon_sym_COMMA] = ACTIONS(5582),
    [anon_sym_RPAREN] = ACTIONS(5582),
    [anon_sym_LPAREN2] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5582),
    [anon_sym_SLASH] = ACTIONS(5580),
    [anon_sym_PERCENT] = ACTIONS(5582),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_PIPE] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5582),
    [anon_sym_BANG_EQ] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5582),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5580),
    [anon_sym_LT_LT] = ACTIONS(5582),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_SEMI] = ACTIONS(5582),
    [anon_sym___extension__] = ACTIONS(5580),
    [anon_sym___attribute__] = ACTIONS(5580),
    [anon_sym___attribute] = ACTIONS(5580),
    [anon_sym___based] = ACTIONS(5580),
    [anon_sym_LBRACE] = ACTIONS(5582),
    [anon_sym_RBRACE] = ACTIONS(5582),
    [anon_sym_signed] = ACTIONS(5580),
    [anon_sym_unsigned] = ACTIONS(5580),
    [anon_sym_long] = ACTIONS(5580),
    [anon_sym_short] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [anon_sym_RBRACK] = ACTIONS(5582),
    [anon_sym_const] = ACTIONS(5580),
    [anon_sym_constexpr] = ACTIONS(5580),
    [anon_sym_volatile] = ACTIONS(5580),
    [anon_sym_restrict] = ACTIONS(5580),
    [anon_sym___restrict__] = ACTIONS(5580),
    [anon_sym__Atomic] = ACTIONS(5580),
    [anon_sym__Noreturn] = ACTIONS(5580),
    [anon_sym_noreturn] = ACTIONS(5580),
    [anon_sym__Nonnull] = ACTIONS(5580),
    [anon_sym_mutable] = ACTIONS(5580),
    [anon_sym_constinit] = ACTIONS(5580),
    [anon_sym_consteval] = ACTIONS(5580),
    [anon_sym_alignas] = ACTIONS(5580),
    [anon_sym__Alignas] = ACTIONS(5580),
    [sym_primitive_type] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5582),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_LT_EQ_GT] = ACTIONS(5582),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_bitor] = ACTIONS(5580),
    [anon_sym_xor] = ACTIONS(5580),
    [anon_sym_bitand] = ACTIONS(5580),
    [anon_sym_not_eq] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5580),
    [anon_sym_DOT_STAR] = ACTIONS(5582),
    [anon_sym_DASH_GT] = ACTIONS(5582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5580),
    [anon_sym_decltype] = ACTIONS(5580),
    [anon_sym_final] = ACTIONS(5580),
    [anon_sym_override] = ACTIONS(5580),
    [anon_sym_requires] = ACTIONS(5580),
  },
  [1824] = {
    [sym_identifier] = ACTIONS(5584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5586),
    [anon_sym_COMMA] = ACTIONS(5586),
    [anon_sym_RPAREN] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_STAR] = ACTIONS(5586),
    [anon_sym_SLASH] = ACTIONS(5584),
    [anon_sym_PERCENT] = ACTIONS(5586),
    [anon_sym_PIPE_PIPE] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5586),
    [anon_sym_PIPE] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5586),
    [anon_sym_BANG_EQ] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5586),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(5586),
    [anon_sym_GT_GT] = ACTIONS(5586),
    [anon_sym_SEMI] = ACTIONS(5586),
    [anon_sym___extension__] = ACTIONS(5584),
    [anon_sym___attribute__] = ACTIONS(5584),
    [anon_sym___attribute] = ACTIONS(5584),
    [anon_sym___based] = ACTIONS(5584),
    [anon_sym_LBRACE] = ACTIONS(5586),
    [anon_sym_RBRACE] = ACTIONS(5586),
    [anon_sym_signed] = ACTIONS(5584),
    [anon_sym_unsigned] = ACTIONS(5584),
    [anon_sym_long] = ACTIONS(5584),
    [anon_sym_short] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5586),
    [anon_sym_RBRACK] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5584),
    [anon_sym_constexpr] = ACTIONS(5584),
    [anon_sym_volatile] = ACTIONS(5584),
    [anon_sym_restrict] = ACTIONS(5584),
    [anon_sym___restrict__] = ACTIONS(5584),
    [anon_sym__Atomic] = ACTIONS(5584),
    [anon_sym__Noreturn] = ACTIONS(5584),
    [anon_sym_noreturn] = ACTIONS(5584),
    [anon_sym__Nonnull] = ACTIONS(5584),
    [anon_sym_mutable] = ACTIONS(5584),
    [anon_sym_constinit] = ACTIONS(5584),
    [anon_sym_consteval] = ACTIONS(5584),
    [anon_sym_alignas] = ACTIONS(5584),
    [anon_sym__Alignas] = ACTIONS(5584),
    [sym_primitive_type] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5586),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_LT_EQ_GT] = ACTIONS(5586),
    [anon_sym_or] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_bitor] = ACTIONS(5584),
    [anon_sym_xor] = ACTIONS(5584),
    [anon_sym_bitand] = ACTIONS(5584),
    [anon_sym_not_eq] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5586),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_DOT_STAR] = ACTIONS(5586),
    [anon_sym_DASH_GT] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5584),
    [anon_sym_decltype] = ACTIONS(5584),
    [anon_sym_final] = ACTIONS(5584),
    [anon_sym_override] = ACTIONS(5584),
    [anon_sym_requires] = ACTIONS(5584),
  },
  [1825] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5378),
    [anon_sym_GT_GT] = ACTIONS(5378),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5378),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
    [anon_sym_requires] = ACTIONS(5376),
  },
  [1826] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_BANG] = ACTIONS(4941),
    [anon_sym_TILDE] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4941),
    [anon_sym_AMP] = ACTIONS(4941),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym_COLON_COLON] = ACTIONS(4941),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_static] = ACTIONS(4939),
    [anon_sym_RBRACK] = ACTIONS(4941),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym__Nonnull] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_not] = ACTIONS(4939),
    [anon_sym_compl] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_sizeof] = ACTIONS(4939),
    [anon_sym___alignof__] = ACTIONS(4939),
    [anon_sym___alignof] = ACTIONS(4939),
    [anon_sym__alignof] = ACTIONS(4939),
    [anon_sym_alignof] = ACTIONS(4939),
    [anon_sym__Alignof] = ACTIONS(4939),
    [anon_sym_offsetof] = ACTIONS(4939),
    [anon_sym__Generic] = ACTIONS(4939),
    [anon_sym_asm] = ACTIONS(4939),
    [anon_sym___asm__] = ACTIONS(4939),
    [anon_sym___asm] = ACTIONS(4939),
    [sym_number_literal] = ACTIONS(4941),
    [anon_sym_L_SQUOTE] = ACTIONS(4941),
    [anon_sym_u_SQUOTE] = ACTIONS(4941),
    [anon_sym_U_SQUOTE] = ACTIONS(4941),
    [anon_sym_u8_SQUOTE] = ACTIONS(4941),
    [anon_sym_SQUOTE] = ACTIONS(4941),
    [anon_sym_L_DQUOTE] = ACTIONS(4941),
    [anon_sym_u_DQUOTE] = ACTIONS(4941),
    [anon_sym_U_DQUOTE] = ACTIONS(4941),
    [anon_sym_u8_DQUOTE] = ACTIONS(4941),
    [anon_sym_DQUOTE] = ACTIONS(4941),
    [sym_true] = ACTIONS(4939),
    [sym_false] = ACTIONS(4939),
    [anon_sym_NULL] = ACTIONS(4939),
    [anon_sym_nullptr] = ACTIONS(4939),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4939),
    [anon_sym_template] = ACTIONS(4939),
    [anon_sym_delete] = ACTIONS(4939),
    [anon_sym_R_DQUOTE] = ACTIONS(4941),
    [anon_sym_LR_DQUOTE] = ACTIONS(4941),
    [anon_sym_uR_DQUOTE] = ACTIONS(4941),
    [anon_sym_UR_DQUOTE] = ACTIONS(4941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4941),
    [anon_sym_co_await] = ACTIONS(4939),
    [anon_sym_new] = ACTIONS(4939),
    [anon_sym_requires] = ACTIONS(4939),
    [sym_this] = ACTIONS(4939),
  },
  [1827] = {
    [sym_type_qualifier] = STATE(1829),
    [sym_alignas_qualifier] = STATE(1640),
    [aux_sym__type_definition_type_repeat1] = STATE(1829),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [aux_sym_preproc_if_token2] = ACTIONS(4960),
    [aux_sym_preproc_else_token1] = ACTIONS(4960),
    [aux_sym_preproc_elif_token1] = ACTIONS(4962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4962),
    [anon_sym_STAR] = ACTIONS(4960),
    [anon_sym_SLASH] = ACTIONS(4962),
    [anon_sym_PERCENT] = ACTIONS(4960),
    [anon_sym_PIPE_PIPE] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_PIPE] = ACTIONS(4962),
    [anon_sym_CARET] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_EQ_EQ] = ACTIONS(4960),
    [anon_sym_BANG_EQ] = ACTIONS(4960),
    [anon_sym_GT] = ACTIONS(4962),
    [anon_sym_GT_EQ] = ACTIONS(4960),
    [anon_sym_LT_EQ] = ACTIONS(4962),
    [anon_sym_LT] = ACTIONS(4962),
    [anon_sym_LT_LT] = ACTIONS(4960),
    [anon_sym_GT_GT] = ACTIONS(4960),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(5591),
    [anon_sym_unsigned] = ACTIONS(5591),
    [anon_sym_long] = ACTIONS(5591),
    [anon_sym_short] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym__Nonnull] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5567),
    [anon_sym__Alignas] = ACTIONS(5567),
    [sym_primitive_type] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(4960),
    [anon_sym_LT_EQ_GT] = ACTIONS(4960),
    [anon_sym_or] = ACTIONS(4962),
    [anon_sym_and] = ACTIONS(4962),
    [anon_sym_bitor] = ACTIONS(4962),
    [anon_sym_xor] = ACTIONS(4962),
    [anon_sym_bitand] = ACTIONS(4962),
    [anon_sym_not_eq] = ACTIONS(4962),
    [anon_sym_DASH_DASH] = ACTIONS(4960),
    [anon_sym_PLUS_PLUS] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_DOT_STAR] = ACTIONS(4960),
    [anon_sym_DASH_GT] = ACTIONS(4960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
  },
  [1828] = {
    [sym_identifier] = ACTIONS(5595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5597),
    [anon_sym_COMMA] = ACTIONS(5597),
    [anon_sym_RPAREN] = ACTIONS(5597),
    [anon_sym_LPAREN2] = ACTIONS(5597),
    [anon_sym_DASH] = ACTIONS(5595),
    [anon_sym_PLUS] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5597),
    [anon_sym_SLASH] = ACTIONS(5595),
    [anon_sym_PERCENT] = ACTIONS(5597),
    [anon_sym_PIPE_PIPE] = ACTIONS(5597),
    [anon_sym_AMP_AMP] = ACTIONS(5597),
    [anon_sym_PIPE] = ACTIONS(5595),
    [anon_sym_CARET] = ACTIONS(5597),
    [anon_sym_AMP] = ACTIONS(5595),
    [anon_sym_EQ_EQ] = ACTIONS(5597),
    [anon_sym_BANG_EQ] = ACTIONS(5597),
    [anon_sym_GT] = ACTIONS(5595),
    [anon_sym_GT_EQ] = ACTIONS(5597),
    [anon_sym_LT_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(5595),
    [anon_sym_LT_LT] = ACTIONS(5597),
    [anon_sym_GT_GT] = ACTIONS(5597),
    [anon_sym_SEMI] = ACTIONS(5597),
    [anon_sym___extension__] = ACTIONS(5595),
    [anon_sym___attribute__] = ACTIONS(5595),
    [anon_sym___attribute] = ACTIONS(5595),
    [anon_sym___based] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(5597),
    [anon_sym_RBRACE] = ACTIONS(5597),
    [anon_sym_signed] = ACTIONS(5595),
    [anon_sym_unsigned] = ACTIONS(5595),
    [anon_sym_long] = ACTIONS(5595),
    [anon_sym_short] = ACTIONS(5595),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_RBRACK] = ACTIONS(5597),
    [anon_sym_const] = ACTIONS(5595),
    [anon_sym_constexpr] = ACTIONS(5595),
    [anon_sym_volatile] = ACTIONS(5595),
    [anon_sym_restrict] = ACTIONS(5595),
    [anon_sym___restrict__] = ACTIONS(5595),
    [anon_sym__Atomic] = ACTIONS(5595),
    [anon_sym__Noreturn] = ACTIONS(5595),
    [anon_sym_noreturn] = ACTIONS(5595),
    [anon_sym__Nonnull] = ACTIONS(5595),
    [anon_sym_mutable] = ACTIONS(5595),
    [anon_sym_constinit] = ACTIONS(5595),
    [anon_sym_consteval] = ACTIONS(5595),
    [anon_sym_alignas] = ACTIONS(5595),
    [anon_sym__Alignas] = ACTIONS(5595),
    [sym_primitive_type] = ACTIONS(5595),
    [anon_sym_COLON] = ACTIONS(5597),
    [anon_sym_QMARK] = ACTIONS(5597),
    [anon_sym_LT_EQ_GT] = ACTIONS(5597),
    [anon_sym_or] = ACTIONS(5595),
    [anon_sym_and] = ACTIONS(5595),
    [anon_sym_bitor] = ACTIONS(5595),
    [anon_sym_xor] = ACTIONS(5595),
    [anon_sym_bitand] = ACTIONS(5595),
    [anon_sym_not_eq] = ACTIONS(5595),
    [anon_sym_DASH_DASH] = ACTIONS(5597),
    [anon_sym_PLUS_PLUS] = ACTIONS(5597),
    [anon_sym_DOT] = ACTIONS(5595),
    [anon_sym_DOT_STAR] = ACTIONS(5597),
    [anon_sym_DASH_GT] = ACTIONS(5597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5595),
    [anon_sym_decltype] = ACTIONS(5595),
    [anon_sym_final] = ACTIONS(5595),
    [anon_sym_override] = ACTIONS(5595),
    [anon_sym_requires] = ACTIONS(5595),
  },
  [1829] = {
    [sym_type_qualifier] = STATE(1616),
    [sym_alignas_qualifier] = STATE(1640),
    [aux_sym__type_definition_type_repeat1] = STATE(1616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3426),
    [sym_identifier] = ACTIONS(5599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [aux_sym_preproc_if_token2] = ACTIONS(4945),
    [aux_sym_preproc_else_token1] = ACTIONS(4945),
    [aux_sym_preproc_elif_token1] = ACTIONS(4947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4945),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4945),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4945),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4945),
    [anon_sym_GT_GT] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(5602),
    [anon_sym_unsigned] = ACTIONS(5602),
    [anon_sym_long] = ACTIONS(5602),
    [anon_sym_short] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym__Nonnull] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5567),
    [anon_sym__Alignas] = ACTIONS(5567),
    [sym_primitive_type] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
  },
  [1830] = {
    [sym_catch_clause] = STATE(1831),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_STAR] = ACTIONS(2559),
    [anon_sym_AMP_AMP] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym___extension__] = ACTIONS(2557),
    [anon_sym_typedef] = ACTIONS(2557),
    [anon_sym_virtual] = ACTIONS(2557),
    [anon_sym_extern] = ACTIONS(2557),
    [anon_sym___attribute__] = ACTIONS(2557),
    [anon_sym___attribute] = ACTIONS(2557),
    [anon_sym_COLON_COLON] = ACTIONS(2559),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2559),
    [anon_sym___declspec] = ACTIONS(2557),
    [anon_sym___based] = ACTIONS(2557),
    [anon_sym_RBRACE] = ACTIONS(2559),
    [anon_sym_signed] = ACTIONS(2557),
    [anon_sym_unsigned] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_register] = ACTIONS(2557),
    [anon_sym_inline] = ACTIONS(2557),
    [anon_sym___inline] = ACTIONS(2557),
    [anon_sym___inline__] = ACTIONS(2557),
    [anon_sym___forceinline] = ACTIONS(2557),
    [anon_sym_thread_local] = ACTIONS(2557),
    [anon_sym___thread] = ACTIONS(2557),
    [anon_sym_const] = ACTIONS(2557),
    [anon_sym_constexpr] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_restrict] = ACTIONS(2557),
    [anon_sym___restrict__] = ACTIONS(2557),
    [anon_sym__Atomic] = ACTIONS(2557),
    [anon_sym__Noreturn] = ACTIONS(2557),
    [anon_sym_noreturn] = ACTIONS(2557),
    [anon_sym__Nonnull] = ACTIONS(2557),
    [anon_sym_mutable] = ACTIONS(2557),
    [anon_sym_constinit] = ACTIONS(2557),
    [anon_sym_consteval] = ACTIONS(2557),
    [anon_sym_alignas] = ACTIONS(2557),
    [anon_sym__Alignas] = ACTIONS(2557),
    [sym_primitive_type] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_struct] = ACTIONS(2557),
    [anon_sym_union] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2557),
    [anon_sym_decltype] = ACTIONS(2557),
    [anon_sym_explicit] = ACTIONS(2557),
    [anon_sym_typename] = ACTIONS(2557),
    [anon_sym_template] = ACTIONS(2557),
    [anon_sym_operator] = ACTIONS(2557),
    [anon_sym_friend] = ACTIONS(2557),
    [anon_sym_public] = ACTIONS(2557),
    [anon_sym_private] = ACTIONS(2557),
    [anon_sym_protected] = ACTIONS(2557),
    [anon_sym_using] = ACTIONS(2557),
    [anon_sym_static_assert] = ACTIONS(2557),
    [anon_sym_catch] = ACTIONS(5578),
  },
  [1831] = {
    [sym_catch_clause] = STATE(1831),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_AMP_AMP] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym___extension__] = ACTIONS(2497),
    [anon_sym_typedef] = ACTIONS(2497),
    [anon_sym_virtual] = ACTIONS(2497),
    [anon_sym_extern] = ACTIONS(2497),
    [anon_sym___attribute__] = ACTIONS(2497),
    [anon_sym___attribute] = ACTIONS(2497),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2499),
    [anon_sym___declspec] = ACTIONS(2497),
    [anon_sym___based] = ACTIONS(2497),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2497),
    [anon_sym_unsigned] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_register] = ACTIONS(2497),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym___inline] = ACTIONS(2497),
    [anon_sym___inline__] = ACTIONS(2497),
    [anon_sym___forceinline] = ACTIONS(2497),
    [anon_sym_thread_local] = ACTIONS(2497),
    [anon_sym___thread] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_constexpr] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_restrict] = ACTIONS(2497),
    [anon_sym___restrict__] = ACTIONS(2497),
    [anon_sym__Atomic] = ACTIONS(2497),
    [anon_sym__Noreturn] = ACTIONS(2497),
    [anon_sym_noreturn] = ACTIONS(2497),
    [anon_sym__Nonnull] = ACTIONS(2497),
    [anon_sym_mutable] = ACTIONS(2497),
    [anon_sym_constinit] = ACTIONS(2497),
    [anon_sym_consteval] = ACTIONS(2497),
    [anon_sym_alignas] = ACTIONS(2497),
    [anon_sym__Alignas] = ACTIONS(2497),
    [sym_primitive_type] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_struct] = ACTIONS(2497),
    [anon_sym_union] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2497),
    [anon_sym_decltype] = ACTIONS(2497),
    [anon_sym_explicit] = ACTIONS(2497),
    [anon_sym_typename] = ACTIONS(2497),
    [anon_sym_template] = ACTIONS(2497),
    [anon_sym_operator] = ACTIONS(2497),
    [anon_sym_friend] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_static_assert] = ACTIONS(2497),
    [anon_sym_catch] = ACTIONS(5606),
  },
  [1832] = {
    [sym_identifier] = ACTIONS(5609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5611),
    [anon_sym_COMMA] = ACTIONS(5611),
    [anon_sym_RPAREN] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5611),
    [anon_sym_TILDE] = ACTIONS(5611),
    [anon_sym_STAR] = ACTIONS(5611),
    [anon_sym_AMP_AMP] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym_SEMI] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5609),
    [anon_sym_virtual] = ACTIONS(5609),
    [anon_sym_extern] = ACTIONS(5609),
    [anon_sym___attribute__] = ACTIONS(5609),
    [anon_sym___attribute] = ACTIONS(5609),
    [anon_sym_COLON_COLON] = ACTIONS(5611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5611),
    [anon_sym___declspec] = ACTIONS(5609),
    [anon_sym___based] = ACTIONS(5609),
    [anon_sym_LBRACE] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5609),
    [anon_sym_unsigned] = ACTIONS(5609),
    [anon_sym_long] = ACTIONS(5609),
    [anon_sym_short] = ACTIONS(5609),
    [anon_sym_LBRACK] = ACTIONS(5609),
    [anon_sym_static] = ACTIONS(5609),
    [anon_sym_EQ] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5609),
    [anon_sym_inline] = ACTIONS(5609),
    [anon_sym___inline] = ACTIONS(5609),
    [anon_sym___inline__] = ACTIONS(5609),
    [anon_sym___forceinline] = ACTIONS(5609),
    [anon_sym_thread_local] = ACTIONS(5609),
    [anon_sym___thread] = ACTIONS(5609),
    [anon_sym_const] = ACTIONS(5609),
    [anon_sym_constexpr] = ACTIONS(5609),
    [anon_sym_volatile] = ACTIONS(5609),
    [anon_sym_restrict] = ACTIONS(5609),
    [anon_sym___restrict__] = ACTIONS(5609),
    [anon_sym__Atomic] = ACTIONS(5609),
    [anon_sym__Noreturn] = ACTIONS(5609),
    [anon_sym_noreturn] = ACTIONS(5609),
    [anon_sym__Nonnull] = ACTIONS(5609),
    [anon_sym_mutable] = ACTIONS(5609),
    [anon_sym_constinit] = ACTIONS(5609),
    [anon_sym_consteval] = ACTIONS(5609),
    [anon_sym_alignas] = ACTIONS(5609),
    [anon_sym__Alignas] = ACTIONS(5609),
    [sym_primitive_type] = ACTIONS(5609),
    [anon_sym_enum] = ACTIONS(5609),
    [anon_sym_class] = ACTIONS(5609),
    [anon_sym_struct] = ACTIONS(5609),
    [anon_sym_union] = ACTIONS(5609),
    [anon_sym_asm] = ACTIONS(5609),
    [anon_sym___asm__] = ACTIONS(5609),
    [anon_sym___asm] = ACTIONS(5609),
    [anon_sym_DASH_GT] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5609),
    [anon_sym_decltype] = ACTIONS(5609),
    [anon_sym_final] = ACTIONS(5609),
    [anon_sym_override] = ACTIONS(5609),
    [anon_sym_explicit] = ACTIONS(5609),
    [anon_sym_typename] = ACTIONS(5609),
    [anon_sym_template] = ACTIONS(5609),
    [anon_sym_GT2] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5609),
    [anon_sym_try] = ACTIONS(5609),
    [anon_sym_noexcept] = ACTIONS(5609),
    [anon_sym_throw] = ACTIONS(5609),
    [anon_sym_requires] = ACTIONS(5609),
  },
  [1833] = {
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5615),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5615),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5615),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5615),
    [anon_sym_GT_GT] = ACTIONS(5615),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5613),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym___attribute] = ACTIONS(5613),
    [anon_sym___based] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5613),
    [anon_sym_unsigned] = ACTIONS(5613),
    [anon_sym_long] = ACTIONS(5613),
    [anon_sym_short] = ACTIONS(5613),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5613),
    [anon_sym_constexpr] = ACTIONS(5613),
    [anon_sym_volatile] = ACTIONS(5613),
    [anon_sym_restrict] = ACTIONS(5613),
    [anon_sym___restrict__] = ACTIONS(5613),
    [anon_sym__Atomic] = ACTIONS(5613),
    [anon_sym__Noreturn] = ACTIONS(5613),
    [anon_sym_noreturn] = ACTIONS(5613),
    [anon_sym__Nonnull] = ACTIONS(5613),
    [anon_sym_mutable] = ACTIONS(5613),
    [anon_sym_constinit] = ACTIONS(5613),
    [anon_sym_consteval] = ACTIONS(5613),
    [anon_sym_alignas] = ACTIONS(5613),
    [anon_sym__Alignas] = ACTIONS(5613),
    [sym_primitive_type] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
    [anon_sym_final] = ACTIONS(5613),
    [anon_sym_override] = ACTIONS(5613),
    [anon_sym_requires] = ACTIONS(5613),
  },
  [1834] = {
    [sym_identifier] = ACTIONS(5617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5619),
    [anon_sym_COMMA] = ACTIONS(5619),
    [anon_sym_RPAREN] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5619),
    [anon_sym_DASH] = ACTIONS(5617),
    [anon_sym_PLUS] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5619),
    [anon_sym_SLASH] = ACTIONS(5617),
    [anon_sym_PERCENT] = ACTIONS(5619),
    [anon_sym_PIPE_PIPE] = ACTIONS(5619),
    [anon_sym_AMP_AMP] = ACTIONS(5619),
    [anon_sym_PIPE] = ACTIONS(5617),
    [anon_sym_CARET] = ACTIONS(5619),
    [anon_sym_AMP] = ACTIONS(5617),
    [anon_sym_EQ_EQ] = ACTIONS(5619),
    [anon_sym_BANG_EQ] = ACTIONS(5619),
    [anon_sym_GT] = ACTIONS(5617),
    [anon_sym_GT_EQ] = ACTIONS(5619),
    [anon_sym_LT_EQ] = ACTIONS(5617),
    [anon_sym_LT] = ACTIONS(5617),
    [anon_sym_LT_LT] = ACTIONS(5619),
    [anon_sym_GT_GT] = ACTIONS(5619),
    [anon_sym_SEMI] = ACTIONS(5619),
    [anon_sym___extension__] = ACTIONS(5617),
    [anon_sym___attribute__] = ACTIONS(5617),
    [anon_sym___attribute] = ACTIONS(5617),
    [anon_sym___based] = ACTIONS(5617),
    [anon_sym_LBRACE] = ACTIONS(5619),
    [anon_sym_RBRACE] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(5617),
    [anon_sym_unsigned] = ACTIONS(5617),
    [anon_sym_long] = ACTIONS(5617),
    [anon_sym_short] = ACTIONS(5617),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_RBRACK] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5617),
    [anon_sym_constexpr] = ACTIONS(5617),
    [anon_sym_volatile] = ACTIONS(5617),
    [anon_sym_restrict] = ACTIONS(5617),
    [anon_sym___restrict__] = ACTIONS(5617),
    [anon_sym__Atomic] = ACTIONS(5617),
    [anon_sym__Noreturn] = ACTIONS(5617),
    [anon_sym_noreturn] = ACTIONS(5617),
    [anon_sym__Nonnull] = ACTIONS(5617),
    [anon_sym_mutable] = ACTIONS(5617),
    [anon_sym_constinit] = ACTIONS(5617),
    [anon_sym_consteval] = ACTIONS(5617),
    [anon_sym_alignas] = ACTIONS(5617),
    [anon_sym__Alignas] = ACTIONS(5617),
    [sym_primitive_type] = ACTIONS(5617),
    [anon_sym_COLON] = ACTIONS(5619),
    [anon_sym_QMARK] = ACTIONS(5619),
    [anon_sym_LT_EQ_GT] = ACTIONS(5619),
    [anon_sym_or] = ACTIONS(5617),
    [anon_sym_and] = ACTIONS(5617),
    [anon_sym_bitor] = ACTIONS(5617),
    [anon_sym_xor] = ACTIONS(5617),
    [anon_sym_bitand] = ACTIONS(5617),
    [anon_sym_not_eq] = ACTIONS(5617),
    [anon_sym_DASH_DASH] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5619),
    [anon_sym_DOT] = ACTIONS(5617),
    [anon_sym_DOT_STAR] = ACTIONS(5619),
    [anon_sym_DASH_GT] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5617),
    [anon_sym_decltype] = ACTIONS(5617),
    [anon_sym_final] = ACTIONS(5617),
    [anon_sym_override] = ACTIONS(5617),
    [anon_sym_requires] = ACTIONS(5617),
  },
  [1835] = {
    [sym_identifier] = ACTIONS(5621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5623),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_RPAREN] = ACTIONS(5623),
    [anon_sym_LPAREN2] = ACTIONS(5623),
    [anon_sym_DASH] = ACTIONS(5621),
    [anon_sym_PLUS] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5623),
    [anon_sym_SLASH] = ACTIONS(5621),
    [anon_sym_PERCENT] = ACTIONS(5623),
    [anon_sym_PIPE_PIPE] = ACTIONS(5623),
    [anon_sym_AMP_AMP] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5621),
    [anon_sym_CARET] = ACTIONS(5623),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym_EQ_EQ] = ACTIONS(5623),
    [anon_sym_BANG_EQ] = ACTIONS(5623),
    [anon_sym_GT] = ACTIONS(5621),
    [anon_sym_GT_EQ] = ACTIONS(5623),
    [anon_sym_LT_EQ] = ACTIONS(5621),
    [anon_sym_LT] = ACTIONS(5621),
    [anon_sym_LT_LT] = ACTIONS(5623),
    [anon_sym_GT_GT] = ACTIONS(5623),
    [anon_sym_SEMI] = ACTIONS(5623),
    [anon_sym___extension__] = ACTIONS(5621),
    [anon_sym___attribute__] = ACTIONS(5621),
    [anon_sym___attribute] = ACTIONS(5621),
    [anon_sym___based] = ACTIONS(5621),
    [anon_sym_LBRACE] = ACTIONS(5623),
    [anon_sym_RBRACE] = ACTIONS(5623),
    [anon_sym_signed] = ACTIONS(5621),
    [anon_sym_unsigned] = ACTIONS(5621),
    [anon_sym_long] = ACTIONS(5621),
    [anon_sym_short] = ACTIONS(5621),
    [anon_sym_LBRACK] = ACTIONS(5623),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_const] = ACTIONS(5621),
    [anon_sym_constexpr] = ACTIONS(5621),
    [anon_sym_volatile] = ACTIONS(5621),
    [anon_sym_restrict] = ACTIONS(5621),
    [anon_sym___restrict__] = ACTIONS(5621),
    [anon_sym__Atomic] = ACTIONS(5621),
    [anon_sym__Noreturn] = ACTIONS(5621),
    [anon_sym_noreturn] = ACTIONS(5621),
    [anon_sym__Nonnull] = ACTIONS(5621),
    [anon_sym_mutable] = ACTIONS(5621),
    [anon_sym_constinit] = ACTIONS(5621),
    [anon_sym_consteval] = ACTIONS(5621),
    [anon_sym_alignas] = ACTIONS(5621),
    [anon_sym__Alignas] = ACTIONS(5621),
    [sym_primitive_type] = ACTIONS(5621),
    [anon_sym_COLON] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LT_EQ_GT] = ACTIONS(5623),
    [anon_sym_or] = ACTIONS(5621),
    [anon_sym_and] = ACTIONS(5621),
    [anon_sym_bitor] = ACTIONS(5621),
    [anon_sym_xor] = ACTIONS(5621),
    [anon_sym_bitand] = ACTIONS(5621),
    [anon_sym_not_eq] = ACTIONS(5621),
    [anon_sym_DASH_DASH] = ACTIONS(5623),
    [anon_sym_PLUS_PLUS] = ACTIONS(5623),
    [anon_sym_DOT] = ACTIONS(5621),
    [anon_sym_DOT_STAR] = ACTIONS(5623),
    [anon_sym_DASH_GT] = ACTIONS(5623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5621),
    [anon_sym_decltype] = ACTIONS(5621),
    [anon_sym_final] = ACTIONS(5621),
    [anon_sym_override] = ACTIONS(5621),
    [anon_sym_requires] = ACTIONS(5621),
  },
  [1836] = {
    [sym_identifier] = ACTIONS(5625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5627),
    [anon_sym_RPAREN] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5627),
    [anon_sym_DASH] = ACTIONS(5625),
    [anon_sym_PLUS] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5627),
    [anon_sym_SLASH] = ACTIONS(5625),
    [anon_sym_PERCENT] = ACTIONS(5627),
    [anon_sym_PIPE_PIPE] = ACTIONS(5627),
    [anon_sym_AMP_AMP] = ACTIONS(5627),
    [anon_sym_PIPE] = ACTIONS(5625),
    [anon_sym_CARET] = ACTIONS(5627),
    [anon_sym_AMP] = ACTIONS(5625),
    [anon_sym_EQ_EQ] = ACTIONS(5627),
    [anon_sym_BANG_EQ] = ACTIONS(5627),
    [anon_sym_GT] = ACTIONS(5625),
    [anon_sym_GT_EQ] = ACTIONS(5627),
    [anon_sym_LT_EQ] = ACTIONS(5625),
    [anon_sym_LT] = ACTIONS(5625),
    [anon_sym_LT_LT] = ACTIONS(5627),
    [anon_sym_GT_GT] = ACTIONS(5627),
    [anon_sym_SEMI] = ACTIONS(5627),
    [anon_sym___extension__] = ACTIONS(5625),
    [anon_sym___attribute__] = ACTIONS(5625),
    [anon_sym___attribute] = ACTIONS(5625),
    [anon_sym___based] = ACTIONS(5625),
    [anon_sym_LBRACE] = ACTIONS(5627),
    [anon_sym_RBRACE] = ACTIONS(5627),
    [anon_sym_signed] = ACTIONS(5625),
    [anon_sym_unsigned] = ACTIONS(5625),
    [anon_sym_long] = ACTIONS(5625),
    [anon_sym_short] = ACTIONS(5625),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_RBRACK] = ACTIONS(5627),
    [anon_sym_const] = ACTIONS(5625),
    [anon_sym_constexpr] = ACTIONS(5625),
    [anon_sym_volatile] = ACTIONS(5625),
    [anon_sym_restrict] = ACTIONS(5625),
    [anon_sym___restrict__] = ACTIONS(5625),
    [anon_sym__Atomic] = ACTIONS(5625),
    [anon_sym__Noreturn] = ACTIONS(5625),
    [anon_sym_noreturn] = ACTIONS(5625),
    [anon_sym__Nonnull] = ACTIONS(5625),
    [anon_sym_mutable] = ACTIONS(5625),
    [anon_sym_constinit] = ACTIONS(5625),
    [anon_sym_consteval] = ACTIONS(5625),
    [anon_sym_alignas] = ACTIONS(5625),
    [anon_sym__Alignas] = ACTIONS(5625),
    [sym_primitive_type] = ACTIONS(5625),
    [anon_sym_COLON] = ACTIONS(5627),
    [anon_sym_QMARK] = ACTIONS(5627),
    [anon_sym_LT_EQ_GT] = ACTIONS(5627),
    [anon_sym_or] = ACTIONS(5625),
    [anon_sym_and] = ACTIONS(5625),
    [anon_sym_bitor] = ACTIONS(5625),
    [anon_sym_xor] = ACTIONS(5625),
    [anon_sym_bitand] = ACTIONS(5625),
    [anon_sym_not_eq] = ACTIONS(5625),
    [anon_sym_DASH_DASH] = ACTIONS(5627),
    [anon_sym_PLUS_PLUS] = ACTIONS(5627),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_DOT_STAR] = ACTIONS(5627),
    [anon_sym_DASH_GT] = ACTIONS(5627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5625),
    [anon_sym_decltype] = ACTIONS(5625),
    [anon_sym_final] = ACTIONS(5625),
    [anon_sym_override] = ACTIONS(5625),
    [anon_sym_requires] = ACTIONS(5625),
  },
  [1837] = {
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5631),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_RPAREN] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5631),
    [anon_sym_DASH] = ACTIONS(5629),
    [anon_sym_PLUS] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5631),
    [anon_sym_SLASH] = ACTIONS(5629),
    [anon_sym_PERCENT] = ACTIONS(5631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5631),
    [anon_sym_AMP_AMP] = ACTIONS(5631),
    [anon_sym_PIPE] = ACTIONS(5629),
    [anon_sym_CARET] = ACTIONS(5631),
    [anon_sym_AMP] = ACTIONS(5629),
    [anon_sym_EQ_EQ] = ACTIONS(5631),
    [anon_sym_BANG_EQ] = ACTIONS(5631),
    [anon_sym_GT] = ACTIONS(5629),
    [anon_sym_GT_EQ] = ACTIONS(5631),
    [anon_sym_LT_EQ] = ACTIONS(5629),
    [anon_sym_LT] = ACTIONS(5629),
    [anon_sym_LT_LT] = ACTIONS(5631),
    [anon_sym_GT_GT] = ACTIONS(5631),
    [anon_sym_SEMI] = ACTIONS(5631),
    [anon_sym___extension__] = ACTIONS(5629),
    [anon_sym___attribute__] = ACTIONS(5629),
    [anon_sym___attribute] = ACTIONS(5629),
    [anon_sym___based] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(5631),
    [anon_sym_RBRACE] = ACTIONS(5631),
    [anon_sym_signed] = ACTIONS(5629),
    [anon_sym_unsigned] = ACTIONS(5629),
    [anon_sym_long] = ACTIONS(5629),
    [anon_sym_short] = ACTIONS(5629),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_RBRACK] = ACTIONS(5631),
    [anon_sym_const] = ACTIONS(5629),
    [anon_sym_constexpr] = ACTIONS(5629),
    [anon_sym_volatile] = ACTIONS(5629),
    [anon_sym_restrict] = ACTIONS(5629),
    [anon_sym___restrict__] = ACTIONS(5629),
    [anon_sym__Atomic] = ACTIONS(5629),
    [anon_sym__Noreturn] = ACTIONS(5629),
    [anon_sym_noreturn] = ACTIONS(5629),
    [anon_sym__Nonnull] = ACTIONS(5629),
    [anon_sym_mutable] = ACTIONS(5629),
    [anon_sym_constinit] = ACTIONS(5629),
    [anon_sym_consteval] = ACTIONS(5629),
    [anon_sym_alignas] = ACTIONS(5629),
    [anon_sym__Alignas] = ACTIONS(5629),
    [sym_primitive_type] = ACTIONS(5629),
    [anon_sym_COLON] = ACTIONS(5631),
    [anon_sym_QMARK] = ACTIONS(5631),
    [anon_sym_LT_EQ_GT] = ACTIONS(5631),
    [anon_sym_or] = ACTIONS(5629),
    [anon_sym_and] = ACTIONS(5629),
    [anon_sym_bitor] = ACTIONS(5629),
    [anon_sym_xor] = ACTIONS(5629),
    [anon_sym_bitand] = ACTIONS(5629),
    [anon_sym_not_eq] = ACTIONS(5629),
    [anon_sym_DASH_DASH] = ACTIONS(5631),
    [anon_sym_PLUS_PLUS] = ACTIONS(5631),
    [anon_sym_DOT] = ACTIONS(5629),
    [anon_sym_DOT_STAR] = ACTIONS(5631),
    [anon_sym_DASH_GT] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5629),
    [anon_sym_decltype] = ACTIONS(5629),
    [anon_sym_final] = ACTIONS(5629),
    [anon_sym_override] = ACTIONS(5629),
    [anon_sym_requires] = ACTIONS(5629),
  },
  [1838] = {
    [sym_identifier] = ACTIONS(5633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5635),
    [anon_sym_COMMA] = ACTIONS(5635),
    [anon_sym_RPAREN] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5635),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5635),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5635),
    [anon_sym_PIPE_PIPE] = ACTIONS(5635),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5635),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5635),
    [anon_sym_BANG_EQ] = ACTIONS(5635),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5635),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5635),
    [anon_sym_GT_GT] = ACTIONS(5635),
    [anon_sym_SEMI] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5633),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym___attribute] = ACTIONS(5633),
    [anon_sym___based] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5633),
    [anon_sym_unsigned] = ACTIONS(5633),
    [anon_sym_long] = ACTIONS(5633),
    [anon_sym_short] = ACTIONS(5633),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5633),
    [anon_sym_constexpr] = ACTIONS(5633),
    [anon_sym_volatile] = ACTIONS(5633),
    [anon_sym_restrict] = ACTIONS(5633),
    [anon_sym___restrict__] = ACTIONS(5633),
    [anon_sym__Atomic] = ACTIONS(5633),
    [anon_sym__Noreturn] = ACTIONS(5633),
    [anon_sym_noreturn] = ACTIONS(5633),
    [anon_sym__Nonnull] = ACTIONS(5633),
    [anon_sym_mutable] = ACTIONS(5633),
    [anon_sym_constinit] = ACTIONS(5633),
    [anon_sym_consteval] = ACTIONS(5633),
    [anon_sym_alignas] = ACTIONS(5633),
    [anon_sym__Alignas] = ACTIONS(5633),
    [sym_primitive_type] = ACTIONS(5633),
    [anon_sym_COLON] = ACTIONS(5635),
    [anon_sym_QMARK] = ACTIONS(5635),
    [anon_sym_LT_EQ_GT] = ACTIONS(5635),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5635),
    [anon_sym_PLUS_PLUS] = ACTIONS(5635),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5635),
    [anon_sym_DASH_GT] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
    [anon_sym_final] = ACTIONS(5633),
    [anon_sym_override] = ACTIONS(5633),
    [anon_sym_requires] = ACTIONS(5633),
  },
  [1839] = {
    [sym_identifier] = ACTIONS(5637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5639),
    [anon_sym_COMMA] = ACTIONS(5639),
    [anon_sym_RPAREN] = ACTIONS(5639),
    [anon_sym_LPAREN2] = ACTIONS(5639),
    [anon_sym_DASH] = ACTIONS(5637),
    [anon_sym_PLUS] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5639),
    [anon_sym_SLASH] = ACTIONS(5637),
    [anon_sym_PERCENT] = ACTIONS(5639),
    [anon_sym_PIPE_PIPE] = ACTIONS(5639),
    [anon_sym_AMP_AMP] = ACTIONS(5639),
    [anon_sym_PIPE] = ACTIONS(5637),
    [anon_sym_CARET] = ACTIONS(5639),
    [anon_sym_AMP] = ACTIONS(5637),
    [anon_sym_EQ_EQ] = ACTIONS(5639),
    [anon_sym_BANG_EQ] = ACTIONS(5639),
    [anon_sym_GT] = ACTIONS(5637),
    [anon_sym_GT_EQ] = ACTIONS(5639),
    [anon_sym_LT_EQ] = ACTIONS(5637),
    [anon_sym_LT] = ACTIONS(5637),
    [anon_sym_LT_LT] = ACTIONS(5639),
    [anon_sym_GT_GT] = ACTIONS(5639),
    [anon_sym_SEMI] = ACTIONS(5639),
    [anon_sym___extension__] = ACTIONS(5637),
    [anon_sym___attribute__] = ACTIONS(5637),
    [anon_sym___attribute] = ACTIONS(5637),
    [anon_sym___based] = ACTIONS(5637),
    [anon_sym_LBRACE] = ACTIONS(5639),
    [anon_sym_RBRACE] = ACTIONS(5639),
    [anon_sym_signed] = ACTIONS(5637),
    [anon_sym_unsigned] = ACTIONS(5637),
    [anon_sym_long] = ACTIONS(5637),
    [anon_sym_short] = ACTIONS(5637),
    [anon_sym_LBRACK] = ACTIONS(5639),
    [anon_sym_RBRACK] = ACTIONS(5639),
    [anon_sym_const] = ACTIONS(5637),
    [anon_sym_constexpr] = ACTIONS(5637),
    [anon_sym_volatile] = ACTIONS(5637),
    [anon_sym_restrict] = ACTIONS(5637),
    [anon_sym___restrict__] = ACTIONS(5637),
    [anon_sym__Atomic] = ACTIONS(5637),
    [anon_sym__Noreturn] = ACTIONS(5637),
    [anon_sym_noreturn] = ACTIONS(5637),
    [anon_sym__Nonnull] = ACTIONS(5637),
    [anon_sym_mutable] = ACTIONS(5637),
    [anon_sym_constinit] = ACTIONS(5637),
    [anon_sym_consteval] = ACTIONS(5637),
    [anon_sym_alignas] = ACTIONS(5637),
    [anon_sym__Alignas] = ACTIONS(5637),
    [sym_primitive_type] = ACTIONS(5637),
    [anon_sym_COLON] = ACTIONS(5639),
    [anon_sym_QMARK] = ACTIONS(5639),
    [anon_sym_LT_EQ_GT] = ACTIONS(5639),
    [anon_sym_or] = ACTIONS(5637),
    [anon_sym_and] = ACTIONS(5637),
    [anon_sym_bitor] = ACTIONS(5637),
    [anon_sym_xor] = ACTIONS(5637),
    [anon_sym_bitand] = ACTIONS(5637),
    [anon_sym_not_eq] = ACTIONS(5637),
    [anon_sym_DASH_DASH] = ACTIONS(5639),
    [anon_sym_PLUS_PLUS] = ACTIONS(5639),
    [anon_sym_DOT] = ACTIONS(5637),
    [anon_sym_DOT_STAR] = ACTIONS(5639),
    [anon_sym_DASH_GT] = ACTIONS(5639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5637),
    [anon_sym_final] = ACTIONS(5637),
    [anon_sym_override] = ACTIONS(5637),
    [anon_sym_requires] = ACTIONS(5637),
  },
  [1840] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [sym_identifier] = ACTIONS(4071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [aux_sym_preproc_if_token2] = ACTIONS(4063),
    [aux_sym_preproc_else_token1] = ACTIONS(4063),
    [aux_sym_preproc_elif_token1] = ACTIONS(4071),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4063),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(5641),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(5644),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(5646),
    [anon_sym_SLASH_EQ] = ACTIONS(5646),
    [anon_sym_PERCENT_EQ] = ACTIONS(5646),
    [anon_sym_PLUS_EQ] = ACTIONS(5646),
    [anon_sym_DASH_EQ] = ACTIONS(5646),
    [anon_sym_LT_LT_EQ] = ACTIONS(5646),
    [anon_sym_GT_GT_EQ] = ACTIONS(5646),
    [anon_sym_AMP_EQ] = ACTIONS(5646),
    [anon_sym_CARET_EQ] = ACTIONS(5646),
    [anon_sym_PIPE_EQ] = ACTIONS(5646),
    [anon_sym_and_eq] = ACTIONS(5644),
    [anon_sym_or_eq] = ACTIONS(5644),
    [anon_sym_xor_eq] = ACTIONS(5644),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4071),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4071),
    [anon_sym_not_eq] = ACTIONS(4071),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [1841] = {
    [sym_catch_clause] = STATE(1831),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_AMP_AMP] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym___extension__] = ACTIONS(2549),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2549),
    [anon_sym_extern] = ACTIONS(2549),
    [anon_sym___attribute__] = ACTIONS(2549),
    [anon_sym___attribute] = ACTIONS(2549),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2551),
    [anon_sym___declspec] = ACTIONS(2549),
    [anon_sym___based] = ACTIONS(2549),
    [anon_sym_RBRACE] = ACTIONS(2551),
    [anon_sym_signed] = ACTIONS(2549),
    [anon_sym_unsigned] = ACTIONS(2549),
    [anon_sym_long] = ACTIONS(2549),
    [anon_sym_short] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_register] = ACTIONS(2549),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym___inline] = ACTIONS(2549),
    [anon_sym___inline__] = ACTIONS(2549),
    [anon_sym___forceinline] = ACTIONS(2549),
    [anon_sym_thread_local] = ACTIONS(2549),
    [anon_sym___thread] = ACTIONS(2549),
    [anon_sym_const] = ACTIONS(2549),
    [anon_sym_constexpr] = ACTIONS(2549),
    [anon_sym_volatile] = ACTIONS(2549),
    [anon_sym_restrict] = ACTIONS(2549),
    [anon_sym___restrict__] = ACTIONS(2549),
    [anon_sym__Atomic] = ACTIONS(2549),
    [anon_sym__Noreturn] = ACTIONS(2549),
    [anon_sym_noreturn] = ACTIONS(2549),
    [anon_sym__Nonnull] = ACTIONS(2549),
    [anon_sym_mutable] = ACTIONS(2549),
    [anon_sym_constinit] = ACTIONS(2549),
    [anon_sym_consteval] = ACTIONS(2549),
    [anon_sym_alignas] = ACTIONS(2549),
    [anon_sym__Alignas] = ACTIONS(2549),
    [sym_primitive_type] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_struct] = ACTIONS(2549),
    [anon_sym_union] = ACTIONS(2549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2549),
    [anon_sym_decltype] = ACTIONS(2549),
    [anon_sym_explicit] = ACTIONS(2549),
    [anon_sym_typename] = ACTIONS(2549),
    [anon_sym_template] = ACTIONS(2549),
    [anon_sym_operator] = ACTIONS(2549),
    [anon_sym_friend] = ACTIONS(2549),
    [anon_sym_public] = ACTIONS(2549),
    [anon_sym_private] = ACTIONS(2549),
    [anon_sym_protected] = ACTIONS(2549),
    [anon_sym_using] = ACTIONS(2549),
    [anon_sym_static_assert] = ACTIONS(2549),
    [anon_sym_catch] = ACTIONS(5578),
  },
  [1842] = {
    [sym_identifier] = ACTIONS(5648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5650),
    [anon_sym_COMMA] = ACTIONS(5650),
    [anon_sym_RPAREN] = ACTIONS(5650),
    [anon_sym_LPAREN2] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5648),
    [anon_sym_STAR] = ACTIONS(5650),
    [anon_sym_SLASH] = ACTIONS(5648),
    [anon_sym_PERCENT] = ACTIONS(5650),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_PIPE] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5650),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5648),
    [anon_sym_LT_LT] = ACTIONS(5650),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_SEMI] = ACTIONS(5650),
    [anon_sym___extension__] = ACTIONS(5648),
    [anon_sym___attribute__] = ACTIONS(5648),
    [anon_sym___attribute] = ACTIONS(5648),
    [anon_sym___based] = ACTIONS(5648),
    [anon_sym_LBRACE] = ACTIONS(5650),
    [anon_sym_RBRACE] = ACTIONS(5650),
    [anon_sym_signed] = ACTIONS(5648),
    [anon_sym_unsigned] = ACTIONS(5648),
    [anon_sym_long] = ACTIONS(5648),
    [anon_sym_short] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5650),
    [anon_sym_RBRACK] = ACTIONS(5650),
    [anon_sym_const] = ACTIONS(5648),
    [anon_sym_constexpr] = ACTIONS(5648),
    [anon_sym_volatile] = ACTIONS(5648),
    [anon_sym_restrict] = ACTIONS(5648),
    [anon_sym___restrict__] = ACTIONS(5648),
    [anon_sym__Atomic] = ACTIONS(5648),
    [anon_sym__Noreturn] = ACTIONS(5648),
    [anon_sym_noreturn] = ACTIONS(5648),
    [anon_sym__Nonnull] = ACTIONS(5648),
    [anon_sym_mutable] = ACTIONS(5648),
    [anon_sym_constinit] = ACTIONS(5648),
    [anon_sym_consteval] = ACTIONS(5648),
    [anon_sym_alignas] = ACTIONS(5648),
    [anon_sym__Alignas] = ACTIONS(5648),
    [sym_primitive_type] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5650),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_LT_EQ_GT] = ACTIONS(5650),
    [anon_sym_or] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5648),
    [anon_sym_bitor] = ACTIONS(5648),
    [anon_sym_xor] = ACTIONS(5648),
    [anon_sym_bitand] = ACTIONS(5648),
    [anon_sym_not_eq] = ACTIONS(5648),
    [anon_sym_DASH_DASH] = ACTIONS(5650),
    [anon_sym_PLUS_PLUS] = ACTIONS(5650),
    [anon_sym_DOT] = ACTIONS(5648),
    [anon_sym_DOT_STAR] = ACTIONS(5650),
    [anon_sym_DASH_GT] = ACTIONS(5650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5648),
    [anon_sym_decltype] = ACTIONS(5648),
    [anon_sym_final] = ACTIONS(5648),
    [anon_sym_override] = ACTIONS(5648),
    [anon_sym_requires] = ACTIONS(5648),
  },
  [1843] = {
    [sym_identifier] = ACTIONS(5652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5654),
    [anon_sym_COMMA] = ACTIONS(5654),
    [anon_sym_RPAREN] = ACTIONS(5654),
    [anon_sym_LPAREN2] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(5654),
    [anon_sym_SLASH] = ACTIONS(5652),
    [anon_sym_PERCENT] = ACTIONS(5654),
    [anon_sym_PIPE_PIPE] = ACTIONS(5654),
    [anon_sym_AMP_AMP] = ACTIONS(5654),
    [anon_sym_PIPE] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5654),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5652),
    [anon_sym_LT_LT] = ACTIONS(5654),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_SEMI] = ACTIONS(5654),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym___attribute] = ACTIONS(5652),
    [anon_sym___based] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(5654),
    [anon_sym_RBRACE] = ACTIONS(5654),
    [anon_sym_signed] = ACTIONS(5652),
    [anon_sym_unsigned] = ACTIONS(5652),
    [anon_sym_long] = ACTIONS(5652),
    [anon_sym_short] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym_RBRACK] = ACTIONS(5654),
    [anon_sym_const] = ACTIONS(5652),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_mutable] = ACTIONS(5652),
    [anon_sym_constinit] = ACTIONS(5652),
    [anon_sym_consteval] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [sym_primitive_type] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5654),
    [anon_sym_DOT] = ACTIONS(5652),
    [anon_sym_DOT_STAR] = ACTIONS(5654),
    [anon_sym_DASH_GT] = ACTIONS(5654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
    [anon_sym_final] = ACTIONS(5652),
    [anon_sym_override] = ACTIONS(5652),
    [anon_sym_requires] = ACTIONS(5652),
  },
  [1844] = {
    [sym_identifier] = ACTIONS(5656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5658),
    [anon_sym_COMMA] = ACTIONS(5658),
    [anon_sym_RPAREN] = ACTIONS(5658),
    [anon_sym_LPAREN2] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5656),
    [anon_sym_STAR] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5656),
    [anon_sym_PERCENT] = ACTIONS(5658),
    [anon_sym_PIPE_PIPE] = ACTIONS(5658),
    [anon_sym_AMP_AMP] = ACTIONS(5658),
    [anon_sym_PIPE] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5656),
    [anon_sym_EQ_EQ] = ACTIONS(5658),
    [anon_sym_BANG_EQ] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5656),
    [anon_sym_GT_EQ] = ACTIONS(5658),
    [anon_sym_LT_EQ] = ACTIONS(5656),
    [anon_sym_LT] = ACTIONS(5656),
    [anon_sym_LT_LT] = ACTIONS(5658),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_SEMI] = ACTIONS(5658),
    [anon_sym___extension__] = ACTIONS(5656),
    [anon_sym___attribute__] = ACTIONS(5656),
    [anon_sym___attribute] = ACTIONS(5656),
    [anon_sym___based] = ACTIONS(5656),
    [anon_sym_LBRACE] = ACTIONS(5658),
    [anon_sym_RBRACE] = ACTIONS(5658),
    [anon_sym_signed] = ACTIONS(5656),
    [anon_sym_unsigned] = ACTIONS(5656),
    [anon_sym_long] = ACTIONS(5656),
    [anon_sym_short] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5658),
    [anon_sym_RBRACK] = ACTIONS(5658),
    [anon_sym_const] = ACTIONS(5656),
    [anon_sym_constexpr] = ACTIONS(5656),
    [anon_sym_volatile] = ACTIONS(5656),
    [anon_sym_restrict] = ACTIONS(5656),
    [anon_sym___restrict__] = ACTIONS(5656),
    [anon_sym__Atomic] = ACTIONS(5656),
    [anon_sym__Noreturn] = ACTIONS(5656),
    [anon_sym_noreturn] = ACTIONS(5656),
    [anon_sym__Nonnull] = ACTIONS(5656),
    [anon_sym_mutable] = ACTIONS(5656),
    [anon_sym_constinit] = ACTIONS(5656),
    [anon_sym_consteval] = ACTIONS(5656),
    [anon_sym_alignas] = ACTIONS(5656),
    [anon_sym__Alignas] = ACTIONS(5656),
    [sym_primitive_type] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_LT_EQ_GT] = ACTIONS(5658),
    [anon_sym_or] = ACTIONS(5656),
    [anon_sym_and] = ACTIONS(5656),
    [anon_sym_bitor] = ACTIONS(5656),
    [anon_sym_xor] = ACTIONS(5656),
    [anon_sym_bitand] = ACTIONS(5656),
    [anon_sym_not_eq] = ACTIONS(5656),
    [anon_sym_DASH_DASH] = ACTIONS(5658),
    [anon_sym_PLUS_PLUS] = ACTIONS(5658),
    [anon_sym_DOT] = ACTIONS(5656),
    [anon_sym_DOT_STAR] = ACTIONS(5658),
    [anon_sym_DASH_GT] = ACTIONS(5658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5656),
    [anon_sym_decltype] = ACTIONS(5656),
    [anon_sym_final] = ACTIONS(5656),
    [anon_sym_override] = ACTIONS(5656),
    [anon_sym_requires] = ACTIONS(5656),
  },
  [1845] = {
    [sym_identifier] = ACTIONS(5660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5662),
    [anon_sym_COMMA] = ACTIONS(5662),
    [anon_sym_RPAREN] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5660),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_SLASH] = ACTIONS(5660),
    [anon_sym_PERCENT] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE] = ACTIONS(5662),
    [anon_sym_AMP_AMP] = ACTIONS(5662),
    [anon_sym_PIPE] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5662),
    [anon_sym_BANG_EQ] = ACTIONS(5662),
    [anon_sym_GT] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5662),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5660),
    [anon_sym_LT_LT] = ACTIONS(5662),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5662),
    [anon_sym___extension__] = ACTIONS(5660),
    [anon_sym___attribute__] = ACTIONS(5660),
    [anon_sym___attribute] = ACTIONS(5660),
    [anon_sym___based] = ACTIONS(5660),
    [anon_sym_LBRACE] = ACTIONS(5662),
    [anon_sym_RBRACE] = ACTIONS(5662),
    [anon_sym_signed] = ACTIONS(5660),
    [anon_sym_unsigned] = ACTIONS(5660),
    [anon_sym_long] = ACTIONS(5660),
    [anon_sym_short] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5662),
    [anon_sym_RBRACK] = ACTIONS(5662),
    [anon_sym_const] = ACTIONS(5660),
    [anon_sym_constexpr] = ACTIONS(5660),
    [anon_sym_volatile] = ACTIONS(5660),
    [anon_sym_restrict] = ACTIONS(5660),
    [anon_sym___restrict__] = ACTIONS(5660),
    [anon_sym__Atomic] = ACTIONS(5660),
    [anon_sym__Noreturn] = ACTIONS(5660),
    [anon_sym_noreturn] = ACTIONS(5660),
    [anon_sym__Nonnull] = ACTIONS(5660),
    [anon_sym_mutable] = ACTIONS(5660),
    [anon_sym_constinit] = ACTIONS(5660),
    [anon_sym_consteval] = ACTIONS(5660),
    [anon_sym_alignas] = ACTIONS(5660),
    [anon_sym__Alignas] = ACTIONS(5660),
    [sym_primitive_type] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5662),
    [anon_sym_QMARK] = ACTIONS(5662),
    [anon_sym_LT_EQ_GT] = ACTIONS(5662),
    [anon_sym_or] = ACTIONS(5660),
    [anon_sym_and] = ACTIONS(5660),
    [anon_sym_bitor] = ACTIONS(5660),
    [anon_sym_xor] = ACTIONS(5660),
    [anon_sym_bitand] = ACTIONS(5660),
    [anon_sym_not_eq] = ACTIONS(5660),
    [anon_sym_DASH_DASH] = ACTIONS(5662),
    [anon_sym_PLUS_PLUS] = ACTIONS(5662),
    [anon_sym_DOT] = ACTIONS(5660),
    [anon_sym_DOT_STAR] = ACTIONS(5662),
    [anon_sym_DASH_GT] = ACTIONS(5662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5660),
    [anon_sym_decltype] = ACTIONS(5660),
    [anon_sym_final] = ACTIONS(5660),
    [anon_sym_override] = ACTIONS(5660),
    [anon_sym_requires] = ACTIONS(5660),
  },
  [1846] = {
    [sym_identifier] = ACTIONS(5652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5654),
    [anon_sym_COMMA] = ACTIONS(5654),
    [anon_sym_RPAREN] = ACTIONS(5654),
    [anon_sym_LPAREN2] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(5654),
    [anon_sym_SLASH] = ACTIONS(5652),
    [anon_sym_PERCENT] = ACTIONS(5654),
    [anon_sym_PIPE_PIPE] = ACTIONS(5654),
    [anon_sym_AMP_AMP] = ACTIONS(5654),
    [anon_sym_PIPE] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5654),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5652),
    [anon_sym_LT_LT] = ACTIONS(5654),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_SEMI] = ACTIONS(5654),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym___attribute] = ACTIONS(5652),
    [anon_sym___based] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(5654),
    [anon_sym_RBRACE] = ACTIONS(5654),
    [anon_sym_signed] = ACTIONS(5652),
    [anon_sym_unsigned] = ACTIONS(5652),
    [anon_sym_long] = ACTIONS(5652),
    [anon_sym_short] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym_RBRACK] = ACTIONS(5654),
    [anon_sym_const] = ACTIONS(5652),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_mutable] = ACTIONS(5652),
    [anon_sym_constinit] = ACTIONS(5652),
    [anon_sym_consteval] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [sym_primitive_type] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5654),
    [anon_sym_DOT] = ACTIONS(5652),
    [anon_sym_DOT_STAR] = ACTIONS(5654),
    [anon_sym_DASH_GT] = ACTIONS(5654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
    [anon_sym_final] = ACTIONS(5652),
    [anon_sym_override] = ACTIONS(5652),
    [anon_sym_requires] = ACTIONS(5652),
  },
  [1847] = {
    [sym_catch_clause] = STATE(1810),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1810),
    [sym_identifier] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token2] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_STAR] = ACTIONS(2559),
    [anon_sym_AMP_AMP] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym___extension__] = ACTIONS(2557),
    [anon_sym_typedef] = ACTIONS(2557),
    [anon_sym_virtual] = ACTIONS(2557),
    [anon_sym_extern] = ACTIONS(2557),
    [anon_sym___attribute__] = ACTIONS(2557),
    [anon_sym___attribute] = ACTIONS(2557),
    [anon_sym_COLON_COLON] = ACTIONS(2559),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2559),
    [anon_sym___declspec] = ACTIONS(2557),
    [anon_sym___based] = ACTIONS(2557),
    [anon_sym_signed] = ACTIONS(2557),
    [anon_sym_unsigned] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_register] = ACTIONS(2557),
    [anon_sym_inline] = ACTIONS(2557),
    [anon_sym___inline] = ACTIONS(2557),
    [anon_sym___inline__] = ACTIONS(2557),
    [anon_sym___forceinline] = ACTIONS(2557),
    [anon_sym_thread_local] = ACTIONS(2557),
    [anon_sym___thread] = ACTIONS(2557),
    [anon_sym_const] = ACTIONS(2557),
    [anon_sym_constexpr] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_restrict] = ACTIONS(2557),
    [anon_sym___restrict__] = ACTIONS(2557),
    [anon_sym__Atomic] = ACTIONS(2557),
    [anon_sym__Noreturn] = ACTIONS(2557),
    [anon_sym_noreturn] = ACTIONS(2557),
    [anon_sym__Nonnull] = ACTIONS(2557),
    [anon_sym_mutable] = ACTIONS(2557),
    [anon_sym_constinit] = ACTIONS(2557),
    [anon_sym_consteval] = ACTIONS(2557),
    [anon_sym_alignas] = ACTIONS(2557),
    [anon_sym__Alignas] = ACTIONS(2557),
    [sym_primitive_type] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_struct] = ACTIONS(2557),
    [anon_sym_union] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2557),
    [anon_sym_decltype] = ACTIONS(2557),
    [anon_sym_explicit] = ACTIONS(2557),
    [anon_sym_typename] = ACTIONS(2557),
    [anon_sym_template] = ACTIONS(2557),
    [anon_sym_operator] = ACTIONS(2557),
    [anon_sym_friend] = ACTIONS(2557),
    [anon_sym_public] = ACTIONS(2557),
    [anon_sym_private] = ACTIONS(2557),
    [anon_sym_protected] = ACTIONS(2557),
    [anon_sym_using] = ACTIONS(2557),
    [anon_sym_static_assert] = ACTIONS(2557),
    [anon_sym_catch] = ACTIONS(5520),
  },
  [1848] = {
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5666),
    [anon_sym_COMMA] = ACTIONS(5666),
    [anon_sym_RPAREN] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_STAR] = ACTIONS(5666),
    [anon_sym_SLASH] = ACTIONS(5664),
    [anon_sym_PERCENT] = ACTIONS(5666),
    [anon_sym_PIPE_PIPE] = ACTIONS(5666),
    [anon_sym_AMP_AMP] = ACTIONS(5666),
    [anon_sym_PIPE] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5666),
    [anon_sym_BANG_EQ] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5666),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5664),
    [anon_sym_LT_LT] = ACTIONS(5666),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_SEMI] = ACTIONS(5666),
    [anon_sym___extension__] = ACTIONS(5664),
    [anon_sym___attribute__] = ACTIONS(5664),
    [anon_sym___attribute] = ACTIONS(5664),
    [anon_sym___based] = ACTIONS(5664),
    [anon_sym_LBRACE] = ACTIONS(5666),
    [anon_sym_RBRACE] = ACTIONS(5666),
    [anon_sym_signed] = ACTIONS(5664),
    [anon_sym_unsigned] = ACTIONS(5664),
    [anon_sym_long] = ACTIONS(5664),
    [anon_sym_short] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5666),
    [anon_sym_RBRACK] = ACTIONS(5666),
    [anon_sym_const] = ACTIONS(5664),
    [anon_sym_constexpr] = ACTIONS(5664),
    [anon_sym_volatile] = ACTIONS(5664),
    [anon_sym_restrict] = ACTIONS(5664),
    [anon_sym___restrict__] = ACTIONS(5664),
    [anon_sym__Atomic] = ACTIONS(5664),
    [anon_sym__Noreturn] = ACTIONS(5664),
    [anon_sym_noreturn] = ACTIONS(5664),
    [anon_sym__Nonnull] = ACTIONS(5664),
    [anon_sym_mutable] = ACTIONS(5664),
    [anon_sym_constinit] = ACTIONS(5664),
    [anon_sym_consteval] = ACTIONS(5664),
    [anon_sym_alignas] = ACTIONS(5664),
    [anon_sym__Alignas] = ACTIONS(5664),
    [sym_primitive_type] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5666),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_LT_EQ_GT] = ACTIONS(5666),
    [anon_sym_or] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_bitor] = ACTIONS(5664),
    [anon_sym_xor] = ACTIONS(5664),
    [anon_sym_bitand] = ACTIONS(5664),
    [anon_sym_not_eq] = ACTIONS(5664),
    [anon_sym_DASH_DASH] = ACTIONS(5666),
    [anon_sym_PLUS_PLUS] = ACTIONS(5666),
    [anon_sym_DOT] = ACTIONS(5664),
    [anon_sym_DOT_STAR] = ACTIONS(5666),
    [anon_sym_DASH_GT] = ACTIONS(5666),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5664),
    [anon_sym_decltype] = ACTIONS(5664),
    [anon_sym_final] = ACTIONS(5664),
    [anon_sym_override] = ACTIONS(5664),
    [anon_sym_requires] = ACTIONS(5664),
  },
  [1849] = {
    [sym_type_qualifier] = STATE(1816),
    [sym_alignas_qualifier] = STATE(1640),
    [aux_sym__type_definition_type_repeat1] = STATE(1816),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1917),
    [sym_identifier] = ACTIONS(5668),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [anon_sym_RPAREN] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4962),
    [anon_sym_STAR] = ACTIONS(4960),
    [anon_sym_SLASH] = ACTIONS(4962),
    [anon_sym_PERCENT] = ACTIONS(4960),
    [anon_sym_PIPE_PIPE] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_PIPE] = ACTIONS(4962),
    [anon_sym_CARET] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_EQ_EQ] = ACTIONS(4960),
    [anon_sym_BANG_EQ] = ACTIONS(4960),
    [anon_sym_GT] = ACTIONS(4962),
    [anon_sym_GT_EQ] = ACTIONS(4960),
    [anon_sym_LT_EQ] = ACTIONS(4962),
    [anon_sym_LT] = ACTIONS(4962),
    [anon_sym_LT_LT] = ACTIONS(4960),
    [anon_sym_GT_GT] = ACTIONS(4960),
    [anon_sym_SEMI] = ACTIONS(4960),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_RBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(5670),
    [anon_sym_unsigned] = ACTIONS(5670),
    [anon_sym_long] = ACTIONS(5670),
    [anon_sym_short] = ACTIONS(5670),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym_RBRACK] = ACTIONS(4960),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym__Nonnull] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5567),
    [anon_sym__Alignas] = ACTIONS(5567),
    [sym_primitive_type] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(4960),
    [anon_sym_QMARK] = ACTIONS(4960),
    [anon_sym_LT_EQ_GT] = ACTIONS(4960),
    [anon_sym_or] = ACTIONS(4962),
    [anon_sym_and] = ACTIONS(4962),
    [anon_sym_bitor] = ACTIONS(4962),
    [anon_sym_xor] = ACTIONS(4962),
    [anon_sym_bitand] = ACTIONS(4962),
    [anon_sym_not_eq] = ACTIONS(4962),
    [anon_sym_DASH_DASH] = ACTIONS(4960),
    [anon_sym_PLUS_PLUS] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_DOT_STAR] = ACTIONS(4960),
    [anon_sym_DASH_GT] = ACTIONS(4960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
  },
  [1850] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym___extension__] = ACTIONS(5674),
    [anon_sym___attribute__] = ACTIONS(5674),
    [anon_sym___attribute] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(5674),
    [anon_sym_LBRACE] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_signed] = ACTIONS(5674),
    [anon_sym_unsigned] = ACTIONS(5674),
    [anon_sym_long] = ACTIONS(5674),
    [anon_sym_short] = ACTIONS(5674),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5674),
    [anon_sym_constexpr] = ACTIONS(5674),
    [anon_sym_volatile] = ACTIONS(5674),
    [anon_sym_restrict] = ACTIONS(5674),
    [anon_sym___restrict__] = ACTIONS(5674),
    [anon_sym__Atomic] = ACTIONS(5674),
    [anon_sym__Noreturn] = ACTIONS(5674),
    [anon_sym_noreturn] = ACTIONS(5674),
    [anon_sym__Nonnull] = ACTIONS(5674),
    [anon_sym_mutable] = ACTIONS(5674),
    [anon_sym_constinit] = ACTIONS(5674),
    [anon_sym_consteval] = ACTIONS(5674),
    [anon_sym_alignas] = ACTIONS(5674),
    [anon_sym__Alignas] = ACTIONS(5674),
    [sym_primitive_type] = ACTIONS(5674),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5676),
    [anon_sym_LT_EQ_GT] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_and] = ACTIONS(5674),
    [anon_sym_bitor] = ACTIONS(5674),
    [anon_sym_xor] = ACTIONS(5674),
    [anon_sym_bitand] = ACTIONS(5674),
    [anon_sym_not_eq] = ACTIONS(5674),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_DOT_STAR] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5674),
    [anon_sym_decltype] = ACTIONS(5674),
    [anon_sym_final] = ACTIONS(5674),
    [anon_sym_override] = ACTIONS(5674),
    [anon_sym_requires] = ACTIONS(5674),
  },
  [1851] = {
    [sym_catch_clause] = STATE(1810),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1810),
    [sym_identifier] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token2] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_AMP_AMP] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym___extension__] = ACTIONS(2549),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2549),
    [anon_sym_extern] = ACTIONS(2549),
    [anon_sym___attribute__] = ACTIONS(2549),
    [anon_sym___attribute] = ACTIONS(2549),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2551),
    [anon_sym___declspec] = ACTIONS(2549),
    [anon_sym___based] = ACTIONS(2549),
    [anon_sym_signed] = ACTIONS(2549),
    [anon_sym_unsigned] = ACTIONS(2549),
    [anon_sym_long] = ACTIONS(2549),
    [anon_sym_short] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_register] = ACTIONS(2549),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym___inline] = ACTIONS(2549),
    [anon_sym___inline__] = ACTIONS(2549),
    [anon_sym___forceinline] = ACTIONS(2549),
    [anon_sym_thread_local] = ACTIONS(2549),
    [anon_sym___thread] = ACTIONS(2549),
    [anon_sym_const] = ACTIONS(2549),
    [anon_sym_constexpr] = ACTIONS(2549),
    [anon_sym_volatile] = ACTIONS(2549),
    [anon_sym_restrict] = ACTIONS(2549),
    [anon_sym___restrict__] = ACTIONS(2549),
    [anon_sym__Atomic] = ACTIONS(2549),
    [anon_sym__Noreturn] = ACTIONS(2549),
    [anon_sym_noreturn] = ACTIONS(2549),
    [anon_sym__Nonnull] = ACTIONS(2549),
    [anon_sym_mutable] = ACTIONS(2549),
    [anon_sym_constinit] = ACTIONS(2549),
    [anon_sym_consteval] = ACTIONS(2549),
    [anon_sym_alignas] = ACTIONS(2549),
    [anon_sym__Alignas] = ACTIONS(2549),
    [sym_primitive_type] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_struct] = ACTIONS(2549),
    [anon_sym_union] = ACTIONS(2549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2549),
    [anon_sym_decltype] = ACTIONS(2549),
    [anon_sym_explicit] = ACTIONS(2549),
    [anon_sym_typename] = ACTIONS(2549),
    [anon_sym_template] = ACTIONS(2549),
    [anon_sym_operator] = ACTIONS(2549),
    [anon_sym_friend] = ACTIONS(2549),
    [anon_sym_public] = ACTIONS(2549),
    [anon_sym_private] = ACTIONS(2549),
    [anon_sym_protected] = ACTIONS(2549),
    [anon_sym_using] = ACTIONS(2549),
    [anon_sym_static_assert] = ACTIONS(2549),
    [anon_sym_catch] = ACTIONS(5520),
  },
  [1852] = {
    [sym_identifier] = ACTIONS(5678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5680),
    [anon_sym_COMMA] = ACTIONS(5680),
    [anon_sym_RPAREN] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5680),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5680),
    [anon_sym_PIPE_PIPE] = ACTIONS(5680),
    [anon_sym_AMP_AMP] = ACTIONS(5680),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_CARET] = ACTIONS(5680),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_EQ_EQ] = ACTIONS(5680),
    [anon_sym_BANG_EQ] = ACTIONS(5680),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_GT_EQ] = ACTIONS(5680),
    [anon_sym_LT_EQ] = ACTIONS(5678),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5680),
    [anon_sym_GT_GT] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5680),
    [anon_sym___extension__] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym___attribute] = ACTIONS(5678),
    [anon_sym___based] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5680),
    [anon_sym_RBRACE] = ACTIONS(5680),
    [anon_sym_signed] = ACTIONS(5678),
    [anon_sym_unsigned] = ACTIONS(5678),
    [anon_sym_long] = ACTIONS(5678),
    [anon_sym_short] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5680),
    [anon_sym_RBRACK] = ACTIONS(5680),
    [anon_sym_const] = ACTIONS(5678),
    [anon_sym_constexpr] = ACTIONS(5678),
    [anon_sym_volatile] = ACTIONS(5678),
    [anon_sym_restrict] = ACTIONS(5678),
    [anon_sym___restrict__] = ACTIONS(5678),
    [anon_sym__Atomic] = ACTIONS(5678),
    [anon_sym__Noreturn] = ACTIONS(5678),
    [anon_sym_noreturn] = ACTIONS(5678),
    [anon_sym__Nonnull] = ACTIONS(5678),
    [anon_sym_mutable] = ACTIONS(5678),
    [anon_sym_constinit] = ACTIONS(5678),
    [anon_sym_consteval] = ACTIONS(5678),
    [anon_sym_alignas] = ACTIONS(5678),
    [anon_sym__Alignas] = ACTIONS(5678),
    [sym_primitive_type] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5680),
    [anon_sym_QMARK] = ACTIONS(5680),
    [anon_sym_LT_EQ_GT] = ACTIONS(5680),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_and] = ACTIONS(5678),
    [anon_sym_bitor] = ACTIONS(5678),
    [anon_sym_xor] = ACTIONS(5678),
    [anon_sym_bitand] = ACTIONS(5678),
    [anon_sym_not_eq] = ACTIONS(5678),
    [anon_sym_DASH_DASH] = ACTIONS(5680),
    [anon_sym_PLUS_PLUS] = ACTIONS(5680),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_DOT_STAR] = ACTIONS(5680),
    [anon_sym_DASH_GT] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5678),
    [anon_sym_decltype] = ACTIONS(5678),
    [anon_sym_final] = ACTIONS(5678),
    [anon_sym_override] = ACTIONS(5678),
    [anon_sym_requires] = ACTIONS(5678),
  },
  [1853] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_RBRACK] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [1854] = {
    [sym_template_argument_list] = STATE(1900),
    [sym_identifier] = ACTIONS(5682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4087),
    [anon_sym_COMMA] = ACTIONS(4087),
    [anon_sym_RPAREN] = ACTIONS(4087),
    [aux_sym_preproc_if_token2] = ACTIONS(4087),
    [aux_sym_preproc_else_token1] = ACTIONS(4087),
    [aux_sym_preproc_elif_token1] = ACTIONS(5682),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4087),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4087),
    [anon_sym_LPAREN2] = ACTIONS(4087),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_STAR] = ACTIONS(5682),
    [anon_sym_SLASH] = ACTIONS(5682),
    [anon_sym_PERCENT] = ACTIONS(5682),
    [anon_sym_PIPE_PIPE] = ACTIONS(4087),
    [anon_sym_AMP_AMP] = ACTIONS(4087),
    [anon_sym_PIPE] = ACTIONS(5682),
    [anon_sym_CARET] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(5682),
    [anon_sym_EQ_EQ] = ACTIONS(4087),
    [anon_sym_BANG_EQ] = ACTIONS(4087),
    [anon_sym_GT] = ACTIONS(5682),
    [anon_sym_GT_EQ] = ACTIONS(4087),
    [anon_sym_LT_EQ] = ACTIONS(5682),
    [anon_sym_LT] = ACTIONS(5684),
    [anon_sym_LT_LT] = ACTIONS(5682),
    [anon_sym_GT_GT] = ACTIONS(5682),
    [anon_sym_SEMI] = ACTIONS(4087),
    [anon_sym___attribute__] = ACTIONS(5682),
    [anon_sym___attribute] = ACTIONS(5682),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_RBRACK] = ACTIONS(4087),
    [anon_sym_EQ] = ACTIONS(5682),
    [anon_sym_COLON] = ACTIONS(5682),
    [anon_sym_QMARK] = ACTIONS(4087),
    [anon_sym_STAR_EQ] = ACTIONS(4087),
    [anon_sym_SLASH_EQ] = ACTIONS(4087),
    [anon_sym_PERCENT_EQ] = ACTIONS(4087),
    [anon_sym_PLUS_EQ] = ACTIONS(4087),
    [anon_sym_DASH_EQ] = ACTIONS(4087),
    [anon_sym_LT_LT_EQ] = ACTIONS(4087),
    [anon_sym_GT_GT_EQ] = ACTIONS(4087),
    [anon_sym_AMP_EQ] = ACTIONS(4087),
    [anon_sym_CARET_EQ] = ACTIONS(4087),
    [anon_sym_PIPE_EQ] = ACTIONS(4087),
    [anon_sym_and_eq] = ACTIONS(5682),
    [anon_sym_or_eq] = ACTIONS(5682),
    [anon_sym_xor_eq] = ACTIONS(5682),
    [anon_sym_LT_EQ_GT] = ACTIONS(4087),
    [anon_sym_or] = ACTIONS(5682),
    [anon_sym_and] = ACTIONS(5682),
    [anon_sym_bitor] = ACTIONS(5682),
    [anon_sym_xor] = ACTIONS(5682),
    [anon_sym_bitand] = ACTIONS(5682),
    [anon_sym_not_eq] = ACTIONS(5682),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_DOT] = ACTIONS(5682),
    [anon_sym_DOT_STAR] = ACTIONS(4087),
    [anon_sym_DASH_GT] = ACTIONS(4087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5682),
    [anon_sym_decltype] = ACTIONS(5682),
    [anon_sym_final] = ACTIONS(5682),
    [anon_sym_override] = ACTIONS(5682),
  },
  [1855] = {
    [sym_template_argument_list] = STATE(1888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4840),
    [anon_sym_RPAREN] = ACTIONS(4842),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4842),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4840),
    [anon_sym_or_eq] = ACTIONS(4840),
    [anon_sym_xor_eq] = ACTIONS(4840),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4840),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4840),
    [anon_sym_not_eq] = ACTIONS(4840),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
  },
  [1856] = {
    [sym_identifier] = ACTIONS(5380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_TILDE] = ACTIONS(5382),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(5380),
    [anon_sym_virtual] = ACTIONS(5380),
    [anon_sym_extern] = ACTIONS(5380),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym___attribute] = ACTIONS(5380),
    [anon_sym_COLON_COLON] = ACTIONS(5382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5382),
    [anon_sym___declspec] = ACTIONS(5380),
    [anon_sym___based] = ACTIONS(5380),
    [anon_sym___cdecl] = ACTIONS(5380),
    [anon_sym___clrcall] = ACTIONS(5380),
    [anon_sym___stdcall] = ACTIONS(5380),
    [anon_sym___fastcall] = ACTIONS(5380),
    [anon_sym___thiscall] = ACTIONS(5380),
    [anon_sym___vectorcall] = ACTIONS(5380),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_LBRACK] = ACTIONS(5380),
    [anon_sym_static] = ACTIONS(5380),
    [anon_sym_EQ] = ACTIONS(5382),
    [anon_sym_register] = ACTIONS(5380),
    [anon_sym_inline] = ACTIONS(5380),
    [anon_sym___inline] = ACTIONS(5380),
    [anon_sym___inline__] = ACTIONS(5380),
    [anon_sym___forceinline] = ACTIONS(5380),
    [anon_sym_thread_local] = ACTIONS(5380),
    [anon_sym___thread] = ACTIONS(5380),
    [anon_sym_const] = ACTIONS(5380),
    [anon_sym_constexpr] = ACTIONS(5380),
    [anon_sym_volatile] = ACTIONS(5380),
    [anon_sym_restrict] = ACTIONS(5380),
    [anon_sym___restrict__] = ACTIONS(5380),
    [anon_sym__Atomic] = ACTIONS(5380),
    [anon_sym__Noreturn] = ACTIONS(5380),
    [anon_sym_noreturn] = ACTIONS(5380),
    [anon_sym__Nonnull] = ACTIONS(5380),
    [anon_sym_mutable] = ACTIONS(5380),
    [anon_sym_constinit] = ACTIONS(5380),
    [anon_sym_consteval] = ACTIONS(5380),
    [anon_sym_alignas] = ACTIONS(5380),
    [anon_sym__Alignas] = ACTIONS(5380),
    [anon_sym_COLON] = ACTIONS(5380),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [anon_sym_asm] = ACTIONS(5380),
    [anon_sym___asm__] = ACTIONS(5380),
    [anon_sym___asm] = ACTIONS(5380),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
    [anon_sym_final] = ACTIONS(5380),
    [anon_sym_override] = ACTIONS(5380),
    [anon_sym_template] = ACTIONS(5380),
    [anon_sym_GT2] = ACTIONS(5382),
    [anon_sym_operator] = ACTIONS(5380),
    [anon_sym_try] = ACTIONS(5380),
    [anon_sym_noexcept] = ACTIONS(5380),
    [anon_sym_throw] = ACTIONS(5380),
    [anon_sym_requires] = ACTIONS(5380),
  },
  [1857] = {
    [sym_argument_list] = STATE(2468),
    [sym_initializer_list] = STATE(2468),
    [sym_decltype_auto] = STATE(2178),
    [sym_new_declarator] = STATE(2257),
    [sym_identifier] = ACTIONS(5689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5691),
    [anon_sym_COMMA] = ACTIONS(5691),
    [anon_sym_RPAREN] = ACTIONS(5691),
    [aux_sym_preproc_if_token2] = ACTIONS(5691),
    [aux_sym_preproc_else_token1] = ACTIONS(5691),
    [aux_sym_preproc_elif_token1] = ACTIONS(5689),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5691),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5691),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(5689),
    [anon_sym_PLUS] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_SLASH] = ACTIONS(5689),
    [anon_sym_PERCENT] = ACTIONS(5689),
    [anon_sym_PIPE_PIPE] = ACTIONS(5691),
    [anon_sym_AMP_AMP] = ACTIONS(5691),
    [anon_sym_PIPE] = ACTIONS(5689),
    [anon_sym_CARET] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5689),
    [anon_sym_EQ_EQ] = ACTIONS(5691),
    [anon_sym_BANG_EQ] = ACTIONS(5691),
    [anon_sym_GT] = ACTIONS(5689),
    [anon_sym_GT_EQ] = ACTIONS(5691),
    [anon_sym_LT_EQ] = ACTIONS(5689),
    [anon_sym_LT] = ACTIONS(5689),
    [anon_sym_LT_LT] = ACTIONS(5689),
    [anon_sym_GT_GT] = ACTIONS(5689),
    [anon_sym_SEMI] = ACTIONS(5691),
    [anon_sym___attribute__] = ACTIONS(5689),
    [anon_sym___attribute] = ACTIONS(5689),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(5691),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(5691),
    [anon_sym_EQ] = ACTIONS(5689),
    [anon_sym_COLON] = ACTIONS(5691),
    [anon_sym_QMARK] = ACTIONS(5691),
    [anon_sym_STAR_EQ] = ACTIONS(5691),
    [anon_sym_SLASH_EQ] = ACTIONS(5691),
    [anon_sym_PERCENT_EQ] = ACTIONS(5691),
    [anon_sym_PLUS_EQ] = ACTIONS(5691),
    [anon_sym_DASH_EQ] = ACTIONS(5691),
    [anon_sym_LT_LT_EQ] = ACTIONS(5691),
    [anon_sym_GT_GT_EQ] = ACTIONS(5691),
    [anon_sym_AMP_EQ] = ACTIONS(5691),
    [anon_sym_CARET_EQ] = ACTIONS(5691),
    [anon_sym_PIPE_EQ] = ACTIONS(5691),
    [anon_sym_and_eq] = ACTIONS(5689),
    [anon_sym_or_eq] = ACTIONS(5689),
    [anon_sym_xor_eq] = ACTIONS(5689),
    [anon_sym_LT_EQ_GT] = ACTIONS(5691),
    [anon_sym_or] = ACTIONS(5689),
    [anon_sym_and] = ACTIONS(5689),
    [anon_sym_bitor] = ACTIONS(5689),
    [anon_sym_xor] = ACTIONS(5689),
    [anon_sym_bitand] = ACTIONS(5689),
    [anon_sym_not_eq] = ACTIONS(5689),
    [anon_sym_DASH_DASH] = ACTIONS(5691),
    [anon_sym_PLUS_PLUS] = ACTIONS(5691),
    [anon_sym_DOT] = ACTIONS(5689),
    [anon_sym_DOT_STAR] = ACTIONS(5691),
    [anon_sym_DASH_GT] = ACTIONS(5691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5697),
    [anon_sym_decltype] = ACTIONS(5699),
  },
  [1858] = {
    [sym_argument_list] = STATE(2396),
    [sym_initializer_list] = STATE(2396),
    [sym_decltype_auto] = STATE(2178),
    [sym_new_declarator] = STATE(2232),
    [sym_identifier] = ACTIONS(5701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5703),
    [anon_sym_COMMA] = ACTIONS(5703),
    [anon_sym_RPAREN] = ACTIONS(5703),
    [aux_sym_preproc_if_token2] = ACTIONS(5703),
    [aux_sym_preproc_else_token1] = ACTIONS(5703),
    [aux_sym_preproc_elif_token1] = ACTIONS(5701),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(5701),
    [anon_sym_PLUS] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_SLASH] = ACTIONS(5701),
    [anon_sym_PERCENT] = ACTIONS(5701),
    [anon_sym_PIPE_PIPE] = ACTIONS(5703),
    [anon_sym_AMP_AMP] = ACTIONS(5703),
    [anon_sym_PIPE] = ACTIONS(5701),
    [anon_sym_CARET] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5701),
    [anon_sym_EQ_EQ] = ACTIONS(5703),
    [anon_sym_BANG_EQ] = ACTIONS(5703),
    [anon_sym_GT] = ACTIONS(5701),
    [anon_sym_GT_EQ] = ACTIONS(5703),
    [anon_sym_LT_EQ] = ACTIONS(5701),
    [anon_sym_LT] = ACTIONS(5701),
    [anon_sym_LT_LT] = ACTIONS(5701),
    [anon_sym_GT_GT] = ACTIONS(5701),
    [anon_sym_SEMI] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5701),
    [anon_sym___attribute] = ACTIONS(5701),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(5703),
    [anon_sym_EQ] = ACTIONS(5701),
    [anon_sym_COLON] = ACTIONS(5703),
    [anon_sym_QMARK] = ACTIONS(5703),
    [anon_sym_STAR_EQ] = ACTIONS(5703),
    [anon_sym_SLASH_EQ] = ACTIONS(5703),
    [anon_sym_PERCENT_EQ] = ACTIONS(5703),
    [anon_sym_PLUS_EQ] = ACTIONS(5703),
    [anon_sym_DASH_EQ] = ACTIONS(5703),
    [anon_sym_LT_LT_EQ] = ACTIONS(5703),
    [anon_sym_GT_GT_EQ] = ACTIONS(5703),
    [anon_sym_AMP_EQ] = ACTIONS(5703),
    [anon_sym_CARET_EQ] = ACTIONS(5703),
    [anon_sym_PIPE_EQ] = ACTIONS(5703),
    [anon_sym_and_eq] = ACTIONS(5701),
    [anon_sym_or_eq] = ACTIONS(5701),
    [anon_sym_xor_eq] = ACTIONS(5701),
    [anon_sym_LT_EQ_GT] = ACTIONS(5703),
    [anon_sym_or] = ACTIONS(5701),
    [anon_sym_and] = ACTIONS(5701),
    [anon_sym_bitor] = ACTIONS(5701),
    [anon_sym_xor] = ACTIONS(5701),
    [anon_sym_bitand] = ACTIONS(5701),
    [anon_sym_not_eq] = ACTIONS(5701),
    [anon_sym_DASH_DASH] = ACTIONS(5703),
    [anon_sym_PLUS_PLUS] = ACTIONS(5703),
    [anon_sym_DOT] = ACTIONS(5701),
    [anon_sym_DOT_STAR] = ACTIONS(5703),
    [anon_sym_DASH_GT] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5697),
    [anon_sym_decltype] = ACTIONS(5699),
  },
  [1859] = {
    [sym_argument_list] = STATE(2420),
    [sym_initializer_list] = STATE(2420),
    [sym_decltype_auto] = STATE(2178),
    [sym_new_declarator] = STATE(2236),
    [sym_identifier] = ACTIONS(5705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(5707),
    [anon_sym_RPAREN] = ACTIONS(5707),
    [aux_sym_preproc_if_token2] = ACTIONS(5707),
    [aux_sym_preproc_else_token1] = ACTIONS(5707),
    [aux_sym_preproc_elif_token1] = ACTIONS(5705),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5707),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5707),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(5705),
    [anon_sym_PLUS] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_SLASH] = ACTIONS(5705),
    [anon_sym_PERCENT] = ACTIONS(5705),
    [anon_sym_PIPE_PIPE] = ACTIONS(5707),
    [anon_sym_AMP_AMP] = ACTIONS(5707),
    [anon_sym_PIPE] = ACTIONS(5705),
    [anon_sym_CARET] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5705),
    [anon_sym_EQ_EQ] = ACTIONS(5707),
    [anon_sym_BANG_EQ] = ACTIONS(5707),
    [anon_sym_GT] = ACTIONS(5705),
    [anon_sym_GT_EQ] = ACTIONS(5707),
    [anon_sym_LT_EQ] = ACTIONS(5705),
    [anon_sym_LT] = ACTIONS(5705),
    [anon_sym_LT_LT] = ACTIONS(5705),
    [anon_sym_GT_GT] = ACTIONS(5705),
    [anon_sym_SEMI] = ACTIONS(5707),
    [anon_sym___attribute__] = ACTIONS(5705),
    [anon_sym___attribute] = ACTIONS(5705),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(5707),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(5707),
    [anon_sym_EQ] = ACTIONS(5705),
    [anon_sym_COLON] = ACTIONS(5707),
    [anon_sym_QMARK] = ACTIONS(5707),
    [anon_sym_STAR_EQ] = ACTIONS(5707),
    [anon_sym_SLASH_EQ] = ACTIONS(5707),
    [anon_sym_PERCENT_EQ] = ACTIONS(5707),
    [anon_sym_PLUS_EQ] = ACTIONS(5707),
    [anon_sym_DASH_EQ] = ACTIONS(5707),
    [anon_sym_LT_LT_EQ] = ACTIONS(5707),
    [anon_sym_GT_GT_EQ] = ACTIONS(5707),
    [anon_sym_AMP_EQ] = ACTIONS(5707),
    [anon_sym_CARET_EQ] = ACTIONS(5707),
    [anon_sym_PIPE_EQ] = ACTIONS(5707),
    [anon_sym_and_eq] = ACTIONS(5705),
    [anon_sym_or_eq] = ACTIONS(5705),
    [anon_sym_xor_eq] = ACTIONS(5705),
    [anon_sym_LT_EQ_GT] = ACTIONS(5707),
    [anon_sym_or] = ACTIONS(5705),
    [anon_sym_and] = ACTIONS(5705),
    [anon_sym_bitor] = ACTIONS(5705),
    [anon_sym_xor] = ACTIONS(5705),
    [anon_sym_bitand] = ACTIONS(5705),
    [anon_sym_not_eq] = ACTIONS(5705),
    [anon_sym_DASH_DASH] = ACTIONS(5707),
    [anon_sym_PLUS_PLUS] = ACTIONS(5707),
    [anon_sym_DOT] = ACTIONS(5705),
    [anon_sym_DOT_STAR] = ACTIONS(5707),
    [anon_sym_DASH_GT] = ACTIONS(5707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5697),
    [anon_sym_decltype] = ACTIONS(5699),
  },
  [1860] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4864),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4864),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_GT2] = ACTIONS(4859),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(3818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3820),
    [anon_sym_COMMA] = ACTIONS(3820),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_LPAREN2] = ACTIONS(3820),
    [anon_sym_TILDE] = ACTIONS(3820),
    [anon_sym_STAR] = ACTIONS(3820),
    [anon_sym_AMP_AMP] = ACTIONS(3820),
    [anon_sym_AMP] = ACTIONS(3818),
    [anon_sym_SEMI] = ACTIONS(3820),
    [anon_sym___extension__] = ACTIONS(3818),
    [anon_sym_virtual] = ACTIONS(3818),
    [anon_sym_extern] = ACTIONS(3818),
    [anon_sym___attribute__] = ACTIONS(3818),
    [anon_sym___attribute] = ACTIONS(3818),
    [anon_sym_COLON_COLON] = ACTIONS(3820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3820),
    [anon_sym___declspec] = ACTIONS(3818),
    [anon_sym___based] = ACTIONS(3818),
    [anon_sym___cdecl] = ACTIONS(3818),
    [anon_sym___clrcall] = ACTIONS(3818),
    [anon_sym___stdcall] = ACTIONS(3818),
    [anon_sym___fastcall] = ACTIONS(3818),
    [anon_sym___thiscall] = ACTIONS(3818),
    [anon_sym___vectorcall] = ACTIONS(3818),
    [anon_sym_LBRACE] = ACTIONS(3820),
    [anon_sym_LBRACK] = ACTIONS(3818),
    [anon_sym_static] = ACTIONS(3818),
    [anon_sym_EQ] = ACTIONS(3820),
    [anon_sym_register] = ACTIONS(3818),
    [anon_sym_inline] = ACTIONS(3818),
    [anon_sym___inline] = ACTIONS(3818),
    [anon_sym___inline__] = ACTIONS(3818),
    [anon_sym___forceinline] = ACTIONS(3818),
    [anon_sym_thread_local] = ACTIONS(3818),
    [anon_sym___thread] = ACTIONS(3818),
    [anon_sym_const] = ACTIONS(3818),
    [anon_sym_constexpr] = ACTIONS(3818),
    [anon_sym_volatile] = ACTIONS(3818),
    [anon_sym_restrict] = ACTIONS(3818),
    [anon_sym___restrict__] = ACTIONS(3818),
    [anon_sym__Atomic] = ACTIONS(3818),
    [anon_sym__Noreturn] = ACTIONS(3818),
    [anon_sym_noreturn] = ACTIONS(3818),
    [anon_sym__Nonnull] = ACTIONS(3818),
    [anon_sym_mutable] = ACTIONS(3818),
    [anon_sym_constinit] = ACTIONS(3818),
    [anon_sym_consteval] = ACTIONS(3818),
    [anon_sym_alignas] = ACTIONS(3818),
    [anon_sym__Alignas] = ACTIONS(3818),
    [anon_sym_COLON] = ACTIONS(3818),
    [anon_sym_asm] = ACTIONS(3818),
    [anon_sym___asm__] = ACTIONS(3818),
    [anon_sym___asm] = ACTIONS(3818),
    [anon_sym_DASH_GT] = ACTIONS(3820),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3818),
    [anon_sym_final] = ACTIONS(3818),
    [anon_sym_override] = ACTIONS(3818),
    [anon_sym_explicit] = ACTIONS(3818),
    [anon_sym_template] = ACTIONS(3818),
    [anon_sym_GT2] = ACTIONS(3820),
    [anon_sym_operator] = ACTIONS(3818),
    [anon_sym_try] = ACTIONS(3818),
    [anon_sym_public] = ACTIONS(3818),
    [anon_sym_private] = ACTIONS(3818),
    [anon_sym_protected] = ACTIONS(3818),
    [anon_sym_noexcept] = ACTIONS(3818),
    [anon_sym_throw] = ACTIONS(3818),
    [anon_sym_requires] = ACTIONS(3818),
  },
  [1862] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym___cdecl] = ACTIONS(5376),
    [anon_sym___clrcall] = ACTIONS(5376),
    [anon_sym___stdcall] = ACTIONS(5376),
    [anon_sym___fastcall] = ACTIONS(5376),
    [anon_sym___thiscall] = ACTIONS(5376),
    [anon_sym___vectorcall] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5378),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_asm] = ACTIONS(5376),
    [anon_sym___asm__] = ACTIONS(5376),
    [anon_sym___asm] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_GT2] = ACTIONS(5378),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_try] = ACTIONS(5376),
    [anon_sym_noexcept] = ACTIONS(5376),
    [anon_sym_throw] = ACTIONS(5376),
    [anon_sym_requires] = ACTIONS(5376),
  },
  [1863] = {
    [sym_template_argument_list] = STATE(1900),
    [sym_identifier] = ACTIONS(4838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [aux_sym_preproc_if_token2] = ACTIONS(4845),
    [aux_sym_preproc_else_token1] = ACTIONS(4845),
    [aux_sym_preproc_elif_token1] = ACTIONS(4838),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4838),
    [anon_sym_PLUS] = ACTIONS(4838),
    [anon_sym_STAR] = ACTIONS(4838),
    [anon_sym_SLASH] = ACTIONS(4838),
    [anon_sym_PERCENT] = ACTIONS(4838),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4838),
    [anon_sym_CARET] = ACTIONS(4838),
    [anon_sym_AMP] = ACTIONS(4838),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4838),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4838),
    [anon_sym_LT] = ACTIONS(5709),
    [anon_sym_LT_LT] = ACTIONS(4838),
    [anon_sym_GT_GT] = ACTIONS(4838),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___attribute__] = ACTIONS(4838),
    [anon_sym___attribute] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_RBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4838),
    [anon_sym_COLON] = ACTIONS(4838),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4838),
    [anon_sym_or_eq] = ACTIONS(4838),
    [anon_sym_xor_eq] = ACTIONS(4838),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4838),
    [anon_sym_and] = ACTIONS(4838),
    [anon_sym_bitor] = ACTIONS(4838),
    [anon_sym_xor] = ACTIONS(4838),
    [anon_sym_bitand] = ACTIONS(4838),
    [anon_sym_not_eq] = ACTIONS(4838),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4838),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_final] = ACTIONS(4838),
    [anon_sym_override] = ACTIONS(4838),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(5309),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_TILDE] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5309),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym___extension__] = ACTIONS(5309),
    [anon_sym_virtual] = ACTIONS(5309),
    [anon_sym_extern] = ACTIONS(5309),
    [anon_sym___attribute__] = ACTIONS(5309),
    [anon_sym___attribute] = ACTIONS(5309),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5311),
    [anon_sym___declspec] = ACTIONS(5309),
    [anon_sym___based] = ACTIONS(5309),
    [anon_sym___cdecl] = ACTIONS(5309),
    [anon_sym___clrcall] = ACTIONS(5309),
    [anon_sym___stdcall] = ACTIONS(5309),
    [anon_sym___fastcall] = ACTIONS(5309),
    [anon_sym___thiscall] = ACTIONS(5309),
    [anon_sym___vectorcall] = ACTIONS(5309),
    [anon_sym_LBRACE] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_static] = ACTIONS(5309),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_register] = ACTIONS(5309),
    [anon_sym_inline] = ACTIONS(5309),
    [anon_sym___inline] = ACTIONS(5309),
    [anon_sym___inline__] = ACTIONS(5309),
    [anon_sym___forceinline] = ACTIONS(5309),
    [anon_sym_thread_local] = ACTIONS(5309),
    [anon_sym___thread] = ACTIONS(5309),
    [anon_sym_const] = ACTIONS(5309),
    [anon_sym_constexpr] = ACTIONS(5309),
    [anon_sym_volatile] = ACTIONS(5309),
    [anon_sym_restrict] = ACTIONS(5309),
    [anon_sym___restrict__] = ACTIONS(5309),
    [anon_sym__Atomic] = ACTIONS(5309),
    [anon_sym__Noreturn] = ACTIONS(5309),
    [anon_sym_noreturn] = ACTIONS(5309),
    [anon_sym__Nonnull] = ACTIONS(5309),
    [anon_sym_mutable] = ACTIONS(5309),
    [anon_sym_constinit] = ACTIONS(5309),
    [anon_sym_consteval] = ACTIONS(5309),
    [anon_sym_alignas] = ACTIONS(5309),
    [anon_sym__Alignas] = ACTIONS(5309),
    [anon_sym_COLON] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5309),
    [anon_sym_and] = ACTIONS(5309),
    [anon_sym_asm] = ACTIONS(5309),
    [anon_sym___asm__] = ACTIONS(5309),
    [anon_sym___asm] = ACTIONS(5309),
    [anon_sym_DASH_GT] = ACTIONS(5311),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5309),
    [anon_sym_decltype] = ACTIONS(5309),
    [anon_sym_final] = ACTIONS(5309),
    [anon_sym_override] = ACTIONS(5309),
    [anon_sym_template] = ACTIONS(5309),
    [anon_sym_GT2] = ACTIONS(5311),
    [anon_sym_operator] = ACTIONS(5309),
    [anon_sym_try] = ACTIONS(5309),
    [anon_sym_noexcept] = ACTIONS(5309),
    [anon_sym_throw] = ACTIONS(5309),
    [anon_sym_requires] = ACTIONS(5309),
  },
  [1865] = {
    [sym_identifier] = ACTIONS(3822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3824),
    [anon_sym_COMMA] = ACTIONS(3824),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_LPAREN2] = ACTIONS(3824),
    [anon_sym_TILDE] = ACTIONS(3824),
    [anon_sym_STAR] = ACTIONS(3824),
    [anon_sym_AMP_AMP] = ACTIONS(3824),
    [anon_sym_AMP] = ACTIONS(3822),
    [anon_sym_SEMI] = ACTIONS(3824),
    [anon_sym___extension__] = ACTIONS(3822),
    [anon_sym_virtual] = ACTIONS(3822),
    [anon_sym_extern] = ACTIONS(3822),
    [anon_sym___attribute__] = ACTIONS(3822),
    [anon_sym___attribute] = ACTIONS(3822),
    [anon_sym_COLON_COLON] = ACTIONS(3824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3824),
    [anon_sym___declspec] = ACTIONS(3822),
    [anon_sym___based] = ACTIONS(3822),
    [anon_sym___cdecl] = ACTIONS(3822),
    [anon_sym___clrcall] = ACTIONS(3822),
    [anon_sym___stdcall] = ACTIONS(3822),
    [anon_sym___fastcall] = ACTIONS(3822),
    [anon_sym___thiscall] = ACTIONS(3822),
    [anon_sym___vectorcall] = ACTIONS(3822),
    [anon_sym_LBRACE] = ACTIONS(3824),
    [anon_sym_LBRACK] = ACTIONS(3822),
    [anon_sym_static] = ACTIONS(3822),
    [anon_sym_EQ] = ACTIONS(3824),
    [anon_sym_register] = ACTIONS(3822),
    [anon_sym_inline] = ACTIONS(3822),
    [anon_sym___inline] = ACTIONS(3822),
    [anon_sym___inline__] = ACTIONS(3822),
    [anon_sym___forceinline] = ACTIONS(3822),
    [anon_sym_thread_local] = ACTIONS(3822),
    [anon_sym___thread] = ACTIONS(3822),
    [anon_sym_const] = ACTIONS(3822),
    [anon_sym_constexpr] = ACTIONS(3822),
    [anon_sym_volatile] = ACTIONS(3822),
    [anon_sym_restrict] = ACTIONS(3822),
    [anon_sym___restrict__] = ACTIONS(3822),
    [anon_sym__Atomic] = ACTIONS(3822),
    [anon_sym__Noreturn] = ACTIONS(3822),
    [anon_sym_noreturn] = ACTIONS(3822),
    [anon_sym__Nonnull] = ACTIONS(3822),
    [anon_sym_mutable] = ACTIONS(3822),
    [anon_sym_constinit] = ACTIONS(3822),
    [anon_sym_consteval] = ACTIONS(3822),
    [anon_sym_alignas] = ACTIONS(3822),
    [anon_sym__Alignas] = ACTIONS(3822),
    [anon_sym_COLON] = ACTIONS(3822),
    [anon_sym_asm] = ACTIONS(3822),
    [anon_sym___asm__] = ACTIONS(3822),
    [anon_sym___asm] = ACTIONS(3822),
    [anon_sym_DASH_GT] = ACTIONS(3824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3822),
    [anon_sym_final] = ACTIONS(3822),
    [anon_sym_override] = ACTIONS(3822),
    [anon_sym_explicit] = ACTIONS(3822),
    [anon_sym_template] = ACTIONS(3822),
    [anon_sym_GT2] = ACTIONS(3824),
    [anon_sym_operator] = ACTIONS(3822),
    [anon_sym_try] = ACTIONS(3822),
    [anon_sym_public] = ACTIONS(3822),
    [anon_sym_private] = ACTIONS(3822),
    [anon_sym_protected] = ACTIONS(3822),
    [anon_sym_noexcept] = ACTIONS(3822),
    [anon_sym_throw] = ACTIONS(3822),
    [anon_sym_requires] = ACTIONS(3822),
  },
  [1866] = {
    [sym_argument_list] = STATE(2444),
    [sym_initializer_list] = STATE(2444),
    [sym_decltype_auto] = STATE(2178),
    [sym_new_declarator] = STATE(2246),
    [sym_identifier] = ACTIONS(5712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5714),
    [anon_sym_COMMA] = ACTIONS(5714),
    [anon_sym_RPAREN] = ACTIONS(5714),
    [aux_sym_preproc_if_token2] = ACTIONS(5714),
    [aux_sym_preproc_else_token1] = ACTIONS(5714),
    [aux_sym_preproc_elif_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5714),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5712),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5714),
    [anon_sym_AMP_AMP] = ACTIONS(5714),
    [anon_sym_PIPE] = ACTIONS(5712),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5712),
    [anon_sym_EQ_EQ] = ACTIONS(5714),
    [anon_sym_BANG_EQ] = ACTIONS(5714),
    [anon_sym_GT] = ACTIONS(5712),
    [anon_sym_GT_EQ] = ACTIONS(5714),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5712),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [anon_sym___attribute__] = ACTIONS(5712),
    [anon_sym___attribute] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(5714),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_COLON] = ACTIONS(5714),
    [anon_sym_QMARK] = ACTIONS(5714),
    [anon_sym_STAR_EQ] = ACTIONS(5714),
    [anon_sym_SLASH_EQ] = ACTIONS(5714),
    [anon_sym_PERCENT_EQ] = ACTIONS(5714),
    [anon_sym_PLUS_EQ] = ACTIONS(5714),
    [anon_sym_DASH_EQ] = ACTIONS(5714),
    [anon_sym_LT_LT_EQ] = ACTIONS(5714),
    [anon_sym_GT_GT_EQ] = ACTIONS(5714),
    [anon_sym_AMP_EQ] = ACTIONS(5714),
    [anon_sym_CARET_EQ] = ACTIONS(5714),
    [anon_sym_PIPE_EQ] = ACTIONS(5714),
    [anon_sym_and_eq] = ACTIONS(5712),
    [anon_sym_or_eq] = ACTIONS(5712),
    [anon_sym_xor_eq] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5714),
    [anon_sym_or] = ACTIONS(5712),
    [anon_sym_and] = ACTIONS(5712),
    [anon_sym_bitor] = ACTIONS(5712),
    [anon_sym_xor] = ACTIONS(5712),
    [anon_sym_bitand] = ACTIONS(5712),
    [anon_sym_not_eq] = ACTIONS(5712),
    [anon_sym_DASH_DASH] = ACTIONS(5714),
    [anon_sym_PLUS_PLUS] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_DOT_STAR] = ACTIONS(5714),
    [anon_sym_DASH_GT] = ACTIONS(5714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5697),
    [anon_sym_decltype] = ACTIONS(5699),
  },
  [1867] = {
    [sym_ms_based_modifier] = STATE(8004),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(1868),
    [sym__declarator] = STATE(6239),
    [sym__abstract_declarator] = STATE(6524),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_type_qualifier] = STATE(2531),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_parameter_list] = STATE(3019),
    [sym_decltype] = STATE(8209),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5806),
    [sym_qualified_identifier] = STATE(5964),
    [sym_operator_name] = STATE(5964),
    [aux_sym__type_definition_type_repeat1] = STATE(2531),
    [aux_sym_pointer_declarator_repeat1] = STATE(1868),
    [sym_identifier] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5718),
    [anon_sym_RPAREN] = ACTIONS(5718),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(5724),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(5726),
    [anon_sym___attribute] = ACTIONS(5726),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_EQ] = ACTIONS(5718),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(5718),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [1868] = {
    [sym_ms_based_modifier] = STATE(8004),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(3836),
    [sym__declarator] = STATE(6295),
    [sym__abstract_declarator] = STATE(6521),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_type_qualifier] = STATE(2532),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_parameter_list] = STATE(3019),
    [sym_decltype] = STATE(8209),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5806),
    [sym_qualified_identifier] = STATE(5964),
    [sym_operator_name] = STATE(5964),
    [aux_sym__type_definition_type_repeat1] = STATE(2532),
    [aux_sym_pointer_declarator_repeat1] = STATE(3836),
    [sym_identifier] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5732),
    [anon_sym_RPAREN] = ACTIONS(5732),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(5724),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(5734),
    [anon_sym___attribute] = ACTIONS(5734),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_EQ] = ACTIONS(5732),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(5732),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [1869] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym___cdecl] = ACTIONS(5376),
    [anon_sym___clrcall] = ACTIONS(5376),
    [anon_sym___stdcall] = ACTIONS(5376),
    [anon_sym___fastcall] = ACTIONS(5376),
    [anon_sym___thiscall] = ACTIONS(5376),
    [anon_sym___vectorcall] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5378),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_asm] = ACTIONS(5376),
    [anon_sym___asm__] = ACTIONS(5376),
    [anon_sym___asm] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_GT2] = ACTIONS(5378),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_try] = ACTIONS(5376),
    [anon_sym_noexcept] = ACTIONS(5376),
    [anon_sym_throw] = ACTIONS(5376),
    [anon_sym_requires] = ACTIONS(5376),
  },
  [1870] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym___cdecl] = ACTIONS(5376),
    [anon_sym___clrcall] = ACTIONS(5376),
    [anon_sym___stdcall] = ACTIONS(5376),
    [anon_sym___fastcall] = ACTIONS(5376),
    [anon_sym___thiscall] = ACTIONS(5376),
    [anon_sym___vectorcall] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5378),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_asm] = ACTIONS(5376),
    [anon_sym___asm__] = ACTIONS(5376),
    [anon_sym___asm] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_GT2] = ACTIONS(5378),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_try] = ACTIONS(5376),
    [anon_sym_noexcept] = ACTIONS(5376),
    [anon_sym_throw] = ACTIONS(5376),
    [anon_sym_requires] = ACTIONS(5376),
  },
  [1871] = {
    [sym_identifier] = ACTIONS(5609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5611),
    [anon_sym_COMMA] = ACTIONS(5611),
    [anon_sym_RPAREN] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5611),
    [anon_sym_DASH] = ACTIONS(5609),
    [anon_sym_PLUS] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5611),
    [anon_sym_SLASH] = ACTIONS(5609),
    [anon_sym_PERCENT] = ACTIONS(5611),
    [anon_sym_PIPE_PIPE] = ACTIONS(5611),
    [anon_sym_AMP_AMP] = ACTIONS(5611),
    [anon_sym_PIPE] = ACTIONS(5609),
    [anon_sym_CARET] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym_EQ_EQ] = ACTIONS(5611),
    [anon_sym_BANG_EQ] = ACTIONS(5611),
    [anon_sym_GT] = ACTIONS(5609),
    [anon_sym_GT_EQ] = ACTIONS(5611),
    [anon_sym_LT_EQ] = ACTIONS(5609),
    [anon_sym_LT] = ACTIONS(5609),
    [anon_sym_LT_LT] = ACTIONS(5611),
    [anon_sym_GT_GT] = ACTIONS(5611),
    [anon_sym_SEMI] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5609),
    [anon_sym___attribute__] = ACTIONS(5609),
    [anon_sym___attribute] = ACTIONS(5609),
    [anon_sym_LBRACE] = ACTIONS(5611),
    [anon_sym_RBRACE] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_RBRACK] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5609),
    [anon_sym_constexpr] = ACTIONS(5609),
    [anon_sym_volatile] = ACTIONS(5609),
    [anon_sym_restrict] = ACTIONS(5609),
    [anon_sym___restrict__] = ACTIONS(5609),
    [anon_sym__Atomic] = ACTIONS(5609),
    [anon_sym__Noreturn] = ACTIONS(5609),
    [anon_sym_noreturn] = ACTIONS(5609),
    [anon_sym__Nonnull] = ACTIONS(5609),
    [anon_sym_mutable] = ACTIONS(5609),
    [anon_sym_constinit] = ACTIONS(5609),
    [anon_sym_consteval] = ACTIONS(5609),
    [anon_sym_alignas] = ACTIONS(5609),
    [anon_sym__Alignas] = ACTIONS(5609),
    [anon_sym_COLON] = ACTIONS(5611),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_LT_EQ_GT] = ACTIONS(5611),
    [anon_sym_or] = ACTIONS(5609),
    [anon_sym_and] = ACTIONS(5609),
    [anon_sym_bitor] = ACTIONS(5609),
    [anon_sym_xor] = ACTIONS(5609),
    [anon_sym_bitand] = ACTIONS(5609),
    [anon_sym_not_eq] = ACTIONS(5609),
    [anon_sym_DASH_DASH] = ACTIONS(5611),
    [anon_sym_PLUS_PLUS] = ACTIONS(5611),
    [anon_sym_DOT] = ACTIONS(5609),
    [anon_sym_DOT_STAR] = ACTIONS(5611),
    [anon_sym_DASH_GT] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5609),
    [anon_sym_decltype] = ACTIONS(5609),
    [anon_sym_final] = ACTIONS(5609),
    [anon_sym_override] = ACTIONS(5609),
    [anon_sym_requires] = ACTIONS(5609),
  },
  [1872] = {
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5372),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5372),
    [anon_sym_constexpr] = ACTIONS(5372),
    [anon_sym_volatile] = ACTIONS(5372),
    [anon_sym_restrict] = ACTIONS(5372),
    [anon_sym___restrict__] = ACTIONS(5372),
    [anon_sym__Atomic] = ACTIONS(5372),
    [anon_sym__Noreturn] = ACTIONS(5372),
    [anon_sym_noreturn] = ACTIONS(5372),
    [anon_sym__Nonnull] = ACTIONS(5372),
    [anon_sym_mutable] = ACTIONS(5372),
    [anon_sym_constinit] = ACTIONS(5372),
    [anon_sym_consteval] = ACTIONS(5372),
    [anon_sym_alignas] = ACTIONS(5372),
    [anon_sym__Alignas] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
    [anon_sym_final] = ACTIONS(5372),
    [anon_sym_override] = ACTIONS(5372),
    [anon_sym_requires] = ACTIONS(5372),
  },
  [1873] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4744),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1874] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_RPAREN] = ACTIONS(5736),
    [anon_sym_LPAREN2] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5736),
    [anon_sym_SLASH] = ACTIONS(5738),
    [anon_sym_PERCENT] = ACTIONS(5736),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5736),
    [anon_sym_AMP] = ACTIONS(5738),
    [anon_sym_EQ_EQ] = ACTIONS(5736),
    [anon_sym_BANG_EQ] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5738),
    [anon_sym_GT_EQ] = ACTIONS(5736),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5738),
    [anon_sym_LT_LT] = ACTIONS(5736),
    [anon_sym_GT_GT] = ACTIONS(5736),
    [anon_sym_SEMI] = ACTIONS(5736),
    [anon_sym___extension__] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym___attribute] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5736),
    [anon_sym_RBRACE] = ACTIONS(5736),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_RBRACK] = ACTIONS(5736),
    [anon_sym_const] = ACTIONS(5738),
    [anon_sym_constexpr] = ACTIONS(5736),
    [anon_sym_volatile] = ACTIONS(5736),
    [anon_sym_restrict] = ACTIONS(5736),
    [anon_sym___restrict__] = ACTIONS(5736),
    [anon_sym__Atomic] = ACTIONS(5736),
    [anon_sym__Noreturn] = ACTIONS(5736),
    [anon_sym_noreturn] = ACTIONS(5736),
    [anon_sym__Nonnull] = ACTIONS(5736),
    [anon_sym_mutable] = ACTIONS(5736),
    [anon_sym_constinit] = ACTIONS(5736),
    [anon_sym_consteval] = ACTIONS(5736),
    [anon_sym_alignas] = ACTIONS(5736),
    [anon_sym__Alignas] = ACTIONS(5736),
    [anon_sym_COLON] = ACTIONS(5736),
    [anon_sym_QMARK] = ACTIONS(5736),
    [anon_sym_LT_EQ_GT] = ACTIONS(5736),
    [anon_sym_or] = ACTIONS(5736),
    [anon_sym_and] = ACTIONS(5736),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5736),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5736),
    [anon_sym_PLUS_PLUS] = ACTIONS(5736),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_DOT_STAR] = ACTIONS(5736),
    [anon_sym_DASH_GT] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
    [anon_sym_final] = ACTIONS(5736),
    [anon_sym_override] = ACTIONS(5736),
    [anon_sym_requires] = ACTIONS(5736),
  },
  [1875] = {
    [sym_identifier] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token2] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_STAR] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym___extension__] = ACTIONS(2569),
    [anon_sym_typedef] = ACTIONS(2569),
    [anon_sym_virtual] = ACTIONS(2569),
    [anon_sym_extern] = ACTIONS(2569),
    [anon_sym___attribute__] = ACTIONS(2569),
    [anon_sym___attribute] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2571),
    [anon_sym___declspec] = ACTIONS(2569),
    [anon_sym___based] = ACTIONS(2569),
    [anon_sym_signed] = ACTIONS(2569),
    [anon_sym_unsigned] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_register] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym___inline] = ACTIONS(2569),
    [anon_sym___inline__] = ACTIONS(2569),
    [anon_sym___forceinline] = ACTIONS(2569),
    [anon_sym_thread_local] = ACTIONS(2569),
    [anon_sym___thread] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_constexpr] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_restrict] = ACTIONS(2569),
    [anon_sym___restrict__] = ACTIONS(2569),
    [anon_sym__Atomic] = ACTIONS(2569),
    [anon_sym__Noreturn] = ACTIONS(2569),
    [anon_sym_noreturn] = ACTIONS(2569),
    [anon_sym__Nonnull] = ACTIONS(2569),
    [anon_sym_mutable] = ACTIONS(2569),
    [anon_sym_constinit] = ACTIONS(2569),
    [anon_sym_consteval] = ACTIONS(2569),
    [anon_sym_alignas] = ACTIONS(2569),
    [anon_sym__Alignas] = ACTIONS(2569),
    [sym_primitive_type] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_struct] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2569),
    [anon_sym_decltype] = ACTIONS(2569),
    [anon_sym_explicit] = ACTIONS(2569),
    [anon_sym_typename] = ACTIONS(2569),
    [anon_sym_template] = ACTIONS(2569),
    [anon_sym_operator] = ACTIONS(2569),
    [anon_sym_friend] = ACTIONS(2569),
    [anon_sym_public] = ACTIONS(2569),
    [anon_sym_private] = ACTIONS(2569),
    [anon_sym_protected] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_static_assert] = ACTIONS(2569),
    [anon_sym_catch] = ACTIONS(2569),
  },
  [1876] = {
    [sym_type_qualifier] = STATE(1876),
    [sym_alignas_qualifier] = STATE(2209),
    [aux_sym__type_definition_type_repeat1] = STATE(1876),
    [sym_identifier] = ACTIONS(4903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_COMMA] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(4905),
    [anon_sym_DASH] = ACTIONS(4903),
    [anon_sym_PLUS] = ACTIONS(4903),
    [anon_sym_STAR] = ACTIONS(4905),
    [anon_sym_SLASH] = ACTIONS(4903),
    [anon_sym_PERCENT] = ACTIONS(4905),
    [anon_sym_PIPE_PIPE] = ACTIONS(4905),
    [anon_sym_AMP_AMP] = ACTIONS(4905),
    [anon_sym_PIPE] = ACTIONS(4903),
    [anon_sym_CARET] = ACTIONS(4905),
    [anon_sym_AMP] = ACTIONS(4903),
    [anon_sym_EQ_EQ] = ACTIONS(4905),
    [anon_sym_BANG_EQ] = ACTIONS(4905),
    [anon_sym_GT] = ACTIONS(4903),
    [anon_sym_GT_EQ] = ACTIONS(4903),
    [anon_sym_LT_EQ] = ACTIONS(4903),
    [anon_sym_LT] = ACTIONS(4903),
    [anon_sym_LT_LT] = ACTIONS(4905),
    [anon_sym_GT_GT] = ACTIONS(4903),
    [anon_sym___extension__] = ACTIONS(5742),
    [anon_sym___attribute__] = ACTIONS(4903),
    [anon_sym___attribute] = ACTIONS(4903),
    [anon_sym_LBRACE] = ACTIONS(4905),
    [anon_sym_signed] = ACTIONS(4903),
    [anon_sym_unsigned] = ACTIONS(4903),
    [anon_sym_long] = ACTIONS(4903),
    [anon_sym_short] = ACTIONS(4903),
    [anon_sym_LBRACK] = ACTIONS(4905),
    [anon_sym_const] = ACTIONS(5742),
    [anon_sym_constexpr] = ACTIONS(5742),
    [anon_sym_volatile] = ACTIONS(5742),
    [anon_sym_restrict] = ACTIONS(5742),
    [anon_sym___restrict__] = ACTIONS(5742),
    [anon_sym__Atomic] = ACTIONS(5742),
    [anon_sym__Noreturn] = ACTIONS(5742),
    [anon_sym_noreturn] = ACTIONS(5742),
    [anon_sym__Nonnull] = ACTIONS(5742),
    [anon_sym_mutable] = ACTIONS(5742),
    [anon_sym_constinit] = ACTIONS(5742),
    [anon_sym_consteval] = ACTIONS(5742),
    [anon_sym_alignas] = ACTIONS(5745),
    [anon_sym__Alignas] = ACTIONS(5745),
    [sym_primitive_type] = ACTIONS(4903),
    [anon_sym_QMARK] = ACTIONS(4905),
    [anon_sym_LT_EQ_GT] = ACTIONS(4905),
    [anon_sym_or] = ACTIONS(4903),
    [anon_sym_and] = ACTIONS(4903),
    [anon_sym_bitor] = ACTIONS(4903),
    [anon_sym_xor] = ACTIONS(4903),
    [anon_sym_bitand] = ACTIONS(4903),
    [anon_sym_not_eq] = ACTIONS(4903),
    [anon_sym_DASH_DASH] = ACTIONS(4905),
    [anon_sym_PLUS_PLUS] = ACTIONS(4905),
    [anon_sym_DOT] = ACTIONS(4903),
    [anon_sym_DOT_STAR] = ACTIONS(4905),
    [anon_sym_DASH_GT] = ACTIONS(4905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4903),
    [anon_sym_decltype] = ACTIONS(4903),
    [anon_sym_final] = ACTIONS(4903),
    [anon_sym_override] = ACTIONS(4903),
    [anon_sym_GT2] = ACTIONS(4905),
    [anon_sym_requires] = ACTIONS(4903),
  },
  [1877] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(5301),
    [anon_sym___attribute] = ACTIONS(5301),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
  },
  [1878] = {
    [sym_string_literal] = STATE(1654),
    [sym_raw_string_literal] = STATE(1654),
    [sym_identifier] = ACTIONS(5748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [aux_sym_preproc_if_token2] = ACTIONS(5750),
    [aux_sym_preproc_else_token1] = ACTIONS(5750),
    [aux_sym_preproc_elif_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5748),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5748),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_CARET] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5748),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5748),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5748),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_and_eq] = ACTIONS(5748),
    [anon_sym_or_eq] = ACTIONS(5748),
    [anon_sym_xor_eq] = ACTIONS(5748),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5748),
    [anon_sym_and] = ACTIONS(5748),
    [anon_sym_bitor] = ACTIONS(5748),
    [anon_sym_xor] = ACTIONS(5748),
    [anon_sym_bitand] = ACTIONS(5748),
    [anon_sym_not_eq] = ACTIONS(5748),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [sym_literal_suffix] = ACTIONS(5748),
  },
  [1879] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1886),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5752),
    [anon_sym_COMMA] = ACTIONS(5752),
    [anon_sym_RPAREN] = ACTIONS(5752),
    [anon_sym_LPAREN2] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5752),
    [anon_sym_BANG_EQ] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5752),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym_SEMI] = ACTIONS(5752),
    [anon_sym___extension__] = ACTIONS(5752),
    [anon_sym___attribute__] = ACTIONS(5752),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5752),
    [anon_sym_RBRACE] = ACTIONS(5752),
    [anon_sym_signed] = ACTIONS(5756),
    [anon_sym_unsigned] = ACTIONS(5756),
    [anon_sym_long] = ACTIONS(5756),
    [anon_sym_short] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [anon_sym_RBRACK] = ACTIONS(5752),
    [anon_sym_const] = ACTIONS(5754),
    [anon_sym_constexpr] = ACTIONS(5752),
    [anon_sym_volatile] = ACTIONS(5752),
    [anon_sym_restrict] = ACTIONS(5752),
    [anon_sym___restrict__] = ACTIONS(5752),
    [anon_sym__Atomic] = ACTIONS(5752),
    [anon_sym__Noreturn] = ACTIONS(5752),
    [anon_sym_noreturn] = ACTIONS(5752),
    [anon_sym__Nonnull] = ACTIONS(5752),
    [anon_sym_mutable] = ACTIONS(5752),
    [anon_sym_constinit] = ACTIONS(5752),
    [anon_sym_consteval] = ACTIONS(5752),
    [anon_sym_alignas] = ACTIONS(5752),
    [anon_sym__Alignas] = ACTIONS(5752),
    [anon_sym_COLON] = ACTIONS(5752),
    [anon_sym_QMARK] = ACTIONS(5752),
    [anon_sym_LT_EQ_GT] = ACTIONS(5752),
    [anon_sym_or] = ACTIONS(5752),
    [anon_sym_and] = ACTIONS(5752),
    [anon_sym_bitor] = ACTIONS(5752),
    [anon_sym_xor] = ACTIONS(5752),
    [anon_sym_bitand] = ACTIONS(5752),
    [anon_sym_not_eq] = ACTIONS(5752),
    [anon_sym_DASH_DASH] = ACTIONS(5752),
    [anon_sym_PLUS_PLUS] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5752),
    [anon_sym_DASH_GT] = ACTIONS(5752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5752),
    [anon_sym_decltype] = ACTIONS(5752),
    [anon_sym_final] = ACTIONS(5752),
    [anon_sym_override] = ACTIONS(5752),
    [anon_sym_requires] = ACTIONS(5752),
  },
  [1880] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [anon_sym_RPAREN] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5758),
    [anon_sym___extension__] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_RBRACE] = ACTIONS(5758),
    [anon_sym_signed] = ACTIONS(5762),
    [anon_sym_unsigned] = ACTIONS(5762),
    [anon_sym_long] = ACTIONS(5762),
    [anon_sym_short] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_RBRACK] = ACTIONS(5758),
    [anon_sym_const] = ACTIONS(5760),
    [anon_sym_constexpr] = ACTIONS(5758),
    [anon_sym_volatile] = ACTIONS(5758),
    [anon_sym_restrict] = ACTIONS(5758),
    [anon_sym___restrict__] = ACTIONS(5758),
    [anon_sym__Atomic] = ACTIONS(5758),
    [anon_sym__Noreturn] = ACTIONS(5758),
    [anon_sym_noreturn] = ACTIONS(5758),
    [anon_sym__Nonnull] = ACTIONS(5758),
    [anon_sym_mutable] = ACTIONS(5758),
    [anon_sym_constinit] = ACTIONS(5758),
    [anon_sym_consteval] = ACTIONS(5758),
    [anon_sym_alignas] = ACTIONS(5758),
    [anon_sym__Alignas] = ACTIONS(5758),
    [anon_sym_COLON] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5758),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5758),
    [anon_sym_PLUS_PLUS] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
    [anon_sym_final] = ACTIONS(5758),
    [anon_sym_override] = ACTIONS(5758),
    [anon_sym_requires] = ACTIONS(5758),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
  },
  [1882] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(5301),
    [anon_sym___attribute] = ACTIONS(5301),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
  },
  [1883] = {
    [sym_identifier] = ACTIONS(5309),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [aux_sym_preproc_if_token2] = ACTIONS(5311),
    [aux_sym_preproc_else_token1] = ACTIONS(5311),
    [aux_sym_preproc_elif_token1] = ACTIONS(5309),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5311),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_DASH] = ACTIONS(5309),
    [anon_sym_PLUS] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_SLASH] = ACTIONS(5309),
    [anon_sym_PERCENT] = ACTIONS(5309),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5309),
    [anon_sym_CARET] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5309),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT] = ACTIONS(5309),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5309),
    [anon_sym_LT] = ACTIONS(5309),
    [anon_sym_LT_LT] = ACTIONS(5309),
    [anon_sym_GT_GT] = ACTIONS(5309),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym___attribute__] = ACTIONS(5309),
    [anon_sym___attribute] = ACTIONS(5309),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACE] = ACTIONS(5311),
    [anon_sym_RBRACE] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_RBRACK] = ACTIONS(5311),
    [anon_sym_EQ] = ACTIONS(5309),
    [anon_sym_COLON] = ACTIONS(5309),
    [anon_sym_QMARK] = ACTIONS(5311),
    [anon_sym_STAR_EQ] = ACTIONS(5311),
    [anon_sym_SLASH_EQ] = ACTIONS(5311),
    [anon_sym_PERCENT_EQ] = ACTIONS(5311),
    [anon_sym_PLUS_EQ] = ACTIONS(5311),
    [anon_sym_DASH_EQ] = ACTIONS(5311),
    [anon_sym_LT_LT_EQ] = ACTIONS(5311),
    [anon_sym_GT_GT_EQ] = ACTIONS(5311),
    [anon_sym_AMP_EQ] = ACTIONS(5311),
    [anon_sym_CARET_EQ] = ACTIONS(5311),
    [anon_sym_PIPE_EQ] = ACTIONS(5311),
    [anon_sym_and_eq] = ACTIONS(5309),
    [anon_sym_or_eq] = ACTIONS(5309),
    [anon_sym_xor_eq] = ACTIONS(5309),
    [anon_sym_LT_EQ_GT] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5309),
    [anon_sym_and] = ACTIONS(5309),
    [anon_sym_bitor] = ACTIONS(5309),
    [anon_sym_xor] = ACTIONS(5309),
    [anon_sym_bitand] = ACTIONS(5309),
    [anon_sym_not_eq] = ACTIONS(5309),
    [anon_sym_DASH_DASH] = ACTIONS(5311),
    [anon_sym_PLUS_PLUS] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5309),
    [anon_sym_DOT_STAR] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5311),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5309),
    [anon_sym_decltype] = ACTIONS(5309),
    [anon_sym_final] = ACTIONS(5309),
    [anon_sym_override] = ACTIONS(5309),
  },
  [1884] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(5764),
    [anon_sym_unsigned] = ACTIONS(5764),
    [anon_sym_long] = ACTIONS(5764),
    [anon_sym_short] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5372),
    [anon_sym_constexpr] = ACTIONS(5374),
    [anon_sym_volatile] = ACTIONS(5374),
    [anon_sym_restrict] = ACTIONS(5374),
    [anon_sym___restrict__] = ACTIONS(5374),
    [anon_sym__Atomic] = ACTIONS(5374),
    [anon_sym__Noreturn] = ACTIONS(5374),
    [anon_sym_noreturn] = ACTIONS(5374),
    [anon_sym__Nonnull] = ACTIONS(5374),
    [anon_sym_mutable] = ACTIONS(5374),
    [anon_sym_constinit] = ACTIONS(5374),
    [anon_sym_consteval] = ACTIONS(5374),
    [anon_sym_alignas] = ACTIONS(5374),
    [anon_sym__Alignas] = ACTIONS(5374),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_final] = ACTIONS(5374),
    [anon_sym_override] = ACTIONS(5374),
    [anon_sym_requires] = ACTIONS(5374),
  },
  [1885] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token2] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
    [anon_sym_catch] = ACTIONS(1909),
  },
  [1886] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [anon_sym_RPAREN] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5766),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5766),
    [anon_sym___extension__] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_RBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_RBRACK] = ACTIONS(5766),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5766),
    [anon_sym_volatile] = ACTIONS(5766),
    [anon_sym_restrict] = ACTIONS(5766),
    [anon_sym___restrict__] = ACTIONS(5766),
    [anon_sym__Atomic] = ACTIONS(5766),
    [anon_sym__Noreturn] = ACTIONS(5766),
    [anon_sym_noreturn] = ACTIONS(5766),
    [anon_sym__Nonnull] = ACTIONS(5766),
    [anon_sym_mutable] = ACTIONS(5766),
    [anon_sym_constinit] = ACTIONS(5766),
    [anon_sym_consteval] = ACTIONS(5766),
    [anon_sym_alignas] = ACTIONS(5766),
    [anon_sym__Alignas] = ACTIONS(5766),
    [anon_sym_COLON] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
    [anon_sym_final] = ACTIONS(5766),
    [anon_sym_override] = ACTIONS(5766),
    [anon_sym_requires] = ACTIONS(5766),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(1913),
    [aux_sym_preproc_def_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token1] = ACTIONS(1913),
    [aux_sym_preproc_if_token2] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1913),
    [sym_preproc_directive] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_typedef] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_friend] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1913),
    [anon_sym_private] = ACTIONS(1913),
    [anon_sym_protected] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_static_assert] = ACTIONS(1913),
    [anon_sym_catch] = ACTIONS(1913),
  },
  [1888] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
  },
  [1889] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4749),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1890] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5772),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5772),
    [anon_sym_CARET] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5772),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5772),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5772),
    [anon_sym_LT] = ACTIONS(5772),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5770),
    [anon_sym___extension__] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym___attribute] = ACTIONS(5772),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(5774),
    [anon_sym_unsigned] = ACTIONS(5774),
    [anon_sym_long] = ACTIONS(5774),
    [anon_sym_short] = ACTIONS(5774),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(5770),
    [anon_sym_const] = ACTIONS(5772),
    [anon_sym_constexpr] = ACTIONS(5770),
    [anon_sym_volatile] = ACTIONS(5770),
    [anon_sym_restrict] = ACTIONS(5770),
    [anon_sym___restrict__] = ACTIONS(5770),
    [anon_sym__Atomic] = ACTIONS(5770),
    [anon_sym__Noreturn] = ACTIONS(5770),
    [anon_sym_noreturn] = ACTIONS(5770),
    [anon_sym__Nonnull] = ACTIONS(5770),
    [anon_sym_mutable] = ACTIONS(5770),
    [anon_sym_constinit] = ACTIONS(5770),
    [anon_sym_consteval] = ACTIONS(5770),
    [anon_sym_alignas] = ACTIONS(5770),
    [anon_sym__Alignas] = ACTIONS(5770),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5770),
    [anon_sym_and] = ACTIONS(5770),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5770),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5772),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
    [anon_sym_final] = ACTIONS(5770),
    [anon_sym_override] = ACTIONS(5770),
    [anon_sym_requires] = ACTIONS(5770),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_STAR] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym___extension__] = ACTIONS(2569),
    [anon_sym_typedef] = ACTIONS(2569),
    [anon_sym_virtual] = ACTIONS(2569),
    [anon_sym_extern] = ACTIONS(2569),
    [anon_sym___attribute__] = ACTIONS(2569),
    [anon_sym___attribute] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2571),
    [anon_sym___declspec] = ACTIONS(2569),
    [anon_sym___based] = ACTIONS(2569),
    [anon_sym_RBRACE] = ACTIONS(2571),
    [anon_sym_signed] = ACTIONS(2569),
    [anon_sym_unsigned] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_register] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym___inline] = ACTIONS(2569),
    [anon_sym___inline__] = ACTIONS(2569),
    [anon_sym___forceinline] = ACTIONS(2569),
    [anon_sym_thread_local] = ACTIONS(2569),
    [anon_sym___thread] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_constexpr] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_restrict] = ACTIONS(2569),
    [anon_sym___restrict__] = ACTIONS(2569),
    [anon_sym__Atomic] = ACTIONS(2569),
    [anon_sym__Noreturn] = ACTIONS(2569),
    [anon_sym_noreturn] = ACTIONS(2569),
    [anon_sym__Nonnull] = ACTIONS(2569),
    [anon_sym_mutable] = ACTIONS(2569),
    [anon_sym_constinit] = ACTIONS(2569),
    [anon_sym_consteval] = ACTIONS(2569),
    [anon_sym_alignas] = ACTIONS(2569),
    [anon_sym__Alignas] = ACTIONS(2569),
    [sym_primitive_type] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_struct] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2569),
    [anon_sym_decltype] = ACTIONS(2569),
    [anon_sym_explicit] = ACTIONS(2569),
    [anon_sym_typename] = ACTIONS(2569),
    [anon_sym_template] = ACTIONS(2569),
    [anon_sym_operator] = ACTIONS(2569),
    [anon_sym_friend] = ACTIONS(2569),
    [anon_sym_public] = ACTIONS(2569),
    [anon_sym_private] = ACTIONS(2569),
    [anon_sym_protected] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_static_assert] = ACTIONS(2569),
    [anon_sym_catch] = ACTIONS(2569),
  },
  [1892] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_RPAREN] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5776),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5776),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5776),
    [anon_sym_GT_GT] = ACTIONS(5776),
    [anon_sym_SEMI] = ACTIONS(5776),
    [anon_sym___extension__] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5776),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_RBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(5780),
    [anon_sym_unsigned] = ACTIONS(5780),
    [anon_sym_long] = ACTIONS(5780),
    [anon_sym_short] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_const] = ACTIONS(5778),
    [anon_sym_constexpr] = ACTIONS(5776),
    [anon_sym_volatile] = ACTIONS(5776),
    [anon_sym_restrict] = ACTIONS(5776),
    [anon_sym___restrict__] = ACTIONS(5776),
    [anon_sym__Atomic] = ACTIONS(5776),
    [anon_sym__Noreturn] = ACTIONS(5776),
    [anon_sym_noreturn] = ACTIONS(5776),
    [anon_sym__Nonnull] = ACTIONS(5776),
    [anon_sym_mutable] = ACTIONS(5776),
    [anon_sym_constinit] = ACTIONS(5776),
    [anon_sym_consteval] = ACTIONS(5776),
    [anon_sym_alignas] = ACTIONS(5776),
    [anon_sym__Alignas] = ACTIONS(5776),
    [anon_sym_COLON] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5776),
    [anon_sym_and] = ACTIONS(5776),
    [anon_sym_bitor] = ACTIONS(5776),
    [anon_sym_xor] = ACTIONS(5776),
    [anon_sym_bitand] = ACTIONS(5776),
    [anon_sym_not_eq] = ACTIONS(5776),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5776),
    [anon_sym_decltype] = ACTIONS(5776),
    [anon_sym_final] = ACTIONS(5776),
    [anon_sym_override] = ACTIONS(5776),
    [anon_sym_requires] = ACTIONS(5776),
  },
  [1893] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [anon_sym_RPAREN] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5782),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5782),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5782),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5782),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5782),
    [anon_sym_GT_GT] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym___extension__] = ACTIONS(5782),
    [anon_sym___attribute__] = ACTIONS(5782),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_RBRACE] = ACTIONS(5782),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_RBRACK] = ACTIONS(5782),
    [anon_sym_const] = ACTIONS(5784),
    [anon_sym_constexpr] = ACTIONS(5782),
    [anon_sym_volatile] = ACTIONS(5782),
    [anon_sym_restrict] = ACTIONS(5782),
    [anon_sym___restrict__] = ACTIONS(5782),
    [anon_sym__Atomic] = ACTIONS(5782),
    [anon_sym__Noreturn] = ACTIONS(5782),
    [anon_sym_noreturn] = ACTIONS(5782),
    [anon_sym__Nonnull] = ACTIONS(5782),
    [anon_sym_mutable] = ACTIONS(5782),
    [anon_sym_constinit] = ACTIONS(5782),
    [anon_sym_consteval] = ACTIONS(5782),
    [anon_sym_alignas] = ACTIONS(5782),
    [anon_sym__Alignas] = ACTIONS(5782),
    [anon_sym_COLON] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5782),
    [anon_sym_and] = ACTIONS(5782),
    [anon_sym_bitor] = ACTIONS(5782),
    [anon_sym_xor] = ACTIONS(5782),
    [anon_sym_bitand] = ACTIONS(5782),
    [anon_sym_not_eq] = ACTIONS(5782),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5782),
    [anon_sym_decltype] = ACTIONS(5782),
    [anon_sym_final] = ACTIONS(5782),
    [anon_sym_override] = ACTIONS(5782),
    [anon_sym_requires] = ACTIONS(5782),
  },
  [1894] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5631),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_RPAREN] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5631),
    [anon_sym_DASH] = ACTIONS(5629),
    [anon_sym_PLUS] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5631),
    [anon_sym_SLASH] = ACTIONS(5629),
    [anon_sym_PERCENT] = ACTIONS(5631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5631),
    [anon_sym_AMP_AMP] = ACTIONS(5631),
    [anon_sym_PIPE] = ACTIONS(5629),
    [anon_sym_CARET] = ACTIONS(5631),
    [anon_sym_AMP] = ACTIONS(5629),
    [anon_sym_EQ_EQ] = ACTIONS(5631),
    [anon_sym_BANG_EQ] = ACTIONS(5631),
    [anon_sym_GT] = ACTIONS(5629),
    [anon_sym_GT_EQ] = ACTIONS(5631),
    [anon_sym_LT_EQ] = ACTIONS(5629),
    [anon_sym_LT] = ACTIONS(5629),
    [anon_sym_LT_LT] = ACTIONS(5631),
    [anon_sym_GT_GT] = ACTIONS(5631),
    [anon_sym_SEMI] = ACTIONS(5631),
    [anon_sym___extension__] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5631),
    [anon_sym___attribute] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(5631),
    [anon_sym_RBRACE] = ACTIONS(5631),
    [anon_sym_signed] = ACTIONS(5764),
    [anon_sym_unsigned] = ACTIONS(5764),
    [anon_sym_long] = ACTIONS(5764),
    [anon_sym_short] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_RBRACK] = ACTIONS(5631),
    [anon_sym_const] = ACTIONS(5629),
    [anon_sym_constexpr] = ACTIONS(5631),
    [anon_sym_volatile] = ACTIONS(5631),
    [anon_sym_restrict] = ACTIONS(5631),
    [anon_sym___restrict__] = ACTIONS(5631),
    [anon_sym__Atomic] = ACTIONS(5631),
    [anon_sym__Noreturn] = ACTIONS(5631),
    [anon_sym_noreturn] = ACTIONS(5631),
    [anon_sym__Nonnull] = ACTIONS(5631),
    [anon_sym_mutable] = ACTIONS(5631),
    [anon_sym_constinit] = ACTIONS(5631),
    [anon_sym_consteval] = ACTIONS(5631),
    [anon_sym_alignas] = ACTIONS(5631),
    [anon_sym__Alignas] = ACTIONS(5631),
    [anon_sym_COLON] = ACTIONS(5631),
    [anon_sym_QMARK] = ACTIONS(5631),
    [anon_sym_LT_EQ_GT] = ACTIONS(5631),
    [anon_sym_or] = ACTIONS(5631),
    [anon_sym_and] = ACTIONS(5631),
    [anon_sym_bitor] = ACTIONS(5631),
    [anon_sym_xor] = ACTIONS(5631),
    [anon_sym_bitand] = ACTIONS(5631),
    [anon_sym_not_eq] = ACTIONS(5631),
    [anon_sym_DASH_DASH] = ACTIONS(5631),
    [anon_sym_PLUS_PLUS] = ACTIONS(5631),
    [anon_sym_DOT] = ACTIONS(5629),
    [anon_sym_DOT_STAR] = ACTIONS(5631),
    [anon_sym_DASH_GT] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5631),
    [anon_sym_decltype] = ACTIONS(5631),
    [anon_sym_final] = ACTIONS(5631),
    [anon_sym_override] = ACTIONS(5631),
    [anon_sym_requires] = ACTIONS(5631),
  },
  [1895] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [aux_sym_preproc_if_token2] = ACTIONS(5378),
    [aux_sym_preproc_else_token1] = ACTIONS(5378),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_STAR_EQ] = ACTIONS(5378),
    [anon_sym_SLASH_EQ] = ACTIONS(5378),
    [anon_sym_PERCENT_EQ] = ACTIONS(5378),
    [anon_sym_PLUS_EQ] = ACTIONS(5378),
    [anon_sym_DASH_EQ] = ACTIONS(5378),
    [anon_sym_LT_LT_EQ] = ACTIONS(5378),
    [anon_sym_GT_GT_EQ] = ACTIONS(5378),
    [anon_sym_AMP_EQ] = ACTIONS(5378),
    [anon_sym_CARET_EQ] = ACTIONS(5378),
    [anon_sym_PIPE_EQ] = ACTIONS(5378),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [aux_sym_preproc_if_token2] = ACTIONS(5378),
    [aux_sym_preproc_else_token1] = ACTIONS(5378),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_STAR_EQ] = ACTIONS(5378),
    [anon_sym_SLASH_EQ] = ACTIONS(5378),
    [anon_sym_PERCENT_EQ] = ACTIONS(5378),
    [anon_sym_PLUS_EQ] = ACTIONS(5378),
    [anon_sym_DASH_EQ] = ACTIONS(5378),
    [anon_sym_LT_LT_EQ] = ACTIONS(5378),
    [anon_sym_GT_GT_EQ] = ACTIONS(5378),
    [anon_sym_AMP_EQ] = ACTIONS(5378),
    [anon_sym_CARET_EQ] = ACTIONS(5378),
    [anon_sym_PIPE_EQ] = ACTIONS(5378),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(5380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [aux_sym_preproc_if_token2] = ACTIONS(5382),
    [aux_sym_preproc_else_token1] = ACTIONS(5382),
    [aux_sym_preproc_elif_token1] = ACTIONS(5380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5380),
    [anon_sym_STAR] = ACTIONS(5380),
    [anon_sym_SLASH] = ACTIONS(5380),
    [anon_sym_PERCENT] = ACTIONS(5380),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5380),
    [anon_sym_CARET] = ACTIONS(5380),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5380),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5380),
    [anon_sym_LT] = ACTIONS(5380),
    [anon_sym_LT_LT] = ACTIONS(5380),
    [anon_sym_GT_GT] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym___attribute] = ACTIONS(5380),
    [anon_sym_COLON_COLON] = ACTIONS(5382),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_EQ] = ACTIONS(5380),
    [anon_sym_COLON] = ACTIONS(5380),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_STAR_EQ] = ACTIONS(5382),
    [anon_sym_SLASH_EQ] = ACTIONS(5382),
    [anon_sym_PERCENT_EQ] = ACTIONS(5382),
    [anon_sym_PLUS_EQ] = ACTIONS(5382),
    [anon_sym_DASH_EQ] = ACTIONS(5382),
    [anon_sym_LT_LT_EQ] = ACTIONS(5382),
    [anon_sym_GT_GT_EQ] = ACTIONS(5382),
    [anon_sym_AMP_EQ] = ACTIONS(5382),
    [anon_sym_CARET_EQ] = ACTIONS(5382),
    [anon_sym_PIPE_EQ] = ACTIONS(5382),
    [anon_sym_and_eq] = ACTIONS(5380),
    [anon_sym_or_eq] = ACTIONS(5380),
    [anon_sym_xor_eq] = ACTIONS(5380),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [anon_sym_bitor] = ACTIONS(5380),
    [anon_sym_xor] = ACTIONS(5380),
    [anon_sym_bitand] = ACTIONS(5380),
    [anon_sym_not_eq] = ACTIONS(5380),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
    [anon_sym_final] = ACTIONS(5380),
    [anon_sym_override] = ACTIONS(5380),
  },
  [1898] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5788),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5788),
    [anon_sym_CARET] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5788),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5788),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5788),
    [anon_sym_LT] = ACTIONS(5788),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym___extension__] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5788),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_RBRACK] = ACTIONS(5786),
    [anon_sym_const] = ACTIONS(5788),
    [anon_sym_constexpr] = ACTIONS(5786),
    [anon_sym_volatile] = ACTIONS(5786),
    [anon_sym_restrict] = ACTIONS(5786),
    [anon_sym___restrict__] = ACTIONS(5786),
    [anon_sym__Atomic] = ACTIONS(5786),
    [anon_sym__Noreturn] = ACTIONS(5786),
    [anon_sym_noreturn] = ACTIONS(5786),
    [anon_sym__Nonnull] = ACTIONS(5786),
    [anon_sym_mutable] = ACTIONS(5786),
    [anon_sym_constinit] = ACTIONS(5786),
    [anon_sym_consteval] = ACTIONS(5786),
    [anon_sym_alignas] = ACTIONS(5786),
    [anon_sym__Alignas] = ACTIONS(5786),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5786),
    [anon_sym_and] = ACTIONS(5786),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5786),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5788),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
    [anon_sym_final] = ACTIONS(5786),
    [anon_sym_override] = ACTIONS(5786),
    [anon_sym_requires] = ACTIONS(5786),
  },
  [1899] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym___extension__] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_const] = ACTIONS(5792),
    [anon_sym_constexpr] = ACTIONS(5790),
    [anon_sym_volatile] = ACTIONS(5790),
    [anon_sym_restrict] = ACTIONS(5790),
    [anon_sym___restrict__] = ACTIONS(5790),
    [anon_sym__Atomic] = ACTIONS(5790),
    [anon_sym__Noreturn] = ACTIONS(5790),
    [anon_sym_noreturn] = ACTIONS(5790),
    [anon_sym__Nonnull] = ACTIONS(5790),
    [anon_sym_mutable] = ACTIONS(5790),
    [anon_sym_constinit] = ACTIONS(5790),
    [anon_sym_consteval] = ACTIONS(5790),
    [anon_sym_alignas] = ACTIONS(5790),
    [anon_sym__Alignas] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5790),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
    [anon_sym_final] = ACTIONS(5790),
    [anon_sym_override] = ACTIONS(5790),
    [anon_sym_requires] = ACTIONS(5790),
  },
  [1900] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [aux_sym_preproc_if_token2] = ACTIONS(4862),
    [aux_sym_preproc_else_token1] = ACTIONS(4862),
    [aux_sym_preproc_elif_token1] = ACTIONS(4855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4855),
    [anon_sym_or_eq] = ACTIONS(4855),
    [anon_sym_xor_eq] = ACTIONS(4855),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_final] = ACTIONS(4855),
    [anon_sym_override] = ACTIONS(4855),
  },
  [1901] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1901),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_TILDE] = ACTIONS(4931),
    [anon_sym_STAR] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4931),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_SEMI] = ACTIONS(4931),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym___attribute] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4931),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym___cdecl] = ACTIONS(4929),
    [anon_sym___clrcall] = ACTIONS(4929),
    [anon_sym___stdcall] = ACTIONS(4929),
    [anon_sym___fastcall] = ACTIONS(4929),
    [anon_sym___thiscall] = ACTIONS(4929),
    [anon_sym___vectorcall] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4931),
    [anon_sym_signed] = ACTIONS(5794),
    [anon_sym_unsigned] = ACTIONS(5794),
    [anon_sym_long] = ACTIONS(5794),
    [anon_sym_short] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(4929),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_EQ] = ACTIONS(4931),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_asm] = ACTIONS(4929),
    [anon_sym___asm__] = ACTIONS(4929),
    [anon_sym___asm] = ACTIONS(4929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_final] = ACTIONS(4929),
    [anon_sym_override] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_GT2] = ACTIONS(4931),
    [anon_sym_operator] = ACTIONS(4929),
    [anon_sym_try] = ACTIONS(4929),
    [anon_sym_requires] = ACTIONS(4929),
  },
  [1902] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5797),
    [anon_sym_COMMA] = ACTIONS(5797),
    [anon_sym_RPAREN] = ACTIONS(5797),
    [anon_sym_LPAREN2] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5799),
    [anon_sym_PLUS] = ACTIONS(5799),
    [anon_sym_STAR] = ACTIONS(5797),
    [anon_sym_SLASH] = ACTIONS(5799),
    [anon_sym_PERCENT] = ACTIONS(5797),
    [anon_sym_PIPE_PIPE] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5797),
    [anon_sym_PIPE] = ACTIONS(5799),
    [anon_sym_CARET] = ACTIONS(5797),
    [anon_sym_AMP] = ACTIONS(5799),
    [anon_sym_EQ_EQ] = ACTIONS(5797),
    [anon_sym_BANG_EQ] = ACTIONS(5797),
    [anon_sym_GT] = ACTIONS(5799),
    [anon_sym_GT_EQ] = ACTIONS(5797),
    [anon_sym_LT_EQ] = ACTIONS(5799),
    [anon_sym_LT] = ACTIONS(5799),
    [anon_sym_LT_LT] = ACTIONS(5797),
    [anon_sym_GT_GT] = ACTIONS(5797),
    [anon_sym_SEMI] = ACTIONS(5797),
    [anon_sym___extension__] = ACTIONS(5797),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym___attribute] = ACTIONS(5799),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_RBRACE] = ACTIONS(5797),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [anon_sym_RBRACK] = ACTIONS(5797),
    [anon_sym_const] = ACTIONS(5799),
    [anon_sym_constexpr] = ACTIONS(5797),
    [anon_sym_volatile] = ACTIONS(5797),
    [anon_sym_restrict] = ACTIONS(5797),
    [anon_sym___restrict__] = ACTIONS(5797),
    [anon_sym__Atomic] = ACTIONS(5797),
    [anon_sym__Noreturn] = ACTIONS(5797),
    [anon_sym_noreturn] = ACTIONS(5797),
    [anon_sym__Nonnull] = ACTIONS(5797),
    [anon_sym_mutable] = ACTIONS(5797),
    [anon_sym_constinit] = ACTIONS(5797),
    [anon_sym_consteval] = ACTIONS(5797),
    [anon_sym_alignas] = ACTIONS(5797),
    [anon_sym__Alignas] = ACTIONS(5797),
    [anon_sym_COLON] = ACTIONS(5797),
    [anon_sym_QMARK] = ACTIONS(5797),
    [anon_sym_LT_EQ_GT] = ACTIONS(5797),
    [anon_sym_or] = ACTIONS(5797),
    [anon_sym_and] = ACTIONS(5797),
    [anon_sym_bitor] = ACTIONS(5797),
    [anon_sym_xor] = ACTIONS(5797),
    [anon_sym_bitand] = ACTIONS(5797),
    [anon_sym_not_eq] = ACTIONS(5797),
    [anon_sym_DASH_DASH] = ACTIONS(5797),
    [anon_sym_PLUS_PLUS] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_DOT_STAR] = ACTIONS(5797),
    [anon_sym_DASH_GT] = ACTIONS(5797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
    [anon_sym_final] = ACTIONS(5797),
    [anon_sym_override] = ACTIONS(5797),
    [anon_sym_requires] = ACTIONS(5797),
  },
  [1903] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4780),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1904] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1905] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4736),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(1909),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1909),
    [sym_preproc_directive] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_static_assert] = ACTIONS(1909),
  },
  [1907] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4793),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1908] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4740),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1909] = {
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4742),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2324),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1229),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1910] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5801),
    [anon_sym_COMMA] = ACTIONS(5801),
    [anon_sym_RPAREN] = ACTIONS(5801),
    [anon_sym_LPAREN2] = ACTIONS(5801),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_STAR] = ACTIONS(5801),
    [anon_sym_SLASH] = ACTIONS(5803),
    [anon_sym_PERCENT] = ACTIONS(5801),
    [anon_sym_PIPE_PIPE] = ACTIONS(5801),
    [anon_sym_AMP_AMP] = ACTIONS(5801),
    [anon_sym_PIPE] = ACTIONS(5803),
    [anon_sym_CARET] = ACTIONS(5801),
    [anon_sym_AMP] = ACTIONS(5803),
    [anon_sym_EQ_EQ] = ACTIONS(5801),
    [anon_sym_BANG_EQ] = ACTIONS(5801),
    [anon_sym_GT] = ACTIONS(5803),
    [anon_sym_GT_EQ] = ACTIONS(5801),
    [anon_sym_LT_EQ] = ACTIONS(5803),
    [anon_sym_LT] = ACTIONS(5803),
    [anon_sym_LT_LT] = ACTIONS(5801),
    [anon_sym_GT_GT] = ACTIONS(5801),
    [anon_sym_SEMI] = ACTIONS(5801),
    [anon_sym___extension__] = ACTIONS(5801),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym___attribute] = ACTIONS(5803),
    [anon_sym_LBRACE] = ACTIONS(5801),
    [anon_sym_RBRACE] = ACTIONS(5801),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5801),
    [anon_sym_RBRACK] = ACTIONS(5801),
    [anon_sym_const] = ACTIONS(5803),
    [anon_sym_constexpr] = ACTIONS(5801),
    [anon_sym_volatile] = ACTIONS(5801),
    [anon_sym_restrict] = ACTIONS(5801),
    [anon_sym___restrict__] = ACTIONS(5801),
    [anon_sym__Atomic] = ACTIONS(5801),
    [anon_sym__Noreturn] = ACTIONS(5801),
    [anon_sym_noreturn] = ACTIONS(5801),
    [anon_sym__Nonnull] = ACTIONS(5801),
    [anon_sym_mutable] = ACTIONS(5801),
    [anon_sym_constinit] = ACTIONS(5801),
    [anon_sym_consteval] = ACTIONS(5801),
    [anon_sym_alignas] = ACTIONS(5801),
    [anon_sym__Alignas] = ACTIONS(5801),
    [anon_sym_COLON] = ACTIONS(5801),
    [anon_sym_QMARK] = ACTIONS(5801),
    [anon_sym_LT_EQ_GT] = ACTIONS(5801),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5801),
    [anon_sym_PLUS_PLUS] = ACTIONS(5801),
    [anon_sym_DOT] = ACTIONS(5803),
    [anon_sym_DOT_STAR] = ACTIONS(5801),
    [anon_sym_DASH_GT] = ACTIONS(5801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
    [anon_sym_final] = ACTIONS(5801),
    [anon_sym_override] = ACTIONS(5801),
    [anon_sym_requires] = ACTIONS(5801),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(5476),
    [aux_sym_preproc_def_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5476),
    [sym_preproc_directive] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_TILDE] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym_typedef] = ACTIONS(5476),
    [anon_sym_virtual] = ACTIONS(5476),
    [anon_sym_extern] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym___declspec] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5476),
    [anon_sym_inline] = ACTIONS(5476),
    [anon_sym___inline] = ACTIONS(5476),
    [anon_sym___inline__] = ACTIONS(5476),
    [anon_sym___forceinline] = ACTIONS(5476),
    [anon_sym_thread_local] = ACTIONS(5476),
    [anon_sym___thread] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym__Nonnull] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym__Alignas] = ACTIONS(5476),
    [sym_primitive_type] = ACTIONS(5476),
    [anon_sym_enum] = ACTIONS(5476),
    [anon_sym_class] = ACTIONS(5476),
    [anon_sym_struct] = ACTIONS(5476),
    [anon_sym_union] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_explicit] = ACTIONS(5476),
    [anon_sym_typename] = ACTIONS(5476),
    [anon_sym_template] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5476),
    [anon_sym_friend] = ACTIONS(5476),
    [anon_sym_public] = ACTIONS(5476),
    [anon_sym_private] = ACTIONS(5476),
    [anon_sym_protected] = ACTIONS(5476),
    [anon_sym_using] = ACTIONS(5476),
    [anon_sym_static_assert] = ACTIONS(5476),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym___attribute] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_friend] = ACTIONS(2916),
    [anon_sym_public] = ACTIONS(2916),
    [anon_sym_private] = ACTIONS(2916),
    [anon_sym_protected] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(5472),
    [aux_sym_preproc_def_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token2] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5472),
    [sym_preproc_directive] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_TILDE] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym_typedef] = ACTIONS(5472),
    [anon_sym_virtual] = ACTIONS(5472),
    [anon_sym_extern] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym_COLON_COLON] = ACTIONS(5474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5474),
    [anon_sym___declspec] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_static] = ACTIONS(5472),
    [anon_sym_register] = ACTIONS(5472),
    [anon_sym_inline] = ACTIONS(5472),
    [anon_sym___inline] = ACTIONS(5472),
    [anon_sym___inline__] = ACTIONS(5472),
    [anon_sym___forceinline] = ACTIONS(5472),
    [anon_sym_thread_local] = ACTIONS(5472),
    [anon_sym___thread] = ACTIONS(5472),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym__Nonnull] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym__Alignas] = ACTIONS(5472),
    [sym_primitive_type] = ACTIONS(5472),
    [anon_sym_enum] = ACTIONS(5472),
    [anon_sym_class] = ACTIONS(5472),
    [anon_sym_struct] = ACTIONS(5472),
    [anon_sym_union] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_explicit] = ACTIONS(5472),
    [anon_sym_typename] = ACTIONS(5472),
    [anon_sym_template] = ACTIONS(5472),
    [anon_sym_operator] = ACTIONS(5472),
    [anon_sym_friend] = ACTIONS(5472),
    [anon_sym_public] = ACTIONS(5472),
    [anon_sym_private] = ACTIONS(5472),
    [anon_sym_protected] = ACTIONS(5472),
    [anon_sym_using] = ACTIONS(5472),
    [anon_sym_static_assert] = ACTIONS(5472),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_friend] = ACTIONS(2699),
    [anon_sym_public] = ACTIONS(2699),
    [anon_sym_private] = ACTIONS(2699),
    [anon_sym_protected] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token2] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_friend] = ACTIONS(2699),
    [anon_sym_public] = ACTIONS(2699),
    [anon_sym_private] = ACTIONS(2699),
    [anon_sym_protected] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(5476),
    [aux_sym_preproc_def_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token2] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5476),
    [sym_preproc_directive] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_TILDE] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym_typedef] = ACTIONS(5476),
    [anon_sym_virtual] = ACTIONS(5476),
    [anon_sym_extern] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym___declspec] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5476),
    [anon_sym_inline] = ACTIONS(5476),
    [anon_sym___inline] = ACTIONS(5476),
    [anon_sym___inline__] = ACTIONS(5476),
    [anon_sym___forceinline] = ACTIONS(5476),
    [anon_sym_thread_local] = ACTIONS(5476),
    [anon_sym___thread] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym__Nonnull] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym__Alignas] = ACTIONS(5476),
    [sym_primitive_type] = ACTIONS(5476),
    [anon_sym_enum] = ACTIONS(5476),
    [anon_sym_class] = ACTIONS(5476),
    [anon_sym_struct] = ACTIONS(5476),
    [anon_sym_union] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_explicit] = ACTIONS(5476),
    [anon_sym_typename] = ACTIONS(5476),
    [anon_sym_template] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5476),
    [anon_sym_friend] = ACTIONS(5476),
    [anon_sym_public] = ACTIONS(5476),
    [anon_sym_private] = ACTIONS(5476),
    [anon_sym_protected] = ACTIONS(5476),
    [anon_sym_using] = ACTIONS(5476),
    [anon_sym_static_assert] = ACTIONS(5476),
  },
  [1917] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [anon_sym_RPAREN] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5014),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5014),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5014),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5014),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5014),
    [anon_sym_LT] = ACTIONS(5014),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym_SEMI] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(5014),
    [anon_sym___attribute] = ACTIONS(5014),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_RBRACE] = ACTIONS(5011),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_RBRACK] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5014),
    [anon_sym_and] = ACTIONS(5014),
    [anon_sym_bitor] = ACTIONS(5014),
    [anon_sym_xor] = ACTIONS(5014),
    [anon_sym_bitand] = ACTIONS(5014),
    [anon_sym_not_eq] = ACTIONS(5014),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5014),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5014),
    [anon_sym_decltype] = ACTIONS(5014),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(5305),
    [aux_sym_preproc_def_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token2] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5305),
    [sym_preproc_directive] = ACTIONS(5305),
    [anon_sym_LPAREN2] = ACTIONS(5307),
    [anon_sym_TILDE] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_AMP_AMP] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5305),
    [anon_sym_SEMI] = ACTIONS(5307),
    [anon_sym___extension__] = ACTIONS(5305),
    [anon_sym_typedef] = ACTIONS(5305),
    [anon_sym_virtual] = ACTIONS(5305),
    [anon_sym_extern] = ACTIONS(5305),
    [anon_sym___attribute__] = ACTIONS(5305),
    [anon_sym___attribute] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5307),
    [anon_sym___declspec] = ACTIONS(5305),
    [anon_sym___based] = ACTIONS(5305),
    [anon_sym_signed] = ACTIONS(5305),
    [anon_sym_unsigned] = ACTIONS(5305),
    [anon_sym_long] = ACTIONS(5305),
    [anon_sym_short] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_static] = ACTIONS(5305),
    [anon_sym_register] = ACTIONS(5305),
    [anon_sym_inline] = ACTIONS(5305),
    [anon_sym___inline] = ACTIONS(5305),
    [anon_sym___inline__] = ACTIONS(5305),
    [anon_sym___forceinline] = ACTIONS(5305),
    [anon_sym_thread_local] = ACTIONS(5305),
    [anon_sym___thread] = ACTIONS(5305),
    [anon_sym_const] = ACTIONS(5305),
    [anon_sym_constexpr] = ACTIONS(5305),
    [anon_sym_volatile] = ACTIONS(5305),
    [anon_sym_restrict] = ACTIONS(5305),
    [anon_sym___restrict__] = ACTIONS(5305),
    [anon_sym__Atomic] = ACTIONS(5305),
    [anon_sym__Noreturn] = ACTIONS(5305),
    [anon_sym_noreturn] = ACTIONS(5305),
    [anon_sym__Nonnull] = ACTIONS(5305),
    [anon_sym_mutable] = ACTIONS(5305),
    [anon_sym_constinit] = ACTIONS(5305),
    [anon_sym_consteval] = ACTIONS(5305),
    [anon_sym_alignas] = ACTIONS(5305),
    [anon_sym__Alignas] = ACTIONS(5305),
    [sym_primitive_type] = ACTIONS(5305),
    [anon_sym_enum] = ACTIONS(5305),
    [anon_sym_class] = ACTIONS(5305),
    [anon_sym_struct] = ACTIONS(5305),
    [anon_sym_union] = ACTIONS(5305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5305),
    [anon_sym_decltype] = ACTIONS(5305),
    [anon_sym_explicit] = ACTIONS(5305),
    [anon_sym_typename] = ACTIONS(5305),
    [anon_sym_template] = ACTIONS(5305),
    [anon_sym_operator] = ACTIONS(5305),
    [anon_sym_friend] = ACTIONS(5305),
    [anon_sym_public] = ACTIONS(5305),
    [anon_sym_private] = ACTIONS(5305),
    [anon_sym_protected] = ACTIONS(5305),
    [anon_sym_using] = ACTIONS(5305),
    [anon_sym_static_assert] = ACTIONS(5305),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token2] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym___extension__] = ACTIONS(2605),
    [anon_sym_typedef] = ACTIONS(2605),
    [anon_sym_virtual] = ACTIONS(2605),
    [anon_sym_extern] = ACTIONS(2605),
    [anon_sym___attribute__] = ACTIONS(2605),
    [anon_sym___attribute] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym___declspec] = ACTIONS(2605),
    [anon_sym___based] = ACTIONS(2605),
    [anon_sym_signed] = ACTIONS(2605),
    [anon_sym_unsigned] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_register] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym___inline] = ACTIONS(2605),
    [anon_sym___inline__] = ACTIONS(2605),
    [anon_sym___forceinline] = ACTIONS(2605),
    [anon_sym_thread_local] = ACTIONS(2605),
    [anon_sym___thread] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_constexpr] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_restrict] = ACTIONS(2605),
    [anon_sym___restrict__] = ACTIONS(2605),
    [anon_sym__Atomic] = ACTIONS(2605),
    [anon_sym__Noreturn] = ACTIONS(2605),
    [anon_sym_noreturn] = ACTIONS(2605),
    [anon_sym__Nonnull] = ACTIONS(2605),
    [anon_sym_mutable] = ACTIONS(2605),
    [anon_sym_constinit] = ACTIONS(2605),
    [anon_sym_consteval] = ACTIONS(2605),
    [anon_sym_alignas] = ACTIONS(2605),
    [anon_sym__Alignas] = ACTIONS(2605),
    [sym_primitive_type] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2605),
    [anon_sym_decltype] = ACTIONS(2605),
    [anon_sym_explicit] = ACTIONS(2605),
    [anon_sym_typename] = ACTIONS(2605),
    [anon_sym_template] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_friend] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_static_assert] = ACTIONS(2605),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(5476),
    [aux_sym_preproc_def_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token2] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5476),
    [sym_preproc_directive] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_TILDE] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym_typedef] = ACTIONS(5476),
    [anon_sym_virtual] = ACTIONS(5476),
    [anon_sym_extern] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym___declspec] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5476),
    [anon_sym_inline] = ACTIONS(5476),
    [anon_sym___inline] = ACTIONS(5476),
    [anon_sym___inline__] = ACTIONS(5476),
    [anon_sym___forceinline] = ACTIONS(5476),
    [anon_sym_thread_local] = ACTIONS(5476),
    [anon_sym___thread] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym__Nonnull] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym__Alignas] = ACTIONS(5476),
    [sym_primitive_type] = ACTIONS(5476),
    [anon_sym_enum] = ACTIONS(5476),
    [anon_sym_class] = ACTIONS(5476),
    [anon_sym_struct] = ACTIONS(5476),
    [anon_sym_union] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_explicit] = ACTIONS(5476),
    [anon_sym_typename] = ACTIONS(5476),
    [anon_sym_template] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5476),
    [anon_sym_friend] = ACTIONS(5476),
    [anon_sym_public] = ACTIONS(5476),
    [anon_sym_private] = ACTIONS(5476),
    [anon_sym_protected] = ACTIONS(5476),
    [anon_sym_using] = ACTIONS(5476),
    [anon_sym_static_assert] = ACTIONS(5476),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(5305),
    [aux_sym_preproc_def_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token2] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5305),
    [sym_preproc_directive] = ACTIONS(5305),
    [anon_sym_LPAREN2] = ACTIONS(5307),
    [anon_sym_TILDE] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_AMP_AMP] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5305),
    [anon_sym_SEMI] = ACTIONS(5307),
    [anon_sym___extension__] = ACTIONS(5305),
    [anon_sym_typedef] = ACTIONS(5305),
    [anon_sym_virtual] = ACTIONS(5305),
    [anon_sym_extern] = ACTIONS(5305),
    [anon_sym___attribute__] = ACTIONS(5305),
    [anon_sym___attribute] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5307),
    [anon_sym___declspec] = ACTIONS(5305),
    [anon_sym___based] = ACTIONS(5305),
    [anon_sym_signed] = ACTIONS(5305),
    [anon_sym_unsigned] = ACTIONS(5305),
    [anon_sym_long] = ACTIONS(5305),
    [anon_sym_short] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_static] = ACTIONS(5305),
    [anon_sym_register] = ACTIONS(5305),
    [anon_sym_inline] = ACTIONS(5305),
    [anon_sym___inline] = ACTIONS(5305),
    [anon_sym___inline__] = ACTIONS(5305),
    [anon_sym___forceinline] = ACTIONS(5305),
    [anon_sym_thread_local] = ACTIONS(5305),
    [anon_sym___thread] = ACTIONS(5305),
    [anon_sym_const] = ACTIONS(5305),
    [anon_sym_constexpr] = ACTIONS(5305),
    [anon_sym_volatile] = ACTIONS(5305),
    [anon_sym_restrict] = ACTIONS(5305),
    [anon_sym___restrict__] = ACTIONS(5305),
    [anon_sym__Atomic] = ACTIONS(5305),
    [anon_sym__Noreturn] = ACTIONS(5305),
    [anon_sym_noreturn] = ACTIONS(5305),
    [anon_sym__Nonnull] = ACTIONS(5305),
    [anon_sym_mutable] = ACTIONS(5305),
    [anon_sym_constinit] = ACTIONS(5305),
    [anon_sym_consteval] = ACTIONS(5305),
    [anon_sym_alignas] = ACTIONS(5305),
    [anon_sym__Alignas] = ACTIONS(5305),
    [sym_primitive_type] = ACTIONS(5305),
    [anon_sym_enum] = ACTIONS(5305),
    [anon_sym_class] = ACTIONS(5305),
    [anon_sym_struct] = ACTIONS(5305),
    [anon_sym_union] = ACTIONS(5305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5305),
    [anon_sym_decltype] = ACTIONS(5305),
    [anon_sym_explicit] = ACTIONS(5305),
    [anon_sym_typename] = ACTIONS(5305),
    [anon_sym_template] = ACTIONS(5305),
    [anon_sym_operator] = ACTIONS(5305),
    [anon_sym_friend] = ACTIONS(5305),
    [anon_sym_public] = ACTIONS(5305),
    [anon_sym_private] = ACTIONS(5305),
    [anon_sym_protected] = ACTIONS(5305),
    [anon_sym_using] = ACTIONS(5305),
    [anon_sym_static_assert] = ACTIONS(5305),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_friend] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(5480),
    [aux_sym_preproc_def_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token2] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5480),
    [sym_preproc_directive] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_TILDE] = ACTIONS(5482),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym_typedef] = ACTIONS(5480),
    [anon_sym_virtual] = ACTIONS(5480),
    [anon_sym_extern] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5482),
    [anon_sym___declspec] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_static] = ACTIONS(5480),
    [anon_sym_register] = ACTIONS(5480),
    [anon_sym_inline] = ACTIONS(5480),
    [anon_sym___inline] = ACTIONS(5480),
    [anon_sym___inline__] = ACTIONS(5480),
    [anon_sym___forceinline] = ACTIONS(5480),
    [anon_sym_thread_local] = ACTIONS(5480),
    [anon_sym___thread] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym__Nonnull] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym__Alignas] = ACTIONS(5480),
    [sym_primitive_type] = ACTIONS(5480),
    [anon_sym_enum] = ACTIONS(5480),
    [anon_sym_class] = ACTIONS(5480),
    [anon_sym_struct] = ACTIONS(5480),
    [anon_sym_union] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_explicit] = ACTIONS(5480),
    [anon_sym_typename] = ACTIONS(5480),
    [anon_sym_template] = ACTIONS(5480),
    [anon_sym_operator] = ACTIONS(5480),
    [anon_sym_friend] = ACTIONS(5480),
    [anon_sym_public] = ACTIONS(5480),
    [anon_sym_private] = ACTIONS(5480),
    [anon_sym_protected] = ACTIONS(5480),
    [anon_sym_using] = ACTIONS(5480),
    [anon_sym_static_assert] = ACTIONS(5480),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token2] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_STAR] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym___extension__] = ACTIONS(2585),
    [anon_sym_typedef] = ACTIONS(2585),
    [anon_sym_virtual] = ACTIONS(2585),
    [anon_sym_extern] = ACTIONS(2585),
    [anon_sym___attribute__] = ACTIONS(2585),
    [anon_sym___attribute] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2587),
    [anon_sym___declspec] = ACTIONS(2585),
    [anon_sym___based] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2585),
    [anon_sym_unsigned] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_register] = ACTIONS(2585),
    [anon_sym_inline] = ACTIONS(2585),
    [anon_sym___inline] = ACTIONS(2585),
    [anon_sym___inline__] = ACTIONS(2585),
    [anon_sym___forceinline] = ACTIONS(2585),
    [anon_sym_thread_local] = ACTIONS(2585),
    [anon_sym___thread] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_constexpr] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_restrict] = ACTIONS(2585),
    [anon_sym___restrict__] = ACTIONS(2585),
    [anon_sym__Atomic] = ACTIONS(2585),
    [anon_sym__Noreturn] = ACTIONS(2585),
    [anon_sym_noreturn] = ACTIONS(2585),
    [anon_sym__Nonnull] = ACTIONS(2585),
    [anon_sym_mutable] = ACTIONS(2585),
    [anon_sym_constinit] = ACTIONS(2585),
    [anon_sym_consteval] = ACTIONS(2585),
    [anon_sym_alignas] = ACTIONS(2585),
    [anon_sym__Alignas] = ACTIONS(2585),
    [sym_primitive_type] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_union] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2585),
    [anon_sym_decltype] = ACTIONS(2585),
    [anon_sym_explicit] = ACTIONS(2585),
    [anon_sym_typename] = ACTIONS(2585),
    [anon_sym_template] = ACTIONS(2585),
    [anon_sym_operator] = ACTIONS(2585),
    [anon_sym_friend] = ACTIONS(2585),
    [anon_sym_public] = ACTIONS(2585),
    [anon_sym_private] = ACTIONS(2585),
    [anon_sym_protected] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_static_assert] = ACTIONS(2585),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(5484),
    [aux_sym_preproc_def_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token2] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5484),
    [sym_preproc_directive] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_TILDE] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym_typedef] = ACTIONS(5484),
    [anon_sym_virtual] = ACTIONS(5484),
    [anon_sym_extern] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym___attribute] = ACTIONS(5484),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5486),
    [anon_sym___declspec] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_static] = ACTIONS(5484),
    [anon_sym_register] = ACTIONS(5484),
    [anon_sym_inline] = ACTIONS(5484),
    [anon_sym___inline] = ACTIONS(5484),
    [anon_sym___inline__] = ACTIONS(5484),
    [anon_sym___forceinline] = ACTIONS(5484),
    [anon_sym_thread_local] = ACTIONS(5484),
    [anon_sym___thread] = ACTIONS(5484),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym__Nonnull] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym__Alignas] = ACTIONS(5484),
    [sym_primitive_type] = ACTIONS(5484),
    [anon_sym_enum] = ACTIONS(5484),
    [anon_sym_class] = ACTIONS(5484),
    [anon_sym_struct] = ACTIONS(5484),
    [anon_sym_union] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_explicit] = ACTIONS(5484),
    [anon_sym_typename] = ACTIONS(5484),
    [anon_sym_template] = ACTIONS(5484),
    [anon_sym_operator] = ACTIONS(5484),
    [anon_sym_friend] = ACTIONS(5484),
    [anon_sym_public] = ACTIONS(5484),
    [anon_sym_private] = ACTIONS(5484),
    [anon_sym_protected] = ACTIONS(5484),
    [anon_sym_using] = ACTIONS(5484),
    [anon_sym_static_assert] = ACTIONS(5484),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(5488),
    [aux_sym_preproc_def_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token2] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5488),
    [sym_preproc_directive] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_TILDE] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym_typedef] = ACTIONS(5488),
    [anon_sym_virtual] = ACTIONS(5488),
    [anon_sym_extern] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5490),
    [anon_sym___declspec] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_static] = ACTIONS(5488),
    [anon_sym_register] = ACTIONS(5488),
    [anon_sym_inline] = ACTIONS(5488),
    [anon_sym___inline] = ACTIONS(5488),
    [anon_sym___inline__] = ACTIONS(5488),
    [anon_sym___forceinline] = ACTIONS(5488),
    [anon_sym_thread_local] = ACTIONS(5488),
    [anon_sym___thread] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_enum] = ACTIONS(5488),
    [anon_sym_class] = ACTIONS(5488),
    [anon_sym_struct] = ACTIONS(5488),
    [anon_sym_union] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_explicit] = ACTIONS(5488),
    [anon_sym_typename] = ACTIONS(5488),
    [anon_sym_template] = ACTIONS(5488),
    [anon_sym_operator] = ACTIONS(5488),
    [anon_sym_friend] = ACTIONS(5488),
    [anon_sym_public] = ACTIONS(5488),
    [anon_sym_private] = ACTIONS(5488),
    [anon_sym_protected] = ACTIONS(5488),
    [anon_sym_using] = ACTIONS(5488),
    [anon_sym_static_assert] = ACTIONS(5488),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [1930] = {
    [sym_string_literal] = STATE(1933),
    [sym_raw_string_literal] = STATE(1933),
    [aux_sym_concatenated_string_repeat1] = STATE(1933),
    [sym_identifier] = ACTIONS(5805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5249),
    [anon_sym_COMMA] = ACTIONS(5249),
    [anon_sym_LPAREN2] = ACTIONS(5249),
    [anon_sym_DASH] = ACTIONS(5251),
    [anon_sym_PLUS] = ACTIONS(5251),
    [anon_sym_STAR] = ACTIONS(5251),
    [anon_sym_SLASH] = ACTIONS(5251),
    [anon_sym_PERCENT] = ACTIONS(5251),
    [anon_sym_PIPE_PIPE] = ACTIONS(5249),
    [anon_sym_AMP_AMP] = ACTIONS(5249),
    [anon_sym_PIPE] = ACTIONS(5251),
    [anon_sym_CARET] = ACTIONS(5251),
    [anon_sym_AMP] = ACTIONS(5251),
    [anon_sym_EQ_EQ] = ACTIONS(5249),
    [anon_sym_BANG_EQ] = ACTIONS(5249),
    [anon_sym_GT] = ACTIONS(5251),
    [anon_sym_GT_EQ] = ACTIONS(5249),
    [anon_sym_LT_EQ] = ACTIONS(5251),
    [anon_sym_LT] = ACTIONS(5251),
    [anon_sym_LT_LT] = ACTIONS(5251),
    [anon_sym_GT_GT] = ACTIONS(5251),
    [anon_sym_SEMI] = ACTIONS(5249),
    [anon_sym___attribute__] = ACTIONS(5251),
    [anon_sym___attribute] = ACTIONS(5251),
    [anon_sym_LBRACK] = ACTIONS(5249),
    [anon_sym_EQ] = ACTIONS(5251),
    [anon_sym_QMARK] = ACTIONS(5249),
    [anon_sym_STAR_EQ] = ACTIONS(5249),
    [anon_sym_SLASH_EQ] = ACTIONS(5249),
    [anon_sym_PERCENT_EQ] = ACTIONS(5249),
    [anon_sym_PLUS_EQ] = ACTIONS(5249),
    [anon_sym_DASH_EQ] = ACTIONS(5249),
    [anon_sym_LT_LT_EQ] = ACTIONS(5249),
    [anon_sym_GT_GT_EQ] = ACTIONS(5249),
    [anon_sym_AMP_EQ] = ACTIONS(5249),
    [anon_sym_CARET_EQ] = ACTIONS(5249),
    [anon_sym_PIPE_EQ] = ACTIONS(5249),
    [anon_sym_and_eq] = ACTIONS(5251),
    [anon_sym_or_eq] = ACTIONS(5251),
    [anon_sym_xor_eq] = ACTIONS(5251),
    [anon_sym_LT_EQ_GT] = ACTIONS(5249),
    [anon_sym_or] = ACTIONS(5251),
    [anon_sym_and] = ACTIONS(5251),
    [anon_sym_bitor] = ACTIONS(5251),
    [anon_sym_xor] = ACTIONS(5251),
    [anon_sym_bitand] = ACTIONS(5251),
    [anon_sym_not_eq] = ACTIONS(5251),
    [anon_sym_DASH_DASH] = ACTIONS(5249),
    [anon_sym_PLUS_PLUS] = ACTIONS(5249),
    [anon_sym_DOT] = ACTIONS(5251),
    [anon_sym_DOT_STAR] = ACTIONS(5249),
    [anon_sym_DASH_GT] = ACTIONS(5249),
    [anon_sym_L_DQUOTE] = ACTIONS(5807),
    [anon_sym_u_DQUOTE] = ACTIONS(5807),
    [anon_sym_U_DQUOTE] = ACTIONS(5807),
    [anon_sym_u8_DQUOTE] = ACTIONS(5807),
    [anon_sym_DQUOTE] = ACTIONS(5807),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5809),
    [anon_sym_LR_DQUOTE] = ACTIONS(5809),
    [anon_sym_uR_DQUOTE] = ACTIONS(5809),
    [anon_sym_UR_DQUOTE] = ACTIONS(5809),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5809),
    [sym_literal_suffix] = ACTIONS(5251),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [1933] = {
    [sym_string_literal] = STATE(1937),
    [sym_raw_string_literal] = STATE(1937),
    [aux_sym_concatenated_string_repeat1] = STATE(1937),
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5255),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_SEMI] = ACTIONS(5255),
    [anon_sym___attribute__] = ACTIONS(5257),
    [anon_sym___attribute] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5255),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5255),
    [anon_sym_L_DQUOTE] = ACTIONS(5807),
    [anon_sym_u_DQUOTE] = ACTIONS(5807),
    [anon_sym_U_DQUOTE] = ACTIONS(5807),
    [anon_sym_u8_DQUOTE] = ACTIONS(5807),
    [anon_sym_DQUOTE] = ACTIONS(5807),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5809),
    [anon_sym_LR_DQUOTE] = ACTIONS(5809),
    [anon_sym_uR_DQUOTE] = ACTIONS(5809),
    [anon_sym_UR_DQUOTE] = ACTIONS(5809),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5809),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(2711),
    [aux_sym_preproc_def_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token2] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2711),
    [sym_preproc_directive] = ACTIONS(2711),
    [anon_sym_LPAREN2] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2711),
    [anon_sym_virtual] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym___attribute__] = ACTIONS(2711),
    [anon_sym___attribute] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2713),
    [anon_sym___declspec] = ACTIONS(2711),
    [anon_sym___based] = ACTIONS(2711),
    [anon_sym_signed] = ACTIONS(2711),
    [anon_sym_unsigned] = ACTIONS(2711),
    [anon_sym_long] = ACTIONS(2711),
    [anon_sym_short] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_register] = ACTIONS(2711),
    [anon_sym_inline] = ACTIONS(2711),
    [anon_sym___inline] = ACTIONS(2711),
    [anon_sym___inline__] = ACTIONS(2711),
    [anon_sym___forceinline] = ACTIONS(2711),
    [anon_sym_thread_local] = ACTIONS(2711),
    [anon_sym___thread] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_constexpr] = ACTIONS(2711),
    [anon_sym_volatile] = ACTIONS(2711),
    [anon_sym_restrict] = ACTIONS(2711),
    [anon_sym___restrict__] = ACTIONS(2711),
    [anon_sym__Atomic] = ACTIONS(2711),
    [anon_sym__Noreturn] = ACTIONS(2711),
    [anon_sym_noreturn] = ACTIONS(2711),
    [anon_sym__Nonnull] = ACTIONS(2711),
    [anon_sym_mutable] = ACTIONS(2711),
    [anon_sym_constinit] = ACTIONS(2711),
    [anon_sym_consteval] = ACTIONS(2711),
    [anon_sym_alignas] = ACTIONS(2711),
    [anon_sym__Alignas] = ACTIONS(2711),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2711),
    [anon_sym_decltype] = ACTIONS(2711),
    [anon_sym_explicit] = ACTIONS(2711),
    [anon_sym_typename] = ACTIONS(2711),
    [anon_sym_template] = ACTIONS(2711),
    [anon_sym_operator] = ACTIONS(2711),
    [anon_sym_friend] = ACTIONS(2711),
    [anon_sym_public] = ACTIONS(2711),
    [anon_sym_private] = ACTIONS(2711),
    [anon_sym_protected] = ACTIONS(2711),
    [anon_sym_using] = ACTIONS(2711),
    [anon_sym_static_assert] = ACTIONS(2711),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(3071),
    [aux_sym_preproc_def_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3071),
    [sym_preproc_directive] = ACTIONS(3071),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3073),
    [anon_sym_AMP_AMP] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3071),
    [anon_sym_typedef] = ACTIONS(3071),
    [anon_sym_virtual] = ACTIONS(3071),
    [anon_sym_extern] = ACTIONS(3071),
    [anon_sym___attribute__] = ACTIONS(3071),
    [anon_sym___attribute] = ACTIONS(3071),
    [anon_sym_COLON_COLON] = ACTIONS(3073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3073),
    [anon_sym___declspec] = ACTIONS(3071),
    [anon_sym___based] = ACTIONS(3071),
    [anon_sym_RBRACE] = ACTIONS(3073),
    [anon_sym_signed] = ACTIONS(3071),
    [anon_sym_unsigned] = ACTIONS(3071),
    [anon_sym_long] = ACTIONS(3071),
    [anon_sym_short] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_static] = ACTIONS(3071),
    [anon_sym_register] = ACTIONS(3071),
    [anon_sym_inline] = ACTIONS(3071),
    [anon_sym___inline] = ACTIONS(3071),
    [anon_sym___inline__] = ACTIONS(3071),
    [anon_sym___forceinline] = ACTIONS(3071),
    [anon_sym_thread_local] = ACTIONS(3071),
    [anon_sym___thread] = ACTIONS(3071),
    [anon_sym_const] = ACTIONS(3071),
    [anon_sym_constexpr] = ACTIONS(3071),
    [anon_sym_volatile] = ACTIONS(3071),
    [anon_sym_restrict] = ACTIONS(3071),
    [anon_sym___restrict__] = ACTIONS(3071),
    [anon_sym__Atomic] = ACTIONS(3071),
    [anon_sym__Noreturn] = ACTIONS(3071),
    [anon_sym_noreturn] = ACTIONS(3071),
    [anon_sym__Nonnull] = ACTIONS(3071),
    [anon_sym_mutable] = ACTIONS(3071),
    [anon_sym_constinit] = ACTIONS(3071),
    [anon_sym_consteval] = ACTIONS(3071),
    [anon_sym_alignas] = ACTIONS(3071),
    [anon_sym__Alignas] = ACTIONS(3071),
    [sym_primitive_type] = ACTIONS(3071),
    [anon_sym_enum] = ACTIONS(3071),
    [anon_sym_class] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3071),
    [anon_sym_union] = ACTIONS(3071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3071),
    [anon_sym_decltype] = ACTIONS(3071),
    [anon_sym_explicit] = ACTIONS(3071),
    [anon_sym_typename] = ACTIONS(3071),
    [anon_sym_template] = ACTIONS(3071),
    [anon_sym_operator] = ACTIONS(3071),
    [anon_sym_friend] = ACTIONS(3071),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3071),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(5488),
    [aux_sym_preproc_def_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token2] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5488),
    [sym_preproc_directive] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_TILDE] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym_typedef] = ACTIONS(5488),
    [anon_sym_virtual] = ACTIONS(5488),
    [anon_sym_extern] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5490),
    [anon_sym___declspec] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_static] = ACTIONS(5488),
    [anon_sym_register] = ACTIONS(5488),
    [anon_sym_inline] = ACTIONS(5488),
    [anon_sym___inline] = ACTIONS(5488),
    [anon_sym___inline__] = ACTIONS(5488),
    [anon_sym___forceinline] = ACTIONS(5488),
    [anon_sym_thread_local] = ACTIONS(5488),
    [anon_sym___thread] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_enum] = ACTIONS(5488),
    [anon_sym_class] = ACTIONS(5488),
    [anon_sym_struct] = ACTIONS(5488),
    [anon_sym_union] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_explicit] = ACTIONS(5488),
    [anon_sym_typename] = ACTIONS(5488),
    [anon_sym_template] = ACTIONS(5488),
    [anon_sym_operator] = ACTIONS(5488),
    [anon_sym_friend] = ACTIONS(5488),
    [anon_sym_public] = ACTIONS(5488),
    [anon_sym_private] = ACTIONS(5488),
    [anon_sym_protected] = ACTIONS(5488),
    [anon_sym_using] = ACTIONS(5488),
    [anon_sym_static_assert] = ACTIONS(5488),
  },
  [1937] = {
    [sym_string_literal] = STATE(1937),
    [sym_raw_string_literal] = STATE(1937),
    [aux_sym_concatenated_string_repeat1] = STATE(1937),
    [sym_identifier] = ACTIONS(5813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5266),
    [anon_sym_COMMA] = ACTIONS(5266),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5268),
    [anon_sym_STAR] = ACTIONS(5268),
    [anon_sym_SLASH] = ACTIONS(5268),
    [anon_sym_PERCENT] = ACTIONS(5268),
    [anon_sym_PIPE_PIPE] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_PIPE] = ACTIONS(5268),
    [anon_sym_CARET] = ACTIONS(5268),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_EQ_EQ] = ACTIONS(5266),
    [anon_sym_BANG_EQ] = ACTIONS(5266),
    [anon_sym_GT] = ACTIONS(5268),
    [anon_sym_GT_EQ] = ACTIONS(5266),
    [anon_sym_LT_EQ] = ACTIONS(5268),
    [anon_sym_LT] = ACTIONS(5268),
    [anon_sym_LT_LT] = ACTIONS(5268),
    [anon_sym_GT_GT] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym___attribute] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [anon_sym_EQ] = ACTIONS(5268),
    [anon_sym_QMARK] = ACTIONS(5266),
    [anon_sym_STAR_EQ] = ACTIONS(5266),
    [anon_sym_SLASH_EQ] = ACTIONS(5266),
    [anon_sym_PERCENT_EQ] = ACTIONS(5266),
    [anon_sym_PLUS_EQ] = ACTIONS(5266),
    [anon_sym_DASH_EQ] = ACTIONS(5266),
    [anon_sym_LT_LT_EQ] = ACTIONS(5266),
    [anon_sym_GT_GT_EQ] = ACTIONS(5266),
    [anon_sym_AMP_EQ] = ACTIONS(5266),
    [anon_sym_CARET_EQ] = ACTIONS(5266),
    [anon_sym_PIPE_EQ] = ACTIONS(5266),
    [anon_sym_and_eq] = ACTIONS(5268),
    [anon_sym_or_eq] = ACTIONS(5268),
    [anon_sym_xor_eq] = ACTIONS(5268),
    [anon_sym_LT_EQ_GT] = ACTIONS(5266),
    [anon_sym_or] = ACTIONS(5268),
    [anon_sym_and] = ACTIONS(5268),
    [anon_sym_bitor] = ACTIONS(5268),
    [anon_sym_xor] = ACTIONS(5268),
    [anon_sym_bitand] = ACTIONS(5268),
    [anon_sym_not_eq] = ACTIONS(5268),
    [anon_sym_DASH_DASH] = ACTIONS(5266),
    [anon_sym_PLUS_PLUS] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_DOT_STAR] = ACTIONS(5266),
    [anon_sym_DASH_GT] = ACTIONS(5266),
    [anon_sym_L_DQUOTE] = ACTIONS(5816),
    [anon_sym_u_DQUOTE] = ACTIONS(5816),
    [anon_sym_U_DQUOTE] = ACTIONS(5816),
    [anon_sym_u8_DQUOTE] = ACTIONS(5816),
    [anon_sym_DQUOTE] = ACTIONS(5816),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5819),
    [anon_sym_LR_DQUOTE] = ACTIONS(5819),
    [anon_sym_uR_DQUOTE] = ACTIONS(5819),
    [anon_sym_UR_DQUOTE] = ACTIONS(5819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5819),
    [sym_literal_suffix] = ACTIONS(5268),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym___attribute] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym__Nonnull] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym__Alignas] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_friend] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(2687),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2687),
    [sym_preproc_directive] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym___extension__] = ACTIONS(2687),
    [anon_sym_typedef] = ACTIONS(2687),
    [anon_sym_virtual] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym___attribute__] = ACTIONS(2687),
    [anon_sym___attribute] = ACTIONS(2687),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2689),
    [anon_sym___declspec] = ACTIONS(2687),
    [anon_sym___based] = ACTIONS(2687),
    [anon_sym_signed] = ACTIONS(2687),
    [anon_sym_unsigned] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_register] = ACTIONS(2687),
    [anon_sym_inline] = ACTIONS(2687),
    [anon_sym___inline] = ACTIONS(2687),
    [anon_sym___inline__] = ACTIONS(2687),
    [anon_sym___forceinline] = ACTIONS(2687),
    [anon_sym_thread_local] = ACTIONS(2687),
    [anon_sym___thread] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_constexpr] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_restrict] = ACTIONS(2687),
    [anon_sym___restrict__] = ACTIONS(2687),
    [anon_sym__Atomic] = ACTIONS(2687),
    [anon_sym__Noreturn] = ACTIONS(2687),
    [anon_sym_noreturn] = ACTIONS(2687),
    [anon_sym__Nonnull] = ACTIONS(2687),
    [anon_sym_mutable] = ACTIONS(2687),
    [anon_sym_constinit] = ACTIONS(2687),
    [anon_sym_consteval] = ACTIONS(2687),
    [anon_sym_alignas] = ACTIONS(2687),
    [anon_sym__Alignas] = ACTIONS(2687),
    [sym_primitive_type] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2687),
    [anon_sym_decltype] = ACTIONS(2687),
    [anon_sym_explicit] = ACTIONS(2687),
    [anon_sym_typename] = ACTIONS(2687),
    [anon_sym_template] = ACTIONS(2687),
    [anon_sym_operator] = ACTIONS(2687),
    [anon_sym_friend] = ACTIONS(2687),
    [anon_sym_public] = ACTIONS(2687),
    [anon_sym_private] = ACTIONS(2687),
    [anon_sym_protected] = ACTIONS(2687),
    [anon_sym_using] = ACTIONS(2687),
    [anon_sym_static_assert] = ACTIONS(2687),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym___attribute] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_friend] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym___attribute] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym___attribute] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_friend] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_TILDE] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5432),
    [anon_sym_typedef] = ACTIONS(5432),
    [anon_sym_virtual] = ACTIONS(5432),
    [anon_sym_extern] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(5432),
    [anon_sym___attribute] = ACTIONS(5432),
    [anon_sym_COLON_COLON] = ACTIONS(5434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5434),
    [anon_sym___declspec] = ACTIONS(5432),
    [anon_sym___based] = ACTIONS(5432),
    [anon_sym_RBRACE] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5432),
    [anon_sym_unsigned] = ACTIONS(5432),
    [anon_sym_long] = ACTIONS(5432),
    [anon_sym_short] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_static] = ACTIONS(5432),
    [anon_sym_register] = ACTIONS(5432),
    [anon_sym_inline] = ACTIONS(5432),
    [anon_sym___inline] = ACTIONS(5432),
    [anon_sym___inline__] = ACTIONS(5432),
    [anon_sym___forceinline] = ACTIONS(5432),
    [anon_sym_thread_local] = ACTIONS(5432),
    [anon_sym___thread] = ACTIONS(5432),
    [anon_sym_const] = ACTIONS(5432),
    [anon_sym_constexpr] = ACTIONS(5432),
    [anon_sym_volatile] = ACTIONS(5432),
    [anon_sym_restrict] = ACTIONS(5432),
    [anon_sym___restrict__] = ACTIONS(5432),
    [anon_sym__Atomic] = ACTIONS(5432),
    [anon_sym__Noreturn] = ACTIONS(5432),
    [anon_sym_noreturn] = ACTIONS(5432),
    [anon_sym__Nonnull] = ACTIONS(5432),
    [anon_sym_mutable] = ACTIONS(5432),
    [anon_sym_constinit] = ACTIONS(5432),
    [anon_sym_consteval] = ACTIONS(5432),
    [anon_sym_alignas] = ACTIONS(5432),
    [anon_sym__Alignas] = ACTIONS(5432),
    [sym_primitive_type] = ACTIONS(5432),
    [anon_sym_enum] = ACTIONS(5432),
    [anon_sym_class] = ACTIONS(5432),
    [anon_sym_struct] = ACTIONS(5432),
    [anon_sym_union] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
    [anon_sym_explicit] = ACTIONS(5432),
    [anon_sym_typename] = ACTIONS(5432),
    [anon_sym_template] = ACTIONS(5432),
    [anon_sym_operator] = ACTIONS(5432),
    [anon_sym_friend] = ACTIONS(5432),
    [anon_sym_public] = ACTIONS(5432),
    [anon_sym_private] = ACTIONS(5432),
    [anon_sym_protected] = ACTIONS(5432),
    [anon_sym_using] = ACTIONS(5432),
    [anon_sym_static_assert] = ACTIONS(5432),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym___attribute] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_friend] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym___attribute] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym___attribute] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym___attribute] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_friend] = ACTIONS(2940),
    [anon_sym_public] = ACTIONS(2940),
    [anon_sym_private] = ACTIONS(2940),
    [anon_sym_protected] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym___attribute] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym__Nonnull] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym__Alignas] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5438),
    [anon_sym_TILDE] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5436),
    [anon_sym_typedef] = ACTIONS(5436),
    [anon_sym_virtual] = ACTIONS(5436),
    [anon_sym_extern] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5436),
    [anon_sym___attribute] = ACTIONS(5436),
    [anon_sym_COLON_COLON] = ACTIONS(5438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5438),
    [anon_sym___declspec] = ACTIONS(5436),
    [anon_sym___based] = ACTIONS(5436),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_signed] = ACTIONS(5436),
    [anon_sym_unsigned] = ACTIONS(5436),
    [anon_sym_long] = ACTIONS(5436),
    [anon_sym_short] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5436),
    [anon_sym_static] = ACTIONS(5436),
    [anon_sym_register] = ACTIONS(5436),
    [anon_sym_inline] = ACTIONS(5436),
    [anon_sym___inline] = ACTIONS(5436),
    [anon_sym___inline__] = ACTIONS(5436),
    [anon_sym___forceinline] = ACTIONS(5436),
    [anon_sym_thread_local] = ACTIONS(5436),
    [anon_sym___thread] = ACTIONS(5436),
    [anon_sym_const] = ACTIONS(5436),
    [anon_sym_constexpr] = ACTIONS(5436),
    [anon_sym_volatile] = ACTIONS(5436),
    [anon_sym_restrict] = ACTIONS(5436),
    [anon_sym___restrict__] = ACTIONS(5436),
    [anon_sym__Atomic] = ACTIONS(5436),
    [anon_sym__Noreturn] = ACTIONS(5436),
    [anon_sym_noreturn] = ACTIONS(5436),
    [anon_sym__Nonnull] = ACTIONS(5436),
    [anon_sym_mutable] = ACTIONS(5436),
    [anon_sym_constinit] = ACTIONS(5436),
    [anon_sym_consteval] = ACTIONS(5436),
    [anon_sym_alignas] = ACTIONS(5436),
    [anon_sym__Alignas] = ACTIONS(5436),
    [sym_primitive_type] = ACTIONS(5436),
    [anon_sym_enum] = ACTIONS(5436),
    [anon_sym_class] = ACTIONS(5436),
    [anon_sym_struct] = ACTIONS(5436),
    [anon_sym_union] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5436),
    [anon_sym_decltype] = ACTIONS(5436),
    [anon_sym_explicit] = ACTIONS(5436),
    [anon_sym_typename] = ACTIONS(5436),
    [anon_sym_template] = ACTIONS(5436),
    [anon_sym_operator] = ACTIONS(5436),
    [anon_sym_friend] = ACTIONS(5436),
    [anon_sym_public] = ACTIONS(5436),
    [anon_sym_private] = ACTIONS(5436),
    [anon_sym_protected] = ACTIONS(5436),
    [anon_sym_using] = ACTIONS(5436),
    [anon_sym_static_assert] = ACTIONS(5436),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(5440),
    [aux_sym_preproc_def_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token1] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5440),
    [sym_preproc_directive] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_TILDE] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___extension__] = ACTIONS(5440),
    [anon_sym_typedef] = ACTIONS(5440),
    [anon_sym_virtual] = ACTIONS(5440),
    [anon_sym_extern] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym___attribute] = ACTIONS(5440),
    [anon_sym_COLON_COLON] = ACTIONS(5442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5442),
    [anon_sym___declspec] = ACTIONS(5440),
    [anon_sym___based] = ACTIONS(5440),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_signed] = ACTIONS(5440),
    [anon_sym_unsigned] = ACTIONS(5440),
    [anon_sym_long] = ACTIONS(5440),
    [anon_sym_short] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_static] = ACTIONS(5440),
    [anon_sym_register] = ACTIONS(5440),
    [anon_sym_inline] = ACTIONS(5440),
    [anon_sym___inline] = ACTIONS(5440),
    [anon_sym___inline__] = ACTIONS(5440),
    [anon_sym___forceinline] = ACTIONS(5440),
    [anon_sym_thread_local] = ACTIONS(5440),
    [anon_sym___thread] = ACTIONS(5440),
    [anon_sym_const] = ACTIONS(5440),
    [anon_sym_constexpr] = ACTIONS(5440),
    [anon_sym_volatile] = ACTIONS(5440),
    [anon_sym_restrict] = ACTIONS(5440),
    [anon_sym___restrict__] = ACTIONS(5440),
    [anon_sym__Atomic] = ACTIONS(5440),
    [anon_sym__Noreturn] = ACTIONS(5440),
    [anon_sym_noreturn] = ACTIONS(5440),
    [anon_sym__Nonnull] = ACTIONS(5440),
    [anon_sym_mutable] = ACTIONS(5440),
    [anon_sym_constinit] = ACTIONS(5440),
    [anon_sym_consteval] = ACTIONS(5440),
    [anon_sym_alignas] = ACTIONS(5440),
    [anon_sym__Alignas] = ACTIONS(5440),
    [sym_primitive_type] = ACTIONS(5440),
    [anon_sym_enum] = ACTIONS(5440),
    [anon_sym_class] = ACTIONS(5440),
    [anon_sym_struct] = ACTIONS(5440),
    [anon_sym_union] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
    [anon_sym_explicit] = ACTIONS(5440),
    [anon_sym_typename] = ACTIONS(5440),
    [anon_sym_template] = ACTIONS(5440),
    [anon_sym_operator] = ACTIONS(5440),
    [anon_sym_friend] = ACTIONS(5440),
    [anon_sym_public] = ACTIONS(5440),
    [anon_sym_private] = ACTIONS(5440),
    [anon_sym_protected] = ACTIONS(5440),
    [anon_sym_using] = ACTIONS(5440),
    [anon_sym_static_assert] = ACTIONS(5440),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_friend] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_friend] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
  },
  [1956] = {
    [sym_template_argument_list] = STATE(1560),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2172),
    [sym_identifier] = ACTIONS(5822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5824),
    [anon_sym_COMMA] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_else_token1] = ACTIONS(5824),
    [aux_sym_preproc_elif_token1] = ACTIONS(5822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_DASH] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5822),
    [anon_sym_STAR] = ACTIONS(5822),
    [anon_sym_SLASH] = ACTIONS(5822),
    [anon_sym_PERCENT] = ACTIONS(5822),
    [anon_sym_PIPE_PIPE] = ACTIONS(5824),
    [anon_sym_AMP_AMP] = ACTIONS(5824),
    [anon_sym_PIPE] = ACTIONS(5822),
    [anon_sym_CARET] = ACTIONS(5822),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym_EQ_EQ] = ACTIONS(5824),
    [anon_sym_BANG_EQ] = ACTIONS(5824),
    [anon_sym_GT] = ACTIONS(5822),
    [anon_sym_GT_EQ] = ACTIONS(5824),
    [anon_sym_LT_EQ] = ACTIONS(5822),
    [anon_sym_LT] = ACTIONS(5822),
    [anon_sym_LT_LT] = ACTIONS(5822),
    [anon_sym_GT_GT] = ACTIONS(5822),
    [anon_sym___attribute__] = ACTIONS(5822),
    [anon_sym___attribute] = ACTIONS(5822),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(5824),
    [anon_sym_signed] = ACTIONS(5826),
    [anon_sym_unsigned] = ACTIONS(5826),
    [anon_sym_long] = ACTIONS(5826),
    [anon_sym_short] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5824),
    [anon_sym_EQ] = ACTIONS(5822),
    [anon_sym_QMARK] = ACTIONS(5824),
    [anon_sym_STAR_EQ] = ACTIONS(5824),
    [anon_sym_SLASH_EQ] = ACTIONS(5824),
    [anon_sym_PERCENT_EQ] = ACTIONS(5824),
    [anon_sym_PLUS_EQ] = ACTIONS(5824),
    [anon_sym_DASH_EQ] = ACTIONS(5824),
    [anon_sym_LT_LT_EQ] = ACTIONS(5824),
    [anon_sym_GT_GT_EQ] = ACTIONS(5824),
    [anon_sym_AMP_EQ] = ACTIONS(5824),
    [anon_sym_CARET_EQ] = ACTIONS(5824),
    [anon_sym_PIPE_EQ] = ACTIONS(5824),
    [anon_sym_and_eq] = ACTIONS(5822),
    [anon_sym_or_eq] = ACTIONS(5822),
    [anon_sym_xor_eq] = ACTIONS(5822),
    [anon_sym_LT_EQ_GT] = ACTIONS(5824),
    [anon_sym_or] = ACTIONS(5822),
    [anon_sym_and] = ACTIONS(5822),
    [anon_sym_bitor] = ACTIONS(5822),
    [anon_sym_xor] = ACTIONS(5822),
    [anon_sym_bitand] = ACTIONS(5822),
    [anon_sym_not_eq] = ACTIONS(5822),
    [anon_sym_DASH_DASH] = ACTIONS(5824),
    [anon_sym_PLUS_PLUS] = ACTIONS(5824),
    [anon_sym_DOT] = ACTIONS(5822),
    [anon_sym_DOT_STAR] = ACTIONS(5824),
    [anon_sym_DASH_GT] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5822),
    [anon_sym_decltype] = ACTIONS(5822),
  },
  [1957] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(5014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [aux_sym_preproc_if_token2] = ACTIONS(5011),
    [aux_sym_preproc_else_token1] = ACTIONS(5011),
    [aux_sym_preproc_elif_token1] = ACTIONS(5014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5014),
    [anon_sym_PLUS] = ACTIONS(5014),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5014),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5014),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5014),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5014),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5014),
    [anon_sym_LT] = ACTIONS(5014),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(5014),
    [anon_sym___attribute] = ACTIONS(5014),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5014),
    [anon_sym_and] = ACTIONS(5014),
    [anon_sym_bitor] = ACTIONS(5014),
    [anon_sym_xor] = ACTIONS(5014),
    [anon_sym_bitand] = ACTIONS(5014),
    [anon_sym_not_eq] = ACTIONS(5014),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5014),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5014),
    [anon_sym_decltype] = ACTIONS(5014),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym___attribute] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(5444),
    [aux_sym_preproc_def_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5444),
    [sym_preproc_directive] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym_typedef] = ACTIONS(5444),
    [anon_sym_virtual] = ACTIONS(5444),
    [anon_sym_extern] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym___attribute] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5446),
    [anon_sym___declspec] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_static] = ACTIONS(5444),
    [anon_sym_register] = ACTIONS(5444),
    [anon_sym_inline] = ACTIONS(5444),
    [anon_sym___inline] = ACTIONS(5444),
    [anon_sym___inline__] = ACTIONS(5444),
    [anon_sym___forceinline] = ACTIONS(5444),
    [anon_sym_thread_local] = ACTIONS(5444),
    [anon_sym___thread] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym__Nonnull] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym__Alignas] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_enum] = ACTIONS(5444),
    [anon_sym_class] = ACTIONS(5444),
    [anon_sym_struct] = ACTIONS(5444),
    [anon_sym_union] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_explicit] = ACTIONS(5444),
    [anon_sym_typename] = ACTIONS(5444),
    [anon_sym_template] = ACTIONS(5444),
    [anon_sym_operator] = ACTIONS(5444),
    [anon_sym_friend] = ACTIONS(5444),
    [anon_sym_public] = ACTIONS(5444),
    [anon_sym_private] = ACTIONS(5444),
    [anon_sym_protected] = ACTIONS(5444),
    [anon_sym_using] = ACTIONS(5444),
    [anon_sym_static_assert] = ACTIONS(5444),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_friend] = ACTIONS(2953),
    [anon_sym_public] = ACTIONS(2953),
    [anon_sym_private] = ACTIONS(2953),
    [anon_sym_protected] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym___attribute] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym_RBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_friend] = ACTIONS(3123),
    [anon_sym_public] = ACTIONS(3123),
    [anon_sym_private] = ACTIONS(3123),
    [anon_sym_protected] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_friend] = ACTIONS(2957),
    [anon_sym_public] = ACTIONS(2957),
    [anon_sym_private] = ACTIONS(2957),
    [anon_sym_protected] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym___attribute] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym__Nonnull] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [1966] = {
    [sym_identifier] = ACTIONS(5492),
    [aux_sym_preproc_def_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token1] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5492),
    [sym_preproc_directive] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_TILDE] = ACTIONS(5494),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym_typedef] = ACTIONS(5492),
    [anon_sym_virtual] = ACTIONS(5492),
    [anon_sym_extern] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym_COLON_COLON] = ACTIONS(5494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5494),
    [anon_sym___declspec] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_static] = ACTIONS(5492),
    [anon_sym_register] = ACTIONS(5492),
    [anon_sym_inline] = ACTIONS(5492),
    [anon_sym___inline] = ACTIONS(5492),
    [anon_sym___inline__] = ACTIONS(5492),
    [anon_sym___forceinline] = ACTIONS(5492),
    [anon_sym_thread_local] = ACTIONS(5492),
    [anon_sym___thread] = ACTIONS(5492),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym__Nonnull] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym__Alignas] = ACTIONS(5492),
    [sym_primitive_type] = ACTIONS(5492),
    [anon_sym_enum] = ACTIONS(5492),
    [anon_sym_class] = ACTIONS(5492),
    [anon_sym_struct] = ACTIONS(5492),
    [anon_sym_union] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_explicit] = ACTIONS(5492),
    [anon_sym_typename] = ACTIONS(5492),
    [anon_sym_template] = ACTIONS(5492),
    [anon_sym_operator] = ACTIONS(5492),
    [anon_sym_friend] = ACTIONS(5492),
    [anon_sym_public] = ACTIONS(5492),
    [anon_sym_private] = ACTIONS(5492),
    [anon_sym_protected] = ACTIONS(5492),
    [anon_sym_using] = ACTIONS(5492),
    [anon_sym_static_assert] = ACTIONS(5492),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_virtual] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_friend] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_friend] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym___attribute] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [sym_primitive_type] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_friend] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_friend] = ACTIONS(3051),
    [anon_sym_public] = ACTIONS(3051),
    [anon_sym_private] = ACTIONS(3051),
    [anon_sym_protected] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
  },
  [1974] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5828),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [1975] = {
    [sym__declaration_modifiers] = STATE(3302),
    [sym_attribute_specifier] = STATE(3302),
    [sym_attribute_declaration] = STATE(3302),
    [sym_ms_declspec_modifier] = STATE(3302),
    [sym_storage_class_specifier] = STATE(3302),
    [sym_type_qualifier] = STATE(3302),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(4012),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6528),
    [sym_qualified_type_identifier] = STATE(2749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3302),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2640),
    [sym_identifier] = ACTIONS(3758),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5832),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3768),
    [anon_sym_unsigned] = ACTIONS(3768),
    [anon_sym_long] = ACTIONS(3768),
    [anon_sym_short] = ACTIONS(3768),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3770),
    [anon_sym_enum] = ACTIONS(3772),
    [anon_sym_class] = ACTIONS(3774),
    [anon_sym_struct] = ACTIONS(3776),
    [anon_sym_union] = ACTIONS(3778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3780),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1976] = {
    [sym_string_literal] = STATE(3150),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___attribute__] = ACTIONS(4063),
    [anon_sym___attribute] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(5834),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(5836),
    [anon_sym_SLASH_EQ] = ACTIONS(5836),
    [anon_sym_PERCENT_EQ] = ACTIONS(5836),
    [anon_sym_PLUS_EQ] = ACTIONS(5836),
    [anon_sym_DASH_EQ] = ACTIONS(5836),
    [anon_sym_LT_LT_EQ] = ACTIONS(5836),
    [anon_sym_GT_GT_EQ] = ACTIONS(5836),
    [anon_sym_AMP_EQ] = ACTIONS(5836),
    [anon_sym_CARET_EQ] = ACTIONS(5836),
    [anon_sym_PIPE_EQ] = ACTIONS(5836),
    [anon_sym_and_eq] = ACTIONS(5836),
    [anon_sym_or_eq] = ACTIONS(5836),
    [anon_sym_xor_eq] = ACTIONS(5836),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(5838),
    [anon_sym_u_DQUOTE] = ACTIONS(5838),
    [anon_sym_U_DQUOTE] = ACTIONS(5838),
    [anon_sym_u8_DQUOTE] = ACTIONS(5838),
    [anon_sym_DQUOTE] = ACTIONS(5838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5840),
    [anon_sym_LR_DQUOTE] = ACTIONS(5840),
    [anon_sym_uR_DQUOTE] = ACTIONS(5840),
    [anon_sym_UR_DQUOTE] = ACTIONS(5840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5840),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_friend] = ACTIONS(3051),
    [anon_sym_public] = ACTIONS(3051),
    [anon_sym_private] = ACTIONS(3051),
    [anon_sym_protected] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym___attribute] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_friend] = ACTIONS(2880),
    [anon_sym_public] = ACTIONS(2880),
    [anon_sym_private] = ACTIONS(2880),
    [anon_sym_protected] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5450),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5450),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5454),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [sym_primitive_type] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(5456),
    [aux_sym_preproc_def_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5456),
    [sym_preproc_directive] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_typedef] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5458),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [sym_primitive_type] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_friend] = ACTIONS(5456),
    [anon_sym_public] = ACTIONS(5456),
    [anon_sym_private] = ACTIONS(5456),
    [anon_sym_protected] = ACTIONS(5456),
    [anon_sym_using] = ACTIONS(5456),
    [anon_sym_static_assert] = ACTIONS(5456),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(5460),
    [aux_sym_preproc_def_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5460),
    [sym_preproc_directive] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5462),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_typedef] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym___attribute] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5462),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym_RBRACE] = ACTIONS(5462),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym__Nonnull] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym__Alignas] = ACTIONS(5460),
    [sym_primitive_type] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_public] = ACTIONS(5460),
    [anon_sym_private] = ACTIONS(5460),
    [anon_sym_protected] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_static_assert] = ACTIONS(5460),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(5464),
    [aux_sym_preproc_def_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5464),
    [sym_preproc_directive] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_typedef] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5466),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [sym_primitive_type] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_public] = ACTIONS(5464),
    [anon_sym_private] = ACTIONS(5464),
    [anon_sym_protected] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_static_assert] = ACTIONS(5464),
  },
  [1986] = {
    [sym_string_literal] = STATE(1654),
    [sym_template_argument_list] = STATE(2819),
    [sym_raw_string_literal] = STATE(1654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(5842),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(5845),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4895),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_LBRACK] = ACTIONS(5848),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_TILDE] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym_typedef] = ACTIONS(5468),
    [anon_sym_virtual] = ACTIONS(5468),
    [anon_sym_extern] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym___attribute] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5470),
    [anon_sym___declspec] = ACTIONS(5468),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_static] = ACTIONS(5468),
    [anon_sym_register] = ACTIONS(5468),
    [anon_sym_inline] = ACTIONS(5468),
    [anon_sym___inline] = ACTIONS(5468),
    [anon_sym___inline__] = ACTIONS(5468),
    [anon_sym___forceinline] = ACTIONS(5468),
    [anon_sym_thread_local] = ACTIONS(5468),
    [anon_sym___thread] = ACTIONS(5468),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym__Nonnull] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [anon_sym_alignas] = ACTIONS(5468),
    [anon_sym__Alignas] = ACTIONS(5468),
    [sym_primitive_type] = ACTIONS(5468),
    [anon_sym_enum] = ACTIONS(5468),
    [anon_sym_class] = ACTIONS(5468),
    [anon_sym_struct] = ACTIONS(5468),
    [anon_sym_union] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_explicit] = ACTIONS(5468),
    [anon_sym_typename] = ACTIONS(5468),
    [anon_sym_template] = ACTIONS(5468),
    [anon_sym_operator] = ACTIONS(5468),
    [anon_sym_friend] = ACTIONS(5468),
    [anon_sym_public] = ACTIONS(5468),
    [anon_sym_private] = ACTIONS(5468),
    [anon_sym_protected] = ACTIONS(5468),
    [anon_sym_using] = ACTIONS(5468),
    [anon_sym_static_assert] = ACTIONS(5468),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym___attribute] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_friend] = ACTIONS(2920),
    [anon_sym_public] = ACTIONS(2920),
    [anon_sym_private] = ACTIONS(2920),
    [anon_sym_protected] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym___attribute] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_friend] = ACTIONS(3051),
    [anon_sym_public] = ACTIONS(3051),
    [anon_sym_private] = ACTIONS(3051),
    [anon_sym_protected] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [aux_sym_preproc_if_token2] = ACTIONS(5378),
    [aux_sym_preproc_else_token1] = ACTIONS(5378),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5378),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_STAR_EQ] = ACTIONS(5378),
    [anon_sym_SLASH_EQ] = ACTIONS(5378),
    [anon_sym_PERCENT_EQ] = ACTIONS(5378),
    [anon_sym_PLUS_EQ] = ACTIONS(5378),
    [anon_sym_DASH_EQ] = ACTIONS(5378),
    [anon_sym_LT_LT_EQ] = ACTIONS(5378),
    [anon_sym_GT_GT_EQ] = ACTIONS(5378),
    [anon_sym_AMP_EQ] = ACTIONS(5378),
    [anon_sym_CARET_EQ] = ACTIONS(5378),
    [anon_sym_PIPE_EQ] = ACTIONS(5378),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_friend] = ACTIONS(2699),
    [anon_sym_public] = ACTIONS(2699),
    [anon_sym_private] = ACTIONS(2699),
    [anon_sym_protected] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
  },
  [1994] = {
    [sym__declaration_modifiers] = STATE(3302),
    [sym_attribute_specifier] = STATE(3302),
    [sym_attribute_declaration] = STATE(3302),
    [sym_ms_declspec_modifier] = STATE(3302),
    [sym_storage_class_specifier] = STATE(3302),
    [sym_type_qualifier] = STATE(3302),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2359),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3302),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5832),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1235),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym___attribute] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_friend] = ACTIONS(2997),
    [anon_sym_public] = ACTIONS(2997),
    [anon_sym_private] = ACTIONS(2997),
    [anon_sym_protected] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(2699),
    [aux_sym_preproc_def_token1] = ACTIONS(2699),
    [aux_sym_preproc_if_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2699),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym___extension__] = ACTIONS(2699),
    [anon_sym_typedef] = ACTIONS(2699),
    [anon_sym_virtual] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym___attribute__] = ACTIONS(2699),
    [anon_sym___attribute] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2701),
    [anon_sym___declspec] = ACTIONS(2699),
    [anon_sym___based] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_signed] = ACTIONS(2699),
    [anon_sym_unsigned] = ACTIONS(2699),
    [anon_sym_long] = ACTIONS(2699),
    [anon_sym_short] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_register] = ACTIONS(2699),
    [anon_sym_inline] = ACTIONS(2699),
    [anon_sym___inline] = ACTIONS(2699),
    [anon_sym___inline__] = ACTIONS(2699),
    [anon_sym___forceinline] = ACTIONS(2699),
    [anon_sym_thread_local] = ACTIONS(2699),
    [anon_sym___thread] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_constexpr] = ACTIONS(2699),
    [anon_sym_volatile] = ACTIONS(2699),
    [anon_sym_restrict] = ACTIONS(2699),
    [anon_sym___restrict__] = ACTIONS(2699),
    [anon_sym__Atomic] = ACTIONS(2699),
    [anon_sym__Noreturn] = ACTIONS(2699),
    [anon_sym_noreturn] = ACTIONS(2699),
    [anon_sym__Nonnull] = ACTIONS(2699),
    [anon_sym_mutable] = ACTIONS(2699),
    [anon_sym_constinit] = ACTIONS(2699),
    [anon_sym_consteval] = ACTIONS(2699),
    [anon_sym_alignas] = ACTIONS(2699),
    [anon_sym__Alignas] = ACTIONS(2699),
    [sym_primitive_type] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2699),
    [anon_sym_decltype] = ACTIONS(2699),
    [anon_sym_explicit] = ACTIONS(2699),
    [anon_sym_typename] = ACTIONS(2699),
    [anon_sym_template] = ACTIONS(2699),
    [anon_sym_operator] = ACTIONS(2699),
    [anon_sym_friend] = ACTIONS(2699),
    [anon_sym_public] = ACTIONS(2699),
    [anon_sym_private] = ACTIONS(2699),
    [anon_sym_protected] = ACTIONS(2699),
    [anon_sym_using] = ACTIONS(2699),
    [anon_sym_static_assert] = ACTIONS(2699),
  },
  [1997] = {
    [sym_ms_based_modifier] = STATE(8004),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(2087),
    [sym__declarator] = STATE(6239),
    [sym__abstract_declarator] = STATE(6651),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_type_qualifier] = STATE(2661),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_parameter_list] = STATE(3304),
    [sym_decltype] = STATE(8209),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5806),
    [sym_qualified_identifier] = STATE(5964),
    [sym_operator_name] = STATE(5964),
    [aux_sym__type_definition_type_repeat1] = STATE(2661),
    [aux_sym_pointer_declarator_repeat1] = STATE(2087),
    [sym_identifier] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5718),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(5851),
    [anon_sym_AMP_AMP] = ACTIONS(5853),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(5726),
    [anon_sym___attribute] = ACTIONS(5726),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(5718),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [1998] = {
    [sym_ms_based_modifier] = STATE(8004),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(2000),
    [sym__declarator] = STATE(6239),
    [sym__abstract_declarator] = STATE(6659),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_type_qualifier] = STATE(2638),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_parameter_list] = STATE(3174),
    [sym_decltype] = STATE(8209),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5806),
    [sym_qualified_identifier] = STATE(5964),
    [sym_operator_name] = STATE(5964),
    [aux_sym__type_definition_type_repeat1] = STATE(2638),
    [aux_sym_pointer_declarator_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5718),
    [anon_sym_RPAREN] = ACTIONS(5718),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5859),
    [anon_sym_AMP] = ACTIONS(5861),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(5726),
    [anon_sym___attribute] = ACTIONS(5726),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(5863),
    [anon_sym_LPAREN2] = ACTIONS(5865),
    [anon_sym_TILDE] = ACTIONS(5865),
    [anon_sym_STAR] = ACTIONS(5865),
    [anon_sym_AMP_AMP] = ACTIONS(5865),
    [anon_sym_AMP] = ACTIONS(5863),
    [anon_sym___extension__] = ACTIONS(5863),
    [anon_sym_virtual] = ACTIONS(5863),
    [anon_sym_extern] = ACTIONS(5863),
    [anon_sym___attribute__] = ACTIONS(5863),
    [anon_sym___attribute] = ACTIONS(5863),
    [anon_sym_COLON_COLON] = ACTIONS(5865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5865),
    [anon_sym___declspec] = ACTIONS(5863),
    [anon_sym___based] = ACTIONS(5863),
    [anon_sym___cdecl] = ACTIONS(5863),
    [anon_sym___clrcall] = ACTIONS(5863),
    [anon_sym___stdcall] = ACTIONS(5863),
    [anon_sym___fastcall] = ACTIONS(5863),
    [anon_sym___thiscall] = ACTIONS(5863),
    [anon_sym___vectorcall] = ACTIONS(5863),
    [anon_sym_LBRACE] = ACTIONS(5865),
    [anon_sym_signed] = ACTIONS(5863),
    [anon_sym_unsigned] = ACTIONS(5863),
    [anon_sym_long] = ACTIONS(5863),
    [anon_sym_short] = ACTIONS(5863),
    [anon_sym_LBRACK] = ACTIONS(5863),
    [anon_sym_static] = ACTIONS(5863),
    [anon_sym_register] = ACTIONS(5863),
    [anon_sym_inline] = ACTIONS(5863),
    [anon_sym___inline] = ACTIONS(5863),
    [anon_sym___inline__] = ACTIONS(5863),
    [anon_sym___forceinline] = ACTIONS(5863),
    [anon_sym_thread_local] = ACTIONS(5863),
    [anon_sym___thread] = ACTIONS(5863),
    [anon_sym_const] = ACTIONS(5863),
    [anon_sym_constexpr] = ACTIONS(5863),
    [anon_sym_volatile] = ACTIONS(5863),
    [anon_sym_restrict] = ACTIONS(5863),
    [anon_sym___restrict__] = ACTIONS(5863),
    [anon_sym__Atomic] = ACTIONS(5863),
    [anon_sym__Noreturn] = ACTIONS(5863),
    [anon_sym_noreturn] = ACTIONS(5863),
    [anon_sym__Nonnull] = ACTIONS(5863),
    [anon_sym_mutable] = ACTIONS(5863),
    [anon_sym_constinit] = ACTIONS(5863),
    [anon_sym_consteval] = ACTIONS(5863),
    [anon_sym_alignas] = ACTIONS(5863),
    [anon_sym__Alignas] = ACTIONS(5863),
    [sym_primitive_type] = ACTIONS(5863),
    [anon_sym_enum] = ACTIONS(5863),
    [anon_sym_class] = ACTIONS(5863),
    [anon_sym_struct] = ACTIONS(5863),
    [anon_sym_union] = ACTIONS(5863),
    [anon_sym_DASH_GT] = ACTIONS(5865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5863),
    [anon_sym_decltype] = ACTIONS(5863),
    [anon_sym_explicit] = ACTIONS(5863),
    [anon_sym_typename] = ACTIONS(5863),
    [anon_sym_template] = ACTIONS(5863),
    [anon_sym_operator] = ACTIONS(5863),
    [anon_sym_friend] = ACTIONS(5863),
    [anon_sym_noexcept] = ACTIONS(5863),
    [anon_sym_throw] = ACTIONS(5863),
    [anon_sym_using] = ACTIONS(5863),
    [anon_sym_concept] = ACTIONS(5863),
    [anon_sym_requires] = ACTIONS(5863),
  },
  [2000] = {
    [sym_ms_based_modifier] = STATE(8004),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(3836),
    [sym__declarator] = STATE(6295),
    [sym__abstract_declarator] = STATE(6632),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_type_qualifier] = STATE(2639),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_parameter_list] = STATE(3174),
    [sym_decltype] = STATE(8209),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5806),
    [sym_qualified_identifier] = STATE(5964),
    [sym_operator_name] = STATE(5964),
    [aux_sym__type_definition_type_repeat1] = STATE(2639),
    [aux_sym_pointer_declarator_repeat1] = STATE(3836),
    [sym_identifier] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5732),
    [anon_sym_RPAREN] = ACTIONS(5732),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5859),
    [anon_sym_AMP] = ACTIONS(5861),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(5734),
    [anon_sym___attribute] = ACTIONS(5734),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_friend] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym___attribute] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_friend] = ACTIONS(3051),
    [anon_sym_public] = ACTIONS(3051),
    [anon_sym_private] = ACTIONS(3051),
    [anon_sym_protected] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
  },
  [2003] = {
    [sym_string_literal] = STATE(1930),
    [sym_template_argument_list] = STATE(2281),
    [sym_raw_string_literal] = STATE(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(5235),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym___attribute__] = ACTIONS(4063),
    [anon_sym___attribute] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(5807),
    [anon_sym_u_DQUOTE] = ACTIONS(5807),
    [anon_sym_U_DQUOTE] = ACTIONS(5807),
    [anon_sym_u8_DQUOTE] = ACTIONS(5807),
    [anon_sym_DQUOTE] = ACTIONS(5807),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5809),
    [anon_sym_LR_DQUOTE] = ACTIONS(5809),
    [anon_sym_uR_DQUOTE] = ACTIONS(5809),
    [anon_sym_UR_DQUOTE] = ACTIONS(5809),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5809),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym___attribute] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym_RBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_friend] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(3071),
    [aux_sym_preproc_def_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token1] = ACTIONS(3071),
    [aux_sym_preproc_if_token2] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3071),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3071),
    [sym_preproc_directive] = ACTIONS(3071),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_TILDE] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3073),
    [anon_sym_AMP_AMP] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3071),
    [anon_sym_typedef] = ACTIONS(3071),
    [anon_sym_virtual] = ACTIONS(3071),
    [anon_sym_extern] = ACTIONS(3071),
    [anon_sym___attribute__] = ACTIONS(3071),
    [anon_sym___attribute] = ACTIONS(3071),
    [anon_sym_COLON_COLON] = ACTIONS(3073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3073),
    [anon_sym___declspec] = ACTIONS(3071),
    [anon_sym___based] = ACTIONS(3071),
    [anon_sym_signed] = ACTIONS(3071),
    [anon_sym_unsigned] = ACTIONS(3071),
    [anon_sym_long] = ACTIONS(3071),
    [anon_sym_short] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_static] = ACTIONS(3071),
    [anon_sym_register] = ACTIONS(3071),
    [anon_sym_inline] = ACTIONS(3071),
    [anon_sym___inline] = ACTIONS(3071),
    [anon_sym___inline__] = ACTIONS(3071),
    [anon_sym___forceinline] = ACTIONS(3071),
    [anon_sym_thread_local] = ACTIONS(3071),
    [anon_sym___thread] = ACTIONS(3071),
    [anon_sym_const] = ACTIONS(3071),
    [anon_sym_constexpr] = ACTIONS(3071),
    [anon_sym_volatile] = ACTIONS(3071),
    [anon_sym_restrict] = ACTIONS(3071),
    [anon_sym___restrict__] = ACTIONS(3071),
    [anon_sym__Atomic] = ACTIONS(3071),
    [anon_sym__Noreturn] = ACTIONS(3071),
    [anon_sym_noreturn] = ACTIONS(3071),
    [anon_sym__Nonnull] = ACTIONS(3071),
    [anon_sym_mutable] = ACTIONS(3071),
    [anon_sym_constinit] = ACTIONS(3071),
    [anon_sym_consteval] = ACTIONS(3071),
    [anon_sym_alignas] = ACTIONS(3071),
    [anon_sym__Alignas] = ACTIONS(3071),
    [sym_primitive_type] = ACTIONS(3071),
    [anon_sym_enum] = ACTIONS(3071),
    [anon_sym_class] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3071),
    [anon_sym_union] = ACTIONS(3071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3071),
    [anon_sym_decltype] = ACTIONS(3071),
    [anon_sym_explicit] = ACTIONS(3071),
    [anon_sym_typename] = ACTIONS(3071),
    [anon_sym_template] = ACTIONS(3071),
    [anon_sym_operator] = ACTIONS(3071),
    [anon_sym_friend] = ACTIONS(3071),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3071),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [2006] = {
    [sym__declaration_modifiers] = STATE(3302),
    [sym_attribute_specifier] = STATE(3302),
    [sym_attribute_declaration] = STATE(3302),
    [sym_ms_declspec_modifier] = STATE(3302),
    [sym_storage_class_specifier] = STATE(3302),
    [sym_type_qualifier] = STATE(3302),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2359),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6571),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3302),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5832),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3222),
    [anon_sym_template] = ACTIONS(1235),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5472),
    [aux_sym_preproc_def_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token1] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5472),
    [sym_preproc_directive] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_TILDE] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym_typedef] = ACTIONS(5472),
    [anon_sym_virtual] = ACTIONS(5472),
    [anon_sym_extern] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym_COLON_COLON] = ACTIONS(5474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5474),
    [anon_sym___declspec] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_static] = ACTIONS(5472),
    [anon_sym_register] = ACTIONS(5472),
    [anon_sym_inline] = ACTIONS(5472),
    [anon_sym___inline] = ACTIONS(5472),
    [anon_sym___inline__] = ACTIONS(5472),
    [anon_sym___forceinline] = ACTIONS(5472),
    [anon_sym_thread_local] = ACTIONS(5472),
    [anon_sym___thread] = ACTIONS(5472),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym__Nonnull] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym__Alignas] = ACTIONS(5472),
    [sym_primitive_type] = ACTIONS(5472),
    [anon_sym_enum] = ACTIONS(5472),
    [anon_sym_class] = ACTIONS(5472),
    [anon_sym_struct] = ACTIONS(5472),
    [anon_sym_union] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_explicit] = ACTIONS(5472),
    [anon_sym_typename] = ACTIONS(5472),
    [anon_sym_template] = ACTIONS(5472),
    [anon_sym_operator] = ACTIONS(5472),
    [anon_sym_friend] = ACTIONS(5472),
    [anon_sym_public] = ACTIONS(5472),
    [anon_sym_private] = ACTIONS(5472),
    [anon_sym_protected] = ACTIONS(5472),
    [anon_sym_using] = ACTIONS(5472),
    [anon_sym_static_assert] = ACTIONS(5472),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym___attribute] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym_RBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_friend] = ACTIONS(3127),
    [anon_sym_public] = ACTIONS(3127),
    [anon_sym_private] = ACTIONS(3127),
    [anon_sym_protected] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5305),
    [aux_sym_preproc_def_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token1] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5305),
    [sym_preproc_directive] = ACTIONS(5305),
    [anon_sym_LPAREN2] = ACTIONS(5307),
    [anon_sym_TILDE] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_AMP_AMP] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5305),
    [anon_sym_SEMI] = ACTIONS(5307),
    [anon_sym___extension__] = ACTIONS(5305),
    [anon_sym_typedef] = ACTIONS(5305),
    [anon_sym_virtual] = ACTIONS(5305),
    [anon_sym_extern] = ACTIONS(5305),
    [anon_sym___attribute__] = ACTIONS(5305),
    [anon_sym___attribute] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5307),
    [anon_sym___declspec] = ACTIONS(5305),
    [anon_sym___based] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5305),
    [anon_sym_unsigned] = ACTIONS(5305),
    [anon_sym_long] = ACTIONS(5305),
    [anon_sym_short] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_static] = ACTIONS(5305),
    [anon_sym_register] = ACTIONS(5305),
    [anon_sym_inline] = ACTIONS(5305),
    [anon_sym___inline] = ACTIONS(5305),
    [anon_sym___inline__] = ACTIONS(5305),
    [anon_sym___forceinline] = ACTIONS(5305),
    [anon_sym_thread_local] = ACTIONS(5305),
    [anon_sym___thread] = ACTIONS(5305),
    [anon_sym_const] = ACTIONS(5305),
    [anon_sym_constexpr] = ACTIONS(5305),
    [anon_sym_volatile] = ACTIONS(5305),
    [anon_sym_restrict] = ACTIONS(5305),
    [anon_sym___restrict__] = ACTIONS(5305),
    [anon_sym__Atomic] = ACTIONS(5305),
    [anon_sym__Noreturn] = ACTIONS(5305),
    [anon_sym_noreturn] = ACTIONS(5305),
    [anon_sym__Nonnull] = ACTIONS(5305),
    [anon_sym_mutable] = ACTIONS(5305),
    [anon_sym_constinit] = ACTIONS(5305),
    [anon_sym_consteval] = ACTIONS(5305),
    [anon_sym_alignas] = ACTIONS(5305),
    [anon_sym__Alignas] = ACTIONS(5305),
    [sym_primitive_type] = ACTIONS(5305),
    [anon_sym_enum] = ACTIONS(5305),
    [anon_sym_class] = ACTIONS(5305),
    [anon_sym_struct] = ACTIONS(5305),
    [anon_sym_union] = ACTIONS(5305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5305),
    [anon_sym_decltype] = ACTIONS(5305),
    [anon_sym_explicit] = ACTIONS(5305),
    [anon_sym_typename] = ACTIONS(5305),
    [anon_sym_template] = ACTIONS(5305),
    [anon_sym_operator] = ACTIONS(5305),
    [anon_sym_friend] = ACTIONS(5305),
    [anon_sym_public] = ACTIONS(5305),
    [anon_sym_private] = ACTIONS(5305),
    [anon_sym_protected] = ACTIONS(5305),
    [anon_sym_using] = ACTIONS(5305),
    [anon_sym_static_assert] = ACTIONS(5305),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5476),
    [aux_sym_preproc_def_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5476),
    [sym_preproc_directive] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_TILDE] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym_typedef] = ACTIONS(5476),
    [anon_sym_virtual] = ACTIONS(5476),
    [anon_sym_extern] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym___declspec] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5476),
    [anon_sym_inline] = ACTIONS(5476),
    [anon_sym___inline] = ACTIONS(5476),
    [anon_sym___inline__] = ACTIONS(5476),
    [anon_sym___forceinline] = ACTIONS(5476),
    [anon_sym_thread_local] = ACTIONS(5476),
    [anon_sym___thread] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym__Nonnull] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym__Alignas] = ACTIONS(5476),
    [sym_primitive_type] = ACTIONS(5476),
    [anon_sym_enum] = ACTIONS(5476),
    [anon_sym_class] = ACTIONS(5476),
    [anon_sym_struct] = ACTIONS(5476),
    [anon_sym_union] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_explicit] = ACTIONS(5476),
    [anon_sym_typename] = ACTIONS(5476),
    [anon_sym_template] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5476),
    [anon_sym_friend] = ACTIONS(5476),
    [anon_sym_public] = ACTIONS(5476),
    [anon_sym_private] = ACTIONS(5476),
    [anon_sym_protected] = ACTIONS(5476),
    [anon_sym_using] = ACTIONS(5476),
    [anon_sym_static_assert] = ACTIONS(5476),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(5305),
    [aux_sym_preproc_def_token1] = ACTIONS(5305),
    [aux_sym_preproc_if_token1] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5305),
    [sym_preproc_directive] = ACTIONS(5305),
    [anon_sym_LPAREN2] = ACTIONS(5307),
    [anon_sym_TILDE] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_AMP_AMP] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5305),
    [anon_sym_SEMI] = ACTIONS(5307),
    [anon_sym___extension__] = ACTIONS(5305),
    [anon_sym_typedef] = ACTIONS(5305),
    [anon_sym_virtual] = ACTIONS(5305),
    [anon_sym_extern] = ACTIONS(5305),
    [anon_sym___attribute__] = ACTIONS(5305),
    [anon_sym___attribute] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5307),
    [anon_sym___declspec] = ACTIONS(5305),
    [anon_sym___based] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5305),
    [anon_sym_unsigned] = ACTIONS(5305),
    [anon_sym_long] = ACTIONS(5305),
    [anon_sym_short] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_static] = ACTIONS(5305),
    [anon_sym_register] = ACTIONS(5305),
    [anon_sym_inline] = ACTIONS(5305),
    [anon_sym___inline] = ACTIONS(5305),
    [anon_sym___inline__] = ACTIONS(5305),
    [anon_sym___forceinline] = ACTIONS(5305),
    [anon_sym_thread_local] = ACTIONS(5305),
    [anon_sym___thread] = ACTIONS(5305),
    [anon_sym_const] = ACTIONS(5305),
    [anon_sym_constexpr] = ACTIONS(5305),
    [anon_sym_volatile] = ACTIONS(5305),
    [anon_sym_restrict] = ACTIONS(5305),
    [anon_sym___restrict__] = ACTIONS(5305),
    [anon_sym__Atomic] = ACTIONS(5305),
    [anon_sym__Noreturn] = ACTIONS(5305),
    [anon_sym_noreturn] = ACTIONS(5305),
    [anon_sym__Nonnull] = ACTIONS(5305),
    [anon_sym_mutable] = ACTIONS(5305),
    [anon_sym_constinit] = ACTIONS(5305),
    [anon_sym_consteval] = ACTIONS(5305),
    [anon_sym_alignas] = ACTIONS(5305),
    [anon_sym__Alignas] = ACTIONS(5305),
    [sym_primitive_type] = ACTIONS(5305),
    [anon_sym_enum] = ACTIONS(5305),
    [anon_sym_class] = ACTIONS(5305),
    [anon_sym_struct] = ACTIONS(5305),
    [anon_sym_union] = ACTIONS(5305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5305),
    [anon_sym_decltype] = ACTIONS(5305),
    [anon_sym_explicit] = ACTIONS(5305),
    [anon_sym_typename] = ACTIONS(5305),
    [anon_sym_template] = ACTIONS(5305),
    [anon_sym_operator] = ACTIONS(5305),
    [anon_sym_friend] = ACTIONS(5305),
    [anon_sym_public] = ACTIONS(5305),
    [anon_sym_private] = ACTIONS(5305),
    [anon_sym_protected] = ACTIONS(5305),
    [anon_sym_using] = ACTIONS(5305),
    [anon_sym_static_assert] = ACTIONS(5305),
  },
  [2013] = {
    [sym_attribute_specifier] = STATE(2197),
    [sym_enumerator_list] = STATE(2138),
    [sym_identifier] = ACTIONS(5867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5869),
    [anon_sym_COMMA] = ACTIONS(5869),
    [anon_sym_RPAREN] = ACTIONS(5869),
    [aux_sym_preproc_if_token2] = ACTIONS(5869),
    [aux_sym_preproc_else_token1] = ACTIONS(5869),
    [aux_sym_preproc_elif_token1] = ACTIONS(5867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5869),
    [anon_sym_LPAREN2] = ACTIONS(5869),
    [anon_sym_DASH] = ACTIONS(5867),
    [anon_sym_PLUS] = ACTIONS(5867),
    [anon_sym_STAR] = ACTIONS(5867),
    [anon_sym_SLASH] = ACTIONS(5867),
    [anon_sym_PERCENT] = ACTIONS(5867),
    [anon_sym_PIPE_PIPE] = ACTIONS(5869),
    [anon_sym_AMP_AMP] = ACTIONS(5869),
    [anon_sym_PIPE] = ACTIONS(5867),
    [anon_sym_CARET] = ACTIONS(5867),
    [anon_sym_AMP] = ACTIONS(5867),
    [anon_sym_EQ_EQ] = ACTIONS(5869),
    [anon_sym_BANG_EQ] = ACTIONS(5869),
    [anon_sym_GT] = ACTIONS(5867),
    [anon_sym_GT_EQ] = ACTIONS(5869),
    [anon_sym_LT_EQ] = ACTIONS(5867),
    [anon_sym_LT] = ACTIONS(5867),
    [anon_sym_LT_LT] = ACTIONS(5867),
    [anon_sym_GT_GT] = ACTIONS(5867),
    [anon_sym_SEMI] = ACTIONS(5869),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5871),
    [anon_sym_RBRACE] = ACTIONS(5869),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [anon_sym_RBRACK] = ACTIONS(5869),
    [anon_sym_EQ] = ACTIONS(5867),
    [anon_sym_COLON] = ACTIONS(5869),
    [anon_sym_QMARK] = ACTIONS(5869),
    [anon_sym_STAR_EQ] = ACTIONS(5869),
    [anon_sym_SLASH_EQ] = ACTIONS(5869),
    [anon_sym_PERCENT_EQ] = ACTIONS(5869),
    [anon_sym_PLUS_EQ] = ACTIONS(5869),
    [anon_sym_DASH_EQ] = ACTIONS(5869),
    [anon_sym_LT_LT_EQ] = ACTIONS(5869),
    [anon_sym_GT_GT_EQ] = ACTIONS(5869),
    [anon_sym_AMP_EQ] = ACTIONS(5869),
    [anon_sym_CARET_EQ] = ACTIONS(5869),
    [anon_sym_PIPE_EQ] = ACTIONS(5869),
    [anon_sym_and_eq] = ACTIONS(5867),
    [anon_sym_or_eq] = ACTIONS(5867),
    [anon_sym_xor_eq] = ACTIONS(5867),
    [anon_sym_LT_EQ_GT] = ACTIONS(5869),
    [anon_sym_or] = ACTIONS(5867),
    [anon_sym_and] = ACTIONS(5867),
    [anon_sym_bitor] = ACTIONS(5867),
    [anon_sym_xor] = ACTIONS(5867),
    [anon_sym_bitand] = ACTIONS(5867),
    [anon_sym_not_eq] = ACTIONS(5867),
    [anon_sym_DASH_DASH] = ACTIONS(5869),
    [anon_sym_PLUS_PLUS] = ACTIONS(5869),
    [anon_sym_DOT] = ACTIONS(5867),
    [anon_sym_DOT_STAR] = ACTIONS(5869),
    [anon_sym_DASH_GT] = ACTIONS(5869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5867),
    [anon_sym_decltype] = ACTIONS(5867),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5480),
    [aux_sym_preproc_def_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token1] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5480),
    [sym_preproc_directive] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_TILDE] = ACTIONS(5482),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym_typedef] = ACTIONS(5480),
    [anon_sym_virtual] = ACTIONS(5480),
    [anon_sym_extern] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5482),
    [anon_sym___declspec] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_static] = ACTIONS(5480),
    [anon_sym_register] = ACTIONS(5480),
    [anon_sym_inline] = ACTIONS(5480),
    [anon_sym___inline] = ACTIONS(5480),
    [anon_sym___inline__] = ACTIONS(5480),
    [anon_sym___forceinline] = ACTIONS(5480),
    [anon_sym_thread_local] = ACTIONS(5480),
    [anon_sym___thread] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym__Nonnull] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym__Alignas] = ACTIONS(5480),
    [sym_primitive_type] = ACTIONS(5480),
    [anon_sym_enum] = ACTIONS(5480),
    [anon_sym_class] = ACTIONS(5480),
    [anon_sym_struct] = ACTIONS(5480),
    [anon_sym_union] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_explicit] = ACTIONS(5480),
    [anon_sym_typename] = ACTIONS(5480),
    [anon_sym_template] = ACTIONS(5480),
    [anon_sym_operator] = ACTIONS(5480),
    [anon_sym_friend] = ACTIONS(5480),
    [anon_sym_public] = ACTIONS(5480),
    [anon_sym_private] = ACTIONS(5480),
    [anon_sym_protected] = ACTIONS(5480),
    [anon_sym_using] = ACTIONS(5480),
    [anon_sym_static_assert] = ACTIONS(5480),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(5484),
    [aux_sym_preproc_def_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token1] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5484),
    [sym_preproc_directive] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_TILDE] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym_typedef] = ACTIONS(5484),
    [anon_sym_virtual] = ACTIONS(5484),
    [anon_sym_extern] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym___attribute] = ACTIONS(5484),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5486),
    [anon_sym___declspec] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_static] = ACTIONS(5484),
    [anon_sym_register] = ACTIONS(5484),
    [anon_sym_inline] = ACTIONS(5484),
    [anon_sym___inline] = ACTIONS(5484),
    [anon_sym___inline__] = ACTIONS(5484),
    [anon_sym___forceinline] = ACTIONS(5484),
    [anon_sym_thread_local] = ACTIONS(5484),
    [anon_sym___thread] = ACTIONS(5484),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym__Nonnull] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym__Alignas] = ACTIONS(5484),
    [sym_primitive_type] = ACTIONS(5484),
    [anon_sym_enum] = ACTIONS(5484),
    [anon_sym_class] = ACTIONS(5484),
    [anon_sym_struct] = ACTIONS(5484),
    [anon_sym_union] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_explicit] = ACTIONS(5484),
    [anon_sym_typename] = ACTIONS(5484),
    [anon_sym_template] = ACTIONS(5484),
    [anon_sym_operator] = ACTIONS(5484),
    [anon_sym_friend] = ACTIONS(5484),
    [anon_sym_public] = ACTIONS(5484),
    [anon_sym_private] = ACTIONS(5484),
    [anon_sym_protected] = ACTIONS(5484),
    [anon_sym_using] = ACTIONS(5484),
    [anon_sym_static_assert] = ACTIONS(5484),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5488),
    [aux_sym_preproc_def_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5488),
    [sym_preproc_directive] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_TILDE] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym_typedef] = ACTIONS(5488),
    [anon_sym_virtual] = ACTIONS(5488),
    [anon_sym_extern] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5490),
    [anon_sym___declspec] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_static] = ACTIONS(5488),
    [anon_sym_register] = ACTIONS(5488),
    [anon_sym_inline] = ACTIONS(5488),
    [anon_sym___inline] = ACTIONS(5488),
    [anon_sym___inline__] = ACTIONS(5488),
    [anon_sym___forceinline] = ACTIONS(5488),
    [anon_sym_thread_local] = ACTIONS(5488),
    [anon_sym___thread] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_enum] = ACTIONS(5488),
    [anon_sym_class] = ACTIONS(5488),
    [anon_sym_struct] = ACTIONS(5488),
    [anon_sym_union] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_explicit] = ACTIONS(5488),
    [anon_sym_typename] = ACTIONS(5488),
    [anon_sym_template] = ACTIONS(5488),
    [anon_sym_operator] = ACTIONS(5488),
    [anon_sym_friend] = ACTIONS(5488),
    [anon_sym_public] = ACTIONS(5488),
    [anon_sym_private] = ACTIONS(5488),
    [anon_sym_protected] = ACTIONS(5488),
    [anon_sym_using] = ACTIONS(5488),
    [anon_sym_static_assert] = ACTIONS(5488),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5488),
    [aux_sym_preproc_def_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5488),
    [sym_preproc_directive] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_TILDE] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym_typedef] = ACTIONS(5488),
    [anon_sym_virtual] = ACTIONS(5488),
    [anon_sym_extern] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5490),
    [anon_sym___declspec] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_static] = ACTIONS(5488),
    [anon_sym_register] = ACTIONS(5488),
    [anon_sym_inline] = ACTIONS(5488),
    [anon_sym___inline] = ACTIONS(5488),
    [anon_sym___inline__] = ACTIONS(5488),
    [anon_sym___forceinline] = ACTIONS(5488),
    [anon_sym_thread_local] = ACTIONS(5488),
    [anon_sym___thread] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_enum] = ACTIONS(5488),
    [anon_sym_class] = ACTIONS(5488),
    [anon_sym_struct] = ACTIONS(5488),
    [anon_sym_union] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_explicit] = ACTIONS(5488),
    [anon_sym_typename] = ACTIONS(5488),
    [anon_sym_template] = ACTIONS(5488),
    [anon_sym_operator] = ACTIONS(5488),
    [anon_sym_friend] = ACTIONS(5488),
    [anon_sym_public] = ACTIONS(5488),
    [anon_sym_private] = ACTIONS(5488),
    [anon_sym_protected] = ACTIONS(5488),
    [anon_sym_using] = ACTIONS(5488),
    [anon_sym_static_assert] = ACTIONS(5488),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym___attribute] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym___attribute] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_friend] = ACTIONS(3015),
    [anon_sym_public] = ACTIONS(3015),
    [anon_sym_private] = ACTIONS(3015),
    [anon_sym_protected] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym___extension__] = ACTIONS(2605),
    [anon_sym_typedef] = ACTIONS(2605),
    [anon_sym_virtual] = ACTIONS(2605),
    [anon_sym_extern] = ACTIONS(2605),
    [anon_sym___attribute__] = ACTIONS(2605),
    [anon_sym___attribute] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym___declspec] = ACTIONS(2605),
    [anon_sym___based] = ACTIONS(2605),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_signed] = ACTIONS(2605),
    [anon_sym_unsigned] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_register] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym___inline] = ACTIONS(2605),
    [anon_sym___inline__] = ACTIONS(2605),
    [anon_sym___forceinline] = ACTIONS(2605),
    [anon_sym_thread_local] = ACTIONS(2605),
    [anon_sym___thread] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_constexpr] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_restrict] = ACTIONS(2605),
    [anon_sym___restrict__] = ACTIONS(2605),
    [anon_sym__Atomic] = ACTIONS(2605),
    [anon_sym__Noreturn] = ACTIONS(2605),
    [anon_sym_noreturn] = ACTIONS(2605),
    [anon_sym__Nonnull] = ACTIONS(2605),
    [anon_sym_mutable] = ACTIONS(2605),
    [anon_sym_constinit] = ACTIONS(2605),
    [anon_sym_consteval] = ACTIONS(2605),
    [anon_sym_alignas] = ACTIONS(2605),
    [anon_sym__Alignas] = ACTIONS(2605),
    [sym_primitive_type] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_struct] = ACTIONS(2605),
    [anon_sym_union] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2605),
    [anon_sym_decltype] = ACTIONS(2605),
    [anon_sym_explicit] = ACTIONS(2605),
    [anon_sym_typename] = ACTIONS(2605),
    [anon_sym_template] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_friend] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_static_assert] = ACTIONS(2605),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym___attribute] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym__Nonnull] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym__Alignas] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_TILDE] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___extension__] = ACTIONS(5428),
    [anon_sym_typedef] = ACTIONS(5428),
    [anon_sym_virtual] = ACTIONS(5428),
    [anon_sym_extern] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym___attribute] = ACTIONS(5428),
    [anon_sym_COLON_COLON] = ACTIONS(5430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5430),
    [anon_sym___declspec] = ACTIONS(5428),
    [anon_sym___based] = ACTIONS(5428),
    [anon_sym_RBRACE] = ACTIONS(5430),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5428),
    [anon_sym_static] = ACTIONS(5428),
    [anon_sym_register] = ACTIONS(5428),
    [anon_sym_inline] = ACTIONS(5428),
    [anon_sym___inline] = ACTIONS(5428),
    [anon_sym___inline__] = ACTIONS(5428),
    [anon_sym___forceinline] = ACTIONS(5428),
    [anon_sym_thread_local] = ACTIONS(5428),
    [anon_sym___thread] = ACTIONS(5428),
    [anon_sym_const] = ACTIONS(5428),
    [anon_sym_constexpr] = ACTIONS(5428),
    [anon_sym_volatile] = ACTIONS(5428),
    [anon_sym_restrict] = ACTIONS(5428),
    [anon_sym___restrict__] = ACTIONS(5428),
    [anon_sym__Atomic] = ACTIONS(5428),
    [anon_sym__Noreturn] = ACTIONS(5428),
    [anon_sym_noreturn] = ACTIONS(5428),
    [anon_sym__Nonnull] = ACTIONS(5428),
    [anon_sym_mutable] = ACTIONS(5428),
    [anon_sym_constinit] = ACTIONS(5428),
    [anon_sym_consteval] = ACTIONS(5428),
    [anon_sym_alignas] = ACTIONS(5428),
    [anon_sym__Alignas] = ACTIONS(5428),
    [sym_primitive_type] = ACTIONS(5428),
    [anon_sym_enum] = ACTIONS(5428),
    [anon_sym_class] = ACTIONS(5428),
    [anon_sym_struct] = ACTIONS(5428),
    [anon_sym_union] = ACTIONS(5428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
    [anon_sym_explicit] = ACTIONS(5428),
    [anon_sym_typename] = ACTIONS(5428),
    [anon_sym_template] = ACTIONS(5428),
    [anon_sym_operator] = ACTIONS(5428),
    [anon_sym_friend] = ACTIONS(5428),
    [anon_sym_public] = ACTIONS(5428),
    [anon_sym_private] = ACTIONS(5428),
    [anon_sym_protected] = ACTIONS(5428),
    [anon_sym_using] = ACTIONS(5428),
    [anon_sym_static_assert] = ACTIONS(5428),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(3109),
    [aux_sym_preproc_def_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3109),
    [sym_preproc_directive] = ACTIONS(3109),
    [anon_sym_LPAREN2] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_AMP_AMP] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3109),
    [anon_sym_typedef] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym___attribute__] = ACTIONS(3109),
    [anon_sym___attribute] = ACTIONS(3109),
    [anon_sym_COLON_COLON] = ACTIONS(3111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3109),
    [anon_sym___based] = ACTIONS(3109),
    [anon_sym_RBRACE] = ACTIONS(3111),
    [anon_sym_signed] = ACTIONS(3109),
    [anon_sym_unsigned] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_register] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(3109),
    [anon_sym___inline] = ACTIONS(3109),
    [anon_sym___inline__] = ACTIONS(3109),
    [anon_sym___forceinline] = ACTIONS(3109),
    [anon_sym_thread_local] = ACTIONS(3109),
    [anon_sym___thread] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_constexpr] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_restrict] = ACTIONS(3109),
    [anon_sym___restrict__] = ACTIONS(3109),
    [anon_sym__Atomic] = ACTIONS(3109),
    [anon_sym__Noreturn] = ACTIONS(3109),
    [anon_sym_noreturn] = ACTIONS(3109),
    [anon_sym__Nonnull] = ACTIONS(3109),
    [anon_sym_mutable] = ACTIONS(3109),
    [anon_sym_constinit] = ACTIONS(3109),
    [anon_sym_consteval] = ACTIONS(3109),
    [anon_sym_alignas] = ACTIONS(3109),
    [anon_sym__Alignas] = ACTIONS(3109),
    [sym_primitive_type] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_union] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3109),
    [anon_sym_decltype] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3109),
    [anon_sym_template] = ACTIONS(3109),
    [anon_sym_operator] = ACTIONS(3109),
    [anon_sym_friend] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static_assert] = ACTIONS(3109),
  },
  [2025] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(5873),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token2] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_TILDE] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym_typedef] = ACTIONS(5412),
    [anon_sym_virtual] = ACTIONS(5412),
    [anon_sym_extern] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___attribute] = ACTIONS(5412),
    [anon_sym_COLON_COLON] = ACTIONS(5414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5414),
    [anon_sym___declspec] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5412),
    [anon_sym_static] = ACTIONS(5412),
    [anon_sym_register] = ACTIONS(5412),
    [anon_sym_inline] = ACTIONS(5412),
    [anon_sym___inline] = ACTIONS(5412),
    [anon_sym___inline__] = ACTIONS(5412),
    [anon_sym___forceinline] = ACTIONS(5412),
    [anon_sym_thread_local] = ACTIONS(5412),
    [anon_sym___thread] = ACTIONS(5412),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_enum] = ACTIONS(5412),
    [anon_sym_class] = ACTIONS(5412),
    [anon_sym_struct] = ACTIONS(5412),
    [anon_sym_union] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_explicit] = ACTIONS(5412),
    [anon_sym_typename] = ACTIONS(5412),
    [anon_sym_template] = ACTIONS(5412),
    [anon_sym_operator] = ACTIONS(5412),
    [anon_sym_friend] = ACTIONS(5412),
    [anon_sym_public] = ACTIONS(5412),
    [anon_sym_private] = ACTIONS(5412),
    [anon_sym_protected] = ACTIONS(5412),
    [anon_sym_using] = ACTIONS(5412),
    [anon_sym_static_assert] = ACTIONS(5412),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token2] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym___attribute] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [sym_primitive_type] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_friend] = ACTIONS(2908),
    [anon_sym_public] = ACTIONS(2908),
    [anon_sym_private] = ACTIONS(2908),
    [anon_sym_protected] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_friend] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_friend] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym___attribute] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_friend] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(2711),
    [aux_sym_preproc_def_token1] = ACTIONS(2711),
    [aux_sym_preproc_if_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2711),
    [sym_preproc_directive] = ACTIONS(2711),
    [anon_sym_LPAREN2] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2711),
    [anon_sym_virtual] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym___attribute__] = ACTIONS(2711),
    [anon_sym___attribute] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2713),
    [anon_sym___declspec] = ACTIONS(2711),
    [anon_sym___based] = ACTIONS(2711),
    [anon_sym_RBRACE] = ACTIONS(2713),
    [anon_sym_signed] = ACTIONS(2711),
    [anon_sym_unsigned] = ACTIONS(2711),
    [anon_sym_long] = ACTIONS(2711),
    [anon_sym_short] = ACTIONS(2711),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_register] = ACTIONS(2711),
    [anon_sym_inline] = ACTIONS(2711),
    [anon_sym___inline] = ACTIONS(2711),
    [anon_sym___inline__] = ACTIONS(2711),
    [anon_sym___forceinline] = ACTIONS(2711),
    [anon_sym_thread_local] = ACTIONS(2711),
    [anon_sym___thread] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_constexpr] = ACTIONS(2711),
    [anon_sym_volatile] = ACTIONS(2711),
    [anon_sym_restrict] = ACTIONS(2711),
    [anon_sym___restrict__] = ACTIONS(2711),
    [anon_sym__Atomic] = ACTIONS(2711),
    [anon_sym__Noreturn] = ACTIONS(2711),
    [anon_sym_noreturn] = ACTIONS(2711),
    [anon_sym__Nonnull] = ACTIONS(2711),
    [anon_sym_mutable] = ACTIONS(2711),
    [anon_sym_constinit] = ACTIONS(2711),
    [anon_sym_consteval] = ACTIONS(2711),
    [anon_sym_alignas] = ACTIONS(2711),
    [anon_sym__Alignas] = ACTIONS(2711),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2711),
    [anon_sym_decltype] = ACTIONS(2711),
    [anon_sym_explicit] = ACTIONS(2711),
    [anon_sym_typename] = ACTIONS(2711),
    [anon_sym_template] = ACTIONS(2711),
    [anon_sym_operator] = ACTIONS(2711),
    [anon_sym_friend] = ACTIONS(2711),
    [anon_sym_public] = ACTIONS(2711),
    [anon_sym_private] = ACTIONS(2711),
    [anon_sym_protected] = ACTIONS(2711),
    [anon_sym_using] = ACTIONS(2711),
    [anon_sym_static_assert] = ACTIONS(2711),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
  },
  [2038] = {
    [sym_attribute_specifier] = STATE(2248),
    [sym_enumerator_list] = STATE(2160),
    [sym_identifier] = ACTIONS(5875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5877),
    [anon_sym_COMMA] = ACTIONS(5877),
    [anon_sym_RPAREN] = ACTIONS(5877),
    [aux_sym_preproc_if_token2] = ACTIONS(5877),
    [aux_sym_preproc_else_token1] = ACTIONS(5877),
    [aux_sym_preproc_elif_token1] = ACTIONS(5875),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5877),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5877),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5875),
    [anon_sym_STAR] = ACTIONS(5875),
    [anon_sym_SLASH] = ACTIONS(5875),
    [anon_sym_PERCENT] = ACTIONS(5875),
    [anon_sym_PIPE_PIPE] = ACTIONS(5877),
    [anon_sym_AMP_AMP] = ACTIONS(5877),
    [anon_sym_PIPE] = ACTIONS(5875),
    [anon_sym_CARET] = ACTIONS(5875),
    [anon_sym_AMP] = ACTIONS(5875),
    [anon_sym_EQ_EQ] = ACTIONS(5877),
    [anon_sym_BANG_EQ] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(5875),
    [anon_sym_GT_EQ] = ACTIONS(5877),
    [anon_sym_LT_EQ] = ACTIONS(5875),
    [anon_sym_LT] = ACTIONS(5875),
    [anon_sym_LT_LT] = ACTIONS(5875),
    [anon_sym_GT_GT] = ACTIONS(5875),
    [anon_sym_SEMI] = ACTIONS(5877),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5871),
    [anon_sym_RBRACE] = ACTIONS(5877),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [anon_sym_RBRACK] = ACTIONS(5877),
    [anon_sym_EQ] = ACTIONS(5875),
    [anon_sym_COLON] = ACTIONS(5877),
    [anon_sym_QMARK] = ACTIONS(5877),
    [anon_sym_STAR_EQ] = ACTIONS(5877),
    [anon_sym_SLASH_EQ] = ACTIONS(5877),
    [anon_sym_PERCENT_EQ] = ACTIONS(5877),
    [anon_sym_PLUS_EQ] = ACTIONS(5877),
    [anon_sym_DASH_EQ] = ACTIONS(5877),
    [anon_sym_LT_LT_EQ] = ACTIONS(5877),
    [anon_sym_GT_GT_EQ] = ACTIONS(5877),
    [anon_sym_AMP_EQ] = ACTIONS(5877),
    [anon_sym_CARET_EQ] = ACTIONS(5877),
    [anon_sym_PIPE_EQ] = ACTIONS(5877),
    [anon_sym_and_eq] = ACTIONS(5875),
    [anon_sym_or_eq] = ACTIONS(5875),
    [anon_sym_xor_eq] = ACTIONS(5875),
    [anon_sym_LT_EQ_GT] = ACTIONS(5877),
    [anon_sym_or] = ACTIONS(5875),
    [anon_sym_and] = ACTIONS(5875),
    [anon_sym_bitor] = ACTIONS(5875),
    [anon_sym_xor] = ACTIONS(5875),
    [anon_sym_bitand] = ACTIONS(5875),
    [anon_sym_not_eq] = ACTIONS(5875),
    [anon_sym_DASH_DASH] = ACTIONS(5877),
    [anon_sym_PLUS_PLUS] = ACTIONS(5877),
    [anon_sym_DOT] = ACTIONS(5875),
    [anon_sym_DOT_STAR] = ACTIONS(5877),
    [anon_sym_DASH_GT] = ACTIONS(5877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5875),
    [anon_sym_decltype] = ACTIONS(5875),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
  },
  [2040] = {
    [sym_string_literal] = STATE(2128),
    [sym_template_argument_list] = STATE(3153),
    [sym_raw_string_literal] = STATE(2128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4913),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5828),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4071),
    [anon_sym_L_DQUOTE] = ACTIONS(4899),
    [anon_sym_u_DQUOTE] = ACTIONS(4899),
    [anon_sym_U_DQUOTE] = ACTIONS(4899),
    [anon_sym_u8_DQUOTE] = ACTIONS(4899),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4901),
    [anon_sym_LR_DQUOTE] = ACTIONS(4901),
    [anon_sym_uR_DQUOTE] = ACTIONS(4901),
    [anon_sym_UR_DQUOTE] = ACTIONS(4901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4063),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_STAR] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym___extension__] = ACTIONS(2585),
    [anon_sym_typedef] = ACTIONS(2585),
    [anon_sym_virtual] = ACTIONS(2585),
    [anon_sym_extern] = ACTIONS(2585),
    [anon_sym___attribute__] = ACTIONS(2585),
    [anon_sym___attribute] = ACTIONS(2585),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2587),
    [anon_sym___declspec] = ACTIONS(2585),
    [anon_sym___based] = ACTIONS(2585),
    [anon_sym_RBRACE] = ACTIONS(2587),
    [anon_sym_signed] = ACTIONS(2585),
    [anon_sym_unsigned] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_register] = ACTIONS(2585),
    [anon_sym_inline] = ACTIONS(2585),
    [anon_sym___inline] = ACTIONS(2585),
    [anon_sym___inline__] = ACTIONS(2585),
    [anon_sym___forceinline] = ACTIONS(2585),
    [anon_sym_thread_local] = ACTIONS(2585),
    [anon_sym___thread] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_constexpr] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_restrict] = ACTIONS(2585),
    [anon_sym___restrict__] = ACTIONS(2585),
    [anon_sym__Atomic] = ACTIONS(2585),
    [anon_sym__Noreturn] = ACTIONS(2585),
    [anon_sym_noreturn] = ACTIONS(2585),
    [anon_sym__Nonnull] = ACTIONS(2585),
    [anon_sym_mutable] = ACTIONS(2585),
    [anon_sym_constinit] = ACTIONS(2585),
    [anon_sym_consteval] = ACTIONS(2585),
    [anon_sym_alignas] = ACTIONS(2585),
    [anon_sym__Alignas] = ACTIONS(2585),
    [sym_primitive_type] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_union] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2585),
    [anon_sym_decltype] = ACTIONS(2585),
    [anon_sym_explicit] = ACTIONS(2585),
    [anon_sym_typename] = ACTIONS(2585),
    [anon_sym_template] = ACTIONS(2585),
    [anon_sym_operator] = ACTIONS(2585),
    [anon_sym_friend] = ACTIONS(2585),
    [anon_sym_public] = ACTIONS(2585),
    [anon_sym_private] = ACTIONS(2585),
    [anon_sym_protected] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_static_assert] = ACTIONS(2585),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym___attribute] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_friend] = ACTIONS(2876),
    [anon_sym_public] = ACTIONS(2876),
    [anon_sym_private] = ACTIONS(2876),
    [anon_sym_protected] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
  },
  [2043] = {
    [sym_string_literal] = STATE(2128),
    [sym_template_argument_list] = STATE(2991),
    [sym_raw_string_literal] = STATE(2128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(5842),
    [anon_sym_LPAREN2] = ACTIONS(5842),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4895),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(5848),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4071),
    [anon_sym_L_DQUOTE] = ACTIONS(4899),
    [anon_sym_u_DQUOTE] = ACTIONS(4899),
    [anon_sym_U_DQUOTE] = ACTIONS(4899),
    [anon_sym_u8_DQUOTE] = ACTIONS(4899),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4901),
    [anon_sym_LR_DQUOTE] = ACTIONS(4901),
    [anon_sym_uR_DQUOTE] = ACTIONS(4901),
    [anon_sym_UR_DQUOTE] = ACTIONS(4901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4063),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym___attribute] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [sym_primitive_type] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_friend] = ACTIONS(2908),
    [anon_sym_public] = ACTIONS(2908),
    [anon_sym_private] = ACTIONS(2908),
    [anon_sym_protected] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
  },
  [2045] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym___attribute] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_friend] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym___attribute] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym___attribute] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_friend] = ACTIONS(2940),
    [anon_sym_public] = ACTIONS(2940),
    [anon_sym_private] = ACTIONS(2940),
    [anon_sym_protected] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token2] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_TILDE] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___extension__] = ACTIONS(5428),
    [anon_sym_typedef] = ACTIONS(5428),
    [anon_sym_virtual] = ACTIONS(5428),
    [anon_sym_extern] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym___attribute] = ACTIONS(5428),
    [anon_sym_COLON_COLON] = ACTIONS(5430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5430),
    [anon_sym___declspec] = ACTIONS(5428),
    [anon_sym___based] = ACTIONS(5428),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5428),
    [anon_sym_static] = ACTIONS(5428),
    [anon_sym_register] = ACTIONS(5428),
    [anon_sym_inline] = ACTIONS(5428),
    [anon_sym___inline] = ACTIONS(5428),
    [anon_sym___inline__] = ACTIONS(5428),
    [anon_sym___forceinline] = ACTIONS(5428),
    [anon_sym_thread_local] = ACTIONS(5428),
    [anon_sym___thread] = ACTIONS(5428),
    [anon_sym_const] = ACTIONS(5428),
    [anon_sym_constexpr] = ACTIONS(5428),
    [anon_sym_volatile] = ACTIONS(5428),
    [anon_sym_restrict] = ACTIONS(5428),
    [anon_sym___restrict__] = ACTIONS(5428),
    [anon_sym__Atomic] = ACTIONS(5428),
    [anon_sym__Noreturn] = ACTIONS(5428),
    [anon_sym_noreturn] = ACTIONS(5428),
    [anon_sym__Nonnull] = ACTIONS(5428),
    [anon_sym_mutable] = ACTIONS(5428),
    [anon_sym_constinit] = ACTIONS(5428),
    [anon_sym_consteval] = ACTIONS(5428),
    [anon_sym_alignas] = ACTIONS(5428),
    [anon_sym__Alignas] = ACTIONS(5428),
    [sym_primitive_type] = ACTIONS(5428),
    [anon_sym_enum] = ACTIONS(5428),
    [anon_sym_class] = ACTIONS(5428),
    [anon_sym_struct] = ACTIONS(5428),
    [anon_sym_union] = ACTIONS(5428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
    [anon_sym_explicit] = ACTIONS(5428),
    [anon_sym_typename] = ACTIONS(5428),
    [anon_sym_template] = ACTIONS(5428),
    [anon_sym_operator] = ACTIONS(5428),
    [anon_sym_friend] = ACTIONS(5428),
    [anon_sym_public] = ACTIONS(5428),
    [anon_sym_private] = ACTIONS(5428),
    [anon_sym_protected] = ACTIONS(5428),
    [anon_sym_using] = ACTIONS(5428),
    [anon_sym_static_assert] = ACTIONS(5428),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym___attribute] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym__Nonnull] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_friend] = ACTIONS(2953),
    [anon_sym_public] = ACTIONS(2953),
    [anon_sym_private] = ACTIONS(2953),
    [anon_sym_protected] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym___attribute] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym___attribute] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym__Nonnull] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym__Alignas] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_friend] = ACTIONS(2957),
    [anon_sym_public] = ACTIONS(2957),
    [anon_sym_private] = ACTIONS(2957),
    [anon_sym_protected] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym___attribute] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym__Nonnull] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym___attribute] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym__Nonnull] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym__Alignas] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_friend] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(2687),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2687),
    [sym_preproc_directive] = ACTIONS(2687),
    [anon_sym_LPAREN2] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym___extension__] = ACTIONS(2687),
    [anon_sym_typedef] = ACTIONS(2687),
    [anon_sym_virtual] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym___attribute__] = ACTIONS(2687),
    [anon_sym___attribute] = ACTIONS(2687),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2689),
    [anon_sym___declspec] = ACTIONS(2687),
    [anon_sym___based] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_signed] = ACTIONS(2687),
    [anon_sym_unsigned] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_register] = ACTIONS(2687),
    [anon_sym_inline] = ACTIONS(2687),
    [anon_sym___inline] = ACTIONS(2687),
    [anon_sym___inline__] = ACTIONS(2687),
    [anon_sym___forceinline] = ACTIONS(2687),
    [anon_sym_thread_local] = ACTIONS(2687),
    [anon_sym___thread] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_constexpr] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_restrict] = ACTIONS(2687),
    [anon_sym___restrict__] = ACTIONS(2687),
    [anon_sym__Atomic] = ACTIONS(2687),
    [anon_sym__Noreturn] = ACTIONS(2687),
    [anon_sym_noreturn] = ACTIONS(2687),
    [anon_sym__Nonnull] = ACTIONS(2687),
    [anon_sym_mutable] = ACTIONS(2687),
    [anon_sym_constinit] = ACTIONS(2687),
    [anon_sym_consteval] = ACTIONS(2687),
    [anon_sym_alignas] = ACTIONS(2687),
    [anon_sym__Alignas] = ACTIONS(2687),
    [sym_primitive_type] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2687),
    [anon_sym_decltype] = ACTIONS(2687),
    [anon_sym_explicit] = ACTIONS(2687),
    [anon_sym_typename] = ACTIONS(2687),
    [anon_sym_template] = ACTIONS(2687),
    [anon_sym_operator] = ACTIONS(2687),
    [anon_sym_friend] = ACTIONS(2687),
    [anon_sym_public] = ACTIONS(2687),
    [anon_sym_private] = ACTIONS(2687),
    [anon_sym_protected] = ACTIONS(2687),
    [anon_sym_using] = ACTIONS(2687),
    [anon_sym_static_assert] = ACTIONS(2687),
  },
  [2055] = {
    [sym_string_literal] = STATE(1654),
    [sym_raw_string_literal] = STATE(1654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_RPAREN] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5748),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5748),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_CARET] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5748),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5748),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [anon_sym_RBRACE] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_RBRACK] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5748),
    [anon_sym_COLON] = ACTIONS(5750),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_and_eq] = ACTIONS(5748),
    [anon_sym_or_eq] = ACTIONS(5748),
    [anon_sym_xor_eq] = ACTIONS(5748),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5748),
    [anon_sym_and] = ACTIONS(5748),
    [anon_sym_bitor] = ACTIONS(5748),
    [anon_sym_xor] = ACTIONS(5748),
    [anon_sym_bitand] = ACTIONS(5748),
    [anon_sym_not_eq] = ACTIONS(5748),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
    [sym_literal_suffix] = ACTIONS(5748),
  },
  [2056] = {
    [sym_template_argument_list] = STATE(1560),
    [sym_identifier] = ACTIONS(5682),
    [anon_sym_LPAREN2] = ACTIONS(4087),
    [anon_sym_TILDE] = ACTIONS(4087),
    [anon_sym_STAR] = ACTIONS(4087),
    [anon_sym_PIPE_PIPE] = ACTIONS(4087),
    [anon_sym_AMP_AMP] = ACTIONS(4087),
    [anon_sym_AMP] = ACTIONS(5682),
    [anon_sym_LT] = ACTIONS(5879),
    [anon_sym___extension__] = ACTIONS(5682),
    [anon_sym_virtual] = ACTIONS(5682),
    [anon_sym_extern] = ACTIONS(5682),
    [anon_sym___attribute__] = ACTIONS(5682),
    [anon_sym___attribute] = ACTIONS(5682),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4087),
    [anon_sym___declspec] = ACTIONS(5682),
    [anon_sym___based] = ACTIONS(5682),
    [anon_sym___cdecl] = ACTIONS(5682),
    [anon_sym___clrcall] = ACTIONS(5682),
    [anon_sym___stdcall] = ACTIONS(5682),
    [anon_sym___fastcall] = ACTIONS(5682),
    [anon_sym___thiscall] = ACTIONS(5682),
    [anon_sym___vectorcall] = ACTIONS(5682),
    [anon_sym_signed] = ACTIONS(5682),
    [anon_sym_unsigned] = ACTIONS(5682),
    [anon_sym_long] = ACTIONS(5682),
    [anon_sym_short] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [anon_sym_static] = ACTIONS(5682),
    [anon_sym_register] = ACTIONS(5682),
    [anon_sym_inline] = ACTIONS(5682),
    [anon_sym___inline] = ACTIONS(5682),
    [anon_sym___inline__] = ACTIONS(5682),
    [anon_sym___forceinline] = ACTIONS(5682),
    [anon_sym_thread_local] = ACTIONS(5682),
    [anon_sym___thread] = ACTIONS(5682),
    [anon_sym_const] = ACTIONS(5682),
    [anon_sym_constexpr] = ACTIONS(5682),
    [anon_sym_volatile] = ACTIONS(5682),
    [anon_sym_restrict] = ACTIONS(5682),
    [anon_sym___restrict__] = ACTIONS(5682),
    [anon_sym__Atomic] = ACTIONS(5682),
    [anon_sym__Noreturn] = ACTIONS(5682),
    [anon_sym_noreturn] = ACTIONS(5682),
    [anon_sym__Nonnull] = ACTIONS(5682),
    [anon_sym_mutable] = ACTIONS(5682),
    [anon_sym_constinit] = ACTIONS(5682),
    [anon_sym_consteval] = ACTIONS(5682),
    [anon_sym_alignas] = ACTIONS(5682),
    [anon_sym__Alignas] = ACTIONS(5682),
    [sym_primitive_type] = ACTIONS(5682),
    [anon_sym_enum] = ACTIONS(5682),
    [anon_sym_class] = ACTIONS(5682),
    [anon_sym_struct] = ACTIONS(5682),
    [anon_sym_union] = ACTIONS(5682),
    [anon_sym_or] = ACTIONS(5682),
    [anon_sym_and] = ACTIONS(5682),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5682),
    [anon_sym_decltype] = ACTIONS(5682),
    [anon_sym_explicit] = ACTIONS(5682),
    [anon_sym_typename] = ACTIONS(5682),
    [anon_sym_template] = ACTIONS(5682),
    [anon_sym_operator] = ACTIONS(5682),
    [anon_sym_friend] = ACTIONS(5682),
    [anon_sym_using] = ACTIONS(5682),
    [anon_sym_concept] = ACTIONS(5682),
  },
  [2057] = {
    [sym_string_literal] = STATE(1654),
    [sym_template_argument_list] = STATE(2281),
    [sym_raw_string_literal] = STATE(1654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(5235),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5828),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_TILDE] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(5384),
    [anon_sym_typedef] = ACTIONS(5384),
    [anon_sym_virtual] = ACTIONS(5384),
    [anon_sym_extern] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym___attribute] = ACTIONS(5384),
    [anon_sym_COLON_COLON] = ACTIONS(5386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5386),
    [anon_sym___declspec] = ACTIONS(5384),
    [anon_sym___based] = ACTIONS(5384),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_signed] = ACTIONS(5384),
    [anon_sym_unsigned] = ACTIONS(5384),
    [anon_sym_long] = ACTIONS(5384),
    [anon_sym_short] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_static] = ACTIONS(5384),
    [anon_sym_register] = ACTIONS(5384),
    [anon_sym_inline] = ACTIONS(5384),
    [anon_sym___inline] = ACTIONS(5384),
    [anon_sym___inline__] = ACTIONS(5384),
    [anon_sym___forceinline] = ACTIONS(5384),
    [anon_sym_thread_local] = ACTIONS(5384),
    [anon_sym___thread] = ACTIONS(5384),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5384),
    [anon_sym_volatile] = ACTIONS(5384),
    [anon_sym_restrict] = ACTIONS(5384),
    [anon_sym___restrict__] = ACTIONS(5384),
    [anon_sym__Atomic] = ACTIONS(5384),
    [anon_sym__Noreturn] = ACTIONS(5384),
    [anon_sym_noreturn] = ACTIONS(5384),
    [anon_sym__Nonnull] = ACTIONS(5384),
    [anon_sym_mutable] = ACTIONS(5384),
    [anon_sym_constinit] = ACTIONS(5384),
    [anon_sym_consteval] = ACTIONS(5384),
    [anon_sym_alignas] = ACTIONS(5384),
    [anon_sym__Alignas] = ACTIONS(5384),
    [sym_primitive_type] = ACTIONS(5384),
    [anon_sym_enum] = ACTIONS(5384),
    [anon_sym_class] = ACTIONS(5384),
    [anon_sym_struct] = ACTIONS(5384),
    [anon_sym_union] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
    [anon_sym_explicit] = ACTIONS(5384),
    [anon_sym_typename] = ACTIONS(5384),
    [anon_sym_template] = ACTIONS(5384),
    [anon_sym_operator] = ACTIONS(5384),
    [anon_sym_friend] = ACTIONS(5384),
    [anon_sym_public] = ACTIONS(5384),
    [anon_sym_private] = ACTIONS(5384),
    [anon_sym_protected] = ACTIONS(5384),
    [anon_sym_using] = ACTIONS(5384),
    [anon_sym_static_assert] = ACTIONS(5384),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_virtual] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym___attribute] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [sym_primitive_type] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_friend] = ACTIONS(2880),
    [anon_sym_public] = ACTIONS(2880),
    [anon_sym_private] = ACTIONS(2880),
    [anon_sym_protected] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token2] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym___attribute] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_friend] = ACTIONS(2916),
    [anon_sym_public] = ACTIONS(2916),
    [anon_sym_private] = ACTIONS(2916),
    [anon_sym_protected] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym___attribute] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym___attribute] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_friend] = ACTIONS(2920),
    [anon_sym_public] = ACTIONS(2920),
    [anon_sym_private] = ACTIONS(2920),
    [anon_sym_protected] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_friend] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_TILDE] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym_typedef] = ACTIONS(5396),
    [anon_sym_virtual] = ACTIONS(5396),
    [anon_sym_extern] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___attribute] = ACTIONS(5396),
    [anon_sym_COLON_COLON] = ACTIONS(5398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5398),
    [anon_sym___declspec] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5398),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_static] = ACTIONS(5396),
    [anon_sym_register] = ACTIONS(5396),
    [anon_sym_inline] = ACTIONS(5396),
    [anon_sym___inline] = ACTIONS(5396),
    [anon_sym___inline__] = ACTIONS(5396),
    [anon_sym___forceinline] = ACTIONS(5396),
    [anon_sym_thread_local] = ACTIONS(5396),
    [anon_sym___thread] = ACTIONS(5396),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [sym_primitive_type] = ACTIONS(5396),
    [anon_sym_enum] = ACTIONS(5396),
    [anon_sym_class] = ACTIONS(5396),
    [anon_sym_struct] = ACTIONS(5396),
    [anon_sym_union] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_explicit] = ACTIONS(5396),
    [anon_sym_typename] = ACTIONS(5396),
    [anon_sym_template] = ACTIONS(5396),
    [anon_sym_operator] = ACTIONS(5396),
    [anon_sym_friend] = ACTIONS(5396),
    [anon_sym_public] = ACTIONS(5396),
    [anon_sym_private] = ACTIONS(5396),
    [anon_sym_protected] = ACTIONS(5396),
    [anon_sym_using] = ACTIONS(5396),
    [anon_sym_static_assert] = ACTIONS(5396),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_TILDE] = ACTIONS(5402),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym_typedef] = ACTIONS(5400),
    [anon_sym_virtual] = ACTIONS(5400),
    [anon_sym_extern] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___attribute] = ACTIONS(5400),
    [anon_sym_COLON_COLON] = ACTIONS(5402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5402),
    [anon_sym___declspec] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5400),
    [anon_sym_static] = ACTIONS(5400),
    [anon_sym_register] = ACTIONS(5400),
    [anon_sym_inline] = ACTIONS(5400),
    [anon_sym___inline] = ACTIONS(5400),
    [anon_sym___inline__] = ACTIONS(5400),
    [anon_sym___forceinline] = ACTIONS(5400),
    [anon_sym_thread_local] = ACTIONS(5400),
    [anon_sym___thread] = ACTIONS(5400),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [sym_primitive_type] = ACTIONS(5400),
    [anon_sym_enum] = ACTIONS(5400),
    [anon_sym_class] = ACTIONS(5400),
    [anon_sym_struct] = ACTIONS(5400),
    [anon_sym_union] = ACTIONS(5400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_explicit] = ACTIONS(5400),
    [anon_sym_typename] = ACTIONS(5400),
    [anon_sym_template] = ACTIONS(5400),
    [anon_sym_operator] = ACTIONS(5400),
    [anon_sym_friend] = ACTIONS(5400),
    [anon_sym_public] = ACTIONS(5400),
    [anon_sym_private] = ACTIONS(5400),
    [anon_sym_protected] = ACTIONS(5400),
    [anon_sym_using] = ACTIONS(5400),
    [anon_sym_static_assert] = ACTIONS(5400),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym___attribute] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token2] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_TILDE] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5432),
    [anon_sym_typedef] = ACTIONS(5432),
    [anon_sym_virtual] = ACTIONS(5432),
    [anon_sym_extern] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(5432),
    [anon_sym___attribute] = ACTIONS(5432),
    [anon_sym_COLON_COLON] = ACTIONS(5434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5434),
    [anon_sym___declspec] = ACTIONS(5432),
    [anon_sym___based] = ACTIONS(5432),
    [anon_sym_signed] = ACTIONS(5432),
    [anon_sym_unsigned] = ACTIONS(5432),
    [anon_sym_long] = ACTIONS(5432),
    [anon_sym_short] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_static] = ACTIONS(5432),
    [anon_sym_register] = ACTIONS(5432),
    [anon_sym_inline] = ACTIONS(5432),
    [anon_sym___inline] = ACTIONS(5432),
    [anon_sym___inline__] = ACTIONS(5432),
    [anon_sym___forceinline] = ACTIONS(5432),
    [anon_sym_thread_local] = ACTIONS(5432),
    [anon_sym___thread] = ACTIONS(5432),
    [anon_sym_const] = ACTIONS(5432),
    [anon_sym_constexpr] = ACTIONS(5432),
    [anon_sym_volatile] = ACTIONS(5432),
    [anon_sym_restrict] = ACTIONS(5432),
    [anon_sym___restrict__] = ACTIONS(5432),
    [anon_sym__Atomic] = ACTIONS(5432),
    [anon_sym__Noreturn] = ACTIONS(5432),
    [anon_sym_noreturn] = ACTIONS(5432),
    [anon_sym__Nonnull] = ACTIONS(5432),
    [anon_sym_mutable] = ACTIONS(5432),
    [anon_sym_constinit] = ACTIONS(5432),
    [anon_sym_consteval] = ACTIONS(5432),
    [anon_sym_alignas] = ACTIONS(5432),
    [anon_sym__Alignas] = ACTIONS(5432),
    [sym_primitive_type] = ACTIONS(5432),
    [anon_sym_enum] = ACTIONS(5432),
    [anon_sym_class] = ACTIONS(5432),
    [anon_sym_struct] = ACTIONS(5432),
    [anon_sym_union] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
    [anon_sym_explicit] = ACTIONS(5432),
    [anon_sym_typename] = ACTIONS(5432),
    [anon_sym_template] = ACTIONS(5432),
    [anon_sym_operator] = ACTIONS(5432),
    [anon_sym_friend] = ACTIONS(5432),
    [anon_sym_public] = ACTIONS(5432),
    [anon_sym_private] = ACTIONS(5432),
    [anon_sym_protected] = ACTIONS(5432),
    [anon_sym_using] = ACTIONS(5432),
    [anon_sym_static_assert] = ACTIONS(5432),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_friend] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
  },
  [2075] = {
    [sym__declaration_modifiers] = STATE(3302),
    [sym_attribute_specifier] = STATE(3302),
    [sym_attribute_declaration] = STATE(3302),
    [sym_ms_declspec_modifier] = STATE(3302),
    [sym_storage_class_specifier] = STATE(3302),
    [sym_type_qualifier] = STATE(3302),
    [sym_alignas_qualifier] = STATE(1619),
    [sym_type_specifier] = STATE(2359),
    [sym_sized_type_specifier] = STATE(2476),
    [sym_enum_specifier] = STATE(2476),
    [sym_struct_specifier] = STATE(2476),
    [sym_union_specifier] = STATE(2476),
    [sym_placeholder_type_specifier] = STATE(2476),
    [sym_decltype_auto] = STATE(2457),
    [sym_decltype] = STATE(2336),
    [sym_class_specifier] = STATE(2476),
    [sym_dependent_type] = STATE(2476),
    [sym_template_type] = STATE(2336),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(6531),
    [sym_qualified_type_identifier] = STATE(3028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3302),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(4869),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5832),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_struct] = ACTIONS(1851),
    [anon_sym_union] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1855),
    [anon_sym_template] = ACTIONS(1235),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token2] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5438),
    [anon_sym_TILDE] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5436),
    [anon_sym_typedef] = ACTIONS(5436),
    [anon_sym_virtual] = ACTIONS(5436),
    [anon_sym_extern] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5436),
    [anon_sym___attribute] = ACTIONS(5436),
    [anon_sym_COLON_COLON] = ACTIONS(5438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5438),
    [anon_sym___declspec] = ACTIONS(5436),
    [anon_sym___based] = ACTIONS(5436),
    [anon_sym_signed] = ACTIONS(5436),
    [anon_sym_unsigned] = ACTIONS(5436),
    [anon_sym_long] = ACTIONS(5436),
    [anon_sym_short] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5436),
    [anon_sym_static] = ACTIONS(5436),
    [anon_sym_register] = ACTIONS(5436),
    [anon_sym_inline] = ACTIONS(5436),
    [anon_sym___inline] = ACTIONS(5436),
    [anon_sym___inline__] = ACTIONS(5436),
    [anon_sym___forceinline] = ACTIONS(5436),
    [anon_sym_thread_local] = ACTIONS(5436),
    [anon_sym___thread] = ACTIONS(5436),
    [anon_sym_const] = ACTIONS(5436),
    [anon_sym_constexpr] = ACTIONS(5436),
    [anon_sym_volatile] = ACTIONS(5436),
    [anon_sym_restrict] = ACTIONS(5436),
    [anon_sym___restrict__] = ACTIONS(5436),
    [anon_sym__Atomic] = ACTIONS(5436),
    [anon_sym__Noreturn] = ACTIONS(5436),
    [anon_sym_noreturn] = ACTIONS(5436),
    [anon_sym__Nonnull] = ACTIONS(5436),
    [anon_sym_mutable] = ACTIONS(5436),
    [anon_sym_constinit] = ACTIONS(5436),
    [anon_sym_consteval] = ACTIONS(5436),
    [anon_sym_alignas] = ACTIONS(5436),
    [anon_sym__Alignas] = ACTIONS(5436),
    [sym_primitive_type] = ACTIONS(5436),
    [anon_sym_enum] = ACTIONS(5436),
    [anon_sym_class] = ACTIONS(5436),
    [anon_sym_struct] = ACTIONS(5436),
    [anon_sym_union] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5436),
    [anon_sym_decltype] = ACTIONS(5436),
    [anon_sym_explicit] = ACTIONS(5436),
    [anon_sym_typename] = ACTIONS(5436),
    [anon_sym_template] = ACTIONS(5436),
    [anon_sym_operator] = ACTIONS(5436),
    [anon_sym_friend] = ACTIONS(5436),
    [anon_sym_public] = ACTIONS(5436),
    [anon_sym_private] = ACTIONS(5436),
    [anon_sym_protected] = ACTIONS(5436),
    [anon_sym_using] = ACTIONS(5436),
    [anon_sym_static_assert] = ACTIONS(5436),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym___attribute] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_friend] = ACTIONS(2997),
    [anon_sym_public] = ACTIONS(2997),
    [anon_sym_private] = ACTIONS(2997),
    [anon_sym_protected] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [sym_primitive_type] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_friend] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2080] = {
    [sym_identifier] = ACTIONS(3101),
    [aux_sym_preproc_def_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_AMP_AMP] = ACTIONS(3103),
    [anon_sym_AMP] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_typedef] = ACTIONS(3101),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym___attribute] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3103),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym___based] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym__Nonnull] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym__Alignas] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3101),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3101),
    [anon_sym_explicit] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3101),
    [anon_sym_operator] = ACTIONS(3101),
    [anon_sym_friend] = ACTIONS(3101),
    [anon_sym_public] = ACTIONS(3101),
    [anon_sym_private] = ACTIONS(3101),
    [anon_sym_protected] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3101),
    [anon_sym_static_assert] = ACTIONS(3101),
  },
  [2081] = {
    [sym_template_argument_list] = STATE(1560),
    [sym_identifier] = ACTIONS(4838),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4838),
    [anon_sym_LT] = ACTIONS(5879),
    [anon_sym___extension__] = ACTIONS(4838),
    [anon_sym_virtual] = ACTIONS(4838),
    [anon_sym_extern] = ACTIONS(4838),
    [anon_sym___attribute__] = ACTIONS(4838),
    [anon_sym___attribute] = ACTIONS(4838),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4838),
    [anon_sym___based] = ACTIONS(4838),
    [anon_sym___cdecl] = ACTIONS(4838),
    [anon_sym___clrcall] = ACTIONS(4838),
    [anon_sym___stdcall] = ACTIONS(4838),
    [anon_sym___fastcall] = ACTIONS(4838),
    [anon_sym___thiscall] = ACTIONS(4838),
    [anon_sym___vectorcall] = ACTIONS(4838),
    [anon_sym_signed] = ACTIONS(4838),
    [anon_sym_unsigned] = ACTIONS(4838),
    [anon_sym_long] = ACTIONS(4838),
    [anon_sym_short] = ACTIONS(4838),
    [anon_sym_LBRACK] = ACTIONS(4838),
    [anon_sym_static] = ACTIONS(4838),
    [anon_sym_register] = ACTIONS(4838),
    [anon_sym_inline] = ACTIONS(4838),
    [anon_sym___inline] = ACTIONS(4838),
    [anon_sym___inline__] = ACTIONS(4838),
    [anon_sym___forceinline] = ACTIONS(4838),
    [anon_sym_thread_local] = ACTIONS(4838),
    [anon_sym___thread] = ACTIONS(4838),
    [anon_sym_const] = ACTIONS(4838),
    [anon_sym_constexpr] = ACTIONS(4838),
    [anon_sym_volatile] = ACTIONS(4838),
    [anon_sym_restrict] = ACTIONS(4838),
    [anon_sym___restrict__] = ACTIONS(4838),
    [anon_sym__Atomic] = ACTIONS(4838),
    [anon_sym__Noreturn] = ACTIONS(4838),
    [anon_sym_noreturn] = ACTIONS(4838),
    [anon_sym__Nonnull] = ACTIONS(4838),
    [anon_sym_mutable] = ACTIONS(4838),
    [anon_sym_constinit] = ACTIONS(4838),
    [anon_sym_consteval] = ACTIONS(4838),
    [anon_sym_alignas] = ACTIONS(4838),
    [anon_sym__Alignas] = ACTIONS(4838),
    [sym_primitive_type] = ACTIONS(4838),
    [anon_sym_enum] = ACTIONS(4838),
    [anon_sym_class] = ACTIONS(4838),
    [anon_sym_struct] = ACTIONS(4838),
    [anon_sym_union] = ACTIONS(4838),
    [anon_sym_or] = ACTIONS(4838),
    [anon_sym_and] = ACTIONS(4838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4838),
    [anon_sym_decltype] = ACTIONS(4838),
    [anon_sym_explicit] = ACTIONS(4838),
    [anon_sym_typename] = ACTIONS(4838),
    [anon_sym_template] = ACTIONS(4838),
    [anon_sym_operator] = ACTIONS(4838),
    [anon_sym_friend] = ACTIONS(4838),
    [anon_sym_using] = ACTIONS(4838),
    [anon_sym_concept] = ACTIONS(4838),
  },
  [2082] = {
    [sym_attribute_specifier] = STATE(1814),
    [sym_field_declaration_list] = STATE(2292),
    [sym_virtual_specifier] = STATE(7029),
    [sym_base_class_clause] = STATE(7646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5340),
    [anon_sym_COMMA] = ACTIONS(5340),
    [anon_sym_RPAREN] = ACTIONS(5340),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5340),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5340),
    [anon_sym_PIPE_PIPE] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5340),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_CARET] = ACTIONS(5340),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_EQ_EQ] = ACTIONS(5340),
    [anon_sym_BANG_EQ] = ACTIONS(5340),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_GT_EQ] = ACTIONS(5340),
    [anon_sym_LT_EQ] = ACTIONS(5338),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5340),
    [anon_sym_GT_GT] = ACTIONS(5340),
    [anon_sym_SEMI] = ACTIONS(5340),
    [anon_sym___extension__] = ACTIONS(5340),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5885),
    [anon_sym_RBRACE] = ACTIONS(5340),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [anon_sym_RBRACK] = ACTIONS(5340),
    [anon_sym_const] = ACTIONS(5338),
    [anon_sym_constexpr] = ACTIONS(5340),
    [anon_sym_volatile] = ACTIONS(5340),
    [anon_sym_restrict] = ACTIONS(5340),
    [anon_sym___restrict__] = ACTIONS(5340),
    [anon_sym__Atomic] = ACTIONS(5340),
    [anon_sym__Noreturn] = ACTIONS(5340),
    [anon_sym_noreturn] = ACTIONS(5340),
    [anon_sym__Nonnull] = ACTIONS(5340),
    [anon_sym_mutable] = ACTIONS(5340),
    [anon_sym_constinit] = ACTIONS(5340),
    [anon_sym_consteval] = ACTIONS(5340),
    [anon_sym_alignas] = ACTIONS(5340),
    [anon_sym__Alignas] = ACTIONS(5340),
    [anon_sym_COLON] = ACTIONS(5346),
    [anon_sym_QMARK] = ACTIONS(5340),
    [anon_sym_LT_EQ_GT] = ACTIONS(5340),
    [anon_sym_or] = ACTIONS(5340),
    [anon_sym_and] = ACTIONS(5340),
    [anon_sym_bitor] = ACTIONS(5340),
    [anon_sym_xor] = ACTIONS(5340),
    [anon_sym_bitand] = ACTIONS(5340),
    [anon_sym_not_eq] = ACTIONS(5340),
    [anon_sym_DASH_DASH] = ACTIONS(5340),
    [anon_sym_PLUS_PLUS] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_DOT_STAR] = ACTIONS(5340),
    [anon_sym_DASH_GT] = ACTIONS(5340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5340),
    [anon_sym_decltype] = ACTIONS(5340),
    [anon_sym_final] = ACTIONS(5887),
    [anon_sym_override] = ACTIONS(5887),
    [anon_sym_requires] = ACTIONS(5340),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym___attribute] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(5440),
    [aux_sym_preproc_def_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token2] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5440),
    [sym_preproc_directive] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_TILDE] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___extension__] = ACTIONS(5440),
    [anon_sym_typedef] = ACTIONS(5440),
    [anon_sym_virtual] = ACTIONS(5440),
    [anon_sym_extern] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym___attribute] = ACTIONS(5440),
    [anon_sym_COLON_COLON] = ACTIONS(5442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5442),
    [anon_sym___declspec] = ACTIONS(5440),
    [anon_sym___based] = ACTIONS(5440),
    [anon_sym_signed] = ACTIONS(5440),
    [anon_sym_unsigned] = ACTIONS(5440),
    [anon_sym_long] = ACTIONS(5440),
    [anon_sym_short] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_static] = ACTIONS(5440),
    [anon_sym_register] = ACTIONS(5440),
    [anon_sym_inline] = ACTIONS(5440),
    [anon_sym___inline] = ACTIONS(5440),
    [anon_sym___inline__] = ACTIONS(5440),
    [anon_sym___forceinline] = ACTIONS(5440),
    [anon_sym_thread_local] = ACTIONS(5440),
    [anon_sym___thread] = ACTIONS(5440),
    [anon_sym_const] = ACTIONS(5440),
    [anon_sym_constexpr] = ACTIONS(5440),
    [anon_sym_volatile] = ACTIONS(5440),
    [anon_sym_restrict] = ACTIONS(5440),
    [anon_sym___restrict__] = ACTIONS(5440),
    [anon_sym__Atomic] = ACTIONS(5440),
    [anon_sym__Noreturn] = ACTIONS(5440),
    [anon_sym_noreturn] = ACTIONS(5440),
    [anon_sym__Nonnull] = ACTIONS(5440),
    [anon_sym_mutable] = ACTIONS(5440),
    [anon_sym_constinit] = ACTIONS(5440),
    [anon_sym_consteval] = ACTIONS(5440),
    [anon_sym_alignas] = ACTIONS(5440),
    [anon_sym__Alignas] = ACTIONS(5440),
    [sym_primitive_type] = ACTIONS(5440),
    [anon_sym_enum] = ACTIONS(5440),
    [anon_sym_class] = ACTIONS(5440),
    [anon_sym_struct] = ACTIONS(5440),
    [anon_sym_union] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
    [anon_sym_explicit] = ACTIONS(5440),
    [anon_sym_typename] = ACTIONS(5440),
    [anon_sym_template] = ACTIONS(5440),
    [anon_sym_operator] = ACTIONS(5440),
    [anon_sym_friend] = ACTIONS(5440),
    [anon_sym_public] = ACTIONS(5440),
    [anon_sym_private] = ACTIONS(5440),
    [anon_sym_protected] = ACTIONS(5440),
    [anon_sym_using] = ACTIONS(5440),
    [anon_sym_static_assert] = ACTIONS(5440),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym___attribute] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_friend] = ACTIONS(3015),
    [anon_sym_public] = ACTIONS(3015),
    [anon_sym_private] = ACTIONS(3015),
    [anon_sym_protected] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(5444),
    [aux_sym_preproc_def_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token2] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5444),
    [sym_preproc_directive] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym_typedef] = ACTIONS(5444),
    [anon_sym_virtual] = ACTIONS(5444),
    [anon_sym_extern] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym___attribute] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5446),
    [anon_sym___declspec] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_static] = ACTIONS(5444),
    [anon_sym_register] = ACTIONS(5444),
    [anon_sym_inline] = ACTIONS(5444),
    [anon_sym___inline] = ACTIONS(5444),
    [anon_sym___inline__] = ACTIONS(5444),
    [anon_sym___forceinline] = ACTIONS(5444),
    [anon_sym_thread_local] = ACTIONS(5444),
    [anon_sym___thread] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym__Nonnull] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym__Alignas] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_enum] = ACTIONS(5444),
    [anon_sym_class] = ACTIONS(5444),
    [anon_sym_struct] = ACTIONS(5444),
    [anon_sym_union] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_explicit] = ACTIONS(5444),
    [anon_sym_typename] = ACTIONS(5444),
    [anon_sym_template] = ACTIONS(5444),
    [anon_sym_operator] = ACTIONS(5444),
    [anon_sym_friend] = ACTIONS(5444),
    [anon_sym_public] = ACTIONS(5444),
    [anon_sym_private] = ACTIONS(5444),
    [anon_sym_protected] = ACTIONS(5444),
    [anon_sym_using] = ACTIONS(5444),
    [anon_sym_static_assert] = ACTIONS(5444),
  },
  [2087] = {
    [sym_ms_based_modifier] = STATE(8004),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(3836),
    [sym__declarator] = STATE(6295),
    [sym__abstract_declarator] = STATE(6589),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_type_qualifier] = STATE(2662),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_parameter_list] = STATE(3304),
    [sym_decltype] = STATE(8209),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5806),
    [sym_qualified_identifier] = STATE(5964),
    [sym_operator_name] = STATE(5964),
    [aux_sym__type_definition_type_repeat1] = STATE(2662),
    [aux_sym_pointer_declarator_repeat1] = STATE(3836),
    [sym_identifier] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5732),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(5851),
    [anon_sym_AMP_AMP] = ACTIONS(5853),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(5734),
    [anon_sym___attribute] = ACTIONS(5734),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_GT2] = ACTIONS(5732),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5891),
    [anon_sym_TILDE] = ACTIONS(5891),
    [anon_sym_STAR] = ACTIONS(5891),
    [anon_sym_AMP_AMP] = ACTIONS(5891),
    [anon_sym_AMP] = ACTIONS(5889),
    [anon_sym___extension__] = ACTIONS(5889),
    [anon_sym_virtual] = ACTIONS(5889),
    [anon_sym_extern] = ACTIONS(5889),
    [anon_sym___attribute__] = ACTIONS(5889),
    [anon_sym___attribute] = ACTIONS(5889),
    [anon_sym_COLON_COLON] = ACTIONS(5891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5891),
    [anon_sym___declspec] = ACTIONS(5889),
    [anon_sym___based] = ACTIONS(5889),
    [anon_sym___cdecl] = ACTIONS(5889),
    [anon_sym___clrcall] = ACTIONS(5889),
    [anon_sym___stdcall] = ACTIONS(5889),
    [anon_sym___fastcall] = ACTIONS(5889),
    [anon_sym___thiscall] = ACTIONS(5889),
    [anon_sym___vectorcall] = ACTIONS(5889),
    [anon_sym_LBRACE] = ACTIONS(5891),
    [anon_sym_signed] = ACTIONS(5889),
    [anon_sym_unsigned] = ACTIONS(5889),
    [anon_sym_long] = ACTIONS(5889),
    [anon_sym_short] = ACTIONS(5889),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_static] = ACTIONS(5889),
    [anon_sym_register] = ACTIONS(5889),
    [anon_sym_inline] = ACTIONS(5889),
    [anon_sym___inline] = ACTIONS(5889),
    [anon_sym___inline__] = ACTIONS(5889),
    [anon_sym___forceinline] = ACTIONS(5889),
    [anon_sym_thread_local] = ACTIONS(5889),
    [anon_sym___thread] = ACTIONS(5889),
    [anon_sym_const] = ACTIONS(5889),
    [anon_sym_constexpr] = ACTIONS(5889),
    [anon_sym_volatile] = ACTIONS(5889),
    [anon_sym_restrict] = ACTIONS(5889),
    [anon_sym___restrict__] = ACTIONS(5889),
    [anon_sym__Atomic] = ACTIONS(5889),
    [anon_sym__Noreturn] = ACTIONS(5889),
    [anon_sym_noreturn] = ACTIONS(5889),
    [anon_sym__Nonnull] = ACTIONS(5889),
    [anon_sym_mutable] = ACTIONS(5889),
    [anon_sym_constinit] = ACTIONS(5889),
    [anon_sym_consteval] = ACTIONS(5889),
    [anon_sym_alignas] = ACTIONS(5889),
    [anon_sym__Alignas] = ACTIONS(5889),
    [sym_primitive_type] = ACTIONS(5889),
    [anon_sym_enum] = ACTIONS(5889),
    [anon_sym_class] = ACTIONS(5889),
    [anon_sym_struct] = ACTIONS(5889),
    [anon_sym_union] = ACTIONS(5889),
    [anon_sym_DASH_GT] = ACTIONS(5891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5889),
    [anon_sym_decltype] = ACTIONS(5889),
    [anon_sym_explicit] = ACTIONS(5889),
    [anon_sym_typename] = ACTIONS(5889),
    [anon_sym_template] = ACTIONS(5889),
    [anon_sym_operator] = ACTIONS(5889),
    [anon_sym_friend] = ACTIONS(5889),
    [anon_sym_noexcept] = ACTIONS(5889),
    [anon_sym_throw] = ACTIONS(5889),
    [anon_sym_using] = ACTIONS(5889),
    [anon_sym_concept] = ACTIONS(5889),
    [anon_sym_requires] = ACTIONS(5889),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym___attribute] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym__Nonnull] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym__Alignas] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_friend] = ACTIONS(3089),
    [anon_sym_public] = ACTIONS(3089),
    [anon_sym_private] = ACTIONS(3089),
    [anon_sym_protected] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(5893),
    [anon_sym_LPAREN2] = ACTIONS(5895),
    [anon_sym_TILDE] = ACTIONS(5895),
    [anon_sym_STAR] = ACTIONS(5895),
    [anon_sym_AMP_AMP] = ACTIONS(5895),
    [anon_sym_AMP] = ACTIONS(5893),
    [anon_sym___extension__] = ACTIONS(5893),
    [anon_sym_virtual] = ACTIONS(5893),
    [anon_sym_extern] = ACTIONS(5893),
    [anon_sym___attribute__] = ACTIONS(5893),
    [anon_sym___attribute] = ACTIONS(5893),
    [anon_sym_COLON_COLON] = ACTIONS(5895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5895),
    [anon_sym___declspec] = ACTIONS(5893),
    [anon_sym___based] = ACTIONS(5893),
    [anon_sym___cdecl] = ACTIONS(5893),
    [anon_sym___clrcall] = ACTIONS(5893),
    [anon_sym___stdcall] = ACTIONS(5893),
    [anon_sym___fastcall] = ACTIONS(5893),
    [anon_sym___thiscall] = ACTIONS(5893),
    [anon_sym___vectorcall] = ACTIONS(5893),
    [anon_sym_LBRACE] = ACTIONS(5895),
    [anon_sym_signed] = ACTIONS(5893),
    [anon_sym_unsigned] = ACTIONS(5893),
    [anon_sym_long] = ACTIONS(5893),
    [anon_sym_short] = ACTIONS(5893),
    [anon_sym_LBRACK] = ACTIONS(5893),
    [anon_sym_static] = ACTIONS(5893),
    [anon_sym_register] = ACTIONS(5893),
    [anon_sym_inline] = ACTIONS(5893),
    [anon_sym___inline] = ACTIONS(5893),
    [anon_sym___inline__] = ACTIONS(5893),
    [anon_sym___forceinline] = ACTIONS(5893),
    [anon_sym_thread_local] = ACTIONS(5893),
    [anon_sym___thread] = ACTIONS(5893),
    [anon_sym_const] = ACTIONS(5893),
    [anon_sym_constexpr] = ACTIONS(5893),
    [anon_sym_volatile] = ACTIONS(5893),
    [anon_sym_restrict] = ACTIONS(5893),
    [anon_sym___restrict__] = ACTIONS(5893),
    [anon_sym__Atomic] = ACTIONS(5893),
    [anon_sym__Noreturn] = ACTIONS(5893),
    [anon_sym_noreturn] = ACTIONS(5893),
    [anon_sym__Nonnull] = ACTIONS(5893),
    [anon_sym_mutable] = ACTIONS(5893),
    [anon_sym_constinit] = ACTIONS(5893),
    [anon_sym_consteval] = ACTIONS(5893),
    [anon_sym_alignas] = ACTIONS(5893),
    [anon_sym__Alignas] = ACTIONS(5893),
    [sym_primitive_type] = ACTIONS(5893),
    [anon_sym_enum] = ACTIONS(5893),
    [anon_sym_class] = ACTIONS(5893),
    [anon_sym_struct] = ACTIONS(5893),
    [anon_sym_union] = ACTIONS(5893),
    [anon_sym_DASH_GT] = ACTIONS(5895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5893),
    [anon_sym_decltype] = ACTIONS(5893),
    [anon_sym_explicit] = ACTIONS(5893),
    [anon_sym_typename] = ACTIONS(5893),
    [anon_sym_template] = ACTIONS(5893),
    [anon_sym_operator] = ACTIONS(5893),
    [anon_sym_friend] = ACTIONS(5893),
    [anon_sym_noexcept] = ACTIONS(5893),
    [anon_sym_throw] = ACTIONS(5893),
    [anon_sym_using] = ACTIONS(5893),
    [anon_sym_concept] = ACTIONS(5893),
    [anon_sym_requires] = ACTIONS(5893),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(5492),
    [aux_sym_preproc_def_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token2] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5492),
    [sym_preproc_directive] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_TILDE] = ACTIONS(5494),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym_typedef] = ACTIONS(5492),
    [anon_sym_virtual] = ACTIONS(5492),
    [anon_sym_extern] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym_COLON_COLON] = ACTIONS(5494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5494),
    [anon_sym___declspec] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_static] = ACTIONS(5492),
    [anon_sym_register] = ACTIONS(5492),
    [anon_sym_inline] = ACTIONS(5492),
    [anon_sym___inline] = ACTIONS(5492),
    [anon_sym___inline__] = ACTIONS(5492),
    [anon_sym___forceinline] = ACTIONS(5492),
    [anon_sym_thread_local] = ACTIONS(5492),
    [anon_sym___thread] = ACTIONS(5492),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym__Nonnull] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym__Alignas] = ACTIONS(5492),
    [sym_primitive_type] = ACTIONS(5492),
    [anon_sym_enum] = ACTIONS(5492),
    [anon_sym_class] = ACTIONS(5492),
    [anon_sym_struct] = ACTIONS(5492),
    [anon_sym_union] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_explicit] = ACTIONS(5492),
    [anon_sym_typename] = ACTIONS(5492),
    [anon_sym_template] = ACTIONS(5492),
    [anon_sym_operator] = ACTIONS(5492),
    [anon_sym_friend] = ACTIONS(5492),
    [anon_sym_public] = ACTIONS(5492),
    [anon_sym_private] = ACTIONS(5492),
    [anon_sym_protected] = ACTIONS(5492),
    [anon_sym_using] = ACTIONS(5492),
    [anon_sym_static_assert] = ACTIONS(5492),
  },
  [2093] = {
    [sym_identifier] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token2] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_TILDE] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(5384),
    [anon_sym_typedef] = ACTIONS(5384),
    [anon_sym_virtual] = ACTIONS(5384),
    [anon_sym_extern] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym___attribute] = ACTIONS(5384),
    [anon_sym_COLON_COLON] = ACTIONS(5386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5386),
    [anon_sym___declspec] = ACTIONS(5384),
    [anon_sym___based] = ACTIONS(5384),
    [anon_sym_signed] = ACTIONS(5384),
    [anon_sym_unsigned] = ACTIONS(5384),
    [anon_sym_long] = ACTIONS(5384),
    [anon_sym_short] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_static] = ACTIONS(5384),
    [anon_sym_register] = ACTIONS(5384),
    [anon_sym_inline] = ACTIONS(5384),
    [anon_sym___inline] = ACTIONS(5384),
    [anon_sym___inline__] = ACTIONS(5384),
    [anon_sym___forceinline] = ACTIONS(5384),
    [anon_sym_thread_local] = ACTIONS(5384),
    [anon_sym___thread] = ACTIONS(5384),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5384),
    [anon_sym_volatile] = ACTIONS(5384),
    [anon_sym_restrict] = ACTIONS(5384),
    [anon_sym___restrict__] = ACTIONS(5384),
    [anon_sym__Atomic] = ACTIONS(5384),
    [anon_sym__Noreturn] = ACTIONS(5384),
    [anon_sym_noreturn] = ACTIONS(5384),
    [anon_sym__Nonnull] = ACTIONS(5384),
    [anon_sym_mutable] = ACTIONS(5384),
    [anon_sym_constinit] = ACTIONS(5384),
    [anon_sym_consteval] = ACTIONS(5384),
    [anon_sym_alignas] = ACTIONS(5384),
    [anon_sym__Alignas] = ACTIONS(5384),
    [sym_primitive_type] = ACTIONS(5384),
    [anon_sym_enum] = ACTIONS(5384),
    [anon_sym_class] = ACTIONS(5384),
    [anon_sym_struct] = ACTIONS(5384),
    [anon_sym_union] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
    [anon_sym_explicit] = ACTIONS(5384),
    [anon_sym_typename] = ACTIONS(5384),
    [anon_sym_template] = ACTIONS(5384),
    [anon_sym_operator] = ACTIONS(5384),
    [anon_sym_friend] = ACTIONS(5384),
    [anon_sym_public] = ACTIONS(5384),
    [anon_sym_private] = ACTIONS(5384),
    [anon_sym_protected] = ACTIONS(5384),
    [anon_sym_using] = ACTIONS(5384),
    [anon_sym_static_assert] = ACTIONS(5384),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym___attribute] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_friend] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(3109),
    [aux_sym_preproc_def_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token1] = ACTIONS(3109),
    [aux_sym_preproc_if_token2] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3109),
    [sym_preproc_directive] = ACTIONS(3109),
    [anon_sym_LPAREN2] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_AMP_AMP] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3109),
    [anon_sym_typedef] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym___attribute__] = ACTIONS(3109),
    [anon_sym___attribute] = ACTIONS(3109),
    [anon_sym_COLON_COLON] = ACTIONS(3111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3109),
    [anon_sym___based] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3109),
    [anon_sym_unsigned] = ACTIONS(3109),
    [anon_sym_long] = ACTIONS(3109),
    [anon_sym_short] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_register] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(3109),
    [anon_sym___inline] = ACTIONS(3109),
    [anon_sym___inline__] = ACTIONS(3109),
    [anon_sym___forceinline] = ACTIONS(3109),
    [anon_sym_thread_local] = ACTIONS(3109),
    [anon_sym___thread] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_constexpr] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_restrict] = ACTIONS(3109),
    [anon_sym___restrict__] = ACTIONS(3109),
    [anon_sym__Atomic] = ACTIONS(3109),
    [anon_sym__Noreturn] = ACTIONS(3109),
    [anon_sym_noreturn] = ACTIONS(3109),
    [anon_sym__Nonnull] = ACTIONS(3109),
    [anon_sym_mutable] = ACTIONS(3109),
    [anon_sym_constinit] = ACTIONS(3109),
    [anon_sym_consteval] = ACTIONS(3109),
    [anon_sym_alignas] = ACTIONS(3109),
    [anon_sym__Alignas] = ACTIONS(3109),
    [sym_primitive_type] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_union] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3109),
    [anon_sym_decltype] = ACTIONS(3109),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3109),
    [anon_sym_template] = ACTIONS(3109),
    [anon_sym_operator] = ACTIONS(3109),
    [anon_sym_friend] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_static_assert] = ACTIONS(3109),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym___attribute] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_friend] = ACTIONS(3119),
    [anon_sym_public] = ACTIONS(3119),
    [anon_sym_private] = ACTIONS(3119),
    [anon_sym_protected] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_friend] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_friend] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(3101),
    [aux_sym_preproc_def_token1] = ACTIONS(3101),
    [aux_sym_preproc_if_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3101),
    [sym_preproc_directive] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(3103),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_AMP_AMP] = ACTIONS(3103),
    [anon_sym_AMP] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_typedef] = ACTIONS(3101),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym___attribute] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3103),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym___based] = ACTIONS(3101),
    [anon_sym_RBRACE] = ACTIONS(3103),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym__Nonnull] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym__Alignas] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3101),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3101),
    [anon_sym_explicit] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3101),
    [anon_sym_operator] = ACTIONS(3101),
    [anon_sym_friend] = ACTIONS(3101),
    [anon_sym_public] = ACTIONS(3101),
    [anon_sym_private] = ACTIONS(3101),
    [anon_sym_protected] = ACTIONS(3101),
    [anon_sym_using] = ACTIONS(3101),
    [anon_sym_static_assert] = ACTIONS(3101),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym___attribute] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_friend] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(5456),
    [aux_sym_preproc_def_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5456),
    [sym_preproc_directive] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_typedef] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [sym_primitive_type] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_friend] = ACTIONS(5456),
    [anon_sym_public] = ACTIONS(5456),
    [anon_sym_private] = ACTIONS(5456),
    [anon_sym_protected] = ACTIONS(5456),
    [anon_sym_using] = ACTIONS(5456),
    [anon_sym_static_assert] = ACTIONS(5456),
  },
  [2104] = {
    [sym_identifier] = ACTIONS(5460),
    [aux_sym_preproc_def_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token2] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5460),
    [sym_preproc_directive] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5462),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_typedef] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym___attribute] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5462),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym__Nonnull] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym__Alignas] = ACTIONS(5460),
    [sym_primitive_type] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_public] = ACTIONS(5460),
    [anon_sym_private] = ACTIONS(5460),
    [anon_sym_protected] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_static_assert] = ACTIONS(5460),
  },
  [2105] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_RBRACE] = ACTIONS(4063),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token2] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym___attribute] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_friend] = ACTIONS(3123),
    [anon_sym_public] = ACTIONS(3123),
    [anon_sym_private] = ACTIONS(3123),
    [anon_sym_protected] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(5464),
    [aux_sym_preproc_def_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5464),
    [sym_preproc_directive] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_typedef] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [sym_primitive_type] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_public] = ACTIONS(5464),
    [anon_sym_private] = ACTIONS(5464),
    [anon_sym_protected] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_static_assert] = ACTIONS(5464),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token2] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_TILDE] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym_typedef] = ACTIONS(5468),
    [anon_sym_virtual] = ACTIONS(5468),
    [anon_sym_extern] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym___attribute] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5470),
    [anon_sym___declspec] = ACTIONS(5468),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_static] = ACTIONS(5468),
    [anon_sym_register] = ACTIONS(5468),
    [anon_sym_inline] = ACTIONS(5468),
    [anon_sym___inline] = ACTIONS(5468),
    [anon_sym___inline__] = ACTIONS(5468),
    [anon_sym___forceinline] = ACTIONS(5468),
    [anon_sym_thread_local] = ACTIONS(5468),
    [anon_sym___thread] = ACTIONS(5468),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym__Nonnull] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [anon_sym_alignas] = ACTIONS(5468),
    [anon_sym__Alignas] = ACTIONS(5468),
    [sym_primitive_type] = ACTIONS(5468),
    [anon_sym_enum] = ACTIONS(5468),
    [anon_sym_class] = ACTIONS(5468),
    [anon_sym_struct] = ACTIONS(5468),
    [anon_sym_union] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_explicit] = ACTIONS(5468),
    [anon_sym_typename] = ACTIONS(5468),
    [anon_sym_template] = ACTIONS(5468),
    [anon_sym_operator] = ACTIONS(5468),
    [anon_sym_friend] = ACTIONS(5468),
    [anon_sym_public] = ACTIONS(5468),
    [anon_sym_private] = ACTIONS(5468),
    [anon_sym_protected] = ACTIONS(5468),
    [anon_sym_using] = ACTIONS(5468),
    [anon_sym_static_assert] = ACTIONS(5468),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym___attribute] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_TILDE] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym_typedef] = ACTIONS(5412),
    [anon_sym_virtual] = ACTIONS(5412),
    [anon_sym_extern] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___attribute] = ACTIONS(5412),
    [anon_sym_COLON_COLON] = ACTIONS(5414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5414),
    [anon_sym___declspec] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5412),
    [anon_sym_static] = ACTIONS(5412),
    [anon_sym_register] = ACTIONS(5412),
    [anon_sym_inline] = ACTIONS(5412),
    [anon_sym___inline] = ACTIONS(5412),
    [anon_sym___inline__] = ACTIONS(5412),
    [anon_sym___forceinline] = ACTIONS(5412),
    [anon_sym_thread_local] = ACTIONS(5412),
    [anon_sym___thread] = ACTIONS(5412),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_enum] = ACTIONS(5412),
    [anon_sym_class] = ACTIONS(5412),
    [anon_sym_struct] = ACTIONS(5412),
    [anon_sym_union] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_explicit] = ACTIONS(5412),
    [anon_sym_typename] = ACTIONS(5412),
    [anon_sym_template] = ACTIONS(5412),
    [anon_sym_operator] = ACTIONS(5412),
    [anon_sym_friend] = ACTIONS(5412),
    [anon_sym_public] = ACTIONS(5412),
    [anon_sym_private] = ACTIONS(5412),
    [anon_sym_protected] = ACTIONS(5412),
    [anon_sym_using] = ACTIONS(5412),
    [anon_sym_static_assert] = ACTIONS(5412),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token2] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_TILDE] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym_typedef] = ACTIONS(5396),
    [anon_sym_virtual] = ACTIONS(5396),
    [anon_sym_extern] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___attribute] = ACTIONS(5396),
    [anon_sym_COLON_COLON] = ACTIONS(5398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5398),
    [anon_sym___declspec] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_static] = ACTIONS(5396),
    [anon_sym_register] = ACTIONS(5396),
    [anon_sym_inline] = ACTIONS(5396),
    [anon_sym___inline] = ACTIONS(5396),
    [anon_sym___inline__] = ACTIONS(5396),
    [anon_sym___forceinline] = ACTIONS(5396),
    [anon_sym_thread_local] = ACTIONS(5396),
    [anon_sym___thread] = ACTIONS(5396),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [sym_primitive_type] = ACTIONS(5396),
    [anon_sym_enum] = ACTIONS(5396),
    [anon_sym_class] = ACTIONS(5396),
    [anon_sym_struct] = ACTIONS(5396),
    [anon_sym_union] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_explicit] = ACTIONS(5396),
    [anon_sym_typename] = ACTIONS(5396),
    [anon_sym_template] = ACTIONS(5396),
    [anon_sym_operator] = ACTIONS(5396),
    [anon_sym_friend] = ACTIONS(5396),
    [anon_sym_public] = ACTIONS(5396),
    [anon_sym_private] = ACTIONS(5396),
    [anon_sym_protected] = ACTIONS(5396),
    [anon_sym_using] = ACTIONS(5396),
    [anon_sym_static_assert] = ACTIONS(5396),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token2] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_TILDE] = ACTIONS(5402),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym_typedef] = ACTIONS(5400),
    [anon_sym_virtual] = ACTIONS(5400),
    [anon_sym_extern] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___attribute] = ACTIONS(5400),
    [anon_sym_COLON_COLON] = ACTIONS(5402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5402),
    [anon_sym___declspec] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5400),
    [anon_sym_static] = ACTIONS(5400),
    [anon_sym_register] = ACTIONS(5400),
    [anon_sym_inline] = ACTIONS(5400),
    [anon_sym___inline] = ACTIONS(5400),
    [anon_sym___inline__] = ACTIONS(5400),
    [anon_sym___forceinline] = ACTIONS(5400),
    [anon_sym_thread_local] = ACTIONS(5400),
    [anon_sym___thread] = ACTIONS(5400),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [sym_primitive_type] = ACTIONS(5400),
    [anon_sym_enum] = ACTIONS(5400),
    [anon_sym_class] = ACTIONS(5400),
    [anon_sym_struct] = ACTIONS(5400),
    [anon_sym_union] = ACTIONS(5400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_explicit] = ACTIONS(5400),
    [anon_sym_typename] = ACTIONS(5400),
    [anon_sym_template] = ACTIONS(5400),
    [anon_sym_operator] = ACTIONS(5400),
    [anon_sym_friend] = ACTIONS(5400),
    [anon_sym_public] = ACTIONS(5400),
    [anon_sym_private] = ACTIONS(5400),
    [anon_sym_protected] = ACTIONS(5400),
    [anon_sym_using] = ACTIONS(5400),
    [anon_sym_static_assert] = ACTIONS(5400),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_RBRACE] = ACTIONS(5418),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token2] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym___attribute] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_friend] = ACTIONS(3127),
    [anon_sym_public] = ACTIONS(3127),
    [anon_sym_private] = ACTIONS(3127),
    [anon_sym_protected] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym___attribute] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [sym_primitive_type] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_friend] = ACTIONS(2876),
    [anon_sym_public] = ACTIONS(2876),
    [anon_sym_private] = ACTIONS(2876),
    [anon_sym_protected] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [sym_primitive_type] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym___attribute] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym_RBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_friend] = ACTIONS(3119),
    [anon_sym_public] = ACTIONS(3119),
    [anon_sym_private] = ACTIONS(3119),
    [anon_sym_protected] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
  },
  [2126] = {
    [sym_type_qualifier] = STATE(2162),
    [sym_alignas_qualifier] = STATE(2209),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2361),
    [sym_identifier] = ACTIONS(5897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4962),
    [anon_sym_PLUS] = ACTIONS(4962),
    [anon_sym_STAR] = ACTIONS(4960),
    [anon_sym_SLASH] = ACTIONS(4962),
    [anon_sym_PERCENT] = ACTIONS(4960),
    [anon_sym_PIPE_PIPE] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_PIPE] = ACTIONS(4962),
    [anon_sym_CARET] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_EQ_EQ] = ACTIONS(4960),
    [anon_sym_BANG_EQ] = ACTIONS(4960),
    [anon_sym_GT] = ACTIONS(4962),
    [anon_sym_GT_EQ] = ACTIONS(4962),
    [anon_sym_LT_EQ] = ACTIONS(4962),
    [anon_sym_LT] = ACTIONS(4962),
    [anon_sym_LT_LT] = ACTIONS(4960),
    [anon_sym_GT_GT] = ACTIONS(4962),
    [anon_sym___extension__] = ACTIONS(5899),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(5901),
    [anon_sym_unsigned] = ACTIONS(5901),
    [anon_sym_long] = ACTIONS(5901),
    [anon_sym_short] = ACTIONS(5901),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym_const] = ACTIONS(5899),
    [anon_sym_constexpr] = ACTIONS(5899),
    [anon_sym_volatile] = ACTIONS(5899),
    [anon_sym_restrict] = ACTIONS(5899),
    [anon_sym___restrict__] = ACTIONS(5899),
    [anon_sym__Atomic] = ACTIONS(5899),
    [anon_sym__Noreturn] = ACTIONS(5899),
    [anon_sym_noreturn] = ACTIONS(5899),
    [anon_sym__Nonnull] = ACTIONS(5899),
    [anon_sym_mutable] = ACTIONS(5899),
    [anon_sym_constinit] = ACTIONS(5899),
    [anon_sym_consteval] = ACTIONS(5899),
    [anon_sym_alignas] = ACTIONS(5903),
    [anon_sym__Alignas] = ACTIONS(5903),
    [sym_primitive_type] = ACTIONS(5905),
    [anon_sym_QMARK] = ACTIONS(4960),
    [anon_sym_LT_EQ_GT] = ACTIONS(4960),
    [anon_sym_or] = ACTIONS(4962),
    [anon_sym_and] = ACTIONS(4962),
    [anon_sym_bitor] = ACTIONS(4962),
    [anon_sym_xor] = ACTIONS(4962),
    [anon_sym_bitand] = ACTIONS(4962),
    [anon_sym_not_eq] = ACTIONS(4962),
    [anon_sym_DASH_DASH] = ACTIONS(4960),
    [anon_sym_PLUS_PLUS] = ACTIONS(4960),
    [anon_sym_DOT] = ACTIONS(4962),
    [anon_sym_DOT_STAR] = ACTIONS(4960),
    [anon_sym_DASH_GT] = ACTIONS(4960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
    [anon_sym_GT2] = ACTIONS(4960),
  },
  [2127] = {
    [sym_attribute_declaration] = STATE(2180),
    [sym_parameter_list] = STATE(2207),
    [aux_sym_attributed_declarator_repeat1] = STATE(2180),
    [sym_identifier] = ACTIONS(5907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5909),
    [anon_sym_COMMA] = ACTIONS(5909),
    [anon_sym_RPAREN] = ACTIONS(5909),
    [aux_sym_preproc_if_token2] = ACTIONS(5909),
    [aux_sym_preproc_else_token1] = ACTIONS(5909),
    [aux_sym_preproc_elif_token1] = ACTIONS(5907),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5909),
    [anon_sym_LPAREN2] = ACTIONS(5911),
    [anon_sym_DASH] = ACTIONS(5907),
    [anon_sym_PLUS] = ACTIONS(5907),
    [anon_sym_STAR] = ACTIONS(5907),
    [anon_sym_SLASH] = ACTIONS(5907),
    [anon_sym_PERCENT] = ACTIONS(5907),
    [anon_sym_PIPE_PIPE] = ACTIONS(5909),
    [anon_sym_AMP_AMP] = ACTIONS(5909),
    [anon_sym_PIPE] = ACTIONS(5907),
    [anon_sym_CARET] = ACTIONS(5907),
    [anon_sym_AMP] = ACTIONS(5907),
    [anon_sym_EQ_EQ] = ACTIONS(5909),
    [anon_sym_BANG_EQ] = ACTIONS(5909),
    [anon_sym_GT] = ACTIONS(5907),
    [anon_sym_GT_EQ] = ACTIONS(5909),
    [anon_sym_LT_EQ] = ACTIONS(5907),
    [anon_sym_LT] = ACTIONS(5907),
    [anon_sym_LT_LT] = ACTIONS(5907),
    [anon_sym_GT_GT] = ACTIONS(5907),
    [anon_sym_SEMI] = ACTIONS(5909),
    [anon_sym___attribute__] = ACTIONS(5907),
    [anon_sym___attribute] = ACTIONS(5907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(5909),
    [anon_sym_LBRACK] = ACTIONS(5915),
    [anon_sym_RBRACK] = ACTIONS(5909),
    [anon_sym_EQ] = ACTIONS(5907),
    [anon_sym_COLON] = ACTIONS(5909),
    [anon_sym_QMARK] = ACTIONS(5909),
    [anon_sym_STAR_EQ] = ACTIONS(5909),
    [anon_sym_SLASH_EQ] = ACTIONS(5909),
    [anon_sym_PERCENT_EQ] = ACTIONS(5909),
    [anon_sym_PLUS_EQ] = ACTIONS(5909),
    [anon_sym_DASH_EQ] = ACTIONS(5909),
    [anon_sym_LT_LT_EQ] = ACTIONS(5909),
    [anon_sym_GT_GT_EQ] = ACTIONS(5909),
    [anon_sym_AMP_EQ] = ACTIONS(5909),
    [anon_sym_CARET_EQ] = ACTIONS(5909),
    [anon_sym_PIPE_EQ] = ACTIONS(5909),
    [anon_sym_and_eq] = ACTIONS(5907),
    [anon_sym_or_eq] = ACTIONS(5907),
    [anon_sym_xor_eq] = ACTIONS(5907),
    [anon_sym_LT_EQ_GT] = ACTIONS(5909),
    [anon_sym_or] = ACTIONS(5907),
    [anon_sym_and] = ACTIONS(5907),
    [anon_sym_bitor] = ACTIONS(5907),
    [anon_sym_xor] = ACTIONS(5907),
    [anon_sym_bitand] = ACTIONS(5907),
    [anon_sym_not_eq] = ACTIONS(5907),
    [anon_sym_DASH_DASH] = ACTIONS(5909),
    [anon_sym_PLUS_PLUS] = ACTIONS(5909),
    [anon_sym_DOT] = ACTIONS(5907),
    [anon_sym_DOT_STAR] = ACTIONS(5909),
    [anon_sym_DASH_GT] = ACTIONS(5909),
    [sym_comment] = ACTIONS(3),
  },
  [2128] = {
    [sym_string_literal] = STATE(2139),
    [sym_raw_string_literal] = STATE(2139),
    [aux_sym_concatenated_string_repeat1] = STATE(2139),
    [sym_identifier] = ACTIONS(5917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5249),
    [anon_sym_COMMA] = ACTIONS(5249),
    [anon_sym_RPAREN] = ACTIONS(5249),
    [anon_sym_LPAREN2] = ACTIONS(5249),
    [anon_sym_DASH] = ACTIONS(5251),
    [anon_sym_PLUS] = ACTIONS(5251),
    [anon_sym_STAR] = ACTIONS(5251),
    [anon_sym_SLASH] = ACTIONS(5251),
    [anon_sym_PERCENT] = ACTIONS(5251),
    [anon_sym_PIPE_PIPE] = ACTIONS(5249),
    [anon_sym_AMP_AMP] = ACTIONS(5249),
    [anon_sym_PIPE] = ACTIONS(5251),
    [anon_sym_CARET] = ACTIONS(5251),
    [anon_sym_AMP] = ACTIONS(5251),
    [anon_sym_EQ_EQ] = ACTIONS(5249),
    [anon_sym_BANG_EQ] = ACTIONS(5249),
    [anon_sym_GT] = ACTIONS(5251),
    [anon_sym_GT_EQ] = ACTIONS(5249),
    [anon_sym_LT_EQ] = ACTIONS(5251),
    [anon_sym_LT] = ACTIONS(5251),
    [anon_sym_LT_LT] = ACTIONS(5251),
    [anon_sym_GT_GT] = ACTIONS(5251),
    [anon_sym_LBRACK] = ACTIONS(5249),
    [anon_sym_EQ] = ACTIONS(5251),
    [anon_sym_QMARK] = ACTIONS(5249),
    [anon_sym_STAR_EQ] = ACTIONS(5249),
    [anon_sym_SLASH_EQ] = ACTIONS(5249),
    [anon_sym_PERCENT_EQ] = ACTIONS(5249),
    [anon_sym_PLUS_EQ] = ACTIONS(5249),
    [anon_sym_DASH_EQ] = ACTIONS(5249),
    [anon_sym_LT_LT_EQ] = ACTIONS(5249),
    [anon_sym_GT_GT_EQ] = ACTIONS(5249),
    [anon_sym_AMP_EQ] = ACTIONS(5249),
    [anon_sym_CARET_EQ] = ACTIONS(5249),
    [anon_sym_PIPE_EQ] = ACTIONS(5249),
    [anon_sym_and_eq] = ACTIONS(5251),
    [anon_sym_or_eq] = ACTIONS(5251),
    [anon_sym_xor_eq] = ACTIONS(5251),
    [anon_sym_LT_EQ_GT] = ACTIONS(5249),
    [anon_sym_or] = ACTIONS(5251),
    [anon_sym_and] = ACTIONS(5251),
    [anon_sym_bitor] = ACTIONS(5251),
    [anon_sym_xor] = ACTIONS(5251),
    [anon_sym_bitand] = ACTIONS(5251),
    [anon_sym_not_eq] = ACTIONS(5251),
    [anon_sym_DASH_DASH] = ACTIONS(5249),
    [anon_sym_PLUS_PLUS] = ACTIONS(5249),
    [anon_sym_DOT] = ACTIONS(5251),
    [anon_sym_DOT_STAR] = ACTIONS(5249),
    [anon_sym_DASH_GT] = ACTIONS(5251),
    [anon_sym_L_DQUOTE] = ACTIONS(4899),
    [anon_sym_u_DQUOTE] = ACTIONS(4899),
    [anon_sym_U_DQUOTE] = ACTIONS(4899),
    [anon_sym_u8_DQUOTE] = ACTIONS(4899),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4901),
    [anon_sym_LR_DQUOTE] = ACTIONS(4901),
    [anon_sym_uR_DQUOTE] = ACTIONS(4901),
    [anon_sym_UR_DQUOTE] = ACTIONS(4901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5249),
    [sym_literal_suffix] = ACTIONS(5251),
  },
  [2129] = {
    [sym_attribute_specifier] = STATE(2205),
    [sym_identifier] = ACTIONS(5919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5921),
    [anon_sym_COMMA] = ACTIONS(5921),
    [anon_sym_RPAREN] = ACTIONS(5921),
    [aux_sym_preproc_if_token2] = ACTIONS(5921),
    [aux_sym_preproc_else_token1] = ACTIONS(5921),
    [aux_sym_preproc_elif_token1] = ACTIONS(5919),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5921),
    [anon_sym_LPAREN2] = ACTIONS(5921),
    [anon_sym_DASH] = ACTIONS(5919),
    [anon_sym_PLUS] = ACTIONS(5919),
    [anon_sym_STAR] = ACTIONS(5919),
    [anon_sym_SLASH] = ACTIONS(5919),
    [anon_sym_PERCENT] = ACTIONS(5919),
    [anon_sym_PIPE_PIPE] = ACTIONS(5921),
    [anon_sym_AMP_AMP] = ACTIONS(5921),
    [anon_sym_PIPE] = ACTIONS(5919),
    [anon_sym_CARET] = ACTIONS(5919),
    [anon_sym_AMP] = ACTIONS(5919),
    [anon_sym_EQ_EQ] = ACTIONS(5921),
    [anon_sym_BANG_EQ] = ACTIONS(5921),
    [anon_sym_GT] = ACTIONS(5919),
    [anon_sym_GT_EQ] = ACTIONS(5921),
    [anon_sym_LT_EQ] = ACTIONS(5919),
    [anon_sym_LT] = ACTIONS(5919),
    [anon_sym_LT_LT] = ACTIONS(5919),
    [anon_sym_GT_GT] = ACTIONS(5919),
    [anon_sym_SEMI] = ACTIONS(5921),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5921),
    [anon_sym_RBRACE] = ACTIONS(5921),
    [anon_sym_LBRACK] = ACTIONS(5921),
    [anon_sym_RBRACK] = ACTIONS(5921),
    [anon_sym_EQ] = ACTIONS(5919),
    [anon_sym_COLON] = ACTIONS(5921),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_STAR_EQ] = ACTIONS(5921),
    [anon_sym_SLASH_EQ] = ACTIONS(5921),
    [anon_sym_PERCENT_EQ] = ACTIONS(5921),
    [anon_sym_PLUS_EQ] = ACTIONS(5921),
    [anon_sym_DASH_EQ] = ACTIONS(5921),
    [anon_sym_LT_LT_EQ] = ACTIONS(5921),
    [anon_sym_GT_GT_EQ] = ACTIONS(5921),
    [anon_sym_AMP_EQ] = ACTIONS(5921),
    [anon_sym_CARET_EQ] = ACTIONS(5921),
    [anon_sym_PIPE_EQ] = ACTIONS(5921),
    [anon_sym_and_eq] = ACTIONS(5919),
    [anon_sym_or_eq] = ACTIONS(5919),
    [anon_sym_xor_eq] = ACTIONS(5919),
    [anon_sym_LT_EQ_GT] = ACTIONS(5921),
    [anon_sym_or] = ACTIONS(5919),
    [anon_sym_and] = ACTIONS(5919),
    [anon_sym_bitor] = ACTIONS(5919),
    [anon_sym_xor] = ACTIONS(5919),
    [anon_sym_bitand] = ACTIONS(5919),
    [anon_sym_not_eq] = ACTIONS(5919),
    [anon_sym_DASH_DASH] = ACTIONS(5921),
    [anon_sym_PLUS_PLUS] = ACTIONS(5921),
    [anon_sym_DOT] = ACTIONS(5919),
    [anon_sym_DOT_STAR] = ACTIONS(5921),
    [anon_sym_DASH_GT] = ACTIONS(5921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5919),
    [anon_sym_decltype] = ACTIONS(5919),
  },
  [2130] = {
    [sym_attribute_specifier] = STATE(2210),
    [sym_identifier] = ACTIONS(5923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5925),
    [anon_sym_COMMA] = ACTIONS(5925),
    [anon_sym_RPAREN] = ACTIONS(5925),
    [aux_sym_preproc_if_token2] = ACTIONS(5925),
    [aux_sym_preproc_else_token1] = ACTIONS(5925),
    [aux_sym_preproc_elif_token1] = ACTIONS(5923),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5925),
    [anon_sym_DASH] = ACTIONS(5923),
    [anon_sym_PLUS] = ACTIONS(5923),
    [anon_sym_STAR] = ACTIONS(5923),
    [anon_sym_SLASH] = ACTIONS(5923),
    [anon_sym_PERCENT] = ACTIONS(5923),
    [anon_sym_PIPE_PIPE] = ACTIONS(5925),
    [anon_sym_AMP_AMP] = ACTIONS(5925),
    [anon_sym_PIPE] = ACTIONS(5923),
    [anon_sym_CARET] = ACTIONS(5923),
    [anon_sym_AMP] = ACTIONS(5923),
    [anon_sym_EQ_EQ] = ACTIONS(5925),
    [anon_sym_BANG_EQ] = ACTIONS(5925),
    [anon_sym_GT] = ACTIONS(5923),
    [anon_sym_GT_EQ] = ACTIONS(5925),
    [anon_sym_LT_EQ] = ACTIONS(5923),
    [anon_sym_LT] = ACTIONS(5923),
    [anon_sym_LT_LT] = ACTIONS(5923),
    [anon_sym_GT_GT] = ACTIONS(5923),
    [anon_sym_SEMI] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5925),
    [anon_sym_RBRACE] = ACTIONS(5925),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_RBRACK] = ACTIONS(5925),
    [anon_sym_EQ] = ACTIONS(5923),
    [anon_sym_COLON] = ACTIONS(5925),
    [anon_sym_QMARK] = ACTIONS(5925),
    [anon_sym_STAR_EQ] = ACTIONS(5925),
    [anon_sym_SLASH_EQ] = ACTIONS(5925),
    [anon_sym_PERCENT_EQ] = ACTIONS(5925),
    [anon_sym_PLUS_EQ] = ACTIONS(5925),
    [anon_sym_DASH_EQ] = ACTIONS(5925),
    [anon_sym_LT_LT_EQ] = ACTIONS(5925),
    [anon_sym_GT_GT_EQ] = ACTIONS(5925),
    [anon_sym_AMP_EQ] = ACTIONS(5925),
    [anon_sym_CARET_EQ] = ACTIONS(5925),
    [anon_sym_PIPE_EQ] = ACTIONS(5925),
    [anon_sym_and_eq] = ACTIONS(5923),
    [anon_sym_or_eq] = ACTIONS(5923),
    [anon_sym_xor_eq] = ACTIONS(5923),
    [anon_sym_LT_EQ_GT] = ACTIONS(5925),
    [anon_sym_or] = ACTIONS(5923),
    [anon_sym_and] = ACTIONS(5923),
    [anon_sym_bitor] = ACTIONS(5923),
    [anon_sym_xor] = ACTIONS(5923),
    [anon_sym_bitand] = ACTIONS(5923),
    [anon_sym_not_eq] = ACTIONS(5923),
    [anon_sym_DASH_DASH] = ACTIONS(5925),
    [anon_sym_PLUS_PLUS] = ACTIONS(5925),
    [anon_sym_DOT] = ACTIONS(5923),
    [anon_sym_DOT_STAR] = ACTIONS(5925),
    [anon_sym_DASH_GT] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5923),
    [anon_sym_decltype] = ACTIONS(5923),
  },
  [2131] = {
    [sym_decltype_auto] = STATE(2178),
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [aux_sym_preproc_if_token2] = ACTIONS(5325),
    [aux_sym_preproc_else_token1] = ACTIONS(5325),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5323),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_PIPE] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5325),
    [anon_sym_BANG_EQ] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5323),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym___attribute] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_RBRACK] = ACTIONS(5325),
    [anon_sym_EQ] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_STAR_EQ] = ACTIONS(5325),
    [anon_sym_SLASH_EQ] = ACTIONS(5325),
    [anon_sym_PERCENT_EQ] = ACTIONS(5325),
    [anon_sym_PLUS_EQ] = ACTIONS(5325),
    [anon_sym_DASH_EQ] = ACTIONS(5325),
    [anon_sym_LT_LT_EQ] = ACTIONS(5325),
    [anon_sym_GT_GT_EQ] = ACTIONS(5325),
    [anon_sym_AMP_EQ] = ACTIONS(5325),
    [anon_sym_CARET_EQ] = ACTIONS(5325),
    [anon_sym_PIPE_EQ] = ACTIONS(5325),
    [anon_sym_and_eq] = ACTIONS(5323),
    [anon_sym_or_eq] = ACTIONS(5323),
    [anon_sym_xor_eq] = ACTIONS(5323),
    [anon_sym_LT_EQ_GT] = ACTIONS(5325),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_bitor] = ACTIONS(5323),
    [anon_sym_xor] = ACTIONS(5323),
    [anon_sym_bitand] = ACTIONS(5323),
    [anon_sym_not_eq] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5325),
    [anon_sym_DOT] = ACTIONS(5323),
    [anon_sym_DOT_STAR] = ACTIONS(5325),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5697),
    [anon_sym_decltype] = ACTIONS(5699),
  },
  [2132] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2133] = {
    [sym_attribute_declaration] = STATE(2180),
    [sym_parameter_list] = STATE(2207),
    [aux_sym_attributed_declarator_repeat1] = STATE(2180),
    [sym_identifier] = ACTIONS(5927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5929),
    [anon_sym_COMMA] = ACTIONS(5929),
    [anon_sym_RPAREN] = ACTIONS(5929),
    [aux_sym_preproc_if_token2] = ACTIONS(5929),
    [aux_sym_preproc_else_token1] = ACTIONS(5929),
    [aux_sym_preproc_elif_token1] = ACTIONS(5927),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5929),
    [anon_sym_LPAREN2] = ACTIONS(5911),
    [anon_sym_DASH] = ACTIONS(5927),
    [anon_sym_PLUS] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_SLASH] = ACTIONS(5927),
    [anon_sym_PERCENT] = ACTIONS(5927),
    [anon_sym_PIPE_PIPE] = ACTIONS(5929),
    [anon_sym_AMP_AMP] = ACTIONS(5929),
    [anon_sym_PIPE] = ACTIONS(5927),
    [anon_sym_CARET] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5927),
    [anon_sym_EQ_EQ] = ACTIONS(5929),
    [anon_sym_BANG_EQ] = ACTIONS(5929),
    [anon_sym_GT] = ACTIONS(5927),
    [anon_sym_GT_EQ] = ACTIONS(5929),
    [anon_sym_LT_EQ] = ACTIONS(5927),
    [anon_sym_LT] = ACTIONS(5927),
    [anon_sym_LT_LT] = ACTIONS(5927),
    [anon_sym_GT_GT] = ACTIONS(5927),
    [anon_sym_SEMI] = ACTIONS(5929),
    [anon_sym___attribute__] = ACTIONS(5927),
    [anon_sym___attribute] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5915),
    [anon_sym_RBRACK] = ACTIONS(5929),
    [anon_sym_EQ] = ACTIONS(5927),
    [anon_sym_COLON] = ACTIONS(5929),
    [anon_sym_QMARK] = ACTIONS(5929),
    [anon_sym_STAR_EQ] = ACTIONS(5929),
    [anon_sym_SLASH_EQ] = ACTIONS(5929),
    [anon_sym_PERCENT_EQ] = ACTIONS(5929),
    [anon_sym_PLUS_EQ] = ACTIONS(5929),
    [anon_sym_DASH_EQ] = ACTIONS(5929),
    [anon_sym_LT_LT_EQ] = ACTIONS(5929),
    [anon_sym_GT_GT_EQ] = ACTIONS(5929),
    [anon_sym_AMP_EQ] = ACTIONS(5929),
    [anon_sym_CARET_EQ] = ACTIONS(5929),
    [anon_sym_PIPE_EQ] = ACTIONS(5929),
    [anon_sym_and_eq] = ACTIONS(5927),
    [anon_sym_or_eq] = ACTIONS(5927),
    [anon_sym_xor_eq] = ACTIONS(5927),
    [anon_sym_LT_EQ_GT] = ACTIONS(5929),
    [anon_sym_or] = ACTIONS(5927),
    [anon_sym_and] = ACTIONS(5927),
    [anon_sym_bitor] = ACTIONS(5927),
    [anon_sym_xor] = ACTIONS(5927),
    [anon_sym_bitand] = ACTIONS(5927),
    [anon_sym_not_eq] = ACTIONS(5927),
    [anon_sym_DASH_DASH] = ACTIONS(5929),
    [anon_sym_PLUS_PLUS] = ACTIONS(5929),
    [anon_sym_DOT] = ACTIONS(5927),
    [anon_sym_DOT_STAR] = ACTIONS(5929),
    [anon_sym_DASH_GT] = ACTIONS(5929),
    [sym_comment] = ACTIONS(3),
  },
  [2134] = {
    [sym_string_literal] = STATE(2134),
    [sym_raw_string_literal] = STATE(2134),
    [aux_sym_concatenated_string_repeat1] = STATE(2134),
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5266),
    [anon_sym_COMMA] = ACTIONS(5266),
    [anon_sym_RPAREN] = ACTIONS(5266),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5268),
    [anon_sym_STAR] = ACTIONS(5268),
    [anon_sym_SLASH] = ACTIONS(5268),
    [anon_sym_PERCENT] = ACTIONS(5268),
    [anon_sym_PIPE_PIPE] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_PIPE] = ACTIONS(5268),
    [anon_sym_CARET] = ACTIONS(5268),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_EQ_EQ] = ACTIONS(5266),
    [anon_sym_BANG_EQ] = ACTIONS(5266),
    [anon_sym_GT] = ACTIONS(5268),
    [anon_sym_GT_EQ] = ACTIONS(5266),
    [anon_sym_LT_EQ] = ACTIONS(5268),
    [anon_sym_LT] = ACTIONS(5268),
    [anon_sym_LT_LT] = ACTIONS(5268),
    [anon_sym_GT_GT] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [anon_sym_EQ] = ACTIONS(5268),
    [anon_sym_QMARK] = ACTIONS(5266),
    [anon_sym_STAR_EQ] = ACTIONS(5266),
    [anon_sym_SLASH_EQ] = ACTIONS(5266),
    [anon_sym_PERCENT_EQ] = ACTIONS(5266),
    [anon_sym_PLUS_EQ] = ACTIONS(5266),
    [anon_sym_DASH_EQ] = ACTIONS(5266),
    [anon_sym_LT_LT_EQ] = ACTIONS(5266),
    [anon_sym_GT_GT_EQ] = ACTIONS(5266),
    [anon_sym_AMP_EQ] = ACTIONS(5266),
    [anon_sym_CARET_EQ] = ACTIONS(5266),
    [anon_sym_PIPE_EQ] = ACTIONS(5266),
    [anon_sym_and_eq] = ACTIONS(5268),
    [anon_sym_or_eq] = ACTIONS(5268),
    [anon_sym_xor_eq] = ACTIONS(5268),
    [anon_sym_LT_EQ_GT] = ACTIONS(5266),
    [anon_sym_or] = ACTIONS(5268),
    [anon_sym_and] = ACTIONS(5268),
    [anon_sym_bitor] = ACTIONS(5268),
    [anon_sym_xor] = ACTIONS(5268),
    [anon_sym_bitand] = ACTIONS(5268),
    [anon_sym_not_eq] = ACTIONS(5268),
    [anon_sym_DASH_DASH] = ACTIONS(5266),
    [anon_sym_PLUS_PLUS] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_DOT_STAR] = ACTIONS(5266),
    [anon_sym_DASH_GT] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(5934),
    [anon_sym_u_DQUOTE] = ACTIONS(5934),
    [anon_sym_U_DQUOTE] = ACTIONS(5934),
    [anon_sym_u8_DQUOTE] = ACTIONS(5934),
    [anon_sym_DQUOTE] = ACTIONS(5934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5937),
    [anon_sym_LR_DQUOTE] = ACTIONS(5937),
    [anon_sym_uR_DQUOTE] = ACTIONS(5937),
    [anon_sym_UR_DQUOTE] = ACTIONS(5937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5937),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5266),
    [sym_literal_suffix] = ACTIONS(5268),
  },
  [2135] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2136] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4368),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2137] = {
    [sym_attribute_specifier] = STATE(2247),
    [sym_identifier] = ACTIONS(5940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5942),
    [anon_sym_COMMA] = ACTIONS(5942),
    [anon_sym_RPAREN] = ACTIONS(5942),
    [aux_sym_preproc_if_token2] = ACTIONS(5942),
    [aux_sym_preproc_else_token1] = ACTIONS(5942),
    [aux_sym_preproc_elif_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5942),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5942),
    [anon_sym_LPAREN2] = ACTIONS(5942),
    [anon_sym_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5940),
    [anon_sym_STAR] = ACTIONS(5940),
    [anon_sym_SLASH] = ACTIONS(5940),
    [anon_sym_PERCENT] = ACTIONS(5940),
    [anon_sym_PIPE_PIPE] = ACTIONS(5942),
    [anon_sym_AMP_AMP] = ACTIONS(5942),
    [anon_sym_PIPE] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5940),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5942),
    [anon_sym_BANG_EQ] = ACTIONS(5942),
    [anon_sym_GT] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5942),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_LT_LT] = ACTIONS(5940),
    [anon_sym_GT_GT] = ACTIONS(5940),
    [anon_sym_SEMI] = ACTIONS(5942),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5942),
    [anon_sym_RBRACE] = ACTIONS(5942),
    [anon_sym_LBRACK] = ACTIONS(5942),
    [anon_sym_RBRACK] = ACTIONS(5942),
    [anon_sym_EQ] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5942),
    [anon_sym_QMARK] = ACTIONS(5942),
    [anon_sym_STAR_EQ] = ACTIONS(5942),
    [anon_sym_SLASH_EQ] = ACTIONS(5942),
    [anon_sym_PERCENT_EQ] = ACTIONS(5942),
    [anon_sym_PLUS_EQ] = ACTIONS(5942),
    [anon_sym_DASH_EQ] = ACTIONS(5942),
    [anon_sym_LT_LT_EQ] = ACTIONS(5942),
    [anon_sym_GT_GT_EQ] = ACTIONS(5942),
    [anon_sym_AMP_EQ] = ACTIONS(5942),
    [anon_sym_CARET_EQ] = ACTIONS(5942),
    [anon_sym_PIPE_EQ] = ACTIONS(5942),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(5942),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_bitor] = ACTIONS(5940),
    [anon_sym_xor] = ACTIONS(5940),
    [anon_sym_bitand] = ACTIONS(5940),
    [anon_sym_not_eq] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5942),
    [anon_sym_PLUS_PLUS] = ACTIONS(5942),
    [anon_sym_DOT] = ACTIONS(5940),
    [anon_sym_DOT_STAR] = ACTIONS(5942),
    [anon_sym_DASH_GT] = ACTIONS(5942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
  },
  [2138] = {
    [sym_attribute_specifier] = STATE(2250),
    [sym_identifier] = ACTIONS(5944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5946),
    [anon_sym_COMMA] = ACTIONS(5946),
    [anon_sym_RPAREN] = ACTIONS(5946),
    [aux_sym_preproc_if_token2] = ACTIONS(5946),
    [aux_sym_preproc_else_token1] = ACTIONS(5946),
    [aux_sym_preproc_elif_token1] = ACTIONS(5944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5946),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5946),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5944),
    [anon_sym_PLUS] = ACTIONS(5944),
    [anon_sym_STAR] = ACTIONS(5944),
    [anon_sym_SLASH] = ACTIONS(5944),
    [anon_sym_PERCENT] = ACTIONS(5944),
    [anon_sym_PIPE_PIPE] = ACTIONS(5946),
    [anon_sym_AMP_AMP] = ACTIONS(5946),
    [anon_sym_PIPE] = ACTIONS(5944),
    [anon_sym_CARET] = ACTIONS(5944),
    [anon_sym_AMP] = ACTIONS(5944),
    [anon_sym_EQ_EQ] = ACTIONS(5946),
    [anon_sym_BANG_EQ] = ACTIONS(5946),
    [anon_sym_GT] = ACTIONS(5944),
    [anon_sym_GT_EQ] = ACTIONS(5946),
    [anon_sym_LT_EQ] = ACTIONS(5944),
    [anon_sym_LT] = ACTIONS(5944),
    [anon_sym_LT_LT] = ACTIONS(5944),
    [anon_sym_GT_GT] = ACTIONS(5944),
    [anon_sym_SEMI] = ACTIONS(5946),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5946),
    [anon_sym_RBRACE] = ACTIONS(5946),
    [anon_sym_LBRACK] = ACTIONS(5946),
    [anon_sym_RBRACK] = ACTIONS(5946),
    [anon_sym_EQ] = ACTIONS(5944),
    [anon_sym_COLON] = ACTIONS(5946),
    [anon_sym_QMARK] = ACTIONS(5946),
    [anon_sym_STAR_EQ] = ACTIONS(5946),
    [anon_sym_SLASH_EQ] = ACTIONS(5946),
    [anon_sym_PERCENT_EQ] = ACTIONS(5946),
    [anon_sym_PLUS_EQ] = ACTIONS(5946),
    [anon_sym_DASH_EQ] = ACTIONS(5946),
    [anon_sym_LT_LT_EQ] = ACTIONS(5946),
    [anon_sym_GT_GT_EQ] = ACTIONS(5946),
    [anon_sym_AMP_EQ] = ACTIONS(5946),
    [anon_sym_CARET_EQ] = ACTIONS(5946),
    [anon_sym_PIPE_EQ] = ACTIONS(5946),
    [anon_sym_and_eq] = ACTIONS(5944),
    [anon_sym_or_eq] = ACTIONS(5944),
    [anon_sym_xor_eq] = ACTIONS(5944),
    [anon_sym_LT_EQ_GT] = ACTIONS(5946),
    [anon_sym_or] = ACTIONS(5944),
    [anon_sym_and] = ACTIONS(5944),
    [anon_sym_bitor] = ACTIONS(5944),
    [anon_sym_xor] = ACTIONS(5944),
    [anon_sym_bitand] = ACTIONS(5944),
    [anon_sym_not_eq] = ACTIONS(5944),
    [anon_sym_DASH_DASH] = ACTIONS(5946),
    [anon_sym_PLUS_PLUS] = ACTIONS(5946),
    [anon_sym_DOT] = ACTIONS(5944),
    [anon_sym_DOT_STAR] = ACTIONS(5946),
    [anon_sym_DASH_GT] = ACTIONS(5946),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5944),
    [anon_sym_decltype] = ACTIONS(5944),
  },
  [2139] = {
    [sym_string_literal] = STATE(2134),
    [sym_raw_string_literal] = STATE(2134),
    [aux_sym_concatenated_string_repeat1] = STATE(2134),
    [sym_identifier] = ACTIONS(5948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [anon_sym_RPAREN] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5255),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5255),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5257),
    [anon_sym_L_DQUOTE] = ACTIONS(4899),
    [anon_sym_u_DQUOTE] = ACTIONS(4899),
    [anon_sym_U_DQUOTE] = ACTIONS(4899),
    [anon_sym_u8_DQUOTE] = ACTIONS(4899),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4901),
    [anon_sym_LR_DQUOTE] = ACTIONS(4901),
    [anon_sym_uR_DQUOTE] = ACTIONS(4901),
    [anon_sym_UR_DQUOTE] = ACTIONS(4901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5255),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [2140] = {
    [sym_attribute_declaration] = STATE(2180),
    [sym_parameter_list] = STATE(2207),
    [aux_sym_attributed_declarator_repeat1] = STATE(2180),
    [sym_identifier] = ACTIONS(5950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5952),
    [anon_sym_COMMA] = ACTIONS(5952),
    [anon_sym_RPAREN] = ACTIONS(5952),
    [aux_sym_preproc_if_token2] = ACTIONS(5952),
    [aux_sym_preproc_else_token1] = ACTIONS(5952),
    [aux_sym_preproc_elif_token1] = ACTIONS(5950),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5952),
    [anon_sym_LPAREN2] = ACTIONS(5911),
    [anon_sym_DASH] = ACTIONS(5950),
    [anon_sym_PLUS] = ACTIONS(5950),
    [anon_sym_STAR] = ACTIONS(5950),
    [anon_sym_SLASH] = ACTIONS(5950),
    [anon_sym_PERCENT] = ACTIONS(5950),
    [anon_sym_PIPE_PIPE] = ACTIONS(5952),
    [anon_sym_AMP_AMP] = ACTIONS(5952),
    [anon_sym_PIPE] = ACTIONS(5950),
    [anon_sym_CARET] = ACTIONS(5950),
    [anon_sym_AMP] = ACTIONS(5950),
    [anon_sym_EQ_EQ] = ACTIONS(5952),
    [anon_sym_BANG_EQ] = ACTIONS(5952),
    [anon_sym_GT] = ACTIONS(5950),
    [anon_sym_GT_EQ] = ACTIONS(5952),
    [anon_sym_LT_EQ] = ACTIONS(5950),
    [anon_sym_LT] = ACTIONS(5950),
    [anon_sym_LT_LT] = ACTIONS(5950),
    [anon_sym_GT_GT] = ACTIONS(5950),
    [anon_sym_SEMI] = ACTIONS(5952),
    [anon_sym___attribute__] = ACTIONS(5950),
    [anon_sym___attribute] = ACTIONS(5950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(5952),
    [anon_sym_LBRACK] = ACTIONS(5915),
    [anon_sym_RBRACK] = ACTIONS(5952),
    [anon_sym_EQ] = ACTIONS(5950),
    [anon_sym_COLON] = ACTIONS(5952),
    [anon_sym_QMARK] = ACTIONS(5952),
    [anon_sym_STAR_EQ] = ACTIONS(5952),
    [anon_sym_SLASH_EQ] = ACTIONS(5952),
    [anon_sym_PERCENT_EQ] = ACTIONS(5952),
    [anon_sym_PLUS_EQ] = ACTIONS(5952),
    [anon_sym_DASH_EQ] = ACTIONS(5952),
    [anon_sym_LT_LT_EQ] = ACTIONS(5952),
    [anon_sym_GT_GT_EQ] = ACTIONS(5952),
    [anon_sym_AMP_EQ] = ACTIONS(5952),
    [anon_sym_CARET_EQ] = ACTIONS(5952),
    [anon_sym_PIPE_EQ] = ACTIONS(5952),
    [anon_sym_and_eq] = ACTIONS(5950),
    [anon_sym_or_eq] = ACTIONS(5950),
    [anon_sym_xor_eq] = ACTIONS(5950),
    [anon_sym_LT_EQ_GT] = ACTIONS(5952),
    [anon_sym_or] = ACTIONS(5950),
    [anon_sym_and] = ACTIONS(5950),
    [anon_sym_bitor] = ACTIONS(5950),
    [anon_sym_xor] = ACTIONS(5950),
    [anon_sym_bitand] = ACTIONS(5950),
    [anon_sym_not_eq] = ACTIONS(5950),
    [anon_sym_DASH_DASH] = ACTIONS(5952),
    [anon_sym_PLUS_PLUS] = ACTIONS(5952),
    [anon_sym_DOT] = ACTIONS(5950),
    [anon_sym_DOT_STAR] = ACTIONS(5952),
    [anon_sym_DASH_GT] = ACTIONS(5952),
    [sym_comment] = ACTIONS(3),
  },
  [2141] = {
    [sym_template_argument_list] = STATE(1560),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2299),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5824),
    [anon_sym_COMMA] = ACTIONS(5824),
    [anon_sym_RPAREN] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_DASH] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5822),
    [anon_sym_STAR] = ACTIONS(5822),
    [anon_sym_SLASH] = ACTIONS(5822),
    [anon_sym_PERCENT] = ACTIONS(5822),
    [anon_sym_PIPE_PIPE] = ACTIONS(5824),
    [anon_sym_AMP_AMP] = ACTIONS(5824),
    [anon_sym_PIPE] = ACTIONS(5822),
    [anon_sym_CARET] = ACTIONS(5822),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym_EQ_EQ] = ACTIONS(5824),
    [anon_sym_BANG_EQ] = ACTIONS(5824),
    [anon_sym_GT] = ACTIONS(5822),
    [anon_sym_GT_EQ] = ACTIONS(5824),
    [anon_sym_LT_EQ] = ACTIONS(5822),
    [anon_sym_LT] = ACTIONS(5822),
    [anon_sym_LT_LT] = ACTIONS(5822),
    [anon_sym_GT_GT] = ACTIONS(5822),
    [anon_sym_SEMI] = ACTIONS(5824),
    [anon_sym___attribute__] = ACTIONS(5824),
    [anon_sym___attribute] = ACTIONS(5822),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(5824),
    [anon_sym_RBRACE] = ACTIONS(5824),
    [anon_sym_signed] = ACTIONS(5954),
    [anon_sym_unsigned] = ACTIONS(5954),
    [anon_sym_long] = ACTIONS(5954),
    [anon_sym_short] = ACTIONS(5954),
    [anon_sym_LBRACK] = ACTIONS(5824),
    [anon_sym_RBRACK] = ACTIONS(5824),
    [anon_sym_EQ] = ACTIONS(5822),
    [anon_sym_COLON] = ACTIONS(5822),
    [anon_sym_QMARK] = ACTIONS(5824),
    [anon_sym_STAR_EQ] = ACTIONS(5824),
    [anon_sym_SLASH_EQ] = ACTIONS(5824),
    [anon_sym_PERCENT_EQ] = ACTIONS(5824),
    [anon_sym_PLUS_EQ] = ACTIONS(5824),
    [anon_sym_DASH_EQ] = ACTIONS(5824),
    [anon_sym_LT_LT_EQ] = ACTIONS(5824),
    [anon_sym_GT_GT_EQ] = ACTIONS(5824),
    [anon_sym_AMP_EQ] = ACTIONS(5824),
    [anon_sym_CARET_EQ] = ACTIONS(5824),
    [anon_sym_PIPE_EQ] = ACTIONS(5824),
    [anon_sym_and_eq] = ACTIONS(5824),
    [anon_sym_or_eq] = ACTIONS(5824),
    [anon_sym_xor_eq] = ACTIONS(5824),
    [anon_sym_LT_EQ_GT] = ACTIONS(5824),
    [anon_sym_or] = ACTIONS(5822),
    [anon_sym_and] = ACTIONS(5822),
    [anon_sym_bitor] = ACTIONS(5824),
    [anon_sym_xor] = ACTIONS(5822),
    [anon_sym_bitand] = ACTIONS(5824),
    [anon_sym_not_eq] = ACTIONS(5824),
    [anon_sym_DASH_DASH] = ACTIONS(5824),
    [anon_sym_PLUS_PLUS] = ACTIONS(5824),
    [anon_sym_DOT] = ACTIONS(5822),
    [anon_sym_DOT_STAR] = ACTIONS(5824),
    [anon_sym_DASH_GT] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5824),
    [anon_sym_decltype] = ACTIONS(5824),
  },
  [2142] = {
    [sym_attribute_specifier] = STATE(2237),
    [sym_identifier] = ACTIONS(5956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5958),
    [anon_sym_COMMA] = ACTIONS(5958),
    [anon_sym_RPAREN] = ACTIONS(5958),
    [aux_sym_preproc_if_token2] = ACTIONS(5958),
    [aux_sym_preproc_else_token1] = ACTIONS(5958),
    [aux_sym_preproc_elif_token1] = ACTIONS(5956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5958),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5958),
    [anon_sym_LPAREN2] = ACTIONS(5958),
    [anon_sym_DASH] = ACTIONS(5956),
    [anon_sym_PLUS] = ACTIONS(5956),
    [anon_sym_STAR] = ACTIONS(5956),
    [anon_sym_SLASH] = ACTIONS(5956),
    [anon_sym_PERCENT] = ACTIONS(5956),
    [anon_sym_PIPE_PIPE] = ACTIONS(5958),
    [anon_sym_AMP_AMP] = ACTIONS(5958),
    [anon_sym_PIPE] = ACTIONS(5956),
    [anon_sym_CARET] = ACTIONS(5956),
    [anon_sym_AMP] = ACTIONS(5956),
    [anon_sym_EQ_EQ] = ACTIONS(5958),
    [anon_sym_BANG_EQ] = ACTIONS(5958),
    [anon_sym_GT] = ACTIONS(5956),
    [anon_sym_GT_EQ] = ACTIONS(5958),
    [anon_sym_LT_EQ] = ACTIONS(5956),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_LT_LT] = ACTIONS(5956),
    [anon_sym_GT_GT] = ACTIONS(5956),
    [anon_sym_SEMI] = ACTIONS(5958),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5958),
    [anon_sym_RBRACE] = ACTIONS(5958),
    [anon_sym_LBRACK] = ACTIONS(5958),
    [anon_sym_RBRACK] = ACTIONS(5958),
    [anon_sym_EQ] = ACTIONS(5956),
    [anon_sym_COLON] = ACTIONS(5958),
    [anon_sym_QMARK] = ACTIONS(5958),
    [anon_sym_STAR_EQ] = ACTIONS(5958),
    [anon_sym_SLASH_EQ] = ACTIONS(5958),
    [anon_sym_PERCENT_EQ] = ACTIONS(5958),
    [anon_sym_PLUS_EQ] = ACTIONS(5958),
    [anon_sym_DASH_EQ] = ACTIONS(5958),
    [anon_sym_LT_LT_EQ] = ACTIONS(5958),
    [anon_sym_GT_GT_EQ] = ACTIONS(5958),
    [anon_sym_AMP_EQ] = ACTIONS(5958),
    [anon_sym_CARET_EQ] = ACTIONS(5958),
    [anon_sym_PIPE_EQ] = ACTIONS(5958),
    [anon_sym_and_eq] = ACTIONS(5956),
    [anon_sym_or_eq] = ACTIONS(5956),
    [anon_sym_xor_eq] = ACTIONS(5956),
    [anon_sym_LT_EQ_GT] = ACTIONS(5958),
    [anon_sym_or] = ACTIONS(5956),
    [anon_sym_and] = ACTIONS(5956),
    [anon_sym_bitor] = ACTIONS(5956),
    [anon_sym_xor] = ACTIONS(5956),
    [anon_sym_bitand] = ACTIONS(5956),
    [anon_sym_not_eq] = ACTIONS(5956),
    [anon_sym_DASH_DASH] = ACTIONS(5958),
    [anon_sym_PLUS_PLUS] = ACTIONS(5958),
    [anon_sym_DOT] = ACTIONS(5956),
    [anon_sym_DOT_STAR] = ACTIONS(5958),
    [anon_sym_DASH_GT] = ACTIONS(5958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5956),
    [anon_sym_decltype] = ACTIONS(5956),
  },
  [2143] = {
    [sym_attribute_specifier] = STATE(2261),
    [sym_identifier] = ACTIONS(5960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5962),
    [anon_sym_COMMA] = ACTIONS(5962),
    [anon_sym_RPAREN] = ACTIONS(5962),
    [aux_sym_preproc_if_token2] = ACTIONS(5962),
    [aux_sym_preproc_else_token1] = ACTIONS(5962),
    [aux_sym_preproc_elif_token1] = ACTIONS(5960),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5962),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5962),
    [anon_sym_LPAREN2] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5960),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_SLASH] = ACTIONS(5960),
    [anon_sym_PERCENT] = ACTIONS(5960),
    [anon_sym_PIPE_PIPE] = ACTIONS(5962),
    [anon_sym_AMP_AMP] = ACTIONS(5962),
    [anon_sym_PIPE] = ACTIONS(5960),
    [anon_sym_CARET] = ACTIONS(5960),
    [anon_sym_AMP] = ACTIONS(5960),
    [anon_sym_EQ_EQ] = ACTIONS(5962),
    [anon_sym_BANG_EQ] = ACTIONS(5962),
    [anon_sym_GT] = ACTIONS(5960),
    [anon_sym_GT_EQ] = ACTIONS(5962),
    [anon_sym_LT_EQ] = ACTIONS(5960),
    [anon_sym_LT] = ACTIONS(5960),
    [anon_sym_LT_LT] = ACTIONS(5960),
    [anon_sym_GT_GT] = ACTIONS(5960),
    [anon_sym_SEMI] = ACTIONS(5962),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5962),
    [anon_sym_RBRACE] = ACTIONS(5962),
    [anon_sym_LBRACK] = ACTIONS(5962),
    [anon_sym_RBRACK] = ACTIONS(5962),
    [anon_sym_EQ] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5962),
    [anon_sym_QMARK] = ACTIONS(5962),
    [anon_sym_STAR_EQ] = ACTIONS(5962),
    [anon_sym_SLASH_EQ] = ACTIONS(5962),
    [anon_sym_PERCENT_EQ] = ACTIONS(5962),
    [anon_sym_PLUS_EQ] = ACTIONS(5962),
    [anon_sym_DASH_EQ] = ACTIONS(5962),
    [anon_sym_LT_LT_EQ] = ACTIONS(5962),
    [anon_sym_GT_GT_EQ] = ACTIONS(5962),
    [anon_sym_AMP_EQ] = ACTIONS(5962),
    [anon_sym_CARET_EQ] = ACTIONS(5962),
    [anon_sym_PIPE_EQ] = ACTIONS(5962),
    [anon_sym_and_eq] = ACTIONS(5960),
    [anon_sym_or_eq] = ACTIONS(5960),
    [anon_sym_xor_eq] = ACTIONS(5960),
    [anon_sym_LT_EQ_GT] = ACTIONS(5962),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_bitor] = ACTIONS(5960),
    [anon_sym_xor] = ACTIONS(5960),
    [anon_sym_bitand] = ACTIONS(5960),
    [anon_sym_not_eq] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5962),
    [anon_sym_PLUS_PLUS] = ACTIONS(5962),
    [anon_sym_DOT] = ACTIONS(5960),
    [anon_sym_DOT_STAR] = ACTIONS(5962),
    [anon_sym_DASH_GT] = ACTIONS(5962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5960),
    [anon_sym_decltype] = ACTIONS(5960),
  },
  [2144] = {
    [sym_attribute_specifier] = STATE(2264),
    [sym_identifier] = ACTIONS(5964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5966),
    [anon_sym_COMMA] = ACTIONS(5966),
    [anon_sym_RPAREN] = ACTIONS(5966),
    [aux_sym_preproc_if_token2] = ACTIONS(5966),
    [aux_sym_preproc_else_token1] = ACTIONS(5966),
    [aux_sym_preproc_elif_token1] = ACTIONS(5964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5966),
    [anon_sym_LPAREN2] = ACTIONS(5966),
    [anon_sym_DASH] = ACTIONS(5964),
    [anon_sym_PLUS] = ACTIONS(5964),
    [anon_sym_STAR] = ACTIONS(5964),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5964),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5966),
    [anon_sym_PIPE] = ACTIONS(5964),
    [anon_sym_CARET] = ACTIONS(5964),
    [anon_sym_AMP] = ACTIONS(5964),
    [anon_sym_EQ_EQ] = ACTIONS(5966),
    [anon_sym_BANG_EQ] = ACTIONS(5966),
    [anon_sym_GT] = ACTIONS(5964),
    [anon_sym_GT_EQ] = ACTIONS(5966),
    [anon_sym_LT_EQ] = ACTIONS(5964),
    [anon_sym_LT] = ACTIONS(5964),
    [anon_sym_LT_LT] = ACTIONS(5964),
    [anon_sym_GT_GT] = ACTIONS(5964),
    [anon_sym_SEMI] = ACTIONS(5966),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5966),
    [anon_sym_RBRACE] = ACTIONS(5966),
    [anon_sym_LBRACK] = ACTIONS(5966),
    [anon_sym_RBRACK] = ACTIONS(5966),
    [anon_sym_EQ] = ACTIONS(5964),
    [anon_sym_COLON] = ACTIONS(5966),
    [anon_sym_QMARK] = ACTIONS(5966),
    [anon_sym_STAR_EQ] = ACTIONS(5966),
    [anon_sym_SLASH_EQ] = ACTIONS(5966),
    [anon_sym_PERCENT_EQ] = ACTIONS(5966),
    [anon_sym_PLUS_EQ] = ACTIONS(5966),
    [anon_sym_DASH_EQ] = ACTIONS(5966),
    [anon_sym_LT_LT_EQ] = ACTIONS(5966),
    [anon_sym_GT_GT_EQ] = ACTIONS(5966),
    [anon_sym_AMP_EQ] = ACTIONS(5966),
    [anon_sym_CARET_EQ] = ACTIONS(5966),
    [anon_sym_PIPE_EQ] = ACTIONS(5966),
    [anon_sym_and_eq] = ACTIONS(5964),
    [anon_sym_or_eq] = ACTIONS(5964),
    [anon_sym_xor_eq] = ACTIONS(5964),
    [anon_sym_LT_EQ_GT] = ACTIONS(5966),
    [anon_sym_or] = ACTIONS(5964),
    [anon_sym_and] = ACTIONS(5964),
    [anon_sym_bitor] = ACTIONS(5964),
    [anon_sym_xor] = ACTIONS(5964),
    [anon_sym_bitand] = ACTIONS(5964),
    [anon_sym_not_eq] = ACTIONS(5964),
    [anon_sym_DASH_DASH] = ACTIONS(5966),
    [anon_sym_PLUS_PLUS] = ACTIONS(5966),
    [anon_sym_DOT] = ACTIONS(5964),
    [anon_sym_DOT_STAR] = ACTIONS(5966),
    [anon_sym_DASH_GT] = ACTIONS(5966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5964),
    [anon_sym_decltype] = ACTIONS(5964),
  },
  [2145] = {
    [sym_string_literal] = STATE(2128),
    [sym_template_argument_list] = STATE(3153),
    [sym_raw_string_literal] = STATE(2128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4913),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4071),
    [anon_sym_L_DQUOTE] = ACTIONS(4899),
    [anon_sym_u_DQUOTE] = ACTIONS(4899),
    [anon_sym_U_DQUOTE] = ACTIONS(4899),
    [anon_sym_u8_DQUOTE] = ACTIONS(4899),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4901),
    [anon_sym_LR_DQUOTE] = ACTIONS(4901),
    [anon_sym_uR_DQUOTE] = ACTIONS(4901),
    [anon_sym_UR_DQUOTE] = ACTIONS(4901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4063),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5372),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5372),
    [anon_sym_or_eq] = ACTIONS(5372),
    [anon_sym_xor_eq] = ACTIONS(5372),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(5388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5390),
    [anon_sym_COMMA] = ACTIONS(5390),
    [anon_sym_RPAREN] = ACTIONS(5390),
    [aux_sym_preproc_if_token2] = ACTIONS(5390),
    [aux_sym_preproc_else_token1] = ACTIONS(5390),
    [aux_sym_preproc_elif_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5390),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_STAR] = ACTIONS(5388),
    [anon_sym_SLASH] = ACTIONS(5388),
    [anon_sym_PERCENT] = ACTIONS(5388),
    [anon_sym_PIPE_PIPE] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_PIPE] = ACTIONS(5388),
    [anon_sym_CARET] = ACTIONS(5388),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_EQ_EQ] = ACTIONS(5390),
    [anon_sym_BANG_EQ] = ACTIONS(5390),
    [anon_sym_GT] = ACTIONS(5388),
    [anon_sym_GT_EQ] = ACTIONS(5390),
    [anon_sym_LT_EQ] = ACTIONS(5388),
    [anon_sym_LT] = ACTIONS(5388),
    [anon_sym_LT_LT] = ACTIONS(5388),
    [anon_sym_GT_GT] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___attribute] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5390),
    [anon_sym_LBRACE] = ACTIONS(5390),
    [anon_sym_RBRACE] = ACTIONS(5390),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [anon_sym_RBRACK] = ACTIONS(5390),
    [anon_sym_EQ] = ACTIONS(5388),
    [anon_sym_COLON] = ACTIONS(5388),
    [anon_sym_QMARK] = ACTIONS(5390),
    [anon_sym_STAR_EQ] = ACTIONS(5390),
    [anon_sym_SLASH_EQ] = ACTIONS(5390),
    [anon_sym_PERCENT_EQ] = ACTIONS(5390),
    [anon_sym_PLUS_EQ] = ACTIONS(5390),
    [anon_sym_DASH_EQ] = ACTIONS(5390),
    [anon_sym_LT_LT_EQ] = ACTIONS(5390),
    [anon_sym_GT_GT_EQ] = ACTIONS(5390),
    [anon_sym_AMP_EQ] = ACTIONS(5390),
    [anon_sym_CARET_EQ] = ACTIONS(5390),
    [anon_sym_PIPE_EQ] = ACTIONS(5390),
    [anon_sym_and_eq] = ACTIONS(5388),
    [anon_sym_or_eq] = ACTIONS(5388),
    [anon_sym_xor_eq] = ACTIONS(5388),
    [anon_sym_LT_EQ_GT] = ACTIONS(5390),
    [anon_sym_or] = ACTIONS(5388),
    [anon_sym_and] = ACTIONS(5388),
    [anon_sym_bitor] = ACTIONS(5388),
    [anon_sym_xor] = ACTIONS(5388),
    [anon_sym_bitand] = ACTIONS(5388),
    [anon_sym_not_eq] = ACTIONS(5388),
    [anon_sym_DASH_DASH] = ACTIONS(5390),
    [anon_sym_PLUS_PLUS] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_DOT_STAR] = ACTIONS(5390),
    [anon_sym_DASH_GT] = ACTIONS(5390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
  },
  [2148] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4340),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2149] = {
    [sym_string_literal] = STATE(2337),
    [sym_template_argument_list] = STATE(3597),
    [sym_raw_string_literal] = STATE(2337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(5968),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(5971),
    [anon_sym_or_eq] = ACTIONS(5971),
    [anon_sym_xor_eq] = ACTIONS(5971),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4071),
    [anon_sym_L_DQUOTE] = ACTIONS(4220),
    [anon_sym_u_DQUOTE] = ACTIONS(4220),
    [anon_sym_U_DQUOTE] = ACTIONS(4220),
    [anon_sym_u8_DQUOTE] = ACTIONS(4220),
    [anon_sym_DQUOTE] = ACTIONS(4220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4222),
    [anon_sym_LR_DQUOTE] = ACTIONS(4222),
    [anon_sym_uR_DQUOTE] = ACTIONS(4222),
    [anon_sym_UR_DQUOTE] = ACTIONS(4222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4222),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4063),
  },
  [2150] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5973),
    [anon_sym_COMMA] = ACTIONS(5976),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_RBRACK] = ACTIONS(5979),
    [anon_sym_EQ] = ACTIONS(5983),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(5985),
    [anon_sym_SLASH_EQ] = ACTIONS(5985),
    [anon_sym_PERCENT_EQ] = ACTIONS(5985),
    [anon_sym_PLUS_EQ] = ACTIONS(5985),
    [anon_sym_DASH_EQ] = ACTIONS(5985),
    [anon_sym_LT_LT_EQ] = ACTIONS(5985),
    [anon_sym_GT_GT_EQ] = ACTIONS(5985),
    [anon_sym_AMP_EQ] = ACTIONS(5985),
    [anon_sym_CARET_EQ] = ACTIONS(5985),
    [anon_sym_PIPE_EQ] = ACTIONS(5985),
    [anon_sym_and_eq] = ACTIONS(5985),
    [anon_sym_or_eq] = ACTIONS(5985),
    [anon_sym_xor_eq] = ACTIONS(5985),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2151] = {
    [sym_template_argument_list] = STATE(1900),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2299),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4069),
    [anon_sym_COMMA] = ACTIONS(4069),
    [anon_sym_RPAREN] = ACTIONS(4069),
    [anon_sym_LPAREN2] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4061),
    [anon_sym_PLUS] = ACTIONS(4061),
    [anon_sym_STAR] = ACTIONS(4061),
    [anon_sym_SLASH] = ACTIONS(4061),
    [anon_sym_PERCENT] = ACTIONS(4061),
    [anon_sym_PIPE_PIPE] = ACTIONS(4069),
    [anon_sym_AMP_AMP] = ACTIONS(4069),
    [anon_sym_PIPE] = ACTIONS(4061),
    [anon_sym_CARET] = ACTIONS(4061),
    [anon_sym_AMP] = ACTIONS(4061),
    [anon_sym_EQ_EQ] = ACTIONS(4069),
    [anon_sym_BANG_EQ] = ACTIONS(4069),
    [anon_sym_GT] = ACTIONS(4061),
    [anon_sym_GT_EQ] = ACTIONS(4069),
    [anon_sym_LT_EQ] = ACTIONS(4061),
    [anon_sym_LT] = ACTIONS(5684),
    [anon_sym_LT_LT] = ACTIONS(4061),
    [anon_sym_GT_GT] = ACTIONS(4061),
    [anon_sym_SEMI] = ACTIONS(4069),
    [anon_sym___attribute__] = ACTIONS(4069),
    [anon_sym___attribute] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4069),
    [anon_sym_RBRACE] = ACTIONS(4069),
    [anon_sym_signed] = ACTIONS(5954),
    [anon_sym_unsigned] = ACTIONS(5954),
    [anon_sym_long] = ACTIONS(5954),
    [anon_sym_short] = ACTIONS(5954),
    [anon_sym_LBRACK] = ACTIONS(4069),
    [anon_sym_RBRACK] = ACTIONS(4069),
    [anon_sym_EQ] = ACTIONS(4061),
    [anon_sym_COLON] = ACTIONS(4061),
    [anon_sym_QMARK] = ACTIONS(4069),
    [anon_sym_STAR_EQ] = ACTIONS(4069),
    [anon_sym_SLASH_EQ] = ACTIONS(4069),
    [anon_sym_PERCENT_EQ] = ACTIONS(4069),
    [anon_sym_PLUS_EQ] = ACTIONS(4069),
    [anon_sym_DASH_EQ] = ACTIONS(4069),
    [anon_sym_LT_LT_EQ] = ACTIONS(4069),
    [anon_sym_GT_GT_EQ] = ACTIONS(4069),
    [anon_sym_AMP_EQ] = ACTIONS(4069),
    [anon_sym_CARET_EQ] = ACTIONS(4069),
    [anon_sym_PIPE_EQ] = ACTIONS(4069),
    [anon_sym_and_eq] = ACTIONS(4069),
    [anon_sym_or_eq] = ACTIONS(4069),
    [anon_sym_xor_eq] = ACTIONS(4069),
    [anon_sym_LT_EQ_GT] = ACTIONS(4069),
    [anon_sym_or] = ACTIONS(4061),
    [anon_sym_and] = ACTIONS(4061),
    [anon_sym_bitor] = ACTIONS(4069),
    [anon_sym_xor] = ACTIONS(4061),
    [anon_sym_bitand] = ACTIONS(4069),
    [anon_sym_not_eq] = ACTIONS(4069),
    [anon_sym_DASH_DASH] = ACTIONS(4069),
    [anon_sym_PLUS_PLUS] = ACTIONS(4069),
    [anon_sym_DOT] = ACTIONS(4061),
    [anon_sym_DOT_STAR] = ACTIONS(4069),
    [anon_sym_DASH_GT] = ACTIONS(4069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4069),
    [anon_sym_decltype] = ACTIONS(4069),
  },
  [2152] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4101),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2153] = {
    [sym_attribute_declaration] = STATE(2180),
    [sym_parameter_list] = STATE(2207),
    [aux_sym_attributed_declarator_repeat1] = STATE(2180),
    [sym_identifier] = ACTIONS(5987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5989),
    [anon_sym_COMMA] = ACTIONS(5989),
    [anon_sym_RPAREN] = ACTIONS(5989),
    [aux_sym_preproc_if_token2] = ACTIONS(5989),
    [aux_sym_preproc_else_token1] = ACTIONS(5989),
    [aux_sym_preproc_elif_token1] = ACTIONS(5987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5989),
    [anon_sym_LPAREN2] = ACTIONS(5911),
    [anon_sym_DASH] = ACTIONS(5987),
    [anon_sym_PLUS] = ACTIONS(5987),
    [anon_sym_STAR] = ACTIONS(5987),
    [anon_sym_SLASH] = ACTIONS(5987),
    [anon_sym_PERCENT] = ACTIONS(5987),
    [anon_sym_PIPE_PIPE] = ACTIONS(5989),
    [anon_sym_AMP_AMP] = ACTIONS(5989),
    [anon_sym_PIPE] = ACTIONS(5987),
    [anon_sym_CARET] = ACTIONS(5987),
    [anon_sym_AMP] = ACTIONS(5987),
    [anon_sym_EQ_EQ] = ACTIONS(5989),
    [anon_sym_BANG_EQ] = ACTIONS(5989),
    [anon_sym_GT] = ACTIONS(5987),
    [anon_sym_GT_EQ] = ACTIONS(5989),
    [anon_sym_LT_EQ] = ACTIONS(5987),
    [anon_sym_LT] = ACTIONS(5987),
    [anon_sym_LT_LT] = ACTIONS(5987),
    [anon_sym_GT_GT] = ACTIONS(5987),
    [anon_sym_SEMI] = ACTIONS(5989),
    [anon_sym___attribute__] = ACTIONS(5987),
    [anon_sym___attribute] = ACTIONS(5987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(5989),
    [anon_sym_LBRACK] = ACTIONS(5915),
    [anon_sym_RBRACK] = ACTIONS(5989),
    [anon_sym_EQ] = ACTIONS(5987),
    [anon_sym_COLON] = ACTIONS(5989),
    [anon_sym_QMARK] = ACTIONS(5989),
    [anon_sym_STAR_EQ] = ACTIONS(5989),
    [anon_sym_SLASH_EQ] = ACTIONS(5989),
    [anon_sym_PERCENT_EQ] = ACTIONS(5989),
    [anon_sym_PLUS_EQ] = ACTIONS(5989),
    [anon_sym_DASH_EQ] = ACTIONS(5989),
    [anon_sym_LT_LT_EQ] = ACTIONS(5989),
    [anon_sym_GT_GT_EQ] = ACTIONS(5989),
    [anon_sym_AMP_EQ] = ACTIONS(5989),
    [anon_sym_CARET_EQ] = ACTIONS(5989),
    [anon_sym_PIPE_EQ] = ACTIONS(5989),
    [anon_sym_and_eq] = ACTIONS(5987),
    [anon_sym_or_eq] = ACTIONS(5987),
    [anon_sym_xor_eq] = ACTIONS(5987),
    [anon_sym_LT_EQ_GT] = ACTIONS(5989),
    [anon_sym_or] = ACTIONS(5987),
    [anon_sym_and] = ACTIONS(5987),
    [anon_sym_bitor] = ACTIONS(5987),
    [anon_sym_xor] = ACTIONS(5987),
    [anon_sym_bitand] = ACTIONS(5987),
    [anon_sym_not_eq] = ACTIONS(5987),
    [anon_sym_DASH_DASH] = ACTIONS(5989),
    [anon_sym_PLUS_PLUS] = ACTIONS(5989),
    [anon_sym_DOT] = ACTIONS(5987),
    [anon_sym_DOT_STAR] = ACTIONS(5989),
    [anon_sym_DASH_GT] = ACTIONS(5989),
    [sym_comment] = ACTIONS(3),
  },
  [2154] = {
    [sym_attribute_specifier] = STATE(2252),
    [sym_identifier] = ACTIONS(5991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5993),
    [anon_sym_COMMA] = ACTIONS(5993),
    [anon_sym_RPAREN] = ACTIONS(5993),
    [aux_sym_preproc_if_token2] = ACTIONS(5993),
    [aux_sym_preproc_else_token1] = ACTIONS(5993),
    [aux_sym_preproc_elif_token1] = ACTIONS(5991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5993),
    [anon_sym_LPAREN2] = ACTIONS(5993),
    [anon_sym_DASH] = ACTIONS(5991),
    [anon_sym_PLUS] = ACTIONS(5991),
    [anon_sym_STAR] = ACTIONS(5991),
    [anon_sym_SLASH] = ACTIONS(5991),
    [anon_sym_PERCENT] = ACTIONS(5991),
    [anon_sym_PIPE_PIPE] = ACTIONS(5993),
    [anon_sym_AMP_AMP] = ACTIONS(5993),
    [anon_sym_PIPE] = ACTIONS(5991),
    [anon_sym_CARET] = ACTIONS(5991),
    [anon_sym_AMP] = ACTIONS(5991),
    [anon_sym_EQ_EQ] = ACTIONS(5993),
    [anon_sym_BANG_EQ] = ACTIONS(5993),
    [anon_sym_GT] = ACTIONS(5991),
    [anon_sym_GT_EQ] = ACTIONS(5993),
    [anon_sym_LT_EQ] = ACTIONS(5991),
    [anon_sym_LT] = ACTIONS(5991),
    [anon_sym_LT_LT] = ACTIONS(5991),
    [anon_sym_GT_GT] = ACTIONS(5991),
    [anon_sym_SEMI] = ACTIONS(5993),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5993),
    [anon_sym_RBRACE] = ACTIONS(5993),
    [anon_sym_LBRACK] = ACTIONS(5993),
    [anon_sym_RBRACK] = ACTIONS(5993),
    [anon_sym_EQ] = ACTIONS(5991),
    [anon_sym_COLON] = ACTIONS(5993),
    [anon_sym_QMARK] = ACTIONS(5993),
    [anon_sym_STAR_EQ] = ACTIONS(5993),
    [anon_sym_SLASH_EQ] = ACTIONS(5993),
    [anon_sym_PERCENT_EQ] = ACTIONS(5993),
    [anon_sym_PLUS_EQ] = ACTIONS(5993),
    [anon_sym_DASH_EQ] = ACTIONS(5993),
    [anon_sym_LT_LT_EQ] = ACTIONS(5993),
    [anon_sym_GT_GT_EQ] = ACTIONS(5993),
    [anon_sym_AMP_EQ] = ACTIONS(5993),
    [anon_sym_CARET_EQ] = ACTIONS(5993),
    [anon_sym_PIPE_EQ] = ACTIONS(5993),
    [anon_sym_and_eq] = ACTIONS(5991),
    [anon_sym_or_eq] = ACTIONS(5991),
    [anon_sym_xor_eq] = ACTIONS(5991),
    [anon_sym_LT_EQ_GT] = ACTIONS(5993),
    [anon_sym_or] = ACTIONS(5991),
    [anon_sym_and] = ACTIONS(5991),
    [anon_sym_bitor] = ACTIONS(5991),
    [anon_sym_xor] = ACTIONS(5991),
    [anon_sym_bitand] = ACTIONS(5991),
    [anon_sym_not_eq] = ACTIONS(5991),
    [anon_sym_DASH_DASH] = ACTIONS(5993),
    [anon_sym_PLUS_PLUS] = ACTIONS(5993),
    [anon_sym_DOT] = ACTIONS(5991),
    [anon_sym_DOT_STAR] = ACTIONS(5993),
    [anon_sym_DASH_GT] = ACTIONS(5993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5991),
    [anon_sym_decltype] = ACTIONS(5991),
  },
  [2155] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2155),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4931),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4931),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4931),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4931),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4929),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4931),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym___attribute] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4931),
    [anon_sym_signed] = ACTIONS(5995),
    [anon_sym_unsigned] = ACTIONS(5995),
    [anon_sym_long] = ACTIONS(5995),
    [anon_sym_short] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(4931),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_final] = ACTIONS(4929),
    [anon_sym_override] = ACTIONS(4929),
    [anon_sym_GT2] = ACTIONS(4931),
    [anon_sym_requires] = ACTIONS(4929),
  },
  [2156] = {
    [sym_attribute_specifier] = STATE(2189),
    [sym_identifier] = ACTIONS(5998),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6000),
    [anon_sym_COMMA] = ACTIONS(6000),
    [anon_sym_RPAREN] = ACTIONS(6000),
    [aux_sym_preproc_if_token2] = ACTIONS(6000),
    [aux_sym_preproc_else_token1] = ACTIONS(6000),
    [aux_sym_preproc_elif_token1] = ACTIONS(5998),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6000),
    [anon_sym_LPAREN2] = ACTIONS(6000),
    [anon_sym_DASH] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(5998),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_SLASH] = ACTIONS(5998),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6000),
    [anon_sym_AMP_AMP] = ACTIONS(6000),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_AMP] = ACTIONS(5998),
    [anon_sym_EQ_EQ] = ACTIONS(6000),
    [anon_sym_BANG_EQ] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(5998),
    [anon_sym_GT_EQ] = ACTIONS(6000),
    [anon_sym_LT_EQ] = ACTIONS(5998),
    [anon_sym_LT] = ACTIONS(5998),
    [anon_sym_LT_LT] = ACTIONS(5998),
    [anon_sym_GT_GT] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(6000),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(6000),
    [anon_sym_RBRACE] = ACTIONS(6000),
    [anon_sym_LBRACK] = ACTIONS(6000),
    [anon_sym_RBRACK] = ACTIONS(6000),
    [anon_sym_EQ] = ACTIONS(5998),
    [anon_sym_COLON] = ACTIONS(6000),
    [anon_sym_QMARK] = ACTIONS(6000),
    [anon_sym_STAR_EQ] = ACTIONS(6000),
    [anon_sym_SLASH_EQ] = ACTIONS(6000),
    [anon_sym_PERCENT_EQ] = ACTIONS(6000),
    [anon_sym_PLUS_EQ] = ACTIONS(6000),
    [anon_sym_DASH_EQ] = ACTIONS(6000),
    [anon_sym_LT_LT_EQ] = ACTIONS(6000),
    [anon_sym_GT_GT_EQ] = ACTIONS(6000),
    [anon_sym_AMP_EQ] = ACTIONS(6000),
    [anon_sym_CARET_EQ] = ACTIONS(6000),
    [anon_sym_PIPE_EQ] = ACTIONS(6000),
    [anon_sym_and_eq] = ACTIONS(5998),
    [anon_sym_or_eq] = ACTIONS(5998),
    [anon_sym_xor_eq] = ACTIONS(5998),
    [anon_sym_LT_EQ_GT] = ACTIONS(6000),
    [anon_sym_or] = ACTIONS(5998),
    [anon_sym_and] = ACTIONS(5998),
    [anon_sym_bitor] = ACTIONS(5998),
    [anon_sym_xor] = ACTIONS(5998),
    [anon_sym_bitand] = ACTIONS(5998),
    [anon_sym_not_eq] = ACTIONS(5998),
    [anon_sym_DASH_DASH] = ACTIONS(6000),
    [anon_sym_PLUS_PLUS] = ACTIONS(6000),
    [anon_sym_DOT] = ACTIONS(5998),
    [anon_sym_DOT_STAR] = ACTIONS(6000),
    [anon_sym_DASH_GT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5998),
    [anon_sym_decltype] = ACTIONS(5998),
  },
  [2157] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(6002),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_RBRACK] = ACTIONS(6004),
    [anon_sym_EQ] = ACTIONS(6007),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(5985),
    [anon_sym_SLASH_EQ] = ACTIONS(5985),
    [anon_sym_PERCENT_EQ] = ACTIONS(5985),
    [anon_sym_PLUS_EQ] = ACTIONS(5985),
    [anon_sym_DASH_EQ] = ACTIONS(5985),
    [anon_sym_LT_LT_EQ] = ACTIONS(5985),
    [anon_sym_GT_GT_EQ] = ACTIONS(5985),
    [anon_sym_AMP_EQ] = ACTIONS(5985),
    [anon_sym_CARET_EQ] = ACTIONS(5985),
    [anon_sym_PIPE_EQ] = ACTIONS(5985),
    [anon_sym_and_eq] = ACTIONS(5985),
    [anon_sym_or_eq] = ACTIONS(5985),
    [anon_sym_xor_eq] = ACTIONS(5985),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2158] = {
    [sym_attribute_specifier] = STATE(2191),
    [sym_identifier] = ACTIONS(6009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6011),
    [anon_sym_COMMA] = ACTIONS(6011),
    [anon_sym_RPAREN] = ACTIONS(6011),
    [aux_sym_preproc_if_token2] = ACTIONS(6011),
    [aux_sym_preproc_else_token1] = ACTIONS(6011),
    [aux_sym_preproc_elif_token1] = ACTIONS(6009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6011),
    [anon_sym_LPAREN2] = ACTIONS(6011),
    [anon_sym_DASH] = ACTIONS(6009),
    [anon_sym_PLUS] = ACTIONS(6009),
    [anon_sym_STAR] = ACTIONS(6009),
    [anon_sym_SLASH] = ACTIONS(6009),
    [anon_sym_PERCENT] = ACTIONS(6009),
    [anon_sym_PIPE_PIPE] = ACTIONS(6011),
    [anon_sym_AMP_AMP] = ACTIONS(6011),
    [anon_sym_PIPE] = ACTIONS(6009),
    [anon_sym_CARET] = ACTIONS(6009),
    [anon_sym_AMP] = ACTIONS(6009),
    [anon_sym_EQ_EQ] = ACTIONS(6011),
    [anon_sym_BANG_EQ] = ACTIONS(6011),
    [anon_sym_GT] = ACTIONS(6009),
    [anon_sym_GT_EQ] = ACTIONS(6011),
    [anon_sym_LT_EQ] = ACTIONS(6009),
    [anon_sym_LT] = ACTIONS(6009),
    [anon_sym_LT_LT] = ACTIONS(6009),
    [anon_sym_GT_GT] = ACTIONS(6009),
    [anon_sym_SEMI] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(6011),
    [anon_sym_RBRACE] = ACTIONS(6011),
    [anon_sym_LBRACK] = ACTIONS(6011),
    [anon_sym_RBRACK] = ACTIONS(6011),
    [anon_sym_EQ] = ACTIONS(6009),
    [anon_sym_COLON] = ACTIONS(6011),
    [anon_sym_QMARK] = ACTIONS(6011),
    [anon_sym_STAR_EQ] = ACTIONS(6011),
    [anon_sym_SLASH_EQ] = ACTIONS(6011),
    [anon_sym_PERCENT_EQ] = ACTIONS(6011),
    [anon_sym_PLUS_EQ] = ACTIONS(6011),
    [anon_sym_DASH_EQ] = ACTIONS(6011),
    [anon_sym_LT_LT_EQ] = ACTIONS(6011),
    [anon_sym_GT_GT_EQ] = ACTIONS(6011),
    [anon_sym_AMP_EQ] = ACTIONS(6011),
    [anon_sym_CARET_EQ] = ACTIONS(6011),
    [anon_sym_PIPE_EQ] = ACTIONS(6011),
    [anon_sym_and_eq] = ACTIONS(6009),
    [anon_sym_or_eq] = ACTIONS(6009),
    [anon_sym_xor_eq] = ACTIONS(6009),
    [anon_sym_LT_EQ_GT] = ACTIONS(6011),
    [anon_sym_or] = ACTIONS(6009),
    [anon_sym_and] = ACTIONS(6009),
    [anon_sym_bitor] = ACTIONS(6009),
    [anon_sym_xor] = ACTIONS(6009),
    [anon_sym_bitand] = ACTIONS(6009),
    [anon_sym_not_eq] = ACTIONS(6009),
    [anon_sym_DASH_DASH] = ACTIONS(6011),
    [anon_sym_PLUS_PLUS] = ACTIONS(6011),
    [anon_sym_DOT] = ACTIONS(6009),
    [anon_sym_DOT_STAR] = ACTIONS(6011),
    [anon_sym_DASH_GT] = ACTIONS(6011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6009),
    [anon_sym_decltype] = ACTIONS(6009),
  },
  [2159] = {
    [sym_attribute_specifier] = STATE(2196),
    [sym_identifier] = ACTIONS(6013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6015),
    [anon_sym_COMMA] = ACTIONS(6015),
    [anon_sym_RPAREN] = ACTIONS(6015),
    [aux_sym_preproc_if_token2] = ACTIONS(6015),
    [aux_sym_preproc_else_token1] = ACTIONS(6015),
    [aux_sym_preproc_elif_token1] = ACTIONS(6013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_DASH] = ACTIONS(6013),
    [anon_sym_PLUS] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6013),
    [anon_sym_SLASH] = ACTIONS(6013),
    [anon_sym_PERCENT] = ACTIONS(6013),
    [anon_sym_PIPE_PIPE] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_PIPE] = ACTIONS(6013),
    [anon_sym_CARET] = ACTIONS(6013),
    [anon_sym_AMP] = ACTIONS(6013),
    [anon_sym_EQ_EQ] = ACTIONS(6015),
    [anon_sym_BANG_EQ] = ACTIONS(6015),
    [anon_sym_GT] = ACTIONS(6013),
    [anon_sym_GT_EQ] = ACTIONS(6015),
    [anon_sym_LT_EQ] = ACTIONS(6013),
    [anon_sym_LT] = ACTIONS(6013),
    [anon_sym_LT_LT] = ACTIONS(6013),
    [anon_sym_GT_GT] = ACTIONS(6013),
    [anon_sym_SEMI] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(6015),
    [anon_sym_RBRACE] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_RBRACK] = ACTIONS(6015),
    [anon_sym_EQ] = ACTIONS(6013),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_QMARK] = ACTIONS(6015),
    [anon_sym_STAR_EQ] = ACTIONS(6015),
    [anon_sym_SLASH_EQ] = ACTIONS(6015),
    [anon_sym_PERCENT_EQ] = ACTIONS(6015),
    [anon_sym_PLUS_EQ] = ACTIONS(6015),
    [anon_sym_DASH_EQ] = ACTIONS(6015),
    [anon_sym_LT_LT_EQ] = ACTIONS(6015),
    [anon_sym_GT_GT_EQ] = ACTIONS(6015),
    [anon_sym_AMP_EQ] = ACTIONS(6015),
    [anon_sym_CARET_EQ] = ACTIONS(6015),
    [anon_sym_PIPE_EQ] = ACTIONS(6015),
    [anon_sym_and_eq] = ACTIONS(6013),
    [anon_sym_or_eq] = ACTIONS(6013),
    [anon_sym_xor_eq] = ACTIONS(6013),
    [anon_sym_LT_EQ_GT] = ACTIONS(6015),
    [anon_sym_or] = ACTIONS(6013),
    [anon_sym_and] = ACTIONS(6013),
    [anon_sym_bitor] = ACTIONS(6013),
    [anon_sym_xor] = ACTIONS(6013),
    [anon_sym_bitand] = ACTIONS(6013),
    [anon_sym_not_eq] = ACTIONS(6013),
    [anon_sym_DASH_DASH] = ACTIONS(6015),
    [anon_sym_PLUS_PLUS] = ACTIONS(6015),
    [anon_sym_DOT] = ACTIONS(6013),
    [anon_sym_DOT_STAR] = ACTIONS(6015),
    [anon_sym_DASH_GT] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6013),
    [anon_sym_decltype] = ACTIONS(6013),
  },
  [2160] = {
    [sym_attribute_specifier] = STATE(2234),
    [sym_identifier] = ACTIONS(6017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6019),
    [anon_sym_COMMA] = ACTIONS(6019),
    [anon_sym_RPAREN] = ACTIONS(6019),
    [aux_sym_preproc_if_token2] = ACTIONS(6019),
    [aux_sym_preproc_else_token1] = ACTIONS(6019),
    [aux_sym_preproc_elif_token1] = ACTIONS(6017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6019),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6019),
    [anon_sym_LPAREN2] = ACTIONS(6019),
    [anon_sym_DASH] = ACTIONS(6017),
    [anon_sym_PLUS] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_SLASH] = ACTIONS(6017),
    [anon_sym_PERCENT] = ACTIONS(6017),
    [anon_sym_PIPE_PIPE] = ACTIONS(6019),
    [anon_sym_AMP_AMP] = ACTIONS(6019),
    [anon_sym_PIPE] = ACTIONS(6017),
    [anon_sym_CARET] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6017),
    [anon_sym_EQ_EQ] = ACTIONS(6019),
    [anon_sym_BANG_EQ] = ACTIONS(6019),
    [anon_sym_GT] = ACTIONS(6017),
    [anon_sym_GT_EQ] = ACTIONS(6019),
    [anon_sym_LT_EQ] = ACTIONS(6017),
    [anon_sym_LT] = ACTIONS(6017),
    [anon_sym_LT_LT] = ACTIONS(6017),
    [anon_sym_GT_GT] = ACTIONS(6017),
    [anon_sym_SEMI] = ACTIONS(6019),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(6019),
    [anon_sym_RBRACE] = ACTIONS(6019),
    [anon_sym_LBRACK] = ACTIONS(6019),
    [anon_sym_RBRACK] = ACTIONS(6019),
    [anon_sym_EQ] = ACTIONS(6017),
    [anon_sym_COLON] = ACTIONS(6019),
    [anon_sym_QMARK] = ACTIONS(6019),
    [anon_sym_STAR_EQ] = ACTIONS(6019),
    [anon_sym_SLASH_EQ] = ACTIONS(6019),
    [anon_sym_PERCENT_EQ] = ACTIONS(6019),
    [anon_sym_PLUS_EQ] = ACTIONS(6019),
    [anon_sym_DASH_EQ] = ACTIONS(6019),
    [anon_sym_LT_LT_EQ] = ACTIONS(6019),
    [anon_sym_GT_GT_EQ] = ACTIONS(6019),
    [anon_sym_AMP_EQ] = ACTIONS(6019),
    [anon_sym_CARET_EQ] = ACTIONS(6019),
    [anon_sym_PIPE_EQ] = ACTIONS(6019),
    [anon_sym_and_eq] = ACTIONS(6017),
    [anon_sym_or_eq] = ACTIONS(6017),
    [anon_sym_xor_eq] = ACTIONS(6017),
    [anon_sym_LT_EQ_GT] = ACTIONS(6019),
    [anon_sym_or] = ACTIONS(6017),
    [anon_sym_and] = ACTIONS(6017),
    [anon_sym_bitor] = ACTIONS(6017),
    [anon_sym_xor] = ACTIONS(6017),
    [anon_sym_bitand] = ACTIONS(6017),
    [anon_sym_not_eq] = ACTIONS(6017),
    [anon_sym_DASH_DASH] = ACTIONS(6019),
    [anon_sym_PLUS_PLUS] = ACTIONS(6019),
    [anon_sym_DOT] = ACTIONS(6017),
    [anon_sym_DOT_STAR] = ACTIONS(6019),
    [anon_sym_DASH_GT] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6017),
    [anon_sym_decltype] = ACTIONS(6017),
  },
  [2161] = {
    [sym_attribute_declaration] = STATE(2180),
    [sym_parameter_list] = STATE(2207),
    [aux_sym_attributed_declarator_repeat1] = STATE(2180),
    [sym_identifier] = ACTIONS(6021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6023),
    [anon_sym_COMMA] = ACTIONS(6023),
    [anon_sym_RPAREN] = ACTIONS(6023),
    [aux_sym_preproc_if_token2] = ACTIONS(6023),
    [aux_sym_preproc_else_token1] = ACTIONS(6023),
    [aux_sym_preproc_elif_token1] = ACTIONS(6021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6023),
    [anon_sym_LPAREN2] = ACTIONS(5911),
    [anon_sym_DASH] = ACTIONS(6021),
    [anon_sym_PLUS] = ACTIONS(6021),
    [anon_sym_STAR] = ACTIONS(6021),
    [anon_sym_SLASH] = ACTIONS(6021),
    [anon_sym_PERCENT] = ACTIONS(6021),
    [anon_sym_PIPE_PIPE] = ACTIONS(6023),
    [anon_sym_AMP_AMP] = ACTIONS(6023),
    [anon_sym_PIPE] = ACTIONS(6021),
    [anon_sym_CARET] = ACTIONS(6021),
    [anon_sym_AMP] = ACTIONS(6021),
    [anon_sym_EQ_EQ] = ACTIONS(6023),
    [anon_sym_BANG_EQ] = ACTIONS(6023),
    [anon_sym_GT] = ACTIONS(6021),
    [anon_sym_GT_EQ] = ACTIONS(6023),
    [anon_sym_LT_EQ] = ACTIONS(6021),
    [anon_sym_LT] = ACTIONS(6021),
    [anon_sym_LT_LT] = ACTIONS(6021),
    [anon_sym_GT_GT] = ACTIONS(6021),
    [anon_sym_SEMI] = ACTIONS(6023),
    [anon_sym___attribute__] = ACTIONS(6021),
    [anon_sym___attribute] = ACTIONS(6021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(6023),
    [anon_sym_LBRACK] = ACTIONS(5915),
    [anon_sym_RBRACK] = ACTIONS(6023),
    [anon_sym_EQ] = ACTIONS(6021),
    [anon_sym_COLON] = ACTIONS(6023),
    [anon_sym_QMARK] = ACTIONS(6023),
    [anon_sym_STAR_EQ] = ACTIONS(6023),
    [anon_sym_SLASH_EQ] = ACTIONS(6023),
    [anon_sym_PERCENT_EQ] = ACTIONS(6023),
    [anon_sym_PLUS_EQ] = ACTIONS(6023),
    [anon_sym_DASH_EQ] = ACTIONS(6023),
    [anon_sym_LT_LT_EQ] = ACTIONS(6023),
    [anon_sym_GT_GT_EQ] = ACTIONS(6023),
    [anon_sym_AMP_EQ] = ACTIONS(6023),
    [anon_sym_CARET_EQ] = ACTIONS(6023),
    [anon_sym_PIPE_EQ] = ACTIONS(6023),
    [anon_sym_and_eq] = ACTIONS(6021),
    [anon_sym_or_eq] = ACTIONS(6021),
    [anon_sym_xor_eq] = ACTIONS(6021),
    [anon_sym_LT_EQ_GT] = ACTIONS(6023),
    [anon_sym_or] = ACTIONS(6021),
    [anon_sym_and] = ACTIONS(6021),
    [anon_sym_bitor] = ACTIONS(6021),
    [anon_sym_xor] = ACTIONS(6021),
    [anon_sym_bitand] = ACTIONS(6021),
    [anon_sym_not_eq] = ACTIONS(6021),
    [anon_sym_DASH_DASH] = ACTIONS(6023),
    [anon_sym_PLUS_PLUS] = ACTIONS(6023),
    [anon_sym_DOT] = ACTIONS(6021),
    [anon_sym_DOT_STAR] = ACTIONS(6023),
    [anon_sym_DASH_GT] = ACTIONS(6023),
    [sym_comment] = ACTIONS(3),
  },
  [2162] = {
    [sym_type_qualifier] = STATE(1876),
    [sym_alignas_qualifier] = STATE(2209),
    [aux_sym__type_definition_type_repeat1] = STATE(1876),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2279),
    [sym_identifier] = ACTIONS(6025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4945),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4945),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4945),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4947),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4945),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym___extension__] = ACTIONS(5899),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(6027),
    [anon_sym_unsigned] = ACTIONS(6027),
    [anon_sym_long] = ACTIONS(6027),
    [anon_sym_short] = ACTIONS(6027),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_const] = ACTIONS(5899),
    [anon_sym_constexpr] = ACTIONS(5899),
    [anon_sym_volatile] = ACTIONS(5899),
    [anon_sym_restrict] = ACTIONS(5899),
    [anon_sym___restrict__] = ACTIONS(5899),
    [anon_sym__Atomic] = ACTIONS(5899),
    [anon_sym__Noreturn] = ACTIONS(5899),
    [anon_sym_noreturn] = ACTIONS(5899),
    [anon_sym__Nonnull] = ACTIONS(5899),
    [anon_sym_mutable] = ACTIONS(5899),
    [anon_sym_constinit] = ACTIONS(5899),
    [anon_sym_consteval] = ACTIONS(5899),
    [anon_sym_alignas] = ACTIONS(5903),
    [anon_sym__Alignas] = ACTIONS(5903),
    [sym_primitive_type] = ACTIONS(6029),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
    [anon_sym_GT2] = ACTIONS(4945),
  },
  [2163] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4099),
    [anon_sym_SLASH_EQ] = ACTIONS(4099),
    [anon_sym_PERCENT_EQ] = ACTIONS(4099),
    [anon_sym_PLUS_EQ] = ACTIONS(4099),
    [anon_sym_DASH_EQ] = ACTIONS(4099),
    [anon_sym_LT_LT_EQ] = ACTIONS(4099),
    [anon_sym_GT_GT_EQ] = ACTIONS(4099),
    [anon_sym_AMP_EQ] = ACTIONS(4099),
    [anon_sym_CARET_EQ] = ACTIONS(4099),
    [anon_sym_PIPE_EQ] = ACTIONS(4099),
    [anon_sym_and_eq] = ACTIONS(4099),
    [anon_sym_or_eq] = ACTIONS(4099),
    [anon_sym_xor_eq] = ACTIONS(4099),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(5648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5650),
    [anon_sym_COMMA] = ACTIONS(5650),
    [anon_sym_RPAREN] = ACTIONS(5650),
    [aux_sym_preproc_if_token2] = ACTIONS(5650),
    [aux_sym_preproc_else_token1] = ACTIONS(5650),
    [aux_sym_preproc_elif_token1] = ACTIONS(5648),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5650),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5650),
    [anon_sym_LPAREN2] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5648),
    [anon_sym_STAR] = ACTIONS(5648),
    [anon_sym_SLASH] = ACTIONS(5648),
    [anon_sym_PERCENT] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_PIPE] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5648),
    [anon_sym_AMP] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5650),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5648),
    [anon_sym_LT_LT] = ACTIONS(5648),
    [anon_sym_GT_GT] = ACTIONS(5648),
    [anon_sym_SEMI] = ACTIONS(5650),
    [anon_sym___attribute__] = ACTIONS(5648),
    [anon_sym___attribute] = ACTIONS(5648),
    [anon_sym_LBRACE] = ACTIONS(5650),
    [anon_sym_RBRACE] = ACTIONS(5650),
    [anon_sym_LBRACK] = ACTIONS(5650),
    [anon_sym_RBRACK] = ACTIONS(5650),
    [anon_sym_EQ] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5650),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_STAR_EQ] = ACTIONS(5650),
    [anon_sym_SLASH_EQ] = ACTIONS(5650),
    [anon_sym_PERCENT_EQ] = ACTIONS(5650),
    [anon_sym_PLUS_EQ] = ACTIONS(5650),
    [anon_sym_DASH_EQ] = ACTIONS(5650),
    [anon_sym_LT_LT_EQ] = ACTIONS(5650),
    [anon_sym_GT_GT_EQ] = ACTIONS(5650),
    [anon_sym_AMP_EQ] = ACTIONS(5650),
    [anon_sym_CARET_EQ] = ACTIONS(5650),
    [anon_sym_PIPE_EQ] = ACTIONS(5650),
    [anon_sym_and_eq] = ACTIONS(5648),
    [anon_sym_or_eq] = ACTIONS(5648),
    [anon_sym_xor_eq] = ACTIONS(5648),
    [anon_sym_LT_EQ_GT] = ACTIONS(5650),
    [anon_sym_or] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5648),
    [anon_sym_bitor] = ACTIONS(5648),
    [anon_sym_xor] = ACTIONS(5648),
    [anon_sym_bitand] = ACTIONS(5648),
    [anon_sym_not_eq] = ACTIONS(5648),
    [anon_sym_DASH_DASH] = ACTIONS(5650),
    [anon_sym_PLUS_PLUS] = ACTIONS(5650),
    [anon_sym_DOT] = ACTIONS(5648),
    [anon_sym_DOT_STAR] = ACTIONS(5650),
    [anon_sym_DASH_GT] = ACTIONS(5650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5648),
    [anon_sym_decltype] = ACTIONS(5648),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(4822),
    [anon_sym_LPAREN2] = ACTIONS(4824),
    [anon_sym_TILDE] = ACTIONS(4824),
    [anon_sym_STAR] = ACTIONS(4824),
    [anon_sym_PIPE_PIPE] = ACTIONS(4824),
    [anon_sym_AMP_AMP] = ACTIONS(4824),
    [anon_sym_AMP] = ACTIONS(4822),
    [anon_sym___extension__] = ACTIONS(4822),
    [anon_sym_virtual] = ACTIONS(4822),
    [anon_sym_extern] = ACTIONS(4822),
    [anon_sym___attribute__] = ACTIONS(4822),
    [anon_sym___attribute] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4824),
    [anon_sym___declspec] = ACTIONS(4822),
    [anon_sym___based] = ACTIONS(4822),
    [anon_sym___cdecl] = ACTIONS(4822),
    [anon_sym___clrcall] = ACTIONS(4822),
    [anon_sym___stdcall] = ACTIONS(4822),
    [anon_sym___fastcall] = ACTIONS(4822),
    [anon_sym___thiscall] = ACTIONS(4822),
    [anon_sym___vectorcall] = ACTIONS(4822),
    [anon_sym_signed] = ACTIONS(4822),
    [anon_sym_unsigned] = ACTIONS(4822),
    [anon_sym_long] = ACTIONS(4822),
    [anon_sym_short] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_static] = ACTIONS(4822),
    [anon_sym_register] = ACTIONS(4822),
    [anon_sym_inline] = ACTIONS(4822),
    [anon_sym___inline] = ACTIONS(4822),
    [anon_sym___inline__] = ACTIONS(4822),
    [anon_sym___forceinline] = ACTIONS(4822),
    [anon_sym_thread_local] = ACTIONS(4822),
    [anon_sym___thread] = ACTIONS(4822),
    [anon_sym_const] = ACTIONS(4822),
    [anon_sym_constexpr] = ACTIONS(4822),
    [anon_sym_volatile] = ACTIONS(4822),
    [anon_sym_restrict] = ACTIONS(4822),
    [anon_sym___restrict__] = ACTIONS(4822),
    [anon_sym__Atomic] = ACTIONS(4822),
    [anon_sym__Noreturn] = ACTIONS(4822),
    [anon_sym_noreturn] = ACTIONS(4822),
    [anon_sym__Nonnull] = ACTIONS(4822),
    [anon_sym_mutable] = ACTIONS(4822),
    [anon_sym_constinit] = ACTIONS(4822),
    [anon_sym_consteval] = ACTIONS(4822),
    [anon_sym_alignas] = ACTIONS(4822),
    [anon_sym__Alignas] = ACTIONS(4822),
    [sym_primitive_type] = ACTIONS(4822),
    [anon_sym_enum] = ACTIONS(4822),
    [anon_sym_class] = ACTIONS(4822),
    [anon_sym_struct] = ACTIONS(4822),
    [anon_sym_union] = ACTIONS(4822),
    [anon_sym_or] = ACTIONS(4822),
    [anon_sym_and] = ACTIONS(4822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4822),
    [anon_sym_decltype] = ACTIONS(4822),
    [anon_sym_explicit] = ACTIONS(4822),
    [anon_sym_typename] = ACTIONS(4822),
    [anon_sym_template] = ACTIONS(4822),
    [anon_sym_operator] = ACTIONS(4822),
    [anon_sym_friend] = ACTIONS(4822),
    [anon_sym_using] = ACTIONS(4822),
    [anon_sym_concept] = ACTIONS(4822),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(4834),
    [anon_sym_LPAREN2] = ACTIONS(4836),
    [anon_sym_TILDE] = ACTIONS(4836),
    [anon_sym_STAR] = ACTIONS(4836),
    [anon_sym_PIPE_PIPE] = ACTIONS(4836),
    [anon_sym_AMP_AMP] = ACTIONS(4836),
    [anon_sym_AMP] = ACTIONS(4834),
    [anon_sym___extension__] = ACTIONS(4834),
    [anon_sym_virtual] = ACTIONS(4834),
    [anon_sym_extern] = ACTIONS(4834),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym___attribute] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4836),
    [anon_sym___declspec] = ACTIONS(4834),
    [anon_sym___based] = ACTIONS(4834),
    [anon_sym___cdecl] = ACTIONS(4834),
    [anon_sym___clrcall] = ACTIONS(4834),
    [anon_sym___stdcall] = ACTIONS(4834),
    [anon_sym___fastcall] = ACTIONS(4834),
    [anon_sym___thiscall] = ACTIONS(4834),
    [anon_sym___vectorcall] = ACTIONS(4834),
    [anon_sym_signed] = ACTIONS(4834),
    [anon_sym_unsigned] = ACTIONS(4834),
    [anon_sym_long] = ACTIONS(4834),
    [anon_sym_short] = ACTIONS(4834),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [anon_sym_static] = ACTIONS(4834),
    [anon_sym_register] = ACTIONS(4834),
    [anon_sym_inline] = ACTIONS(4834),
    [anon_sym___inline] = ACTIONS(4834),
    [anon_sym___inline__] = ACTIONS(4834),
    [anon_sym___forceinline] = ACTIONS(4834),
    [anon_sym_thread_local] = ACTIONS(4834),
    [anon_sym___thread] = ACTIONS(4834),
    [anon_sym_const] = ACTIONS(4834),
    [anon_sym_constexpr] = ACTIONS(4834),
    [anon_sym_volatile] = ACTIONS(4834),
    [anon_sym_restrict] = ACTIONS(4834),
    [anon_sym___restrict__] = ACTIONS(4834),
    [anon_sym__Atomic] = ACTIONS(4834),
    [anon_sym__Noreturn] = ACTIONS(4834),
    [anon_sym_noreturn] = ACTIONS(4834),
    [anon_sym__Nonnull] = ACTIONS(4834),
    [anon_sym_mutable] = ACTIONS(4834),
    [anon_sym_constinit] = ACTIONS(4834),
    [anon_sym_consteval] = ACTIONS(4834),
    [anon_sym_alignas] = ACTIONS(4834),
    [anon_sym__Alignas] = ACTIONS(4834),
    [sym_primitive_type] = ACTIONS(4834),
    [anon_sym_enum] = ACTIONS(4834),
    [anon_sym_class] = ACTIONS(4834),
    [anon_sym_struct] = ACTIONS(4834),
    [anon_sym_union] = ACTIONS(4834),
    [anon_sym_or] = ACTIONS(4834),
    [anon_sym_and] = ACTIONS(4834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4834),
    [anon_sym_decltype] = ACTIONS(4834),
    [anon_sym_explicit] = ACTIONS(4834),
    [anon_sym_typename] = ACTIONS(4834),
    [anon_sym_template] = ACTIONS(4834),
    [anon_sym_operator] = ACTIONS(4834),
    [anon_sym_friend] = ACTIONS(4834),
    [anon_sym_using] = ACTIONS(4834),
    [anon_sym_concept] = ACTIONS(4834),
  },
  [2167] = {
    [sym_string_literal] = STATE(2177),
    [sym_template_argument_list] = STATE(3239),
    [sym_raw_string_literal] = STATE(2177),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4071),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(6031),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4071),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(6034),
    [anon_sym_u_DQUOTE] = ACTIONS(6034),
    [anon_sym_U_DQUOTE] = ACTIONS(6034),
    [anon_sym_u8_DQUOTE] = ACTIONS(6034),
    [anon_sym_DQUOTE] = ACTIONS(6034),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4063),
    [anon_sym_R_DQUOTE] = ACTIONS(6036),
    [anon_sym_LR_DQUOTE] = ACTIONS(6036),
    [anon_sym_uR_DQUOTE] = ACTIONS(6036),
    [anon_sym_UR_DQUOTE] = ACTIONS(6036),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6036),
  },
  [2168] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5333),
    [anon_sym_COMMA] = ACTIONS(5333),
    [anon_sym_RPAREN] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_DASH] = ACTIONS(5331),
    [anon_sym_PLUS] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_SLASH] = ACTIONS(5331),
    [anon_sym_PERCENT] = ACTIONS(5331),
    [anon_sym_PIPE_PIPE] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_PIPE] = ACTIONS(5331),
    [anon_sym_CARET] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_EQ_EQ] = ACTIONS(5333),
    [anon_sym_BANG_EQ] = ACTIONS(5333),
    [anon_sym_GT] = ACTIONS(5331),
    [anon_sym_GT_EQ] = ACTIONS(5333),
    [anon_sym_LT_EQ] = ACTIONS(5331),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_LT_LT] = ACTIONS(5331),
    [anon_sym_GT_GT] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym_RBRACE] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_RBRACK] = ACTIONS(5333),
    [anon_sym_EQ] = ACTIONS(5331),
    [anon_sym_COLON] = ACTIONS(5333),
    [anon_sym_QMARK] = ACTIONS(5333),
    [anon_sym_STAR_EQ] = ACTIONS(5333),
    [anon_sym_SLASH_EQ] = ACTIONS(5333),
    [anon_sym_PERCENT_EQ] = ACTIONS(5333),
    [anon_sym_PLUS_EQ] = ACTIONS(5333),
    [anon_sym_DASH_EQ] = ACTIONS(5333),
    [anon_sym_LT_LT_EQ] = ACTIONS(5333),
    [anon_sym_GT_GT_EQ] = ACTIONS(5333),
    [anon_sym_AMP_EQ] = ACTIONS(5333),
    [anon_sym_CARET_EQ] = ACTIONS(5333),
    [anon_sym_PIPE_EQ] = ACTIONS(5333),
    [anon_sym_and_eq] = ACTIONS(5331),
    [anon_sym_or_eq] = ACTIONS(5331),
    [anon_sym_xor_eq] = ACTIONS(5331),
    [anon_sym_LT_EQ_GT] = ACTIONS(5333),
    [anon_sym_or] = ACTIONS(5331),
    [anon_sym_and] = ACTIONS(5331),
    [anon_sym_bitor] = ACTIONS(5331),
    [anon_sym_xor] = ACTIONS(5331),
    [anon_sym_bitand] = ACTIONS(5331),
    [anon_sym_not_eq] = ACTIONS(5331),
    [anon_sym_DASH_DASH] = ACTIONS(5333),
    [anon_sym_PLUS_PLUS] = ACTIONS(5333),
    [anon_sym_DOT] = ACTIONS(5331),
    [anon_sym_DOT_STAR] = ACTIONS(5333),
    [anon_sym_DASH_GT] = ACTIONS(5333),
    [anon_sym_L_DQUOTE] = ACTIONS(5333),
    [anon_sym_u_DQUOTE] = ACTIONS(5333),
    [anon_sym_U_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8_DQUOTE] = ACTIONS(5333),
    [anon_sym_DQUOTE] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5333),
    [anon_sym_LR_DQUOTE] = ACTIONS(5333),
    [anon_sym_uR_DQUOTE] = ACTIONS(5333),
    [anon_sym_UR_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5333),
    [sym_literal_suffix] = ACTIONS(5331),
  },
  [2169] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5797),
    [anon_sym_COMMA] = ACTIONS(5797),
    [aux_sym_preproc_if_token2] = ACTIONS(5797),
    [aux_sym_preproc_else_token1] = ACTIONS(5797),
    [aux_sym_preproc_elif_token1] = ACTIONS(5799),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5797),
    [anon_sym_LPAREN2] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5799),
    [anon_sym_PLUS] = ACTIONS(5799),
    [anon_sym_STAR] = ACTIONS(5799),
    [anon_sym_SLASH] = ACTIONS(5799),
    [anon_sym_PERCENT] = ACTIONS(5799),
    [anon_sym_PIPE_PIPE] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5797),
    [anon_sym_PIPE] = ACTIONS(5799),
    [anon_sym_CARET] = ACTIONS(5799),
    [anon_sym_AMP] = ACTIONS(5799),
    [anon_sym_EQ_EQ] = ACTIONS(5797),
    [anon_sym_BANG_EQ] = ACTIONS(5797),
    [anon_sym_GT] = ACTIONS(5799),
    [anon_sym_GT_EQ] = ACTIONS(5797),
    [anon_sym_LT_EQ] = ACTIONS(5799),
    [anon_sym_LT] = ACTIONS(5799),
    [anon_sym_LT_LT] = ACTIONS(5799),
    [anon_sym_GT_GT] = ACTIONS(5799),
    [anon_sym___attribute__] = ACTIONS(5799),
    [anon_sym___attribute] = ACTIONS(5799),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_signed] = ACTIONS(6038),
    [anon_sym_unsigned] = ACTIONS(6038),
    [anon_sym_long] = ACTIONS(6038),
    [anon_sym_short] = ACTIONS(6038),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [anon_sym_EQ] = ACTIONS(5799),
    [anon_sym_QMARK] = ACTIONS(5797),
    [anon_sym_STAR_EQ] = ACTIONS(5797),
    [anon_sym_SLASH_EQ] = ACTIONS(5797),
    [anon_sym_PERCENT_EQ] = ACTIONS(5797),
    [anon_sym_PLUS_EQ] = ACTIONS(5797),
    [anon_sym_DASH_EQ] = ACTIONS(5797),
    [anon_sym_LT_LT_EQ] = ACTIONS(5797),
    [anon_sym_GT_GT_EQ] = ACTIONS(5797),
    [anon_sym_AMP_EQ] = ACTIONS(5797),
    [anon_sym_CARET_EQ] = ACTIONS(5797),
    [anon_sym_PIPE_EQ] = ACTIONS(5797),
    [anon_sym_and_eq] = ACTIONS(5799),
    [anon_sym_or_eq] = ACTIONS(5799),
    [anon_sym_xor_eq] = ACTIONS(5799),
    [anon_sym_LT_EQ_GT] = ACTIONS(5797),
    [anon_sym_or] = ACTIONS(5799),
    [anon_sym_and] = ACTIONS(5799),
    [anon_sym_bitor] = ACTIONS(5799),
    [anon_sym_xor] = ACTIONS(5799),
    [anon_sym_bitand] = ACTIONS(5799),
    [anon_sym_not_eq] = ACTIONS(5799),
    [anon_sym_DASH_DASH] = ACTIONS(5797),
    [anon_sym_PLUS_PLUS] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_DOT_STAR] = ACTIONS(5797),
    [anon_sym_DASH_GT] = ACTIONS(5797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5799),
    [anon_sym_decltype] = ACTIONS(5799),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(6040),
    [anon_sym_LPAREN2] = ACTIONS(6042),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_STAR] = ACTIONS(6042),
    [anon_sym_PIPE_PIPE] = ACTIONS(6044),
    [anon_sym_AMP_AMP] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6040),
    [anon_sym___extension__] = ACTIONS(6040),
    [anon_sym_virtual] = ACTIONS(6040),
    [anon_sym_extern] = ACTIONS(6040),
    [anon_sym___attribute__] = ACTIONS(6040),
    [anon_sym___attribute] = ACTIONS(6040),
    [anon_sym_COLON_COLON] = ACTIONS(6042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6042),
    [anon_sym___declspec] = ACTIONS(6040),
    [anon_sym___based] = ACTIONS(6040),
    [anon_sym___cdecl] = ACTIONS(6040),
    [anon_sym___clrcall] = ACTIONS(6040),
    [anon_sym___stdcall] = ACTIONS(6040),
    [anon_sym___fastcall] = ACTIONS(6040),
    [anon_sym___thiscall] = ACTIONS(6040),
    [anon_sym___vectorcall] = ACTIONS(6040),
    [anon_sym_signed] = ACTIONS(6040),
    [anon_sym_unsigned] = ACTIONS(6040),
    [anon_sym_long] = ACTIONS(6040),
    [anon_sym_short] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [anon_sym_static] = ACTIONS(6040),
    [anon_sym_register] = ACTIONS(6040),
    [anon_sym_inline] = ACTIONS(6040),
    [anon_sym___inline] = ACTIONS(6040),
    [anon_sym___inline__] = ACTIONS(6040),
    [anon_sym___forceinline] = ACTIONS(6040),
    [anon_sym_thread_local] = ACTIONS(6040),
    [anon_sym___thread] = ACTIONS(6040),
    [anon_sym_const] = ACTIONS(6040),
    [anon_sym_constexpr] = ACTIONS(6040),
    [anon_sym_volatile] = ACTIONS(6040),
    [anon_sym_restrict] = ACTIONS(6040),
    [anon_sym___restrict__] = ACTIONS(6040),
    [anon_sym__Atomic] = ACTIONS(6040),
    [anon_sym__Noreturn] = ACTIONS(6040),
    [anon_sym_noreturn] = ACTIONS(6040),
    [anon_sym__Nonnull] = ACTIONS(6040),
    [anon_sym_mutable] = ACTIONS(6040),
    [anon_sym_constinit] = ACTIONS(6040),
    [anon_sym_consteval] = ACTIONS(6040),
    [anon_sym_alignas] = ACTIONS(6040),
    [anon_sym__Alignas] = ACTIONS(6040),
    [sym_primitive_type] = ACTIONS(6040),
    [anon_sym_enum] = ACTIONS(6040),
    [anon_sym_class] = ACTIONS(6040),
    [anon_sym_struct] = ACTIONS(6040),
    [anon_sym_union] = ACTIONS(6040),
    [anon_sym_or] = ACTIONS(6048),
    [anon_sym_and] = ACTIONS(6050),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6040),
    [anon_sym_decltype] = ACTIONS(6040),
    [anon_sym_explicit] = ACTIONS(6040),
    [anon_sym_typename] = ACTIONS(6040),
    [anon_sym_template] = ACTIONS(6040),
    [anon_sym_operator] = ACTIONS(6040),
    [anon_sym_friend] = ACTIONS(6040),
    [anon_sym_using] = ACTIONS(6040),
    [anon_sym_concept] = ACTIONS(6040),
  },
  [2171] = {
    [sym_attribute_specifier] = STATE(1839),
    [sym_enumerator_list] = STATE(2289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5869),
    [anon_sym_COMMA] = ACTIONS(5869),
    [anon_sym_RPAREN] = ACTIONS(5869),
    [anon_sym_LPAREN2] = ACTIONS(5869),
    [anon_sym_DASH] = ACTIONS(5867),
    [anon_sym_PLUS] = ACTIONS(5867),
    [anon_sym_STAR] = ACTIONS(5869),
    [anon_sym_SLASH] = ACTIONS(5867),
    [anon_sym_PERCENT] = ACTIONS(5869),
    [anon_sym_PIPE_PIPE] = ACTIONS(5869),
    [anon_sym_AMP_AMP] = ACTIONS(5869),
    [anon_sym_PIPE] = ACTIONS(5867),
    [anon_sym_CARET] = ACTIONS(5869),
    [anon_sym_AMP] = ACTIONS(5867),
    [anon_sym_EQ_EQ] = ACTIONS(5869),
    [anon_sym_BANG_EQ] = ACTIONS(5869),
    [anon_sym_GT] = ACTIONS(5867),
    [anon_sym_GT_EQ] = ACTIONS(5869),
    [anon_sym_LT_EQ] = ACTIONS(5867),
    [anon_sym_LT] = ACTIONS(5867),
    [anon_sym_LT_LT] = ACTIONS(5869),
    [anon_sym_GT_GT] = ACTIONS(5869),
    [anon_sym_SEMI] = ACTIONS(5869),
    [anon_sym___extension__] = ACTIONS(5869),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(6052),
    [anon_sym_RBRACE] = ACTIONS(5869),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [anon_sym_RBRACK] = ACTIONS(5869),
    [anon_sym_const] = ACTIONS(5867),
    [anon_sym_constexpr] = ACTIONS(5869),
    [anon_sym_volatile] = ACTIONS(5869),
    [anon_sym_restrict] = ACTIONS(5869),
    [anon_sym___restrict__] = ACTIONS(5869),
    [anon_sym__Atomic] = ACTIONS(5869),
    [anon_sym__Noreturn] = ACTIONS(5869),
    [anon_sym_noreturn] = ACTIONS(5869),
    [anon_sym__Nonnull] = ACTIONS(5869),
    [anon_sym_mutable] = ACTIONS(5869),
    [anon_sym_constinit] = ACTIONS(5869),
    [anon_sym_consteval] = ACTIONS(5869),
    [anon_sym_alignas] = ACTIONS(5869),
    [anon_sym__Alignas] = ACTIONS(5869),
    [anon_sym_COLON] = ACTIONS(5869),
    [anon_sym_QMARK] = ACTIONS(5869),
    [anon_sym_LT_EQ_GT] = ACTIONS(5869),
    [anon_sym_or] = ACTIONS(5869),
    [anon_sym_and] = ACTIONS(5869),
    [anon_sym_bitor] = ACTIONS(5869),
    [anon_sym_xor] = ACTIONS(5869),
    [anon_sym_bitand] = ACTIONS(5869),
    [anon_sym_not_eq] = ACTIONS(5869),
    [anon_sym_DASH_DASH] = ACTIONS(5869),
    [anon_sym_PLUS_PLUS] = ACTIONS(5869),
    [anon_sym_DOT] = ACTIONS(5867),
    [anon_sym_DOT_STAR] = ACTIONS(5869),
    [anon_sym_DASH_GT] = ACTIONS(5869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5869),
    [anon_sym_decltype] = ACTIONS(5869),
    [anon_sym_final] = ACTIONS(5869),
    [anon_sym_override] = ACTIONS(5869),
    [anon_sym_requires] = ACTIONS(5869),
  },
  [2172] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5736),
    [aux_sym_preproc_if_token2] = ACTIONS(5736),
    [aux_sym_preproc_else_token1] = ACTIONS(5736),
    [aux_sym_preproc_elif_token1] = ACTIONS(5738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5736),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5736),
    [anon_sym_LPAREN2] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5738),
    [anon_sym_SLASH] = ACTIONS(5738),
    [anon_sym_PERCENT] = ACTIONS(5738),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5738),
    [anon_sym_AMP] = ACTIONS(5738),
    [anon_sym_EQ_EQ] = ACTIONS(5736),
    [anon_sym_BANG_EQ] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5738),
    [anon_sym_GT_EQ] = ACTIONS(5736),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5738),
    [anon_sym_LT_LT] = ACTIONS(5738),
    [anon_sym_GT_GT] = ACTIONS(5738),
    [anon_sym___attribute__] = ACTIONS(5738),
    [anon_sym___attribute] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5736),
    [anon_sym_signed] = ACTIONS(6038),
    [anon_sym_unsigned] = ACTIONS(6038),
    [anon_sym_long] = ACTIONS(6038),
    [anon_sym_short] = ACTIONS(6038),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_EQ] = ACTIONS(5738),
    [anon_sym_QMARK] = ACTIONS(5736),
    [anon_sym_STAR_EQ] = ACTIONS(5736),
    [anon_sym_SLASH_EQ] = ACTIONS(5736),
    [anon_sym_PERCENT_EQ] = ACTIONS(5736),
    [anon_sym_PLUS_EQ] = ACTIONS(5736),
    [anon_sym_DASH_EQ] = ACTIONS(5736),
    [anon_sym_LT_LT_EQ] = ACTIONS(5736),
    [anon_sym_GT_GT_EQ] = ACTIONS(5736),
    [anon_sym_AMP_EQ] = ACTIONS(5736),
    [anon_sym_CARET_EQ] = ACTIONS(5736),
    [anon_sym_PIPE_EQ] = ACTIONS(5736),
    [anon_sym_and_eq] = ACTIONS(5738),
    [anon_sym_or_eq] = ACTIONS(5738),
    [anon_sym_xor_eq] = ACTIONS(5738),
    [anon_sym_LT_EQ_GT] = ACTIONS(5736),
    [anon_sym_or] = ACTIONS(5738),
    [anon_sym_and] = ACTIONS(5738),
    [anon_sym_bitor] = ACTIONS(5738),
    [anon_sym_xor] = ACTIONS(5738),
    [anon_sym_bitand] = ACTIONS(5738),
    [anon_sym_not_eq] = ACTIONS(5738),
    [anon_sym_DASH_DASH] = ACTIONS(5736),
    [anon_sym_PLUS_PLUS] = ACTIONS(5736),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_DOT_STAR] = ACTIONS(5736),
    [anon_sym_DASH_GT] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5738),
    [anon_sym_decltype] = ACTIONS(5738),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym___cdecl] = ACTIONS(5376),
    [anon_sym___clrcall] = ACTIONS(5376),
    [anon_sym___stdcall] = ACTIONS(5376),
    [anon_sym___fastcall] = ACTIONS(5376),
    [anon_sym___thiscall] = ACTIONS(5376),
    [anon_sym___vectorcall] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_enum] = ACTIONS(5376),
    [anon_sym_class] = ACTIONS(5376),
    [anon_sym_struct] = ACTIONS(5376),
    [anon_sym_union] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_explicit] = ACTIONS(5376),
    [anon_sym_typename] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_friend] = ACTIONS(5376),
    [anon_sym_using] = ACTIONS(5376),
    [anon_sym_concept] = ACTIONS(5376),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym___cdecl] = ACTIONS(5376),
    [anon_sym___clrcall] = ACTIONS(5376),
    [anon_sym___stdcall] = ACTIONS(5376),
    [anon_sym___fastcall] = ACTIONS(5376),
    [anon_sym___thiscall] = ACTIONS(5376),
    [anon_sym___vectorcall] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_enum] = ACTIONS(5376),
    [anon_sym_class] = ACTIONS(5376),
    [anon_sym_struct] = ACTIONS(5376),
    [anon_sym_union] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_explicit] = ACTIONS(5376),
    [anon_sym_typename] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_friend] = ACTIONS(5376),
    [anon_sym_using] = ACTIONS(5376),
    [anon_sym_concept] = ACTIONS(5376),
  },
  [2175] = {
    [sym_attribute_specifier] = STATE(1800),
    [sym_enumerator_list] = STATE(2320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5877),
    [anon_sym_COMMA] = ACTIONS(5877),
    [anon_sym_RPAREN] = ACTIONS(5877),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5875),
    [anon_sym_STAR] = ACTIONS(5877),
    [anon_sym_SLASH] = ACTIONS(5875),
    [anon_sym_PERCENT] = ACTIONS(5877),
    [anon_sym_PIPE_PIPE] = ACTIONS(5877),
    [anon_sym_AMP_AMP] = ACTIONS(5877),
    [anon_sym_PIPE] = ACTIONS(5875),
    [anon_sym_CARET] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5875),
    [anon_sym_EQ_EQ] = ACTIONS(5877),
    [anon_sym_BANG_EQ] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(5875),
    [anon_sym_GT_EQ] = ACTIONS(5877),
    [anon_sym_LT_EQ] = ACTIONS(5875),
    [anon_sym_LT] = ACTIONS(5875),
    [anon_sym_LT_LT] = ACTIONS(5877),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_SEMI] = ACTIONS(5877),
    [anon_sym___extension__] = ACTIONS(5877),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(6052),
    [anon_sym_RBRACE] = ACTIONS(5877),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [anon_sym_RBRACK] = ACTIONS(5877),
    [anon_sym_const] = ACTIONS(5875),
    [anon_sym_constexpr] = ACTIONS(5877),
    [anon_sym_volatile] = ACTIONS(5877),
    [anon_sym_restrict] = ACTIONS(5877),
    [anon_sym___restrict__] = ACTIONS(5877),
    [anon_sym__Atomic] = ACTIONS(5877),
    [anon_sym__Noreturn] = ACTIONS(5877),
    [anon_sym_noreturn] = ACTIONS(5877),
    [anon_sym__Nonnull] = ACTIONS(5877),
    [anon_sym_mutable] = ACTIONS(5877),
    [anon_sym_constinit] = ACTIONS(5877),
    [anon_sym_consteval] = ACTIONS(5877),
    [anon_sym_alignas] = ACTIONS(5877),
    [anon_sym__Alignas] = ACTIONS(5877),
    [anon_sym_COLON] = ACTIONS(5877),
    [anon_sym_QMARK] = ACTIONS(5877),
    [anon_sym_LT_EQ_GT] = ACTIONS(5877),
    [anon_sym_or] = ACTIONS(5877),
    [anon_sym_and] = ACTIONS(5877),
    [anon_sym_bitor] = ACTIONS(5877),
    [anon_sym_xor] = ACTIONS(5877),
    [anon_sym_bitand] = ACTIONS(5877),
    [anon_sym_not_eq] = ACTIONS(5877),
    [anon_sym_DASH_DASH] = ACTIONS(5877),
    [anon_sym_PLUS_PLUS] = ACTIONS(5877),
    [anon_sym_DOT] = ACTIONS(5875),
    [anon_sym_DOT_STAR] = ACTIONS(5877),
    [anon_sym_DASH_GT] = ACTIONS(5877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5877),
    [anon_sym_decltype] = ACTIONS(5877),
    [anon_sym_final] = ACTIONS(5877),
    [anon_sym_override] = ACTIONS(5877),
    [anon_sym_requires] = ACTIONS(5877),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_TILDE] = ACTIONS(5382),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym___extension__] = ACTIONS(5380),
    [anon_sym_virtual] = ACTIONS(5380),
    [anon_sym_extern] = ACTIONS(5380),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym___attribute] = ACTIONS(5380),
    [anon_sym_COLON_COLON] = ACTIONS(5382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5382),
    [anon_sym___declspec] = ACTIONS(5380),
    [anon_sym___based] = ACTIONS(5380),
    [anon_sym___cdecl] = ACTIONS(5380),
    [anon_sym___clrcall] = ACTIONS(5380),
    [anon_sym___stdcall] = ACTIONS(5380),
    [anon_sym___fastcall] = ACTIONS(5380),
    [anon_sym___thiscall] = ACTIONS(5380),
    [anon_sym___vectorcall] = ACTIONS(5380),
    [anon_sym_signed] = ACTIONS(5380),
    [anon_sym_unsigned] = ACTIONS(5380),
    [anon_sym_long] = ACTIONS(5380),
    [anon_sym_short] = ACTIONS(5380),
    [anon_sym_LBRACK] = ACTIONS(5380),
    [anon_sym_static] = ACTIONS(5380),
    [anon_sym_register] = ACTIONS(5380),
    [anon_sym_inline] = ACTIONS(5380),
    [anon_sym___inline] = ACTIONS(5380),
    [anon_sym___inline__] = ACTIONS(5380),
    [anon_sym___forceinline] = ACTIONS(5380),
    [anon_sym_thread_local] = ACTIONS(5380),
    [anon_sym___thread] = ACTIONS(5380),
    [anon_sym_const] = ACTIONS(5380),
    [anon_sym_constexpr] = ACTIONS(5380),
    [anon_sym_volatile] = ACTIONS(5380),
    [anon_sym_restrict] = ACTIONS(5380),
    [anon_sym___restrict__] = ACTIONS(5380),
    [anon_sym__Atomic] = ACTIONS(5380),
    [anon_sym__Noreturn] = ACTIONS(5380),
    [anon_sym_noreturn] = ACTIONS(5380),
    [anon_sym__Nonnull] = ACTIONS(5380),
    [anon_sym_mutable] = ACTIONS(5380),
    [anon_sym_constinit] = ACTIONS(5380),
    [anon_sym_consteval] = ACTIONS(5380),
    [anon_sym_alignas] = ACTIONS(5380),
    [anon_sym__Alignas] = ACTIONS(5380),
    [sym_primitive_type] = ACTIONS(5380),
    [anon_sym_enum] = ACTIONS(5380),
    [anon_sym_class] = ACTIONS(5380),
    [anon_sym_struct] = ACTIONS(5380),
    [anon_sym_union] = ACTIONS(5380),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
    [anon_sym_explicit] = ACTIONS(5380),
    [anon_sym_typename] = ACTIONS(5380),
    [anon_sym_template] = ACTIONS(5380),
    [anon_sym_operator] = ACTIONS(5380),
    [anon_sym_friend] = ACTIONS(5380),
    [anon_sym_using] = ACTIONS(5380),
    [anon_sym_concept] = ACTIONS(5380),
  },
  [2177] = {
    [sym_string_literal] = STATE(2186),
    [sym_raw_string_literal] = STATE(2186),
    [aux_sym_concatenated_string_repeat1] = STATE(2186),
    [sym_identifier] = ACTIONS(6054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5249),
    [anon_sym_COMMA] = ACTIONS(5249),
    [anon_sym_LPAREN2] = ACTIONS(5249),
    [anon_sym_DASH] = ACTIONS(5251),
    [anon_sym_PLUS] = ACTIONS(5251),
    [anon_sym_STAR] = ACTIONS(5251),
    [anon_sym_SLASH] = ACTIONS(5251),
    [anon_sym_PERCENT] = ACTIONS(5251),
    [anon_sym_PIPE_PIPE] = ACTIONS(5249),
    [anon_sym_AMP_AMP] = ACTIONS(5249),
    [anon_sym_PIPE] = ACTIONS(5251),
    [anon_sym_CARET] = ACTIONS(5251),
    [anon_sym_AMP] = ACTIONS(5251),
    [anon_sym_EQ_EQ] = ACTIONS(5249),
    [anon_sym_BANG_EQ] = ACTIONS(5249),
    [anon_sym_GT] = ACTIONS(5251),
    [anon_sym_GT_EQ] = ACTIONS(5251),
    [anon_sym_LT_EQ] = ACTIONS(5251),
    [anon_sym_LT] = ACTIONS(5251),
    [anon_sym_LT_LT] = ACTIONS(5251),
    [anon_sym_GT_GT] = ACTIONS(5251),
    [anon_sym_LBRACK] = ACTIONS(5249),
    [anon_sym_EQ] = ACTIONS(5251),
    [anon_sym_QMARK] = ACTIONS(5249),
    [anon_sym_STAR_EQ] = ACTIONS(5249),
    [anon_sym_SLASH_EQ] = ACTIONS(5249),
    [anon_sym_PERCENT_EQ] = ACTIONS(5249),
    [anon_sym_PLUS_EQ] = ACTIONS(5249),
    [anon_sym_DASH_EQ] = ACTIONS(5249),
    [anon_sym_LT_LT_EQ] = ACTIONS(5249),
    [anon_sym_GT_GT_EQ] = ACTIONS(5251),
    [anon_sym_AMP_EQ] = ACTIONS(5249),
    [anon_sym_CARET_EQ] = ACTIONS(5249),
    [anon_sym_PIPE_EQ] = ACTIONS(5249),
    [anon_sym_and_eq] = ACTIONS(5251),
    [anon_sym_or_eq] = ACTIONS(5251),
    [anon_sym_xor_eq] = ACTIONS(5251),
    [anon_sym_LT_EQ_GT] = ACTIONS(5249),
    [anon_sym_or] = ACTIONS(5251),
    [anon_sym_and] = ACTIONS(5251),
    [anon_sym_bitor] = ACTIONS(5251),
    [anon_sym_xor] = ACTIONS(5251),
    [anon_sym_bitand] = ACTIONS(5251),
    [anon_sym_not_eq] = ACTIONS(5251),
    [anon_sym_DASH_DASH] = ACTIONS(5249),
    [anon_sym_PLUS_PLUS] = ACTIONS(5249),
    [anon_sym_DOT] = ACTIONS(5251),
    [anon_sym_DOT_STAR] = ACTIONS(5249),
    [anon_sym_DASH_GT] = ACTIONS(5249),
    [anon_sym_L_DQUOTE] = ACTIONS(6034),
    [anon_sym_u_DQUOTE] = ACTIONS(6034),
    [anon_sym_U_DQUOTE] = ACTIONS(6034),
    [anon_sym_u8_DQUOTE] = ACTIONS(6034),
    [anon_sym_DQUOTE] = ACTIONS(6034),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5249),
    [anon_sym_R_DQUOTE] = ACTIONS(6036),
    [anon_sym_LR_DQUOTE] = ACTIONS(6036),
    [anon_sym_uR_DQUOTE] = ACTIONS(6036),
    [anon_sym_UR_DQUOTE] = ACTIONS(6036),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6036),
    [sym_literal_suffix] = ACTIONS(5251),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(5530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5532),
    [anon_sym_COMMA] = ACTIONS(5532),
    [anon_sym_RPAREN] = ACTIONS(5532),
    [aux_sym_preproc_if_token2] = ACTIONS(5532),
    [aux_sym_preproc_else_token1] = ACTIONS(5532),
    [aux_sym_preproc_elif_token1] = ACTIONS(5530),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5532),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_SLASH] = ACTIONS(5530),
    [anon_sym_PERCENT] = ACTIONS(5530),
    [anon_sym_PIPE_PIPE] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5532),
    [anon_sym_PIPE] = ACTIONS(5530),
    [anon_sym_CARET] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(5530),
    [anon_sym_EQ_EQ] = ACTIONS(5532),
    [anon_sym_BANG_EQ] = ACTIONS(5532),
    [anon_sym_GT] = ACTIONS(5530),
    [anon_sym_GT_EQ] = ACTIONS(5532),
    [anon_sym_LT_EQ] = ACTIONS(5530),
    [anon_sym_LT] = ACTIONS(5530),
    [anon_sym_LT_LT] = ACTIONS(5530),
    [anon_sym_GT_GT] = ACTIONS(5530),
    [anon_sym_SEMI] = ACTIONS(5532),
    [anon_sym___attribute__] = ACTIONS(5530),
    [anon_sym___attribute] = ACTIONS(5530),
    [anon_sym_LBRACE] = ACTIONS(5532),
    [anon_sym_RBRACE] = ACTIONS(5532),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_RBRACK] = ACTIONS(5532),
    [anon_sym_EQ] = ACTIONS(5530),
    [anon_sym_COLON] = ACTIONS(5532),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_STAR_EQ] = ACTIONS(5532),
    [anon_sym_SLASH_EQ] = ACTIONS(5532),
    [anon_sym_PERCENT_EQ] = ACTIONS(5532),
    [anon_sym_PLUS_EQ] = ACTIONS(5532),
    [anon_sym_DASH_EQ] = ACTIONS(5532),
    [anon_sym_LT_LT_EQ] = ACTIONS(5532),
    [anon_sym_GT_GT_EQ] = ACTIONS(5532),
    [anon_sym_AMP_EQ] = ACTIONS(5532),
    [anon_sym_CARET_EQ] = ACTIONS(5532),
    [anon_sym_PIPE_EQ] = ACTIONS(5532),
    [anon_sym_and_eq] = ACTIONS(5530),
    [anon_sym_or_eq] = ACTIONS(5530),
    [anon_sym_xor_eq] = ACTIONS(5530),
    [anon_sym_LT_EQ_GT] = ACTIONS(5532),
    [anon_sym_or] = ACTIONS(5530),
    [anon_sym_and] = ACTIONS(5530),
    [anon_sym_bitor] = ACTIONS(5530),
    [anon_sym_xor] = ACTIONS(5530),
    [anon_sym_bitand] = ACTIONS(5530),
    [anon_sym_not_eq] = ACTIONS(5530),
    [anon_sym_DASH_DASH] = ACTIONS(5532),
    [anon_sym_PLUS_PLUS] = ACTIONS(5532),
    [anon_sym_DOT] = ACTIONS(5530),
    [anon_sym_DOT_STAR] = ACTIONS(5532),
    [anon_sym_DASH_GT] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5530),
    [anon_sym_decltype] = ACTIONS(5530),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(5549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_RPAREN] = ACTIONS(5551),
    [aux_sym_preproc_if_token2] = ACTIONS(5551),
    [aux_sym_preproc_else_token1] = ACTIONS(5551),
    [aux_sym_preproc_elif_token1] = ACTIONS(5549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5551),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5549),
    [anon_sym_PLUS] = ACTIONS(5549),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_SLASH] = ACTIONS(5549),
    [anon_sym_PERCENT] = ACTIONS(5549),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5549),
    [anon_sym_CARET] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5549),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5549),
    [anon_sym_LT] = ACTIONS(5549),
    [anon_sym_LT_LT] = ACTIONS(5549),
    [anon_sym_GT_GT] = ACTIONS(5549),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym___attribute] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_EQ] = ACTIONS(5549),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_STAR_EQ] = ACTIONS(5551),
    [anon_sym_SLASH_EQ] = ACTIONS(5551),
    [anon_sym_PERCENT_EQ] = ACTIONS(5551),
    [anon_sym_PLUS_EQ] = ACTIONS(5551),
    [anon_sym_DASH_EQ] = ACTIONS(5551),
    [anon_sym_LT_LT_EQ] = ACTIONS(5551),
    [anon_sym_GT_GT_EQ] = ACTIONS(5551),
    [anon_sym_AMP_EQ] = ACTIONS(5551),
    [anon_sym_CARET_EQ] = ACTIONS(5551),
    [anon_sym_PIPE_EQ] = ACTIONS(5551),
    [anon_sym_and_eq] = ACTIONS(5549),
    [anon_sym_or_eq] = ACTIONS(5549),
    [anon_sym_xor_eq] = ACTIONS(5549),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_bitor] = ACTIONS(5549),
    [anon_sym_xor] = ACTIONS(5549),
    [anon_sym_bitand] = ACTIONS(5549),
    [anon_sym_not_eq] = ACTIONS(5549),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5549),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
  },
  [2180] = {
    [sym_attribute_declaration] = STATE(2227),
    [aux_sym_attributed_declarator_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(6056),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6058),
    [anon_sym_COMMA] = ACTIONS(6058),
    [anon_sym_RPAREN] = ACTIONS(6058),
    [aux_sym_preproc_if_token2] = ACTIONS(6058),
    [aux_sym_preproc_else_token1] = ACTIONS(6058),
    [aux_sym_preproc_elif_token1] = ACTIONS(6056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6058),
    [anon_sym_LPAREN2] = ACTIONS(6058),
    [anon_sym_DASH] = ACTIONS(6056),
    [anon_sym_PLUS] = ACTIONS(6056),
    [anon_sym_STAR] = ACTIONS(6056),
    [anon_sym_SLASH] = ACTIONS(6056),
    [anon_sym_PERCENT] = ACTIONS(6056),
    [anon_sym_PIPE_PIPE] = ACTIONS(6058),
    [anon_sym_AMP_AMP] = ACTIONS(6058),
    [anon_sym_PIPE] = ACTIONS(6056),
    [anon_sym_CARET] = ACTIONS(6056),
    [anon_sym_AMP] = ACTIONS(6056),
    [anon_sym_EQ_EQ] = ACTIONS(6058),
    [anon_sym_BANG_EQ] = ACTIONS(6058),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6058),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_LT_LT] = ACTIONS(6056),
    [anon_sym_GT_GT] = ACTIONS(6056),
    [anon_sym_SEMI] = ACTIONS(6058),
    [anon_sym___attribute__] = ACTIONS(6056),
    [anon_sym___attribute] = ACTIONS(6056),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(6058),
    [anon_sym_LBRACK] = ACTIONS(6056),
    [anon_sym_RBRACK] = ACTIONS(6058),
    [anon_sym_EQ] = ACTIONS(6056),
    [anon_sym_COLON] = ACTIONS(6058),
    [anon_sym_QMARK] = ACTIONS(6058),
    [anon_sym_STAR_EQ] = ACTIONS(6058),
    [anon_sym_SLASH_EQ] = ACTIONS(6058),
    [anon_sym_PERCENT_EQ] = ACTIONS(6058),
    [anon_sym_PLUS_EQ] = ACTIONS(6058),
    [anon_sym_DASH_EQ] = ACTIONS(6058),
    [anon_sym_LT_LT_EQ] = ACTIONS(6058),
    [anon_sym_GT_GT_EQ] = ACTIONS(6058),
    [anon_sym_AMP_EQ] = ACTIONS(6058),
    [anon_sym_CARET_EQ] = ACTIONS(6058),
    [anon_sym_PIPE_EQ] = ACTIONS(6058),
    [anon_sym_and_eq] = ACTIONS(6056),
    [anon_sym_or_eq] = ACTIONS(6056),
    [anon_sym_xor_eq] = ACTIONS(6056),
    [anon_sym_LT_EQ_GT] = ACTIONS(6058),
    [anon_sym_or] = ACTIONS(6056),
    [anon_sym_and] = ACTIONS(6056),
    [anon_sym_bitor] = ACTIONS(6056),
    [anon_sym_xor] = ACTIONS(6056),
    [anon_sym_bitand] = ACTIONS(6056),
    [anon_sym_not_eq] = ACTIONS(6056),
    [anon_sym_DASH_DASH] = ACTIONS(6058),
    [anon_sym_PLUS_PLUS] = ACTIONS(6058),
    [anon_sym_DOT] = ACTIONS(6056),
    [anon_sym_DOT_STAR] = ACTIONS(6058),
    [anon_sym_DASH_GT] = ACTIONS(6058),
    [sym_comment] = ACTIONS(3),
  },
  [2181] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2193),
    [sym_identifier] = ACTIONS(5754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5752),
    [anon_sym_COMMA] = ACTIONS(5752),
    [aux_sym_preproc_if_token2] = ACTIONS(5752),
    [aux_sym_preproc_else_token1] = ACTIONS(5752),
    [aux_sym_preproc_elif_token1] = ACTIONS(5754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5752),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5752),
    [anon_sym_LPAREN2] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5754),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5754),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5754),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5752),
    [anon_sym_BANG_EQ] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5752),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5754),
    [anon_sym_GT_GT] = ACTIONS(5754),
    [anon_sym___attribute__] = ACTIONS(5754),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5752),
    [anon_sym_signed] = ACTIONS(6060),
    [anon_sym_unsigned] = ACTIONS(6060),
    [anon_sym_long] = ACTIONS(6060),
    [anon_sym_short] = ACTIONS(6060),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [anon_sym_EQ] = ACTIONS(5754),
    [anon_sym_QMARK] = ACTIONS(5752),
    [anon_sym_STAR_EQ] = ACTIONS(5752),
    [anon_sym_SLASH_EQ] = ACTIONS(5752),
    [anon_sym_PERCENT_EQ] = ACTIONS(5752),
    [anon_sym_PLUS_EQ] = ACTIONS(5752),
    [anon_sym_DASH_EQ] = ACTIONS(5752),
    [anon_sym_LT_LT_EQ] = ACTIONS(5752),
    [anon_sym_GT_GT_EQ] = ACTIONS(5752),
    [anon_sym_AMP_EQ] = ACTIONS(5752),
    [anon_sym_CARET_EQ] = ACTIONS(5752),
    [anon_sym_PIPE_EQ] = ACTIONS(5752),
    [anon_sym_and_eq] = ACTIONS(5754),
    [anon_sym_or_eq] = ACTIONS(5754),
    [anon_sym_xor_eq] = ACTIONS(5754),
    [anon_sym_LT_EQ_GT] = ACTIONS(5752),
    [anon_sym_or] = ACTIONS(5754),
    [anon_sym_and] = ACTIONS(5754),
    [anon_sym_bitor] = ACTIONS(5754),
    [anon_sym_xor] = ACTIONS(5754),
    [anon_sym_bitand] = ACTIONS(5754),
    [anon_sym_not_eq] = ACTIONS(5754),
    [anon_sym_DASH_DASH] = ACTIONS(5752),
    [anon_sym_PLUS_PLUS] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5752),
    [anon_sym_DASH_GT] = ACTIONS(5752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5754),
    [anon_sym_decltype] = ACTIONS(5754),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(6062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6064),
    [anon_sym_COMMA] = ACTIONS(6064),
    [anon_sym_RPAREN] = ACTIONS(6064),
    [aux_sym_preproc_if_token2] = ACTIONS(6064),
    [aux_sym_preproc_else_token1] = ACTIONS(6064),
    [aux_sym_preproc_elif_token1] = ACTIONS(6062),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6064),
    [anon_sym_LPAREN2] = ACTIONS(6064),
    [anon_sym_DASH] = ACTIONS(6062),
    [anon_sym_PLUS] = ACTIONS(6062),
    [anon_sym_STAR] = ACTIONS(6062),
    [anon_sym_SLASH] = ACTIONS(6062),
    [anon_sym_PERCENT] = ACTIONS(6062),
    [anon_sym_PIPE_PIPE] = ACTIONS(6064),
    [anon_sym_AMP_AMP] = ACTIONS(6064),
    [anon_sym_PIPE] = ACTIONS(6062),
    [anon_sym_CARET] = ACTIONS(6062),
    [anon_sym_AMP] = ACTIONS(6062),
    [anon_sym_EQ_EQ] = ACTIONS(6064),
    [anon_sym_BANG_EQ] = ACTIONS(6064),
    [anon_sym_GT] = ACTIONS(6062),
    [anon_sym_GT_EQ] = ACTIONS(6064),
    [anon_sym_LT_EQ] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6062),
    [anon_sym_LT_LT] = ACTIONS(6062),
    [anon_sym_GT_GT] = ACTIONS(6062),
    [anon_sym_SEMI] = ACTIONS(6064),
    [anon_sym___attribute__] = ACTIONS(6062),
    [anon_sym___attribute] = ACTIONS(6062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6064),
    [anon_sym_LBRACE] = ACTIONS(6064),
    [anon_sym_RBRACE] = ACTIONS(6064),
    [anon_sym_LBRACK] = ACTIONS(6062),
    [anon_sym_RBRACK] = ACTIONS(6064),
    [anon_sym_EQ] = ACTIONS(6062),
    [anon_sym_COLON] = ACTIONS(6064),
    [anon_sym_QMARK] = ACTIONS(6064),
    [anon_sym_STAR_EQ] = ACTIONS(6064),
    [anon_sym_SLASH_EQ] = ACTIONS(6064),
    [anon_sym_PERCENT_EQ] = ACTIONS(6064),
    [anon_sym_PLUS_EQ] = ACTIONS(6064),
    [anon_sym_DASH_EQ] = ACTIONS(6064),
    [anon_sym_LT_LT_EQ] = ACTIONS(6064),
    [anon_sym_GT_GT_EQ] = ACTIONS(6064),
    [anon_sym_AMP_EQ] = ACTIONS(6064),
    [anon_sym_CARET_EQ] = ACTIONS(6064),
    [anon_sym_PIPE_EQ] = ACTIONS(6064),
    [anon_sym_and_eq] = ACTIONS(6062),
    [anon_sym_or_eq] = ACTIONS(6062),
    [anon_sym_xor_eq] = ACTIONS(6062),
    [anon_sym_LT_EQ_GT] = ACTIONS(6064),
    [anon_sym_or] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(6062),
    [anon_sym_bitor] = ACTIONS(6062),
    [anon_sym_xor] = ACTIONS(6062),
    [anon_sym_bitand] = ACTIONS(6062),
    [anon_sym_not_eq] = ACTIONS(6062),
    [anon_sym_DASH_DASH] = ACTIONS(6064),
    [anon_sym_PLUS_PLUS] = ACTIONS(6064),
    [anon_sym_DOT] = ACTIONS(6062),
    [anon_sym_DOT_STAR] = ACTIONS(6064),
    [anon_sym_DASH_GT] = ACTIONS(6064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6062),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(6066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6068),
    [anon_sym_COMMA] = ACTIONS(6068),
    [anon_sym_RPAREN] = ACTIONS(6068),
    [aux_sym_preproc_if_token2] = ACTIONS(6068),
    [aux_sym_preproc_else_token1] = ACTIONS(6068),
    [aux_sym_preproc_elif_token1] = ACTIONS(6066),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6068),
    [anon_sym_LPAREN2] = ACTIONS(6068),
    [anon_sym_DASH] = ACTIONS(6066),
    [anon_sym_PLUS] = ACTIONS(6066),
    [anon_sym_STAR] = ACTIONS(6066),
    [anon_sym_SLASH] = ACTIONS(6066),
    [anon_sym_PERCENT] = ACTIONS(6066),
    [anon_sym_PIPE_PIPE] = ACTIONS(6068),
    [anon_sym_AMP_AMP] = ACTIONS(6068),
    [anon_sym_PIPE] = ACTIONS(6066),
    [anon_sym_CARET] = ACTIONS(6066),
    [anon_sym_AMP] = ACTIONS(6066),
    [anon_sym_EQ_EQ] = ACTIONS(6068),
    [anon_sym_BANG_EQ] = ACTIONS(6068),
    [anon_sym_GT] = ACTIONS(6066),
    [anon_sym_GT_EQ] = ACTIONS(6068),
    [anon_sym_LT_EQ] = ACTIONS(6066),
    [anon_sym_LT] = ACTIONS(6066),
    [anon_sym_LT_LT] = ACTIONS(6066),
    [anon_sym_GT_GT] = ACTIONS(6066),
    [anon_sym_SEMI] = ACTIONS(6068),
    [anon_sym___attribute__] = ACTIONS(6066),
    [anon_sym___attribute] = ACTIONS(6066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6068),
    [anon_sym_LBRACE] = ACTIONS(6068),
    [anon_sym_RBRACE] = ACTIONS(6068),
    [anon_sym_LBRACK] = ACTIONS(6066),
    [anon_sym_RBRACK] = ACTIONS(6068),
    [anon_sym_EQ] = ACTIONS(6066),
    [anon_sym_COLON] = ACTIONS(6068),
    [anon_sym_QMARK] = ACTIONS(6068),
    [anon_sym_STAR_EQ] = ACTIONS(6068),
    [anon_sym_SLASH_EQ] = ACTIONS(6068),
    [anon_sym_PERCENT_EQ] = ACTIONS(6068),
    [anon_sym_PLUS_EQ] = ACTIONS(6068),
    [anon_sym_DASH_EQ] = ACTIONS(6068),
    [anon_sym_LT_LT_EQ] = ACTIONS(6068),
    [anon_sym_GT_GT_EQ] = ACTIONS(6068),
    [anon_sym_AMP_EQ] = ACTIONS(6068),
    [anon_sym_CARET_EQ] = ACTIONS(6068),
    [anon_sym_PIPE_EQ] = ACTIONS(6068),
    [anon_sym_and_eq] = ACTIONS(6066),
    [anon_sym_or_eq] = ACTIONS(6066),
    [anon_sym_xor_eq] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6068),
    [anon_sym_or] = ACTIONS(6066),
    [anon_sym_and] = ACTIONS(6066),
    [anon_sym_bitor] = ACTIONS(6066),
    [anon_sym_xor] = ACTIONS(6066),
    [anon_sym_bitand] = ACTIONS(6066),
    [anon_sym_not_eq] = ACTIONS(6066),
    [anon_sym_DASH_DASH] = ACTIONS(6068),
    [anon_sym_PLUS_PLUS] = ACTIONS(6068),
    [anon_sym_DOT] = ACTIONS(6066),
    [anon_sym_DOT_STAR] = ACTIONS(6068),
    [anon_sym_DASH_GT] = ACTIONS(6068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6066),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(6070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6072),
    [anon_sym_COMMA] = ACTIONS(6072),
    [anon_sym_RPAREN] = ACTIONS(6072),
    [aux_sym_preproc_if_token2] = ACTIONS(6072),
    [aux_sym_preproc_else_token1] = ACTIONS(6072),
    [aux_sym_preproc_elif_token1] = ACTIONS(6070),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6072),
    [anon_sym_LPAREN2] = ACTIONS(6072),
    [anon_sym_DASH] = ACTIONS(6070),
    [anon_sym_PLUS] = ACTIONS(6070),
    [anon_sym_STAR] = ACTIONS(6070),
    [anon_sym_SLASH] = ACTIONS(6070),
    [anon_sym_PERCENT] = ACTIONS(6070),
    [anon_sym_PIPE_PIPE] = ACTIONS(6072),
    [anon_sym_AMP_AMP] = ACTIONS(6072),
    [anon_sym_PIPE] = ACTIONS(6070),
    [anon_sym_CARET] = ACTIONS(6070),
    [anon_sym_AMP] = ACTIONS(6070),
    [anon_sym_EQ_EQ] = ACTIONS(6072),
    [anon_sym_BANG_EQ] = ACTIONS(6072),
    [anon_sym_GT] = ACTIONS(6070),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_LT_EQ] = ACTIONS(6070),
    [anon_sym_LT] = ACTIONS(6070),
    [anon_sym_LT_LT] = ACTIONS(6070),
    [anon_sym_GT_GT] = ACTIONS(6070),
    [anon_sym_SEMI] = ACTIONS(6072),
    [anon_sym___attribute__] = ACTIONS(6070),
    [anon_sym___attribute] = ACTIONS(6070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6072),
    [anon_sym_LBRACE] = ACTIONS(6072),
    [anon_sym_RBRACE] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [anon_sym_RBRACK] = ACTIONS(6072),
    [anon_sym_EQ] = ACTIONS(6070),
    [anon_sym_COLON] = ACTIONS(6072),
    [anon_sym_QMARK] = ACTIONS(6072),
    [anon_sym_STAR_EQ] = ACTIONS(6072),
    [anon_sym_SLASH_EQ] = ACTIONS(6072),
    [anon_sym_PERCENT_EQ] = ACTIONS(6072),
    [anon_sym_PLUS_EQ] = ACTIONS(6072),
    [anon_sym_DASH_EQ] = ACTIONS(6072),
    [anon_sym_LT_LT_EQ] = ACTIONS(6072),
    [anon_sym_GT_GT_EQ] = ACTIONS(6072),
    [anon_sym_AMP_EQ] = ACTIONS(6072),
    [anon_sym_CARET_EQ] = ACTIONS(6072),
    [anon_sym_PIPE_EQ] = ACTIONS(6072),
    [anon_sym_and_eq] = ACTIONS(6070),
    [anon_sym_or_eq] = ACTIONS(6070),
    [anon_sym_xor_eq] = ACTIONS(6070),
    [anon_sym_LT_EQ_GT] = ACTIONS(6072),
    [anon_sym_or] = ACTIONS(6070),
    [anon_sym_and] = ACTIONS(6070),
    [anon_sym_bitor] = ACTIONS(6070),
    [anon_sym_xor] = ACTIONS(6070),
    [anon_sym_bitand] = ACTIONS(6070),
    [anon_sym_not_eq] = ACTIONS(6070),
    [anon_sym_DASH_DASH] = ACTIONS(6072),
    [anon_sym_PLUS_PLUS] = ACTIONS(6072),
    [anon_sym_DOT] = ACTIONS(6070),
    [anon_sym_DOT_STAR] = ACTIONS(6072),
    [anon_sym_DASH_GT] = ACTIONS(6072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6070),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(6074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6076),
    [anon_sym_COMMA] = ACTIONS(6076),
    [anon_sym_RPAREN] = ACTIONS(6076),
    [aux_sym_preproc_if_token2] = ACTIONS(6076),
    [aux_sym_preproc_else_token1] = ACTIONS(6076),
    [aux_sym_preproc_elif_token1] = ACTIONS(6074),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6076),
    [anon_sym_LPAREN2] = ACTIONS(6076),
    [anon_sym_DASH] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6074),
    [anon_sym_STAR] = ACTIONS(6074),
    [anon_sym_SLASH] = ACTIONS(6074),
    [anon_sym_PERCENT] = ACTIONS(6074),
    [anon_sym_PIPE_PIPE] = ACTIONS(6076),
    [anon_sym_AMP_AMP] = ACTIONS(6076),
    [anon_sym_PIPE] = ACTIONS(6074),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_AMP] = ACTIONS(6074),
    [anon_sym_EQ_EQ] = ACTIONS(6076),
    [anon_sym_BANG_EQ] = ACTIONS(6076),
    [anon_sym_GT] = ACTIONS(6074),
    [anon_sym_GT_EQ] = ACTIONS(6076),
    [anon_sym_LT_EQ] = ACTIONS(6074),
    [anon_sym_LT] = ACTIONS(6074),
    [anon_sym_LT_LT] = ACTIONS(6074),
    [anon_sym_GT_GT] = ACTIONS(6074),
    [anon_sym_SEMI] = ACTIONS(6076),
    [anon_sym___attribute__] = ACTIONS(6074),
    [anon_sym___attribute] = ACTIONS(6074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6076),
    [anon_sym_LBRACE] = ACTIONS(6076),
    [anon_sym_RBRACE] = ACTIONS(6076),
    [anon_sym_LBRACK] = ACTIONS(6074),
    [anon_sym_RBRACK] = ACTIONS(6076),
    [anon_sym_EQ] = ACTIONS(6074),
    [anon_sym_COLON] = ACTIONS(6076),
    [anon_sym_QMARK] = ACTIONS(6076),
    [anon_sym_STAR_EQ] = ACTIONS(6076),
    [anon_sym_SLASH_EQ] = ACTIONS(6076),
    [anon_sym_PERCENT_EQ] = ACTIONS(6076),
    [anon_sym_PLUS_EQ] = ACTIONS(6076),
    [anon_sym_DASH_EQ] = ACTIONS(6076),
    [anon_sym_LT_LT_EQ] = ACTIONS(6076),
    [anon_sym_GT_GT_EQ] = ACTIONS(6076),
    [anon_sym_AMP_EQ] = ACTIONS(6076),
    [anon_sym_CARET_EQ] = ACTIONS(6076),
    [anon_sym_PIPE_EQ] = ACTIONS(6076),
    [anon_sym_and_eq] = ACTIONS(6074),
    [anon_sym_or_eq] = ACTIONS(6074),
    [anon_sym_xor_eq] = ACTIONS(6074),
    [anon_sym_LT_EQ_GT] = ACTIONS(6076),
    [anon_sym_or] = ACTIONS(6074),
    [anon_sym_and] = ACTIONS(6074),
    [anon_sym_bitor] = ACTIONS(6074),
    [anon_sym_xor] = ACTIONS(6074),
    [anon_sym_bitand] = ACTIONS(6074),
    [anon_sym_not_eq] = ACTIONS(6074),
    [anon_sym_DASH_DASH] = ACTIONS(6076),
    [anon_sym_PLUS_PLUS] = ACTIONS(6076),
    [anon_sym_DOT] = ACTIONS(6074),
    [anon_sym_DOT_STAR] = ACTIONS(6076),
    [anon_sym_DASH_GT] = ACTIONS(6076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6074),
  },
  [2186] = {
    [sym_string_literal] = STATE(2206),
    [sym_raw_string_literal] = STATE(2206),
    [aux_sym_concatenated_string_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(6078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5257),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5257),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5255),
    [anon_sym_L_DQUOTE] = ACTIONS(6034),
    [anon_sym_u_DQUOTE] = ACTIONS(6034),
    [anon_sym_U_DQUOTE] = ACTIONS(6034),
    [anon_sym_u8_DQUOTE] = ACTIONS(6034),
    [anon_sym_DQUOTE] = ACTIONS(6034),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5255),
    [anon_sym_R_DQUOTE] = ACTIONS(6036),
    [anon_sym_LR_DQUOTE] = ACTIONS(6036),
    [anon_sym_uR_DQUOTE] = ACTIONS(6036),
    [anon_sym_UR_DQUOTE] = ACTIONS(6036),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6036),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [2187] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(5760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [aux_sym_preproc_if_token2] = ACTIONS(5758),
    [aux_sym_preproc_else_token1] = ACTIONS(5758),
    [aux_sym_preproc_elif_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___attribute] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_signed] = ACTIONS(6080),
    [anon_sym_unsigned] = ACTIONS(6080),
    [anon_sym_long] = ACTIONS(6080),
    [anon_sym_short] = ACTIONS(6080),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_EQ] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_STAR_EQ] = ACTIONS(5758),
    [anon_sym_SLASH_EQ] = ACTIONS(5758),
    [anon_sym_PERCENT_EQ] = ACTIONS(5758),
    [anon_sym_PLUS_EQ] = ACTIONS(5758),
    [anon_sym_DASH_EQ] = ACTIONS(5758),
    [anon_sym_LT_LT_EQ] = ACTIONS(5758),
    [anon_sym_GT_GT_EQ] = ACTIONS(5758),
    [anon_sym_AMP_EQ] = ACTIONS(5758),
    [anon_sym_CARET_EQ] = ACTIONS(5758),
    [anon_sym_PIPE_EQ] = ACTIONS(5758),
    [anon_sym_and_eq] = ACTIONS(5760),
    [anon_sym_or_eq] = ACTIONS(5760),
    [anon_sym_xor_eq] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5758),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5758),
    [anon_sym_PLUS_PLUS] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(5584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5586),
    [anon_sym_COMMA] = ACTIONS(5586),
    [anon_sym_RPAREN] = ACTIONS(5586),
    [aux_sym_preproc_if_token2] = ACTIONS(5586),
    [aux_sym_preproc_else_token1] = ACTIONS(5586),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5584),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5586),
    [anon_sym_PIPE] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5586),
    [anon_sym_BANG_EQ] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5586),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5584),
    [anon_sym___attribute] = ACTIONS(5584),
    [anon_sym_LBRACE] = ACTIONS(5586),
    [anon_sym_RBRACE] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5586),
    [anon_sym_RBRACK] = ACTIONS(5586),
    [anon_sym_EQ] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5586),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_STAR_EQ] = ACTIONS(5586),
    [anon_sym_SLASH_EQ] = ACTIONS(5586),
    [anon_sym_PERCENT_EQ] = ACTIONS(5586),
    [anon_sym_PLUS_EQ] = ACTIONS(5586),
    [anon_sym_DASH_EQ] = ACTIONS(5586),
    [anon_sym_LT_LT_EQ] = ACTIONS(5586),
    [anon_sym_GT_GT_EQ] = ACTIONS(5586),
    [anon_sym_AMP_EQ] = ACTIONS(5586),
    [anon_sym_CARET_EQ] = ACTIONS(5586),
    [anon_sym_PIPE_EQ] = ACTIONS(5586),
    [anon_sym_and_eq] = ACTIONS(5584),
    [anon_sym_or_eq] = ACTIONS(5584),
    [anon_sym_xor_eq] = ACTIONS(5584),
    [anon_sym_LT_EQ_GT] = ACTIONS(5586),
    [anon_sym_or] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_bitor] = ACTIONS(5584),
    [anon_sym_xor] = ACTIONS(5584),
    [anon_sym_bitand] = ACTIONS(5584),
    [anon_sym_not_eq] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5586),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_DOT_STAR] = ACTIONS(5586),
    [anon_sym_DASH_GT] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5584),
    [anon_sym_decltype] = ACTIONS(5584),
  },
  [2189] = {
    [sym_identifier] = ACTIONS(5553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [anon_sym_RPAREN] = ACTIONS(5555),
    [aux_sym_preproc_if_token2] = ACTIONS(5555),
    [aux_sym_preproc_else_token1] = ACTIONS(5555),
    [aux_sym_preproc_elif_token1] = ACTIONS(5553),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5555),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5553),
    [anon_sym_PLUS] = ACTIONS(5553),
    [anon_sym_STAR] = ACTIONS(5553),
    [anon_sym_SLASH] = ACTIONS(5553),
    [anon_sym_PERCENT] = ACTIONS(5553),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5553),
    [anon_sym_CARET] = ACTIONS(5553),
    [anon_sym_AMP] = ACTIONS(5553),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5553),
    [anon_sym_GT_EQ] = ACTIONS(5555),
    [anon_sym_LT_EQ] = ACTIONS(5553),
    [anon_sym_LT] = ACTIONS(5553),
    [anon_sym_LT_LT] = ACTIONS(5553),
    [anon_sym_GT_GT] = ACTIONS(5553),
    [anon_sym_SEMI] = ACTIONS(5555),
    [anon_sym___attribute__] = ACTIONS(5553),
    [anon_sym___attribute] = ACTIONS(5553),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_RBRACE] = ACTIONS(5555),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_RBRACK] = ACTIONS(5555),
    [anon_sym_EQ] = ACTIONS(5553),
    [anon_sym_COLON] = ACTIONS(5555),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_STAR_EQ] = ACTIONS(5555),
    [anon_sym_SLASH_EQ] = ACTIONS(5555),
    [anon_sym_PERCENT_EQ] = ACTIONS(5555),
    [anon_sym_PLUS_EQ] = ACTIONS(5555),
    [anon_sym_DASH_EQ] = ACTIONS(5555),
    [anon_sym_LT_LT_EQ] = ACTIONS(5555),
    [anon_sym_GT_GT_EQ] = ACTIONS(5555),
    [anon_sym_AMP_EQ] = ACTIONS(5555),
    [anon_sym_CARET_EQ] = ACTIONS(5555),
    [anon_sym_PIPE_EQ] = ACTIONS(5555),
    [anon_sym_and_eq] = ACTIONS(5553),
    [anon_sym_or_eq] = ACTIONS(5553),
    [anon_sym_xor_eq] = ACTIONS(5553),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5553),
    [anon_sym_and] = ACTIONS(5553),
    [anon_sym_bitor] = ACTIONS(5553),
    [anon_sym_xor] = ACTIONS(5553),
    [anon_sym_bitand] = ACTIONS(5553),
    [anon_sym_not_eq] = ACTIONS(5553),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5553),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5553),
    [anon_sym_decltype] = ACTIONS(5553),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5613),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5613),
    [anon_sym_GT_GT] = ACTIONS(5613),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym___attribute] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_EQ] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_STAR_EQ] = ACTIONS(5615),
    [anon_sym_SLASH_EQ] = ACTIONS(5615),
    [anon_sym_PERCENT_EQ] = ACTIONS(5615),
    [anon_sym_PLUS_EQ] = ACTIONS(5615),
    [anon_sym_DASH_EQ] = ACTIONS(5615),
    [anon_sym_LT_LT_EQ] = ACTIONS(5615),
    [anon_sym_GT_GT_EQ] = ACTIONS(5615),
    [anon_sym_AMP_EQ] = ACTIONS(5615),
    [anon_sym_CARET_EQ] = ACTIONS(5615),
    [anon_sym_PIPE_EQ] = ACTIONS(5615),
    [anon_sym_and_eq] = ACTIONS(5613),
    [anon_sym_or_eq] = ACTIONS(5613),
    [anon_sym_xor_eq] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(5617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5619),
    [anon_sym_COMMA] = ACTIONS(5619),
    [anon_sym_RPAREN] = ACTIONS(5619),
    [aux_sym_preproc_if_token2] = ACTIONS(5619),
    [aux_sym_preproc_else_token1] = ACTIONS(5619),
    [aux_sym_preproc_elif_token1] = ACTIONS(5617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5619),
    [anon_sym_DASH] = ACTIONS(5617),
    [anon_sym_PLUS] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_SLASH] = ACTIONS(5617),
    [anon_sym_PERCENT] = ACTIONS(5617),
    [anon_sym_PIPE_PIPE] = ACTIONS(5619),
    [anon_sym_AMP_AMP] = ACTIONS(5619),
    [anon_sym_PIPE] = ACTIONS(5617),
    [anon_sym_CARET] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5617),
    [anon_sym_EQ_EQ] = ACTIONS(5619),
    [anon_sym_BANG_EQ] = ACTIONS(5619),
    [anon_sym_GT] = ACTIONS(5617),
    [anon_sym_GT_EQ] = ACTIONS(5619),
    [anon_sym_LT_EQ] = ACTIONS(5617),
    [anon_sym_LT] = ACTIONS(5617),
    [anon_sym_LT_LT] = ACTIONS(5617),
    [anon_sym_GT_GT] = ACTIONS(5617),
    [anon_sym_SEMI] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5617),
    [anon_sym___attribute] = ACTIONS(5617),
    [anon_sym_LBRACE] = ACTIONS(5619),
    [anon_sym_RBRACE] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_RBRACK] = ACTIONS(5619),
    [anon_sym_EQ] = ACTIONS(5617),
    [anon_sym_COLON] = ACTIONS(5619),
    [anon_sym_QMARK] = ACTIONS(5619),
    [anon_sym_STAR_EQ] = ACTIONS(5619),
    [anon_sym_SLASH_EQ] = ACTIONS(5619),
    [anon_sym_PERCENT_EQ] = ACTIONS(5619),
    [anon_sym_PLUS_EQ] = ACTIONS(5619),
    [anon_sym_DASH_EQ] = ACTIONS(5619),
    [anon_sym_LT_LT_EQ] = ACTIONS(5619),
    [anon_sym_GT_GT_EQ] = ACTIONS(5619),
    [anon_sym_AMP_EQ] = ACTIONS(5619),
    [anon_sym_CARET_EQ] = ACTIONS(5619),
    [anon_sym_PIPE_EQ] = ACTIONS(5619),
    [anon_sym_and_eq] = ACTIONS(5617),
    [anon_sym_or_eq] = ACTIONS(5617),
    [anon_sym_xor_eq] = ACTIONS(5617),
    [anon_sym_LT_EQ_GT] = ACTIONS(5619),
    [anon_sym_or] = ACTIONS(5617),
    [anon_sym_and] = ACTIONS(5617),
    [anon_sym_bitor] = ACTIONS(5617),
    [anon_sym_xor] = ACTIONS(5617),
    [anon_sym_bitand] = ACTIONS(5617),
    [anon_sym_not_eq] = ACTIONS(5617),
    [anon_sym_DASH_DASH] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5619),
    [anon_sym_DOT] = ACTIONS(5617),
    [anon_sym_DOT_STAR] = ACTIONS(5619),
    [anon_sym_DASH_GT] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5617),
    [anon_sym_decltype] = ACTIONS(5617),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(5625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5627),
    [anon_sym_RPAREN] = ACTIONS(5627),
    [aux_sym_preproc_if_token2] = ACTIONS(5627),
    [aux_sym_preproc_else_token1] = ACTIONS(5627),
    [aux_sym_preproc_elif_token1] = ACTIONS(5625),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5627),
    [anon_sym_DASH] = ACTIONS(5625),
    [anon_sym_PLUS] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_SLASH] = ACTIONS(5625),
    [anon_sym_PERCENT] = ACTIONS(5625),
    [anon_sym_PIPE_PIPE] = ACTIONS(5627),
    [anon_sym_AMP_AMP] = ACTIONS(5627),
    [anon_sym_PIPE] = ACTIONS(5625),
    [anon_sym_CARET] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5625),
    [anon_sym_EQ_EQ] = ACTIONS(5627),
    [anon_sym_BANG_EQ] = ACTIONS(5627),
    [anon_sym_GT] = ACTIONS(5625),
    [anon_sym_GT_EQ] = ACTIONS(5627),
    [anon_sym_LT_EQ] = ACTIONS(5625),
    [anon_sym_LT] = ACTIONS(5625),
    [anon_sym_LT_LT] = ACTIONS(5625),
    [anon_sym_GT_GT] = ACTIONS(5625),
    [anon_sym_SEMI] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5625),
    [anon_sym___attribute] = ACTIONS(5625),
    [anon_sym_LBRACE] = ACTIONS(5627),
    [anon_sym_RBRACE] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_RBRACK] = ACTIONS(5627),
    [anon_sym_EQ] = ACTIONS(5625),
    [anon_sym_COLON] = ACTIONS(5627),
    [anon_sym_QMARK] = ACTIONS(5627),
    [anon_sym_STAR_EQ] = ACTIONS(5627),
    [anon_sym_SLASH_EQ] = ACTIONS(5627),
    [anon_sym_PERCENT_EQ] = ACTIONS(5627),
    [anon_sym_PLUS_EQ] = ACTIONS(5627),
    [anon_sym_DASH_EQ] = ACTIONS(5627),
    [anon_sym_LT_LT_EQ] = ACTIONS(5627),
    [anon_sym_GT_GT_EQ] = ACTIONS(5627),
    [anon_sym_AMP_EQ] = ACTIONS(5627),
    [anon_sym_CARET_EQ] = ACTIONS(5627),
    [anon_sym_PIPE_EQ] = ACTIONS(5627),
    [anon_sym_and_eq] = ACTIONS(5625),
    [anon_sym_or_eq] = ACTIONS(5625),
    [anon_sym_xor_eq] = ACTIONS(5625),
    [anon_sym_LT_EQ_GT] = ACTIONS(5627),
    [anon_sym_or] = ACTIONS(5625),
    [anon_sym_and] = ACTIONS(5625),
    [anon_sym_bitor] = ACTIONS(5625),
    [anon_sym_xor] = ACTIONS(5625),
    [anon_sym_bitand] = ACTIONS(5625),
    [anon_sym_not_eq] = ACTIONS(5625),
    [anon_sym_DASH_DASH] = ACTIONS(5627),
    [anon_sym_PLUS_PLUS] = ACTIONS(5627),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_DOT_STAR] = ACTIONS(5627),
    [anon_sym_DASH_GT] = ACTIONS(5627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5625),
    [anon_sym_decltype] = ACTIONS(5625),
  },
  [2193] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [aux_sym_preproc_if_token2] = ACTIONS(5766),
    [aux_sym_preproc_else_token1] = ACTIONS(5766),
    [aux_sym_preproc_elif_token1] = ACTIONS(5768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5766),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym___attribute__] = ACTIONS(5768),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(6038),
    [anon_sym_unsigned] = ACTIONS(6038),
    [anon_sym_long] = ACTIONS(6038),
    [anon_sym_short] = ACTIONS(6038),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_EQ] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_STAR_EQ] = ACTIONS(5766),
    [anon_sym_SLASH_EQ] = ACTIONS(5766),
    [anon_sym_PERCENT_EQ] = ACTIONS(5766),
    [anon_sym_PLUS_EQ] = ACTIONS(5766),
    [anon_sym_DASH_EQ] = ACTIONS(5766),
    [anon_sym_LT_LT_EQ] = ACTIONS(5766),
    [anon_sym_GT_GT_EQ] = ACTIONS(5766),
    [anon_sym_AMP_EQ] = ACTIONS(5766),
    [anon_sym_CARET_EQ] = ACTIONS(5766),
    [anon_sym_PIPE_EQ] = ACTIONS(5766),
    [anon_sym_and_eq] = ACTIONS(5768),
    [anon_sym_or_eq] = ACTIONS(5768),
    [anon_sym_xor_eq] = ACTIONS(5768),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5768),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5768),
    [anon_sym_not_eq] = ACTIONS(5768),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5768),
    [anon_sym_decltype] = ACTIONS(5768),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5372),
    [anon_sym_or_eq] = ACTIONS(5372),
    [anon_sym_xor_eq] = ACTIONS(5372),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5631),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_RPAREN] = ACTIONS(5631),
    [aux_sym_preproc_if_token2] = ACTIONS(5631),
    [aux_sym_preproc_else_token1] = ACTIONS(5631),
    [aux_sym_preproc_elif_token1] = ACTIONS(5629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5631),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5631),
    [anon_sym_DASH] = ACTIONS(5629),
    [anon_sym_PLUS] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_SLASH] = ACTIONS(5629),
    [anon_sym_PERCENT] = ACTIONS(5629),
    [anon_sym_PIPE_PIPE] = ACTIONS(5631),
    [anon_sym_AMP_AMP] = ACTIONS(5631),
    [anon_sym_PIPE] = ACTIONS(5629),
    [anon_sym_CARET] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5629),
    [anon_sym_EQ_EQ] = ACTIONS(5631),
    [anon_sym_BANG_EQ] = ACTIONS(5631),
    [anon_sym_GT] = ACTIONS(5629),
    [anon_sym_GT_EQ] = ACTIONS(5631),
    [anon_sym_LT_EQ] = ACTIONS(5629),
    [anon_sym_LT] = ACTIONS(5629),
    [anon_sym_LT_LT] = ACTIONS(5629),
    [anon_sym_GT_GT] = ACTIONS(5629),
    [anon_sym_SEMI] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5629),
    [anon_sym___attribute] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(5631),
    [anon_sym_RBRACE] = ACTIONS(5631),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_RBRACK] = ACTIONS(5631),
    [anon_sym_EQ] = ACTIONS(5629),
    [anon_sym_COLON] = ACTIONS(5631),
    [anon_sym_QMARK] = ACTIONS(5631),
    [anon_sym_STAR_EQ] = ACTIONS(5631),
    [anon_sym_SLASH_EQ] = ACTIONS(5631),
    [anon_sym_PERCENT_EQ] = ACTIONS(5631),
    [anon_sym_PLUS_EQ] = ACTIONS(5631),
    [anon_sym_DASH_EQ] = ACTIONS(5631),
    [anon_sym_LT_LT_EQ] = ACTIONS(5631),
    [anon_sym_GT_GT_EQ] = ACTIONS(5631),
    [anon_sym_AMP_EQ] = ACTIONS(5631),
    [anon_sym_CARET_EQ] = ACTIONS(5631),
    [anon_sym_PIPE_EQ] = ACTIONS(5631),
    [anon_sym_and_eq] = ACTIONS(5629),
    [anon_sym_or_eq] = ACTIONS(5629),
    [anon_sym_xor_eq] = ACTIONS(5629),
    [anon_sym_LT_EQ_GT] = ACTIONS(5631),
    [anon_sym_or] = ACTIONS(5629),
    [anon_sym_and] = ACTIONS(5629),
    [anon_sym_bitor] = ACTIONS(5629),
    [anon_sym_xor] = ACTIONS(5629),
    [anon_sym_bitand] = ACTIONS(5629),
    [anon_sym_not_eq] = ACTIONS(5629),
    [anon_sym_DASH_DASH] = ACTIONS(5631),
    [anon_sym_PLUS_PLUS] = ACTIONS(5631),
    [anon_sym_DOT] = ACTIONS(5629),
    [anon_sym_DOT_STAR] = ACTIONS(5631),
    [anon_sym_DASH_GT] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5629),
    [anon_sym_decltype] = ACTIONS(5629),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5635),
    [anon_sym_COMMA] = ACTIONS(5635),
    [anon_sym_RPAREN] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_else_token1] = ACTIONS(5635),
    [aux_sym_preproc_elif_token1] = ACTIONS(5633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5635),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5633),
    [anon_sym_PIPE_PIPE] = ACTIONS(5635),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5635),
    [anon_sym_BANG_EQ] = ACTIONS(5635),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5635),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5633),
    [anon_sym_GT_GT] = ACTIONS(5633),
    [anon_sym_SEMI] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym___attribute] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_EQ] = ACTIONS(5633),
    [anon_sym_COLON] = ACTIONS(5635),
    [anon_sym_QMARK] = ACTIONS(5635),
    [anon_sym_STAR_EQ] = ACTIONS(5635),
    [anon_sym_SLASH_EQ] = ACTIONS(5635),
    [anon_sym_PERCENT_EQ] = ACTIONS(5635),
    [anon_sym_PLUS_EQ] = ACTIONS(5635),
    [anon_sym_DASH_EQ] = ACTIONS(5635),
    [anon_sym_LT_LT_EQ] = ACTIONS(5635),
    [anon_sym_GT_GT_EQ] = ACTIONS(5635),
    [anon_sym_AMP_EQ] = ACTIONS(5635),
    [anon_sym_CARET_EQ] = ACTIONS(5635),
    [anon_sym_PIPE_EQ] = ACTIONS(5635),
    [anon_sym_and_eq] = ACTIONS(5633),
    [anon_sym_or_eq] = ACTIONS(5633),
    [anon_sym_xor_eq] = ACTIONS(5633),
    [anon_sym_LT_EQ_GT] = ACTIONS(5635),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5635),
    [anon_sym_PLUS_PLUS] = ACTIONS(5635),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5635),
    [anon_sym_DASH_GT] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(5637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5639),
    [anon_sym_COMMA] = ACTIONS(5639),
    [anon_sym_RPAREN] = ACTIONS(5639),
    [aux_sym_preproc_if_token2] = ACTIONS(5639),
    [aux_sym_preproc_else_token1] = ACTIONS(5639),
    [aux_sym_preproc_elif_token1] = ACTIONS(5637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5639),
    [anon_sym_LPAREN2] = ACTIONS(5639),
    [anon_sym_DASH] = ACTIONS(5637),
    [anon_sym_PLUS] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_SLASH] = ACTIONS(5637),
    [anon_sym_PERCENT] = ACTIONS(5637),
    [anon_sym_PIPE_PIPE] = ACTIONS(5639),
    [anon_sym_AMP_AMP] = ACTIONS(5639),
    [anon_sym_PIPE] = ACTIONS(5637),
    [anon_sym_CARET] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5637),
    [anon_sym_EQ_EQ] = ACTIONS(5639),
    [anon_sym_BANG_EQ] = ACTIONS(5639),
    [anon_sym_GT] = ACTIONS(5637),
    [anon_sym_GT_EQ] = ACTIONS(5639),
    [anon_sym_LT_EQ] = ACTIONS(5637),
    [anon_sym_LT] = ACTIONS(5637),
    [anon_sym_LT_LT] = ACTIONS(5637),
    [anon_sym_GT_GT] = ACTIONS(5637),
    [anon_sym_SEMI] = ACTIONS(5639),
    [anon_sym___attribute__] = ACTIONS(5637),
    [anon_sym___attribute] = ACTIONS(5637),
    [anon_sym_LBRACE] = ACTIONS(5639),
    [anon_sym_RBRACE] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5639),
    [anon_sym_RBRACK] = ACTIONS(5639),
    [anon_sym_EQ] = ACTIONS(5637),
    [anon_sym_COLON] = ACTIONS(5639),
    [anon_sym_QMARK] = ACTIONS(5639),
    [anon_sym_STAR_EQ] = ACTIONS(5639),
    [anon_sym_SLASH_EQ] = ACTIONS(5639),
    [anon_sym_PERCENT_EQ] = ACTIONS(5639),
    [anon_sym_PLUS_EQ] = ACTIONS(5639),
    [anon_sym_DASH_EQ] = ACTIONS(5639),
    [anon_sym_LT_LT_EQ] = ACTIONS(5639),
    [anon_sym_GT_GT_EQ] = ACTIONS(5639),
    [anon_sym_AMP_EQ] = ACTIONS(5639),
    [anon_sym_CARET_EQ] = ACTIONS(5639),
    [anon_sym_PIPE_EQ] = ACTIONS(5639),
    [anon_sym_and_eq] = ACTIONS(5637),
    [anon_sym_or_eq] = ACTIONS(5637),
    [anon_sym_xor_eq] = ACTIONS(5637),
    [anon_sym_LT_EQ_GT] = ACTIONS(5639),
    [anon_sym_or] = ACTIONS(5637),
    [anon_sym_and] = ACTIONS(5637),
    [anon_sym_bitor] = ACTIONS(5637),
    [anon_sym_xor] = ACTIONS(5637),
    [anon_sym_bitand] = ACTIONS(5637),
    [anon_sym_not_eq] = ACTIONS(5637),
    [anon_sym_DASH_DASH] = ACTIONS(5639),
    [anon_sym_PLUS_PLUS] = ACTIONS(5639),
    [anon_sym_DOT] = ACTIONS(5637),
    [anon_sym_DOT_STAR] = ACTIONS(5639),
    [anon_sym_DASH_GT] = ACTIONS(5639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5637),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(6082),
    [anon_sym_LPAREN2] = ACTIONS(6084),
    [anon_sym_TILDE] = ACTIONS(6084),
    [anon_sym_STAR] = ACTIONS(6084),
    [anon_sym_PIPE_PIPE] = ACTIONS(6084),
    [anon_sym_AMP_AMP] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6082),
    [anon_sym___extension__] = ACTIONS(6082),
    [anon_sym_virtual] = ACTIONS(6082),
    [anon_sym_extern] = ACTIONS(6082),
    [anon_sym___attribute__] = ACTIONS(6082),
    [anon_sym___attribute] = ACTIONS(6082),
    [anon_sym_COLON_COLON] = ACTIONS(6084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6084),
    [anon_sym___declspec] = ACTIONS(6082),
    [anon_sym___based] = ACTIONS(6082),
    [anon_sym___cdecl] = ACTIONS(6082),
    [anon_sym___clrcall] = ACTIONS(6082),
    [anon_sym___stdcall] = ACTIONS(6082),
    [anon_sym___fastcall] = ACTIONS(6082),
    [anon_sym___thiscall] = ACTIONS(6082),
    [anon_sym___vectorcall] = ACTIONS(6082),
    [anon_sym_signed] = ACTIONS(6082),
    [anon_sym_unsigned] = ACTIONS(6082),
    [anon_sym_long] = ACTIONS(6082),
    [anon_sym_short] = ACTIONS(6082),
    [anon_sym_LBRACK] = ACTIONS(6082),
    [anon_sym_static] = ACTIONS(6082),
    [anon_sym_register] = ACTIONS(6082),
    [anon_sym_inline] = ACTIONS(6082),
    [anon_sym___inline] = ACTIONS(6082),
    [anon_sym___inline__] = ACTIONS(6082),
    [anon_sym___forceinline] = ACTIONS(6082),
    [anon_sym_thread_local] = ACTIONS(6082),
    [anon_sym___thread] = ACTIONS(6082),
    [anon_sym_const] = ACTIONS(6082),
    [anon_sym_constexpr] = ACTIONS(6082),
    [anon_sym_volatile] = ACTIONS(6082),
    [anon_sym_restrict] = ACTIONS(6082),
    [anon_sym___restrict__] = ACTIONS(6082),
    [anon_sym__Atomic] = ACTIONS(6082),
    [anon_sym__Noreturn] = ACTIONS(6082),
    [anon_sym_noreturn] = ACTIONS(6082),
    [anon_sym__Nonnull] = ACTIONS(6082),
    [anon_sym_mutable] = ACTIONS(6082),
    [anon_sym_constinit] = ACTIONS(6082),
    [anon_sym_consteval] = ACTIONS(6082),
    [anon_sym_alignas] = ACTIONS(6082),
    [anon_sym__Alignas] = ACTIONS(6082),
    [sym_primitive_type] = ACTIONS(6082),
    [anon_sym_enum] = ACTIONS(6082),
    [anon_sym_class] = ACTIONS(6082),
    [anon_sym_struct] = ACTIONS(6082),
    [anon_sym_union] = ACTIONS(6082),
    [anon_sym_or] = ACTIONS(6082),
    [anon_sym_and] = ACTIONS(6050),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6082),
    [anon_sym_decltype] = ACTIONS(6082),
    [anon_sym_explicit] = ACTIONS(6082),
    [anon_sym_typename] = ACTIONS(6082),
    [anon_sym_template] = ACTIONS(6082),
    [anon_sym_operator] = ACTIONS(6082),
    [anon_sym_friend] = ACTIONS(6082),
    [anon_sym_using] = ACTIONS(6082),
    [anon_sym_concept] = ACTIONS(6082),
  },
  [2199] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5801),
    [anon_sym_COMMA] = ACTIONS(5801),
    [aux_sym_preproc_if_token2] = ACTIONS(5801),
    [aux_sym_preproc_else_token1] = ACTIONS(5801),
    [aux_sym_preproc_elif_token1] = ACTIONS(5803),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5801),
    [anon_sym_LPAREN2] = ACTIONS(5801),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_STAR] = ACTIONS(5803),
    [anon_sym_SLASH] = ACTIONS(5803),
    [anon_sym_PERCENT] = ACTIONS(5803),
    [anon_sym_PIPE_PIPE] = ACTIONS(5801),
    [anon_sym_AMP_AMP] = ACTIONS(5801),
    [anon_sym_PIPE] = ACTIONS(5803),
    [anon_sym_CARET] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(5803),
    [anon_sym_EQ_EQ] = ACTIONS(5801),
    [anon_sym_BANG_EQ] = ACTIONS(5801),
    [anon_sym_GT] = ACTIONS(5803),
    [anon_sym_GT_EQ] = ACTIONS(5801),
    [anon_sym_LT_EQ] = ACTIONS(5803),
    [anon_sym_LT] = ACTIONS(5803),
    [anon_sym_LT_LT] = ACTIONS(5803),
    [anon_sym_GT_GT] = ACTIONS(5803),
    [anon_sym___attribute__] = ACTIONS(5803),
    [anon_sym___attribute] = ACTIONS(5803),
    [anon_sym_LBRACE] = ACTIONS(5801),
    [anon_sym_signed] = ACTIONS(6038),
    [anon_sym_unsigned] = ACTIONS(6038),
    [anon_sym_long] = ACTIONS(6038),
    [anon_sym_short] = ACTIONS(6038),
    [anon_sym_LBRACK] = ACTIONS(5801),
    [anon_sym_EQ] = ACTIONS(5803),
    [anon_sym_QMARK] = ACTIONS(5801),
    [anon_sym_STAR_EQ] = ACTIONS(5801),
    [anon_sym_SLASH_EQ] = ACTIONS(5801),
    [anon_sym_PERCENT_EQ] = ACTIONS(5801),
    [anon_sym_PLUS_EQ] = ACTIONS(5801),
    [anon_sym_DASH_EQ] = ACTIONS(5801),
    [anon_sym_LT_LT_EQ] = ACTIONS(5801),
    [anon_sym_GT_GT_EQ] = ACTIONS(5801),
    [anon_sym_AMP_EQ] = ACTIONS(5801),
    [anon_sym_CARET_EQ] = ACTIONS(5801),
    [anon_sym_PIPE_EQ] = ACTIONS(5801),
    [anon_sym_and_eq] = ACTIONS(5803),
    [anon_sym_or_eq] = ACTIONS(5803),
    [anon_sym_xor_eq] = ACTIONS(5803),
    [anon_sym_LT_EQ_GT] = ACTIONS(5801),
    [anon_sym_or] = ACTIONS(5803),
    [anon_sym_and] = ACTIONS(5803),
    [anon_sym_bitor] = ACTIONS(5803),
    [anon_sym_xor] = ACTIONS(5803),
    [anon_sym_bitand] = ACTIONS(5803),
    [anon_sym_not_eq] = ACTIONS(5803),
    [anon_sym_DASH_DASH] = ACTIONS(5801),
    [anon_sym_PLUS_PLUS] = ACTIONS(5801),
    [anon_sym_DOT] = ACTIONS(5803),
    [anon_sym_DOT_STAR] = ACTIONS(5801),
    [anon_sym_DASH_GT] = ACTIONS(5801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5803),
    [anon_sym_decltype] = ACTIONS(5803),
  },
  [2200] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(5772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [aux_sym_preproc_if_token2] = ACTIONS(5770),
    [aux_sym_preproc_else_token1] = ACTIONS(5770),
    [aux_sym_preproc_elif_token1] = ACTIONS(5772),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_STAR] = ACTIONS(5772),
    [anon_sym_SLASH] = ACTIONS(5772),
    [anon_sym_PERCENT] = ACTIONS(5772),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5772),
    [anon_sym_CARET] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(5772),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5772),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5772),
    [anon_sym_LT] = ACTIONS(5772),
    [anon_sym_LT_LT] = ACTIONS(5772),
    [anon_sym_GT_GT] = ACTIONS(5772),
    [anon_sym___attribute__] = ACTIONS(5772),
    [anon_sym___attribute] = ACTIONS(5772),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6086),
    [anon_sym_unsigned] = ACTIONS(6086),
    [anon_sym_long] = ACTIONS(6086),
    [anon_sym_short] = ACTIONS(6086),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_EQ] = ACTIONS(5772),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_STAR_EQ] = ACTIONS(5770),
    [anon_sym_SLASH_EQ] = ACTIONS(5770),
    [anon_sym_PERCENT_EQ] = ACTIONS(5770),
    [anon_sym_PLUS_EQ] = ACTIONS(5770),
    [anon_sym_DASH_EQ] = ACTIONS(5770),
    [anon_sym_LT_LT_EQ] = ACTIONS(5770),
    [anon_sym_GT_GT_EQ] = ACTIONS(5770),
    [anon_sym_AMP_EQ] = ACTIONS(5770),
    [anon_sym_CARET_EQ] = ACTIONS(5770),
    [anon_sym_PIPE_EQ] = ACTIONS(5770),
    [anon_sym_and_eq] = ACTIONS(5772),
    [anon_sym_or_eq] = ACTIONS(5772),
    [anon_sym_xor_eq] = ACTIONS(5772),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5772),
    [anon_sym_and] = ACTIONS(5772),
    [anon_sym_bitor] = ACTIONS(5772),
    [anon_sym_xor] = ACTIONS(5772),
    [anon_sym_bitand] = ACTIONS(5772),
    [anon_sym_not_eq] = ACTIONS(5772),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5772),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5772),
    [anon_sym_decltype] = ACTIONS(5772),
  },
  [2201] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2217),
    [sym_identifier] = ACTIONS(5778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [aux_sym_preproc_if_token2] = ACTIONS(5776),
    [aux_sym_preproc_else_token1] = ACTIONS(5776),
    [aux_sym_preproc_elif_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5776),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5778),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5778),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5778),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5778),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(6088),
    [anon_sym_unsigned] = ACTIONS(6088),
    [anon_sym_long] = ACTIONS(6088),
    [anon_sym_short] = ACTIONS(6088),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_EQ] = ACTIONS(5778),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_STAR_EQ] = ACTIONS(5776),
    [anon_sym_SLASH_EQ] = ACTIONS(5776),
    [anon_sym_PERCENT_EQ] = ACTIONS(5776),
    [anon_sym_PLUS_EQ] = ACTIONS(5776),
    [anon_sym_DASH_EQ] = ACTIONS(5776),
    [anon_sym_LT_LT_EQ] = ACTIONS(5776),
    [anon_sym_GT_GT_EQ] = ACTIONS(5776),
    [anon_sym_AMP_EQ] = ACTIONS(5776),
    [anon_sym_CARET_EQ] = ACTIONS(5776),
    [anon_sym_PIPE_EQ] = ACTIONS(5776),
    [anon_sym_and_eq] = ACTIONS(5778),
    [anon_sym_or_eq] = ACTIONS(5778),
    [anon_sym_xor_eq] = ACTIONS(5778),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5778),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5778),
    [anon_sym_not_eq] = ACTIONS(5778),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5778),
    [anon_sym_decltype] = ACTIONS(5778),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(5512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5514),
    [anon_sym_COMMA] = ACTIONS(5514),
    [anon_sym_RPAREN] = ACTIONS(5514),
    [aux_sym_preproc_if_token2] = ACTIONS(5514),
    [aux_sym_preproc_else_token1] = ACTIONS(5514),
    [aux_sym_preproc_elif_token1] = ACTIONS(5512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_STAR] = ACTIONS(5512),
    [anon_sym_SLASH] = ACTIONS(5512),
    [anon_sym_PERCENT] = ACTIONS(5512),
    [anon_sym_PIPE_PIPE] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5514),
    [anon_sym_PIPE] = ACTIONS(5512),
    [anon_sym_CARET] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(5512),
    [anon_sym_EQ_EQ] = ACTIONS(5514),
    [anon_sym_BANG_EQ] = ACTIONS(5514),
    [anon_sym_GT] = ACTIONS(5512),
    [anon_sym_GT_EQ] = ACTIONS(5514),
    [anon_sym_LT_EQ] = ACTIONS(5512),
    [anon_sym_LT] = ACTIONS(5512),
    [anon_sym_LT_LT] = ACTIONS(5512),
    [anon_sym_GT_GT] = ACTIONS(5512),
    [anon_sym_SEMI] = ACTIONS(5514),
    [anon_sym___attribute__] = ACTIONS(5512),
    [anon_sym___attribute] = ACTIONS(5512),
    [anon_sym_LBRACE] = ACTIONS(5514),
    [anon_sym_RBRACE] = ACTIONS(5514),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_RBRACK] = ACTIONS(5514),
    [anon_sym_EQ] = ACTIONS(5512),
    [anon_sym_COLON] = ACTIONS(5514),
    [anon_sym_QMARK] = ACTIONS(5514),
    [anon_sym_STAR_EQ] = ACTIONS(5514),
    [anon_sym_SLASH_EQ] = ACTIONS(5514),
    [anon_sym_PERCENT_EQ] = ACTIONS(5514),
    [anon_sym_PLUS_EQ] = ACTIONS(5514),
    [anon_sym_DASH_EQ] = ACTIONS(5514),
    [anon_sym_LT_LT_EQ] = ACTIONS(5514),
    [anon_sym_GT_GT_EQ] = ACTIONS(5514),
    [anon_sym_AMP_EQ] = ACTIONS(5514),
    [anon_sym_CARET_EQ] = ACTIONS(5514),
    [anon_sym_PIPE_EQ] = ACTIONS(5514),
    [anon_sym_and_eq] = ACTIONS(5512),
    [anon_sym_or_eq] = ACTIONS(5512),
    [anon_sym_xor_eq] = ACTIONS(5512),
    [anon_sym_LT_EQ_GT] = ACTIONS(5514),
    [anon_sym_or] = ACTIONS(5512),
    [anon_sym_and] = ACTIONS(5512),
    [anon_sym_bitor] = ACTIONS(5512),
    [anon_sym_xor] = ACTIONS(5512),
    [anon_sym_bitand] = ACTIONS(5512),
    [anon_sym_not_eq] = ACTIONS(5512),
    [anon_sym_DASH_DASH] = ACTIONS(5514),
    [anon_sym_PLUS_PLUS] = ACTIONS(5514),
    [anon_sym_DOT] = ACTIONS(5512),
    [anon_sym_DOT_STAR] = ACTIONS(5514),
    [anon_sym_DASH_GT] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5512),
    [anon_sym_decltype] = ACTIONS(5512),
  },
  [2203] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5784),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [aux_sym_preproc_if_token2] = ACTIONS(5782),
    [aux_sym_preproc_else_token1] = ACTIONS(5782),
    [aux_sym_preproc_elif_token1] = ACTIONS(5784),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5782),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym___attribute__] = ACTIONS(5784),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_signed] = ACTIONS(6038),
    [anon_sym_unsigned] = ACTIONS(6038),
    [anon_sym_long] = ACTIONS(6038),
    [anon_sym_short] = ACTIONS(6038),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_EQ] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_STAR_EQ] = ACTIONS(5782),
    [anon_sym_SLASH_EQ] = ACTIONS(5782),
    [anon_sym_PERCENT_EQ] = ACTIONS(5782),
    [anon_sym_PLUS_EQ] = ACTIONS(5782),
    [anon_sym_DASH_EQ] = ACTIONS(5782),
    [anon_sym_LT_LT_EQ] = ACTIONS(5782),
    [anon_sym_GT_GT_EQ] = ACTIONS(5782),
    [anon_sym_AMP_EQ] = ACTIONS(5782),
    [anon_sym_CARET_EQ] = ACTIONS(5782),
    [anon_sym_PIPE_EQ] = ACTIONS(5782),
    [anon_sym_and_eq] = ACTIONS(5784),
    [anon_sym_or_eq] = ACTIONS(5784),
    [anon_sym_xor_eq] = ACTIONS(5784),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5784),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5784),
    [anon_sym_not_eq] = ACTIONS(5784),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5784),
    [anon_sym_decltype] = ACTIONS(5784),
  },
  [2204] = {
    [sym_identifier] = ACTIONS(5652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5654),
    [anon_sym_COMMA] = ACTIONS(5654),
    [anon_sym_RPAREN] = ACTIONS(5654),
    [aux_sym_preproc_if_token2] = ACTIONS(5654),
    [aux_sym_preproc_else_token1] = ACTIONS(5654),
    [aux_sym_preproc_elif_token1] = ACTIONS(5652),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5654),
    [anon_sym_LPAREN2] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5652),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5654),
    [anon_sym_AMP_AMP] = ACTIONS(5654),
    [anon_sym_PIPE] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5654),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5652),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_SEMI] = ACTIONS(5654),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym___attribute] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(5654),
    [anon_sym_RBRACE] = ACTIONS(5654),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym_RBRACK] = ACTIONS(5654),
    [anon_sym_EQ] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_STAR_EQ] = ACTIONS(5654),
    [anon_sym_SLASH_EQ] = ACTIONS(5654),
    [anon_sym_PERCENT_EQ] = ACTIONS(5654),
    [anon_sym_PLUS_EQ] = ACTIONS(5654),
    [anon_sym_DASH_EQ] = ACTIONS(5654),
    [anon_sym_LT_LT_EQ] = ACTIONS(5654),
    [anon_sym_GT_GT_EQ] = ACTIONS(5654),
    [anon_sym_AMP_EQ] = ACTIONS(5654),
    [anon_sym_CARET_EQ] = ACTIONS(5654),
    [anon_sym_PIPE_EQ] = ACTIONS(5654),
    [anon_sym_and_eq] = ACTIONS(5652),
    [anon_sym_or_eq] = ACTIONS(5652),
    [anon_sym_xor_eq] = ACTIONS(5652),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5654),
    [anon_sym_DOT] = ACTIONS(5652),
    [anon_sym_DOT_STAR] = ACTIONS(5654),
    [anon_sym_DASH_GT] = ACTIONS(5654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(5656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5658),
    [anon_sym_COMMA] = ACTIONS(5658),
    [anon_sym_RPAREN] = ACTIONS(5658),
    [aux_sym_preproc_if_token2] = ACTIONS(5658),
    [aux_sym_preproc_else_token1] = ACTIONS(5658),
    [aux_sym_preproc_elif_token1] = ACTIONS(5656),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5658),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5658),
    [anon_sym_LPAREN2] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5656),
    [anon_sym_STAR] = ACTIONS(5656),
    [anon_sym_SLASH] = ACTIONS(5656),
    [anon_sym_PERCENT] = ACTIONS(5656),
    [anon_sym_PIPE_PIPE] = ACTIONS(5658),
    [anon_sym_AMP_AMP] = ACTIONS(5658),
    [anon_sym_PIPE] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5656),
    [anon_sym_AMP] = ACTIONS(5656),
    [anon_sym_EQ_EQ] = ACTIONS(5658),
    [anon_sym_BANG_EQ] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5656),
    [anon_sym_GT_EQ] = ACTIONS(5658),
    [anon_sym_LT_EQ] = ACTIONS(5656),
    [anon_sym_LT] = ACTIONS(5656),
    [anon_sym_LT_LT] = ACTIONS(5656),
    [anon_sym_GT_GT] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(5658),
    [anon_sym___attribute__] = ACTIONS(5656),
    [anon_sym___attribute] = ACTIONS(5656),
    [anon_sym_LBRACE] = ACTIONS(5658),
    [anon_sym_RBRACE] = ACTIONS(5658),
    [anon_sym_LBRACK] = ACTIONS(5658),
    [anon_sym_RBRACK] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_STAR_EQ] = ACTIONS(5658),
    [anon_sym_SLASH_EQ] = ACTIONS(5658),
    [anon_sym_PERCENT_EQ] = ACTIONS(5658),
    [anon_sym_PLUS_EQ] = ACTIONS(5658),
    [anon_sym_DASH_EQ] = ACTIONS(5658),
    [anon_sym_LT_LT_EQ] = ACTIONS(5658),
    [anon_sym_GT_GT_EQ] = ACTIONS(5658),
    [anon_sym_AMP_EQ] = ACTIONS(5658),
    [anon_sym_CARET_EQ] = ACTIONS(5658),
    [anon_sym_PIPE_EQ] = ACTIONS(5658),
    [anon_sym_and_eq] = ACTIONS(5656),
    [anon_sym_or_eq] = ACTIONS(5656),
    [anon_sym_xor_eq] = ACTIONS(5656),
    [anon_sym_LT_EQ_GT] = ACTIONS(5658),
    [anon_sym_or] = ACTIONS(5656),
    [anon_sym_and] = ACTIONS(5656),
    [anon_sym_bitor] = ACTIONS(5656),
    [anon_sym_xor] = ACTIONS(5656),
    [anon_sym_bitand] = ACTIONS(5656),
    [anon_sym_not_eq] = ACTIONS(5656),
    [anon_sym_DASH_DASH] = ACTIONS(5658),
    [anon_sym_PLUS_PLUS] = ACTIONS(5658),
    [anon_sym_DOT] = ACTIONS(5656),
    [anon_sym_DOT_STAR] = ACTIONS(5658),
    [anon_sym_DASH_GT] = ACTIONS(5658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5656),
    [anon_sym_decltype] = ACTIONS(5656),
  },
  [2206] = {
    [sym_string_literal] = STATE(2206),
    [sym_raw_string_literal] = STATE(2206),
    [aux_sym_concatenated_string_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(6090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5266),
    [anon_sym_COMMA] = ACTIONS(5266),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5268),
    [anon_sym_STAR] = ACTIONS(5268),
    [anon_sym_SLASH] = ACTIONS(5268),
    [anon_sym_PERCENT] = ACTIONS(5268),
    [anon_sym_PIPE_PIPE] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_PIPE] = ACTIONS(5268),
    [anon_sym_CARET] = ACTIONS(5268),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_EQ_EQ] = ACTIONS(5266),
    [anon_sym_BANG_EQ] = ACTIONS(5266),
    [anon_sym_GT] = ACTIONS(5268),
    [anon_sym_GT_EQ] = ACTIONS(5268),
    [anon_sym_LT_EQ] = ACTIONS(5268),
    [anon_sym_LT] = ACTIONS(5268),
    [anon_sym_LT_LT] = ACTIONS(5268),
    [anon_sym_GT_GT] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [anon_sym_EQ] = ACTIONS(5268),
    [anon_sym_QMARK] = ACTIONS(5266),
    [anon_sym_STAR_EQ] = ACTIONS(5266),
    [anon_sym_SLASH_EQ] = ACTIONS(5266),
    [anon_sym_PERCENT_EQ] = ACTIONS(5266),
    [anon_sym_PLUS_EQ] = ACTIONS(5266),
    [anon_sym_DASH_EQ] = ACTIONS(5266),
    [anon_sym_LT_LT_EQ] = ACTIONS(5266),
    [anon_sym_GT_GT_EQ] = ACTIONS(5268),
    [anon_sym_AMP_EQ] = ACTIONS(5266),
    [anon_sym_CARET_EQ] = ACTIONS(5266),
    [anon_sym_PIPE_EQ] = ACTIONS(5266),
    [anon_sym_and_eq] = ACTIONS(5268),
    [anon_sym_or_eq] = ACTIONS(5268),
    [anon_sym_xor_eq] = ACTIONS(5268),
    [anon_sym_LT_EQ_GT] = ACTIONS(5266),
    [anon_sym_or] = ACTIONS(5268),
    [anon_sym_and] = ACTIONS(5268),
    [anon_sym_bitor] = ACTIONS(5268),
    [anon_sym_xor] = ACTIONS(5268),
    [anon_sym_bitand] = ACTIONS(5268),
    [anon_sym_not_eq] = ACTIONS(5268),
    [anon_sym_DASH_DASH] = ACTIONS(5266),
    [anon_sym_PLUS_PLUS] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_DOT_STAR] = ACTIONS(5266),
    [anon_sym_DASH_GT] = ACTIONS(5266),
    [anon_sym_L_DQUOTE] = ACTIONS(6093),
    [anon_sym_u_DQUOTE] = ACTIONS(6093),
    [anon_sym_U_DQUOTE] = ACTIONS(6093),
    [anon_sym_u8_DQUOTE] = ACTIONS(6093),
    [anon_sym_DQUOTE] = ACTIONS(6093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5266),
    [anon_sym_R_DQUOTE] = ACTIONS(6096),
    [anon_sym_LR_DQUOTE] = ACTIONS(6096),
    [anon_sym_uR_DQUOTE] = ACTIONS(6096),
    [anon_sym_UR_DQUOTE] = ACTIONS(6096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6096),
    [sym_literal_suffix] = ACTIONS(5268),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [aux_sym_preproc_if_token2] = ACTIONS(6101),
    [aux_sym_preproc_else_token1] = ACTIONS(6101),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6099),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6099),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6099),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6099),
    [anon_sym_GT_GT] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___attribute__] = ACTIONS(6099),
    [anon_sym___attribute] = ACTIONS(6099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6101),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_LBRACK] = ACTIONS(6099),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_EQ] = ACTIONS(6099),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_STAR_EQ] = ACTIONS(6101),
    [anon_sym_SLASH_EQ] = ACTIONS(6101),
    [anon_sym_PERCENT_EQ] = ACTIONS(6101),
    [anon_sym_PLUS_EQ] = ACTIONS(6101),
    [anon_sym_DASH_EQ] = ACTIONS(6101),
    [anon_sym_LT_LT_EQ] = ACTIONS(6101),
    [anon_sym_GT_GT_EQ] = ACTIONS(6101),
    [anon_sym_AMP_EQ] = ACTIONS(6101),
    [anon_sym_CARET_EQ] = ACTIONS(6101),
    [anon_sym_PIPE_EQ] = ACTIONS(6101),
    [anon_sym_and_eq] = ACTIONS(6099),
    [anon_sym_or_eq] = ACTIONS(6099),
    [anon_sym_xor_eq] = ACTIONS(6099),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6099),
    [anon_sym_and] = ACTIONS(6099),
    [anon_sym_bitor] = ACTIONS(6099),
    [anon_sym_xor] = ACTIONS(6099),
    [anon_sym_bitand] = ACTIONS(6099),
    [anon_sym_not_eq] = ACTIONS(6099),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6099),
  },
  [2208] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2169),
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5631),
    [anon_sym_COMMA] = ACTIONS(5631),
    [aux_sym_preproc_if_token2] = ACTIONS(5631),
    [aux_sym_preproc_else_token1] = ACTIONS(5631),
    [aux_sym_preproc_elif_token1] = ACTIONS(5629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5631),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5631),
    [anon_sym_DASH] = ACTIONS(5629),
    [anon_sym_PLUS] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_SLASH] = ACTIONS(5629),
    [anon_sym_PERCENT] = ACTIONS(5629),
    [anon_sym_PIPE_PIPE] = ACTIONS(5631),
    [anon_sym_AMP_AMP] = ACTIONS(5631),
    [anon_sym_PIPE] = ACTIONS(5629),
    [anon_sym_CARET] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5629),
    [anon_sym_EQ_EQ] = ACTIONS(5631),
    [anon_sym_BANG_EQ] = ACTIONS(5631),
    [anon_sym_GT] = ACTIONS(5629),
    [anon_sym_GT_EQ] = ACTIONS(5631),
    [anon_sym_LT_EQ] = ACTIONS(5629),
    [anon_sym_LT] = ACTIONS(5629),
    [anon_sym_LT_LT] = ACTIONS(5629),
    [anon_sym_GT_GT] = ACTIONS(5629),
    [anon_sym___attribute__] = ACTIONS(5629),
    [anon_sym___attribute] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(5631),
    [anon_sym_signed] = ACTIONS(6103),
    [anon_sym_unsigned] = ACTIONS(6103),
    [anon_sym_long] = ACTIONS(6103),
    [anon_sym_short] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_EQ] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5631),
    [anon_sym_STAR_EQ] = ACTIONS(5631),
    [anon_sym_SLASH_EQ] = ACTIONS(5631),
    [anon_sym_PERCENT_EQ] = ACTIONS(5631),
    [anon_sym_PLUS_EQ] = ACTIONS(5631),
    [anon_sym_DASH_EQ] = ACTIONS(5631),
    [anon_sym_LT_LT_EQ] = ACTIONS(5631),
    [anon_sym_GT_GT_EQ] = ACTIONS(5631),
    [anon_sym_AMP_EQ] = ACTIONS(5631),
    [anon_sym_CARET_EQ] = ACTIONS(5631),
    [anon_sym_PIPE_EQ] = ACTIONS(5631),
    [anon_sym_and_eq] = ACTIONS(5629),
    [anon_sym_or_eq] = ACTIONS(5629),
    [anon_sym_xor_eq] = ACTIONS(5629),
    [anon_sym_LT_EQ_GT] = ACTIONS(5631),
    [anon_sym_or] = ACTIONS(5629),
    [anon_sym_and] = ACTIONS(5629),
    [anon_sym_bitor] = ACTIONS(5629),
    [anon_sym_xor] = ACTIONS(5629),
    [anon_sym_bitand] = ACTIONS(5629),
    [anon_sym_not_eq] = ACTIONS(5629),
    [anon_sym_DASH_DASH] = ACTIONS(5631),
    [anon_sym_PLUS_PLUS] = ACTIONS(5631),
    [anon_sym_DOT] = ACTIONS(5629),
    [anon_sym_DOT_STAR] = ACTIONS(5631),
    [anon_sym_DASH_GT] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5629),
    [anon_sym_decltype] = ACTIONS(5629),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2522),
    [anon_sym_PIPE_PIPE] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2532),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2522),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_LT_EQ] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_LT_LT] = ACTIONS(2522),
    [anon_sym_GT_GT] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_bitor] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_bitand] = ACTIONS(2532),
    [anon_sym_not_eq] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DOT] = ACTIONS(2532),
    [anon_sym_DOT_STAR] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_final] = ACTIONS(2532),
    [anon_sym_override] = ACTIONS(2532),
    [anon_sym_GT2] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2532),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(5660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5662),
    [anon_sym_COMMA] = ACTIONS(5662),
    [anon_sym_RPAREN] = ACTIONS(5662),
    [aux_sym_preproc_if_token2] = ACTIONS(5662),
    [aux_sym_preproc_else_token1] = ACTIONS(5662),
    [aux_sym_preproc_elif_token1] = ACTIONS(5660),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5660),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5660),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5662),
    [anon_sym_AMP_AMP] = ACTIONS(5662),
    [anon_sym_PIPE] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_AMP] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5662),
    [anon_sym_BANG_EQ] = ACTIONS(5662),
    [anon_sym_GT] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5662),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5660),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5660),
    [anon_sym_SEMI] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5660),
    [anon_sym___attribute] = ACTIONS(5660),
    [anon_sym_LBRACE] = ACTIONS(5662),
    [anon_sym_RBRACE] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5662),
    [anon_sym_RBRACK] = ACTIONS(5662),
    [anon_sym_EQ] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5662),
    [anon_sym_QMARK] = ACTIONS(5662),
    [anon_sym_STAR_EQ] = ACTIONS(5662),
    [anon_sym_SLASH_EQ] = ACTIONS(5662),
    [anon_sym_PERCENT_EQ] = ACTIONS(5662),
    [anon_sym_PLUS_EQ] = ACTIONS(5662),
    [anon_sym_DASH_EQ] = ACTIONS(5662),
    [anon_sym_LT_LT_EQ] = ACTIONS(5662),
    [anon_sym_GT_GT_EQ] = ACTIONS(5662),
    [anon_sym_AMP_EQ] = ACTIONS(5662),
    [anon_sym_CARET_EQ] = ACTIONS(5662),
    [anon_sym_PIPE_EQ] = ACTIONS(5662),
    [anon_sym_and_eq] = ACTIONS(5660),
    [anon_sym_or_eq] = ACTIONS(5660),
    [anon_sym_xor_eq] = ACTIONS(5660),
    [anon_sym_LT_EQ_GT] = ACTIONS(5662),
    [anon_sym_or] = ACTIONS(5660),
    [anon_sym_and] = ACTIONS(5660),
    [anon_sym_bitor] = ACTIONS(5660),
    [anon_sym_xor] = ACTIONS(5660),
    [anon_sym_bitand] = ACTIONS(5660),
    [anon_sym_not_eq] = ACTIONS(5660),
    [anon_sym_DASH_DASH] = ACTIONS(5662),
    [anon_sym_PLUS_PLUS] = ACTIONS(5662),
    [anon_sym_DOT] = ACTIONS(5660),
    [anon_sym_DOT_STAR] = ACTIONS(5662),
    [anon_sym_DASH_GT] = ACTIONS(5662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5660),
    [anon_sym_decltype] = ACTIONS(5660),
  },
  [2211] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [aux_sym_preproc_if_token2] = ACTIONS(4931),
    [aux_sym_preproc_else_token1] = ACTIONS(4931),
    [aux_sym_preproc_elif_token1] = ACTIONS(4929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4931),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym___attribute] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4931),
    [anon_sym_signed] = ACTIONS(6105),
    [anon_sym_unsigned] = ACTIONS(6105),
    [anon_sym_long] = ACTIONS(6105),
    [anon_sym_short] = ACTIONS(6105),
    [anon_sym_LBRACK] = ACTIONS(4931),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4929),
    [anon_sym_or_eq] = ACTIONS(4929),
    [anon_sym_xor_eq] = ACTIONS(4929),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5654),
    [anon_sym_COMMA] = ACTIONS(5654),
    [anon_sym_RPAREN] = ACTIONS(5654),
    [aux_sym_preproc_if_token2] = ACTIONS(5654),
    [aux_sym_preproc_else_token1] = ACTIONS(5654),
    [aux_sym_preproc_elif_token1] = ACTIONS(5652),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5654),
    [anon_sym_LPAREN2] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5652),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5654),
    [anon_sym_AMP_AMP] = ACTIONS(5654),
    [anon_sym_PIPE] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5654),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5652),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_SEMI] = ACTIONS(5654),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym___attribute] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(5654),
    [anon_sym_RBRACE] = ACTIONS(5654),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym_RBRACK] = ACTIONS(5654),
    [anon_sym_EQ] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_STAR_EQ] = ACTIONS(5654),
    [anon_sym_SLASH_EQ] = ACTIONS(5654),
    [anon_sym_PERCENT_EQ] = ACTIONS(5654),
    [anon_sym_PLUS_EQ] = ACTIONS(5654),
    [anon_sym_DASH_EQ] = ACTIONS(5654),
    [anon_sym_LT_LT_EQ] = ACTIONS(5654),
    [anon_sym_GT_GT_EQ] = ACTIONS(5654),
    [anon_sym_AMP_EQ] = ACTIONS(5654),
    [anon_sym_CARET_EQ] = ACTIONS(5654),
    [anon_sym_PIPE_EQ] = ACTIONS(5654),
    [anon_sym_and_eq] = ACTIONS(5652),
    [anon_sym_or_eq] = ACTIONS(5652),
    [anon_sym_xor_eq] = ACTIONS(5652),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5654),
    [anon_sym_DOT] = ACTIONS(5652),
    [anon_sym_DOT_STAR] = ACTIONS(5654),
    [anon_sym_DASH_GT] = ACTIONS(5654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [aux_sym_preproc_if_token2] = ACTIONS(5559),
    [aux_sym_preproc_else_token1] = ACTIONS(5559),
    [aux_sym_preproc_elif_token1] = ACTIONS(5557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5559),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5559),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_RBRACE] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_EQ] = ACTIONS(5557),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_STAR_EQ] = ACTIONS(5559),
    [anon_sym_SLASH_EQ] = ACTIONS(5559),
    [anon_sym_PERCENT_EQ] = ACTIONS(5559),
    [anon_sym_PLUS_EQ] = ACTIONS(5559),
    [anon_sym_DASH_EQ] = ACTIONS(5559),
    [anon_sym_LT_LT_EQ] = ACTIONS(5559),
    [anon_sym_GT_GT_EQ] = ACTIONS(5559),
    [anon_sym_AMP_EQ] = ACTIONS(5559),
    [anon_sym_CARET_EQ] = ACTIONS(5559),
    [anon_sym_PIPE_EQ] = ACTIONS(5559),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
  },
  [2214] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [aux_sym_preproc_if_token2] = ACTIONS(5786),
    [aux_sym_preproc_else_token1] = ACTIONS(5786),
    [aux_sym_preproc_elif_token1] = ACTIONS(5788),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_STAR] = ACTIONS(5788),
    [anon_sym_SLASH] = ACTIONS(5788),
    [anon_sym_PERCENT] = ACTIONS(5788),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5788),
    [anon_sym_CARET] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(5788),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5788),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5788),
    [anon_sym_LT] = ACTIONS(5788),
    [anon_sym_LT_LT] = ACTIONS(5788),
    [anon_sym_GT_GT] = ACTIONS(5788),
    [anon_sym___attribute__] = ACTIONS(5788),
    [anon_sym___attribute] = ACTIONS(5788),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6038),
    [anon_sym_unsigned] = ACTIONS(6038),
    [anon_sym_long] = ACTIONS(6038),
    [anon_sym_short] = ACTIONS(6038),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_EQ] = ACTIONS(5788),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_STAR_EQ] = ACTIONS(5786),
    [anon_sym_SLASH_EQ] = ACTIONS(5786),
    [anon_sym_PERCENT_EQ] = ACTIONS(5786),
    [anon_sym_PLUS_EQ] = ACTIONS(5786),
    [anon_sym_DASH_EQ] = ACTIONS(5786),
    [anon_sym_LT_LT_EQ] = ACTIONS(5786),
    [anon_sym_GT_GT_EQ] = ACTIONS(5786),
    [anon_sym_AMP_EQ] = ACTIONS(5786),
    [anon_sym_CARET_EQ] = ACTIONS(5786),
    [anon_sym_PIPE_EQ] = ACTIONS(5786),
    [anon_sym_and_eq] = ACTIONS(5788),
    [anon_sym_or_eq] = ACTIONS(5788),
    [anon_sym_xor_eq] = ACTIONS(5788),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5788),
    [anon_sym_and] = ACTIONS(5788),
    [anon_sym_bitor] = ACTIONS(5788),
    [anon_sym_xor] = ACTIONS(5788),
    [anon_sym_bitand] = ACTIONS(5788),
    [anon_sym_not_eq] = ACTIONS(5788),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5788),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5788),
    [anon_sym_decltype] = ACTIONS(5788),
  },
  [2215] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_RPAREN] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5319),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5319),
    [anon_sym_GT_GT] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_EQ] = ACTIONS(5319),
    [anon_sym_COLON] = ACTIONS(5321),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_STAR_EQ] = ACTIONS(5321),
    [anon_sym_SLASH_EQ] = ACTIONS(5321),
    [anon_sym_PERCENT_EQ] = ACTIONS(5321),
    [anon_sym_PLUS_EQ] = ACTIONS(5321),
    [anon_sym_DASH_EQ] = ACTIONS(5321),
    [anon_sym_LT_LT_EQ] = ACTIONS(5321),
    [anon_sym_GT_GT_EQ] = ACTIONS(5321),
    [anon_sym_AMP_EQ] = ACTIONS(5321),
    [anon_sym_CARET_EQ] = ACTIONS(5321),
    [anon_sym_PIPE_EQ] = ACTIONS(5321),
    [anon_sym_and_eq] = ACTIONS(5319),
    [anon_sym_or_eq] = ACTIONS(5319),
    [anon_sym_xor_eq] = ACTIONS(5319),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [anon_sym_L_DQUOTE] = ACTIONS(5321),
    [anon_sym_u_DQUOTE] = ACTIONS(5321),
    [anon_sym_U_DQUOTE] = ACTIONS(5321),
    [anon_sym_u8_DQUOTE] = ACTIONS(5321),
    [anon_sym_DQUOTE] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5321),
    [anon_sym_LR_DQUOTE] = ACTIONS(5321),
    [anon_sym_uR_DQUOTE] = ACTIONS(5321),
    [anon_sym_UR_DQUOTE] = ACTIONS(5321),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5321),
    [sym_literal_suffix] = ACTIONS(5319),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5666),
    [anon_sym_COMMA] = ACTIONS(5666),
    [anon_sym_RPAREN] = ACTIONS(5666),
    [aux_sym_preproc_if_token2] = ACTIONS(5666),
    [aux_sym_preproc_else_token1] = ACTIONS(5666),
    [aux_sym_preproc_elif_token1] = ACTIONS(5664),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5666),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5664),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5666),
    [anon_sym_AMP_AMP] = ACTIONS(5666),
    [anon_sym_PIPE] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5666),
    [anon_sym_BANG_EQ] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5666),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5664),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5664),
    [anon_sym_SEMI] = ACTIONS(5666),
    [anon_sym___attribute__] = ACTIONS(5664),
    [anon_sym___attribute] = ACTIONS(5664),
    [anon_sym_LBRACE] = ACTIONS(5666),
    [anon_sym_RBRACE] = ACTIONS(5666),
    [anon_sym_LBRACK] = ACTIONS(5666),
    [anon_sym_RBRACK] = ACTIONS(5666),
    [anon_sym_EQ] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5666),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_STAR_EQ] = ACTIONS(5666),
    [anon_sym_SLASH_EQ] = ACTIONS(5666),
    [anon_sym_PERCENT_EQ] = ACTIONS(5666),
    [anon_sym_PLUS_EQ] = ACTIONS(5666),
    [anon_sym_DASH_EQ] = ACTIONS(5666),
    [anon_sym_LT_LT_EQ] = ACTIONS(5666),
    [anon_sym_GT_GT_EQ] = ACTIONS(5666),
    [anon_sym_AMP_EQ] = ACTIONS(5666),
    [anon_sym_CARET_EQ] = ACTIONS(5666),
    [anon_sym_PIPE_EQ] = ACTIONS(5666),
    [anon_sym_and_eq] = ACTIONS(5664),
    [anon_sym_or_eq] = ACTIONS(5664),
    [anon_sym_xor_eq] = ACTIONS(5664),
    [anon_sym_LT_EQ_GT] = ACTIONS(5666),
    [anon_sym_or] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_bitor] = ACTIONS(5664),
    [anon_sym_xor] = ACTIONS(5664),
    [anon_sym_bitand] = ACTIONS(5664),
    [anon_sym_not_eq] = ACTIONS(5664),
    [anon_sym_DASH_DASH] = ACTIONS(5666),
    [anon_sym_PLUS_PLUS] = ACTIONS(5666),
    [anon_sym_DOT] = ACTIONS(5664),
    [anon_sym_DOT_STAR] = ACTIONS(5666),
    [anon_sym_DASH_GT] = ACTIONS(5666),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5664),
    [anon_sym_decltype] = ACTIONS(5664),
  },
  [2217] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [aux_sym_preproc_if_token2] = ACTIONS(5790),
    [aux_sym_preproc_else_token1] = ACTIONS(5790),
    [aux_sym_preproc_elif_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5792),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym___attribute__] = ACTIONS(5792),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6038),
    [anon_sym_unsigned] = ACTIONS(6038),
    [anon_sym_long] = ACTIONS(6038),
    [anon_sym_short] = ACTIONS(6038),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_and_eq] = ACTIONS(5792),
    [anon_sym_or_eq] = ACTIONS(5792),
    [anon_sym_xor_eq] = ACTIONS(5792),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5792),
    [anon_sym_and] = ACTIONS(5792),
    [anon_sym_bitor] = ACTIONS(5792),
    [anon_sym_xor] = ACTIONS(5792),
    [anon_sym_bitand] = ACTIONS(5792),
    [anon_sym_not_eq] = ACTIONS(5792),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5792),
    [anon_sym_decltype] = ACTIONS(5792),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4941),
    [anon_sym_SLASH] = ACTIONS(4939),
    [anon_sym_PERCENT] = ACTIONS(4941),
    [anon_sym_PIPE_PIPE] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_PIPE] = ACTIONS(4939),
    [anon_sym_CARET] = ACTIONS(4941),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_EQ_EQ] = ACTIONS(4941),
    [anon_sym_BANG_EQ] = ACTIONS(4941),
    [anon_sym_GT] = ACTIONS(4939),
    [anon_sym_GT_EQ] = ACTIONS(4939),
    [anon_sym_LT_EQ] = ACTIONS(4939),
    [anon_sym_LT] = ACTIONS(4939),
    [anon_sym_LT_LT] = ACTIONS(4941),
    [anon_sym_GT_GT] = ACTIONS(4939),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym___attribute] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_signed] = ACTIONS(4939),
    [anon_sym_unsigned] = ACTIONS(4939),
    [anon_sym_long] = ACTIONS(4939),
    [anon_sym_short] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym__Nonnull] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_QMARK] = ACTIONS(4941),
    [anon_sym_LT_EQ_GT] = ACTIONS(4941),
    [anon_sym_or] = ACTIONS(4939),
    [anon_sym_and] = ACTIONS(4939),
    [anon_sym_bitor] = ACTIONS(4939),
    [anon_sym_xor] = ACTIONS(4939),
    [anon_sym_bitand] = ACTIONS(4939),
    [anon_sym_not_eq] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_DOT_STAR] = ACTIONS(4941),
    [anon_sym_DASH_GT] = ACTIONS(4941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
    [anon_sym_final] = ACTIONS(4939),
    [anon_sym_override] = ACTIONS(4939),
    [anon_sym_GT2] = ACTIONS(4941),
    [anon_sym_requires] = ACTIONS(4939),
  },
  [2219] = {
    [sym_string_literal] = STATE(3464),
    [sym_template_argument_list] = STATE(4399),
    [sym_raw_string_literal] = STATE(3464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4071),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4916),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4923),
    [anon_sym_SLASH_EQ] = ACTIONS(4923),
    [anon_sym_PERCENT_EQ] = ACTIONS(4923),
    [anon_sym_PLUS_EQ] = ACTIONS(4923),
    [anon_sym_DASH_EQ] = ACTIONS(4923),
    [anon_sym_LT_LT_EQ] = ACTIONS(4923),
    [anon_sym_GT_GT_EQ] = ACTIONS(4921),
    [anon_sym_AMP_EQ] = ACTIONS(4923),
    [anon_sym_CARET_EQ] = ACTIONS(4923),
    [anon_sym_PIPE_EQ] = ACTIONS(4923),
    [anon_sym_and_eq] = ACTIONS(4923),
    [anon_sym_or_eq] = ACTIONS(4923),
    [anon_sym_xor_eq] = ACTIONS(4923),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(4925),
    [anon_sym_u_DQUOTE] = ACTIONS(4925),
    [anon_sym_U_DQUOTE] = ACTIONS(4925),
    [anon_sym_u8_DQUOTE] = ACTIONS(4925),
    [anon_sym_DQUOTE] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4063),
    [anon_sym_R_DQUOTE] = ACTIONS(4927),
    [anon_sym_LR_DQUOTE] = ACTIONS(4927),
    [anon_sym_uR_DQUOTE] = ACTIONS(4927),
    [anon_sym_UR_DQUOTE] = ACTIONS(4927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4927),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5524),
    [anon_sym_COMMA] = ACTIONS(5524),
    [anon_sym_RPAREN] = ACTIONS(5524),
    [aux_sym_preproc_if_token2] = ACTIONS(5524),
    [aux_sym_preproc_else_token1] = ACTIONS(5524),
    [aux_sym_preproc_elif_token1] = ACTIONS(5522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5524),
    [anon_sym_LPAREN2] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_SLASH] = ACTIONS(5522),
    [anon_sym_PERCENT] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE] = ACTIONS(5524),
    [anon_sym_AMP_AMP] = ACTIONS(5524),
    [anon_sym_PIPE] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5524),
    [anon_sym_BANG_EQ] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5524),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5522),
    [anon_sym_LT_LT] = ACTIONS(5522),
    [anon_sym_GT_GT] = ACTIONS(5522),
    [anon_sym_SEMI] = ACTIONS(5524),
    [anon_sym___attribute__] = ACTIONS(5522),
    [anon_sym___attribute] = ACTIONS(5522),
    [anon_sym_LBRACE] = ACTIONS(5524),
    [anon_sym_RBRACE] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [anon_sym_RBRACK] = ACTIONS(5524),
    [anon_sym_EQ] = ACTIONS(5522),
    [anon_sym_COLON] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_STAR_EQ] = ACTIONS(5524),
    [anon_sym_SLASH_EQ] = ACTIONS(5524),
    [anon_sym_PERCENT_EQ] = ACTIONS(5524),
    [anon_sym_PLUS_EQ] = ACTIONS(5524),
    [anon_sym_DASH_EQ] = ACTIONS(5524),
    [anon_sym_LT_LT_EQ] = ACTIONS(5524),
    [anon_sym_GT_GT_EQ] = ACTIONS(5524),
    [anon_sym_AMP_EQ] = ACTIONS(5524),
    [anon_sym_CARET_EQ] = ACTIONS(5524),
    [anon_sym_PIPE_EQ] = ACTIONS(5524),
    [anon_sym_and_eq] = ACTIONS(5522),
    [anon_sym_or_eq] = ACTIONS(5522),
    [anon_sym_xor_eq] = ACTIONS(5522),
    [anon_sym_LT_EQ_GT] = ACTIONS(5524),
    [anon_sym_or] = ACTIONS(5522),
    [anon_sym_and] = ACTIONS(5522),
    [anon_sym_bitor] = ACTIONS(5522),
    [anon_sym_xor] = ACTIONS(5522),
    [anon_sym_bitand] = ACTIONS(5522),
    [anon_sym_not_eq] = ACTIONS(5522),
    [anon_sym_DASH_DASH] = ACTIONS(5524),
    [anon_sym_PLUS_PLUS] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5522),
    [anon_sym_DOT_STAR] = ACTIONS(5524),
    [anon_sym_DASH_GT] = ACTIONS(5524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5522),
    [anon_sym_decltype] = ACTIONS(5522),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_PIPE_PIPE] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym___extension__] = ACTIONS(1909),
    [anon_sym_virtual] = ACTIONS(1909),
    [anon_sym_extern] = ACTIONS(1909),
    [anon_sym___attribute__] = ACTIONS(1909),
    [anon_sym___attribute] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1907),
    [anon_sym___declspec] = ACTIONS(1909),
    [anon_sym___based] = ACTIONS(1909),
    [anon_sym___cdecl] = ACTIONS(1909),
    [anon_sym___clrcall] = ACTIONS(1909),
    [anon_sym___stdcall] = ACTIONS(1909),
    [anon_sym___fastcall] = ACTIONS(1909),
    [anon_sym___thiscall] = ACTIONS(1909),
    [anon_sym___vectorcall] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1909),
    [anon_sym_unsigned] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_register] = ACTIONS(1909),
    [anon_sym_inline] = ACTIONS(1909),
    [anon_sym___inline] = ACTIONS(1909),
    [anon_sym___inline__] = ACTIONS(1909),
    [anon_sym___forceinline] = ACTIONS(1909),
    [anon_sym_thread_local] = ACTIONS(1909),
    [anon_sym___thread] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_constexpr] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_restrict] = ACTIONS(1909),
    [anon_sym___restrict__] = ACTIONS(1909),
    [anon_sym__Atomic] = ACTIONS(1909),
    [anon_sym__Noreturn] = ACTIONS(1909),
    [anon_sym_noreturn] = ACTIONS(1909),
    [anon_sym__Nonnull] = ACTIONS(1909),
    [anon_sym_mutable] = ACTIONS(1909),
    [anon_sym_constinit] = ACTIONS(1909),
    [anon_sym_consteval] = ACTIONS(1909),
    [anon_sym_alignas] = ACTIONS(1909),
    [anon_sym__Alignas] = ACTIONS(1909),
    [sym_primitive_type] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_union] = ACTIONS(1909),
    [anon_sym_or] = ACTIONS(1909),
    [anon_sym_and] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1909),
    [anon_sym_decltype] = ACTIONS(1909),
    [anon_sym_explicit] = ACTIONS(1909),
    [anon_sym_typename] = ACTIONS(1909),
    [anon_sym_template] = ACTIONS(1909),
    [anon_sym_operator] = ACTIONS(1909),
    [anon_sym_friend] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_concept] = ACTIONS(1909),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(6108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6110),
    [anon_sym_COMMA] = ACTIONS(6110),
    [anon_sym_RPAREN] = ACTIONS(6110),
    [aux_sym_preproc_if_token2] = ACTIONS(6110),
    [aux_sym_preproc_else_token1] = ACTIONS(6110),
    [aux_sym_preproc_elif_token1] = ACTIONS(6108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6110),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6110),
    [anon_sym_LPAREN2] = ACTIONS(6110),
    [anon_sym_DASH] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(6108),
    [anon_sym_STAR] = ACTIONS(6108),
    [anon_sym_SLASH] = ACTIONS(6108),
    [anon_sym_PERCENT] = ACTIONS(6108),
    [anon_sym_PIPE_PIPE] = ACTIONS(6110),
    [anon_sym_AMP_AMP] = ACTIONS(6110),
    [anon_sym_PIPE] = ACTIONS(6108),
    [anon_sym_CARET] = ACTIONS(6108),
    [anon_sym_AMP] = ACTIONS(6108),
    [anon_sym_EQ_EQ] = ACTIONS(6110),
    [anon_sym_BANG_EQ] = ACTIONS(6110),
    [anon_sym_GT] = ACTIONS(6108),
    [anon_sym_GT_EQ] = ACTIONS(6110),
    [anon_sym_LT_EQ] = ACTIONS(6108),
    [anon_sym_LT] = ACTIONS(6108),
    [anon_sym_LT_LT] = ACTIONS(6108),
    [anon_sym_GT_GT] = ACTIONS(6108),
    [anon_sym_SEMI] = ACTIONS(6110),
    [anon_sym___attribute__] = ACTIONS(6108),
    [anon_sym___attribute] = ACTIONS(6108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6110),
    [anon_sym_LBRACE] = ACTIONS(6110),
    [anon_sym_RBRACE] = ACTIONS(6110),
    [anon_sym_LBRACK] = ACTIONS(6108),
    [anon_sym_RBRACK] = ACTIONS(6110),
    [anon_sym_EQ] = ACTIONS(6108),
    [anon_sym_COLON] = ACTIONS(6110),
    [anon_sym_QMARK] = ACTIONS(6110),
    [anon_sym_STAR_EQ] = ACTIONS(6110),
    [anon_sym_SLASH_EQ] = ACTIONS(6110),
    [anon_sym_PERCENT_EQ] = ACTIONS(6110),
    [anon_sym_PLUS_EQ] = ACTIONS(6110),
    [anon_sym_DASH_EQ] = ACTIONS(6110),
    [anon_sym_LT_LT_EQ] = ACTIONS(6110),
    [anon_sym_GT_GT_EQ] = ACTIONS(6110),
    [anon_sym_AMP_EQ] = ACTIONS(6110),
    [anon_sym_CARET_EQ] = ACTIONS(6110),
    [anon_sym_PIPE_EQ] = ACTIONS(6110),
    [anon_sym_and_eq] = ACTIONS(6108),
    [anon_sym_or_eq] = ACTIONS(6108),
    [anon_sym_xor_eq] = ACTIONS(6108),
    [anon_sym_LT_EQ_GT] = ACTIONS(6110),
    [anon_sym_or] = ACTIONS(6108),
    [anon_sym_and] = ACTIONS(6108),
    [anon_sym_bitor] = ACTIONS(6108),
    [anon_sym_xor] = ACTIONS(6108),
    [anon_sym_bitand] = ACTIONS(6108),
    [anon_sym_not_eq] = ACTIONS(6108),
    [anon_sym_DASH_DASH] = ACTIONS(6110),
    [anon_sym_PLUS_PLUS] = ACTIONS(6110),
    [anon_sym_DOT] = ACTIONS(6108),
    [anon_sym_DOT_STAR] = ACTIONS(6110),
    [anon_sym_DASH_GT] = ACTIONS(6110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6108),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_PIPE_PIPE] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_virtual] = ACTIONS(1913),
    [anon_sym_extern] = ACTIONS(1913),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym___attribute] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1911),
    [anon_sym___declspec] = ACTIONS(1913),
    [anon_sym___based] = ACTIONS(1913),
    [anon_sym___cdecl] = ACTIONS(1913),
    [anon_sym___clrcall] = ACTIONS(1913),
    [anon_sym___stdcall] = ACTIONS(1913),
    [anon_sym___fastcall] = ACTIONS(1913),
    [anon_sym___thiscall] = ACTIONS(1913),
    [anon_sym___vectorcall] = ACTIONS(1913),
    [anon_sym_signed] = ACTIONS(1913),
    [anon_sym_unsigned] = ACTIONS(1913),
    [anon_sym_long] = ACTIONS(1913),
    [anon_sym_short] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_register] = ACTIONS(1913),
    [anon_sym_inline] = ACTIONS(1913),
    [anon_sym___inline] = ACTIONS(1913),
    [anon_sym___inline__] = ACTIONS(1913),
    [anon_sym___forceinline] = ACTIONS(1913),
    [anon_sym_thread_local] = ACTIONS(1913),
    [anon_sym___thread] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym__Nonnull] = ACTIONS(1913),
    [anon_sym_mutable] = ACTIONS(1913),
    [anon_sym_constinit] = ACTIONS(1913),
    [anon_sym_consteval] = ACTIONS(1913),
    [anon_sym_alignas] = ACTIONS(1913),
    [anon_sym__Alignas] = ACTIONS(1913),
    [sym_primitive_type] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1913),
    [anon_sym_union] = ACTIONS(1913),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1913),
    [anon_sym_decltype] = ACTIONS(1913),
    [anon_sym_explicit] = ACTIONS(1913),
    [anon_sym_typename] = ACTIONS(1913),
    [anon_sym_template] = ACTIONS(1913),
    [anon_sym_operator] = ACTIONS(1913),
    [anon_sym_friend] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_concept] = ACTIONS(1913),
  },
  [2224] = {
    [sym_string_literal] = STATE(1654),
    [sym_template_argument_list] = STATE(2281),
    [sym_raw_string_literal] = STATE(1654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5973),
    [anon_sym_COMMA] = ACTIONS(6112),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(5235),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_RBRACK] = ACTIONS(6114),
    [anon_sym_EQ] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(4063),
    [anon_sym_SLASH_EQ] = ACTIONS(4063),
    [anon_sym_PERCENT_EQ] = ACTIONS(4063),
    [anon_sym_PLUS_EQ] = ACTIONS(4063),
    [anon_sym_DASH_EQ] = ACTIONS(4063),
    [anon_sym_LT_LT_EQ] = ACTIONS(4063),
    [anon_sym_GT_GT_EQ] = ACTIONS(4063),
    [anon_sym_AMP_EQ] = ACTIONS(4063),
    [anon_sym_CARET_EQ] = ACTIONS(4063),
    [anon_sym_PIPE_EQ] = ACTIONS(4063),
    [anon_sym_and_eq] = ACTIONS(4063),
    [anon_sym_or_eq] = ACTIONS(4063),
    [anon_sym_xor_eq] = ACTIONS(4063),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(1945),
    [anon_sym_u_DQUOTE] = ACTIONS(1945),
    [anon_sym_U_DQUOTE] = ACTIONS(1945),
    [anon_sym_u8_DQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1955),
    [anon_sym_LR_DQUOTE] = ACTIONS(1955),
    [anon_sym_uR_DQUOTE] = ACTIONS(1955),
    [anon_sym_UR_DQUOTE] = ACTIONS(1955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1955),
  },
  [2225] = {
    [sym_template_argument_list] = STATE(2281),
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4840),
    [anon_sym_COMMA] = ACTIONS(4840),
    [anon_sym_RPAREN] = ACTIONS(4840),
    [aux_sym_preproc_if_token2] = ACTIONS(4840),
    [aux_sym_preproc_else_token1] = ACTIONS(4840),
    [aux_sym_preproc_elif_token1] = ACTIONS(4847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4840),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4840),
    [anon_sym_AMP_AMP] = ACTIONS(4840),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4840),
    [anon_sym_BANG_EQ] = ACTIONS(4840),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4840),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4840),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4840),
    [anon_sym_LBRACK] = ACTIONS(4840),
    [anon_sym_RBRACK] = ACTIONS(4840),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4840),
    [anon_sym_STAR_EQ] = ACTIONS(4840),
    [anon_sym_SLASH_EQ] = ACTIONS(4840),
    [anon_sym_PERCENT_EQ] = ACTIONS(4840),
    [anon_sym_PLUS_EQ] = ACTIONS(4840),
    [anon_sym_DASH_EQ] = ACTIONS(4840),
    [anon_sym_LT_LT_EQ] = ACTIONS(4840),
    [anon_sym_GT_GT_EQ] = ACTIONS(4840),
    [anon_sym_AMP_EQ] = ACTIONS(4840),
    [anon_sym_CARET_EQ] = ACTIONS(4840),
    [anon_sym_PIPE_EQ] = ACTIONS(4840),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4840),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4840),
    [anon_sym_PLUS_PLUS] = ACTIONS(4840),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4840),
    [anon_sym_DASH_GT] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_TILDE] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5309),
    [anon_sym_virtual] = ACTIONS(5309),
    [anon_sym_extern] = ACTIONS(5309),
    [anon_sym___attribute__] = ACTIONS(5309),
    [anon_sym___attribute] = ACTIONS(5309),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5311),
    [anon_sym___declspec] = ACTIONS(5309),
    [anon_sym___based] = ACTIONS(5309),
    [anon_sym___cdecl] = ACTIONS(5309),
    [anon_sym___clrcall] = ACTIONS(5309),
    [anon_sym___stdcall] = ACTIONS(5309),
    [anon_sym___fastcall] = ACTIONS(5309),
    [anon_sym___thiscall] = ACTIONS(5309),
    [anon_sym___vectorcall] = ACTIONS(5309),
    [anon_sym_signed] = ACTIONS(5309),
    [anon_sym_unsigned] = ACTIONS(5309),
    [anon_sym_long] = ACTIONS(5309),
    [anon_sym_short] = ACTIONS(5309),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_static] = ACTIONS(5309),
    [anon_sym_register] = ACTIONS(5309),
    [anon_sym_inline] = ACTIONS(5309),
    [anon_sym___inline] = ACTIONS(5309),
    [anon_sym___inline__] = ACTIONS(5309),
    [anon_sym___forceinline] = ACTIONS(5309),
    [anon_sym_thread_local] = ACTIONS(5309),
    [anon_sym___thread] = ACTIONS(5309),
    [anon_sym_const] = ACTIONS(5309),
    [anon_sym_constexpr] = ACTIONS(5309),
    [anon_sym_volatile] = ACTIONS(5309),
    [anon_sym_restrict] = ACTIONS(5309),
    [anon_sym___restrict__] = ACTIONS(5309),
    [anon_sym__Atomic] = ACTIONS(5309),
    [anon_sym__Noreturn] = ACTIONS(5309),
    [anon_sym_noreturn] = ACTIONS(5309),
    [anon_sym__Nonnull] = ACTIONS(5309),
    [anon_sym_mutable] = ACTIONS(5309),
    [anon_sym_constinit] = ACTIONS(5309),
    [anon_sym_consteval] = ACTIONS(5309),
    [anon_sym_alignas] = ACTIONS(5309),
    [anon_sym__Alignas] = ACTIONS(5309),
    [sym_primitive_type] = ACTIONS(5309),
    [anon_sym_enum] = ACTIONS(5309),
    [anon_sym_class] = ACTIONS(5309),
    [anon_sym_struct] = ACTIONS(5309),
    [anon_sym_union] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5309),
    [anon_sym_and] = ACTIONS(5309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5309),
    [anon_sym_decltype] = ACTIONS(5309),
    [anon_sym_explicit] = ACTIONS(5309),
    [anon_sym_typename] = ACTIONS(5309),
    [anon_sym_template] = ACTIONS(5309),
    [anon_sym_operator] = ACTIONS(5309),
    [anon_sym_friend] = ACTIONS(5309),
    [anon_sym_using] = ACTIONS(5309),
    [anon_sym_concept] = ACTIONS(5309),
  },
  [2227] = {
    [sym_attribute_declaration] = STATE(2227),
    [aux_sym_attributed_declarator_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(6117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6119),
    [anon_sym_COMMA] = ACTIONS(6119),
    [anon_sym_RPAREN] = ACTIONS(6119),
    [aux_sym_preproc_if_token2] = ACTIONS(6119),
    [aux_sym_preproc_else_token1] = ACTIONS(6119),
    [aux_sym_preproc_elif_token1] = ACTIONS(6117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6119),
    [anon_sym_LPAREN2] = ACTIONS(6119),
    [anon_sym_DASH] = ACTIONS(6117),
    [anon_sym_PLUS] = ACTIONS(6117),
    [anon_sym_STAR] = ACTIONS(6117),
    [anon_sym_SLASH] = ACTIONS(6117),
    [anon_sym_PERCENT] = ACTIONS(6117),
    [anon_sym_PIPE_PIPE] = ACTIONS(6119),
    [anon_sym_AMP_AMP] = ACTIONS(6119),
    [anon_sym_PIPE] = ACTIONS(6117),
    [anon_sym_CARET] = ACTIONS(6117),
    [anon_sym_AMP] = ACTIONS(6117),
    [anon_sym_EQ_EQ] = ACTIONS(6119),
    [anon_sym_BANG_EQ] = ACTIONS(6119),
    [anon_sym_GT] = ACTIONS(6117),
    [anon_sym_GT_EQ] = ACTIONS(6119),
    [anon_sym_LT_EQ] = ACTIONS(6117),
    [anon_sym_LT] = ACTIONS(6117),
    [anon_sym_LT_LT] = ACTIONS(6117),
    [anon_sym_GT_GT] = ACTIONS(6117),
    [anon_sym_SEMI] = ACTIONS(6119),
    [anon_sym___attribute__] = ACTIONS(6117),
    [anon_sym___attribute] = ACTIONS(6117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6121),
    [anon_sym_RBRACE] = ACTIONS(6119),
    [anon_sym_LBRACK] = ACTIONS(6117),
    [anon_sym_RBRACK] = ACTIONS(6119),
    [anon_sym_EQ] = ACTIONS(6117),
    [anon_sym_COLON] = ACTIONS(6119),
    [anon_sym_QMARK] = ACTIONS(6119),
    [anon_sym_STAR_EQ] = ACTIONS(6119),
    [anon_sym_SLASH_EQ] = ACTIONS(6119),
    [anon_sym_PERCENT_EQ] = ACTIONS(6119),
    [anon_sym_PLUS_EQ] = ACTIONS(6119),
    [anon_sym_DASH_EQ] = ACTIONS(6119),
    [anon_sym_LT_LT_EQ] = ACTIONS(6119),
    [anon_sym_GT_GT_EQ] = ACTIONS(6119),
    [anon_sym_AMP_EQ] = ACTIONS(6119),
    [anon_sym_CARET_EQ] = ACTIONS(6119),
    [anon_sym_PIPE_EQ] = ACTIONS(6119),
    [anon_sym_and_eq] = ACTIONS(6117),
    [anon_sym_or_eq] = ACTIONS(6117),
    [anon_sym_xor_eq] = ACTIONS(6117),
    [anon_sym_LT_EQ_GT] = ACTIONS(6119),
    [anon_sym_or] = ACTIONS(6117),
    [anon_sym_and] = ACTIONS(6117),
    [anon_sym_bitor] = ACTIONS(6117),
    [anon_sym_xor] = ACTIONS(6117),
    [anon_sym_bitand] = ACTIONS(6117),
    [anon_sym_not_eq] = ACTIONS(6117),
    [anon_sym_DASH_DASH] = ACTIONS(6119),
    [anon_sym_PLUS_PLUS] = ACTIONS(6119),
    [anon_sym_DOT] = ACTIONS(6117),
    [anon_sym_DOT_STAR] = ACTIONS(6119),
    [anon_sym_DASH_GT] = ACTIONS(6119),
    [sym_comment] = ACTIONS(3),
  },
  [2228] = {
    [sym_template_argument_list] = STATE(1900),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2172),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4069),
    [anon_sym_COMMA] = ACTIONS(4069),
    [aux_sym_preproc_if_token2] = ACTIONS(4069),
    [aux_sym_preproc_else_token1] = ACTIONS(4069),
    [aux_sym_preproc_elif_token1] = ACTIONS(4061),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4069),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4069),
    [anon_sym_LPAREN2] = ACTIONS(4069),
    [anon_sym_DASH] = ACTIONS(4061),
    [anon_sym_PLUS] = ACTIONS(4061),
    [anon_sym_STAR] = ACTIONS(4061),
    [anon_sym_SLASH] = ACTIONS(4061),
    [anon_sym_PERCENT] = ACTIONS(4061),
    [anon_sym_PIPE_PIPE] = ACTIONS(4069),
    [anon_sym_AMP_AMP] = ACTIONS(4069),
    [anon_sym_PIPE] = ACTIONS(4061),
    [anon_sym_CARET] = ACTIONS(4061),
    [anon_sym_AMP] = ACTIONS(4061),
    [anon_sym_EQ_EQ] = ACTIONS(4069),
    [anon_sym_BANG_EQ] = ACTIONS(4069),
    [anon_sym_GT] = ACTIONS(4061),
    [anon_sym_GT_EQ] = ACTIONS(4069),
    [anon_sym_LT_EQ] = ACTIONS(4061),
    [anon_sym_LT] = ACTIONS(5684),
    [anon_sym_LT_LT] = ACTIONS(4061),
    [anon_sym_GT_GT] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4069),
    [anon_sym_signed] = ACTIONS(5826),
    [anon_sym_unsigned] = ACTIONS(5826),
    [anon_sym_long] = ACTIONS(5826),
    [anon_sym_short] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(4069),
    [anon_sym_EQ] = ACTIONS(4061),
    [anon_sym_QMARK] = ACTIONS(4069),
    [anon_sym_STAR_EQ] = ACTIONS(4069),
    [anon_sym_SLASH_EQ] = ACTIONS(4069),
    [anon_sym_PERCENT_EQ] = ACTIONS(4069),
    [anon_sym_PLUS_EQ] = ACTIONS(4069),
    [anon_sym_DASH_EQ] = ACTIONS(4069),
    [anon_sym_LT_LT_EQ] = ACTIONS(4069),
    [anon_sym_GT_GT_EQ] = ACTIONS(4069),
    [anon_sym_AMP_EQ] = ACTIONS(4069),
    [anon_sym_CARET_EQ] = ACTIONS(4069),
    [anon_sym_PIPE_EQ] = ACTIONS(4069),
    [anon_sym_and_eq] = ACTIONS(4061),
    [anon_sym_or_eq] = ACTIONS(4061),
    [anon_sym_xor_eq] = ACTIONS(4061),
    [anon_sym_LT_EQ_GT] = ACTIONS(4069),
    [anon_sym_or] = ACTIONS(4061),
    [anon_sym_and] = ACTIONS(4061),
    [anon_sym_bitor] = ACTIONS(4061),
    [anon_sym_xor] = ACTIONS(4061),
    [anon_sym_bitand] = ACTIONS(4061),
    [anon_sym_not_eq] = ACTIONS(4061),
    [anon_sym_DASH_DASH] = ACTIONS(4069),
    [anon_sym_PLUS_PLUS] = ACTIONS(4069),
    [anon_sym_DOT] = ACTIONS(4061),
    [anon_sym_DOT_STAR] = ACTIONS(4069),
    [anon_sym_DASH_GT] = ACTIONS(4069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4061),
    [anon_sym_decltype] = ACTIONS(4061),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5372),
    [anon_sym_or_eq] = ACTIONS(5372),
    [anon_sym_xor_eq] = ACTIONS(5372),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym___cdecl] = ACTIONS(5376),
    [anon_sym___clrcall] = ACTIONS(5376),
    [anon_sym___stdcall] = ACTIONS(5376),
    [anon_sym___fastcall] = ACTIONS(5376),
    [anon_sym___thiscall] = ACTIONS(5376),
    [anon_sym___vectorcall] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_enum] = ACTIONS(5376),
    [anon_sym_class] = ACTIONS(5376),
    [anon_sym_struct] = ACTIONS(5376),
    [anon_sym_union] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_explicit] = ACTIONS(5376),
    [anon_sym_typename] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_friend] = ACTIONS(5376),
    [anon_sym_using] = ACTIONS(5376),
    [anon_sym_concept] = ACTIONS(5376),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(5549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_RPAREN] = ACTIONS(5551),
    [aux_sym_preproc_if_token2] = ACTIONS(5551),
    [aux_sym_preproc_else_token1] = ACTIONS(5551),
    [aux_sym_preproc_elif_token1] = ACTIONS(5549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5551),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5549),
    [anon_sym_PLUS] = ACTIONS(5549),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_SLASH] = ACTIONS(5549),
    [anon_sym_PERCENT] = ACTIONS(5549),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5549),
    [anon_sym_CARET] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5549),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5549),
    [anon_sym_LT] = ACTIONS(5549),
    [anon_sym_LT_LT] = ACTIONS(5549),
    [anon_sym_GT_GT] = ACTIONS(5549),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym___attribute] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_EQ] = ACTIONS(5549),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_STAR_EQ] = ACTIONS(5551),
    [anon_sym_SLASH_EQ] = ACTIONS(5551),
    [anon_sym_PERCENT_EQ] = ACTIONS(5551),
    [anon_sym_PLUS_EQ] = ACTIONS(5551),
    [anon_sym_DASH_EQ] = ACTIONS(5551),
    [anon_sym_LT_LT_EQ] = ACTIONS(5551),
    [anon_sym_GT_GT_EQ] = ACTIONS(5551),
    [anon_sym_AMP_EQ] = ACTIONS(5551),
    [anon_sym_CARET_EQ] = ACTIONS(5551),
    [anon_sym_PIPE_EQ] = ACTIONS(5551),
    [anon_sym_and_eq] = ACTIONS(5549),
    [anon_sym_or_eq] = ACTIONS(5549),
    [anon_sym_xor_eq] = ACTIONS(5549),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_bitor] = ACTIONS(5549),
    [anon_sym_xor] = ACTIONS(5549),
    [anon_sym_bitand] = ACTIONS(5549),
    [anon_sym_not_eq] = ACTIONS(5549),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5549),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
  },
  [2232] = {
    [sym_argument_list] = STATE(2442),
    [sym_initializer_list] = STATE(2442),
    [sym_identifier] = ACTIONS(6124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6126),
    [anon_sym_COMMA] = ACTIONS(6126),
    [anon_sym_RPAREN] = ACTIONS(6126),
    [aux_sym_preproc_if_token2] = ACTIONS(6126),
    [aux_sym_preproc_else_token1] = ACTIONS(6126),
    [aux_sym_preproc_elif_token1] = ACTIONS(6124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6126),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6126),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(6124),
    [anon_sym_PLUS] = ACTIONS(6124),
    [anon_sym_STAR] = ACTIONS(6124),
    [anon_sym_SLASH] = ACTIONS(6124),
    [anon_sym_PERCENT] = ACTIONS(6124),
    [anon_sym_PIPE_PIPE] = ACTIONS(6126),
    [anon_sym_AMP_AMP] = ACTIONS(6126),
    [anon_sym_PIPE] = ACTIONS(6124),
    [anon_sym_CARET] = ACTIONS(6124),
    [anon_sym_AMP] = ACTIONS(6124),
    [anon_sym_EQ_EQ] = ACTIONS(6126),
    [anon_sym_BANG_EQ] = ACTIONS(6126),
    [anon_sym_GT] = ACTIONS(6124),
    [anon_sym_GT_EQ] = ACTIONS(6126),
    [anon_sym_LT_EQ] = ACTIONS(6124),
    [anon_sym_LT] = ACTIONS(6124),
    [anon_sym_LT_LT] = ACTIONS(6124),
    [anon_sym_GT_GT] = ACTIONS(6124),
    [anon_sym_SEMI] = ACTIONS(6126),
    [anon_sym___attribute__] = ACTIONS(6124),
    [anon_sym___attribute] = ACTIONS(6124),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(6126),
    [anon_sym_LBRACK] = ACTIONS(6126),
    [anon_sym_RBRACK] = ACTIONS(6126),
    [anon_sym_EQ] = ACTIONS(6124),
    [anon_sym_COLON] = ACTIONS(6126),
    [anon_sym_QMARK] = ACTIONS(6126),
    [anon_sym_STAR_EQ] = ACTIONS(6126),
    [anon_sym_SLASH_EQ] = ACTIONS(6126),
    [anon_sym_PERCENT_EQ] = ACTIONS(6126),
    [anon_sym_PLUS_EQ] = ACTIONS(6126),
    [anon_sym_DASH_EQ] = ACTIONS(6126),
    [anon_sym_LT_LT_EQ] = ACTIONS(6126),
    [anon_sym_GT_GT_EQ] = ACTIONS(6126),
    [anon_sym_AMP_EQ] = ACTIONS(6126),
    [anon_sym_CARET_EQ] = ACTIONS(6126),
    [anon_sym_PIPE_EQ] = ACTIONS(6126),
    [anon_sym_and_eq] = ACTIONS(6124),
    [anon_sym_or_eq] = ACTIONS(6124),
    [anon_sym_xor_eq] = ACTIONS(6124),
    [anon_sym_LT_EQ_GT] = ACTIONS(6126),
    [anon_sym_or] = ACTIONS(6124),
    [anon_sym_and] = ACTIONS(6124),
    [anon_sym_bitor] = ACTIONS(6124),
    [anon_sym_xor] = ACTIONS(6124),
    [anon_sym_bitand] = ACTIONS(6124),
    [anon_sym_not_eq] = ACTIONS(6124),
    [anon_sym_DASH_DASH] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6126),
    [anon_sym_DOT] = ACTIONS(6124),
    [anon_sym_DOT_STAR] = ACTIONS(6126),
    [anon_sym_DASH_GT] = ACTIONS(6126),
    [sym_comment] = ACTIONS(3),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(5549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_RPAREN] = ACTIONS(5551),
    [aux_sym_preproc_if_token2] = ACTIONS(5551),
    [aux_sym_preproc_else_token1] = ACTIONS(5551),
    [aux_sym_preproc_elif_token1] = ACTIONS(5549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5551),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5549),
    [anon_sym_PLUS] = ACTIONS(5549),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_SLASH] = ACTIONS(5549),
    [anon_sym_PERCENT] = ACTIONS(5549),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5549),
    [anon_sym_CARET] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5549),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5549),
    [anon_sym_LT] = ACTIONS(5549),
    [anon_sym_LT_LT] = ACTIONS(5549),
    [anon_sym_GT_GT] = ACTIONS(5549),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym___attribute] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_EQ] = ACTIONS(5549),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_STAR_EQ] = ACTIONS(5551),
    [anon_sym_SLASH_EQ] = ACTIONS(5551),
    [anon_sym_PERCENT_EQ] = ACTIONS(5551),
    [anon_sym_PLUS_EQ] = ACTIONS(5551),
    [anon_sym_DASH_EQ] = ACTIONS(5551),
    [anon_sym_LT_LT_EQ] = ACTIONS(5551),
    [anon_sym_GT_GT_EQ] = ACTIONS(5551),
    [anon_sym_AMP_EQ] = ACTIONS(5551),
    [anon_sym_CARET_EQ] = ACTIONS(5551),
    [anon_sym_PIPE_EQ] = ACTIONS(5551),
    [anon_sym_and_eq] = ACTIONS(5549),
    [anon_sym_or_eq] = ACTIONS(5549),
    [anon_sym_xor_eq] = ACTIONS(5549),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_bitor] = ACTIONS(5549),
    [anon_sym_xor] = ACTIONS(5549),
    [anon_sym_bitand] = ACTIONS(5549),
    [anon_sym_not_eq] = ACTIONS(5549),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5549),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(5545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5547),
    [anon_sym_COMMA] = ACTIONS(5547),
    [anon_sym_RPAREN] = ACTIONS(5547),
    [aux_sym_preproc_if_token2] = ACTIONS(5547),
    [aux_sym_preproc_else_token1] = ACTIONS(5547),
    [aux_sym_preproc_elif_token1] = ACTIONS(5545),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5547),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5547),
    [anon_sym_LPAREN2] = ACTIONS(5547),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym_STAR] = ACTIONS(5545),
    [anon_sym_SLASH] = ACTIONS(5545),
    [anon_sym_PERCENT] = ACTIONS(5545),
    [anon_sym_PIPE_PIPE] = ACTIONS(5547),
    [anon_sym_AMP_AMP] = ACTIONS(5547),
    [anon_sym_PIPE] = ACTIONS(5545),
    [anon_sym_CARET] = ACTIONS(5545),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym_EQ_EQ] = ACTIONS(5547),
    [anon_sym_BANG_EQ] = ACTIONS(5547),
    [anon_sym_GT] = ACTIONS(5545),
    [anon_sym_GT_EQ] = ACTIONS(5547),
    [anon_sym_LT_EQ] = ACTIONS(5545),
    [anon_sym_LT] = ACTIONS(5545),
    [anon_sym_LT_LT] = ACTIONS(5545),
    [anon_sym_GT_GT] = ACTIONS(5545),
    [anon_sym_SEMI] = ACTIONS(5547),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym___attribute] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(5547),
    [anon_sym_RBRACE] = ACTIONS(5547),
    [anon_sym_LBRACK] = ACTIONS(5547),
    [anon_sym_RBRACK] = ACTIONS(5547),
    [anon_sym_EQ] = ACTIONS(5545),
    [anon_sym_COLON] = ACTIONS(5547),
    [anon_sym_QMARK] = ACTIONS(5547),
    [anon_sym_STAR_EQ] = ACTIONS(5547),
    [anon_sym_SLASH_EQ] = ACTIONS(5547),
    [anon_sym_PERCENT_EQ] = ACTIONS(5547),
    [anon_sym_PLUS_EQ] = ACTIONS(5547),
    [anon_sym_DASH_EQ] = ACTIONS(5547),
    [anon_sym_LT_LT_EQ] = ACTIONS(5547),
    [anon_sym_GT_GT_EQ] = ACTIONS(5547),
    [anon_sym_AMP_EQ] = ACTIONS(5547),
    [anon_sym_CARET_EQ] = ACTIONS(5547),
    [anon_sym_PIPE_EQ] = ACTIONS(5547),
    [anon_sym_and_eq] = ACTIONS(5545),
    [anon_sym_or_eq] = ACTIONS(5545),
    [anon_sym_xor_eq] = ACTIONS(5545),
    [anon_sym_LT_EQ_GT] = ACTIONS(5547),
    [anon_sym_or] = ACTIONS(5545),
    [anon_sym_and] = ACTIONS(5545),
    [anon_sym_bitor] = ACTIONS(5545),
    [anon_sym_xor] = ACTIONS(5545),
    [anon_sym_bitand] = ACTIONS(5545),
    [anon_sym_not_eq] = ACTIONS(5545),
    [anon_sym_DASH_DASH] = ACTIONS(5547),
    [anon_sym_PLUS_PLUS] = ACTIONS(5547),
    [anon_sym_DOT] = ACTIONS(5545),
    [anon_sym_DOT_STAR] = ACTIONS(5547),
    [anon_sym_DASH_GT] = ACTIONS(5547),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(5516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5518),
    [aux_sym_preproc_if_token2] = ACTIONS(5518),
    [aux_sym_preproc_else_token1] = ACTIONS(5518),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5518),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5516),
    [anon_sym_PLUS] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_SLASH] = ACTIONS(5516),
    [anon_sym_PERCENT] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_PIPE] = ACTIONS(5516),
    [anon_sym_CARET] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_EQ_EQ] = ACTIONS(5518),
    [anon_sym_BANG_EQ] = ACTIONS(5518),
    [anon_sym_GT] = ACTIONS(5516),
    [anon_sym_GT_EQ] = ACTIONS(5518),
    [anon_sym_LT_EQ] = ACTIONS(5516),
    [anon_sym_LT] = ACTIONS(5516),
    [anon_sym_LT_LT] = ACTIONS(5516),
    [anon_sym_GT_GT] = ACTIONS(5516),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym___attribute] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_RBRACE] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [anon_sym_RBRACK] = ACTIONS(5518),
    [anon_sym_EQ] = ACTIONS(5516),
    [anon_sym_COLON] = ACTIONS(5518),
    [anon_sym_QMARK] = ACTIONS(5518),
    [anon_sym_STAR_EQ] = ACTIONS(5518),
    [anon_sym_SLASH_EQ] = ACTIONS(5518),
    [anon_sym_PERCENT_EQ] = ACTIONS(5518),
    [anon_sym_PLUS_EQ] = ACTIONS(5518),
    [anon_sym_DASH_EQ] = ACTIONS(5518),
    [anon_sym_LT_LT_EQ] = ACTIONS(5518),
    [anon_sym_GT_GT_EQ] = ACTIONS(5518),
    [anon_sym_AMP_EQ] = ACTIONS(5518),
    [anon_sym_CARET_EQ] = ACTIONS(5518),
    [anon_sym_PIPE_EQ] = ACTIONS(5518),
    [anon_sym_and_eq] = ACTIONS(5516),
    [anon_sym_or_eq] = ACTIONS(5516),
    [anon_sym_xor_eq] = ACTIONS(5516),
    [anon_sym_LT_EQ_GT] = ACTIONS(5518),
    [anon_sym_or] = ACTIONS(5516),
    [anon_sym_and] = ACTIONS(5516),
    [anon_sym_bitor] = ACTIONS(5516),
    [anon_sym_xor] = ACTIONS(5516),
    [anon_sym_bitand] = ACTIONS(5516),
    [anon_sym_not_eq] = ACTIONS(5516),
    [anon_sym_DASH_DASH] = ACTIONS(5518),
    [anon_sym_PLUS_PLUS] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_DOT_STAR] = ACTIONS(5518),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
  },
  [2236] = {
    [sym_argument_list] = STATE(2467),
    [sym_initializer_list] = STATE(2467),
    [sym_identifier] = ACTIONS(6128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6130),
    [anon_sym_COMMA] = ACTIONS(6130),
    [anon_sym_RPAREN] = ACTIONS(6130),
    [aux_sym_preproc_if_token2] = ACTIONS(6130),
    [aux_sym_preproc_else_token1] = ACTIONS(6130),
    [aux_sym_preproc_elif_token1] = ACTIONS(6128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6130),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6128),
    [anon_sym_STAR] = ACTIONS(6128),
    [anon_sym_SLASH] = ACTIONS(6128),
    [anon_sym_PERCENT] = ACTIONS(6128),
    [anon_sym_PIPE_PIPE] = ACTIONS(6130),
    [anon_sym_AMP_AMP] = ACTIONS(6130),
    [anon_sym_PIPE] = ACTIONS(6128),
    [anon_sym_CARET] = ACTIONS(6128),
    [anon_sym_AMP] = ACTIONS(6128),
    [anon_sym_EQ_EQ] = ACTIONS(6130),
    [anon_sym_BANG_EQ] = ACTIONS(6130),
    [anon_sym_GT] = ACTIONS(6128),
    [anon_sym_GT_EQ] = ACTIONS(6130),
    [anon_sym_LT_EQ] = ACTIONS(6128),
    [anon_sym_LT] = ACTIONS(6128),
    [anon_sym_LT_LT] = ACTIONS(6128),
    [anon_sym_GT_GT] = ACTIONS(6128),
    [anon_sym_SEMI] = ACTIONS(6130),
    [anon_sym___attribute__] = ACTIONS(6128),
    [anon_sym___attribute] = ACTIONS(6128),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(6130),
    [anon_sym_LBRACK] = ACTIONS(6130),
    [anon_sym_RBRACK] = ACTIONS(6130),
    [anon_sym_EQ] = ACTIONS(6128),
    [anon_sym_COLON] = ACTIONS(6130),
    [anon_sym_QMARK] = ACTIONS(6130),
    [anon_sym_STAR_EQ] = ACTIONS(6130),
    [anon_sym_SLASH_EQ] = ACTIONS(6130),
    [anon_sym_PERCENT_EQ] = ACTIONS(6130),
    [anon_sym_PLUS_EQ] = ACTIONS(6130),
    [anon_sym_DASH_EQ] = ACTIONS(6130),
    [anon_sym_LT_LT_EQ] = ACTIONS(6130),
    [anon_sym_GT_GT_EQ] = ACTIONS(6130),
    [anon_sym_AMP_EQ] = ACTIONS(6130),
    [anon_sym_CARET_EQ] = ACTIONS(6130),
    [anon_sym_PIPE_EQ] = ACTIONS(6130),
    [anon_sym_and_eq] = ACTIONS(6128),
    [anon_sym_or_eq] = ACTIONS(6128),
    [anon_sym_xor_eq] = ACTIONS(6128),
    [anon_sym_LT_EQ_GT] = ACTIONS(6130),
    [anon_sym_or] = ACTIONS(6128),
    [anon_sym_and] = ACTIONS(6128),
    [anon_sym_bitor] = ACTIONS(6128),
    [anon_sym_xor] = ACTIONS(6128),
    [anon_sym_bitand] = ACTIONS(6128),
    [anon_sym_not_eq] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6130),
    [anon_sym_PLUS_PLUS] = ACTIONS(6130),
    [anon_sym_DOT] = ACTIONS(6128),
    [anon_sym_DOT_STAR] = ACTIONS(6130),
    [anon_sym_DASH_GT] = ACTIONS(6130),
    [sym_comment] = ACTIONS(3),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(5571),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5573),
    [anon_sym_COMMA] = ACTIONS(5573),
    [anon_sym_RPAREN] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_else_token1] = ACTIONS(5573),
    [aux_sym_preproc_elif_token1] = ACTIONS(5571),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5573),
    [anon_sym_DASH] = ACTIONS(5571),
    [anon_sym_PLUS] = ACTIONS(5571),
    [anon_sym_STAR] = ACTIONS(5571),
    [anon_sym_SLASH] = ACTIONS(5571),
    [anon_sym_PERCENT] = ACTIONS(5571),
    [anon_sym_PIPE_PIPE] = ACTIONS(5573),
    [anon_sym_AMP_AMP] = ACTIONS(5573),
    [anon_sym_PIPE] = ACTIONS(5571),
    [anon_sym_CARET] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5571),
    [anon_sym_EQ_EQ] = ACTIONS(5573),
    [anon_sym_BANG_EQ] = ACTIONS(5573),
    [anon_sym_GT] = ACTIONS(5571),
    [anon_sym_GT_EQ] = ACTIONS(5573),
    [anon_sym_LT_EQ] = ACTIONS(5571),
    [anon_sym_LT] = ACTIONS(5571),
    [anon_sym_LT_LT] = ACTIONS(5571),
    [anon_sym_GT_GT] = ACTIONS(5571),
    [anon_sym_SEMI] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5571),
    [anon_sym___attribute] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_RBRACE] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_RBRACK] = ACTIONS(5573),
    [anon_sym_EQ] = ACTIONS(5571),
    [anon_sym_COLON] = ACTIONS(5573),
    [anon_sym_QMARK] = ACTIONS(5573),
    [anon_sym_STAR_EQ] = ACTIONS(5573),
    [anon_sym_SLASH_EQ] = ACTIONS(5573),
    [anon_sym_PERCENT_EQ] = ACTIONS(5573),
    [anon_sym_PLUS_EQ] = ACTIONS(5573),
    [anon_sym_DASH_EQ] = ACTIONS(5573),
    [anon_sym_LT_LT_EQ] = ACTIONS(5573),
    [anon_sym_GT_GT_EQ] = ACTIONS(5573),
    [anon_sym_AMP_EQ] = ACTIONS(5573),
    [anon_sym_CARET_EQ] = ACTIONS(5573),
    [anon_sym_PIPE_EQ] = ACTIONS(5573),
    [anon_sym_and_eq] = ACTIONS(5571),
    [anon_sym_or_eq] = ACTIONS(5571),
    [anon_sym_xor_eq] = ACTIONS(5571),
    [anon_sym_LT_EQ_GT] = ACTIONS(5573),
    [anon_sym_or] = ACTIONS(5571),
    [anon_sym_and] = ACTIONS(5571),
    [anon_sym_bitor] = ACTIONS(5571),
    [anon_sym_xor] = ACTIONS(5571),
    [anon_sym_bitand] = ACTIONS(5571),
    [anon_sym_not_eq] = ACTIONS(5571),
    [anon_sym_DASH_DASH] = ACTIONS(5573),
    [anon_sym_PLUS_PLUS] = ACTIONS(5573),
    [anon_sym_DOT] = ACTIONS(5571),
    [anon_sym_DOT_STAR] = ACTIONS(5573),
    [anon_sym_DASH_GT] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5571),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(6132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6134),
    [anon_sym_COMMA] = ACTIONS(6134),
    [anon_sym_RPAREN] = ACTIONS(6134),
    [aux_sym_preproc_if_token2] = ACTIONS(6134),
    [aux_sym_preproc_else_token1] = ACTIONS(6134),
    [aux_sym_preproc_elif_token1] = ACTIONS(6132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6134),
    [anon_sym_LPAREN2] = ACTIONS(6134),
    [anon_sym_DASH] = ACTIONS(6132),
    [anon_sym_PLUS] = ACTIONS(6132),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6132),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_PIPE_PIPE] = ACTIONS(6134),
    [anon_sym_AMP_AMP] = ACTIONS(6134),
    [anon_sym_PIPE] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6132),
    [anon_sym_AMP] = ACTIONS(6132),
    [anon_sym_EQ_EQ] = ACTIONS(6134),
    [anon_sym_BANG_EQ] = ACTIONS(6134),
    [anon_sym_GT] = ACTIONS(6132),
    [anon_sym_GT_EQ] = ACTIONS(6134),
    [anon_sym_LT_EQ] = ACTIONS(6132),
    [anon_sym_LT] = ACTIONS(6132),
    [anon_sym_LT_LT] = ACTIONS(6132),
    [anon_sym_GT_GT] = ACTIONS(6132),
    [anon_sym_SEMI] = ACTIONS(6134),
    [anon_sym___attribute__] = ACTIONS(6132),
    [anon_sym___attribute] = ACTIONS(6132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6134),
    [anon_sym_LBRACE] = ACTIONS(6134),
    [anon_sym_RBRACE] = ACTIONS(6134),
    [anon_sym_LBRACK] = ACTIONS(6132),
    [anon_sym_RBRACK] = ACTIONS(6134),
    [anon_sym_EQ] = ACTIONS(6132),
    [anon_sym_COLON] = ACTIONS(6134),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_STAR_EQ] = ACTIONS(6134),
    [anon_sym_SLASH_EQ] = ACTIONS(6134),
    [anon_sym_PERCENT_EQ] = ACTIONS(6134),
    [anon_sym_PLUS_EQ] = ACTIONS(6134),
    [anon_sym_DASH_EQ] = ACTIONS(6134),
    [anon_sym_LT_LT_EQ] = ACTIONS(6134),
    [anon_sym_GT_GT_EQ] = ACTIONS(6134),
    [anon_sym_AMP_EQ] = ACTIONS(6134),
    [anon_sym_CARET_EQ] = ACTIONS(6134),
    [anon_sym_PIPE_EQ] = ACTIONS(6134),
    [anon_sym_and_eq] = ACTIONS(6132),
    [anon_sym_or_eq] = ACTIONS(6132),
    [anon_sym_xor_eq] = ACTIONS(6132),
    [anon_sym_LT_EQ_GT] = ACTIONS(6134),
    [anon_sym_or] = ACTIONS(6132),
    [anon_sym_and] = ACTIONS(6132),
    [anon_sym_bitor] = ACTIONS(6132),
    [anon_sym_xor] = ACTIONS(6132),
    [anon_sym_bitand] = ACTIONS(6132),
    [anon_sym_not_eq] = ACTIONS(6132),
    [anon_sym_DASH_DASH] = ACTIONS(6134),
    [anon_sym_PLUS_PLUS] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6132),
    [anon_sym_DOT_STAR] = ACTIONS(6134),
    [anon_sym_DASH_GT] = ACTIONS(6134),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6132),
  },
  [2239] = {
    [sym_identifier] = ACTIONS(5580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5582),
    [anon_sym_COMMA] = ACTIONS(5582),
    [anon_sym_RPAREN] = ACTIONS(5582),
    [aux_sym_preproc_if_token2] = ACTIONS(5582),
    [aux_sym_preproc_else_token1] = ACTIONS(5582),
    [aux_sym_preproc_elif_token1] = ACTIONS(5580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5582),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5582),
    [anon_sym_LPAREN2] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5580),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_PIPE] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5582),
    [anon_sym_BANG_EQ] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5582),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5580),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5580),
    [anon_sym_SEMI] = ACTIONS(5582),
    [anon_sym___attribute__] = ACTIONS(5580),
    [anon_sym___attribute] = ACTIONS(5580),
    [anon_sym_LBRACE] = ACTIONS(5582),
    [anon_sym_RBRACE] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [anon_sym_RBRACK] = ACTIONS(5582),
    [anon_sym_EQ] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5582),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_STAR_EQ] = ACTIONS(5582),
    [anon_sym_SLASH_EQ] = ACTIONS(5582),
    [anon_sym_PERCENT_EQ] = ACTIONS(5582),
    [anon_sym_PLUS_EQ] = ACTIONS(5582),
    [anon_sym_DASH_EQ] = ACTIONS(5582),
    [anon_sym_LT_LT_EQ] = ACTIONS(5582),
    [anon_sym_GT_GT_EQ] = ACTIONS(5582),
    [anon_sym_AMP_EQ] = ACTIONS(5582),
    [anon_sym_CARET_EQ] = ACTIONS(5582),
    [anon_sym_PIPE_EQ] = ACTIONS(5582),
    [anon_sym_and_eq] = ACTIONS(5580),
    [anon_sym_or_eq] = ACTIONS(5580),
    [anon_sym_xor_eq] = ACTIONS(5580),
    [anon_sym_LT_EQ_GT] = ACTIONS(5582),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_bitor] = ACTIONS(5580),
    [anon_sym_xor] = ACTIONS(5580),
    [anon_sym_bitand] = ACTIONS(5580),
    [anon_sym_not_eq] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5580),
    [anon_sym_DOT_STAR] = ACTIONS(5582),
    [anon_sym_DASH_GT] = ACTIONS(5582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5580),
    [anon_sym_decltype] = ACTIONS(5580),
  },
  [2240] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [aux_sym_preproc_if_token2] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5674),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5674),
    [anon_sym___attribute] = ACTIONS(5674),
    [anon_sym_LBRACE] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5676),
    [anon_sym_STAR_EQ] = ACTIONS(5676),
    [anon_sym_SLASH_EQ] = ACTIONS(5676),
    [anon_sym_PERCENT_EQ] = ACTIONS(5676),
    [anon_sym_PLUS_EQ] = ACTIONS(5676),
    [anon_sym_DASH_EQ] = ACTIONS(5676),
    [anon_sym_LT_LT_EQ] = ACTIONS(5676),
    [anon_sym_GT_GT_EQ] = ACTIONS(5676),
    [anon_sym_AMP_EQ] = ACTIONS(5676),
    [anon_sym_CARET_EQ] = ACTIONS(5676),
    [anon_sym_PIPE_EQ] = ACTIONS(5676),
    [anon_sym_and_eq] = ACTIONS(5674),
    [anon_sym_or_eq] = ACTIONS(5674),
    [anon_sym_xor_eq] = ACTIONS(5674),
    [anon_sym_LT_EQ_GT] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_and] = ACTIONS(5674),
    [anon_sym_bitor] = ACTIONS(5674),
    [anon_sym_xor] = ACTIONS(5674),
    [anon_sym_bitand] = ACTIONS(5674),
    [anon_sym_not_eq] = ACTIONS(5674),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_DOT_STAR] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5674),
    [anon_sym_decltype] = ACTIONS(5674),
  },
  [2241] = {
    [sym_identifier] = ACTIONS(5621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5623),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_RPAREN] = ACTIONS(5623),
    [aux_sym_preproc_if_token2] = ACTIONS(5623),
    [aux_sym_preproc_else_token1] = ACTIONS(5623),
    [aux_sym_preproc_elif_token1] = ACTIONS(5621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5623),
    [anon_sym_LPAREN2] = ACTIONS(5623),
    [anon_sym_DASH] = ACTIONS(5621),
    [anon_sym_PLUS] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_SLASH] = ACTIONS(5621),
    [anon_sym_PERCENT] = ACTIONS(5621),
    [anon_sym_PIPE_PIPE] = ACTIONS(5623),
    [anon_sym_AMP_AMP] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5621),
    [anon_sym_CARET] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym_EQ_EQ] = ACTIONS(5623),
    [anon_sym_BANG_EQ] = ACTIONS(5623),
    [anon_sym_GT] = ACTIONS(5621),
    [anon_sym_GT_EQ] = ACTIONS(5623),
    [anon_sym_LT_EQ] = ACTIONS(5621),
    [anon_sym_LT] = ACTIONS(5621),
    [anon_sym_LT_LT] = ACTIONS(5621),
    [anon_sym_GT_GT] = ACTIONS(5621),
    [anon_sym_SEMI] = ACTIONS(5623),
    [anon_sym___attribute__] = ACTIONS(5621),
    [anon_sym___attribute] = ACTIONS(5621),
    [anon_sym_LBRACE] = ACTIONS(5623),
    [anon_sym_RBRACE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5623),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5621),
    [anon_sym_COLON] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_STAR_EQ] = ACTIONS(5623),
    [anon_sym_SLASH_EQ] = ACTIONS(5623),
    [anon_sym_PERCENT_EQ] = ACTIONS(5623),
    [anon_sym_PLUS_EQ] = ACTIONS(5623),
    [anon_sym_DASH_EQ] = ACTIONS(5623),
    [anon_sym_LT_LT_EQ] = ACTIONS(5623),
    [anon_sym_GT_GT_EQ] = ACTIONS(5623),
    [anon_sym_AMP_EQ] = ACTIONS(5623),
    [anon_sym_CARET_EQ] = ACTIONS(5623),
    [anon_sym_PIPE_EQ] = ACTIONS(5623),
    [anon_sym_and_eq] = ACTIONS(5621),
    [anon_sym_or_eq] = ACTIONS(5621),
    [anon_sym_xor_eq] = ACTIONS(5621),
    [anon_sym_LT_EQ_GT] = ACTIONS(5623),
    [anon_sym_or] = ACTIONS(5621),
    [anon_sym_and] = ACTIONS(5621),
    [anon_sym_bitor] = ACTIONS(5621),
    [anon_sym_xor] = ACTIONS(5621),
    [anon_sym_bitand] = ACTIONS(5621),
    [anon_sym_not_eq] = ACTIONS(5621),
    [anon_sym_DASH_DASH] = ACTIONS(5623),
    [anon_sym_PLUS_PLUS] = ACTIONS(5623),
    [anon_sym_DOT] = ACTIONS(5621),
    [anon_sym_DOT_STAR] = ACTIONS(5623),
    [anon_sym_DASH_GT] = ACTIONS(5623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5621),
    [anon_sym_decltype] = ACTIONS(5621),
  },
  [2242] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_and_eq] = ACTIONS(5350),
    [anon_sym_or_eq] = ACTIONS(5350),
    [anon_sym_xor_eq] = ACTIONS(5350),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [anon_sym_L_DQUOTE] = ACTIONS(5352),
    [anon_sym_u_DQUOTE] = ACTIONS(5352),
    [anon_sym_U_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8_DQUOTE] = ACTIONS(5352),
    [anon_sym_DQUOTE] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5352),
    [anon_sym_LR_DQUOTE] = ACTIONS(5352),
    [anon_sym_uR_DQUOTE] = ACTIONS(5352),
    [anon_sym_UR_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5352),
    [sym_literal_suffix] = ACTIONS(5350),
  },
  [2243] = {
    [sym_identifier] = ACTIONS(5678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5680),
    [anon_sym_COMMA] = ACTIONS(5680),
    [anon_sym_RPAREN] = ACTIONS(5680),
    [aux_sym_preproc_if_token2] = ACTIONS(5680),
    [aux_sym_preproc_else_token1] = ACTIONS(5680),
    [aux_sym_preproc_elif_token1] = ACTIONS(5678),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5680),
    [anon_sym_AMP_AMP] = ACTIONS(5680),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_EQ_EQ] = ACTIONS(5680),
    [anon_sym_BANG_EQ] = ACTIONS(5680),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_GT_EQ] = ACTIONS(5680),
    [anon_sym_LT_EQ] = ACTIONS(5678),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_SEMI] = ACTIONS(5680),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym___attribute] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5680),
    [anon_sym_RBRACE] = ACTIONS(5680),
    [anon_sym_LBRACK] = ACTIONS(5680),
    [anon_sym_RBRACK] = ACTIONS(5680),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5680),
    [anon_sym_QMARK] = ACTIONS(5680),
    [anon_sym_STAR_EQ] = ACTIONS(5680),
    [anon_sym_SLASH_EQ] = ACTIONS(5680),
    [anon_sym_PERCENT_EQ] = ACTIONS(5680),
    [anon_sym_PLUS_EQ] = ACTIONS(5680),
    [anon_sym_DASH_EQ] = ACTIONS(5680),
    [anon_sym_LT_LT_EQ] = ACTIONS(5680),
    [anon_sym_GT_GT_EQ] = ACTIONS(5680),
    [anon_sym_AMP_EQ] = ACTIONS(5680),
    [anon_sym_CARET_EQ] = ACTIONS(5680),
    [anon_sym_PIPE_EQ] = ACTIONS(5680),
    [anon_sym_and_eq] = ACTIONS(5678),
    [anon_sym_or_eq] = ACTIONS(5678),
    [anon_sym_xor_eq] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5680),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_and] = ACTIONS(5678),
    [anon_sym_bitor] = ACTIONS(5678),
    [anon_sym_xor] = ACTIONS(5678),
    [anon_sym_bitand] = ACTIONS(5678),
    [anon_sym_not_eq] = ACTIONS(5678),
    [anon_sym_DASH_DASH] = ACTIONS(5680),
    [anon_sym_PLUS_PLUS] = ACTIONS(5680),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_DOT_STAR] = ACTIONS(5680),
    [anon_sym_DASH_GT] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5678),
    [anon_sym_decltype] = ACTIONS(5678),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_TILDE] = ACTIONS(4820),
    [anon_sym_STAR] = ACTIONS(4820),
    [anon_sym_PIPE_PIPE] = ACTIONS(4820),
    [anon_sym_AMP_AMP] = ACTIONS(4820),
    [anon_sym_AMP] = ACTIONS(4818),
    [anon_sym___extension__] = ACTIONS(4818),
    [anon_sym_virtual] = ACTIONS(4818),
    [anon_sym_extern] = ACTIONS(4818),
    [anon_sym___attribute__] = ACTIONS(4818),
    [anon_sym___attribute] = ACTIONS(4818),
    [anon_sym_COLON_COLON] = ACTIONS(4820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4820),
    [anon_sym___declspec] = ACTIONS(4818),
    [anon_sym___based] = ACTIONS(4818),
    [anon_sym___cdecl] = ACTIONS(4818),
    [anon_sym___clrcall] = ACTIONS(4818),
    [anon_sym___stdcall] = ACTIONS(4818),
    [anon_sym___fastcall] = ACTIONS(4818),
    [anon_sym___thiscall] = ACTIONS(4818),
    [anon_sym___vectorcall] = ACTIONS(4818),
    [anon_sym_signed] = ACTIONS(4818),
    [anon_sym_unsigned] = ACTIONS(4818),
    [anon_sym_long] = ACTIONS(4818),
    [anon_sym_short] = ACTIONS(4818),
    [anon_sym_LBRACK] = ACTIONS(4818),
    [anon_sym_static] = ACTIONS(4818),
    [anon_sym_register] = ACTIONS(4818),
    [anon_sym_inline] = ACTIONS(4818),
    [anon_sym___inline] = ACTIONS(4818),
    [anon_sym___inline__] = ACTIONS(4818),
    [anon_sym___forceinline] = ACTIONS(4818),
    [anon_sym_thread_local] = ACTIONS(4818),
    [anon_sym___thread] = ACTIONS(4818),
    [anon_sym_const] = ACTIONS(4818),
    [anon_sym_constexpr] = ACTIONS(4818),
    [anon_sym_volatile] = ACTIONS(4818),
    [anon_sym_restrict] = ACTIONS(4818),
    [anon_sym___restrict__] = ACTIONS(4818),
    [anon_sym__Atomic] = ACTIONS(4818),
    [anon_sym__Noreturn] = ACTIONS(4818),
    [anon_sym_noreturn] = ACTIONS(4818),
    [anon_sym__Nonnull] = ACTIONS(4818),
    [anon_sym_mutable] = ACTIONS(4818),
    [anon_sym_constinit] = ACTIONS(4818),
    [anon_sym_consteval] = ACTIONS(4818),
    [anon_sym_alignas] = ACTIONS(4818),
    [anon_sym__Alignas] = ACTIONS(4818),
    [sym_primitive_type] = ACTIONS(4818),
    [anon_sym_enum] = ACTIONS(4818),
    [anon_sym_class] = ACTIONS(4818),
    [anon_sym_struct] = ACTIONS(4818),
    [anon_sym_union] = ACTIONS(4818),
    [anon_sym_or] = ACTIONS(4818),
    [anon_sym_and] = ACTIONS(4818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4818),
    [anon_sym_decltype] = ACTIONS(4818),
    [anon_sym_explicit] = ACTIONS(4818),
    [anon_sym_typename] = ACTIONS(4818),
    [anon_sym_template] = ACTIONS(4818),
    [anon_sym_operator] = ACTIONS(4818),
    [anon_sym_friend] = ACTIONS(4818),
    [anon_sym_using] = ACTIONS(4818),
    [anon_sym_concept] = ACTIONS(4818),
  },
  [2245] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(6136),
    [anon_sym_COLON] = ACTIONS(4071),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(6138),
    [anon_sym_SLASH_EQ] = ACTIONS(6138),
    [anon_sym_PERCENT_EQ] = ACTIONS(6138),
    [anon_sym_PLUS_EQ] = ACTIONS(6138),
    [anon_sym_DASH_EQ] = ACTIONS(6138),
    [anon_sym_LT_LT_EQ] = ACTIONS(6138),
    [anon_sym_GT_GT_EQ] = ACTIONS(6138),
    [anon_sym_AMP_EQ] = ACTIONS(6138),
    [anon_sym_CARET_EQ] = ACTIONS(6138),
    [anon_sym_PIPE_EQ] = ACTIONS(6138),
    [anon_sym_and_eq] = ACTIONS(6138),
    [anon_sym_or_eq] = ACTIONS(6138),
    [anon_sym_xor_eq] = ACTIONS(6138),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2246] = {
    [sym_argument_list] = STATE(2459),
    [sym_initializer_list] = STATE(2459),
    [sym_identifier] = ACTIONS(6140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6142),
    [anon_sym_COMMA] = ACTIONS(6142),
    [anon_sym_RPAREN] = ACTIONS(6142),
    [aux_sym_preproc_if_token2] = ACTIONS(6142),
    [aux_sym_preproc_else_token1] = ACTIONS(6142),
    [aux_sym_preproc_elif_token1] = ACTIONS(6140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6142),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(6140),
    [anon_sym_PLUS] = ACTIONS(6140),
    [anon_sym_STAR] = ACTIONS(6140),
    [anon_sym_SLASH] = ACTIONS(6140),
    [anon_sym_PERCENT] = ACTIONS(6140),
    [anon_sym_PIPE_PIPE] = ACTIONS(6142),
    [anon_sym_AMP_AMP] = ACTIONS(6142),
    [anon_sym_PIPE] = ACTIONS(6140),
    [anon_sym_CARET] = ACTIONS(6140),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_EQ_EQ] = ACTIONS(6142),
    [anon_sym_BANG_EQ] = ACTIONS(6142),
    [anon_sym_GT] = ACTIONS(6140),
    [anon_sym_GT_EQ] = ACTIONS(6142),
    [anon_sym_LT_EQ] = ACTIONS(6140),
    [anon_sym_LT] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6140),
    [anon_sym_GT_GT] = ACTIONS(6140),
    [anon_sym_SEMI] = ACTIONS(6142),
    [anon_sym___attribute__] = ACTIONS(6140),
    [anon_sym___attribute] = ACTIONS(6140),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(6142),
    [anon_sym_LBRACK] = ACTIONS(6142),
    [anon_sym_RBRACK] = ACTIONS(6142),
    [anon_sym_EQ] = ACTIONS(6140),
    [anon_sym_COLON] = ACTIONS(6142),
    [anon_sym_QMARK] = ACTIONS(6142),
    [anon_sym_STAR_EQ] = ACTIONS(6142),
    [anon_sym_SLASH_EQ] = ACTIONS(6142),
    [anon_sym_PERCENT_EQ] = ACTIONS(6142),
    [anon_sym_PLUS_EQ] = ACTIONS(6142),
    [anon_sym_DASH_EQ] = ACTIONS(6142),
    [anon_sym_LT_LT_EQ] = ACTIONS(6142),
    [anon_sym_GT_GT_EQ] = ACTIONS(6142),
    [anon_sym_AMP_EQ] = ACTIONS(6142),
    [anon_sym_CARET_EQ] = ACTIONS(6142),
    [anon_sym_PIPE_EQ] = ACTIONS(6142),
    [anon_sym_and_eq] = ACTIONS(6140),
    [anon_sym_or_eq] = ACTIONS(6140),
    [anon_sym_xor_eq] = ACTIONS(6140),
    [anon_sym_LT_EQ_GT] = ACTIONS(6142),
    [anon_sym_or] = ACTIONS(6140),
    [anon_sym_and] = ACTIONS(6140),
    [anon_sym_bitor] = ACTIONS(6140),
    [anon_sym_xor] = ACTIONS(6140),
    [anon_sym_bitand] = ACTIONS(6140),
    [anon_sym_not_eq] = ACTIONS(6140),
    [anon_sym_DASH_DASH] = ACTIONS(6142),
    [anon_sym_PLUS_PLUS] = ACTIONS(6142),
    [anon_sym_DOT] = ACTIONS(6140),
    [anon_sym_DOT_STAR] = ACTIONS(6142),
    [anon_sym_DASH_GT] = ACTIONS(6142),
    [sym_comment] = ACTIONS(3),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(5500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_RPAREN] = ACTIONS(5502),
    [aux_sym_preproc_if_token2] = ACTIONS(5502),
    [aux_sym_preproc_else_token1] = ACTIONS(5502),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5502),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5502),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5500),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5500),
    [anon_sym_PIPE_PIPE] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_CARET] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5500),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5500),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym___attribute] = ACTIONS(5500),
    [anon_sym_LBRACE] = ACTIONS(5502),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_RBRACK] = ACTIONS(5502),
    [anon_sym_EQ] = ACTIONS(5500),
    [anon_sym_COLON] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_STAR_EQ] = ACTIONS(5502),
    [anon_sym_SLASH_EQ] = ACTIONS(5502),
    [anon_sym_PERCENT_EQ] = ACTIONS(5502),
    [anon_sym_PLUS_EQ] = ACTIONS(5502),
    [anon_sym_DASH_EQ] = ACTIONS(5502),
    [anon_sym_LT_LT_EQ] = ACTIONS(5502),
    [anon_sym_GT_GT_EQ] = ACTIONS(5502),
    [anon_sym_AMP_EQ] = ACTIONS(5502),
    [anon_sym_CARET_EQ] = ACTIONS(5502),
    [anon_sym_PIPE_EQ] = ACTIONS(5502),
    [anon_sym_and_eq] = ACTIONS(5500),
    [anon_sym_or_eq] = ACTIONS(5500),
    [anon_sym_xor_eq] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5502),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_and] = ACTIONS(5500),
    [anon_sym_bitor] = ACTIONS(5500),
    [anon_sym_xor] = ACTIONS(5500),
    [anon_sym_bitand] = ACTIONS(5500),
    [anon_sym_not_eq] = ACTIONS(5500),
    [anon_sym_DASH_DASH] = ACTIONS(5502),
    [anon_sym_PLUS_PLUS] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_DOT_STAR] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
  },
  [2248] = {
    [sym_identifier] = ACTIONS(5508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5510),
    [anon_sym_COMMA] = ACTIONS(5510),
    [anon_sym_RPAREN] = ACTIONS(5510),
    [aux_sym_preproc_if_token2] = ACTIONS(5510),
    [aux_sym_preproc_else_token1] = ACTIONS(5510),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5510),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5510),
    [anon_sym_LPAREN2] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_SLASH] = ACTIONS(5508),
    [anon_sym_PERCENT] = ACTIONS(5508),
    [anon_sym_PIPE_PIPE] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5510),
    [anon_sym_PIPE] = ACTIONS(5508),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym_EQ_EQ] = ACTIONS(5510),
    [anon_sym_BANG_EQ] = ACTIONS(5510),
    [anon_sym_GT] = ACTIONS(5508),
    [anon_sym_GT_EQ] = ACTIONS(5510),
    [anon_sym_LT_EQ] = ACTIONS(5508),
    [anon_sym_LT] = ACTIONS(5508),
    [anon_sym_LT_LT] = ACTIONS(5508),
    [anon_sym_GT_GT] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5510),
    [anon_sym___attribute__] = ACTIONS(5508),
    [anon_sym___attribute] = ACTIONS(5508),
    [anon_sym_LBRACE] = ACTIONS(5510),
    [anon_sym_RBRACE] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_RBRACK] = ACTIONS(5510),
    [anon_sym_EQ] = ACTIONS(5508),
    [anon_sym_COLON] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5510),
    [anon_sym_STAR_EQ] = ACTIONS(5510),
    [anon_sym_SLASH_EQ] = ACTIONS(5510),
    [anon_sym_PERCENT_EQ] = ACTIONS(5510),
    [anon_sym_PLUS_EQ] = ACTIONS(5510),
    [anon_sym_DASH_EQ] = ACTIONS(5510),
    [anon_sym_LT_LT_EQ] = ACTIONS(5510),
    [anon_sym_GT_GT_EQ] = ACTIONS(5510),
    [anon_sym_AMP_EQ] = ACTIONS(5510),
    [anon_sym_CARET_EQ] = ACTIONS(5510),
    [anon_sym_PIPE_EQ] = ACTIONS(5510),
    [anon_sym_and_eq] = ACTIONS(5508),
    [anon_sym_or_eq] = ACTIONS(5508),
    [anon_sym_xor_eq] = ACTIONS(5508),
    [anon_sym_LT_EQ_GT] = ACTIONS(5510),
    [anon_sym_or] = ACTIONS(5508),
    [anon_sym_and] = ACTIONS(5508),
    [anon_sym_bitor] = ACTIONS(5508),
    [anon_sym_xor] = ACTIONS(5508),
    [anon_sym_bitand] = ACTIONS(5508),
    [anon_sym_not_eq] = ACTIONS(5508),
    [anon_sym_DASH_DASH] = ACTIONS(5510),
    [anon_sym_PLUS_PLUS] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_DOT_STAR] = ACTIONS(5510),
    [anon_sym_DASH_GT] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5508),
    [anon_sym_decltype] = ACTIONS(5508),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(4810),
    [anon_sym_LPAREN2] = ACTIONS(4812),
    [anon_sym_TILDE] = ACTIONS(4812),
    [anon_sym_STAR] = ACTIONS(4812),
    [anon_sym_PIPE_PIPE] = ACTIONS(4812),
    [anon_sym_AMP_AMP] = ACTIONS(4812),
    [anon_sym_AMP] = ACTIONS(4810),
    [anon_sym___extension__] = ACTIONS(4810),
    [anon_sym_virtual] = ACTIONS(4810),
    [anon_sym_extern] = ACTIONS(4810),
    [anon_sym___attribute__] = ACTIONS(4810),
    [anon_sym___attribute] = ACTIONS(4810),
    [anon_sym_COLON_COLON] = ACTIONS(4812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4812),
    [anon_sym___declspec] = ACTIONS(4810),
    [anon_sym___based] = ACTIONS(4810),
    [anon_sym___cdecl] = ACTIONS(4810),
    [anon_sym___clrcall] = ACTIONS(4810),
    [anon_sym___stdcall] = ACTIONS(4810),
    [anon_sym___fastcall] = ACTIONS(4810),
    [anon_sym___thiscall] = ACTIONS(4810),
    [anon_sym___vectorcall] = ACTIONS(4810),
    [anon_sym_signed] = ACTIONS(4810),
    [anon_sym_unsigned] = ACTIONS(4810),
    [anon_sym_long] = ACTIONS(4810),
    [anon_sym_short] = ACTIONS(4810),
    [anon_sym_LBRACK] = ACTIONS(4810),
    [anon_sym_static] = ACTIONS(4810),
    [anon_sym_register] = ACTIONS(4810),
    [anon_sym_inline] = ACTIONS(4810),
    [anon_sym___inline] = ACTIONS(4810),
    [anon_sym___inline__] = ACTIONS(4810),
    [anon_sym___forceinline] = ACTIONS(4810),
    [anon_sym_thread_local] = ACTIONS(4810),
    [anon_sym___thread] = ACTIONS(4810),
    [anon_sym_const] = ACTIONS(4810),
    [anon_sym_constexpr] = ACTIONS(4810),
    [anon_sym_volatile] = ACTIONS(4810),
    [anon_sym_restrict] = ACTIONS(4810),
    [anon_sym___restrict__] = ACTIONS(4810),
    [anon_sym__Atomic] = ACTIONS(4810),
    [anon_sym__Noreturn] = ACTIONS(4810),
    [anon_sym_noreturn] = ACTIONS(4810),
    [anon_sym__Nonnull] = ACTIONS(4810),
    [anon_sym_mutable] = ACTIONS(4810),
    [anon_sym_constinit] = ACTIONS(4810),
    [anon_sym_consteval] = ACTIONS(4810),
    [anon_sym_alignas] = ACTIONS(4810),
    [anon_sym__Alignas] = ACTIONS(4810),
    [sym_primitive_type] = ACTIONS(4810),
    [anon_sym_enum] = ACTIONS(4810),
    [anon_sym_class] = ACTIONS(4810),
    [anon_sym_struct] = ACTIONS(4810),
    [anon_sym_union] = ACTIONS(4810),
    [anon_sym_or] = ACTIONS(4810),
    [anon_sym_and] = ACTIONS(4810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4810),
    [anon_sym_decltype] = ACTIONS(4810),
    [anon_sym_explicit] = ACTIONS(4810),
    [anon_sym_typename] = ACTIONS(4810),
    [anon_sym_template] = ACTIONS(4810),
    [anon_sym_operator] = ACTIONS(4810),
    [anon_sym_friend] = ACTIONS(4810),
    [anon_sym_using] = ACTIONS(4810),
    [anon_sym_concept] = ACTIONS(4810),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(5595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5597),
    [anon_sym_COMMA] = ACTIONS(5597),
    [anon_sym_RPAREN] = ACTIONS(5597),
    [aux_sym_preproc_if_token2] = ACTIONS(5597),
    [aux_sym_preproc_else_token1] = ACTIONS(5597),
    [aux_sym_preproc_elif_token1] = ACTIONS(5595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5597),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5597),
    [anon_sym_LPAREN2] = ACTIONS(5597),
    [anon_sym_DASH] = ACTIONS(5595),
    [anon_sym_PLUS] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5595),
    [anon_sym_SLASH] = ACTIONS(5595),
    [anon_sym_PERCENT] = ACTIONS(5595),
    [anon_sym_PIPE_PIPE] = ACTIONS(5597),
    [anon_sym_AMP_AMP] = ACTIONS(5597),
    [anon_sym_PIPE] = ACTIONS(5595),
    [anon_sym_CARET] = ACTIONS(5595),
    [anon_sym_AMP] = ACTIONS(5595),
    [anon_sym_EQ_EQ] = ACTIONS(5597),
    [anon_sym_BANG_EQ] = ACTIONS(5597),
    [anon_sym_GT] = ACTIONS(5595),
    [anon_sym_GT_EQ] = ACTIONS(5597),
    [anon_sym_LT_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(5595),
    [anon_sym_LT_LT] = ACTIONS(5595),
    [anon_sym_GT_GT] = ACTIONS(5595),
    [anon_sym_SEMI] = ACTIONS(5597),
    [anon_sym___attribute__] = ACTIONS(5595),
    [anon_sym___attribute] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(5597),
    [anon_sym_RBRACE] = ACTIONS(5597),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_RBRACK] = ACTIONS(5597),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_COLON] = ACTIONS(5597),
    [anon_sym_QMARK] = ACTIONS(5597),
    [anon_sym_STAR_EQ] = ACTIONS(5597),
    [anon_sym_SLASH_EQ] = ACTIONS(5597),
    [anon_sym_PERCENT_EQ] = ACTIONS(5597),
    [anon_sym_PLUS_EQ] = ACTIONS(5597),
    [anon_sym_DASH_EQ] = ACTIONS(5597),
    [anon_sym_LT_LT_EQ] = ACTIONS(5597),
    [anon_sym_GT_GT_EQ] = ACTIONS(5597),
    [anon_sym_AMP_EQ] = ACTIONS(5597),
    [anon_sym_CARET_EQ] = ACTIONS(5597),
    [anon_sym_PIPE_EQ] = ACTIONS(5597),
    [anon_sym_and_eq] = ACTIONS(5595),
    [anon_sym_or_eq] = ACTIONS(5595),
    [anon_sym_xor_eq] = ACTIONS(5595),
    [anon_sym_LT_EQ_GT] = ACTIONS(5597),
    [anon_sym_or] = ACTIONS(5595),
    [anon_sym_and] = ACTIONS(5595),
    [anon_sym_bitor] = ACTIONS(5595),
    [anon_sym_xor] = ACTIONS(5595),
    [anon_sym_bitand] = ACTIONS(5595),
    [anon_sym_not_eq] = ACTIONS(5595),
    [anon_sym_DASH_DASH] = ACTIONS(5597),
    [anon_sym_PLUS_PLUS] = ACTIONS(5597),
    [anon_sym_DOT] = ACTIONS(5595),
    [anon_sym_DOT_STAR] = ACTIONS(5597),
    [anon_sym_DASH_GT] = ACTIONS(5597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5595),
    [anon_sym_decltype] = ACTIONS(5595),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(4826),
    [anon_sym_LPAREN2] = ACTIONS(4828),
    [anon_sym_TILDE] = ACTIONS(4828),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_PIPE_PIPE] = ACTIONS(4828),
    [anon_sym_AMP_AMP] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4826),
    [anon_sym___extension__] = ACTIONS(4826),
    [anon_sym_virtual] = ACTIONS(4826),
    [anon_sym_extern] = ACTIONS(4826),
    [anon_sym___attribute__] = ACTIONS(4826),
    [anon_sym___attribute] = ACTIONS(4826),
    [anon_sym_COLON_COLON] = ACTIONS(4828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4828),
    [anon_sym___declspec] = ACTIONS(4826),
    [anon_sym___based] = ACTIONS(4826),
    [anon_sym___cdecl] = ACTIONS(4826),
    [anon_sym___clrcall] = ACTIONS(4826),
    [anon_sym___stdcall] = ACTIONS(4826),
    [anon_sym___fastcall] = ACTIONS(4826),
    [anon_sym___thiscall] = ACTIONS(4826),
    [anon_sym___vectorcall] = ACTIONS(4826),
    [anon_sym_signed] = ACTIONS(4826),
    [anon_sym_unsigned] = ACTIONS(4826),
    [anon_sym_long] = ACTIONS(4826),
    [anon_sym_short] = ACTIONS(4826),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_static] = ACTIONS(4826),
    [anon_sym_register] = ACTIONS(4826),
    [anon_sym_inline] = ACTIONS(4826),
    [anon_sym___inline] = ACTIONS(4826),
    [anon_sym___inline__] = ACTIONS(4826),
    [anon_sym___forceinline] = ACTIONS(4826),
    [anon_sym_thread_local] = ACTIONS(4826),
    [anon_sym___thread] = ACTIONS(4826),
    [anon_sym_const] = ACTIONS(4826),
    [anon_sym_constexpr] = ACTIONS(4826),
    [anon_sym_volatile] = ACTIONS(4826),
    [anon_sym_restrict] = ACTIONS(4826),
    [anon_sym___restrict__] = ACTIONS(4826),
    [anon_sym__Atomic] = ACTIONS(4826),
    [anon_sym__Noreturn] = ACTIONS(4826),
    [anon_sym_noreturn] = ACTIONS(4826),
    [anon_sym__Nonnull] = ACTIONS(4826),
    [anon_sym_mutable] = ACTIONS(4826),
    [anon_sym_constinit] = ACTIONS(4826),
    [anon_sym_consteval] = ACTIONS(4826),
    [anon_sym_alignas] = ACTIONS(4826),
    [anon_sym__Alignas] = ACTIONS(4826),
    [sym_primitive_type] = ACTIONS(4826),
    [anon_sym_enum] = ACTIONS(4826),
    [anon_sym_class] = ACTIONS(4826),
    [anon_sym_struct] = ACTIONS(4826),
    [anon_sym_union] = ACTIONS(4826),
    [anon_sym_or] = ACTIONS(4826),
    [anon_sym_and] = ACTIONS(4826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4826),
    [anon_sym_decltype] = ACTIONS(4826),
    [anon_sym_explicit] = ACTIONS(4826),
    [anon_sym_typename] = ACTIONS(4826),
    [anon_sym_template] = ACTIONS(4826),
    [anon_sym_operator] = ACTIONS(4826),
    [anon_sym_friend] = ACTIONS(4826),
    [anon_sym_using] = ACTIONS(4826),
    [anon_sym_concept] = ACTIONS(4826),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [aux_sym_preproc_if_token2] = ACTIONS(5506),
    [aux_sym_preproc_else_token1] = ACTIONS(5506),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym___attribute] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_and_eq] = ACTIONS(5504),
    [anon_sym_or_eq] = ACTIONS(5504),
    [anon_sym_xor_eq] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
  },
  [2253] = {
    [sym_string_literal] = STATE(1930),
    [sym_raw_string_literal] = STATE(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5748),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5748),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_CARET] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5748),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5748),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [anon_sym___attribute__] = ACTIONS(5748),
    [anon_sym___attribute] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5748),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_and_eq] = ACTIONS(5748),
    [anon_sym_or_eq] = ACTIONS(5748),
    [anon_sym_xor_eq] = ACTIONS(5748),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5748),
    [anon_sym_and] = ACTIONS(5748),
    [anon_sym_bitor] = ACTIONS(5748),
    [anon_sym_xor] = ACTIONS(5748),
    [anon_sym_bitand] = ACTIONS(5748),
    [anon_sym_not_eq] = ACTIONS(5748),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [anon_sym_L_DQUOTE] = ACTIONS(5807),
    [anon_sym_u_DQUOTE] = ACTIONS(5807),
    [anon_sym_U_DQUOTE] = ACTIONS(5807),
    [anon_sym_u8_DQUOTE] = ACTIONS(5807),
    [anon_sym_DQUOTE] = ACTIONS(5807),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5809),
    [anon_sym_LR_DQUOTE] = ACTIONS(5809),
    [anon_sym_uR_DQUOTE] = ACTIONS(5809),
    [anon_sym_UR_DQUOTE] = ACTIONS(5809),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5809),
    [sym_literal_suffix] = ACTIONS(5748),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(6144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6146),
    [anon_sym_COMMA] = ACTIONS(6146),
    [anon_sym_RPAREN] = ACTIONS(6146),
    [aux_sym_preproc_if_token2] = ACTIONS(6146),
    [aux_sym_preproc_else_token1] = ACTIONS(6146),
    [aux_sym_preproc_elif_token1] = ACTIONS(6144),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6146),
    [anon_sym_LPAREN2] = ACTIONS(6146),
    [anon_sym_DASH] = ACTIONS(6144),
    [anon_sym_PLUS] = ACTIONS(6144),
    [anon_sym_STAR] = ACTIONS(6144),
    [anon_sym_SLASH] = ACTIONS(6144),
    [anon_sym_PERCENT] = ACTIONS(6144),
    [anon_sym_PIPE_PIPE] = ACTIONS(6146),
    [anon_sym_AMP_AMP] = ACTIONS(6146),
    [anon_sym_PIPE] = ACTIONS(6144),
    [anon_sym_CARET] = ACTIONS(6144),
    [anon_sym_AMP] = ACTIONS(6144),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT] = ACTIONS(6144),
    [anon_sym_GT_EQ] = ACTIONS(6146),
    [anon_sym_LT_EQ] = ACTIONS(6144),
    [anon_sym_LT] = ACTIONS(6144),
    [anon_sym_LT_LT] = ACTIONS(6144),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_SEMI] = ACTIONS(6146),
    [anon_sym___attribute__] = ACTIONS(6144),
    [anon_sym___attribute] = ACTIONS(6144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6146),
    [anon_sym_LBRACE] = ACTIONS(6146),
    [anon_sym_RBRACE] = ACTIONS(6146),
    [anon_sym_LBRACK] = ACTIONS(6144),
    [anon_sym_RBRACK] = ACTIONS(6146),
    [anon_sym_EQ] = ACTIONS(6144),
    [anon_sym_COLON] = ACTIONS(6146),
    [anon_sym_QMARK] = ACTIONS(6146),
    [anon_sym_STAR_EQ] = ACTIONS(6146),
    [anon_sym_SLASH_EQ] = ACTIONS(6146),
    [anon_sym_PERCENT_EQ] = ACTIONS(6146),
    [anon_sym_PLUS_EQ] = ACTIONS(6146),
    [anon_sym_DASH_EQ] = ACTIONS(6146),
    [anon_sym_LT_LT_EQ] = ACTIONS(6146),
    [anon_sym_GT_GT_EQ] = ACTIONS(6146),
    [anon_sym_AMP_EQ] = ACTIONS(6146),
    [anon_sym_CARET_EQ] = ACTIONS(6146),
    [anon_sym_PIPE_EQ] = ACTIONS(6146),
    [anon_sym_and_eq] = ACTIONS(6144),
    [anon_sym_or_eq] = ACTIONS(6144),
    [anon_sym_xor_eq] = ACTIONS(6144),
    [anon_sym_LT_EQ_GT] = ACTIONS(6146),
    [anon_sym_or] = ACTIONS(6144),
    [anon_sym_and] = ACTIONS(6144),
    [anon_sym_bitor] = ACTIONS(6144),
    [anon_sym_xor] = ACTIONS(6144),
    [anon_sym_bitand] = ACTIONS(6144),
    [anon_sym_not_eq] = ACTIONS(6144),
    [anon_sym_DASH_DASH] = ACTIONS(6146),
    [anon_sym_PLUS_PLUS] = ACTIONS(6146),
    [anon_sym_DOT] = ACTIONS(6144),
    [anon_sym_DOT_STAR] = ACTIONS(6146),
    [anon_sym_DASH_GT] = ACTIONS(6146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6144),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(6148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6150),
    [anon_sym_COMMA] = ACTIONS(6150),
    [anon_sym_RPAREN] = ACTIONS(6150),
    [aux_sym_preproc_if_token2] = ACTIONS(6150),
    [aux_sym_preproc_else_token1] = ACTIONS(6150),
    [aux_sym_preproc_elif_token1] = ACTIONS(6148),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6150),
    [anon_sym_LPAREN2] = ACTIONS(6150),
    [anon_sym_DASH] = ACTIONS(6148),
    [anon_sym_PLUS] = ACTIONS(6148),
    [anon_sym_STAR] = ACTIONS(6148),
    [anon_sym_SLASH] = ACTIONS(6148),
    [anon_sym_PERCENT] = ACTIONS(6148),
    [anon_sym_PIPE_PIPE] = ACTIONS(6150),
    [anon_sym_AMP_AMP] = ACTIONS(6150),
    [anon_sym_PIPE] = ACTIONS(6148),
    [anon_sym_CARET] = ACTIONS(6148),
    [anon_sym_AMP] = ACTIONS(6148),
    [anon_sym_EQ_EQ] = ACTIONS(6150),
    [anon_sym_BANG_EQ] = ACTIONS(6150),
    [anon_sym_GT] = ACTIONS(6148),
    [anon_sym_GT_EQ] = ACTIONS(6150),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_LT] = ACTIONS(6148),
    [anon_sym_LT_LT] = ACTIONS(6148),
    [anon_sym_GT_GT] = ACTIONS(6148),
    [anon_sym_SEMI] = ACTIONS(6150),
    [anon_sym___attribute__] = ACTIONS(6148),
    [anon_sym___attribute] = ACTIONS(6148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6150),
    [anon_sym_LBRACE] = ACTIONS(6150),
    [anon_sym_RBRACE] = ACTIONS(6150),
    [anon_sym_LBRACK] = ACTIONS(6148),
    [anon_sym_RBRACK] = ACTIONS(6150),
    [anon_sym_EQ] = ACTIONS(6148),
    [anon_sym_COLON] = ACTIONS(6150),
    [anon_sym_QMARK] = ACTIONS(6150),
    [anon_sym_STAR_EQ] = ACTIONS(6150),
    [anon_sym_SLASH_EQ] = ACTIONS(6150),
    [anon_sym_PERCENT_EQ] = ACTIONS(6150),
    [anon_sym_PLUS_EQ] = ACTIONS(6150),
    [anon_sym_DASH_EQ] = ACTIONS(6150),
    [anon_sym_LT_LT_EQ] = ACTIONS(6150),
    [anon_sym_GT_GT_EQ] = ACTIONS(6150),
    [anon_sym_AMP_EQ] = ACTIONS(6150),
    [anon_sym_CARET_EQ] = ACTIONS(6150),
    [anon_sym_PIPE_EQ] = ACTIONS(6150),
    [anon_sym_and_eq] = ACTIONS(6148),
    [anon_sym_or_eq] = ACTIONS(6148),
    [anon_sym_xor_eq] = ACTIONS(6148),
    [anon_sym_LT_EQ_GT] = ACTIONS(6150),
    [anon_sym_or] = ACTIONS(6148),
    [anon_sym_and] = ACTIONS(6148),
    [anon_sym_bitor] = ACTIONS(6148),
    [anon_sym_xor] = ACTIONS(6148),
    [anon_sym_bitand] = ACTIONS(6148),
    [anon_sym_not_eq] = ACTIONS(6148),
    [anon_sym_DASH_DASH] = ACTIONS(6150),
    [anon_sym_PLUS_PLUS] = ACTIONS(6150),
    [anon_sym_DOT] = ACTIONS(6148),
    [anon_sym_DOT_STAR] = ACTIONS(6150),
    [anon_sym_DASH_GT] = ACTIONS(6150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6148),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(6152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6154),
    [anon_sym_COMMA] = ACTIONS(6154),
    [anon_sym_RPAREN] = ACTIONS(6154),
    [aux_sym_preproc_if_token2] = ACTIONS(6154),
    [aux_sym_preproc_else_token1] = ACTIONS(6154),
    [aux_sym_preproc_elif_token1] = ACTIONS(6152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6154),
    [anon_sym_LPAREN2] = ACTIONS(6154),
    [anon_sym_DASH] = ACTIONS(6152),
    [anon_sym_PLUS] = ACTIONS(6152),
    [anon_sym_STAR] = ACTIONS(6152),
    [anon_sym_SLASH] = ACTIONS(6152),
    [anon_sym_PERCENT] = ACTIONS(6152),
    [anon_sym_PIPE_PIPE] = ACTIONS(6154),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE] = ACTIONS(6152),
    [anon_sym_CARET] = ACTIONS(6152),
    [anon_sym_AMP] = ACTIONS(6152),
    [anon_sym_EQ_EQ] = ACTIONS(6154),
    [anon_sym_BANG_EQ] = ACTIONS(6154),
    [anon_sym_GT] = ACTIONS(6152),
    [anon_sym_GT_EQ] = ACTIONS(6154),
    [anon_sym_LT_EQ] = ACTIONS(6152),
    [anon_sym_LT] = ACTIONS(6152),
    [anon_sym_LT_LT] = ACTIONS(6152),
    [anon_sym_GT_GT] = ACTIONS(6152),
    [anon_sym_SEMI] = ACTIONS(6154),
    [anon_sym___attribute__] = ACTIONS(6152),
    [anon_sym___attribute] = ACTIONS(6152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6154),
    [anon_sym_LBRACE] = ACTIONS(6154),
    [anon_sym_RBRACE] = ACTIONS(6154),
    [anon_sym_LBRACK] = ACTIONS(6152),
    [anon_sym_RBRACK] = ACTIONS(6154),
    [anon_sym_EQ] = ACTIONS(6152),
    [anon_sym_COLON] = ACTIONS(6154),
    [anon_sym_QMARK] = ACTIONS(6154),
    [anon_sym_STAR_EQ] = ACTIONS(6154),
    [anon_sym_SLASH_EQ] = ACTIONS(6154),
    [anon_sym_PERCENT_EQ] = ACTIONS(6154),
    [anon_sym_PLUS_EQ] = ACTIONS(6154),
    [anon_sym_DASH_EQ] = ACTIONS(6154),
    [anon_sym_LT_LT_EQ] = ACTIONS(6154),
    [anon_sym_GT_GT_EQ] = ACTIONS(6154),
    [anon_sym_AMP_EQ] = ACTIONS(6154),
    [anon_sym_CARET_EQ] = ACTIONS(6154),
    [anon_sym_PIPE_EQ] = ACTIONS(6154),
    [anon_sym_and_eq] = ACTIONS(6152),
    [anon_sym_or_eq] = ACTIONS(6152),
    [anon_sym_xor_eq] = ACTIONS(6152),
    [anon_sym_LT_EQ_GT] = ACTIONS(6154),
    [anon_sym_or] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6152),
    [anon_sym_bitor] = ACTIONS(6152),
    [anon_sym_xor] = ACTIONS(6152),
    [anon_sym_bitand] = ACTIONS(6152),
    [anon_sym_not_eq] = ACTIONS(6152),
    [anon_sym_DASH_DASH] = ACTIONS(6154),
    [anon_sym_PLUS_PLUS] = ACTIONS(6154),
    [anon_sym_DOT] = ACTIONS(6152),
    [anon_sym_DOT_STAR] = ACTIONS(6154),
    [anon_sym_DASH_GT] = ACTIONS(6154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6152),
  },
  [2257] = {
    [sym_argument_list] = STATE(2386),
    [sym_initializer_list] = STATE(2386),
    [sym_identifier] = ACTIONS(6156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6158),
    [anon_sym_COMMA] = ACTIONS(6158),
    [anon_sym_RPAREN] = ACTIONS(6158),
    [aux_sym_preproc_if_token2] = ACTIONS(6158),
    [aux_sym_preproc_else_token1] = ACTIONS(6158),
    [aux_sym_preproc_elif_token1] = ACTIONS(6156),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6158),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(6156),
    [anon_sym_PLUS] = ACTIONS(6156),
    [anon_sym_STAR] = ACTIONS(6156),
    [anon_sym_SLASH] = ACTIONS(6156),
    [anon_sym_PERCENT] = ACTIONS(6156),
    [anon_sym_PIPE_PIPE] = ACTIONS(6158),
    [anon_sym_AMP_AMP] = ACTIONS(6158),
    [anon_sym_PIPE] = ACTIONS(6156),
    [anon_sym_CARET] = ACTIONS(6156),
    [anon_sym_AMP] = ACTIONS(6156),
    [anon_sym_EQ_EQ] = ACTIONS(6158),
    [anon_sym_BANG_EQ] = ACTIONS(6158),
    [anon_sym_GT] = ACTIONS(6156),
    [anon_sym_GT_EQ] = ACTIONS(6158),
    [anon_sym_LT_EQ] = ACTIONS(6156),
    [anon_sym_LT] = ACTIONS(6156),
    [anon_sym_LT_LT] = ACTIONS(6156),
    [anon_sym_GT_GT] = ACTIONS(6156),
    [anon_sym_SEMI] = ACTIONS(6158),
    [anon_sym___attribute__] = ACTIONS(6156),
    [anon_sym___attribute] = ACTIONS(6156),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(6158),
    [anon_sym_LBRACK] = ACTIONS(6158),
    [anon_sym_RBRACK] = ACTIONS(6158),
    [anon_sym_EQ] = ACTIONS(6156),
    [anon_sym_COLON] = ACTIONS(6158),
    [anon_sym_QMARK] = ACTIONS(6158),
    [anon_sym_STAR_EQ] = ACTIONS(6158),
    [anon_sym_SLASH_EQ] = ACTIONS(6158),
    [anon_sym_PERCENT_EQ] = ACTIONS(6158),
    [anon_sym_PLUS_EQ] = ACTIONS(6158),
    [anon_sym_DASH_EQ] = ACTIONS(6158),
    [anon_sym_LT_LT_EQ] = ACTIONS(6158),
    [anon_sym_GT_GT_EQ] = ACTIONS(6158),
    [anon_sym_AMP_EQ] = ACTIONS(6158),
    [anon_sym_CARET_EQ] = ACTIONS(6158),
    [anon_sym_PIPE_EQ] = ACTIONS(6158),
    [anon_sym_and_eq] = ACTIONS(6156),
    [anon_sym_or_eq] = ACTIONS(6156),
    [anon_sym_xor_eq] = ACTIONS(6156),
    [anon_sym_LT_EQ_GT] = ACTIONS(6158),
    [anon_sym_or] = ACTIONS(6156),
    [anon_sym_and] = ACTIONS(6156),
    [anon_sym_bitor] = ACTIONS(6156),
    [anon_sym_xor] = ACTIONS(6156),
    [anon_sym_bitand] = ACTIONS(6156),
    [anon_sym_not_eq] = ACTIONS(6156),
    [anon_sym_DASH_DASH] = ACTIONS(6158),
    [anon_sym_PLUS_PLUS] = ACTIONS(6158),
    [anon_sym_DOT] = ACTIONS(6156),
    [anon_sym_DOT_STAR] = ACTIONS(6158),
    [anon_sym_DASH_GT] = ACTIONS(6158),
    [sym_comment] = ACTIONS(3),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(5609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5611),
    [anon_sym_COMMA] = ACTIONS(5611),
    [anon_sym_RPAREN] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5611),
    [anon_sym_DASH] = ACTIONS(5609),
    [anon_sym_PLUS] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_SLASH] = ACTIONS(5609),
    [anon_sym_PERCENT] = ACTIONS(5609),
    [anon_sym_PIPE_PIPE] = ACTIONS(5611),
    [anon_sym_AMP_AMP] = ACTIONS(5611),
    [anon_sym_PIPE] = ACTIONS(5609),
    [anon_sym_CARET] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym_EQ_EQ] = ACTIONS(5611),
    [anon_sym_BANG_EQ] = ACTIONS(5611),
    [anon_sym_GT] = ACTIONS(5609),
    [anon_sym_GT_EQ] = ACTIONS(5611),
    [anon_sym_LT_EQ] = ACTIONS(5609),
    [anon_sym_LT] = ACTIONS(5609),
    [anon_sym_LT_LT] = ACTIONS(5609),
    [anon_sym_GT_GT] = ACTIONS(5609),
    [anon_sym_SEMI] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5609),
    [anon_sym___attribute] = ACTIONS(5609),
    [anon_sym_LBRACE] = ACTIONS(5611),
    [anon_sym_RBRACE] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_RBRACK] = ACTIONS(5611),
    [anon_sym_EQ] = ACTIONS(5609),
    [anon_sym_COLON] = ACTIONS(5611),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_STAR_EQ] = ACTIONS(5611),
    [anon_sym_SLASH_EQ] = ACTIONS(5611),
    [anon_sym_PERCENT_EQ] = ACTIONS(5611),
    [anon_sym_PLUS_EQ] = ACTIONS(5611),
    [anon_sym_DASH_EQ] = ACTIONS(5611),
    [anon_sym_LT_LT_EQ] = ACTIONS(5611),
    [anon_sym_GT_GT_EQ] = ACTIONS(5611),
    [anon_sym_AMP_EQ] = ACTIONS(5611),
    [anon_sym_CARET_EQ] = ACTIONS(5611),
    [anon_sym_PIPE_EQ] = ACTIONS(5611),
    [anon_sym_and_eq] = ACTIONS(5609),
    [anon_sym_or_eq] = ACTIONS(5609),
    [anon_sym_xor_eq] = ACTIONS(5609),
    [anon_sym_LT_EQ_GT] = ACTIONS(5611),
    [anon_sym_or] = ACTIONS(5609),
    [anon_sym_and] = ACTIONS(5609),
    [anon_sym_bitor] = ACTIONS(5609),
    [anon_sym_xor] = ACTIONS(5609),
    [anon_sym_bitand] = ACTIONS(5609),
    [anon_sym_not_eq] = ACTIONS(5609),
    [anon_sym_DASH_DASH] = ACTIONS(5611),
    [anon_sym_PLUS_PLUS] = ACTIONS(5611),
    [anon_sym_DOT] = ACTIONS(5609),
    [anon_sym_DOT_STAR] = ACTIONS(5611),
    [anon_sym_DASH_GT] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5609),
    [anon_sym_decltype] = ACTIONS(5609),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(4830),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4832),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4832),
    [anon_sym_AMP_AMP] = ACTIONS(4832),
    [anon_sym_AMP] = ACTIONS(4830),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_virtual] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4830),
    [anon_sym___attribute__] = ACTIONS(4830),
    [anon_sym___attribute] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(4832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4832),
    [anon_sym___declspec] = ACTIONS(4830),
    [anon_sym___based] = ACTIONS(4830),
    [anon_sym___cdecl] = ACTIONS(4830),
    [anon_sym___clrcall] = ACTIONS(4830),
    [anon_sym___stdcall] = ACTIONS(4830),
    [anon_sym___fastcall] = ACTIONS(4830),
    [anon_sym___thiscall] = ACTIONS(4830),
    [anon_sym___vectorcall] = ACTIONS(4830),
    [anon_sym_signed] = ACTIONS(4830),
    [anon_sym_unsigned] = ACTIONS(4830),
    [anon_sym_long] = ACTIONS(4830),
    [anon_sym_short] = ACTIONS(4830),
    [anon_sym_LBRACK] = ACTIONS(4830),
    [anon_sym_static] = ACTIONS(4830),
    [anon_sym_register] = ACTIONS(4830),
    [anon_sym_inline] = ACTIONS(4830),
    [anon_sym___inline] = ACTIONS(4830),
    [anon_sym___inline__] = ACTIONS(4830),
    [anon_sym___forceinline] = ACTIONS(4830),
    [anon_sym_thread_local] = ACTIONS(4830),
    [anon_sym___thread] = ACTIONS(4830),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym__Nonnull] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [anon_sym_alignas] = ACTIONS(4830),
    [anon_sym__Alignas] = ACTIONS(4830),
    [sym_primitive_type] = ACTIONS(4830),
    [anon_sym_enum] = ACTIONS(4830),
    [anon_sym_class] = ACTIONS(4830),
    [anon_sym_struct] = ACTIONS(4830),
    [anon_sym_union] = ACTIONS(4830),
    [anon_sym_or] = ACTIONS(4830),
    [anon_sym_and] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4830),
    [anon_sym_decltype] = ACTIONS(4830),
    [anon_sym_explicit] = ACTIONS(4830),
    [anon_sym_typename] = ACTIONS(4830),
    [anon_sym_template] = ACTIONS(4830),
    [anon_sym_operator] = ACTIONS(4830),
    [anon_sym_friend] = ACTIONS(4830),
    [anon_sym_using] = ACTIONS(4830),
    [anon_sym_concept] = ACTIONS(4830),
  },
  [2260] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5973),
    [anon_sym_COMMA] = ACTIONS(6160),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_RBRACK] = ACTIONS(6162),
    [anon_sym_EQ] = ACTIONS(5983),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(5985),
    [anon_sym_SLASH_EQ] = ACTIONS(5985),
    [anon_sym_PERCENT_EQ] = ACTIONS(5985),
    [anon_sym_PLUS_EQ] = ACTIONS(5985),
    [anon_sym_DASH_EQ] = ACTIONS(5985),
    [anon_sym_LT_LT_EQ] = ACTIONS(5985),
    [anon_sym_GT_GT_EQ] = ACTIONS(5985),
    [anon_sym_AMP_EQ] = ACTIONS(5985),
    [anon_sym_CARET_EQ] = ACTIONS(5985),
    [anon_sym_PIPE_EQ] = ACTIONS(5985),
    [anon_sym_and_eq] = ACTIONS(5985),
    [anon_sym_or_eq] = ACTIONS(5985),
    [anon_sym_xor_eq] = ACTIONS(5985),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2261] = {
    [sym_identifier] = ACTIONS(5526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5528),
    [anon_sym_COMMA] = ACTIONS(5528),
    [anon_sym_RPAREN] = ACTIONS(5528),
    [aux_sym_preproc_if_token2] = ACTIONS(5528),
    [aux_sym_preproc_else_token1] = ACTIONS(5528),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5528),
    [anon_sym_LPAREN2] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_SLASH] = ACTIONS(5526),
    [anon_sym_PERCENT] = ACTIONS(5526),
    [anon_sym_PIPE_PIPE] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_PIPE] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5526),
    [anon_sym_AMP] = ACTIONS(5526),
    [anon_sym_EQ_EQ] = ACTIONS(5528),
    [anon_sym_BANG_EQ] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5526),
    [anon_sym_GT_EQ] = ACTIONS(5528),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5526),
    [anon_sym_LT_LT] = ACTIONS(5526),
    [anon_sym_GT_GT] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5528),
    [anon_sym___attribute__] = ACTIONS(5526),
    [anon_sym___attribute] = ACTIONS(5526),
    [anon_sym_LBRACE] = ACTIONS(5528),
    [anon_sym_RBRACE] = ACTIONS(5528),
    [anon_sym_LBRACK] = ACTIONS(5528),
    [anon_sym_RBRACK] = ACTIONS(5528),
    [anon_sym_EQ] = ACTIONS(5526),
    [anon_sym_COLON] = ACTIONS(5528),
    [anon_sym_QMARK] = ACTIONS(5528),
    [anon_sym_STAR_EQ] = ACTIONS(5528),
    [anon_sym_SLASH_EQ] = ACTIONS(5528),
    [anon_sym_PERCENT_EQ] = ACTIONS(5528),
    [anon_sym_PLUS_EQ] = ACTIONS(5528),
    [anon_sym_DASH_EQ] = ACTIONS(5528),
    [anon_sym_LT_LT_EQ] = ACTIONS(5528),
    [anon_sym_GT_GT_EQ] = ACTIONS(5528),
    [anon_sym_AMP_EQ] = ACTIONS(5528),
    [anon_sym_CARET_EQ] = ACTIONS(5528),
    [anon_sym_PIPE_EQ] = ACTIONS(5528),
    [anon_sym_and_eq] = ACTIONS(5526),
    [anon_sym_or_eq] = ACTIONS(5526),
    [anon_sym_xor_eq] = ACTIONS(5526),
    [anon_sym_LT_EQ_GT] = ACTIONS(5528),
    [anon_sym_or] = ACTIONS(5526),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_bitor] = ACTIONS(5526),
    [anon_sym_xor] = ACTIONS(5526),
    [anon_sym_bitand] = ACTIONS(5526),
    [anon_sym_not_eq] = ACTIONS(5526),
    [anon_sym_DASH_DASH] = ACTIONS(5528),
    [anon_sym_PLUS_PLUS] = ACTIONS(5528),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_DOT_STAR] = ACTIONS(5528),
    [anon_sym_DASH_GT] = ACTIONS(5528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5526),
    [anon_sym_decltype] = ACTIONS(5526),
  },
  [2262] = {
    [sym_string_literal] = STATE(2588),
    [sym_template_argument_list] = STATE(3629),
    [sym_raw_string_literal] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4063),
    [anon_sym_COMMA] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(4063),
    [anon_sym_DASH] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(4071),
    [anon_sym_SLASH] = ACTIONS(4071),
    [anon_sym_PERCENT] = ACTIONS(4071),
    [anon_sym_PIPE_PIPE] = ACTIONS(4063),
    [anon_sym_AMP_AMP] = ACTIONS(4063),
    [anon_sym_PIPE] = ACTIONS(4071),
    [anon_sym_CARET] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4071),
    [anon_sym_EQ_EQ] = ACTIONS(4063),
    [anon_sym_BANG_EQ] = ACTIONS(4063),
    [anon_sym_GT] = ACTIONS(4071),
    [anon_sym_GT_EQ] = ACTIONS(4063),
    [anon_sym_LT_EQ] = ACTIONS(4071),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4071),
    [anon_sym_GT_GT] = ACTIONS(4071),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4063),
    [anon_sym_RBRACK] = ACTIONS(4063),
    [anon_sym_EQ] = ACTIONS(6007),
    [anon_sym_QMARK] = ACTIONS(4063),
    [anon_sym_STAR_EQ] = ACTIONS(5985),
    [anon_sym_SLASH_EQ] = ACTIONS(5985),
    [anon_sym_PERCENT_EQ] = ACTIONS(5985),
    [anon_sym_PLUS_EQ] = ACTIONS(5985),
    [anon_sym_DASH_EQ] = ACTIONS(5985),
    [anon_sym_LT_LT_EQ] = ACTIONS(5985),
    [anon_sym_GT_GT_EQ] = ACTIONS(5985),
    [anon_sym_AMP_EQ] = ACTIONS(5985),
    [anon_sym_CARET_EQ] = ACTIONS(5985),
    [anon_sym_PIPE_EQ] = ACTIONS(5985),
    [anon_sym_and_eq] = ACTIONS(5985),
    [anon_sym_or_eq] = ACTIONS(5985),
    [anon_sym_xor_eq] = ACTIONS(5985),
    [anon_sym_LT_EQ_GT] = ACTIONS(4063),
    [anon_sym_or] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(4071),
    [anon_sym_bitor] = ACTIONS(4063),
    [anon_sym_xor] = ACTIONS(4071),
    [anon_sym_bitand] = ACTIONS(4063),
    [anon_sym_not_eq] = ACTIONS(4063),
    [anon_sym_DASH_DASH] = ACTIONS(4063),
    [anon_sym_PLUS_PLUS] = ACTIONS(4063),
    [anon_sym_DOT] = ACTIONS(4071),
    [anon_sym_DOT_STAR] = ACTIONS(4063),
    [anon_sym_DASH_GT] = ACTIONS(4063),
    [anon_sym_L_DQUOTE] = ACTIONS(3476),
    [anon_sym_u_DQUOTE] = ACTIONS(3476),
    [anon_sym_U_DQUOTE] = ACTIONS(3476),
    [anon_sym_u8_DQUOTE] = ACTIONS(3476),
    [anon_sym_DQUOTE] = ACTIONS(3476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3480),
    [anon_sym_LR_DQUOTE] = ACTIONS(3480),
    [anon_sym_uR_DQUOTE] = ACTIONS(3480),
    [anon_sym_UR_DQUOTE] = ACTIONS(3480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3480),
  },
  [2263] = {
    [sym_identifier] = ACTIONS(4814),
    [anon_sym_LPAREN2] = ACTIONS(4816),
    [anon_sym_TILDE] = ACTIONS(4816),
    [anon_sym_STAR] = ACTIONS(4816),
    [anon_sym_PIPE_PIPE] = ACTIONS(4816),
    [anon_sym_AMP_AMP] = ACTIONS(4816),
    [anon_sym_AMP] = ACTIONS(4814),
    [anon_sym___extension__] = ACTIONS(4814),
    [anon_sym_virtual] = ACTIONS(4814),
    [anon_sym_extern] = ACTIONS(4814),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym___attribute] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(4816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4816),
    [anon_sym___declspec] = ACTIONS(4814),
    [anon_sym___based] = ACTIONS(4814),
    [anon_sym___cdecl] = ACTIONS(4814),
    [anon_sym___clrcall] = ACTIONS(4814),
    [anon_sym___stdcall] = ACTIONS(4814),
    [anon_sym___fastcall] = ACTIONS(4814),
    [anon_sym___thiscall] = ACTIONS(4814),
    [anon_sym___vectorcall] = ACTIONS(4814),
    [anon_sym_signed] = ACTIONS(4814),
    [anon_sym_unsigned] = ACTIONS(4814),
    [anon_sym_long] = ACTIONS(4814),
    [anon_sym_short] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4814),
    [anon_sym_static] = ACTIONS(4814),
    [anon_sym_register] = ACTIONS(4814),
    [anon_sym_inline] = ACTIONS(4814),
    [anon_sym___inline] = ACTIONS(4814),
    [anon_sym___inline__] = ACTIONS(4814),
    [anon_sym___forceinline] = ACTIONS(4814),
    [anon_sym_thread_local] = ACTIONS(4814),
    [anon_sym___thread] = ACTIONS(4814),
    [anon_sym_const] = ACTIONS(4814),
    [anon_sym_constexpr] = ACTIONS(4814),
    [anon_sym_volatile] = ACTIONS(4814),
    [anon_sym_restrict] = ACTIONS(4814),
    [anon_sym___restrict__] = ACTIONS(4814),
    [anon_sym__Atomic] = ACTIONS(4814),
    [anon_sym__Noreturn] = ACTIONS(4814),
    [anon_sym_noreturn] = ACTIONS(4814),
    [anon_sym__Nonnull] = ACTIONS(4814),
    [anon_sym_mutable] = ACTIONS(4814),
    [anon_sym_constinit] = ACTIONS(4814),
    [anon_sym_consteval] = ACTIONS(4814),
    [anon_sym_alignas] = ACTIONS(4814),
    [anon_sym__Alignas] = ACTIONS(4814),
    [sym_primitive_type] = ACTIONS(4814),
    [anon_sym_enum] = ACTIONS(4814),
    [anon_sym_class] = ACTIONS(4814),
    [anon_sym_struct] = ACTIONS(4814),
    [anon_sym_union] = ACTIONS(4814),
    [anon_sym_or] = ACTIONS(4814),
    [anon_sym_and] = ACTIONS(4814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4814),
    [anon_sym_decltype] = ACTIONS(4814),
    [anon_sym_explicit] = ACTIONS(4814),
    [anon_sym_typename] = ACTIONS(4814),
    [anon_sym_template] = ACTIONS(4814),
    [anon_sym_operator] = ACTIONS(4814),
    [anon_sym_friend] = ACTIONS(4814),
    [anon_sym_using] = ACTIONS(4814),
    [anon_sym_concept] = ACTIONS(4814),
  },
  [2264] = {
    [sym_identifier] = ACTIONS(5534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5536),
    [anon_sym_COMMA] = ACTIONS(5536),
    [anon_sym_RPAREN] = ACTIONS(5536),
    [aux_sym_preproc_if_token2] = ACTIONS(5536),
    [aux_sym_preproc_else_token1] = ACTIONS(5536),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5536),
    [anon_sym_DASH] = ACTIONS(5534),
    [anon_sym_PLUS] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_SLASH] = ACTIONS(5534),
    [anon_sym_PERCENT] = ACTIONS(5534),
    [anon_sym_PIPE_PIPE] = ACTIONS(5536),
    [anon_sym_AMP_AMP] = ACTIONS(5536),
    [anon_sym_PIPE] = ACTIONS(5534),
    [anon_sym_CARET] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5534),
    [anon_sym_EQ_EQ] = ACTIONS(5536),
    [anon_sym_BANG_EQ] = ACTIONS(5536),
    [anon_sym_GT] = ACTIONS(5534),
    [anon_sym_GT_EQ] = ACTIONS(5536),
    [anon_sym_LT_EQ] = ACTIONS(5534),
    [anon_sym_LT] = ACTIONS(5534),
    [anon_sym_LT_LT] = ACTIONS(5534),
    [anon_sym_GT_GT] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5536),
    [anon_sym___attribute__] = ACTIONS(5534),
    [anon_sym___attribute] = ACTIONS(5534),
    [anon_sym_LBRACE] = ACTIONS(5536),
    [anon_sym_RBRACE] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_RBRACK] = ACTIONS(5536),
    [anon_sym_EQ] = ACTIONS(5534),
    [anon_sym_COLON] = ACTIONS(5536),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_STAR_EQ] = ACTIONS(5536),
    [anon_sym_SLASH_EQ] = ACTIONS(5536),
    [anon_sym_PERCENT_EQ] = ACTIONS(5536),
    [anon_sym_PLUS_EQ] = ACTIONS(5536),
    [anon_sym_DASH_EQ] = ACTIONS(5536),
    [anon_sym_LT_LT_EQ] = ACTIONS(5536),
    [anon_sym_GT_GT_EQ] = ACTIONS(5536),
    [anon_sym_AMP_EQ] = ACTIONS(5536),
    [anon_sym_CARET_EQ] = ACTIONS(5536),
    [anon_sym_PIPE_EQ] = ACTIONS(5536),
    [anon_sym_and_eq] = ACTIONS(5534),
    [anon_sym_or_eq] = ACTIONS(5534),
    [anon_sym_xor_eq] = ACTIONS(5534),
    [anon_sym_LT_EQ_GT] = ACTIONS(5536),
    [anon_sym_or] = ACTIONS(5534),
    [anon_sym_and] = ACTIONS(5534),
    [anon_sym_bitor] = ACTIONS(5534),
    [anon_sym_xor] = ACTIONS(5534),
    [anon_sym_bitand] = ACTIONS(5534),
    [anon_sym_not_eq] = ACTIONS(5534),
    [anon_sym_DASH_DASH] = ACTIONS(5536),
    [anon_sym_PLUS_PLUS] = ACTIONS(5536),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_DOT_STAR] = ACTIONS(5536),
    [anon_sym_DASH_GT] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5534),
    [anon_sym_decltype] = ACTIONS(5534),
  },
  [2265] = {
    [sym_identifier] = ACTIONS(5538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5540),
    [anon_sym_COMMA] = ACTIONS(5540),
    [anon_sym_RPAREN] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_SLASH] = ACTIONS(5538),
    [anon_sym_PERCENT] = ACTIONS(5538),
    [anon_sym_PIPE_PIPE] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_PIPE] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5540),
    [anon_sym_BANG_EQ] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5540),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5538),
    [anon_sym_LT_LT] = ACTIONS(5538),
    [anon_sym_GT_GT] = ACTIONS(5538),
    [anon_sym_SEMI] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym___attribute] = ACTIONS(5538),
    [anon_sym_LBRACE] = ACTIONS(5540),
    [anon_sym_RBRACE] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_RBRACK] = ACTIONS(5540),
    [anon_sym_EQ] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5540),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_STAR_EQ] = ACTIONS(5540),
    [anon_sym_SLASH_EQ] = ACTIONS(5540),
    [anon_sym_PERCENT_EQ] = ACTIONS(5540),
    [anon_sym_PLUS_EQ] = ACTIONS(5540),
    [anon_sym_DASH_EQ] = ACTIONS(5540),
    [anon_sym_LT_LT_EQ] = ACTIONS(5540),
    [anon_sym_GT_GT_EQ] = ACTIONS(5540),
    [anon_sym_AMP_EQ] = ACTIONS(5540),
    [anon_sym_CARET_EQ] = ACTIONS(5540),
    [anon_sym_PIPE_EQ] = ACTIONS(5540),
    [anon_sym_and_eq] = ACTIONS(5538),
    [anon_sym_or_eq] = ACTIONS(5538),
    [anon_sym_xor_eq] = ACTIONS(5538),
    [anon_sym_LT_EQ_GT] = ACTIONS(5540),
    [anon_sym_or] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_bitor] = ACTIONS(5538),
    [anon_sym_xor] = ACTIONS(5538),
    [anon_sym_bitand] = ACTIONS(5538),
    [anon_sym_not_eq] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5540),
    [anon_sym_DOT] = ACTIONS(5538),
    [anon_sym_DOT_STAR] = ACTIONS(5540),
    [anon_sym_DASH_GT] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(5496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [aux_sym_preproc_if_token2] = ACTIONS(5498),
    [aux_sym_preproc_else_token1] = ACTIONS(5498),
    [aux_sym_preproc_elif_token1] = ACTIONS(5496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5498),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5498),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5496),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5496),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_CARET] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5496),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5496),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym___attribute] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_EQ] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_STAR_EQ] = ACTIONS(5498),
    [anon_sym_SLASH_EQ] = ACTIONS(5498),
    [anon_sym_PERCENT_EQ] = ACTIONS(5498),
    [anon_sym_PLUS_EQ] = ACTIONS(5498),
    [anon_sym_DASH_EQ] = ACTIONS(5498),
    [anon_sym_LT_LT_EQ] = ACTIONS(5498),
    [anon_sym_GT_GT_EQ] = ACTIONS(5498),
    [anon_sym_AMP_EQ] = ACTIONS(5498),
    [anon_sym_CARET_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_and_eq] = ACTIONS(5496),
    [anon_sym_or_eq] = ACTIONS(5496),
    [anon_sym_xor_eq] = ACTIONS(5496),
    [anon_sym_LT_EQ_GT] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_and] = ACTIONS(5496),
    [anon_sym_bitor] = ACTIONS(5496),
    [anon_sym_xor] = ACTIONS(5496),
    [anon_sym_bitand] = ACTIONS(5496),
    [anon_sym_not_eq] = ACTIONS(5496),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_DOT_STAR] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
  },
  [2267] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5317),
    [anon_sym_COMMA] = ACTIONS(5317),
    [anon_sym_RPAREN] = ACTIONS(5317),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_DASH] = ACTIONS(5315),
    [anon_sym_PLUS] = ACTIONS(5315),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_SLASH] = ACTIONS(5315),
    [anon_sym_PERCENT] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_PIPE] = ACTIONS(5315),
    [anon_sym_CARET] = ACTIONS(5315),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_EQ_EQ] = ACTIONS(5317),
    [anon_sym_BANG_EQ] = ACTIONS(5317),
    [anon_sym_GT] = ACTIONS(5315),
    [anon_sym_GT_EQ] = ACTIONS(5317),
    [anon_sym_LT_EQ] = ACTIONS(5315),
    [anon_sym_LT] = ACTIONS(5315),
    [anon_sym_LT_LT] = ACTIONS(5315),
    [anon_sym_GT_GT] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym_RBRACE] = ACTIONS(5317),
    [anon_sym_LBRACK] = ACTIONS(5317),
    [anon_sym_RBRACK] = ACTIONS(5317),
    [anon_sym_EQ] = ACTIONS(5315),
    [anon_sym_COLON] = ACTIONS(5317),
    [anon_sym_QMARK] = ACTIONS(5317),
    [anon_sym_STAR_EQ] = ACTIONS(5317),
    [anon_sym_SLASH_EQ] = ACTIONS(5317),
    [anon_sym_PERCENT_EQ] = ACTIONS(5317),
    [anon_sym_PLUS_EQ] = ACTIONS(5317),
    [anon_sym_DASH_EQ] = ACTIONS(5317),
    [anon_sym_LT_LT_EQ] = ACTIONS(5317),
    [anon_sym_GT_GT_EQ] = ACTIONS(5317),
    [anon_sym_AMP_EQ] = ACTIONS(5317),
    [anon_sym_CARET_EQ] = ACTIONS(5317),
    [anon_sym_PIPE_EQ] = ACTIONS(5317),
    [anon_sym_and_eq] = ACTIONS(5315),
    [anon_sym_or_eq] = ACTIONS(5315),
    [anon_sym_xor_eq] = ACTIONS(5315),
    [anon_sym_LT_EQ_GT] = ACTIONS(5317),
    [anon_sym_or] = ACTIONS(5315),
    [anon_sym_and] = ACTIONS(5315),
    [anon_sym_bitor] = ACTIONS(5315),
    [anon_sym_xor] = ACTIONS(5315),
    [anon_sym_bitand] = ACTIONS(5315),
    [anon_sym_not_eq] = ACTIONS(5315),
    [anon_sym_DASH_DASH] = ACTIONS(5317),
    [anon_sym_PLUS_PLUS] = ACTIONS(5317),
    [anon_sym_DOT] = ACTIONS(5315),
    [anon_sym_DOT_STAR] = ACTIONS(5317),
    [anon_sym_DASH_GT] = ACTIONS(5317),
    [anon_sym_L_DQUOTE] = ACTIONS(5317),
    [anon_sym_u_DQUOTE] = ACTIONS(5317),
    [anon_sym_U_DQUOTE] = ACTIONS(5317),
    [anon_sym_u8_DQUOTE] = ACTIONS(5317),
    [anon_sym_DQUOTE] = ACTIONS(5317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5317),
    [anon_sym_LR_DQUOTE] = ACTIONS(5317),
    [anon_sym_uR_DQUOTE] = ACTIONS(5317),
    [anon_sym_UR_DQUOTE] = ACTIONS(5317),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5317),
    [sym_literal_suffix] = ACTIONS(5315),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(6165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6167),
    [anon_sym_COMMA] = ACTIONS(6167),
    [anon_sym_RPAREN] = ACTIONS(6167),
    [aux_sym_preproc_if_token2] = ACTIONS(6167),
    [aux_sym_preproc_else_token1] = ACTIONS(6167),
    [aux_sym_preproc_elif_token1] = ACTIONS(6165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6167),
    [anon_sym_LPAREN2] = ACTIONS(6167),
    [anon_sym_DASH] = ACTIONS(6165),
    [anon_sym_PLUS] = ACTIONS(6165),
    [anon_sym_STAR] = ACTIONS(6165),
    [anon_sym_SLASH] = ACTIONS(6165),
    [anon_sym_PERCENT] = ACTIONS(6165),
    [anon_sym_PIPE_PIPE] = ACTIONS(6167),
    [anon_sym_AMP_AMP] = ACTIONS(6167),
    [anon_sym_PIPE] = ACTIONS(6165),
    [anon_sym_CARET] = ACTIONS(6165),
    [anon_sym_AMP] = ACTIONS(6165),
    [anon_sym_EQ_EQ] = ACTIONS(6167),
    [anon_sym_BANG_EQ] = ACTIONS(6167),
    [anon_sym_GT] = ACTIONS(6165),
    [anon_sym_GT_EQ] = ACTIONS(6167),
    [anon_sym_LT_EQ] = ACTIONS(6165),
    [anon_sym_LT] = ACTIONS(6165),
    [anon_sym_LT_LT] = ACTIONS(6165),
    [anon_sym_GT_GT] = ACTIONS(6165),
    [anon_sym_SEMI] = ACTIONS(6167),
    [anon_sym___attribute__] = ACTIONS(6165),
    [anon_sym___attribute] = ACTIONS(6165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6167),
    [anon_sym_LBRACE] = ACTIONS(6167),
    [anon_sym_RBRACE] = ACTIONS(6167),
    [anon_sym_LBRACK] = ACTIONS(6165),
    [anon_sym_RBRACK] = ACTIONS(6167),
    [anon_sym_EQ] = ACTIONS(6165),
    [anon_sym_COLON] = ACTIONS(6167),
    [anon_sym_QMARK] = ACTIONS(6167),
    [anon_sym_STAR_EQ] = ACTIONS(6167),
    [anon_sym_SLASH_EQ] = ACTIONS(6167),
    [anon_sym_PERCENT_EQ] = ACTIONS(6167),
    [anon_sym_PLUS_EQ] = ACTIONS(6167),
    [anon_sym_DASH_EQ] = ACTIONS(6167),
    [anon_sym_LT_LT_EQ] = ACTIONS(6167),
    [anon_sym_GT_GT_EQ] = ACTIONS(6167),
    [anon_sym_AMP_EQ] = ACTIONS(6167),
    [anon_sym_CARET_EQ] = ACTIONS(6167),
    [anon_sym_PIPE_EQ] = ACTIONS(6167),
    [anon_sym_and_eq] = ACTIONS(6165),
    [anon_sym_or_eq] = ACTIONS(6165),
    [anon_sym_xor_eq] = ACTIONS(6165),
    [anon_sym_LT_EQ_GT] = ACTIONS(6167),
    [anon_sym_or] = ACTIONS(6165),
    [anon_sym_and] = ACTIONS(6165),
    [anon_sym_bitor] = ACTIONS(6165),
    [anon_sym_xor] = ACTIONS(6165),
    [anon_sym_bitand] = ACTIONS(6165),
    [anon_sym_not_eq] = ACTIONS(6165),
    [anon_sym_DASH_DASH] = ACTIONS(6167),
    [anon_sym_PLUS_PLUS] = ACTIONS(6167),
    [anon_sym_DOT] = ACTIONS(6165),
    [anon_sym_DOT_STAR] = ACTIONS(6167),
    [anon_sym_DASH_GT] = ACTIONS(6167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6165),
  },
  [2269] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [anon_sym_RPAREN] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5782),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym_SEMI] = ACTIONS(5782),
    [anon_sym___attribute__] = ACTIONS(5782),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_RBRACE] = ACTIONS(5782),
    [anon_sym_signed] = ACTIONS(6169),
    [anon_sym_unsigned] = ACTIONS(6169),
    [anon_sym_long] = ACTIONS(6169),
    [anon_sym_short] = ACTIONS(6169),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_RBRACK] = ACTIONS(5782),
    [anon_sym_EQ] = ACTIONS(5784),
    [anon_sym_COLON] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_STAR_EQ] = ACTIONS(5782),
    [anon_sym_SLASH_EQ] = ACTIONS(5782),
    [anon_sym_PERCENT_EQ] = ACTIONS(5782),
    [anon_sym_PLUS_EQ] = ACTIONS(5782),
    [anon_sym_DASH_EQ] = ACTIONS(5782),
    [anon_sym_LT_LT_EQ] = ACTIONS(5782),
    [anon_sym_GT_GT_EQ] = ACTIONS(5782),
    [anon_sym_AMP_EQ] = ACTIONS(5782),
    [anon_sym_CARET_EQ] = ACTIONS(5782),
    [anon_sym_PIPE_EQ] = ACTIONS(5782),
    [anon_sym_and_eq] = ACTIONS(5782),
    [anon_sym_or_eq] = ACTIONS(5782),
    [anon_sym_xor_eq] = ACTIONS(5782),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5782),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5782),
    [anon_sym_not_eq] = ACTIONS(5782),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5782),
    [anon_sym_decltype] = ACTIONS(5782),
  },
  [2270] = {
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym___attribute__] = ACTIONS(5350),
    [anon_sym___attribute] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_and_eq] = ACTIONS(5350),
    [anon_sym_or_eq] = ACTIONS(5350),
    [anon_sym_xor_eq] = ACTIONS(5350),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [anon_sym_L_DQUOTE] = ACTIONS(5352),
    [anon_sym_u_DQUOTE] = ACTIONS(5352),
    [anon_sym_U_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8_DQUOTE] = ACTIONS(5352),
    [anon_sym_DQUOTE] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5352),
    [anon_sym_LR_DQUOTE] = ACTIONS(5352),
    [anon_sym_uR_DQUOTE] = ACTIONS(5352),
    [anon_sym_UR_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5352),
    [sym_literal_suffix] = ACTIONS(5350),
  },
  [2271] = {
    [sym_attribute_specifier] = STATE(1817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5958),
    [anon_sym_COMMA] = ACTIONS(5958),
    [anon_sym_RPAREN] = ACTIONS(5958),
    [anon_sym_LPAREN2] = ACTIONS(5958),
    [anon_sym_DASH] = ACTIONS(5956),
    [anon_sym_PLUS] = ACTIONS(5956),
    [anon_sym_STAR] = ACTIONS(5958),
    [anon_sym_SLASH] = ACTIONS(5956),
    [anon_sym_PERCENT] = ACTIONS(5958),
    [anon_sym_PIPE_PIPE] = ACTIONS(5958),
    [anon_sym_AMP_AMP] = ACTIONS(5958),
    [anon_sym_PIPE] = ACTIONS(5956),
    [anon_sym_CARET] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5956),
    [anon_sym_EQ_EQ] = ACTIONS(5958),
    [anon_sym_BANG_EQ] = ACTIONS(5958),
    [anon_sym_GT] = ACTIONS(5956),
    [anon_sym_GT_EQ] = ACTIONS(5958),
    [anon_sym_LT_EQ] = ACTIONS(5956),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_LT_LT] = ACTIONS(5958),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym_SEMI] = ACTIONS(5958),
    [anon_sym___extension__] = ACTIONS(5958),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5958),
    [anon_sym_RBRACE] = ACTIONS(5958),
    [anon_sym_LBRACK] = ACTIONS(5958),
    [anon_sym_RBRACK] = ACTIONS(5958),
    [anon_sym_const] = ACTIONS(5956),
    [anon_sym_constexpr] = ACTIONS(5958),
    [anon_sym_volatile] = ACTIONS(5958),
    [anon_sym_restrict] = ACTIONS(5958),
    [anon_sym___restrict__] = ACTIONS(5958),
    [anon_sym__Atomic] = ACTIONS(5958),
    [anon_sym__Noreturn] = ACTIONS(5958),
    [anon_sym_noreturn] = ACTIONS(5958),
    [anon_sym__Nonnull] = ACTIONS(5958),
    [anon_sym_mutable] = ACTIONS(5958),
    [anon_sym_constinit] = ACTIONS(5958),
    [anon_sym_consteval] = ACTIONS(5958),
    [anon_sym_alignas] = ACTIONS(5958),
    [anon_sym__Alignas] = ACTIONS(5958),
    [anon_sym_COLON] = ACTIONS(5958),
    [anon_sym_QMARK] = ACTIONS(5958),
    [anon_sym_LT_EQ_GT] = ACTIONS(5958),
    [anon_sym_or] = ACTIONS(5958),
    [anon_sym_and] = ACTIONS(5958),
    [anon_sym_bitor] = ACTIONS(5958),
    [anon_sym_xor] = ACTIONS(5958),
    [anon_sym_bitand] = ACTIONS(5958),
    [anon_sym_not_eq] = ACTIONS(5958),
    [anon_sym_DASH_DASH] = ACTIONS(5958),
    [anon_sym_PLUS_PLUS] = ACTIONS(5958),
    [anon_sym_DOT] = ACTIONS(5956),
    [anon_sym_DOT_STAR] = ACTIONS(5958),
    [anon_sym_DASH_GT] = ACTIONS(5958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5958),
    [anon_sym_decltype] = ACTIONS(5958),
    [anon_sym_final] = ACTIONS(5958),
    [anon_sym_override] = ACTIONS(5958),
    [anon_sym_requires] = ACTIONS(5958),
  },
  [2272] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5768),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym___extension__] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(6171),
    [anon_sym_unsigned] = ACTIONS(6171),
    [anon_sym_long] = ACTIONS(6171),
    [anon_sym_short] = ACTIONS(6171),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5766),
    [anon_sym_volatile] = ACTIONS(5766),
    [anon_sym_restrict] = ACTIONS(5766),
    [anon_sym___restrict__] = ACTIONS(5766),
    [anon_sym__Atomic] = ACTIONS(5766),
    [anon_sym__Noreturn] = ACTIONS(5766),
    [anon_sym_noreturn] = ACTIONS(5766),
    [anon_sym__Nonnull] = ACTIONS(5766),
    [anon_sym_mutable] = ACTIONS(5766),
    [anon_sym_constinit] = ACTIONS(5766),
    [anon_sym_consteval] = ACTIONS(5766),
    [anon_sym_alignas] = ACTIONS(5766),
    [anon_sym__Alignas] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
    [anon_sym_final] = ACTIONS(5766),
    [anon_sym_override] = ACTIONS(5766),
    [anon_sym_GT2] = ACTIONS(5766),
    [anon_sym_requires] = ACTIONS(5766),
  },
  [2273] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5801),
    [anon_sym_COMMA] = ACTIONS(5801),
    [anon_sym_LPAREN2] = ACTIONS(5801),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_STAR] = ACTIONS(5801),
    [anon_sym_SLASH] = ACTIONS(5803),
    [anon_sym_PERCENT] = ACTIONS(5801),
    [anon_sym_PIPE_PIPE] = ACTIONS(5801),
    [anon_sym_AMP_AMP] = ACTIONS(5801),
    [anon_sym_PIPE] = ACTIONS(5803),
    [anon_sym_CARET] = ACTIONS(5801),
    [anon_sym_AMP] = ACTIONS(5803),
    [anon_sym_EQ_EQ] = ACTIONS(5801),
    [anon_sym_BANG_EQ] = ACTIONS(5801),
    [anon_sym_GT] = ACTIONS(5803),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5803),
    [anon_sym_LT] = ACTIONS(5803),
    [anon_sym_LT_LT] = ACTIONS(5801),
    [anon_sym_GT_GT] = ACTIONS(5803),
    [anon_sym___extension__] = ACTIONS(5801),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym___attribute] = ACTIONS(5803),
    [anon_sym_LBRACE] = ACTIONS(5801),
    [anon_sym_signed] = ACTIONS(6171),
    [anon_sym_unsigned] = ACTIONS(6171),
    [anon_sym_long] = ACTIONS(6171),
    [anon_sym_short] = ACTIONS(6171),
    [anon_sym_LBRACK] = ACTIONS(5801),
    [anon_sym_const] = ACTIONS(5803),
    [anon_sym_constexpr] = ACTIONS(5801),
    [anon_sym_volatile] = ACTIONS(5801),
    [anon_sym_restrict] = ACTIONS(5801),
    [anon_sym___restrict__] = ACTIONS(5801),
    [anon_sym__Atomic] = ACTIONS(5801),
    [anon_sym__Noreturn] = ACTIONS(5801),
    [anon_sym_noreturn] = ACTIONS(5801),
    [anon_sym__Nonnull] = ACTIONS(5801),
    [anon_sym_mutable] = ACTIONS(5801),
    [anon_sym_constinit] = ACTIONS(5801),
    [anon_sym_consteval] = ACTIONS(5801),
    [anon_sym_alignas] = ACTIONS(5801),
    [anon_sym__Alignas] = ACTIONS(5801),
    [anon_sym_QMARK] = ACTIONS(5801),
    [anon_sym_LT_EQ_GT] = ACTIONS(5801),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5801),
    [anon_sym_PLUS_PLUS] = ACTIONS(5801),
    [anon_sym_DOT] = ACTIONS(5803),
    [anon_sym_DOT_STAR] = ACTIONS(5801),
    [anon_sym_DASH_GT] = ACTIONS(5801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
    [anon_sym_final] = ACTIONS(5801),
    [anon_sym_override] = ACTIONS(5801),
    [anon_sym_GT2] = ACTIONS(5801),
    [anon_sym_requires] = ACTIONS(5801),
  },
  [2274] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5772),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5772),
    [anon_sym_CARET] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5772),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5772),
    [anon_sym_GT_EQ] = ACTIONS(5772),
    [anon_sym_LT_EQ] = ACTIONS(5772),
    [anon_sym_LT] = ACTIONS(5772),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5772),
    [anon_sym___extension__] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym___attribute] = ACTIONS(5772),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6173),
    [anon_sym_unsigned] = ACTIONS(6173),
    [anon_sym_long] = ACTIONS(6173),
    [anon_sym_short] = ACTIONS(6173),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_const] = ACTIONS(5772),
    [anon_sym_constexpr] = ACTIONS(5770),
    [anon_sym_volatile] = ACTIONS(5770),
    [anon_sym_restrict] = ACTIONS(5770),
    [anon_sym___restrict__] = ACTIONS(5770),
    [anon_sym__Atomic] = ACTIONS(5770),
    [anon_sym__Noreturn] = ACTIONS(5770),
    [anon_sym_noreturn] = ACTIONS(5770),
    [anon_sym__Nonnull] = ACTIONS(5770),
    [anon_sym_mutable] = ACTIONS(5770),
    [anon_sym_constinit] = ACTIONS(5770),
    [anon_sym_consteval] = ACTIONS(5770),
    [anon_sym_alignas] = ACTIONS(5770),
    [anon_sym__Alignas] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5770),
    [anon_sym_and] = ACTIONS(5770),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5770),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5772),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
    [anon_sym_final] = ACTIONS(5770),
    [anon_sym_override] = ACTIONS(5770),
    [anon_sym_GT2] = ACTIONS(5770),
    [anon_sym_requires] = ACTIONS(5770),
  },
  [2275] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2295),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5776),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5776),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5778),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5776),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym___extension__] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5776),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(6175),
    [anon_sym_unsigned] = ACTIONS(6175),
    [anon_sym_long] = ACTIONS(6175),
    [anon_sym_short] = ACTIONS(6175),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_const] = ACTIONS(5778),
    [anon_sym_constexpr] = ACTIONS(5776),
    [anon_sym_volatile] = ACTIONS(5776),
    [anon_sym_restrict] = ACTIONS(5776),
    [anon_sym___restrict__] = ACTIONS(5776),
    [anon_sym__Atomic] = ACTIONS(5776),
    [anon_sym__Noreturn] = ACTIONS(5776),
    [anon_sym_noreturn] = ACTIONS(5776),
    [anon_sym__Nonnull] = ACTIONS(5776),
    [anon_sym_mutable] = ACTIONS(5776),
    [anon_sym_constinit] = ACTIONS(5776),
    [anon_sym_consteval] = ACTIONS(5776),
    [anon_sym_alignas] = ACTIONS(5776),
    [anon_sym__Alignas] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5776),
    [anon_sym_and] = ACTIONS(5776),
    [anon_sym_bitor] = ACTIONS(5776),
    [anon_sym_xor] = ACTIONS(5776),
    [anon_sym_bitand] = ACTIONS(5776),
    [anon_sym_not_eq] = ACTIONS(5776),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5776),
    [anon_sym_decltype] = ACTIONS(5776),
    [anon_sym_final] = ACTIONS(5776),
    [anon_sym_override] = ACTIONS(5776),
    [anon_sym_GT2] = ACTIONS(5776),
    [anon_sym_requires] = ACTIONS(5776),
  },
  [2276] = {
    [sym_identifier] = ACTIONS(6177),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6179),
    [anon_sym_COMMA] = ACTIONS(6179),
    [anon_sym_RPAREN] = ACTIONS(6179),
    [aux_sym_preproc_if_token2] = ACTIONS(6179),
    [aux_sym_preproc_else_token1] = ACTIONS(6179),
    [aux_sym_preproc_elif_token1] = ACTIONS(6177),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6179),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6179),
    [anon_sym_LPAREN2] = ACTIONS(6179),
    [anon_sym_DASH] = ACTIONS(6177),
    [anon_sym_PLUS] = ACTIONS(6177),
    [anon_sym_STAR] = ACTIONS(6177),
    [anon_sym_SLASH] = ACTIONS(6177),
    [anon_sym_PERCENT] = ACTIONS(6177),
    [anon_sym_PIPE_PIPE] = ACTIONS(6179),
    [anon_sym_AMP_AMP] = ACTIONS(6179),
    [anon_sym_PIPE] = ACTIONS(6177),
    [anon_sym_CARET] = ACTIONS(6177),
    [anon_sym_AMP] = ACTIONS(6177),
    [anon_sym_EQ_EQ] = ACTIONS(6179),
    [anon_sym_BANG_EQ] = ACTIONS(6179),
    [anon_sym_GT] = ACTIONS(6177),
    [anon_sym_GT_EQ] = ACTIONS(6179),
    [anon_sym_LT_EQ] = ACTIONS(6177),
    [anon_sym_LT] = ACTIONS(6177),
    [anon_sym_LT_LT] = ACTIONS(6177),
    [anon_sym_GT_GT] = ACTIONS(6177),
    [anon_sym_SEMI] = ACTIONS(6179),
    [anon_sym___attribute__] = ACTIONS(6177),
    [anon_sym___attribute] = ACTIONS(6177),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(6179),
    [anon_sym_RBRACE] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [anon_sym_RBRACK] = ACTIONS(6179),
    [anon_sym_EQ] = ACTIONS(6177),
    [anon_sym_COLON] = ACTIONS(6177),
    [anon_sym_QMARK] = ACTIONS(6179),
    [anon_sym_STAR_EQ] = ACTIONS(6179),
    [anon_sym_SLASH_EQ] = ACTIONS(6179),
    [anon_sym_PERCENT_EQ] = ACTIONS(6179),
    [anon_sym_PLUS_EQ] = ACTIONS(6179),
    [anon_sym_DASH_EQ] = ACTIONS(6179),
    [anon_sym_LT_LT_EQ] = ACTIONS(6179),
    [anon_sym_GT_GT_EQ] = ACTIONS(6179),
    [anon_sym_AMP_EQ] = ACTIONS(6179),
    [anon_sym_CARET_EQ] = ACTIONS(6179),
    [anon_sym_PIPE_EQ] = ACTIONS(6179),
    [anon_sym_and_eq] = ACTIONS(6177),
    [anon_sym_or_eq] = ACTIONS(6177),
    [anon_sym_xor_eq] = ACTIONS(6177),
    [anon_sym_LT_EQ_GT] = ACTIONS(6179),
    [anon_sym_or] = ACTIONS(6177),
    [anon_sym_and] = ACTIONS(6177),
    [anon_sym_bitor] = ACTIONS(6177),
    [anon_sym_xor] = ACTIONS(6177),
    [anon_sym_bitand] = ACTIONS(6177),
    [anon_sym_not_eq] = ACTIONS(6177),
    [anon_sym_DASH_DASH] = ACTIONS(6179),
    [anon_sym_PLUS_PLUS] = ACTIONS(6179),
    [anon_sym_DOT] = ACTIONS(6177),
    [anon_sym_DOT_STAR] = ACTIONS(6179),
    [anon_sym_DASH_GT] = ACTIONS(6179),
    [sym_comment] = ACTIONS(3),
  },
  [2277] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(2278),
    [sym__declarator] = STATE(6465),
    [sym__abstract_declarator] = STATE(6601),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_type_qualifier] = STATE(2817),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_parameter_list] = STATE(2982),
    [sym_decltype] = STATE(8209),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5809),
    [sym_qualified_identifier] = STATE(5964),
    [sym_operator_name] = STATE(5964),
    [aux_sym__type_definition_type_repeat1] = STATE(2817),
    [aux_sym_pointer_declarator_repeat1] = STATE(2278),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_RPAREN] = ACTIONS(5718),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(4185),
    [anon_sym_AMP_AMP] = ACTIONS(4187),
    [anon_sym_AMP] = ACTIONS(4189),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(6181),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [2278] = {
    [sym_ms_based_modifier] = STATE(8001),
    [sym_ms_unaligned_ptr_modifier] = STATE(3991),
    [sym_ms_pointer_modifier] = STATE(3836),
    [sym__declarator] = STATE(6399),
    [sym__abstract_declarator] = STATE(6608),
    [sym_parenthesized_declarator] = STATE(5964),
    [sym_abstract_parenthesized_declarator] = STATE(6032),
    [sym_attributed_declarator] = STATE(5964),
    [sym_pointer_declarator] = STATE(5964),
    [sym_abstract_pointer_declarator] = STATE(6032),
    [sym_function_declarator] = STATE(5964),
    [sym_abstract_function_declarator] = STATE(6032),
    [sym_array_declarator] = STATE(5964),
    [sym_abstract_array_declarator] = STATE(6032),
    [sym_type_qualifier] = STATE(2831),
    [sym_alignas_qualifier] = STATE(4243),
    [sym_parameter_list] = STATE(2982),
    [sym_decltype] = STATE(8209),
    [sym_reference_declarator] = STATE(5964),
    [sym_abstract_reference_declarator] = STATE(6032),
    [sym_structured_binding_declarator] = STATE(5964),
    [sym__function_declarator_seq] = STATE(6033),
    [sym_template_type] = STATE(8209),
    [sym_template_function] = STATE(5964),
    [sym_destructor_name] = STATE(5964),
    [sym_dependent_type_identifier] = STATE(8209),
    [sym__scope_resolution] = STATE(5809),
    [sym_qualified_identifier] = STATE(5964),
    [sym_operator_name] = STATE(5964),
    [aux_sym__type_definition_type_repeat1] = STATE(2831),
    [aux_sym_pointer_declarator_repeat1] = STATE(3836),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_RPAREN] = ACTIONS(5732),
    [anon_sym_LPAREN2] = ACTIONS(4183),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(4185),
    [anon_sym_AMP_AMP] = ACTIONS(4187),
    [anon_sym_AMP] = ACTIONS(4189),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(6181),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(3286),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3286),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3286),
    [anon_sym__unaligned] = ACTIONS(3288),
    [anon_sym___unaligned] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym__Nonnull] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym__Alignas] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1951),
    [anon_sym_template] = ACTIONS(1235),
    [anon_sym_operator] = ACTIONS(1823),
  },
  [2279] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5782),
    [anon_sym_COMMA] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5782),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5782),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5782),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5782),
    [anon_sym_BANG_EQ] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5782),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym___extension__] = ACTIONS(5782),
    [anon_sym___attribute__] = ACTIONS(5782),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5782),
    [anon_sym_signed] = ACTIONS(6171),
    [anon_sym_unsigned] = ACTIONS(6171),
    [anon_sym_long] = ACTIONS(6171),
    [anon_sym_short] = ACTIONS(6171),
    [anon_sym_LBRACK] = ACTIONS(5782),
    [anon_sym_const] = ACTIONS(5784),
    [anon_sym_constexpr] = ACTIONS(5782),
    [anon_sym_volatile] = ACTIONS(5782),
    [anon_sym_restrict] = ACTIONS(5782),
    [anon_sym___restrict__] = ACTIONS(5782),
    [anon_sym__Atomic] = ACTIONS(5782),
    [anon_sym__Noreturn] = ACTIONS(5782),
    [anon_sym_noreturn] = ACTIONS(5782),
    [anon_sym__Nonnull] = ACTIONS(5782),
    [anon_sym_mutable] = ACTIONS(5782),
    [anon_sym_constinit] = ACTIONS(5782),
    [anon_sym_consteval] = ACTIONS(5782),
    [anon_sym_alignas] = ACTIONS(5782),
    [anon_sym__Alignas] = ACTIONS(5782),
    [anon_sym_QMARK] = ACTIONS(5782),
    [anon_sym_LT_EQ_GT] = ACTIONS(5782),
    [anon_sym_or] = ACTIONS(5782),
    [anon_sym_and] = ACTIONS(5782),
    [anon_sym_bitor] = ACTIONS(5782),
    [anon_sym_xor] = ACTIONS(5782),
    [anon_sym_bitand] = ACTIONS(5782),
    [anon_sym_not_eq] = ACTIONS(5782),
    [anon_sym_DASH_DASH] = ACTIONS(5782),
    [anon_sym_PLUS_PLUS] = ACTIONS(5782),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5782),
    [anon_sym_DASH_GT] = ACTIONS(5782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5782),
    [anon_sym_decltype] = ACTIONS(5782),
    [anon_sym_final] = ACTIONS(5782),
    [anon_sym_override] = ACTIONS(5782),
    [anon_sym_GT2] = ACTIONS(5782),
    [anon_sym_requires] = ACTIONS(5782),
  },
  [2280] = {
    [sym_new_declarator] = STATE(2338),
    [sym_identifier] = ACTIONS(6183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6185),
    [anon_sym_COMMA] = ACTIONS(6185),
    [anon_sym_RPAREN] = ACTIONS(6185),
    [aux_sym_preproc_if_token2] = ACTIONS(6185),
    [aux_sym_preproc_else_token1] = ACTIONS(6185),
    [aux_sym_preproc_elif_token1] = ACTIONS(6183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6185),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6185),
    [anon_sym_LPAREN2] = ACTIONS(6185),
    [anon_sym_DASH] = ACTIONS(6183),
    [anon_sym_PLUS] = ACTIONS(6183),
    [anon_sym_STAR] = ACTIONS(6183),
    [anon_sym_SLASH] = ACTIONS(6183),
    [anon_sym_PERCENT] = ACTIONS(6183),
    [anon_sym_PIPE_PIPE] = ACTIONS(6185),
    [anon_sym_AMP_AMP] = ACTIONS(6185),
    [anon_sym_PIPE] = ACTIONS(6183),
    [anon_sym_CARET] = ACTIONS(6183),
    [anon_sym_AMP] = ACTIONS(6183),
    [anon_sym_EQ_EQ] = ACTIONS(6185),
    [anon_sym_BANG_EQ] = ACTIONS(6185),
    [anon_sym_GT] = ACTIONS(6183),
    [anon_sym_GT_EQ] = ACTIONS(6185),
    [anon_sym_LT_EQ] = ACTIONS(6183),
    [anon_sym_LT] = ACTIONS(6183),
    [anon_sym_LT_LT] = ACTIONS(6183),
    [anon_sym_GT_GT] = ACTIONS(6183),
    [anon_sym_SEMI] = ACTIONS(6185),
    [anon_sym___attribute__] = ACTIONS(6183),
    [anon_sym___attribute] = ACTIONS(6183),
    [anon_sym_LBRACE] = ACTIONS(6185),
    [anon_sym_RBRACE] = ACTIONS(6185),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(6185),
    [anon_sym_EQ] = ACTIONS(6183),
    [anon_sym_COLON] = ACTIONS(6185),
    [anon_sym_QMARK] = ACTIONS(6185),
    [anon_sym_STAR_EQ] = ACTIONS(6185),
    [anon_sym_SLASH_EQ] = ACTIONS(6185),
    [anon_sym_PERCENT_EQ] = ACTIONS(6185),
    [anon_sym_PLUS_EQ] = ACTIONS(6185),
    [anon_sym_DASH_EQ] = ACTIONS(6185),
    [anon_sym_LT_LT_EQ] = ACTIONS(6185),
    [anon_sym_GT_GT_EQ] = ACTIONS(6185),
    [anon_sym_AMP_EQ] = ACTIONS(6185),
    [anon_sym_CARET_EQ] = ACTIONS(6185),
    [anon_sym_PIPE_EQ] = ACTIONS(6185),
    [anon_sym_and_eq] = ACTIONS(6183),
    [anon_sym_or_eq] = ACTIONS(6183),
    [anon_sym_xor_eq] = ACTIONS(6183),
    [anon_sym_LT_EQ_GT] = ACTIONS(6185),
    [anon_sym_or] = ACTIONS(6183),
    [anon_sym_and] = ACTIONS(6183),
    [anon_sym_bitor] = ACTIONS(6183),
    [anon_sym_xor] = ACTIONS(6183),
    [anon_sym_bitand] = ACTIONS(6183),
    [anon_sym_not_eq] = ACTIONS(6183),
    [anon_sym_DASH_DASH] = ACTIONS(6185),
    [anon_sym_PLUS_PLUS] = ACTIONS(6185),
    [anon_sym_DOT] = ACTIONS(6183),
    [anon_sym_DOT_STAR] = ACTIONS(6185),
    [anon_sym_DASH_GT] = ACTIONS(6185),
    [sym_comment] = ACTIONS(3),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [aux_sym_preproc_if_token2] = ACTIONS(4857),
    [aux_sym_preproc_else_token1] = ACTIONS(4857),
    [aux_sym_preproc_elif_token1] = ACTIONS(4864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4864),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym___attribute] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4862),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4857),
    [anon_sym_RBRACK] = ACTIONS(4857),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_COLON] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
  },
  [2282] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5631),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5631),
    [anon_sym_DASH] = ACTIONS(5629),
    [anon_sym_PLUS] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5631),
    [anon_sym_SLASH] = ACTIONS(5629),
    [anon_sym_PERCENT] = ACTIONS(5631),
    [anon_sym_PIPE_PIPE] = ACTIONS(5631),
    [anon_sym_AMP_AMP] = ACTIONS(5631),
    [anon_sym_PIPE] = ACTIONS(5629),
    [anon_sym_CARET] = ACTIONS(5631),
    [anon_sym_AMP] = ACTIONS(5629),
    [anon_sym_EQ_EQ] = ACTIONS(5631),
    [anon_sym_BANG_EQ] = ACTIONS(5631),
    [anon_sym_GT] = ACTIONS(5629),
    [anon_sym_GT_EQ] = ACTIONS(5629),
    [anon_sym_LT_EQ] = ACTIONS(5629),
    [anon_sym_LT] = ACTIONS(5629),
    [anon_sym_LT_LT] = ACTIONS(5631),
    [anon_sym_GT_GT] = ACTIONS(5629),
    [anon_sym___extension__] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5631),
    [anon_sym___attribute] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(5631),
    [anon_sym_signed] = ACTIONS(6187),
    [anon_sym_unsigned] = ACTIONS(6187),
    [anon_sym_long] = ACTIONS(6187),
    [anon_sym_short] = ACTIONS(6187),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_const] = ACTIONS(5629),
    [anon_sym_constexpr] = ACTIONS(5631),
    [anon_sym_volatile] = ACTIONS(5631),
    [anon_sym_restrict] = ACTIONS(5631),
    [anon_sym___restrict__] = ACTIONS(5631),
    [anon_sym__Atomic] = ACTIONS(5631),
    [anon_sym__Noreturn] = ACTIONS(5631),
    [anon_sym_noreturn] = ACTIONS(5631),
    [anon_sym__Nonnull] = ACTIONS(5631),
    [anon_sym_mutable] = ACTIONS(5631),
    [anon_sym_constinit] = ACTIONS(5631),
    [anon_sym_consteval] = ACTIONS(5631),
    [anon_sym_alignas] = ACTIONS(5631),
    [anon_sym__Alignas] = ACTIONS(5631),
    [anon_sym_QMARK] = ACTIONS(5631),
    [anon_sym_LT_EQ_GT] = ACTIONS(5631),
    [anon_sym_or] = ACTIONS(5631),
    [anon_sym_and] = ACTIONS(5631),
    [anon_sym_bitor] = ACTIONS(5631),
    [anon_sym_xor] = ACTIONS(5631),
    [anon_sym_bitand] = ACTIONS(5631),
    [anon_sym_not_eq] = ACTIONS(5631),
    [anon_sym_DASH_DASH] = ACTIONS(5631),
    [anon_sym_PLUS_PLUS] = ACTIONS(5631),
    [anon_sym_DOT] = ACTIONS(5629),
    [anon_sym_DOT_STAR] = ACTIONS(5631),
    [anon_sym_DASH_GT] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5631),
    [anon_sym_decltype] = ACTIONS(5631),
    [anon_sym_final] = ACTIONS(5631),
    [anon_sym_override] = ACTIONS(5631),
    [anon_sym_GT2] = ACTIONS(5631),
    [anon_sym_requires] = ACTIONS(5631),
  },
  [2283] = {
    [sym_attribute_specifier] = STATE(1838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6015),
    [anon_sym_COMMA] = ACTIONS(6015),
    [anon_sym_RPAREN] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_DASH] = ACTIONS(6013),
    [anon_sym_PLUS] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6015),
    [anon_sym_SLASH] = ACTIONS(6013),
    [anon_sym_PERCENT] = ACTIONS(6015),
    [anon_sym_PIPE_PIPE] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_PIPE] = ACTIONS(6013),
    [anon_sym_CARET] = ACTIONS(6015),
    [anon_sym_AMP] = ACTIONS(6013),
    [anon_sym_EQ_EQ] = ACTIONS(6015),
    [anon_sym_BANG_EQ] = ACTIONS(6015),
    [anon_sym_GT] = ACTIONS(6013),
    [anon_sym_GT_EQ] = ACTIONS(6015),
    [anon_sym_LT_EQ] = ACTIONS(6013),
    [anon_sym_LT] = ACTIONS(6013),
    [anon_sym_LT_LT] = ACTIONS(6015),
    [anon_sym_GT_GT] = ACTIONS(6015),
    [anon_sym_SEMI] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(6015),
    [anon_sym_RBRACE] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_RBRACK] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6013),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym__Nonnull] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym__Alignas] = ACTIONS(6015),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_QMARK] = ACTIONS(6015),
    [anon_sym_LT_EQ_GT] = ACTIONS(6015),
    [anon_sym_or] = ACTIONS(6015),
    [anon_sym_and] = ACTIONS(6015),
    [anon_sym_bitor] = ACTIONS(6015),
    [anon_sym_xor] = ACTIONS(6015),
    [anon_sym_bitand] = ACTIONS(6015),
    [anon_sym_not_eq] = ACTIONS(6015),
    [anon_sym_DASH_DASH] = ACTIONS(6015),
    [anon_sym_PLUS_PLUS] = ACTIONS(6015),
    [anon_sym_DOT] = ACTIONS(6013),
    [anon_sym_DOT_STAR] = ACTIONS(6015),
    [anon_sym_DASH_GT] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_final] = ACTIONS(6015),
    [anon_sym_override] = ACTIONS(6015),
    [anon_sym_requires] = ACTIONS(6015),
  },
  [2284] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_STAR] = ACTIONS(5788),
    [anon_sym_SLASH] = ACTIONS(5788),
    [anon_sym_PERCENT] = ACTIONS(5788),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5788),
    [anon_sym_CARET] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(5788),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5788),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5788),
    [anon_sym_LT] = ACTIONS(5788),
    [anon_sym_LT_LT] = ACTIONS(5788),
    [anon_sym_GT_GT] = ACTIONS(5788),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5788),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6169),
    [anon_sym_unsigned] = ACTIONS(6169),
    [anon_sym_long] = ACTIONS(6169),
    [anon_sym_short] = ACTIONS(6169),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_RBRACK] = ACTIONS(5786),
    [anon_sym_EQ] = ACTIONS(5788),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_STAR_EQ] = ACTIONS(5786),
    [anon_sym_SLASH_EQ] = ACTIONS(5786),
    [anon_sym_PERCENT_EQ] = ACTIONS(5786),
    [anon_sym_PLUS_EQ] = ACTIONS(5786),
    [anon_sym_DASH_EQ] = ACTIONS(5786),
    [anon_sym_LT_LT_EQ] = ACTIONS(5786),
    [anon_sym_GT_GT_EQ] = ACTIONS(5786),
    [anon_sym_AMP_EQ] = ACTIONS(5786),
    [anon_sym_CARET_EQ] = ACTIONS(5786),
    [anon_sym_PIPE_EQ] = ACTIONS(5786),
    [anon_sym_and_eq] = ACTIONS(5786),
    [anon_sym_or_eq] = ACTIONS(5786),
    [anon_sym_xor_eq] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5788),
    [anon_sym_and] = ACTIONS(5788),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5788),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5788),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
  },
  [2285] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5372),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym___extension__] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(6187),
    [anon_sym_unsigned] = ACTIONS(6187),
    [anon_sym_long] = ACTIONS(6187),
    [anon_sym_short] = ACTIONS(6187),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5372),
    [anon_sym_constexpr] = ACTIONS(5374),
    [anon_sym_volatile] = ACTIONS(5374),
    [anon_sym_restrict] = ACTIONS(5374),
    [anon_sym___restrict__] = ACTIONS(5374),
    [anon_sym__Atomic] = ACTIONS(5374),
    [anon_sym__Noreturn] = ACTIONS(5374),
    [anon_sym_noreturn] = ACTIONS(5374),
    [anon_sym__Nonnull] = ACTIONS(5374),
    [anon_sym_mutable] = ACTIONS(5374),
    [anon_sym_constinit] = ACTIONS(5374),
    [anon_sym_consteval] = ACTIONS(5374),
    [anon_sym_alignas] = ACTIONS(5374),
    [anon_sym__Alignas] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_final] = ACTIONS(5374),
    [anon_sym_override] = ACTIONS(5374),
    [anon_sym_GT2] = ACTIONS(5374),
    [anon_sym_requires] = ACTIONS(5374),
  },
  [2286] = {
    [sym_attribute_specifier] = STATE(1798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5942),
    [anon_sym_COMMA] = ACTIONS(5942),
    [anon_sym_RPAREN] = ACTIONS(5942),
    [anon_sym_LPAREN2] = ACTIONS(5942),
    [anon_sym_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5940),
    [anon_sym_STAR] = ACTIONS(5942),
    [anon_sym_SLASH] = ACTIONS(5940),
    [anon_sym_PERCENT] = ACTIONS(5942),
    [anon_sym_PIPE_PIPE] = ACTIONS(5942),
    [anon_sym_AMP_AMP] = ACTIONS(5942),
    [anon_sym_PIPE] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5942),
    [anon_sym_BANG_EQ] = ACTIONS(5942),
    [anon_sym_GT] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5942),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_LT_LT] = ACTIONS(5942),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_SEMI] = ACTIONS(5942),
    [anon_sym___extension__] = ACTIONS(5942),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5942),
    [anon_sym_RBRACE] = ACTIONS(5942),
    [anon_sym_LBRACK] = ACTIONS(5942),
    [anon_sym_RBRACK] = ACTIONS(5942),
    [anon_sym_const] = ACTIONS(5940),
    [anon_sym_constexpr] = ACTIONS(5942),
    [anon_sym_volatile] = ACTIONS(5942),
    [anon_sym_restrict] = ACTIONS(5942),
    [anon_sym___restrict__] = ACTIONS(5942),
    [anon_sym__Atomic] = ACTIONS(5942),
    [anon_sym__Noreturn] = ACTIONS(5942),
    [anon_sym_noreturn] = ACTIONS(5942),
    [anon_sym__Nonnull] = ACTIONS(5942),
    [anon_sym_mutable] = ACTIONS(5942),
    [anon_sym_constinit] = ACTIONS(5942),
    [anon_sym_consteval] = ACTIONS(5942),
    [anon_sym_alignas] = ACTIONS(5942),
    [anon_sym__Alignas] = ACTIONS(5942),
    [anon_sym_COLON] = ACTIONS(5942),
    [anon_sym_QMARK] = ACTIONS(5942),
    [anon_sym_LT_EQ_GT] = ACTIONS(5942),
    [anon_sym_or] = ACTIONS(5942),
    [anon_sym_and] = ACTIONS(5942),
    [anon_sym_bitor] = ACTIONS(5942),
    [anon_sym_xor] = ACTIONS(5942),
    [anon_sym_bitand] = ACTIONS(5942),
    [anon_sym_not_eq] = ACTIONS(5942),
    [anon_sym_DASH_DASH] = ACTIONS(5942),
    [anon_sym_PLUS_PLUS] = ACTIONS(5942),
    [anon_sym_DOT] = ACTIONS(5940),
    [anon_sym_DOT_STAR] = ACTIONS(5942),
    [anon_sym_DASH_GT] = ACTIONS(5942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5942),
    [anon_sym_decltype] = ACTIONS(5942),
    [anon_sym_final] = ACTIONS(5942),
    [anon_sym_override] = ACTIONS(5942),
    [anon_sym_requires] = ACTIONS(5942),
  },
  [2287] = {
    [sym_attribute_specifier] = STATE(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6011),
    [anon_sym_COMMA] = ACTIONS(6011),
    [anon_sym_RPAREN] = ACTIONS(6011),
    [anon_sym_LPAREN2] = ACTIONS(6011),
    [anon_sym_DASH] = ACTIONS(6009),
    [anon_sym_PLUS] = ACTIONS(6009),
    [anon_sym_STAR] = ACTIONS(6011),
    [anon_sym_SLASH] = ACTIONS(6009),
    [anon_sym_PERCENT] = ACTIONS(6011),
    [anon_sym_PIPE_PIPE] = ACTIONS(6011),
    [anon_sym_AMP_AMP] = ACTIONS(6011),
    [anon_sym_PIPE] = ACTIONS(6009),
    [anon_sym_CARET] = ACTIONS(6011),
    [anon_sym_AMP] = ACTIONS(6009),
    [anon_sym_EQ_EQ] = ACTIONS(6011),
    [anon_sym_BANG_EQ] = ACTIONS(6011),
    [anon_sym_GT] = ACTIONS(6009),
    [anon_sym_GT_EQ] = ACTIONS(6011),
    [anon_sym_LT_EQ] = ACTIONS(6009),
    [anon_sym_LT] = ACTIONS(6009),
    [anon_sym_LT_LT] = ACTIONS(6011),
    [anon_sym_GT_GT] = ACTIONS(6011),
    [anon_sym_SEMI] = ACTIONS(6011),
    [anon_sym___extension__] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(6011),
    [anon_sym_RBRACE] = ACTIONS(6011),
    [anon_sym_LBRACK] = ACTIONS(6011),
    [anon_sym_RBRACK] = ACTIONS(6011),
    [anon_sym_const] = ACTIONS(6009),
    [anon_sym_constexpr] = ACTIONS(6011),
    [anon_sym_volatile] = ACTIONS(6011),
    [anon_sym_restrict] = ACTIONS(6011),
    [anon_sym___restrict__] = ACTIONS(6011),
    [anon_sym__Atomic] = ACTIONS(6011),
    [anon_sym__Noreturn] = ACTIONS(6011),
    [anon_sym_noreturn] = ACTIONS(6011),
    [anon_sym__Nonnull] = ACTIONS(6011),
    [anon_sym_mutable] = ACTIONS(6011),
    [anon_sym_constinit] = ACTIONS(6011),
    [anon_sym_consteval] = ACTIONS(6011),
    [anon_sym_alignas] = ACTIONS(6011),
    [anon_sym__Alignas] = ACTIONS(6011),
    [anon_sym_COLON] = ACTIONS(6011),
    [anon_sym_QMARK] = ACTIONS(6011),
    [anon_sym_LT_EQ_GT] = ACTIONS(6011),
    [anon_sym_or] = ACTIONS(6011),
    [anon_sym_and] = ACTIONS(6011),
    [anon_sym_bitor] = ACTIONS(6011),
    [anon_sym_xor] = ACTIONS(6011),
    [anon_sym_bitand] = ACTIONS(6011),
    [anon_sym_not_eq] = ACTIONS(6011),
    [anon_sym_DASH_DASH] = ACTIONS(6011),
    [anon_sym_PLUS_PLUS] = ACTIONS(6011),
    [anon_sym_DOT] = ACTIONS(6009),
    [anon_sym_DOT_STAR] = ACTIONS(6011),
    [anon_sym_DASH_GT] = ACTIONS(6011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6011),
    [anon_sym_decltype] = ACTIONS(6011),
    [anon_sym_final] = ACTIONS(6011),
    [anon_sym_override] = ACTIONS(6011),
    [anon_sym_requires] = ACTIONS(6011),
  },
  [2288] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5797),
    [anon_sym_COMMA] = ACTIONS(5797),
    [anon_sym_LPAREN2] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5799),
    [anon_sym_PLUS] = ACTIONS(5799),
    [anon_sym_STAR] = ACTIONS(5797),
    [anon_sym_SLASH] = ACTIONS(5799),
    [anon_sym_PERCENT] = ACTIONS(5797),
    [anon_sym_PIPE_PIPE] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5797),
    [anon_sym_PIPE] = ACTIONS(5799),
    [anon_sym_CARET] = ACTIONS(5797),
    [anon_sym_AMP] = ACTIONS(5799),
    [anon_sym_EQ_EQ] = ACTIONS(5797),
    [anon_sym_BANG_EQ] = ACTIONS(5797),
    [anon_sym_GT] = ACTIONS(5799),
    [anon_sym_GT_EQ] = ACTIONS(5799),
    [anon_sym_LT_EQ] = ACTIONS(5799),
    [anon_sym_LT] = ACTIONS(5799),
    [anon_sym_LT_LT] = ACTIONS(5797),
    [anon_sym_GT_GT] = ACTIONS(5799),
    [anon_sym___extension__] = ACTIONS(5797),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym___attribute] = ACTIONS(5799),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_signed] = ACTIONS(6171),
    [anon_sym_unsigned] = ACTIONS(6171),
    [anon_sym_long] = ACTIONS(6171),
    [anon_sym_short] = ACTIONS(6171),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [anon_sym_const] = ACTIONS(5799),
    [anon_sym_constexpr] = ACTIONS(5797),
    [anon_sym_volatile] = ACTIONS(5797),
    [anon_sym_restrict] = ACTIONS(5797),
    [anon_sym___restrict__] = ACTIONS(5797),
    [anon_sym__Atomic] = ACTIONS(5797),
    [anon_sym__Noreturn] = ACTIONS(5797),
    [anon_sym_noreturn] = ACTIONS(5797),
    [anon_sym__Nonnull] = ACTIONS(5797),
    [anon_sym_mutable] = ACTIONS(5797),
    [anon_sym_constinit] = ACTIONS(5797),
    [anon_sym_consteval] = ACTIONS(5797),
    [anon_sym_alignas] = ACTIONS(5797),
    [anon_sym__Alignas] = ACTIONS(5797),
    [anon_sym_QMARK] = ACTIONS(5797),
    [anon_sym_LT_EQ_GT] = ACTIONS(5797),
    [anon_sym_or] = ACTIONS(5797),
    [anon_sym_and] = ACTIONS(5797),
    [anon_sym_bitor] = ACTIONS(5797),
    [anon_sym_xor] = ACTIONS(5797),
    [anon_sym_bitand] = ACTIONS(5797),
    [anon_sym_not_eq] = ACTIONS(5797),
    [anon_sym_DASH_DASH] = ACTIONS(5797),
    [anon_sym_PLUS_PLUS] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_DOT_STAR] = ACTIONS(5797),
    [anon_sym_DASH_GT] = ACTIONS(5797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
    [anon_sym_final] = ACTIONS(5797),
    [anon_sym_override] = ACTIONS(5797),
    [anon_sym_GT2] = ACTIONS(5797),
    [anon_sym_requires] = ACTIONS(5797),
  },
  [2289] = {
    [sym_attribute_specifier] = STATE(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5946),
    [anon_sym_COMMA] = ACTIONS(5946),
    [anon_sym_RPAREN] = ACTIONS(5946),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5944),
    [anon_sym_PLUS] = ACTIONS(5944),
    [anon_sym_STAR] = ACTIONS(5946),
    [anon_sym_SLASH] = ACTIONS(5944),
    [anon_sym_PERCENT] = ACTIONS(5946),
    [anon_sym_PIPE_PIPE] = ACTIONS(5946),
    [anon_sym_AMP_AMP] = ACTIONS(5946),
    [anon_sym_PIPE] = ACTIONS(5944),
    [anon_sym_CARET] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5944),
    [anon_sym_EQ_EQ] = ACTIONS(5946),
    [anon_sym_BANG_EQ] = ACTIONS(5946),
    [anon_sym_GT] = ACTIONS(5944),
    [anon_sym_GT_EQ] = ACTIONS(5946),
    [anon_sym_LT_EQ] = ACTIONS(5944),
    [anon_sym_LT] = ACTIONS(5944),
    [anon_sym_LT_LT] = ACTIONS(5946),
    [anon_sym_GT_GT] = ACTIONS(5946),
    [anon_sym_SEMI] = ACTIONS(5946),
    [anon_sym___extension__] = ACTIONS(5946),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5946),
    [anon_sym_RBRACE] = ACTIONS(5946),
    [anon_sym_LBRACK] = ACTIONS(5946),
    [anon_sym_RBRACK] = ACTIONS(5946),
    [anon_sym_const] = ACTIONS(5944),
    [anon_sym_constexpr] = ACTIONS(5946),
    [anon_sym_volatile] = ACTIONS(5946),
    [anon_sym_restrict] = ACTIONS(5946),
    [anon_sym___restrict__] = ACTIONS(5946),
    [anon_sym__Atomic] = ACTIONS(5946),
    [anon_sym__Noreturn] = ACTIONS(5946),
    [anon_sym_noreturn] = ACTIONS(5946),
    [anon_sym__Nonnull] = ACTIONS(5946),
    [anon_sym_mutable] = ACTIONS(5946),
    [anon_sym_constinit] = ACTIONS(5946),
    [anon_sym_consteval] = ACTIONS(5946),
    [anon_sym_alignas] = ACTIONS(5946),
    [anon_sym__Alignas] = ACTIONS(5946),
    [anon_sym_COLON] = ACTIONS(5946),
    [anon_sym_QMARK] = ACTIONS(5946),
    [anon_sym_LT_EQ_GT] = ACTIONS(5946),
    [anon_sym_or] = ACTIONS(5946),
    [anon_sym_and] = ACTIONS(5946),
    [anon_sym_bitor] = ACTIONS(5946),
    [anon_sym_xor] = ACTIONS(5946),
    [anon_sym_bitand] = ACTIONS(5946),
    [anon_sym_not_eq] = ACTIONS(5946),
    [anon_sym_DASH_DASH] = ACTIONS(5946),
    [anon_sym_PLUS_PLUS] = ACTIONS(5946),
    [anon_sym_DOT] = ACTIONS(5944),
    [anon_sym_DOT_STAR] = ACTIONS(5946),
    [anon_sym_DASH_GT] = ACTIONS(5946),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5946),
    [anon_sym_decltype] = ACTIONS(5946),
    [anon_sym_final] = ACTIONS(5946),
    [anon_sym_override] = ACTIONS(5946),
    [anon_sym_requires] = ACTIONS(5946),
  },
  [2290] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5792),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6169),
    [anon_sym_unsigned] = ACTIONS(6169),
    [anon_sym_long] = ACTIONS(6169),
    [anon_sym_short] = ACTIONS(6169),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_and_eq] = ACTIONS(5790),
    [anon_sym_or_eq] = ACTIONS(5790),
    [anon_sym_xor_eq] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5792),
    [anon_sym_and] = ACTIONS(5792),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5792),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
  },
  [2291] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_LPAREN2] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5736),
    [anon_sym_SLASH] = ACTIONS(5738),
    [anon_sym_PERCENT] = ACTIONS(5736),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5736),
    [anon_sym_AMP] = ACTIONS(5738),
    [anon_sym_EQ_EQ] = ACTIONS(5736),
    [anon_sym_BANG_EQ] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5738),
    [anon_sym_GT_EQ] = ACTIONS(5738),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5738),
    [anon_sym_LT_LT] = ACTIONS(5736),
    [anon_sym_GT_GT] = ACTIONS(5738),
    [anon_sym___extension__] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym___attribute] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5736),
    [anon_sym_signed] = ACTIONS(6171),
    [anon_sym_unsigned] = ACTIONS(6171),
    [anon_sym_long] = ACTIONS(6171),
    [anon_sym_short] = ACTIONS(6171),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_const] = ACTIONS(5738),
    [anon_sym_constexpr] = ACTIONS(5736),
    [anon_sym_volatile] = ACTIONS(5736),
    [anon_sym_restrict] = ACTIONS(5736),
    [anon_sym___restrict__] = ACTIONS(5736),
    [anon_sym__Atomic] = ACTIONS(5736),
    [anon_sym__Noreturn] = ACTIONS(5736),
    [anon_sym_noreturn] = ACTIONS(5736),
    [anon_sym__Nonnull] = ACTIONS(5736),
    [anon_sym_mutable] = ACTIONS(5736),
    [anon_sym_constinit] = ACTIONS(5736),
    [anon_sym_consteval] = ACTIONS(5736),
    [anon_sym_alignas] = ACTIONS(5736),
    [anon_sym__Alignas] = ACTIONS(5736),
    [anon_sym_QMARK] = ACTIONS(5736),
    [anon_sym_LT_EQ_GT] = ACTIONS(5736),
    [anon_sym_or] = ACTIONS(5736),
    [anon_sym_and] = ACTIONS(5736),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5736),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5736),
    [anon_sym_PLUS_PLUS] = ACTIONS(5736),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_DOT_STAR] = ACTIONS(5736),
    [anon_sym_DASH_GT] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
    [anon_sym_final] = ACTIONS(5736),
    [anon_sym_override] = ACTIONS(5736),
    [anon_sym_GT2] = ACTIONS(5736),
    [anon_sym_requires] = ACTIONS(5736),
  },
  [2292] = {
    [sym_attribute_specifier] = STATE(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5921),
    [anon_sym_COMMA] = ACTIONS(5921),
    [anon_sym_RPAREN] = ACTIONS(5921),
    [anon_sym_LPAREN2] = ACTIONS(5921),
    [anon_sym_DASH] = ACTIONS(5919),
    [anon_sym_PLUS] = ACTIONS(5919),
    [anon_sym_STAR] = ACTIONS(5921),
    [anon_sym_SLASH] = ACTIONS(5919),
    [anon_sym_PERCENT] = ACTIONS(5921),
    [anon_sym_PIPE_PIPE] = ACTIONS(5921),
    [anon_sym_AMP_AMP] = ACTIONS(5921),
    [anon_sym_PIPE] = ACTIONS(5919),
    [anon_sym_CARET] = ACTIONS(5921),
    [anon_sym_AMP] = ACTIONS(5919),
    [anon_sym_EQ_EQ] = ACTIONS(5921),
    [anon_sym_BANG_EQ] = ACTIONS(5921),
    [anon_sym_GT] = ACTIONS(5919),
    [anon_sym_GT_EQ] = ACTIONS(5921),
    [anon_sym_LT_EQ] = ACTIONS(5919),
    [anon_sym_LT] = ACTIONS(5919),
    [anon_sym_LT_LT] = ACTIONS(5921),
    [anon_sym_GT_GT] = ACTIONS(5921),
    [anon_sym_SEMI] = ACTIONS(5921),
    [anon_sym___extension__] = ACTIONS(5921),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5921),
    [anon_sym_RBRACE] = ACTIONS(5921),
    [anon_sym_LBRACK] = ACTIONS(5921),
    [anon_sym_RBRACK] = ACTIONS(5921),
    [anon_sym_const] = ACTIONS(5919),
    [anon_sym_constexpr] = ACTIONS(5921),
    [anon_sym_volatile] = ACTIONS(5921),
    [anon_sym_restrict] = ACTIONS(5921),
    [anon_sym___restrict__] = ACTIONS(5921),
    [anon_sym__Atomic] = ACTIONS(5921),
    [anon_sym__Noreturn] = ACTIONS(5921),
    [anon_sym_noreturn] = ACTIONS(5921),
    [anon_sym__Nonnull] = ACTIONS(5921),
    [anon_sym_mutable] = ACTIONS(5921),
    [anon_sym_constinit] = ACTIONS(5921),
    [anon_sym_consteval] = ACTIONS(5921),
    [anon_sym_alignas] = ACTIONS(5921),
    [anon_sym__Alignas] = ACTIONS(5921),
    [anon_sym_COLON] = ACTIONS(5921),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_LT_EQ_GT] = ACTIONS(5921),
    [anon_sym_or] = ACTIONS(5921),
    [anon_sym_and] = ACTIONS(5921),
    [anon_sym_bitor] = ACTIONS(5921),
    [anon_sym_xor] = ACTIONS(5921),
    [anon_sym_bitand] = ACTIONS(5921),
    [anon_sym_not_eq] = ACTIONS(5921),
    [anon_sym_DASH_DASH] = ACTIONS(5921),
    [anon_sym_PLUS_PLUS] = ACTIONS(5921),
    [anon_sym_DOT] = ACTIONS(5919),
    [anon_sym_DOT_STAR] = ACTIONS(5921),
    [anon_sym_DASH_GT] = ACTIONS(5921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5921),
    [anon_sym_decltype] = ACTIONS(5921),
    [anon_sym_final] = ACTIONS(5921),
    [anon_sym_override] = ACTIONS(5921),
    [anon_sym_requires] = ACTIONS(5921),
  },
  [2293] = {
    [sym_identifier] = ACTIONS(5319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_DASH] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_SLASH] = ACTIONS(5319),
    [anon_sym_PERCENT] = ACTIONS(5319),
    [anon_sym_PIPE_PIPE] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_PIPE] = ACTIONS(5319),
    [anon_sym_CARET] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_EQ_EQ] = ACTIONS(5321),
    [anon_sym_BANG_EQ] = ACTIONS(5321),
    [anon_sym_GT] = ACTIONS(5319),
    [anon_sym_GT_EQ] = ACTIONS(5321),
    [anon_sym_LT_EQ] = ACTIONS(5319),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_LT_LT] = ACTIONS(5319),
    [anon_sym_GT_GT] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym___attribute] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_EQ] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5321),
    [anon_sym_STAR_EQ] = ACTIONS(5321),
    [anon_sym_SLASH_EQ] = ACTIONS(5321),
    [anon_sym_PERCENT_EQ] = ACTIONS(5321),
    [anon_sym_PLUS_EQ] = ACTIONS(5321),
    [anon_sym_DASH_EQ] = ACTIONS(5321),
    [anon_sym_LT_LT_EQ] = ACTIONS(5321),
    [anon_sym_GT_GT_EQ] = ACTIONS(5321),
    [anon_sym_AMP_EQ] = ACTIONS(5321),
    [anon_sym_CARET_EQ] = ACTIONS(5321),
    [anon_sym_PIPE_EQ] = ACTIONS(5321),
    [anon_sym_and_eq] = ACTIONS(5319),
    [anon_sym_or_eq] = ACTIONS(5319),
    [anon_sym_xor_eq] = ACTIONS(5319),
    [anon_sym_LT_EQ_GT] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5319),
    [anon_sym_and] = ACTIONS(5319),
    [anon_sym_bitor] = ACTIONS(5319),
    [anon_sym_xor] = ACTIONS(5319),
    [anon_sym_bitand] = ACTIONS(5319),
    [anon_sym_not_eq] = ACTIONS(5319),
    [anon_sym_DASH_DASH] = ACTIONS(5321),
    [anon_sym_PLUS_PLUS] = ACTIONS(5321),
    [anon_sym_DOT] = ACTIONS(5319),
    [anon_sym_DOT_STAR] = ACTIONS(5321),
    [anon_sym_DASH_GT] = ACTIONS(5321),
    [anon_sym_L_DQUOTE] = ACTIONS(5321),
    [anon_sym_u_DQUOTE] = ACTIONS(5321),
    [anon_sym_U_DQUOTE] = ACTIONS(5321),
    [anon_sym_u8_DQUOTE] = ACTIONS(5321),
    [anon_sym_DQUOTE] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5321),
    [anon_sym_LR_DQUOTE] = ACTIONS(5321),
    [anon_sym_uR_DQUOTE] = ACTIONS(5321),
    [anon_sym_UR_DQUOTE] = ACTIONS(5321),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5321),
    [sym_literal_suffix] = ACTIONS(5319),
  },
  [2294] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5788),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5788),
    [anon_sym_CARET] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5788),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5788),
    [anon_sym_GT_EQ] = ACTIONS(5788),
    [anon_sym_LT_EQ] = ACTIONS(5788),
    [anon_sym_LT] = ACTIONS(5788),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5788),
    [anon_sym___extension__] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5788),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6171),
    [anon_sym_unsigned] = ACTIONS(6171),
    [anon_sym_long] = ACTIONS(6171),
    [anon_sym_short] = ACTIONS(6171),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_const] = ACTIONS(5788),
    [anon_sym_constexpr] = ACTIONS(5786),
    [anon_sym_volatile] = ACTIONS(5786),
    [anon_sym_restrict] = ACTIONS(5786),
    [anon_sym___restrict__] = ACTIONS(5786),
    [anon_sym__Atomic] = ACTIONS(5786),
    [anon_sym__Noreturn] = ACTIONS(5786),
    [anon_sym_noreturn] = ACTIONS(5786),
    [anon_sym__Nonnull] = ACTIONS(5786),
    [anon_sym_mutable] = ACTIONS(5786),
    [anon_sym_constinit] = ACTIONS(5786),
    [anon_sym_consteval] = ACTIONS(5786),
    [anon_sym_alignas] = ACTIONS(5786),
    [anon_sym__Alignas] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5786),
    [anon_sym_and] = ACTIONS(5786),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5786),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5788),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
    [anon_sym_final] = ACTIONS(5786),
    [anon_sym_override] = ACTIONS(5786),
    [anon_sym_GT2] = ACTIONS(5786),
    [anon_sym_requires] = ACTIONS(5786),
  },
  [2295] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5792),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym___extension__] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6171),
    [anon_sym_unsigned] = ACTIONS(6171),
    [anon_sym_long] = ACTIONS(6171),
    [anon_sym_short] = ACTIONS(6171),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_const] = ACTIONS(5792),
    [anon_sym_constexpr] = ACTIONS(5790),
    [anon_sym_volatile] = ACTIONS(5790),
    [anon_sym_restrict] = ACTIONS(5790),
    [anon_sym___restrict__] = ACTIONS(5790),
    [anon_sym__Atomic] = ACTIONS(5790),
    [anon_sym__Noreturn] = ACTIONS(5790),
    [anon_sym_noreturn] = ACTIONS(5790),
    [anon_sym__Nonnull] = ACTIONS(5790),
    [anon_sym_mutable] = ACTIONS(5790),
    [anon_sym_constinit] = ACTIONS(5790),
    [anon_sym_consteval] = ACTIONS(5790),
    [anon_sym_alignas] = ACTIONS(5790),
    [anon_sym__Alignas] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5790),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
    [anon_sym_final] = ACTIONS(5790),
    [anon_sym_override] = ACTIONS(5790),
    [anon_sym_GT2] = ACTIONS(5790),
    [anon_sym_requires] = ACTIONS(5790),
  },
  [2296] = {
    [sym_attribute_specifier] = STATE(1808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5966),
    [anon_sym_COMMA] = ACTIONS(5966),
    [anon_sym_RPAREN] = ACTIONS(5966),
    [anon_sym_LPAREN2] = ACTIONS(5966),
    [anon_sym_DASH] = ACTIONS(5964),
    [anon_sym_PLUS] = ACTIONS(5964),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5966),
    [anon_sym_PIPE] = ACTIONS(5964),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5964),
    [anon_sym_EQ_EQ] = ACTIONS(5966),
    [anon_sym_BANG_EQ] = ACTIONS(5966),
    [anon_sym_GT] = ACTIONS(5964),
    [anon_sym_GT_EQ] = ACTIONS(5966),
    [anon_sym_LT_EQ] = ACTIONS(5964),
    [anon_sym_LT] = ACTIONS(5964),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5966),
    [anon_sym___extension__] = ACTIONS(5966),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5966),
    [anon_sym_RBRACE] = ACTIONS(5966),
    [anon_sym_LBRACK] = ACTIONS(5966),
    [anon_sym_RBRACK] = ACTIONS(5966),
    [anon_sym_const] = ACTIONS(5964),
    [anon_sym_constexpr] = ACTIONS(5966),
    [anon_sym_volatile] = ACTIONS(5966),
    [anon_sym_restrict] = ACTIONS(5966),
    [anon_sym___restrict__] = ACTIONS(5966),
    [anon_sym__Atomic] = ACTIONS(5966),
    [anon_sym__Noreturn] = ACTIONS(5966),
    [anon_sym_noreturn] = ACTIONS(5966),
    [anon_sym__Nonnull] = ACTIONS(5966),
    [anon_sym_mutable] = ACTIONS(5966),
    [anon_sym_constinit] = ACTIONS(5966),
    [anon_sym_consteval] = ACTIONS(5966),
    [anon_sym_alignas] = ACTIONS(5966),
    [anon_sym__Alignas] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5966),
    [anon_sym_QMARK] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5966),
    [anon_sym_or] = ACTIONS(5966),
    [anon_sym_and] = ACTIONS(5966),
    [anon_sym_bitor] = ACTIONS(5966),
    [anon_sym_xor] = ACTIONS(5966),
    [anon_sym_bitand] = ACTIONS(5966),
    [anon_sym_not_eq] = ACTIONS(5966),
    [anon_sym_DASH_DASH] = ACTIONS(5966),
    [anon_sym_PLUS_PLUS] = ACTIONS(5966),
    [anon_sym_DOT] = ACTIONS(5964),
    [anon_sym_DOT_STAR] = ACTIONS(5966),
    [anon_sym_DASH_GT] = ACTIONS(5966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5966),
    [anon_sym_decltype] = ACTIONS(5966),
    [anon_sym_final] = ACTIONS(5966),
    [anon_sym_override] = ACTIONS(5966),
    [anon_sym_requires] = ACTIONS(5966),
  },
  [2297] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(6189),
    [anon_sym_unsigned] = ACTIONS(6189),
    [anon_sym_long] = ACTIONS(6189),
    [anon_sym_short] = ACTIONS(6189),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5374),
    [anon_sym_or_eq] = ACTIONS(5374),
    [anon_sym_xor_eq] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
  },
  [2298] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5797),
    [anon_sym_COMMA] = ACTIONS(5797),
    [anon_sym_RPAREN] = ACTIONS(5797),
    [anon_sym_LPAREN2] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5799),
    [anon_sym_PLUS] = ACTIONS(5799),
    [anon_sym_STAR] = ACTIONS(5799),
    [anon_sym_SLASH] = ACTIONS(5799),
    [anon_sym_PERCENT] = ACTIONS(5799),
    [anon_sym_PIPE_PIPE] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5797),
    [anon_sym_PIPE] = ACTIONS(5799),
    [anon_sym_CARET] = ACTIONS(5799),
    [anon_sym_AMP] = ACTIONS(5799),
    [anon_sym_EQ_EQ] = ACTIONS(5797),
    [anon_sym_BANG_EQ] = ACTIONS(5797),
    [anon_sym_GT] = ACTIONS(5799),
    [anon_sym_GT_EQ] = ACTIONS(5797),
    [anon_sym_LT_EQ] = ACTIONS(5799),
    [anon_sym_LT] = ACTIONS(5799),
    [anon_sym_LT_LT] = ACTIONS(5799),
    [anon_sym_GT_GT] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5797),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym___attribute] = ACTIONS(5799),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_RBRACE] = ACTIONS(5797),
    [anon_sym_signed] = ACTIONS(6169),
    [anon_sym_unsigned] = ACTIONS(6169),
    [anon_sym_long] = ACTIONS(6169),
    [anon_sym_short] = ACTIONS(6169),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [anon_sym_RBRACK] = ACTIONS(5797),
    [anon_sym_EQ] = ACTIONS(5799),
    [anon_sym_COLON] = ACTIONS(5797),
    [anon_sym_QMARK] = ACTIONS(5797),
    [anon_sym_STAR_EQ] = ACTIONS(5797),
    [anon_sym_SLASH_EQ] = ACTIONS(5797),
    [anon_sym_PERCENT_EQ] = ACTIONS(5797),
    [anon_sym_PLUS_EQ] = ACTIONS(5797),
    [anon_sym_DASH_EQ] = ACTIONS(5797),
    [anon_sym_LT_LT_EQ] = ACTIONS(5797),
    [anon_sym_GT_GT_EQ] = ACTIONS(5797),
    [anon_sym_AMP_EQ] = ACTIONS(5797),
    [anon_sym_CARET_EQ] = ACTIONS(5797),
    [anon_sym_PIPE_EQ] = ACTIONS(5797),
    [anon_sym_and_eq] = ACTIONS(5797),
    [anon_sym_or_eq] = ACTIONS(5797),
    [anon_sym_xor_eq] = ACTIONS(5797),
    [anon_sym_LT_EQ_GT] = ACTIONS(5797),
    [anon_sym_or] = ACTIONS(5799),
    [anon_sym_and] = ACTIONS(5799),
    [anon_sym_bitor] = ACTIONS(5797),
    [anon_sym_xor] = ACTIONS(5799),
    [anon_sym_bitand] = ACTIONS(5797),
    [anon_sym_not_eq] = ACTIONS(5797),
    [anon_sym_DASH_DASH] = ACTIONS(5797),
    [anon_sym_PLUS_PLUS] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5799),
    [anon_sym_DOT_STAR] = ACTIONS(5797),
    [anon_sym_DASH_GT] = ACTIONS(5797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2299] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_RPAREN] = ACTIONS(5736),
    [anon_sym_LPAREN2] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5738),
    [anon_sym_SLASH] = ACTIONS(5738),
    [anon_sym_PERCENT] = ACTIONS(5738),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5738),
    [anon_sym_AMP] = ACTIONS(5738),
    [anon_sym_EQ_EQ] = ACTIONS(5736),
    [anon_sym_BANG_EQ] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5738),
    [anon_sym_GT_EQ] = ACTIONS(5736),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5738),
    [anon_sym_LT_LT] = ACTIONS(5738),
    [anon_sym_GT_GT] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym___attribute] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5736),
    [anon_sym_RBRACE] = ACTIONS(5736),
    [anon_sym_signed] = ACTIONS(6169),
    [anon_sym_unsigned] = ACTIONS(6169),
    [anon_sym_long] = ACTIONS(6169),
    [anon_sym_short] = ACTIONS(6169),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_RBRACK] = ACTIONS(5736),
    [anon_sym_EQ] = ACTIONS(5738),
    [anon_sym_COLON] = ACTIONS(5736),
    [anon_sym_QMARK] = ACTIONS(5736),
    [anon_sym_STAR_EQ] = ACTIONS(5736),
    [anon_sym_SLASH_EQ] = ACTIONS(5736),
    [anon_sym_PERCENT_EQ] = ACTIONS(5736),
    [anon_sym_PLUS_EQ] = ACTIONS(5736),
    [anon_sym_DASH_EQ] = ACTIONS(5736),
    [anon_sym_LT_LT_EQ] = ACTIONS(5736),
    [anon_sym_GT_GT_EQ] = ACTIONS(5736),
    [anon_sym_AMP_EQ] = ACTIONS(5736),
    [anon_sym_CARET_EQ] = ACTIONS(5736),
    [anon_sym_PIPE_EQ] = ACTIONS(5736),
    [anon_sym_and_eq] = ACTIONS(5736),
    [anon_sym_or_eq] = ACTIONS(5736),
    [anon_sym_xor_eq] = ACTIONS(5736),
    [anon_sym_LT_EQ_GT] = ACTIONS(5736),
    [anon_sym_or] = ACTIONS(5738),
    [anon_sym_and] = ACTIONS(5738),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5738),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5736),
    [anon_sym_PLUS_PLUS] = ACTIONS(5736),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_DOT_STAR] = ACTIONS(5736),
    [anon_sym_DASH_GT] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
  },
  [2300] = {
    [sym_type_qualifier] = STATE(1605),
    [sym_alignas_qualifier] = STATE(1619),
    [aux_sym__type_definition_type_repeat1] = STATE(1605),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2577),
    [sym_identifier] = ACTIONS(6191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_RPAREN] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_TILDE] = ACTIONS(4945),
    [anon_sym_STAR] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_SEMI] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(6194),
    [anon_sym_virtual] = ACTIONS(4947),
    [anon_sym_extern] = ACTIONS(4947),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym___attribute] = ACTIONS(4947),
    [anon_sym_COLON_COLON] = ACTIONS(4945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4945),
    [anon_sym___declspec] = ACTIONS(4947),
    [anon_sym___based] = ACTIONS(4947),
    [anon_sym___cdecl] = ACTIONS(4947),
    [anon_sym___clrcall] = ACTIONS(4947),
    [anon_sym___stdcall] = ACTIONS(4947),
    [anon_sym___fastcall] = ACTIONS(4947),
    [anon_sym___thiscall] = ACTIONS(4947),
    [anon_sym___vectorcall] = ACTIONS(4947),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(6197),
    [anon_sym_unsigned] = ACTIONS(6197),
    [anon_sym_long] = ACTIONS(6197),
    [anon_sym_short] = ACTIONS(6197),
    [anon_sym_LBRACK] = ACTIONS(4947),
    [anon_sym_static] = ACTIONS(4947),
    [anon_sym_EQ] = ACTIONS(4945),
    [anon_sym_register] = ACTIONS(4947),
    [anon_sym_inline] = ACTIONS(4947),
    [anon_sym___inline] = ACTIONS(4947),
    [anon_sym___inline__] = ACTIONS(4947),
    [anon_sym___forceinline] = ACTIONS(4947),
    [anon_sym_thread_local] = ACTIONS(4947),
    [anon_sym___thread] = ACTIONS(4947),
    [anon_sym_const] = ACTIONS(6194),
    [anon_sym_constexpr] = ACTIONS(6194),
    [anon_sym_volatile] = ACTIONS(6194),
    [anon_sym_restrict] = ACTIONS(6194),
    [anon_sym___restrict__] = ACTIONS(6194),
    [anon_sym__Atomic] = ACTIONS(6194),
    [anon_sym__Noreturn] = ACTIONS(6194),
    [anon_sym_noreturn] = ACTIONS(6194),
    [anon_sym__Nonnull] = ACTIONS(6194),
    [anon_sym_mutable] = ACTIONS(6194),
    [anon_sym_constinit] = ACTIONS(6194),
    [anon_sym_consteval] = ACTIONS(6194),
    [anon_sym_alignas] = ACTIONS(6199),
    [anon_sym__Alignas] = ACTIONS(6199),
    [sym_primitive_type] = ACTIONS(6202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4947),
    [anon_sym_decltype] = ACTIONS(4947),
    [anon_sym_template] = ACTIONS(4947),
    [anon_sym_GT2] = ACTIONS(4945),
    [anon_sym_operator] = ACTIONS(4947),
  },
  [2301] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5752),
    [anon_sym_COMMA] = ACTIONS(5752),
    [anon_sym_RPAREN] = ACTIONS(5752),
    [anon_sym_LPAREN2] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5754),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5754),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5754),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5752),
    [anon_sym_BANG_EQ] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5752),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5754),
    [anon_sym_GT_GT] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5752),
    [anon_sym___attribute__] = ACTIONS(5752),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5752),
    [anon_sym_RBRACE] = ACTIONS(5752),
    [anon_sym_signed] = ACTIONS(6204),
    [anon_sym_unsigned] = ACTIONS(6204),
    [anon_sym_long] = ACTIONS(6204),
    [anon_sym_short] = ACTIONS(6204),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [anon_sym_RBRACK] = ACTIONS(5752),
    [anon_sym_EQ] = ACTIONS(5754),
    [anon_sym_COLON] = ACTIONS(5752),
    [anon_sym_QMARK] = ACTIONS(5752),
    [anon_sym_STAR_EQ] = ACTIONS(5752),
    [anon_sym_SLASH_EQ] = ACTIONS(5752),
    [anon_sym_PERCENT_EQ] = ACTIONS(5752),
    [anon_sym_PLUS_EQ] = ACTIONS(5752),
    [anon_sym_DASH_EQ] = ACTIONS(5752),
    [anon_sym_LT_LT_EQ] = ACTIONS(5752),
    [anon_sym_GT_GT_EQ] = ACTIONS(5752),
    [anon_sym_AMP_EQ] = ACTIONS(5752),
    [anon_sym_CARET_EQ] = ACTIONS(5752),
    [anon_sym_PIPE_EQ] = ACTIONS(5752),
    [anon_sym_and_eq] = ACTIONS(5752),
    [anon_sym_or_eq] = ACTIONS(5752),
    [anon_sym_xor_eq] = ACTIONS(5752),
    [anon_sym_LT_EQ_GT] = ACTIONS(5752),
    [anon_sym_or] = ACTIONS(5754),
    [anon_sym_and] = ACTIONS(5754),
    [anon_sym_bitor] = ACTIONS(5752),
    [anon_sym_xor] = ACTIONS(5754),
    [anon_sym_bitand] = ACTIONS(5752),
    [anon_sym_not_eq] = ACTIONS(5752),
    [anon_sym_DASH_DASH] = ACTIONS(5752),
    [anon_sym_PLUS_PLUS] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5752),
    [anon_sym_DASH_GT] = ACTIONS(5752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5752),
    [anon_sym_decltype] = ACTIONS(5752),
  },
  [2302] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [anon_sym_RPAREN] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_RBRACE] = ACTIONS(5758),
    [anon_sym_signed] = ACTIONS(6206),
    [anon_sym_unsigned] = ACTIONS(6206),
    [anon_sym_long] = ACTIONS(6206),
    [anon_sym_short] = ACTIONS(6206),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_RBRACK] = ACTIONS(5758),
    [anon_sym_EQ] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_STAR_EQ] = ACTIONS(5758),
    [anon_sym_SLASH_EQ] = ACTIONS(5758),
    [anon_sym_PERCENT_EQ] = ACTIONS(5758),
    [anon_sym_PLUS_EQ] = ACTIONS(5758),
    [anon_sym_DASH_EQ] = ACTIONS(5758),
    [anon_sym_LT_LT_EQ] = ACTIONS(5758),
    [anon_sym_GT_GT_EQ] = ACTIONS(5758),
    [anon_sym_AMP_EQ] = ACTIONS(5758),
    [anon_sym_CARET_EQ] = ACTIONS(5758),
    [anon_sym_PIPE_EQ] = ACTIONS(5758),
    [anon_sym_and_eq] = ACTIONS(5758),
    [anon_sym_or_eq] = ACTIONS(5758),
    [anon_sym_xor_eq] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5758),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5758),
    [anon_sym_PLUS_PLUS] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
  },
  [2303] = {
    [sym_template_argument_list] = STATE(2276),
    [sym_identifier] = ACTIONS(6208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6210),
    [anon_sym_COMMA] = ACTIONS(6210),
    [anon_sym_RPAREN] = ACTIONS(6210),
    [aux_sym_preproc_if_token2] = ACTIONS(6210),
    [aux_sym_preproc_else_token1] = ACTIONS(6210),
    [aux_sym_preproc_elif_token1] = ACTIONS(6208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6210),
    [anon_sym_LPAREN2] = ACTIONS(6210),
    [anon_sym_DASH] = ACTIONS(6208),
    [anon_sym_PLUS] = ACTIONS(6208),
    [anon_sym_STAR] = ACTIONS(6208),
    [anon_sym_SLASH] = ACTIONS(6208),
    [anon_sym_PERCENT] = ACTIONS(6208),
    [anon_sym_PIPE_PIPE] = ACTIONS(6210),
    [anon_sym_AMP_AMP] = ACTIONS(6210),
    [anon_sym_PIPE] = ACTIONS(6208),
    [anon_sym_CARET] = ACTIONS(6208),
    [anon_sym_AMP] = ACTIONS(6208),
    [anon_sym_EQ_EQ] = ACTIONS(6210),
    [anon_sym_BANG_EQ] = ACTIONS(6210),
    [anon_sym_GT] = ACTIONS(6208),
    [anon_sym_GT_EQ] = ACTIONS(6210),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_LT] = ACTIONS(6212),
    [anon_sym_LT_LT] = ACTIONS(6208),
    [anon_sym_GT_GT] = ACTIONS(6208),
    [anon_sym_SEMI] = ACTIONS(6210),
    [anon_sym___attribute__] = ACTIONS(6208),
    [anon_sym___attribute] = ACTIONS(6208),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_RBRACE] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(6210),
    [anon_sym_RBRACK] = ACTIONS(6210),
    [anon_sym_EQ] = ACTIONS(6208),
    [anon_sym_COLON] = ACTIONS(6208),
    [anon_sym_QMARK] = ACTIONS(6210),
    [anon_sym_STAR_EQ] = ACTIONS(6210),
    [anon_sym_SLASH_EQ] = ACTIONS(6210),
    [anon_sym_PERCENT_EQ] = ACTIONS(6210),
    [anon_sym_PLUS_EQ] = ACTIONS(6210),
    [anon_sym_DASH_EQ] = ACTIONS(6210),
    [anon_sym_LT_LT_EQ] = ACTIONS(6210),
    [anon_sym_GT_GT_EQ] = ACTIONS(6210),
    [anon_sym_AMP_EQ] = ACTIONS(6210),
    [anon_sym_CARET_EQ] = ACTIONS(6210),
    [anon_sym_PIPE_EQ] = ACTIONS(6210),
    [anon_sym_and_eq] = ACTIONS(6208),
    [anon_sym_or_eq] = ACTIONS(6208),
    [anon_sym_xor_eq] = ACTIONS(6208),
    [anon_sym_LT_EQ_GT] = ACTIONS(6210),
    [anon_sym_or] = ACTIONS(6208),
    [anon_sym_and] = ACTIONS(6208),
    [anon_sym_bitor] = ACTIONS(6208),
    [anon_sym_xor] = ACTIONS(6208),
    [anon_sym_bitand] = ACTIONS(6208),
    [anon_sym_not_eq] = ACTIONS(6208),
    [anon_sym_DASH_DASH] = ACTIONS(6210),
    [anon_sym_PLUS_PLUS] = ACTIONS(6210),
    [anon_sym_DOT] = ACTIONS(6208),
    [anon_sym_DOT_STAR] = ACTIONS(6210),
    [anon_sym_DASH_GT] = ACTIONS(6210),
    [sym_comment] = ACTIONS(3),
  },
  [2304] = {
    [sym_attribute_specifier] = STATE(2266),
    [sym_enumerator_list] = STATE(2159),
    [sym__enum_base_clause] = STATE(2013),
    [sym_identifier] = ACTIONS(6215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6217),
    [anon_sym_COMMA] = ACTIONS(6217),
    [aux_sym_preproc_if_token2] = ACTIONS(6217),
    [aux_sym_preproc_else_token1] = ACTIONS(6217),
    [aux_sym_preproc_elif_token1] = ACTIONS(6215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6217),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6217),
    [anon_sym_LPAREN2] = ACTIONS(6217),
    [anon_sym_DASH] = ACTIONS(6215),
    [anon_sym_PLUS] = ACTIONS(6215),
    [anon_sym_STAR] = ACTIONS(6215),
    [anon_sym_SLASH] = ACTIONS(6215),
    [anon_sym_PERCENT] = ACTIONS(6215),
    [anon_sym_PIPE_PIPE] = ACTIONS(6217),
    [anon_sym_AMP_AMP] = ACTIONS(6217),
    [anon_sym_PIPE] = ACTIONS(6215),
    [anon_sym_CARET] = ACTIONS(6215),
    [anon_sym_AMP] = ACTIONS(6215),
    [anon_sym_EQ_EQ] = ACTIONS(6217),
    [anon_sym_BANG_EQ] = ACTIONS(6217),
    [anon_sym_GT] = ACTIONS(6215),
    [anon_sym_GT_EQ] = ACTIONS(6217),
    [anon_sym_LT_EQ] = ACTIONS(6215),
    [anon_sym_LT] = ACTIONS(6215),
    [anon_sym_LT_LT] = ACTIONS(6215),
    [anon_sym_GT_GT] = ACTIONS(6215),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5871),
    [anon_sym_LBRACK] = ACTIONS(6217),
    [anon_sym_EQ] = ACTIONS(6215),
    [anon_sym_COLON] = ACTIONS(6219),
    [anon_sym_QMARK] = ACTIONS(6217),
    [anon_sym_STAR_EQ] = ACTIONS(6217),
    [anon_sym_SLASH_EQ] = ACTIONS(6217),
    [anon_sym_PERCENT_EQ] = ACTIONS(6217),
    [anon_sym_PLUS_EQ] = ACTIONS(6217),
    [anon_sym_DASH_EQ] = ACTIONS(6217),
    [anon_sym_LT_LT_EQ] = ACTIONS(6217),
    [anon_sym_GT_GT_EQ] = ACTIONS(6217),
    [anon_sym_AMP_EQ] = ACTIONS(6217),
    [anon_sym_CARET_EQ] = ACTIONS(6217),
    [anon_sym_PIPE_EQ] = ACTIONS(6217),
    [anon_sym_and_eq] = ACTIONS(6215),
    [anon_sym_or_eq] = ACTIONS(6215),
    [anon_sym_xor_eq] = ACTIONS(6215),
    [anon_sym_LT_EQ_GT] = ACTIONS(6217),
    [anon_sym_or] = ACTIONS(6215),
    [anon_sym_and] = ACTIONS(6215),
    [anon_sym_bitor] = ACTIONS(6215),
    [anon_sym_xor] = ACTIONS(6215),
    [anon_sym_bitand] = ACTIONS(6215),
    [anon_sym_not_eq] = ACTIONS(6215),
    [anon_sym_DASH_DASH] = ACTIONS(6217),
    [anon_sym_PLUS_PLUS] = ACTIONS(6217),
    [anon_sym_DOT] = ACTIONS(6215),
    [anon_sym_DOT_STAR] = ACTIONS(6217),
    [anon_sym_DASH_GT] = ACTIONS(6217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6215),
    [anon_sym_decltype] = ACTIONS(6215),
  },
  [2305] = {
    [sym_attribute_specifier] = STATE(2192),
    [sym_enumerator_list] = STATE(2137),
    [sym__enum_base_clause] = STATE(2038),
    [sym_identifier] = ACTIONS(6221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6223),
    [anon_sym_COMMA] = ACTIONS(6223),
    [aux_sym_preproc_if_token2] = ACTIONS(6223),
    [aux_sym_preproc_else_token1] = ACTIONS(6223),
    [aux_sym_preproc_elif_token1] = ACTIONS(6221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6223),
    [anon_sym_LPAREN2] = ACTIONS(6223),
    [anon_sym_DASH] = ACTIONS(6221),
    [anon_sym_PLUS] = ACTIONS(6221),
    [anon_sym_STAR] = ACTIONS(6221),
    [anon_sym_SLASH] = ACTIONS(6221),
    [anon_sym_PERCENT] = ACTIONS(6221),
    [anon_sym_PIPE_PIPE] = ACTIONS(6223),
    [anon_sym_AMP_AMP] = ACTIONS(6223),
    [anon_sym_PIPE] = ACTIONS(6221),
    [anon_sym_CARET] = ACTIONS(6221),
    [anon_sym_AMP] = ACTIONS(6221),
    [anon_sym_EQ_EQ] = ACTIONS(6223),
    [anon_sym_BANG_EQ] = ACTIONS(6223),
    [anon_sym_GT] = ACTIONS(6221),
    [anon_sym_GT_EQ] = ACTIONS(6223),
    [anon_sym_LT_EQ] = ACTIONS(6221),
    [anon_sym_LT] = ACTIONS(6221),
    [anon_sym_LT_LT] = ACTIONS(6221),
    [anon_sym_GT_GT] = ACTIONS(6221),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5871),
    [anon_sym_LBRACK] = ACTIONS(6223),
    [anon_sym_EQ] = ACTIONS(6221),
    [anon_sym_COLON] = ACTIONS(6219),
    [anon_sym_QMARK] = ACTIONS(6223),
    [anon_sym_STAR_EQ] = ACTIONS(6223),
    [anon_sym_SLASH_EQ] = ACTIONS(6223),
    [anon_sym_PERCENT_EQ] = ACTIONS(6223),
    [anon_sym_PLUS_EQ] = ACTIONS(6223),
    [anon_sym_DASH_EQ] = ACTIONS(6223),
    [anon_sym_LT_LT_EQ] = ACTIONS(6223),
    [anon_sym_GT_GT_EQ] = ACTIONS(6223),
    [anon_sym_AMP_EQ] = ACTIONS(6223),
    [anon_sym_CARET_EQ] = ACTIONS(6223),
    [anon_sym_PIPE_EQ] = ACTIONS(6223),
    [anon_sym_and_eq] = ACTIONS(6221),
    [anon_sym_or_eq] = ACTIONS(6221),
    [anon_sym_xor_eq] = ACTIONS(6221),
    [anon_sym_LT_EQ_GT] = ACTIONS(6223),
    [anon_sym_or] = ACTIONS(6221),
    [anon_sym_and] = ACTIONS(6221),
    [anon_sym_bitor] = ACTIONS(6221),
    [anon_sym_xor] = ACTIONS(6221),
    [anon_sym_bitand] = ACTIONS(6221),
    [anon_sym_not_eq] = ACTIONS(6221),
    [anon_sym_DASH_DASH] = ACTIONS(6223),
    [anon_sym_PLUS_PLUS] = ACTIONS(6223),
    [anon_sym_DOT] = ACTIONS(6221),
    [anon_sym_DOT_STAR] = ACTIONS(6223),
    [anon_sym_DASH_GT] = ACTIONS(6223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6221),
    [anon_sym_decltype] = ACTIONS(6221),
  },
  [2306] = {
    [sym_attribute_specifier] = STATE(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5925),
    [anon_sym_COMMA] = ACTIONS(5925),
    [anon_sym_RPAREN] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5925),
    [anon_sym_DASH] = ACTIONS(5923),
    [anon_sym_PLUS] = ACTIONS(5923),
    [anon_sym_STAR] = ACTIONS(5925),
    [anon_sym_SLASH] = ACTIONS(5923),
    [anon_sym_PERCENT] = ACTIONS(5925),
    [anon_sym_PIPE_PIPE] = ACTIONS(5925),
    [anon_sym_AMP_AMP] = ACTIONS(5925),
    [anon_sym_PIPE] = ACTIONS(5923),
    [anon_sym_CARET] = ACTIONS(5925),
    [anon_sym_AMP] = ACTIONS(5923),
    [anon_sym_EQ_EQ] = ACTIONS(5925),
    [anon_sym_BANG_EQ] = ACTIONS(5925),
    [anon_sym_GT] = ACTIONS(5923),
    [anon_sym_GT_EQ] = ACTIONS(5925),
    [anon_sym_LT_EQ] = ACTIONS(5923),
    [anon_sym_LT] = ACTIONS(5923),
    [anon_sym_LT_LT] = ACTIONS(5925),
    [anon_sym_GT_GT] = ACTIONS(5925),
    [anon_sym_SEMI] = ACTIONS(5925),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5925),
    [anon_sym_RBRACE] = ACTIONS(5925),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_RBRACK] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5923),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym__Nonnull] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym__Alignas] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(5925),
    [anon_sym_QMARK] = ACTIONS(5925),
    [anon_sym_LT_EQ_GT] = ACTIONS(5925),
    [anon_sym_or] = ACTIONS(5925),
    [anon_sym_and] = ACTIONS(5925),
    [anon_sym_bitor] = ACTIONS(5925),
    [anon_sym_xor] = ACTIONS(5925),
    [anon_sym_bitand] = ACTIONS(5925),
    [anon_sym_not_eq] = ACTIONS(5925),
    [anon_sym_DASH_DASH] = ACTIONS(5925),
    [anon_sym_PLUS_PLUS] = ACTIONS(5925),
    [anon_sym_DOT] = ACTIONS(5923),
    [anon_sym_DOT_STAR] = ACTIONS(5925),
    [anon_sym_DASH_GT] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(5925),
    [anon_sym_override] = ACTIONS(5925),
    [anon_sym_requires] = ACTIONS(5925),
  },
  [2307] = {
    [sym_type_qualifier] = STATE(2300),
    [sym_alignas_qualifier] = STATE(1619),
    [aux_sym__type_definition_type_repeat1] = STATE(2300),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(6225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4960),
    [anon_sym_COMMA] = ACTIONS(4960),
    [anon_sym_RPAREN] = ACTIONS(4960),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_TILDE] = ACTIONS(4960),
    [anon_sym_STAR] = ACTIONS(4960),
    [anon_sym_AMP_AMP] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(4962),
    [anon_sym_SEMI] = ACTIONS(4960),
    [anon_sym___extension__] = ACTIONS(6228),
    [anon_sym_virtual] = ACTIONS(4962),
    [anon_sym_extern] = ACTIONS(4962),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_COLON_COLON] = ACTIONS(4960),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4960),
    [anon_sym___declspec] = ACTIONS(4962),
    [anon_sym___based] = ACTIONS(4962),
    [anon_sym___cdecl] = ACTIONS(4962),
    [anon_sym___clrcall] = ACTIONS(4962),
    [anon_sym___stdcall] = ACTIONS(4962),
    [anon_sym___fastcall] = ACTIONS(4962),
    [anon_sym___thiscall] = ACTIONS(4962),
    [anon_sym___vectorcall] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(6231),
    [anon_sym_unsigned] = ACTIONS(6231),
    [anon_sym_long] = ACTIONS(6231),
    [anon_sym_short] = ACTIONS(6231),
    [anon_sym_LBRACK] = ACTIONS(4962),
    [anon_sym_static] = ACTIONS(4962),
    [anon_sym_EQ] = ACTIONS(4960),
    [anon_sym_register] = ACTIONS(4962),
    [anon_sym_inline] = ACTIONS(4962),
    [anon_sym___inline] = ACTIONS(4962),
    [anon_sym___inline__] = ACTIONS(4962),
    [anon_sym___forceinline] = ACTIONS(4962),
    [anon_sym_thread_local] = ACTIONS(4962),
    [anon_sym___thread] = ACTIONS(4962),
    [anon_sym_const] = ACTIONS(6228),
    [anon_sym_constexpr] = ACTIONS(6228),
    [anon_sym_volatile] = ACTIONS(6228),
    [anon_sym_restrict] = ACTIONS(6228),
    [anon_sym___restrict__] = ACTIONS(6228),
    [anon_sym__Atomic] = ACTIONS(6228),
    [anon_sym__Noreturn] = ACTIONS(6228),
    [anon_sym_noreturn] = ACTIONS(6228),
    [anon_sym__Nonnull] = ACTIONS(6228),
    [anon_sym_mutable] = ACTIONS(6228),
    [anon_sym_constinit] = ACTIONS(6228),
    [anon_sym_consteval] = ACTIONS(6228),
    [anon_sym_alignas] = ACTIONS(6233),
    [anon_sym__Alignas] = ACTIONS(6233),
    [sym_primitive_type] = ACTIONS(6236),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4962),
    [anon_sym_decltype] = ACTIONS(4962),
    [anon_sym_template] = ACTIONS(4962),
    [anon_sym_GT2] = ACTIONS(4960),
    [anon_sym_operator] = ACTIONS(4962),
  },
  [2308] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5752),
    [anon_sym_COMMA] = ACTIONS(5752),
    [anon_sym_LPAREN2] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5752),
    [anon_sym_BANG_EQ] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5754),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5754),
    [anon_sym___extension__] = ACTIONS(5752),
    [anon_sym___attribute__] = ACTIONS(5752),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5752),
    [anon_sym_signed] = ACTIONS(6238),
    [anon_sym_unsigned] = ACTIONS(6238),
    [anon_sym_long] = ACTIONS(6238),
    [anon_sym_short] = ACTIONS(6238),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [anon_sym_const] = ACTIONS(5754),
    [anon_sym_constexpr] = ACTIONS(5752),
    [anon_sym_volatile] = ACTIONS(5752),
    [anon_sym_restrict] = ACTIONS(5752),
    [anon_sym___restrict__] = ACTIONS(5752),
    [anon_sym__Atomic] = ACTIONS(5752),
    [anon_sym__Noreturn] = ACTIONS(5752),
    [anon_sym_noreturn] = ACTIONS(5752),
    [anon_sym__Nonnull] = ACTIONS(5752),
    [anon_sym_mutable] = ACTIONS(5752),
    [anon_sym_constinit] = ACTIONS(5752),
    [anon_sym_consteval] = ACTIONS(5752),
    [anon_sym_alignas] = ACTIONS(5752),
    [anon_sym__Alignas] = ACTIONS(5752),
    [anon_sym_QMARK] = ACTIONS(5752),
    [anon_sym_LT_EQ_GT] = ACTIONS(5752),
    [anon_sym_or] = ACTIONS(5752),
    [anon_sym_and] = ACTIONS(5752),
    [anon_sym_bitor] = ACTIONS(5752),
    [anon_sym_xor] = ACTIONS(5752),
    [anon_sym_bitand] = ACTIONS(5752),
    [anon_sym_not_eq] = ACTIONS(5752),
    [anon_sym_DASH_DASH] = ACTIONS(5752),
    [anon_sym_PLUS_PLUS] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5752),
    [anon_sym_DASH_GT] = ACTIONS(5752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5752),
    [anon_sym_decltype] = ACTIONS(5752),
    [anon_sym_final] = ACTIONS(5752),
    [anon_sym_override] = ACTIONS(5752),
    [anon_sym_GT2] = ACTIONS(5752),
    [anon_sym_requires] = ACTIONS(5752),
  },
  [2309] = {
    [sym_attribute_specifier] = STATE(1799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5993),
    [anon_sym_COMMA] = ACTIONS(5993),
    [anon_sym_RPAREN] = ACTIONS(5993),
    [anon_sym_LPAREN2] = ACTIONS(5993),
    [anon_sym_DASH] = ACTIONS(5991),
    [anon_sym_PLUS] = ACTIONS(5991),
    [anon_sym_STAR] = ACTIONS(5993),
    [anon_sym_SLASH] = ACTIONS(5991),
    [anon_sym_PERCENT] = ACTIONS(5993),
    [anon_sym_PIPE_PIPE] = ACTIONS(5993),
    [anon_sym_AMP_AMP] = ACTIONS(5993),
    [anon_sym_PIPE] = ACTIONS(5991),
    [anon_sym_CARET] = ACTIONS(5993),
    [anon_sym_AMP] = ACTIONS(5991),
    [anon_sym_EQ_EQ] = ACTIONS(5993),
    [anon_sym_BANG_EQ] = ACTIONS(5993),
    [anon_sym_GT] = ACTIONS(5991),
    [anon_sym_GT_EQ] = ACTIONS(5993),
    [anon_sym_LT_EQ] = ACTIONS(5991),
    [anon_sym_LT] = ACTIONS(5991),
    [anon_sym_LT_LT] = ACTIONS(5993),
    [anon_sym_GT_GT] = ACTIONS(5993),
    [anon_sym_SEMI] = ACTIONS(5993),
    [anon_sym___extension__] = ACTIONS(5993),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5993),
    [anon_sym_RBRACE] = ACTIONS(5993),
    [anon_sym_LBRACK] = ACTIONS(5993),
    [anon_sym_RBRACK] = ACTIONS(5993),
    [anon_sym_const] = ACTIONS(5991),
    [anon_sym_constexpr] = ACTIONS(5993),
    [anon_sym_volatile] = ACTIONS(5993),
    [anon_sym_restrict] = ACTIONS(5993),
    [anon_sym___restrict__] = ACTIONS(5993),
    [anon_sym__Atomic] = ACTIONS(5993),
    [anon_sym__Noreturn] = ACTIONS(5993),
    [anon_sym_noreturn] = ACTIONS(5993),
    [anon_sym__Nonnull] = ACTIONS(5993),
    [anon_sym_mutable] = ACTIONS(5993),
    [anon_sym_constinit] = ACTIONS(5993),
    [anon_sym_consteval] = ACTIONS(5993),
    [anon_sym_alignas] = ACTIONS(5993),
    [anon_sym__Alignas] = ACTIONS(5993),
    [anon_sym_COLON] = ACTIONS(5993),
    [anon_sym_QMARK] = ACTIONS(5993),
    [anon_sym_LT_EQ_GT] = ACTIONS(5993),
    [anon_sym_or] = ACTIONS(5993),
    [anon_sym_and] = ACTIONS(5993),
    [anon_sym_bitor] = ACTIONS(5993),
    [anon_sym_xor] = ACTIONS(5993),
    [anon_sym_bitand] = ACTIONS(5993),
    [anon_sym_not_eq] = ACTIONS(5993),
    [anon_sym_DASH_DASH] = ACTIONS(5993),
    [anon_sym_PLUS_PLUS] = ACTIONS(5993),
    [anon_sym_DOT] = ACTIONS(5991),
    [anon_sym_DOT_STAR] = ACTIONS(5993),
    [anon_sym_DASH_GT] = ACTIONS(5993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5993),
    [anon_sym_decltype] = ACTIONS(5993),
    [anon_sym_final] = ACTIONS(5993),
    [anon_sym_override] = ACTIONS(5993),
    [anon_sym_requires] = ACTIONS(5993),
  },
  [2310] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2273),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym___extension__] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_signed] = ACTIONS(6240),
    [anon_sym_unsigned] = ACTIONS(6240),
    [anon_sym_long] = ACTIONS(6240),
    [anon_sym_short] = ACTIONS(6240),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_const] = ACTIONS(5760),
    [anon_sym_constexpr] = ACTIONS(5758),
    [anon_sym_volatile] = ACTIONS(5758),
    [anon_sym_restrict] = ACTIONS(5758),
    [anon_sym___restrict__] = ACTIONS(5758),
    [anon_sym__Atomic] = ACTIONS(5758),
    [anon_sym__Noreturn] = ACTIONS(5758),
    [anon_sym_noreturn] = ACTIONS(5758),
    [anon_sym__Nonnull] = ACTIONS(5758),
    [anon_sym_mutable] = ACTIONS(5758),
    [anon_sym_constinit] = ACTIONS(5758),
    [anon_sym_consteval] = ACTIONS(5758),
    [anon_sym_alignas] = ACTIONS(5758),
    [anon_sym__Alignas] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5758),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5758),
    [anon_sym_PLUS_PLUS] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
    [anon_sym_final] = ACTIONS(5758),
    [anon_sym_override] = ACTIONS(5758),
    [anon_sym_GT2] = ACTIONS(5758),
    [anon_sym_requires] = ACTIONS(5758),
  },
  [2311] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [anon_sym_RPAREN] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5766),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_RBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(6169),
    [anon_sym_unsigned] = ACTIONS(6169),
    [anon_sym_long] = ACTIONS(6169),
    [anon_sym_short] = ACTIONS(6169),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_RBRACK] = ACTIONS(5766),
    [anon_sym_EQ] = ACTIONS(5768),
    [anon_sym_COLON] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_STAR_EQ] = ACTIONS(5766),
    [anon_sym_SLASH_EQ] = ACTIONS(5766),
    [anon_sym_PERCENT_EQ] = ACTIONS(5766),
    [anon_sym_PLUS_EQ] = ACTIONS(5766),
    [anon_sym_DASH_EQ] = ACTIONS(5766),
    [anon_sym_LT_LT_EQ] = ACTIONS(5766),
    [anon_sym_GT_GT_EQ] = ACTIONS(5766),
    [anon_sym_AMP_EQ] = ACTIONS(5766),
    [anon_sym_CARET_EQ] = ACTIONS(5766),
    [anon_sym_PIPE_EQ] = ACTIONS(5766),
    [anon_sym_and_eq] = ACTIONS(5766),
    [anon_sym_or_eq] = ACTIONS(5766),
    [anon_sym_xor_eq] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
  },
  [2312] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5801),
    [anon_sym_COMMA] = ACTIONS(5801),
    [anon_sym_RPAREN] = ACTIONS(5801),
    [anon_sym_LPAREN2] = ACTIONS(5801),
    [anon_sym_DASH] = ACTIONS(5803),
    [anon_sym_PLUS] = ACTIONS(5803),
    [anon_sym_STAR] = ACTIONS(5803),
    [anon_sym_SLASH] = ACTIONS(5803),
    [anon_sym_PERCENT] = ACTIONS(5803),
    [anon_sym_PIPE_PIPE] = ACTIONS(5801),
    [anon_sym_AMP_AMP] = ACTIONS(5801),
    [anon_sym_PIPE] = ACTIONS(5803),
    [anon_sym_CARET] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(5803),
    [anon_sym_EQ_EQ] = ACTIONS(5801),
    [anon_sym_BANG_EQ] = ACTIONS(5801),
    [anon_sym_GT] = ACTIONS(5803),
    [anon_sym_GT_EQ] = ACTIONS(5801),
    [anon_sym_LT_EQ] = ACTIONS(5803),
    [anon_sym_LT] = ACTIONS(5803),
    [anon_sym_LT_LT] = ACTIONS(5803),
    [anon_sym_GT_GT] = ACTIONS(5803),
    [anon_sym_SEMI] = ACTIONS(5801),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym___attribute] = ACTIONS(5803),
    [anon_sym_LBRACE] = ACTIONS(5801),
    [anon_sym_RBRACE] = ACTIONS(5801),
    [anon_sym_signed] = ACTIONS(6169),
    [anon_sym_unsigned] = ACTIONS(6169),
    [anon_sym_long] = ACTIONS(6169),
    [anon_sym_short] = ACTIONS(6169),
    [anon_sym_LBRACK] = ACTIONS(5801),
    [anon_sym_RBRACK] = ACTIONS(5801),
    [anon_sym_EQ] = ACTIONS(5803),
    [anon_sym_COLON] = ACTIONS(5801),
    [anon_sym_QMARK] = ACTIONS(5801),
    [anon_sym_STAR_EQ] = ACTIONS(5801),
    [anon_sym_SLASH_EQ] = ACTIONS(5801),
    [anon_sym_PERCENT_EQ] = ACTIONS(5801),
    [anon_sym_PLUS_EQ] = ACTIONS(5801),
    [anon_sym_DASH_EQ] = ACTIONS(5801),
    [anon_sym_LT_LT_EQ] = ACTIONS(5801),
    [anon_sym_GT_GT_EQ] = ACTIONS(5801),
    [anon_sym_AMP_EQ] = ACTIONS(5801),
    [anon_sym_CARET_EQ] = ACTIONS(5801),
    [anon_sym_PIPE_EQ] = ACTIONS(5801),
    [anon_sym_and_eq] = ACTIONS(5801),
    [anon_sym_or_eq] = ACTIONS(5801),
    [anon_sym_xor_eq] = ACTIONS(5801),
    [anon_sym_LT_EQ_GT] = ACTIONS(5801),
    [anon_sym_or] = ACTIONS(5803),
    [anon_sym_and] = ACTIONS(5803),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5803),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5801),
    [anon_sym_PLUS_PLUS] = ACTIONS(5801),
    [anon_sym_DOT] = ACTIONS(5803),
    [anon_sym_DOT_STAR] = ACTIONS(5801),
    [anon_sym_DASH_GT] = ACTIONS(5801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
  },
  [2313] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2284),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_STAR] = ACTIONS(5772),
    [anon_sym_SLASH] = ACTIONS(5772),
    [anon_sym_PERCENT] = ACTIONS(5772),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5772),
    [anon_sym_CARET] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(5772),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5772),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5772),
    [anon_sym_LT] = ACTIONS(5772),
    [anon_sym_LT_LT] = ACTIONS(5772),
    [anon_sym_GT_GT] = ACTIONS(5772),
    [anon_sym_SEMI] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym___attribute] = ACTIONS(5772),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6242),
    [anon_sym_unsigned] = ACTIONS(6242),
    [anon_sym_long] = ACTIONS(6242),
    [anon_sym_short] = ACTIONS(6242),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(5770),
    [anon_sym_EQ] = ACTIONS(5772),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_STAR_EQ] = ACTIONS(5770),
    [anon_sym_SLASH_EQ] = ACTIONS(5770),
    [anon_sym_PERCENT_EQ] = ACTIONS(5770),
    [anon_sym_PLUS_EQ] = ACTIONS(5770),
    [anon_sym_DASH_EQ] = ACTIONS(5770),
    [anon_sym_LT_LT_EQ] = ACTIONS(5770),
    [anon_sym_GT_GT_EQ] = ACTIONS(5770),
    [anon_sym_AMP_EQ] = ACTIONS(5770),
    [anon_sym_CARET_EQ] = ACTIONS(5770),
    [anon_sym_PIPE_EQ] = ACTIONS(5770),
    [anon_sym_and_eq] = ACTIONS(5770),
    [anon_sym_or_eq] = ACTIONS(5770),
    [anon_sym_xor_eq] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5772),
    [anon_sym_and] = ACTIONS(5772),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5772),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5772),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
  },
  [2314] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_RPAREN] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5778),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5778),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5778),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5778),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5776),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_RBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(6244),
    [anon_sym_unsigned] = ACTIONS(6244),
    [anon_sym_long] = ACTIONS(6244),
    [anon_sym_short] = ACTIONS(6244),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_EQ] = ACTIONS(5778),
    [anon_sym_COLON] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_STAR_EQ] = ACTIONS(5776),
    [anon_sym_SLASH_EQ] = ACTIONS(5776),
    [anon_sym_PERCENT_EQ] = ACTIONS(5776),
    [anon_sym_PLUS_EQ] = ACTIONS(5776),
    [anon_sym_DASH_EQ] = ACTIONS(5776),
    [anon_sym_LT_LT_EQ] = ACTIONS(5776),
    [anon_sym_GT_GT_EQ] = ACTIONS(5776),
    [anon_sym_AMP_EQ] = ACTIONS(5776),
    [anon_sym_CARET_EQ] = ACTIONS(5776),
    [anon_sym_PIPE_EQ] = ACTIONS(5776),
    [anon_sym_and_eq] = ACTIONS(5776),
    [anon_sym_or_eq] = ACTIONS(5776),
    [anon_sym_xor_eq] = ACTIONS(5776),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5776),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5776),
    [anon_sym_not_eq] = ACTIONS(5776),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5776),
    [anon_sym_decltype] = ACTIONS(5776),
  },
  [2315] = {
    [sym_template_argument_list] = STATE(2276),
    [sym_identifier] = ACTIONS(6246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6248),
    [anon_sym_COMMA] = ACTIONS(6248),
    [anon_sym_RPAREN] = ACTIONS(6248),
    [aux_sym_preproc_if_token2] = ACTIONS(6248),
    [aux_sym_preproc_else_token1] = ACTIONS(6248),
    [aux_sym_preproc_elif_token1] = ACTIONS(6246),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6248),
    [anon_sym_LPAREN2] = ACTIONS(6248),
    [anon_sym_DASH] = ACTIONS(6246),
    [anon_sym_PLUS] = ACTIONS(6246),
    [anon_sym_STAR] = ACTIONS(6246),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6246),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6248),
    [anon_sym_PIPE] = ACTIONS(6246),
    [anon_sym_CARET] = ACTIONS(6246),
    [anon_sym_AMP] = ACTIONS(6246),
    [anon_sym_EQ_EQ] = ACTIONS(6248),
    [anon_sym_BANG_EQ] = ACTIONS(6248),
    [anon_sym_GT] = ACTIONS(6246),
    [anon_sym_GT_EQ] = ACTIONS(6248),
    [anon_sym_LT_EQ] = ACTIONS(6246),
    [anon_sym_LT] = ACTIONS(6250),
    [anon_sym_LT_LT] = ACTIONS(6246),
    [anon_sym_GT_GT] = ACTIONS(6246),
    [anon_sym_SEMI] = ACTIONS(6248),
    [anon_sym___attribute__] = ACTIONS(6246),
    [anon_sym___attribute] = ACTIONS(6246),
    [anon_sym_COLON_COLON] = ACTIONS(4082),
    [anon_sym_RBRACE] = ACTIONS(6248),
    [anon_sym_LBRACK] = ACTIONS(6248),
    [anon_sym_RBRACK] = ACTIONS(6248),
    [anon_sym_EQ] = ACTIONS(6246),
    [anon_sym_COLON] = ACTIONS(6246),
    [anon_sym_QMARK] = ACTIONS(6248),
    [anon_sym_STAR_EQ] = ACTIONS(6248),
    [anon_sym_SLASH_EQ] = ACTIONS(6248),
    [anon_sym_PERCENT_EQ] = ACTIONS(6248),
    [anon_sym_PLUS_EQ] = ACTIONS(6248),
    [anon_sym_DASH_EQ] = ACTIONS(6248),
    [anon_sym_LT_LT_EQ] = ACTIONS(6248),
    [anon_sym_GT_GT_EQ] = ACTIONS(6248),
    [anon_sym_AMP_EQ] = ACTIONS(6248),
    [anon_sym_CARET_EQ] = ACTIONS(6248),
    [anon_sym_PIPE_EQ] = ACTIONS(6248),
    [anon_sym_and_eq] = ACTIONS(6246),
    [anon_sym_or_eq] = ACTIONS(6246),
    [anon_sym_xor_eq] = ACTIONS(6246),
    [anon_sym_LT_EQ_GT] = ACTIONS(6248),
    [anon_sym_or] = ACTIONS(6246),
    [anon_sym_and] = ACTIONS(6246),
    [anon_sym_bitor] = ACTIONS(6246),
    [anon_sym_xor] = ACTIONS(6246),
    [anon_sym_bitand] = ACTIONS(6246),
    [anon_sym_not_eq] = ACTIONS(6246),
    [anon_sym_DASH_DASH] = ACTIONS(6248),
    [anon_sym_PLUS_PLUS] = ACTIONS(6248),
    [anon_sym_DOT] = ACTIONS(6246),
    [anon_sym_DOT_STAR] = ACTIONS(6248),
    [anon_sym_DASH_GT] = ACTIONS(6248),
    [sym_comment] = ACTIONS(3),
  },
  [2316] = {
    [sym_attribute_specifier] = STATE(1813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6000),
    [anon_sym_COMMA] = ACTIONS(6000),
    [anon_sym_RPAREN] = ACTIONS(6000),
    [anon_sym_LPAREN2] = ACTIONS(6000),
    [anon_sym_DASH] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(5998),
    [anon_sym_STAR] = ACTIONS(6000),
    [anon_sym_SLASH] = ACTIONS(5998),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [anon_sym_PIPE_PIPE] = ACTIONS(6000),
    [anon_sym_AMP_AMP] = ACTIONS(6000),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_CARET] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5998),
    [anon_sym_EQ_EQ] = ACTIONS(6000),
    [anon_sym_BANG_EQ] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(5998),
    [anon_sym_GT_EQ] = ACTIONS(6000),
    [anon_sym_LT_EQ] = ACTIONS(5998),
    [anon_sym_LT] = ACTIONS(5998),
    [anon_sym_LT_LT] = ACTIONS(6000),
    [anon_sym_GT_GT] = ACTIONS(6000),
    [anon_sym_SEMI] = ACTIONS(6000),
    [anon_sym___extension__] = ACTIONS(6000),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(6000),
    [anon_sym_RBRACE] = ACTIONS(6000),
    [anon_sym_LBRACK] = ACTIONS(6000),
    [anon_sym_RBRACK] = ACTIONS(6000),
    [anon_sym_const] = ACTIONS(5998),
    [anon_sym_constexpr] = ACTIONS(6000),
    [anon_sym_volatile] = ACTIONS(6000),
    [anon_sym_restrict] = ACTIONS(6000),
    [anon_sym___restrict__] = ACTIONS(6000),
    [anon_sym__Atomic] = ACTIONS(6000),
    [anon_sym__Noreturn] = ACTIONS(6000),
    [anon_sym_noreturn] = ACTIONS(6000),
    [anon_sym__Nonnull] = ACTIONS(6000),
    [anon_sym_mutable] = ACTIONS(6000),
    [anon_sym_constinit] = ACTIONS(6000),
    [anon_sym_consteval] = ACTIONS(6000),
    [anon_sym_alignas] = ACTIONS(6000),
    [anon_sym__Alignas] = ACTIONS(6000),
    [anon_sym_COLON] = ACTIONS(6000),
    [anon_sym_QMARK] = ACTIONS(6000),
    [anon_sym_LT_EQ_GT] = ACTIONS(6000),
    [anon_sym_or] = ACTIONS(6000),
    [anon_sym_and] = ACTIONS(6000),
    [anon_sym_bitor] = ACTIONS(6000),
    [anon_sym_xor] = ACTIONS(6000),
    [anon_sym_bitand] = ACTIONS(6000),
    [anon_sym_not_eq] = ACTIONS(6000),
    [anon_sym_DASH_DASH] = ACTIONS(6000),
    [anon_sym_PLUS_PLUS] = ACTIONS(6000),
    [anon_sym_DOT] = ACTIONS(5998),
    [anon_sym_DOT_STAR] = ACTIONS(6000),
    [anon_sym_DASH_GT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6000),
    [anon_sym_decltype] = ACTIONS(6000),
    [anon_sym_final] = ACTIONS(6000),
    [anon_sym_override] = ACTIONS(6000),
    [anon_sym_requires] = ACTIONS(6000),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(5331),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5333),
    [anon_sym_COMMA] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_DASH] = ACTIONS(5331),
    [anon_sym_PLUS] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_SLASH] = ACTIONS(5331),
    [anon_sym_PERCENT] = ACTIONS(5331),
    [anon_sym_PIPE_PIPE] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_PIPE] = ACTIONS(5331),
    [anon_sym_CARET] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_EQ_EQ] = ACTIONS(5333),
    [anon_sym_BANG_EQ] = ACTIONS(5333),
    [anon_sym_GT] = ACTIONS(5331),
    [anon_sym_GT_EQ] = ACTIONS(5333),
    [anon_sym_LT_EQ] = ACTIONS(5331),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_LT_LT] = ACTIONS(5331),
    [anon_sym_GT_GT] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym___attribute] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_EQ] = ACTIONS(5331),
    [anon_sym_QMARK] = ACTIONS(5333),
    [anon_sym_STAR_EQ] = ACTIONS(5333),
    [anon_sym_SLASH_EQ] = ACTIONS(5333),
    [anon_sym_PERCENT_EQ] = ACTIONS(5333),
    [anon_sym_PLUS_EQ] = ACTIONS(5333),
    [anon_sym_DASH_EQ] = ACTIONS(5333),
    [anon_sym_LT_LT_EQ] = ACTIONS(5333),
    [anon_sym_GT_GT_EQ] = ACTIONS(5333),
    [anon_sym_AMP_EQ] = ACTIONS(5333),
    [anon_sym_CARET_EQ] = ACTIONS(5333),
    [anon_sym_PIPE_EQ] = ACTIONS(5333),
    [anon_sym_and_eq] = ACTIONS(5331),
    [anon_sym_or_eq] = ACTIONS(5331),
    [anon_sym_xor_eq] = ACTIONS(5331),
    [anon_sym_LT_EQ_GT] = ACTIONS(5333),
    [anon_sym_or] = ACTIONS(5331),
    [anon_sym_and] = ACTIONS(5331),
    [anon_sym_bitor] = ACTIONS(5331),
    [anon_sym_xor] = ACTIONS(5331),
    [anon_sym_bitand] = ACTIONS(5331),
    [anon_sym_not_eq] = ACTIONS(5331),
    [anon_sym_DASH_DASH] = ACTIONS(5333),
    [anon_sym_PLUS_PLUS] = ACTIONS(5333),
    [anon_sym_DOT] = ACTIONS(5331),
    [anon_sym_DOT_STAR] = ACTIONS(5333),
    [anon_sym_DASH_GT] = ACTIONS(5333),
    [anon_sym_L_DQUOTE] = ACTIONS(5333),
    [anon_sym_u_DQUOTE] = ACTIONS(5333),
    [anon_sym_U_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8_DQUOTE] = ACTIONS(5333),
    [anon_sym_DQUOTE] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5333),
    [anon_sym_LR_DQUOTE] = ACTIONS(5333),
    [anon_sym_uR_DQUOTE] = ACTIONS(5333),
    [anon_sym_UR_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5333),
    [sym_literal_suffix] = ACTIONS(5331),
  },
  [2318] = {
    [sym_attribute_specifier] = STATE(2630),
    [sym_field_declaration_list] = STATE(2545),
    [sym_virtual_specifier] = STATE(6999),
    [sym_base_class_clause] = STATE(7708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5340),
    [anon_sym_COMMA] = ACTIONS(5340),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5340),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5340),
    [anon_sym_PIPE_PIPE] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5340),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_CARET] = ACTIONS(5340),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_EQ_EQ] = ACTIONS(5340),
    [anon_sym_BANG_EQ] = ACTIONS(5340),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_GT_EQ] = ACTIONS(5338),
    [anon_sym_LT_EQ] = ACTIONS(5338),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5340),
    [anon_sym_GT_GT] = ACTIONS(5338),
    [anon_sym___extension__] = ACTIONS(5340),
    [anon_sym___attribute__] = ACTIONS(6253),
    [anon_sym___attribute] = ACTIONS(6255),
    [anon_sym_LBRACE] = ACTIONS(6257),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [anon_sym_const] = ACTIONS(5338),
    [anon_sym_constexpr] = ACTIONS(5340),
    [anon_sym_volatile] = ACTIONS(5340),
    [anon_sym_restrict] = ACTIONS(5340),
    [anon_sym___restrict__] = ACTIONS(5340),
    [anon_sym__Atomic] = ACTIONS(5340),
    [anon_sym__Noreturn] = ACTIONS(5340),
    [anon_sym_noreturn] = ACTIONS(5340),
    [anon_sym__Nonnull] = ACTIONS(5340),
    [anon_sym_mutable] = ACTIONS(5340),
    [anon_sym_constinit] = ACTIONS(5340),
    [anon_sym_consteval] = ACTIONS(5340),
    [anon_sym_alignas] = ACTIONS(5340),
    [anon_sym__Alignas] = ACTIONS(5340),
    [anon_sym_COLON] = ACTIONS(5346),
    [anon_sym_QMARK] = ACTIONS(5340),
    [anon_sym_LT_EQ_GT] = ACTIONS(5340),
    [anon_sym_or] = ACTIONS(5340),
    [anon_sym_and] = ACTIONS(5340),
    [anon_sym_bitor] = ACTIONS(5340),
    [anon_sym_xor] = ACTIONS(5340),
    [anon_sym_bitand] = ACTIONS(5340),
    [anon_sym_not_eq] = ACTIONS(5340),
    [anon_sym_DASH_DASH] = ACTIONS(5340),
    [anon_sym_PLUS_PLUS] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_DOT_STAR] = ACTIONS(5340),
    [anon_sym_DASH_GT] = ACTIONS(5340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5340),
    [anon_sym_decltype] = ACTIONS(5340),
    [anon_sym_final] = ACTIONS(5887),
    [anon_sym_override] = ACTIONS(5887),
    [anon_sym_GT2] = ACTIONS(5340),
    [anon_sym_requires] = ACTIONS(5340),
  },
  [2319] = {
    [sym_string_literal] = STATE(2128),
    [sym_raw_string_literal] = STATE(2128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_RPAREN] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5748),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5748),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_CARET] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5748),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5748),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5748),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_and_eq] = ACTIONS(5748),
    [anon_sym_or_eq] = ACTIONS(5748),
    [anon_sym_xor_eq] = ACTIONS(5748),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5748),
    [anon_sym_and] = ACTIONS(5748),
    [anon_sym_bitor] = ACTIONS(5748),
    [anon_sym_xor] = ACTIONS(5748),
    [anon_sym_bitand] = ACTIONS(5748),
    [anon_sym_not_eq] = ACTIONS(5748),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5748),
    [anon_sym_L_DQUOTE] = ACTIONS(4899),
    [anon_sym_u_DQUOTE] = ACTIONS(4899),
    [anon_sym_U_DQUOTE] = ACTIONS(4899),
    [anon_sym_u8_DQUOTE] = ACTIONS(4899),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4901),
    [anon_sym_LR_DQUOTE] = ACTIONS(4901),
    [anon_sym_uR_DQUOTE] = ACTIONS(4901),
    [anon_sym_UR_DQUOTE] = ACTIONS(4901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4901),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5750),
    [sym_literal_suffix] = ACTIONS(5748),
  },
  [2320] = {
    [sym_attribute_specifier] = STATE(1811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6019),
    [anon_sym_COMMA] = ACTIONS(6019),
    [anon_sym_RPAREN] = ACTIONS(6019),
    [anon_sym_LPAREN2] = ACTIONS(6019),
    [anon_sym_DASH] = ACTIONS(6017),
    [anon_sym_PLUS] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6019),
    [anon_sym_SLASH] = ACTIONS(6017),
    [anon_sym_PERCENT] = ACTIONS(6019),
    [anon_sym_PIPE_PIPE] = ACTIONS(6019),
    [anon_sym_AMP_AMP] = ACTIONS(6019),
    [anon_sym_PIPE] = ACTIONS(6017),
    [anon_sym_CARET] = ACTIONS(6019),
    [anon_sym_AMP] = ACTIONS(6017),
    [anon_sym_EQ_EQ] = ACTIONS(6019),
    [anon_sym_BANG_EQ] = ACTIONS(6019),
    [anon_sym_GT] = ACTIONS(6017),
    [anon_sym_GT_EQ] = ACTIONS(6019),
    [anon_sym_LT_EQ] = ACTIONS(6017),
    [anon_sym_LT] = ACTIONS(6017),
    [anon_sym_LT_LT] = ACTIONS(6019),
    [anon_sym_GT_GT] = ACTIONS(6019),
    [anon_sym_SEMI] = ACTIONS(6019),
    [anon_sym___extension__] = ACTIONS(6019),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(6019),
    [anon_sym_RBRACE] = ACTIONS(6019),
    [anon_sym_LBRACK] = ACTIONS(6019),
    [anon_sym_RBRACK] = ACTIONS(6019),
    [anon_sym_const] = ACTIONS(6017),
    [anon_sym_constexpr] = ACTIONS(6019),
    [anon_sym_volatile] = ACTIONS(6019),
    [anon_sym_restrict] = ACTIONS(6019),
    [anon_sym___restrict__] = ACTIONS(6019),
    [anon_sym__Atomic] = ACTIONS(6019),
    [anon_sym__Noreturn] = ACTIONS(6019),
    [anon_sym_noreturn] = ACTIONS(6019),
    [anon_sym__Nonnull] = ACTIONS(6019),
    [anon_sym_mutable] = ACTIONS(6019),
    [anon_sym_constinit] = ACTIONS(6019),
    [anon_sym_consteval] = ACTIONS(6019),
    [anon_sym_alignas] = ACTIONS(6019),
    [anon_sym__Alignas] = ACTIONS(6019),
    [anon_sym_COLON] = ACTIONS(6019),
    [anon_sym_QMARK] = ACTIONS(6019),
    [anon_sym_LT_EQ_GT] = ACTIONS(6019),
    [anon_sym_or] = ACTIONS(6019),
    [anon_sym_and] = ACTIONS(6019),
    [anon_sym_bitor] = ACTIONS(6019),
    [anon_sym_xor] = ACTIONS(6019),
    [anon_sym_bitand] = ACTIONS(6019),
    [anon_sym_not_eq] = ACTIONS(6019),
    [anon_sym_DASH_DASH] = ACTIONS(6019),
    [anon_sym_PLUS_PLUS] = ACTIONS(6019),
    [anon_sym_DOT] = ACTIONS(6017),
    [anon_sym_DOT_STAR] = ACTIONS(6019),
    [anon_sym_DASH_GT] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6019),
    [anon_sym_decltype] = ACTIONS(6019),
    [anon_sym_final] = ACTIONS(6019),
    [anon_sym_override] = ACTIONS(6019),
    [anon_sym_requires] = ACTIONS(6019),
  },
  [2321] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5631),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_RPAREN] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5631),
    [anon_sym_DASH] = ACTIONS(5629),
    [anon_sym_PLUS] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_SLASH] = ACTIONS(5629),
    [anon_sym_PERCENT] = ACTIONS(5629),
    [anon_sym_PIPE_PIPE] = ACTIONS(5631),
    [anon_sym_AMP_AMP] = ACTIONS(5631),
    [anon_sym_PIPE] = ACTIONS(5629),
    [anon_sym_CARET] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5629),
    [anon_sym_EQ_EQ] = ACTIONS(5631),
    [anon_sym_BANG_EQ] = ACTIONS(5631),
    [anon_sym_GT] = ACTIONS(5629),
    [anon_sym_GT_EQ] = ACTIONS(5631),
    [anon_sym_LT_EQ] = ACTIONS(5629),
    [anon_sym_LT] = ACTIONS(5629),
    [anon_sym_LT_LT] = ACTIONS(5629),
    [anon_sym_GT_GT] = ACTIONS(5629),
    [anon_sym_SEMI] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5631),
    [anon_sym___attribute] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(5631),
    [anon_sym_RBRACE] = ACTIONS(5631),
    [anon_sym_signed] = ACTIONS(6189),
    [anon_sym_unsigned] = ACTIONS(6189),
    [anon_sym_long] = ACTIONS(6189),
    [anon_sym_short] = ACTIONS(6189),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_RBRACK] = ACTIONS(5631),
    [anon_sym_EQ] = ACTIONS(5629),
    [anon_sym_COLON] = ACTIONS(5631),
    [anon_sym_QMARK] = ACTIONS(5631),
    [anon_sym_STAR_EQ] = ACTIONS(5631),
    [anon_sym_SLASH_EQ] = ACTIONS(5631),
    [anon_sym_PERCENT_EQ] = ACTIONS(5631),
    [anon_sym_PLUS_EQ] = ACTIONS(5631),
    [anon_sym_DASH_EQ] = ACTIONS(5631),
    [anon_sym_LT_LT_EQ] = ACTIONS(5631),
    [anon_sym_GT_GT_EQ] = ACTIONS(5631),
    [anon_sym_AMP_EQ] = ACTIONS(5631),
    [anon_sym_CARET_EQ] = ACTIONS(5631),
    [anon_sym_PIPE_EQ] = ACTIONS(5631),
    [anon_sym_and_eq] = ACTIONS(5631),
    [anon_sym_or_eq] = ACTIONS(5631),
    [anon_sym_xor_eq] = ACTIONS(5631),
    [anon_sym_LT_EQ_GT] = ACTIONS(5631),
    [anon_sym_or] = ACTIONS(5629),
    [anon_sym_and] = ACTIONS(5629),
    [anon_sym_bitor] = ACTIONS(5631),
    [anon_sym_xor] = ACTIONS(5629),
    [anon_sym_bitand] = ACTIONS(5631),
    [anon_sym_not_eq] = ACTIONS(5631),
    [anon_sym_DASH_DASH] = ACTIONS(5631),
    [anon_sym_PLUS_PLUS] = ACTIONS(5631),
    [anon_sym_DOT] = ACTIONS(5629),
    [anon_sym_DOT_STAR] = ACTIONS(5631),
    [anon_sym_DASH_GT] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5631),
    [anon_sym_decltype] = ACTIONS(5631),
  },
  [2322] = {
    [sym_identifier] = ACTIONS(5315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5317),
    [anon_sym_COMMA] = ACTIONS(5317),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_DASH] = ACTIONS(5315),
    [anon_sym_PLUS] = ACTIONS(5315),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_SLASH] = ACTIONS(5315),
    [anon_sym_PERCENT] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_PIPE] = ACTIONS(5315),
    [anon_sym_CARET] = ACTIONS(5315),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_EQ_EQ] = ACTIONS(5317),
    [anon_sym_BANG_EQ] = ACTIONS(5317),
    [anon_sym_GT] = ACTIONS(5315),
    [anon_sym_GT_EQ] = ACTIONS(5317),
    [anon_sym_LT_EQ] = ACTIONS(5315),
    [anon_sym_LT] = ACTIONS(5315),
    [anon_sym_LT_LT] = ACTIONS(5315),
    [anon_sym_GT_GT] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym___attribute] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5317),
    [anon_sym_EQ] = ACTIONS(5315),
    [anon_sym_QMARK] = ACTIONS(5317),
    [anon_sym_STAR_EQ] = ACTIONS(5317),
    [anon_sym_SLASH_EQ] = ACTIONS(5317),
    [anon_sym_PERCENT_EQ] = ACTIONS(5317),
    [anon_sym_PLUS_EQ] = ACTIONS(5317),
    [anon_sym_DASH_EQ] = ACTIONS(5317),
    [anon_sym_LT_LT_EQ] = ACTIONS(5317),
    [anon_sym_GT_GT_EQ] = ACTIONS(5317),
    [anon_sym_AMP_EQ] = ACTIONS(5317),
    [anon_sym_CARET_EQ] = ACTIONS(5317),
    [anon_sym_PIPE_EQ] = ACTIONS(5317),
    [anon_sym_and_eq] = ACTIONS(5315),
    [anon_sym_or_eq] = ACTIONS(5315),
    [anon_sym_xor_eq] = ACTIONS(5315),
    [anon_sym_LT_EQ_GT] = ACTIONS(5317),
    [anon_sym_or] = ACTIONS(5315),
    [anon_sym_and] = ACTIONS(5315),
    [anon_sym_bitor] = ACTIONS(5315),
    [anon_sym_xor] = ACTIONS(5315),
    [anon_sym_bitand] = ACTIONS(5315),
    [anon_sym_not_eq] = ACTIONS(5315),
    [anon_sym_DASH_DASH] = ACTIONS(5317),
    [anon_sym_PLUS_PLUS] = ACTIONS(5317),
    [anon_sym_DOT] = ACTIONS(5315),
    [anon_sym_DOT_STAR] = ACTIONS(5317),
    [anon_sym_DASH_GT] = ACTIONS(5317),
    [anon_sym_L_DQUOTE] = ACTIONS(5317),
    [anon_sym_u_DQUOTE] = ACTIONS(5317),
    [anon_sym_U_DQUOTE] = ACTIONS(5317),
    [anon_sym_u8_DQUOTE] = ACTIONS(5317),
    [anon_sym_DQUOTE] = ACTIONS(5317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5317),
    [anon_sym_LR_DQUOTE] = ACTIONS(5317),
    [anon_sym_uR_DQUOTE] = ACTIONS(5317),
    [anon_sym_UR_DQUOTE] = ACTIONS(5317),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5317),
    [sym_literal_suffix] = ACTIONS(5315),
  },
  [2323] = {
    [sym_attribute_specifier] = STATE(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5962),
    [anon_sym_COMMA] = ACTIONS(5962),
    [anon_sym_RPAREN] = ACTIONS(5962),
    [anon_sym_LPAREN2] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5960),
    [anon_sym_STAR] = ACTIONS(5962),
    [anon_sym_SLASH] = ACTIONS(5960),
    [anon_sym_PERCENT] = ACTIONS(5962),
    [anon_sym_PIPE_PIPE] = ACTIONS(5962),
    [anon_sym_AMP_AMP] = ACTIONS(5962),
    [anon_sym_PIPE] = ACTIONS(5960),
    [anon_sym_CARET] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5960),
    [anon_sym_EQ_EQ] = ACTIONS(5962),
    [anon_sym_BANG_EQ] = ACTIONS(5962),
    [anon_sym_GT] = ACTIONS(5960),
    [anon_sym_GT_EQ] = ACTIONS(5962),
    [anon_sym_LT_EQ] = ACTIONS(5960),
    [anon_sym_LT] = ACTIONS(5960),
    [anon_sym_LT_LT] = ACTIONS(5962),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(5962),
    [anon_sym___extension__] = ACTIONS(5962),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym___attribute] = ACTIONS(5883),
    [anon_sym_LBRACE] = ACTIONS(5962),
    [anon_sym_RBRACE] = ACTIONS(5962),
    [anon_sym_LBRACK] = ACTIONS(5962),
    [anon_sym_RBRACK] = ACTIONS(5962),
    [anon_sym_const] = ACTIONS(5960),
    [anon_sym_constexpr] = ACTIONS(5962),
    [anon_sym_volatile] = ACTIONS(5962),
    [anon_sym_restrict] = ACTIONS(5962),
    [anon_sym___restrict__] = ACTIONS(5962),
    [anon_sym__Atomic] = ACTIONS(5962),
    [anon_sym__Noreturn] = ACTIONS(5962),
    [anon_sym_noreturn] = ACTIONS(5962),
    [anon_sym__Nonnull] = ACTIONS(5962),
    [anon_sym_mutable] = ACTIONS(5962),
    [anon_sym_constinit] = ACTIONS(5962),
    [anon_sym_consteval] = ACTIONS(5962),
    [anon_sym_alignas] = ACTIONS(5962),
    [anon_sym__Alignas] = ACTIONS(5962),
    [anon_sym_COLON] = ACTIONS(5962),
    [anon_sym_QMARK] = ACTIONS(5962),
    [anon_sym_LT_EQ_GT] = ACTIONS(5962),
    [anon_sym_or] = ACTIONS(5962),
    [anon_sym_and] = ACTIONS(5962),
    [anon_sym_bitor] = ACTIONS(5962),
    [anon_sym_xor] = ACTIONS(5962),
    [anon_sym_bitand] = ACTIONS(5962),
    [anon_sym_not_eq] = ACTIONS(5962),
    [anon_sym_DASH_DASH] = ACTIONS(5962),
    [anon_sym_PLUS_PLUS] = ACTIONS(5962),
    [anon_sym_DOT] = ACTIONS(5960),
    [anon_sym_DOT_STAR] = ACTIONS(5962),
    [anon_sym_DASH_GT] = ACTIONS(5962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5962),
    [anon_sym_decltype] = ACTIONS(5962),
    [anon_sym_final] = ACTIONS(5962),
    [anon_sym_override] = ACTIONS(5962),
    [anon_sym_requires] = ACTIONS(5962),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6263), 1,
      anon_sym_virtual,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2528), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6261), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6259), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6269), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6271), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5321), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [249] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2177), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6034), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6036), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5750), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5748), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [326] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6279), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6281), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [411] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6285), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6287), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5333), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6289), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6291), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6295), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6295), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6295), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5374), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5372), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      sym_identifier,
    STATE(2345), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4220), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4222), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5251), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5249), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6301), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5388), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6305), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1299] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [1384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3820), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 1,
      anon_sym_LT,
    STATE(2281), 1,
      sym_template_argument_list,
    ACTIONS(6311), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6313), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6318), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6320), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      sym_identifier,
    STATE(2365), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4220), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4222), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5255), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2765), 1,
      sym_field_declaration_list,
    STATE(3005), 1,
      sym_attribute_specifier,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7722), 1,
      sym_base_class_clause,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5338), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5340), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [1842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5317), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6338), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5321), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6103), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5372), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5374), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2272] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6348), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6350), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [2357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    STATE(2481), 1,
      sym_decltype_auto,
    ACTIONS(5325), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5323), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5333), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5317), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2647] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    ACTIONS(6360), 1,
      anon_sym_virtual,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2499), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6358), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6356), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [2742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2155), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4929), 17,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5011), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5014), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [2890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3824), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6364), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3032] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(2498), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5824), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [3111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 1,
      sym_identifier,
    STATE(2365), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6371), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6374), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5268), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5266), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [3190] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6377), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6379), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [3275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5580), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5500), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5508), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5660), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5595), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5652), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2681), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6383), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4063), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3905] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [3991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5516), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5828), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5504), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1907), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4411] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5824), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5822), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [4491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5333), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6397), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6401), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5037), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6403), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6405), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6409), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5526), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4981] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    STATE(2802), 1,
      sym_field_declaration_list,
    STATE(3121), 1,
      sym_attribute_specifier,
    STATE(6944), 1,
      sym_virtual_specifier,
    STATE(7793), 1,
      sym_base_class_clause,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5338), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5340), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [5069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5664), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5536), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5534), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5631), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5629), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5538), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6419), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5496), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5656), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5549), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4987), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5023), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5674), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6423), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5317), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5553), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5648), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5522), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6425), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6427), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5005), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5009), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6431), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6439), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1911), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5041), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6443), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6447), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6423), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6451), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7099] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 1,
      anon_sym___attribute,
    ACTIONS(5871), 1,
      anon_sym_LBRACE,
    ACTIONS(6453), 1,
      anon_sym___attribute__,
    ACTIONS(6455), 1,
      anon_sym_COLON,
    STATE(2038), 1,
      sym__enum_base_clause,
    STATE(2137), 1,
      sym_enumerator_list,
    STATE(2192), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6223), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [7183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6320), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7253] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6461), 1,
      anon_sym_or,
    ACTIONS(6463), 1,
      anon_sym_and,
    ACTIONS(6040), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6042), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5512), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5317), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5635), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5633), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5321), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6465), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6467), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5559), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5557), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7751] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5824), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [7829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5045), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3750), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6473), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5321), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [8109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5549), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5549), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6485), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5333), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6497), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6501), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4991), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5053), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4983), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9019] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 1,
      anon_sym___attribute,
    ACTIONS(5871), 1,
      anon_sym_LBRACE,
    ACTIONS(6453), 1,
      anon_sym___attribute__,
    ACTIONS(6455), 1,
      anon_sym_COLON,
    STATE(2013), 1,
      sym__enum_base_clause,
    STATE(2159), 1,
      sym_enumerator_list,
    STATE(2266), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6217), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [9103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6505), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6463), 1,
      anon_sym_and,
    ACTIONS(6082), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6084), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5049), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5571), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6509), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6513), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4840), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6517), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5586), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5584), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5621), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6521), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4840), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6525), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5019), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5033), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4840), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4840), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5613), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6529), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6533), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6537), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5545), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6541), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6545), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6549), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4840), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4840), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5372), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5652), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5680), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5678), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5045), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5619), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5617), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5530), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6553), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4063), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6557), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6561), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6565), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6569), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5045), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6573), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5627), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5625), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6577), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5639), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5637), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5378), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2337), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4220), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4222), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5748), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5750), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [12333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5309), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5311), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12404] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6579), 1,
      anon_sym_LT,
    STATE(2498), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2597), 1,
      sym_template_argument_list,
    ACTIONS(6366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4069), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [12483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5799), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5797), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [12556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5736), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [12629] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6587), 1,
      anon_sym_virtual,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2523), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6585), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6583), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [12716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2518), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5752), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [12789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6591), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5758), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [12862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4820), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4812), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4828), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4832), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4816), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4824), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4836), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4862), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    STATE(2549), 1,
      sym_enumerator_list,
    STATE(2647), 1,
      sym_attribute_specifier,
    ACTIONS(5867), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5869), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    STATE(2552), 1,
      sym_enumerator_list,
    STATE(2604), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5877), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5378), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13643] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6579), 1,
      anon_sym_LT,
    STATE(2597), 1,
      sym_template_argument_list,
    ACTIONS(5682), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4087), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [13718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5317), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [13787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5321), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [13856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5333), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [13925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [13994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5801), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2525), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6595), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2526), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5776), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5782), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14359] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_virtual,
    ACTIONS(6615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6618), 1,
      anon_sym___declspec,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(6612), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6621), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2523), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6609), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6601), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6599), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6603), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [14446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6624), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5629), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5631), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5790), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(6626), 1,
      anon_sym_LPAREN2,
    STATE(2419), 1,
      sym_argument_list,
    STATE(2600), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3847), 1,
      sym_initializer_list,
    ACTIONS(6629), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5372), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [14746] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6587), 1,
      anon_sym_virtual,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2523), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6633), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6631), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [14833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6635), 1,
      anon_sym_LT,
    STATE(2597), 1,
      sym_template_argument_list,
    ACTIONS(4838), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4845), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [14908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 1,
      sym_primitive_type,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5794), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5011), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5014), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [14983] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5720), 1,
      anon_sym_STAR,
    ACTIONS(5722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5724), 1,
      anon_sym_AMP,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    STATE(3019), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6295), 1,
      sym__declarator,
    STATE(6521), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5734), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5732), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [15102] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5720), 1,
      anon_sym_STAR,
    ACTIONS(5722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5724), 1,
      anon_sym_AMP,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    STATE(3019), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6300), 1,
      sym__declarator,
    STATE(6476), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6640), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6638), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [15221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5382), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2600), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6629), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5631), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5629), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5390), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15430] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    ACTIONS(6642), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    STATE(2699), 1,
      sym__enum_base_clause,
    STATE(2801), 1,
      sym_enumerator_list,
    STATE(3000), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6217), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4087), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5682), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2624), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5993), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2629), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6000), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    STATE(2621), 1,
      sym_decltype_auto,
    ACTIONS(5323), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5325), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5768), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6654), 1,
      anon_sym_LT,
    STATE(2603), 1,
      sym_template_argument_list,
    ACTIONS(4838), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4845), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [15954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2643), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6011), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2646), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6015), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2652), 1,
      sym_attribute_specifier,
    ACTIONS(5919), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5921), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2654), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5925), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2666), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5942), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5803), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2606), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5946), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2607), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5962), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2609), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5966), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2611), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6019), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    STATE(2612), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5958), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4818), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [16834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2548), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6657), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5760), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16906] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6659), 1,
      anon_sym_LT,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2603), 1,
      sym_template_argument_list,
    ACTIONS(6469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4069), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [16984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6661), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5799), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5797), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6659), 1,
      anon_sym_LT,
    STATE(2603), 1,
      sym_template_argument_list,
    ACTIONS(5682), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4087), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [17130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6661), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5736), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2562), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6663), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5752), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2563), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5758), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6661), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5766), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6661), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5801), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2569), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2602), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6669), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5776), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6661), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5782), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2557), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5629), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5631), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(2700), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6673), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5824), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6661), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5786), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5754), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2589), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6677), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5772), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2590), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6679), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5778), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5378), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5372), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5374), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5317), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5321), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5782), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5784), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5333), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4812), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4810), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4826), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4832), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4830), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6681), 1,
      sym_identifier,
    STATE(2583), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6684), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6687), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5268), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5266), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4816), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4814), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4822), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4836), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4834), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4931), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4929), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6693), 1,
      sym_identifier,
    STATE(2599), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3476), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3480), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5251), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5249), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5788), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5792), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5309), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5311), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19470] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3318), 1,
      sym_attribute_specifier,
    STATE(7045), 1,
      sym_virtual_specifier,
    STATE(7745), 1,
      sym_base_class_clause,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5338), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5340), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5378), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5378), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5382), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4845), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4838), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5738), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      sym_identifier,
    STATE(2583), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3476), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3480), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5255), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5797), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5799), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20126] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    ACTIONS(6642), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    STATE(2710), 1,
      sym__enum_base_clause,
    STATE(2779), 1,
      sym_enumerator_list,
    STATE(3033), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6223), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6661), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5790), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4862), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [20347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5510), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5374), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5597), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5528), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5309), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5311), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [20684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5536), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5540), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5547), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5573), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20952] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(6705), 1,
      anon_sym_COLON,
    STATE(2769), 1,
      sym__enum_base_clause,
    STATE(2829), 1,
      sym_enumerator_list,
    STATE(3079), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6217), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5333), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [21100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5582), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5676), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5514), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6624), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [21439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5518), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5532), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5623), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21640] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(6705), 1,
      anon_sym_COLON,
    STATE(2754), 1,
      sym__enum_base_clause,
    STATE(2830), 1,
      sym_enumerator_list,
    STATE(3074), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6223), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5506), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5498), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5524), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5551), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5374), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5555), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5559), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5378), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5378), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1590), 1,
      sym_string_literal,
    ACTIONS(6711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [22399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5551), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5551), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5611), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22600] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6713), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2955), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4945), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6194), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4947), 24,
      anon_sym_AMP,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [22683] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5857), 1,
      anon_sym_STAR,
    ACTIONS(5859), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6295), 1,
      sym__declarator,
    STATE(6632), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5732), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5734), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22800] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5857), 1,
      anon_sym_STAR,
    ACTIONS(5859), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6300), 1,
      sym__declarator,
    STATE(6636), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6638), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6640), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22917] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6719), 1,
      sym_identifier,
    ACTIONS(6723), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2826), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6233), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2637), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6721), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4960), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6228), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4962), 24,
      anon_sym_AMP,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [23000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5382), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5615), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5619), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5627), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5631), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5635), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5637), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5639), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5317), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [23536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5650), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5654), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5378), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5658), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5321), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [23871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5662), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1591), 1,
      sym_string_literal,
    ACTIONS(6711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [24009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5586), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2600), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6629), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5372), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [24147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1593), 1,
      sym_string_literal,
    ACTIONS(6711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [24218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1589), 1,
      sym_string_literal,
    ACTIONS(6711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [24289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5654), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24356] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5851), 1,
      anon_sym_STAR,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_AMP,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6295), 1,
      sym__declarator,
    STATE(6589), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5732), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(5734), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [24473] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5851), 1,
      anon_sym_STAR,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_AMP,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6300), 1,
      sym__declarator,
    STATE(6593), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6638), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6640), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [24590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [24657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5666), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5680), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5502), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5611), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5609), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [24925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4812), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4810), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5311), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5309), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5378), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5376), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2714), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6725), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5752), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6729), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6727), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25261] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6263), 1,
      anon_sym_virtual,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    ACTIONS(6731), 1,
      anon_sym_SEMI,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6261), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2528), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6259), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [25353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2680), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6733), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5758), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2557), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [25493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5382), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5380), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5378), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5376), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5378), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6735), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5799), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5797), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6735), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5801), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6737), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6741), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4838), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4845), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [25971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6263), 1,
      anon_sym_virtual,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    ACTIONS(6744), 1,
      anon_sym_SEMI,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6261), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2528), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6259), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5776), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6748), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(5682), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4087), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6735), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5790), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6263), 1,
      anon_sym_virtual,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    ACTIONS(6750), 1,
      anon_sym_SEMI,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6261), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2528), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6259), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4818), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [26433] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6263), 1,
      anon_sym_virtual,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    ACTIONS(6752), 1,
      anon_sym_SEMI,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6261), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2528), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6259), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6263), 1,
      anon_sym_virtual,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    ACTIONS(6754), 1,
      anon_sym_SEMI,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6261), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2528), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6259), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6735), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26687] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      sym_auto,
    ACTIONS(6762), 1,
      anon_sym_decltype,
    STATE(2983), 1,
      sym_decltype_auto,
    STATE(3048), 1,
      sym_new_declarator,
    STATE(3320), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5712), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [26769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6263), 1,
      anon_sym_virtual,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    ACTIONS(6764), 1,
      anon_sym_SEMI,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6261), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2528), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6259), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4832), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4830), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [26927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4855), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [26993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4816), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4814), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [27059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4822), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [27125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4836), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4834), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [27191] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    ACTIONS(6642), 1,
      anon_sym_LBRACE,
    STATE(2780), 1,
      sym_enumerator_list,
    STATE(3037), 1,
      sym_attribute_specifier,
    ACTIONS(5867), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5869), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6735), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5736), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4855), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [27403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2629), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [27469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      sym_auto,
    ACTIONS(6762), 1,
      anon_sym_decltype,
    STATE(2983), 1,
      sym_decltype_auto,
    STATE(3024), 1,
      sym_new_declarator,
    STATE(3477), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [27551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2651), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2649), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [27617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6263), 1,
      anon_sym_virtual,
    ACTIONS(6265), 1,
      sym_auto,
    ACTIONS(6267), 1,
      anon_sym_decltype,
    ACTIONS(6766), 1,
      anon_sym_SEMI,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6261), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2528), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5360), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6259), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5356), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [27709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2691), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      sym_auto,
    ACTIONS(6762), 1,
      anon_sym_decltype,
    STATE(2944), 1,
      sym_new_declarator,
    STATE(2983), 1,
      sym_decltype_auto,
    STATE(3345), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5689), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5691), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [27861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6770), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [27927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4939), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [27993] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    ACTIONS(6642), 1,
      anon_sym_LBRACE,
    STATE(2796), 1,
      sym_enumerator_list,
    STATE(3058), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5877), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5378), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5376), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [28137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6735), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5782), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28207] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    ACTIONS(6760), 1,
      sym_auto,
    ACTIONS(6762), 1,
      anon_sym_decltype,
    STATE(2983), 1,
      sym_decltype_auto,
    STATE(3013), 1,
      sym_new_declarator,
    STATE(3352), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5701), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [28289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6735), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6774), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [28425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6748), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    STATE(2700), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6673), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4069), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6780), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6778), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [28567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2679), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6782), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5629), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5631), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6786), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6784), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [28703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4826), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [28769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [28834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4812), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28899] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6816), 1,
      anon_sym_or,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6788), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6790), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29008] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6816), 1,
      anon_sym_or,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6828), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6822), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6826), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29121] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6816), 1,
      anon_sym_or,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6830), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6832), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29230] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6816), 1,
      anon_sym_or,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6828), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6834), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6836), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4828), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4832), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4816), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4824), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4836), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5317), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5309), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5311), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [29865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(3047), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5824), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [29940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6840), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    STATE(2369), 1,
      sym_attribute_specifier,
    STATE(2847), 1,
      sym_enumerator_list,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5877), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5875), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30096] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6844), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30179] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6816), 1,
      anon_sym_or,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6848), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30288] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6816), 1,
      anon_sym_or,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6850), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6852), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym__enum_base_clause,
    STATE(2965), 1,
      sym_enumerator_list,
    STATE(3482), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6217), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30476] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30559] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6860), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6435), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [30707] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    STATE(2492), 1,
      sym_attribute_specifier,
    STATE(2921), 1,
      sym_enumerator_list,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5869), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5867), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5321), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(2999), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5993), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3004), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6000), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5372), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [31052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6862), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31135] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6864), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5333), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [31283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6523), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [31348] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(2813), 1,
      sym_enumerator_list,
    STATE(3090), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5877), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31423] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(6868), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      sym_auto,
    ACTIONS(6872), 1,
      anon_sym_decltype,
    STATE(3115), 1,
      sym_new_declarator,
    STATE(3133), 1,
      sym_decltype_auto,
    STATE(3561), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5701), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5703), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [31504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6874), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31587] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31670] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    STATE(2911), 1,
      sym__enum_base_clause,
    STATE(3008), 1,
      sym_enumerator_list,
    STATE(3461), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6223), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31749] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6878), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31832] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6880), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5378), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5378), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3032), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32120] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3041), 1,
      sym_attribute_specifier,
    ACTIONS(5919), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5921), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3042), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5925), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32349] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6882), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [32432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5382), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32497] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(2815), 1,
      sym_enumerator_list,
    STATE(3091), 1,
      sym_attribute_specifier,
    ACTIONS(5867), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5869), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32572] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(6868), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      sym_auto,
    ACTIONS(6872), 1,
      anon_sym_decltype,
    STATE(3133), 1,
      sym_decltype_auto,
    STATE(3148), 1,
      sym_new_declarator,
    STATE(3617), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [32653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32718] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [32799] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [32882] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [32967] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6884), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33050] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(6868), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      sym_auto,
    ACTIONS(6872), 1,
      anon_sym_decltype,
    STATE(3133), 1,
      sym_decltype_auto,
    STATE(3162), 1,
      sym_new_declarator,
    STATE(3641), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5712), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5714), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [33131] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6886), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4820), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3057), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3059), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5946), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3060), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5962), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33492] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3061), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5966), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6549), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6547), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [33693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33888] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6816), 1,
      anon_sym_or,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6888), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6890), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33997] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6816), 1,
      anon_sym_or,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6828), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6389), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6391), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34110] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6798), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6818), 1,
      anon_sym_and,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6309), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34215] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6800), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34316] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(6868), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      sym_auto,
    ACTIONS(6872), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_new_declarator,
    STATE(3133), 1,
      sym_decltype_auto,
    STATE(3559), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5689), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5691), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [34397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [34462] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6802), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34561] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6804), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(2970), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(2958), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5958), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34800] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6892), 1,
      anon_sym_SEMI,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34883] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6820), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6806), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34978] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6810), 1,
      anon_sym_GT_EQ,
    ACTIONS(6814), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6792), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6812), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6794), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6808), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym___attribute__,
    ACTIONS(6332), 1,
      anon_sym___attribute,
    STATE(3035), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3117), 1,
      sym_attribute_specifier,
    ACTIONS(5919), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5921), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4087), 1,
      anon_sym_SEMI,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4061), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      sym_literal_suffix,
    ACTIONS(4071), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4063), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3119), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6000), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5623), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3137), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5925), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5631), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3076), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5993), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5650), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5378), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3127), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6019), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5524), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3098), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5946), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36086] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3683), 1,
      sym_template_argument_list,
    ACTIONS(4084), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4069), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36164] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(4185), 1,
      anon_sym_STAR,
    ACTIONS(4187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4189), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5732), 1,
      anon_sym_RPAREN,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6399), 1,
      sym__declarator,
    STATE(6608), 1,
      sym__abstract_declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3099), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5962), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3128), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5958), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36482] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6907), 1,
      anon_sym___attribute__,
    ACTIONS(6910), 1,
      anon_sym___attribute,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6935), 1,
      anon_sym_requires,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4710), 1,
      sym__function_attributes_start,
    STATE(4879), 1,
      sym_ref_qualifier,
    STATE(5556), 1,
      sym_trailing_return_type,
    STATE(5678), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6928), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5270), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36600] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3100), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5966), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6940), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3072), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6011), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5378), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5376), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4929), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5794), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5011), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5014), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [36938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2679), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6782), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5372), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5680), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3089), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym___attribute__,
    ACTIONS(6413), 1,
      anon_sym___attribute,
    STATE(3085), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5942), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37210] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(4185), 1,
      anon_sym_STAR,
    ACTIONS(4187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4189), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6638), 1,
      anon_sym_RPAREN,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6455), 1,
      sym__declarator,
    STATE(6617), 1,
      sym__abstract_declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37322] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6907), 1,
      anon_sym___attribute__,
    ACTIONS(6910), 1,
      anon_sym___attribute,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4722), 1,
      sym__function_attributes_start,
    STATE(4908), 1,
      sym_ref_qualifier,
    STATE(5597), 1,
      sym_trailing_return_type,
    STATE(5651), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5277), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4061), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [37514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6944), 1,
      anon_sym_LPAREN2,
    ACTIONS(6946), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6948), 1,
      anon_sym_LBRACK,
    STATE(3170), 1,
      sym_parameter_list,
    STATE(3022), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5950), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5952), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37587] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6399), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3901), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37696] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6465), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2835), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3900), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37805] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(6093), 1,
      sym__declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2892), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3932), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37914] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6399), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2850), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38023] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2841), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3931), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38132] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3324), 1,
      sym_decltype_auto,
    STATE(3429), 1,
      sym_new_declarator,
    STATE(3772), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5701), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38211] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6656), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3897), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38320] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6998), 1,
      anon_sym___asm,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4794), 1,
      sym__function_attributes_start,
    STATE(4945), 1,
      sym_ref_qualifier,
    STATE(5422), 1,
      sym_trailing_return_type,
    STATE(5668), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6995), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5285), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    ACTIONS(5682), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4087), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [38506] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7027), 1,
      anon_sym_QMARK,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38619] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6110), 1,
      sym__declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2859), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3891), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2470), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6019), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6017), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [38858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6888), 1,
      anon_sym_EQ,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2368), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5942), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5940), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [39034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6455), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3928), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5680), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5524), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39269] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6944), 1,
      anon_sym_LPAREN2,
    ACTIONS(6946), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6948), 1,
      anon_sym_LBRACK,
    STATE(3170), 1,
      sym_parameter_list,
    STATE(3022), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39342] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7045), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7047), 1,
      anon_sym_COMMA,
    ACTIONS(7049), 1,
      anon_sym_RPAREN,
    ACTIONS(7051), 1,
      anon_sym_DASH,
    ACTIONS(7053), 1,
      anon_sym_PLUS,
    ACTIONS(7055), 1,
      anon_sym_STAR,
    ACTIONS(7057), 1,
      anon_sym_SLASH,
    ACTIONS(7059), 1,
      anon_sym_PERCENT,
    ACTIONS(7061), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7065), 1,
      anon_sym_PIPE,
    ACTIONS(7067), 1,
      anon_sym_CARET,
    ACTIONS(7069), 1,
      anon_sym_AMP,
    ACTIONS(7071), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7073), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7075), 1,
      anon_sym_GT,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7079), 1,
      anon_sym_LT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT,
    ACTIONS(7083), 1,
      anon_sym_LT_LT,
    ACTIONS(7085), 1,
      anon_sym_GT_GT,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    ACTIONS(7091), 1,
      anon_sym_QMARK,
    ACTIONS(7093), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7095), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7097), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7099), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7101), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7103), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7105), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7107), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7109), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7111), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7117), 1,
      anon_sym_or,
    ACTIONS(7119), 1,
      anon_sym_and,
    ACTIONS(7121), 1,
      anon_sym_bitor,
    ACTIONS(7123), 1,
      anon_sym_xor,
    ACTIONS(7125), 1,
      anon_sym_bitand,
    ACTIONS(7127), 1,
      anon_sym_not_eq,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7113), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2480), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6011), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6009), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [39570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    ACTIONS(4838), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4845), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [39639] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6944), 1,
      anon_sym_LPAREN2,
    ACTIONS(6946), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6948), 1,
      anon_sym_LBRACK,
    STATE(3170), 1,
      sym_parameter_list,
    STATE(3022), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5907), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5909), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39712] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6389), 1,
      anon_sym_EQ,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7027), 1,
      anon_sym_QMARK,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39825] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6092), 1,
      sym__declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3934), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5631), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(4845), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4838), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [40066] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6399), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2895), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3901), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2452), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5958), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5956), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [40242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5646), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4063), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4071), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [40309] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6110), 1,
      sym__declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3891), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40418] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6465), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2930), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3925), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40527] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(6998), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4754), 1,
      sym__function_attributes_start,
    STATE(4934), 1,
      sym_ref_qualifier,
    STATE(5597), 1,
      sym_trailing_return_type,
    STATE(5698), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6995), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5281), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40644] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6935), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4771), 1,
      sym__function_attributes_start,
    STATE(4944), 1,
      sym_ref_qualifier,
    STATE(5556), 1,
      sym_trailing_return_type,
    STATE(5916), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6928), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5290), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40761] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [40840] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40945] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41046] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6309), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [41143] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [41238] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [41329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [41418] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [41503] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [41584] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [41667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2379), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5993), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5991), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [41734] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6944), 1,
      anon_sym_LPAREN2,
    ACTIONS(6946), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6948), 1,
      anon_sym_LBRACK,
    STATE(3170), 1,
      sym_parameter_list,
    STATE(3022), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5987), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5989), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41807] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3313), 1,
      sym_new_declarator,
    STATE(3324), 1,
      sym_decltype_auto,
    STATE(3872), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5712), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41886] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6642), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2900), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3892), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [41995] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4845), 1,
      anon_sym_LBRACE,
    ACTIONS(4852), 1,
      anon_sym_LT,
    STATE(2819), 1,
      sym_template_argument_list,
    ACTIONS(4847), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42066] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(6126), 1,
      sym__declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2888), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3918), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5623), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42238] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7045), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7047), 1,
      anon_sym_COMMA,
    ACTIONS(7051), 1,
      anon_sym_DASH,
    ACTIONS(7053), 1,
      anon_sym_PLUS,
    ACTIONS(7055), 1,
      anon_sym_STAR,
    ACTIONS(7057), 1,
      anon_sym_SLASH,
    ACTIONS(7059), 1,
      anon_sym_PERCENT,
    ACTIONS(7061), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7065), 1,
      anon_sym_PIPE,
    ACTIONS(7067), 1,
      anon_sym_CARET,
    ACTIONS(7069), 1,
      anon_sym_AMP,
    ACTIONS(7071), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7073), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7075), 1,
      anon_sym_GT,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7079), 1,
      anon_sym_LT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT,
    ACTIONS(7083), 1,
      anon_sym_LT_LT,
    ACTIONS(7085), 1,
      anon_sym_GT_GT,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    ACTIONS(7091), 1,
      anon_sym_QMARK,
    ACTIONS(7093), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7095), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7097), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7099), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7101), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7103), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7105), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7107), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7109), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7111), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7117), 1,
      anon_sym_or,
    ACTIONS(7119), 1,
      anon_sym_and,
    ACTIONS(7121), 1,
      anon_sym_bitor,
    ACTIONS(7123), 1,
      anon_sym_xor,
    ACTIONS(7125), 1,
      anon_sym_bitand,
    ACTIONS(7127), 1,
      anon_sym_not_eq,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7145), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7113), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42399] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6565), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2896), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3887), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42508] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(6072), 1,
      sym__declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3923), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      sym_literal_suffix,
    ACTIONS(4071), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4063), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42747] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    STATE(3012), 1,
      sym_enumerator_list,
    STATE(3471), 1,
      sym_attribute_specifier,
    ACTIONS(5867), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5869), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42820] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(6126), 1,
      sym__declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3918), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5650), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2426), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6015), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6013), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43059] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6455), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3904), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43168] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6525), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3929), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43277] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43386] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3324), 1,
      sym_decltype_auto,
    STATE(3457), 1,
      sym_new_declarator,
    STATE(3842), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_const,
    ACTIONS(4866), 1,
      anon_sym_AMP,
    ACTIONS(4859), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4864), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4857), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4862), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [43536] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3931), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4845), 1,
      anon_sym_LBRACE,
    ACTIONS(4889), 1,
      anon_sym_LT,
    STATE(2991), 1,
      sym_template_argument_list,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43716] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6998), 1,
      anon_sym___asm,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7153), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4796), 1,
      sym__function_attributes_start,
    STATE(4941), 1,
      sym_ref_qualifier,
    STATE(5412), 1,
      sym_trailing_return_type,
    STATE(5683), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6928), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6995), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5283), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43833] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6239), 1,
      sym__declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3898), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43942] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6295), 1,
      sym__declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3903), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44051] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3324), 1,
      sym_decltype_auto,
    STATE(3348), 1,
      sym_new_declarator,
    STATE(3774), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5689), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5691), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44130] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6295), 1,
      sym__declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2908), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3903), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5390), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44302] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6300), 1,
      sym__declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3909), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44411] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6788), 1,
      anon_sym_EQ,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      sym_auto,
    ACTIONS(6762), 1,
      anon_sym_decltype,
    STATE(2983), 1,
      sym_decltype_auto,
    ACTIONS(5323), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5325), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44589] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    STATE(2946), 1,
      sym_enumerator_list,
    STATE(3351), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5877), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6940), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2405), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6000), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5998), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [44792] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6850), 1,
      anon_sym_EQ,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44901] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6935), 1,
      anon_sym_requires,
    ACTIONS(6998), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4755), 1,
      sym__function_attributes_start,
    STATE(4946), 1,
      sym_ref_qualifier,
    STATE(5556), 1,
      sym_trailing_return_type,
    STATE(5705), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6928), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6995), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5287), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2390), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5962), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5960), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2393), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5966), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5964), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2398), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5921), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5919), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45219] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6822), 1,
      anon_sym_EQ,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7027), 1,
      anon_sym_QMARK,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6826), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2370), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5925), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5923), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2371), 1,
      sym_attribute_specifier,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5946), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5944), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45466] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6830), 1,
      anon_sym_EQ,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45575] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4784), 1,
      sym__function_attributes_start,
    STATE(4957), 1,
      sym_ref_qualifier,
    STATE(5597), 1,
      sym_trailing_return_type,
    STATE(5914), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5297), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45692] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6525), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3929), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(4087), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5682), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [45870] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6944), 1,
      anon_sym_LPAREN2,
    ACTIONS(6946), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6948), 1,
      anon_sym_LBRACK,
    STATE(3170), 1,
      sym_parameter_list,
    STATE(3022), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5927), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5929), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45943] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6568), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3905), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46052] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7045), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7047), 1,
      anon_sym_COMMA,
    ACTIONS(7051), 1,
      anon_sym_DASH,
    ACTIONS(7053), 1,
      anon_sym_PLUS,
    ACTIONS(7055), 1,
      anon_sym_STAR,
    ACTIONS(7057), 1,
      anon_sym_SLASH,
    ACTIONS(7059), 1,
      anon_sym_PERCENT,
    ACTIONS(7061), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7065), 1,
      anon_sym_PIPE,
    ACTIONS(7067), 1,
      anon_sym_CARET,
    ACTIONS(7069), 1,
      anon_sym_AMP,
    ACTIONS(7071), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7073), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7075), 1,
      anon_sym_GT,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7079), 1,
      anon_sym_LT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT,
    ACTIONS(7083), 1,
      anon_sym_LT_LT,
    ACTIONS(7085), 1,
      anon_sym_GT_GT,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_EQ,
    ACTIONS(7091), 1,
      anon_sym_QMARK,
    ACTIONS(7093), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7095), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7097), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7099), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7101), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7103), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7105), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7107), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7109), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7111), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7117), 1,
      anon_sym_or,
    ACTIONS(7119), 1,
      anon_sym_and,
    ACTIONS(7121), 1,
      anon_sym_bitor,
    ACTIONS(7123), 1,
      anon_sym_xor,
    ACTIONS(7125), 1,
      anon_sym_bitand,
    ACTIONS(7127), 1,
      anon_sym_not_eq,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7162), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7113), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46213] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6127), 1,
      sym__declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2865), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3894), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46322] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6399), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5390), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46493] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [46573] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [46655] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    STATE(3455), 1,
      sym_parameter_list,
    STATE(3088), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5987), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5989), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [46727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6307), 3,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46831] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 4,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6309), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46931] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [47027] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [47121] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [47211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [47299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7198), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5801), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47365] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [47449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3051), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5770), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    STATE(3375), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6156), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6158), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7206), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7204), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7202), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [47649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3386), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3387), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5958), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3053), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7210), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5776), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3792), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7212), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3788), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3786), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [47917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3479), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5993), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3311), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6000), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48053] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4856), 1,
      sym__function_attributes_start,
    STATE(5014), 1,
      sym_ref_qualifier,
    STATE(5852), 1,
      sym_trailing_return_type,
    STATE(6064), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5313), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2956), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7220), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5629), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5631), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [48235] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6990), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7222), 1,
      anon_sym___attribute__,
    ACTIONS(7225), 1,
      anon_sym___attribute,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4808), 1,
      sym__function_attributes_start,
    STATE(4975), 1,
      sym_ref_qualifier,
    STATE(5422), 1,
      sym_trailing_return_type,
    STATE(5847), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5306), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7198), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5782), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [48417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7198), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5799), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5797), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [48483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3458), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5573), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7230), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3762), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3760), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [48679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2532), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [48741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5586), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7232), 1,
      anon_sym_COLON,
    STATE(2490), 1,
      sym_attribute_specifier,
    STATE(2737), 1,
      sym__enum_base_clause,
    STATE(2849), 1,
      sym_enumerator_list,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6223), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6221), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [48877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3470), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_const,
    ACTIONS(4866), 1,
      anon_sym_AMP,
    ACTIONS(4859), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4864), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4862), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4857), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2956), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7220), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5372), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5374), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [49207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7234), 1,
      anon_sym_typedef,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [49333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5547), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7236), 1,
      anon_sym_friend,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [49459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7244), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7242), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7240), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7238), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [49525] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    STATE(3455), 1,
      sym_parameter_list,
    STATE(3088), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5927), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5929), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5582), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5676), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49721] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(3599), 1,
      sym_field_declaration_list,
    STATE(7039), 1,
      sym_virtual_specifier,
    STATE(7773), 1,
      sym_base_class_clause,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5338), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5340), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [49801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5514), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5518), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7248), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7246), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [49987] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7252), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4807), 1,
      sym__function_attributes_start,
    STATE(4971), 1,
      sym_ref_qualifier,
    STATE(5959), 1,
      sym__function_attributes_end,
    STATE(6143), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6928), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5301), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50103] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    ACTIONS(7255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7257), 1,
      anon_sym_or,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6888), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50211] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4817), 1,
      sym__function_attributes_start,
    STATE(5015), 1,
      sym_ref_qualifier,
    STATE(6027), 1,
      sym_trailing_return_type,
    STATE(6124), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5329), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5532), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7269), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7267), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7265), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7263), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    ACTIONS(7255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7257), 1,
      anon_sym_or,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6788), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50563] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4823), 1,
      sym__function_attributes_start,
    STATE(5031), 1,
      sym_ref_qualifier,
    STATE(6025), 1,
      sym__function_attributes_end,
    STATE(6185), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5330), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50679] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7232), 1,
      anon_sym_COLON,
    STATE(2397), 1,
      sym_attribute_specifier,
    STATE(2745), 1,
      sym__enum_base_clause,
    STATE(2894), 1,
      sym_enumerator_list,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6217), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6215), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [50753] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    STATE(3455), 1,
      sym_parameter_list,
    STATE(3088), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6021), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6023), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50825] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7276), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4810), 1,
      sym__function_attributes_start,
    STATE(4976), 1,
      sym_ref_qualifier,
    STATE(5968), 1,
      sym_trailing_return_type,
    STATE(6114), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7273), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5307), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3473), 1,
      sym_attribute_specifier,
    ACTIONS(5919), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5921), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2992), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6117), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6119), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51139] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    ACTIONS(7255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7257), 1,
      anon_sym_or,
    ACTIONS(7282), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6822), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6826), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3475), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5925), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    ACTIONS(7255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7257), 1,
      anon_sym_or,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6830), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3034), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5752), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [51493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4845), 1,
      anon_sym_LBRACE,
    ACTIONS(5335), 1,
      anon_sym_LT,
    STATE(3153), 1,
      sym_template_argument_list,
    ACTIONS(4847), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51563] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7286), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4814), 1,
      sym__function_attributes_start,
    STATE(4978), 1,
      sym_ref_qualifier,
    STATE(5853), 1,
      sym_trailing_return_type,
    STATE(6060), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7273), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5323), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5498), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5611), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7289), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5758), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [51931] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5555), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5559), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5551), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5551), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3350), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5374), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5372), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [52391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_namespace,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [52455] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6990), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7153), 1,
      anon_sym_requires,
    ACTIONS(7222), 1,
      anon_sym___attribute__,
    ACTIONS(7225), 1,
      anon_sym___attribute,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4839), 1,
      sym__function_attributes_start,
    STATE(4993), 1,
      sym_ref_qualifier,
    STATE(5412), 1,
      sym_trailing_return_type,
    STATE(5861), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6928), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5319), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [52571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3353), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5946), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    STATE(3319), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6124), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6126), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52707] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(7293), 1,
      anon_sym_LPAREN2,
    STATE(2600), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3484), 1,
      sym_argument_list,
    STATE(3849), 1,
      sym_initializer_list,
    ACTIONS(6629), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5372), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [52781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3355), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5962), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    STATE(3455), 1,
      sym_parameter_list,
    STATE(3088), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5907), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5909), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7296), 1,
      anon_sym_friend,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [52985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7304), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7302), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7300), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7298), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [53051] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7222), 1,
      anon_sym___attribute__,
    ACTIONS(7225), 1,
      anon_sym___attribute,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4820), 1,
      sym__function_attributes_start,
    STATE(5016), 1,
      sym_ref_qualifier,
    STATE(5852), 1,
      sym_trailing_return_type,
    STATE(5924), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5302), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [53167] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7222), 1,
      anon_sym___attribute__,
    ACTIONS(7225), 1,
      anon_sym___attribute,
    ACTIONS(7286), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4821), 1,
      sym__function_attributes_start,
    STATE(5019), 1,
      sym_ref_qualifier,
    STATE(5853), 1,
      sym_trailing_return_type,
    STATE(5930), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7273), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5309), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [53283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5374), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5372), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [53347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6946), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2992), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6056), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6058), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53413] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    ACTIONS(7255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7257), 1,
      anon_sym_or,
    ACTIONS(7282), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6834), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    STATE(3344), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6128), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6130), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_namespace,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym___attribute__,
    ACTIONS(6697), 1,
      anon_sym___attribute,
    STATE(3356), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5966), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7310), 1,
      anon_sym_friend,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5372), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [53851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_namespace,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_namespace,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7316), 1,
      anon_sym_friend,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [54043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5619), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5627), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7198), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5766), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [54233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5635), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7318), 1,
      anon_sym_friend,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [54359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5637), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5639), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2588), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3476), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3480), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5748), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5750), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_friend,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [54553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5654), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5658), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5662), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54739] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    ACTIONS(7255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7257), 1,
      anon_sym_or,
    ACTIONS(7282), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6389), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5654), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7322), 1,
      anon_sym_friend,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [54977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5666), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7198), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5736), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [55105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    STATE(3369), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6142), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6707), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [55235] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LPAREN2,
    ACTIONS(7172), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    STATE(3455), 1,
      sym_parameter_list,
    STATE(3088), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5950), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5952), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7198), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5786), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [55373] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6870), 1,
      sym_auto,
    ACTIONS(6872), 1,
      anon_sym_decltype,
    STATE(3133), 1,
      sym_decltype_auto,
    ACTIONS(5323), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5325), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7198), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5790), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [55507] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    ACTIONS(7255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7257), 1,
      anon_sym_or,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6850), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7324), 1,
      anon_sym_typedef,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [55679] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4061), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [55751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5502), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5510), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5597), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5528), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5536), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5540), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7328), 1,
      anon_sym_typedef,
    ACTIONS(2522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [56187] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7178), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_AMP,
    ACTIONS(7188), 1,
      anon_sym_GT_EQ,
    ACTIONS(7190), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_and,
    ACTIONS(7194), 1,
      anon_sym_bitor,
    ACTIONS(7196), 1,
      anon_sym_bitand,
    ACTIONS(7255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7257), 1,
      anon_sym_or,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6846), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7168), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7180), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7184), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7186), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5551), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7330), 1,
      anon_sym_LT,
    STATE(3292), 1,
      sym_template_argument_list,
    ACTIONS(6246), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6248), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56424] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6830), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_or,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5666), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56592] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(7045), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_QMARK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_or,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6318), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6320), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7367), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6318), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5619), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56890] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6269), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6271), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [56963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5627), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57024] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7369), 1,
      sym_identifier,
    STATE(3075), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7372), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7375), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5268), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5266), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5506), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7378), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3077), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6117), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6119), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57219] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6285), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6287), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [57294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5498), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    STATE(3564), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6156), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6158), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57422] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [57499] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [57580] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4845), 1,
      anon_sym_LBRACE,
    ACTIONS(5575), 1,
      anon_sym_LT,
    STATE(3239), 1,
      sym_template_argument_list,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7381), 1,
      anon_sym_LT,
    STATE(1668), 1,
      sym_template_argument_list,
    ACTIONS(6311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [57714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5502), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6707), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [57836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2588), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3476), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3480), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5748), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5750), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3077), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6056), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6058), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5635), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5510), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5637), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5639), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5623), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7384), 1,
      anon_sym_LT,
    STATE(1527), 1,
      sym_template_argument_list,
    ACTIONS(6311), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3818), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [58399] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6348), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6350), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [58474] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_EQ,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7045), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_QMARK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_or,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5597), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5528), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5536), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(4087), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5682), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [58835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5631), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5540), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3822), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [59018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5654), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5650), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59140] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6377), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6379), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      sym_identifier,
    STATE(3075), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5838), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5840), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5255), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59284] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7389), 1,
      anon_sym_LT,
    STATE(3292), 1,
      sym_template_argument_list,
    ACTIONS(6208), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59430] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_or,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [59537] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6888), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_or,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [59644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5551), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59705] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4886), 1,
      sym__function_attributes_start,
    STATE(5096), 1,
      sym_ref_qualifier,
    STATE(6174), 1,
      sym__function_attributes_end,
    STATE(6230), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5331), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [59820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    STATE(3640), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6124), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6126), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59887] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7396), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4894), 1,
      sym__function_attributes_start,
    STATE(5100), 1,
      sym_ref_qualifier,
    STATE(6180), 1,
      sym_trailing_return_type,
    STATE(6228), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7273), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5335), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6899), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [60002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5658), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5680), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5555), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6938), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [60246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5559), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60307] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6850), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_or,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [60414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5582), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7384), 1,
      anon_sym_LT,
    STATE(1508), 1,
      sym_template_argument_list,
    ACTIONS(6311), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6770), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60601] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3919), 1,
      sym_template_argument_list,
    ACTIONS(4084), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4061), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [60676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5547), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5573), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5676), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5551), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60920] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [61013] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [61102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5532), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61250] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5551), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5662), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5586), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7384), 1,
      anon_sym_LT,
    STATE(2819), 1,
      sym_template_argument_list,
    ACTIONS(6311), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61581] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    ACTIONS(7401), 1,
      anon_sym_EQ,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(7399), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4061), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [61656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5514), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5518), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61778] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6788), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_or,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [61885] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(3414), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7403), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5824), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6289), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6291), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [62027] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6279), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6281), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [62102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_LBRACK,
    STATE(3177), 1,
      sym_new_declarator,
    ACTIONS(6183), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6185), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    STATE(3549), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6128), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6130), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62234] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    STATE(3888), 1,
      sym_field_declaration_list,
    STATE(4055), 1,
      sym_attribute_specifier,
    STATE(6955), 1,
      sym_virtual_specifier,
    STATE(7548), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5340), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62311] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7407), 1,
      sym_identifier,
    STATE(3108), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5838), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5840), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5251), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5249), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5524), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62565] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(6307), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7412), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7414), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7419), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7409), 31,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [62735] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5654), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(4845), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4838), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [62962] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6822), 1,
      anon_sym_EQ,
    ACTIONS(7045), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_QMARK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_or,
    ACTIONS(7357), 1,
      anon_sym_and,
    ACTIONS(7359), 1,
      anon_sym_bitor,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6826), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [63073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5611), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    STATE(3569), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6142), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7381), 1,
      anon_sym_LT,
    STATE(2991), 1,
      sym_template_argument_list,
    ACTIONS(6311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      sym_literal_suffix,
    ACTIONS(4063), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4071), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [63390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7351), 1,
      anon_sym_GT_EQ,
    ACTIONS(7361), 1,
      anon_sym_bitand,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7333), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7353), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7335), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7347), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7349), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [63485] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7129), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6307), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63560] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7445), 1,
      anon_sym_or,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6888), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [63664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5033), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6152), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6154), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63844] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4931), 1,
      sym__function_attributes_start,
    STATE(5217), 1,
      sym_ref_qualifier,
    STATE(5422), 1,
      sym_trailing_return_type,
    STATE(6153), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6899), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5345), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [63958] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7465), 1,
      anon_sym_RPAREN,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [64114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5848), 1,
      anon_sym_LBRACK,
    ACTIONS(5842), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4071), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4063), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64180] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7222), 1,
      anon_sym___attribute__,
    ACTIONS(7225), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4951), 1,
      sym__function_attributes_start,
    STATE(5160), 1,
      sym_ref_qualifier,
    STATE(6027), 1,
      sym_trailing_return_type,
    STATE(6130), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6899), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5355), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [64294] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7153), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4939), 1,
      sym__function_attributes_start,
    STATE(5194), 1,
      sym_ref_qualifier,
    STATE(5412), 1,
      sym_trailing_return_type,
    STATE(6157), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6928), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6899), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5349), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [64408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5019), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6301), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64528] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7445), 1,
      anon_sym_or,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(7545), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7547), 1,
      anon_sym_QMARK,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6822), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6826), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [64636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64696] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6279), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6281), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [64770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6346), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5848), 1,
      anon_sym_LBRACK,
    ACTIONS(5842), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4071), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4063), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64896] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6285), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6287), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [64970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6982), 1,
      sym_auto,
    ACTIONS(6984), 1,
      anon_sym_decltype,
    STATE(3324), 1,
      sym_decltype_auto,
    ACTIONS(5323), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5325), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7381), 1,
      anon_sym_LT,
    STATE(1528), 1,
      sym_template_argument_list,
    ACTIONS(6311), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65220] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7445), 1,
      anon_sym_or,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6830), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [65324] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 1,
      anon_sym_EQ,
    ACTIONS(4895), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5842), 1,
      anon_sym_LPAREN2,
    ACTIONS(5848), 1,
      anon_sym_LBRACK,
    ACTIONS(4099), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65454] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7445), 1,
      anon_sym_or,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(7545), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7547), 1,
      anon_sym_QMARK,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6834), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [65562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65682] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5828), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65818] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65892] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [65992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6307), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [66088] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6269), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6271), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [66160] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [66252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6132), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6134), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66312] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [66402] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7222), 1,
      anon_sym___attribute__,
    ACTIONS(7225), 1,
      anon_sym___attribute,
    ACTIONS(7396), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4932), 1,
      sym__function_attributes_start,
    STATE(5159), 1,
      sym_ref_qualifier,
    STATE(6122), 1,
      sym__function_attributes_end,
    STATE(6180), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7273), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6899), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5348), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [66516] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6350), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [66590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6064), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6940), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6068), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3824), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66890] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7551), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    STATE(1874), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4897), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4069), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [66960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5053), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67020] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [67106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5390), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67226] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [67310] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [67392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6447), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67452] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [67530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5041), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4991), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1907), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_LT,
    STATE(1818), 1,
      sym_template_argument_list,
    ACTIONS(6311), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67774] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    ACTIONS(7556), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [67930] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    ACTIONS(7558), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [68086] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7445), 1,
      anon_sym_or,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6846), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [68190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6072), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68250] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7222), 1,
      anon_sym___attribute__,
    ACTIONS(7225), 1,
      anon_sym___attribute,
    ACTIONS(7276), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4940), 1,
      sym__function_attributes_start,
    STATE(5176), 1,
      sym_ref_qualifier,
    STATE(5968), 1,
      sym_trailing_return_type,
    STATE(6118), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7273), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6899), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5370), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [68364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5842), 1,
      anon_sym_LPAREN2,
    ACTIONS(5848), 1,
      anon_sym_LBRACK,
    ACTIONS(4071), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5049), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6076), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68550] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [68630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7560), 1,
      sym_literal_suffix,
    ACTIONS(4071), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4063), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5009), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    ACTIONS(7401), 1,
      anon_sym_EQ,
    STATE(2695), 1,
      sym_template_argument_list,
    ACTIONS(7399), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4087), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5682), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [68822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6320), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 1,
      anon_sym_EQ,
    ACTIONS(4099), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5828), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LT,
    STATE(3478), 1,
      sym_template_argument_list,
    ACTIONS(6246), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6248), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7565), 1,
      anon_sym_COLON,
    STATE(2397), 1,
      sym_attribute_specifier,
    STATE(2745), 1,
      sym__enum_base_clause,
    STATE(2894), 1,
      sym_enumerator_list,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6217), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6215), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [69266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7567), 1,
      anon_sym_LT,
    STATE(3478), 1,
      sym_template_argument_list,
    ACTIONS(6208), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6447), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69392] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7565), 1,
      anon_sym_COLON,
    STATE(2490), 1,
      sym_attribute_specifier,
    STATE(2737), 1,
      sym__enum_base_clause,
    STATE(2849), 1,
      sym_enumerator_list,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6223), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6221), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [69464] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(1874), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4897), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5824), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [69532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6167), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69652] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6377), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6379), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [69726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6269), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6271), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [69798] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7598), 1,
      anon_sym_or,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69904] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6279), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6281), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [69978] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6285), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6287), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [70052] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_EQ,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7598), 1,
      anon_sym_or,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6289), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6291), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70230] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6888), 1,
      anon_sym_EQ,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7598), 1,
      anon_sym_or,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70336] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_EQ,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7598), 1,
      anon_sym_or,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    ACTIONS(7606), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70446] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [70522] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [70596] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70698] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70796] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6309), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [70890] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [70982] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [71070] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71156] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71238] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71316] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71396] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6377), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6379), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71470] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_EQ,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7598), 1,
      anon_sym_or,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71576] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6822), 1,
      anon_sym_EQ,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7598), 1,
      anon_sym_or,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    ACTIONS(7606), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6826), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71686] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_EQ,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7598), 1,
      anon_sym_or,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71792] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(7578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      anon_sym_AMP,
    ACTIONS(7592), 1,
      anon_sym_GT_EQ,
    ACTIONS(7596), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7598), 1,
      anon_sym_or,
    ACTIONS(7600), 1,
      anon_sym_and,
    ACTIONS(7602), 1,
      anon_sym_bitor,
    ACTIONS(7604), 1,
      anon_sym_bitand,
    ACTIONS(7606), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7574), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7584), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7576), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7588), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7590), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5037), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6108), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6354), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5372), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3820), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72324] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    ACTIONS(7608), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [72480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72540] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6348), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6350), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [72614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6338), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 1,
      anon_sym_EQ,
    ACTIONS(5836), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4071), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72738] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7027), 1,
      anon_sym_QMARK,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    ACTIONS(7049), 1,
      anon_sym_RPAREN,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(7612), 1,
      anon_sym_EQ,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7113), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72852] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6389), 1,
      anon_sym_EQ,
    ACTIONS(6824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7013), 1,
      anon_sym_PIPE,
    ACTIONS(7017), 1,
      anon_sym_AMP,
    ACTIONS(7023), 1,
      anon_sym_GT_EQ,
    ACTIONS(7027), 1,
      anon_sym_QMARK,
    ACTIONS(7029), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7031), 1,
      anon_sym_or,
    ACTIONS(7033), 1,
      anon_sym_and,
    ACTIONS(7035), 1,
      anon_sym_bitor,
    ACTIONS(7037), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6283), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7005), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7015), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7025), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7614), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7007), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7019), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7021), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72964] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7445), 1,
      anon_sym_or,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(7545), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7547), 1,
      anon_sym_QMARK,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6389), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [73072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5842), 1,
      anon_sym_LPAREN2,
    ACTIONS(5848), 1,
      anon_sym_LBRACK,
    ACTIONS(4071), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73138] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6289), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6291), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [73210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7623), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7620), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7616), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [73278] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    ACTIONS(7626), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [73434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6177), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6179), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6146), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73556] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7635), 1,
      anon_sym_virtual,
    ACTIONS(7644), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7647), 1,
      anon_sym___declspec,
    ACTIONS(7653), 1,
      anon_sym_explicit,
    STATE(2960), 1,
      sym_alignas_qualifier,
    ACTIONS(7641), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7650), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7630), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7628), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7638), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3294), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7632), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [73636] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    ACTIONS(7656), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [73792] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7445), 1,
      anon_sym_or,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6788), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [73896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_LT,
    STATE(3153), 1,
      sym_template_argument_list,
    ACTIONS(6311), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6150), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 1,
      anon_sym_LBRACK,
    STATE(3486), 1,
      sym_new_declarator,
    ACTIONS(6183), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6185), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74084] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    ACTIONS(7658), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [74240] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    ACTIONS(7660), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [74396] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7665), 1,
      anon_sym_virtual,
    ACTIONS(7674), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7677), 1,
      anon_sym___declspec,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(7671), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7680), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3302), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7668), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7662), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6599), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [74474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1911), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74534] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7222), 1,
      anon_sym___attribute__,
    ACTIONS(7225), 1,
      anon_sym___attribute,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4937), 1,
      sym__function_attributes_start,
    STATE(5175), 1,
      sym_ref_qualifier,
    STATE(6094), 1,
      sym__function_attributes_end,
    STATE(6230), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6899), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5356), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [74648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6435), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74708] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7135), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_COMMA,
    ACTIONS(7467), 1,
      anon_sym_DASH,
    ACTIONS(7469), 1,
      anon_sym_PLUS,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_SLASH,
    ACTIONS(7475), 1,
      anon_sym_PERCENT,
    ACTIONS(7477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_PIPE,
    ACTIONS(7483), 1,
      anon_sym_CARET,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7489), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_GT,
    ACTIONS(7493), 1,
      anon_sym_GT_EQ,
    ACTIONS(7495), 1,
      anon_sym_LT_EQ,
    ACTIONS(7497), 1,
      anon_sym_LT,
    ACTIONS(7499), 1,
      anon_sym_LT_LT,
    ACTIONS(7501), 1,
      anon_sym_GT_GT,
    ACTIONS(7503), 1,
      anon_sym_EQ,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7507), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7509), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7511), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7513), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7515), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7517), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7519), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7521), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7523), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7525), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7529), 1,
      anon_sym_or,
    ACTIONS(7531), 1,
      anon_sym_and,
    ACTIONS(7533), 1,
      anon_sym_bitor,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_not_eq,
    ACTIONS(7683), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym__binary_fold_operator,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    STATE(8084), 1,
      sym__fold_operator,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [74864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6318), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6320), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74986] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7445), 1,
      anon_sym_or,
    ACTIONS(7447), 1,
      anon_sym_and,
    ACTIONS(7449), 1,
      anon_sym_bitor,
    ACTIONS(7451), 1,
      anon_sym_bitand,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6850), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7421), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7439), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7453), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7423), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7437), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [75090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6557), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5555), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6328), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3824), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6142), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5971), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4071), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4063), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6477), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6481), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6346), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5559), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6493), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5053), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5049), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5532), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3150), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5838), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5840), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5748), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5750), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6295), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6295), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6295), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6305), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6485), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76343] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 1,
      anon_sym___attribute,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6012), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3332), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4119), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [76440] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6030), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4124), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [76537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6364), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5019), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5033), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5551), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76773] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5726), 1,
      anon_sym___asm,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5995), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3340), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4104), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [76870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5551), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3750), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76988] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5734), 1,
      anon_sym___asm,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6004), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4108), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [77085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_LT,
    STATE(3239), 1,
      sym_template_argument_list,
    ACTIONS(6311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6529), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6533), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6541), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6489), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3843), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6156), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6158), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6423), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5502), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5510), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6419), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5597), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5321), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [77921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5528), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5536), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5540), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6146), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6150), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6561), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6565), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5333), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [78688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6152), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6154), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6521), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6509), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5037), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6425), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6427), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6401), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5350), 48,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [79219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1907), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4063), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6577), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6383), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6397), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79632] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 1,
      anon_sym___asm,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5973), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3385), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [79729] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym___asm,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5978), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4085), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [79826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5547), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5573), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6403), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6405), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6513), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6573), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6545), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6342), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6409), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6497), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6537), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6569), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6553), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80652] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7718), 1,
      sym_identifier,
    STATE(3492), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4925), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4927), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5255), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7720), 1,
      sym_literal_suffix,
    ACTIONS(4063), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4071), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [80780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7722), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4929), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4931), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7384), 1,
      anon_sym_LT,
    STATE(1538), 1,
      sym_template_argument_list,
    ACTIONS(6311), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6391), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2681), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6132), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6134), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5582), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4063), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7725), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    STATE(3414), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7403), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4069), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6064), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5799), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5797), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5676), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5736), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6338), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3422), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7729), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5752), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3423), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5758), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6068), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5514), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5518), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5766), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5801), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3430), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7733), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7735), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5776), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5782), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3820), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3412), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7737), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5629), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5631), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3792), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6124), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6126), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5786), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5790), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6072), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6076), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6473), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5828), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82858] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7276), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4966), 1,
      sym__function_attributes_start,
    STATE(5243), 1,
      sym_ref_qualifier,
    STATE(6328), 1,
      sym__function_attributes_end,
    STATE(6500), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6899), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3954), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5383), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6549), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5009), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6447), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83207] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4849), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(3683), 1,
      sym_template_argument_list,
    ACTIONS(4842), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4845), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4838), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [83276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6435), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6938), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [83394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5611), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5041), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5586), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7725), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    ACTIONS(5682), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4087), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7739), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    ACTIONS(4838), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4845), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3824), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83760] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7744), 1,
      anon_sym_requires,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5018), 1,
      sym__function_attributes_start,
    STATE(5244), 1,
      sym_ref_qualifier,
    STATE(6285), 1,
      sym__function_attributes_end,
    STATE(6474), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6899), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6928), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5375), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5333), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5331), 48,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [83932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [83991] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4960), 1,
      sym__function_attributes_start,
    STATE(5237), 1,
      sym_ref_qualifier,
    STATE(6027), 1,
      sym_trailing_return_type,
    STATE(6325), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6899), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5380), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6439), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6101), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6354), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    STATE(3773), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6128), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6130), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5619), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5317), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [84464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_LT,
    STATE(1860), 1,
      sym_template_argument_list,
    ACTIONS(6311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5627), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7751), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_or,
    ACTIONS(7757), 1,
      anon_sym_and,
    ACTIONS(6040), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6042), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84712] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7759), 1,
      sym_identifier,
    STATE(3400), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4925), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4927), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5251), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5249), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84779] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5034), 1,
      sym__function_attributes_start,
    STATE(5273), 1,
      sym_ref_qualifier,
    STATE(6257), 1,
      sym__function_attributes_end,
    STATE(6385), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6899), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5829), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5385), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84892] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2492), 1,
      sym_attribute_specifier,
    STATE(3602), 1,
      sym_enumerator_list,
    ACTIONS(5867), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5869), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [84961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2369), 1,
      sym_attribute_specifier,
    STATE(3605), 1,
      sym_enumerator_list,
    ACTIONS(5875), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5877), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [85030] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7276), 1,
      anon_sym_requires,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4961), 1,
      sym__function_attributes_start,
    STATE(5280), 1,
      sym_ref_qualifier,
    STATE(5968), 1,
      sym_trailing_return_type,
    STATE(6326), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6899), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7273), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4035), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6026), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5371), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1911), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5635), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5637), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5639), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5654), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5658), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6443), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5662), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85556] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(3047), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(4069), 38,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [85625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6451), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6177), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6179), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5654), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7763), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6318), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6320), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5498), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6525), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6423), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6431), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6301), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6517), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6465), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6467), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6167), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6108), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5551), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7765), 1,
      sym_identifier,
    STATE(3492), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7768), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7771), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5268), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5266), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5666), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7757), 1,
      anon_sym_and,
    ACTIONS(6082), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6084), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4824), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6569), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6545), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6439), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6537), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6423), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6425), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6427), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(7776), 1,
      anon_sym_RBRACK,
    ACTIONS(4071), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6269), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6271), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [87241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5382), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5041), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4812), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4828), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4832), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4816), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4824), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4836), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3750), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_COMMA,
    ACTIONS(6114), 1,
      anon_sym_RBRACK,
    ACTIONS(4071), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6489), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87883] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_EQ,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [87989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6328), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1907), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4991), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6342), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(7809), 1,
      anon_sym_COLON,
    STATE(3799), 1,
      sym__enum_base_clause,
    STATE(3910), 1,
      sym_enumerator_list,
    STATE(4063), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6215), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6217), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88465] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7813), 1,
      anon_sym_RPAREN,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7141), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1911), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [88819] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [88891] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym_EQ,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [88991] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym_EQ,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [89089] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [89183] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [89273] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6309), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [89359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6309), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89443] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4840), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89581] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89657] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6309), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 1,
      anon_sym_EQ,
    ACTIONS(4175), 1,
      anon_sym_SEMI,
    ACTIONS(4895), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5842), 1,
      anon_sym_LPAREN2,
    ACTIONS(5848), 1,
      anon_sym_LBRACK,
    ACTIONS(4099), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4063), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [89805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 1,
      anon_sym_LT,
    STATE(1888), 1,
      sym_template_argument_list,
    ACTIONS(6311), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5378), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6549), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2681), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5309), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6529), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6391), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6553), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90451] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6888), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [90553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6403), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6405), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90611] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6279), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6281), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [90683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6473), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90741] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6830), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [90843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5037), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6136), 1,
      anon_sym_EQ,
    ACTIONS(6138), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6533), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5378), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6419), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91139] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6285), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6287), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [91211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6401), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6557), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91501] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [91603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6521), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91661] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6377), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6379), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [91733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4820), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4812), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4828), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4832), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4816), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92023] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6788), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4836), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5317), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [92241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5321), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [92299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5333), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [92357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5009), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6435), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4923), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4063), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4071), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [92593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6561), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [92709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_new_declarator,
    ACTIONS(6183), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6185), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6305), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2379), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5993), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [92951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2405), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6000), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5053), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5049), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6320), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5019), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2480), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6011), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4864), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2426), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6015), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2398), 1,
      sym_attribute_specifier,
    ACTIONS(5919), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5921), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2370), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5925), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2368), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5942), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2371), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5946), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2390), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5962), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93755] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2393), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5966), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2470), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6019), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(2452), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5958), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6423), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94005] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_or,
    ACTIONS(7827), 1,
      anon_sym_and,
    ACTIONS(6040), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6042), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5033), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6577), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7827), 1,
      anon_sym_and,
    ACTIONS(6082), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6084), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6565), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5828), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6443), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94481] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6822), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6826), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [94587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6451), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6383), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94703] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym_SEMI,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3919), 1,
      sym_template_argument_list,
    ACTIONS(4084), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4069), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [94777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6295), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6295), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6295), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6481), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6485), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    STATE(3732), 1,
      sym_new_declarator,
    ACTIONS(6183), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6185), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6364), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6465), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6467), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6517), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4864), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6477), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6397), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6289), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6291), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [95549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6513), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6541), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6431), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6573), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6509), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6007), 1,
      anon_sym_EQ,
    ACTIONS(6160), 1,
      anon_sym_COMMA,
    ACTIONS(6162), 1,
      anon_sym_RBRACK,
    ACTIONS(5985), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4063), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [95905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(7809), 1,
      anon_sym_COLON,
    STATE(3825), 1,
      sym__enum_base_clause,
    STATE(3911), 1,
      sym_enumerator_list,
    STATE(4034), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6221), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6223), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6493), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6501), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6007), 1,
      anon_sym_EQ,
    ACTIONS(5985), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4063), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6447), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96211] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6850), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [96313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6525), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6409), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96487] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(7087), 1,
      anon_sym_LBRACK,
    ACTIONS(7363), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    ACTIONS(7527), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7787), 1,
      anon_sym_PIPE,
    ACTIONS(7789), 1,
      anon_sym_CARET,
    ACTIONS(7791), 1,
      anon_sym_AMP,
    ACTIONS(7797), 1,
      anon_sym_GT_EQ,
    ACTIONS(7801), 1,
      anon_sym_bitor,
    ACTIONS(7803), 1,
      anon_sym_xor,
    ACTIONS(7805), 1,
      anon_sym_bitand,
    STATE(3349), 1,
      sym_argument_list,
    STATE(3374), 1,
      sym_subscript_argument_list,
    ACTIONS(7131), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7541), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7783), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7785), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7799), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7781), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7793), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7795), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [96593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4820), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6497), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5728), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5378), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96869] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4747), 1,
      sym_type_specifier,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3805), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96972] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3962), 1,
      sym_alignas_qualifier,
    ACTIONS(7850), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4905), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(7847), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4903), 21,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [97037] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4183), 1,
      sym_type_specifier,
    STATE(6043), 1,
      sym_type_descriptor,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3827), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97140] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5647), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2681), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97300] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7853), 1,
      sym_identifier,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7873), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4333), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    STATE(3820), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5317), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [97460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5321), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [97517] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [97588] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7877), 1,
      sym_identifier,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7883), 1,
      sym_primitive_type,
    ACTIONS(7885), 1,
      anon_sym_enum,
    ACTIONS(7887), 1,
      anon_sym_class,
    ACTIONS(7889), 1,
      anon_sym_struct,
    ACTIONS(7891), 1,
      anon_sym_union,
    ACTIONS(7893), 1,
      sym_auto,
    ACTIONS(7895), 1,
      anon_sym_decltype,
    ACTIONS(7897), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4073), 1,
      sym_type_specifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(4915), 1,
      sym_qualified_type_identifier,
    STATE(6043), 1,
      sym_type_descriptor,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3883), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4828), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7881), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4905), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97691] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2745), 1,
      anon_sym_enum,
    ACTIONS(2747), 1,
      anon_sym_class,
    ACTIONS(2749), 1,
      anon_sym_struct,
    ACTIONS(2751), 1,
      anon_sym_union,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(2779), 1,
      anon_sym_typename,
    ACTIONS(7899), 1,
      sym_identifier,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7903), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4178), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4216), 1,
      sym_type_specifier,
    STATE(6043), 1,
      sym_type_descriptor,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    STATE(3833), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7907), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7905), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [97851] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5745), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97954] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5646), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98057] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6377), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6379), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [98128] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8589), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6541), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98288] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7909), 1,
      sym_identifier,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7913), 1,
      anon_sym_enum,
    ACTIONS(7915), 1,
      anon_sym_class,
    ACTIONS(7917), 1,
      anon_sym_struct,
    ACTIONS(7919), 1,
      anon_sym_union,
    ACTIONS(7921), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4089), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    STATE(3776), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98391] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8518), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98494] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8689), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98597] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7985), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98700] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      anon_sym_enum,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(7935), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4023), 1,
      sym_type_specifier,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    STATE(3832), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98803] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7909), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98906] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6285), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6287), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [98977] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7848), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7937), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    ACTIONS(4838), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4845), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [99143] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7909), 1,
      sym_identifier,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7913), 1,
      anon_sym_enum,
    ACTIONS(7915), 1,
      anon_sym_class,
    ACTIONS(7917), 1,
      anon_sym_struct,
    ACTIONS(7919), 1,
      anon_sym_union,
    ACTIONS(7921), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3937), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    STATE(3768), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99246] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7973), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5333), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [99406] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6269), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6271), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [99475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4855), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [99536] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8022), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99639] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      anon_sym_enum,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(7935), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4218), 1,
      sym_type_specifier,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    STATE(3837), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [99799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6289), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6291), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [99868] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7687), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99971] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5694), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100074] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4471), 1,
      sym_type_specifier,
    STATE(6043), 1,
      sym_type_descriptor,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3788), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100177] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4208), 1,
      sym_type_specifier,
    STATE(6043), 1,
      sym_type_descriptor,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100280] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5696), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100383] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8386), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100486] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5709), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100589] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6203), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4177), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100684] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5711), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100787] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8550), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100890] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5716), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3412), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7737), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5372), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5374), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101054] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5717), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101157] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7877), 1,
      sym_identifier,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7883), 1,
      sym_primitive_type,
    ACTIONS(7885), 1,
      anon_sym_enum,
    ACTIONS(7887), 1,
      anon_sym_class,
    ACTIONS(7889), 1,
      anon_sym_struct,
    ACTIONS(7891), 1,
      anon_sym_union,
    ACTIONS(7893), 1,
      sym_auto,
    ACTIONS(7895), 1,
      anon_sym_decltype,
    ACTIONS(7897), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4195), 1,
      sym_type_specifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(4915), 1,
      sym_qualified_type_identifier,
    STATE(6043), 1,
      sym_type_descriptor,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3881), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4828), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7881), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4905), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101260] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5720), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6465), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6467), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101420] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5721), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101523] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5727), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101626] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2745), 1,
      anon_sym_enum,
    ACTIONS(2747), 1,
      anon_sym_class,
    ACTIONS(2749), 1,
      anon_sym_struct,
    ACTIONS(2751), 1,
      anon_sym_union,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(2779), 1,
      anon_sym_typename,
    ACTIONS(7899), 1,
      sym_identifier,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7903), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4178), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4261), 1,
      sym_type_specifier,
    STATE(6043), 1,
      sym_type_descriptor,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    STATE(3818), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101729] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5640), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101832] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5730), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101935] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5731), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5732), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102141] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5013), 1,
      sym_type_specifier,
    STATE(5733), 1,
      sym__type_definition_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102244] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8353), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102347] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 1,
      anon_sym_EQ,
    ACTIONS(4175), 1,
      anon_sym_SEMI,
    ACTIONS(4099), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4063), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [102410] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8580), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7948), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7946), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [102570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8248), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7950), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [102730] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4847), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8277), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102833] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7890), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102936] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8607), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103039] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7560), 1,
      sym_literal_suffix,
    ACTIONS(4071), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4063), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103201] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8333), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103304] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8078), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103407] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8153), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6940), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103624] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8133), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103727] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8335), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103830] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8573), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_SEMI,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5374), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5372), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [103994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6301), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_SEMI,
    ACTIONS(5374), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5372), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [104110] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7849), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6301), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104270] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4847), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7911), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104373] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8298), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104476] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3758), 1,
      sym_identifier,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(3772), 1,
      anon_sym_enum,
    ACTIONS(3774), 1,
      anon_sym_class,
    ACTIONS(3776), 1,
      anon_sym_struct,
    ACTIONS(3778), 1,
      anon_sym_union,
    ACTIONS(3780), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4152), 1,
      sym_type_specifier,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    STATE(3761), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104579] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8320), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104682] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4847), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7889), 1,
      sym_type_descriptor,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104785] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      anon_sym_enum,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(7935), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3936), 1,
      sym_type_specifier,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    STATE(3814), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104888] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8421), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104991] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6279), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6281), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [105062] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4847), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8426), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105165] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8621), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105268] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8660), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105371] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8443), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105474] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4847), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8448), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7551), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    ACTIONS(5682), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4087), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [105640] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8463), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4847), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8468), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105846] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4369), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8482), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105949] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4847), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(8487), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    STATE(3855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106052] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5726), 1,
      anon_sym___attribute,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6197), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3695), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4175), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106147] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7909), 1,
      sym_identifier,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7913), 1,
      anon_sym_enum,
    ACTIONS(7915), 1,
      anon_sym_class,
    ACTIONS(7917), 1,
      anon_sym_struct,
    ACTIONS(7919), 1,
      anon_sym_union,
    ACTIONS(7921), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3955), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(5808), 1,
      sym_type_descriptor,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    STATE(3780), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3464), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4925), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4927), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5748), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5750), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7954), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6082), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6084), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106371] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4959), 1,
      sym_type_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6397), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6409), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106583] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3758), 1,
      sym_identifier,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(3772), 1,
      anon_sym_enum,
    ACTIONS(3774), 1,
      anon_sym_class,
    ACTIONS(3776), 1,
      anon_sym_struct,
    ACTIONS(3778), 1,
      anon_sym_union,
    ACTIONS(3780), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4136), 1,
      sym_type_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1907), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6569), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6497), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1911), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6529), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107019] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7909), 1,
      sym_identifier,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7913), 1,
      anon_sym_enum,
    ACTIONS(7915), 1,
      anon_sym_class,
    ACTIONS(7917), 1,
      anon_sym_struct,
    ACTIONS(7919), 1,
      anon_sym_union,
    ACTIONS(7921), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3956), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6533), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6119), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6117), 35,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [107235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5041), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6419), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6529), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6533), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7954), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7959), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6040), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6042), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107519] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7909), 1,
      sym_identifier,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7913), 1,
      anon_sym_enum,
    ACTIONS(7915), 1,
      anon_sym_class,
    ACTIONS(7917), 1,
      anon_sym_struct,
    ACTIONS(7919), 1,
      anon_sym_union,
    ACTIONS(7921), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4087), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107619] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6307), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3866), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4227), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6443), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6525), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107823] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7909), 1,
      sym_identifier,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7913), 1,
      anon_sym_enum,
    ACTIONS(7915), 1,
      anon_sym_class,
    ACTIONS(7917), 1,
      anon_sym_struct,
    ACTIONS(7919), 1,
      anon_sym_union,
    ACTIONS(7921), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3948), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6541), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5317), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [108035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5321), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [108091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6553), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108315] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4411), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108471] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    ACTIONS(7969), 1,
      sym_auto,
    ACTIONS(7971), 1,
      anon_sym_decltype,
    STATE(3935), 1,
      sym_new_declarator,
    STATE(4062), 1,
      sym_decltype_auto,
    STATE(3871), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5701), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5703), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6573), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6493), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(2291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5824), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [108719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4063), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3750), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6557), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6545), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6561), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    STATE(3886), 1,
      sym_enumerator_list,
    STATE(4016), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5867), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5869), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6565), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5009), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109231] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    ACTIONS(7969), 1,
      sym_auto,
    ACTIONS(7971), 1,
      anon_sym_decltype,
    STATE(3951), 1,
      sym_new_declarator,
    STATE(4062), 1,
      sym_decltype_auto,
    STATE(3858), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5705), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5707), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5333), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109359] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4783), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6513), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6537), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5019), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5033), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109795] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    ACTIONS(7969), 1,
      sym_auto,
    ACTIONS(7971), 1,
      anon_sym_decltype,
    STATE(3964), 1,
      sym_new_declarator,
    STATE(4062), 1,
      sym_decltype_auto,
    STATE(3848), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5712), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5714), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6553), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109923] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      anon_sym_enum,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(7935), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3942), 1,
      sym_type_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110023] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 1,
      anon_sym___attribute__,
    ACTIONS(5883), 1,
      anon_sym___attribute,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(7973), 1,
      anon_sym_COLON,
    STATE(1797), 1,
      sym_attribute_specifier,
    STATE(2171), 1,
      sym__enum_base_clause,
    STATE(2283), 1,
      sym_enumerator_list,
    ACTIONS(6215), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6217), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [110093] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 1,
      anon_sym___attribute__,
    ACTIONS(5883), 1,
      anon_sym___attribute,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(7973), 1,
      anon_sym_COLON,
    STATE(1836), 1,
      sym_attribute_specifier,
    STATE(2175), 1,
      sym__enum_base_clause,
    STATE(2286), 1,
      sym_enumerator_list,
    ACTIONS(6221), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6223), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [110163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6549), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110219] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2745), 1,
      anon_sym_enum,
    ACTIONS(2747), 1,
      anon_sym_class,
    ACTIONS(2749), 1,
      anon_sym_struct,
    ACTIONS(2751), 1,
      anon_sym_union,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(2779), 1,
      anon_sym_typename,
    ACTIONS(7899), 1,
      sym_identifier,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7903), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4178), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4224), 1,
      sym_type_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110319] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    ACTIONS(7969), 1,
      sym_auto,
    ACTIONS(7971), 1,
      anon_sym_decltype,
    STATE(3947), 1,
      sym_new_declarator,
    STATE(4062), 1,
      sym_decltype_auto,
    STATE(3769), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5689), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5691), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110391] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7853), 1,
      sym_identifier,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7873), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4286), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110547] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5726), 1,
      anon_sym___attribute,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6259), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3823), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4259), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110641] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6265), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4245), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6521), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110791] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    STATE(3913), 1,
      sym_enumerator_list,
    STATE(4020), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5875), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5877), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6557), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110911] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4199), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6561), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6565), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3750), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111235] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      anon_sym_enum,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(7935), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4033), 1,
      sym_type_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111335] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2745), 1,
      anon_sym_enum,
    ACTIONS(2747), 1,
      anon_sym_class,
    ACTIONS(2749), 1,
      anon_sym_struct,
    ACTIONS(2751), 1,
      anon_sym_union,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(2779), 1,
      anon_sym_typename,
    ACTIONS(7899), 1,
      sym_identifier,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7903), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4178), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4203), 1,
      sym_type_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111435] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4204), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111591] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7994), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7991), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7618), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7616), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [111655] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      anon_sym_enum,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(7935), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4225), 1,
      sym_type_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111755] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    STATE(2598), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4186), 1,
      sym_template_argument_list,
    ACTIONS(4084), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4069), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4089), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [111825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5037), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6443), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6451), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6401), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6439), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6465), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6467), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6431), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6501), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6431), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6521), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6577), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6383), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6391), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6397), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112721] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4841), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6513), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6573), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6451), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2681), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4063), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6545), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6409), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6497), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6537), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6569), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113381] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6246), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4255), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113473] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2745), 1,
      anon_sym_enum,
    ACTIONS(2747), 1,
      anon_sym_class,
    ACTIONS(2749), 1,
      anon_sym_struct,
    ACTIONS(2751), 1,
      anon_sym_union,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(2779), 1,
      anon_sym_typename,
    ACTIONS(7899), 1,
      sym_identifier,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7903), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4178), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4545), 1,
      sym_type_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6489), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113629] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4407), 1,
      sym_type_specifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6401), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6419), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6383), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6477), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6481), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5053), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6577), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5049), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114289] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4849), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(3919), 1,
      sym_template_argument_list,
    ACTIONS(4842), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4845), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4838), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [114355] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7877), 1,
      sym_identifier,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7883), 1,
      sym_primitive_type,
    ACTIONS(7885), 1,
      anon_sym_enum,
    ACTIONS(7887), 1,
      anon_sym_class,
    ACTIONS(7889), 1,
      anon_sym_struct,
    ACTIONS(7891), 1,
      anon_sym_union,
    ACTIONS(7893), 1,
      sym_auto,
    ACTIONS(7895), 1,
      anon_sym_decltype,
    ACTIONS(7897), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4212), 1,
      sym_type_specifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(4915), 1,
      sym_qualified_type_identifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4828), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7881), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4905), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114511] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7877), 1,
      sym_identifier,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7883), 1,
      sym_primitive_type,
    ACTIONS(7885), 1,
      anon_sym_enum,
    ACTIONS(7887), 1,
      anon_sym_class,
    ACTIONS(7889), 1,
      anon_sym_struct,
    ACTIONS(7891), 1,
      anon_sym_union,
    ACTIONS(7893), 1,
      sym_auto,
    ACTIONS(7895), 1,
      anon_sym_decltype,
    ACTIONS(7897), 1,
      anon_sym_typename,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4100), 1,
      sym_type_specifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(4915), 1,
      sym_qualified_type_identifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4828), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7881), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4905), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(2429), 1,
      sym_attribute_specifier,
    STATE(2918), 1,
      sym_field_declaration_list,
    STATE(6914), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5340), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5338), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [114682] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5851), 1,
      anon_sym_STAR,
    ACTIONS(7999), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    ACTIONS(8007), 1,
      anon_sym_EQ,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6148), 1,
      sym__declarator,
    STATE(6489), 1,
      sym__abstract_declarator,
    STATE(6662), 1,
      sym_abstract_reference_declarator,
    STATE(7286), 1,
      sym_variadic_declarator,
    STATE(7292), 1,
      sym_variadic_reference_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(8001), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6668), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [114791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4024), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5944), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5946), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114850] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6525), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4057), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5919), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5921), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5321), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [115057] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6346), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3926), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4345), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115148] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6092), 1,
      sym__declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115241] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4025), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5960), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5962), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115393] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6110), 1,
      sym__declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4064), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5923), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5925), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4030), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5964), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5966), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115604] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6658), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115697] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6295), 1,
      sym__declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115790] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8015), 1,
      sym_identifier,
    ACTIONS(8025), 1,
      sym_primitive_type,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4153), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8022), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8020), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4945), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4947), 13,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8017), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115861] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6399), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115954] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6455), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4026), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6009), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6011), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116106] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6300), 1,
      sym__declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116199] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6424), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116292] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116385] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(4083), 1,
      sym_new_declarator,
    STATE(3858), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5705), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5317), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116566] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6283), 1,
      sym__declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4038), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6013), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4019), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5940), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5942), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116777] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5857), 1,
      anon_sym_STAR,
    ACTIONS(7999), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8005), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_EQ,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6238), 1,
      sym__declarator,
    STATE(6492), 1,
      sym__abstract_declarator,
    STATE(6697), 1,
      sym_abstract_reference_declarator,
    STATE(7286), 1,
      sym_variadic_declarator,
    STATE(7292), 1,
      sym_variadic_reference_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(8001), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6668), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [116886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4047), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6017), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6019), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116945] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8035), 1,
      sym_identifier,
    ACTIONS(8045), 1,
      sym_primitive_type,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8042), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3899), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4960), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4962), 13,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8037), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4048), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5956), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5958), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117075] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    STATE(2397), 1,
      sym_attribute_specifier,
    STATE(3466), 1,
      sym__enum_base_clause,
    STATE(3598), 1,
      sym_enumerator_list,
    ACTIONS(6215), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6217), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [117144] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(4105), 1,
      sym_new_declarator,
    STATE(3871), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5701), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5703), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117215] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(6072), 1,
      sym__declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4857), 1,
      anon_sym_SEMI,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4855), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [117369] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    STATE(2490), 1,
      sym_attribute_specifier,
    STATE(3467), 1,
      sym__enum_base_clause,
    STATE(3601), 1,
      sym_enumerator_list,
    ACTIONS(6221), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6223), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [117438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4044), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5991), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5993), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4054), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5998), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6000), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117556] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(6075), 1,
      sym__declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5333), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [117704] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6399), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117797] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6323), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4308), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117888] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(4116), 1,
      sym_new_declarator,
    STATE(3848), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5712), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5714), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117959] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6424), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118052] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6568), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118145] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6455), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118238] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6656), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118331] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(6126), 1,
      sym__declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118424] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(4076), 1,
      sym_new_declarator,
    STATE(3769), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5689), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5691), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118495] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6103), 1,
      sym__declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    STATE(3839), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6124), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6126), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118648] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    ACTIONS(8051), 1,
      anon_sym___asm,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5991), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4090), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118736] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym___attribute,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6008), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4092), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5650), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118878] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6367), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3946), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119022] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6443), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4447), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119112] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym___asm,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6001), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4106), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(3047), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(4069), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [119264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8077), 1,
      anon_sym_LT,
    STATE(2291), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2509), 1,
      sym_template_argument_list,
    ACTIONS(4919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4069), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [119328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5623), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119382] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6468), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    STATE(3870), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6156), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6158), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119532] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5976), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(4939), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [119674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8077), 1,
      anon_sym_LT,
    STATE(2509), 1,
      sym_template_argument_list,
    ACTIONS(5682), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4087), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [119734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    STATE(3767), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6128), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6130), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119794] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6418), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4457), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119886] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5726), 1,
      anon_sym___attribute,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6409), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4454), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119978] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4134), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5458), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8087), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8085), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [120046] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    ACTIONS(8051), 1,
      anon_sym___asm,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5972), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4079), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120134] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6019), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4120), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5631), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8089), 1,
      anon_sym_LT,
    STATE(2509), 1,
      sym_template_argument_list,
    ACTIONS(4838), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4845), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [120336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5680), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5524), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120444] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5726), 1,
      anon_sym___attribute,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6429), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3965), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4462), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(2532), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [120590] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6377), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3941), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4445), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    STATE(3850), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6142), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120740] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6392), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4464), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8098), 1,
      sym_identifier,
    ACTIONS(8100), 1,
      anon_sym_LPAREN2,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8106), 1,
      anon_sym_AMP,
    ACTIONS(8112), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3050), 1,
      sym__type_declarator,
    STATE(3433), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8483), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3996), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4699), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3419), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(8120), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8122), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(6162), 1,
      sym__type_declarator,
    STATE(8376), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3985), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121010] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6714), 1,
      sym__type_declarator,
    STATE(8418), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4701), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121099] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6714), 1,
      sym__type_declarator,
    STATE(8418), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3970), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4701), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121188] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6686), 1,
      sym__type_declarator,
    STATE(8418), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4702), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    ACTIONS(5682), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4087), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121336] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8142), 1,
      sym_identifier,
    ACTIONS(8144), 1,
      anon_sym_LPAREN2,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2834), 1,
      sym__type_declarator,
    STATE(3230), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8603), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4009), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4572), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3208), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121425] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6146), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3975), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(4131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8162), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4069), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [121577] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6202), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121666] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6202), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3982), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121755] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2127), 1,
      sym__type_declarator,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8274), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3998), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4592), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121844] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8142), 1,
      sym_identifier,
    ACTIONS(8144), 1,
      anon_sym_LPAREN2,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2834), 1,
      sym__type_declarator,
    STATE(3230), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8603), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4572), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3208), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121933] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8126), 1,
      sym_primitive_type,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5858), 1,
      sym__type_declarator,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4709), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122022] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    ACTIONS(8176), 1,
      anon_sym_virtual,
    ACTIONS(8180), 1,
      anon_sym___declspec,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    ACTIONS(6259), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6261), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4139), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8178), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5372), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5374), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6213), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122249] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2161), 1,
      sym__type_declarator,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8274), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122338] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8126), 1,
      sym_primitive_type,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5858), 1,
      sym__type_declarator,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4003), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4709), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122427] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(8120), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8122), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(6225), 1,
      sym__type_declarator,
    STATE(8376), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122516] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(8120), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8122), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(6225), 1,
      sym__type_declarator,
    STATE(8376), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3987), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122605] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(8120), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8122), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(6147), 1,
      sym__type_declarator,
    STATE(8376), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4689), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122694] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3994), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4714), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122783] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(8188), 1,
      anon_sym_COLON,
    STATE(2510), 1,
      sym__enum_base_clause,
    STATE(2544), 1,
      sym_enumerator_list,
    STATE(2625), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6217), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [122850] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(8188), 1,
      anon_sym_COLON,
    STATE(2511), 1,
      sym__enum_base_clause,
    STATE(2547), 1,
      sym_enumerator_list,
    STATE(2644), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6223), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [122917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7948), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7946), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [122970] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8098), 1,
      sym_identifier,
    ACTIONS(8100), 1,
      anon_sym_LPAREN2,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8106), 1,
      anon_sym_AMP,
    ACTIONS(8112), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3050), 1,
      sym__type_declarator,
    STATE(3433), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8483), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4699), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3419), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123059] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8126), 1,
      sym_primitive_type,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5881), 1,
      sym__type_declarator,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3979), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4690), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123148] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6480), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4716), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(4131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8162), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(5824), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [123300] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8098), 1,
      sym_identifier,
    ACTIONS(8100), 1,
      anon_sym_LPAREN2,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8106), 1,
      anon_sym_AMP,
    ACTIONS(8112), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2988), 1,
      sym__type_declarator,
    STATE(3433), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8483), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4718), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3419), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123389] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8098), 1,
      sym_identifier,
    ACTIONS(8100), 1,
      anon_sym_LPAREN2,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8106), 1,
      anon_sym_AMP,
    ACTIONS(8112), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3016), 1,
      sym__type_declarator,
    STATE(3433), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8483), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3992), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3419), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123478] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2140), 1,
      sym__type_declarator,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8274), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4582), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123567] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6514), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4000), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5718), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123656] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6490), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4695), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7950), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [123798] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5720), 1,
      anon_sym_STAR,
    ACTIONS(5722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5724), 1,
      anon_sym_AMP,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(7999), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(3019), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6243), 1,
      sym__declarator,
    STATE(6523), 1,
      sym__abstract_declarator,
    STATE(7102), 1,
      sym_variadic_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(8198), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8196), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [123897] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8126), 1,
      sym_primitive_type,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5885), 1,
      sym__type_declarator,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123986] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8142), 1,
      sym_identifier,
    ACTIONS(8144), 1,
      anon_sym_LPAREN2,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2857), 1,
      sym__type_declarator,
    STATE(3230), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8603), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3978), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4556), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3208), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5390), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124128] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4840), 1,
      anon_sym_SEMI,
    ACTIONS(4849), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(3919), 1,
      sym_template_argument_list,
    ACTIONS(4842), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4845), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4838), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [124193] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2140), 1,
      sym__type_declarator,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8274), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3983), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4582), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7969), 1,
      sym_auto,
    ACTIONS(7971), 1,
      anon_sym_decltype,
    STATE(4062), 1,
      sym_decltype_auto,
    ACTIONS(5323), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5325), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124341] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8142), 1,
      sym_identifier,
    ACTIONS(8144), 1,
      anon_sym_LPAREN2,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2853), 1,
      sym__type_declarator,
    STATE(3230), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8603), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4586), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3208), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124430] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6690), 1,
      sym__type_declarator,
    STATE(8418), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8108), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3968), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7695), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    ACTIONS(4838), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4845), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124578] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    ACTIONS(8180), 1,
      anon_sym___declspec,
    ACTIONS(8200), 1,
      anon_sym_virtual,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    ACTIONS(6356), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6358), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4145), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8178), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8202), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4931), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4929), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [124717] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8205), 1,
      sym_identifier,
    ACTIONS(8215), 1,
      sym_primitive_type,
    STATE(4190), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4268), 1,
      sym_alignas_qualifier,
    ACTIONS(8212), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4065), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8210), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4962), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4960), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8207), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(8217), 1,
      anon_sym_COLON,
    STATE(2490), 1,
      sym_attribute_specifier,
    STATE(2737), 1,
      sym__enum_base_clause,
    STATE(2849), 1,
      sym_enumerator_list,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6223), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6221), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [124849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5637), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5639), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5551), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5654), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5502), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5510), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125109] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3951), 1,
      sym_new_declarator,
    STATE(3858), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5705), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5707), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5586), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125229] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    ACTIONS(8051), 1,
      anon_sym___attribute,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6193), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4172), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5597), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5528), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5619), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5374), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2713), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2711), 42,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [125575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5551), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5536), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125679] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3964), 1,
      sym_new_declarator,
    STATE(3848), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5712), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5714), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5540), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125799] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym___attribute,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6201), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5627), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125937] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    STATE(3962), 1,
      sym_alignas_qualifier,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8087), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8085), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [126003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4929), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8202), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5011), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5014), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [126061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2637), 42,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [126113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5635), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3095), 42,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [126217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3170), 42,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [126269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5666), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2856), 42,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [126373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5582), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5676), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2675), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2673), 42,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [126581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5547), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5573), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5514), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126737] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3935), 1,
      sym_new_declarator,
    STATE(3871), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5701), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5703), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5518), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5654), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5551), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5555), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5559), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(8217), 1,
      anon_sym_COLON,
    STATE(2397), 1,
      sym_attribute_specifier,
    STATE(2745), 1,
      sym__enum_base_clause,
    STATE(2894), 1,
      sym_enumerator_list,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6217), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6215), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [127129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5658), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2687), 42,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [127233] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_LBRACK,
    ACTIONS(7967), 1,
      anon_sym_LPAREN2,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3947), 1,
      sym_new_declarator,
    STATE(3769), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5689), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5691), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127301] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6572), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4061), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4757), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5718), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127389] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7695), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(3715), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6576), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7697), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7699), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3290), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4759), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5532), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5498), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5662), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8225), 1,
      sym_identifier,
    ACTIONS(8235), 1,
      sym_primitive_type,
    STATE(4268), 1,
      sym_alignas_qualifier,
    STATE(4288), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8232), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4111), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8230), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4947), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4945), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8227), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127701] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6850), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [127800] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(8271), 1,
      anon_sym_LPAREN2,
    ACTIONS(8273), 1,
      anon_sym_LBRACK,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(4351), 1,
      sym_new_declarator,
    STATE(4750), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5689), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5691), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [127867] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6633), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4094), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4824), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127952] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [128025] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [128094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6549), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128145] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [128240] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym___attribute,
    ACTIONS(8285), 1,
      sym_auto,
    ACTIONS(8287), 1,
      anon_sym_decltype,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(4904), 1,
      sym_decltype_auto,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6252), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4256), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128325] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8295), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8289), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8293), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [128428] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8295), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6389), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [128531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(3870), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6156), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6158), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128588] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6309), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [128679] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6309), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [128768] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    ACTIONS(8299), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5975), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128847] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6622), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4088), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4809), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128932] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym___asm,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5978), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129011] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    ACTIONS(8303), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5981), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(3767), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6128), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6130), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129147] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5720), 1,
      anon_sym_STAR,
    ACTIONS(5722), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5724), 1,
      anon_sym_AMP,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    STATE(3019), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6243), 1,
      sym__declarator,
    STATE(6523), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(8198), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8196), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [129240] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6640), 1,
      anon_sym___asm,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5982), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129319] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8295), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6834), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [129422] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6282), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4229), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129505] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6633), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4824), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129590] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6293), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129673] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    ACTIONS(8299), 1,
      anon_sym___asm,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5999), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6439), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129803] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8299), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129882] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8305), 1,
      anon_sym_STAR,
    ACTIONS(8307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8309), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6613), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4849), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129969] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6639), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4825), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130054] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8305), 1,
      anon_sym_STAR,
    ACTIONS(8307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8309), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4093), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5718), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130141] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6309), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [130226] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6096), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4832), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130311] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6087), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4097), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4818), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130396] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4847), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(4186), 1,
      sym_template_argument_list,
    ACTIONS(4842), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4845), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4838), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [130457] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      anon_sym___attribute,
    ACTIONS(8285), 1,
      sym_auto,
    ACTIONS(8287), 1,
      anon_sym_decltype,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(4904), 1,
      sym_decltype_auto,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6255), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4263), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130542] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6096), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4126), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4832), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130627] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(8271), 1,
      anon_sym_LPAREN2,
    ACTIONS(8273), 1,
      anon_sym_LBRACK,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(4358), 1,
      sym_new_declarator,
    STATE(4738), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5707), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [130694] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6888), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [130793] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5734), 1,
      anon_sym___asm,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6004), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(3839), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6124), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6126), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130929] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    ACTIONS(8303), 1,
      anon_sym___asm,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6005), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131008] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6830), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [131107] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6640), 1,
      anon_sym___asm,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6007), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131186] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6309), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [131269] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6307), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [131348] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4268), 1,
      sym_alignas_qualifier,
    ACTIONS(8322), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4111), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4905), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8319), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4903), 15,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131407] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    ACTIONS(8333), 1,
      sym_ms_restrict_modifier,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(5251), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6644), 1,
      sym__abstract_declarator,
    ACTIONS(8335), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8337), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4115), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4842), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5718), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131494] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6608), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4822), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6525), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    ACTIONS(8333), 1,
      sym_ms_restrict_modifier,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(5251), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6646), 1,
      sym__abstract_declarator,
    ACTIONS(8335), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8337), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4848), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5007), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5732), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(3850), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6142), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131776] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6788), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [131875] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6846), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [131974] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6030), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132053] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8303), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6034), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132132] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [132207] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6309), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [132278] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6601), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4113), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4805), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5718), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132365] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6640), 1,
      anon_sym___attribute,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6036), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(8271), 1,
      anon_sym_LPAREN2,
    ACTIONS(8273), 1,
      anon_sym_LBRACK,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(4353), 1,
      sym_new_declarator,
    STATE(4765), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5701), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5703), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [132511] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6125), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4800), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3286), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132596] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8241), 1,
      anon_sym_SLASH,
    ACTIONS(8243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_CARET,
    ACTIONS(8257), 1,
      anon_sym_GT_EQ,
    ACTIONS(8261), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8263), 1,
      anon_sym_or,
    ACTIONS(8265), 1,
      anon_sym_and,
    ACTIONS(8267), 1,
      anon_sym_xor,
    ACTIONS(8269), 1,
      anon_sym_not_eq,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8295), 1,
      anon_sym_QMARK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6822), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8239), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8247), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8251), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8255), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6826), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [132699] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(8271), 1,
      anon_sym_LPAREN2,
    ACTIONS(8273), 1,
      anon_sym_LBRACK,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(4334), 1,
      sym_new_declarator,
    STATE(4761), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5712), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5714), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [132766] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4243), 1,
      sym_alignas_qualifier,
    ACTIONS(8344), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4903), 12,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4905), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8341), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8347), 1,
      anon_sym_LT,
    STATE(4297), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4331), 1,
      sym_template_argument_list,
    ACTIONS(4061), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8349), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5736), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      sym_identifier,
    ACTIONS(5672), 1,
      sym_primitive_type,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(4311), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8358), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4163), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8356), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4962), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4960), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(8353), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133005] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7662), 1,
      anon_sym_const,
    ACTIONS(7668), 1,
      anon_sym___inline,
    ACTIONS(7671), 1,
      anon_sym___attribute,
    ACTIONS(8364), 1,
      anon_sym_virtual,
    ACTIONS(8370), 1,
      anon_sym___attribute__,
    ACTIONS(8373), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8376), 1,
      anon_sym___declspec,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(6599), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(8379), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6601), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4133), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8367), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(8361), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133079] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8384), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8382), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [133139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8386), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8388), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6040), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6042), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133193] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6333), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4322), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4142), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5629), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5631), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133329] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    STATE(2490), 1,
      sym_attribute_specifier,
    STATE(3467), 1,
      sym__enum_base_clause,
    STATE(3601), 1,
      sym_enumerator_list,
    ACTIONS(6221), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6223), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133393] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8180), 1,
      anon_sym___declspec,
    ACTIONS(8394), 1,
      anon_sym_virtual,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(6631), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6633), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4133), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8178), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5790), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133521] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(4297), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5822), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8349), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5824), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5799), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5797), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133635] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8422), 1,
      anon_sym_SEMI,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(6732), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8037), 1,
      sym_attribute_specifier,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133741] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6717), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4159), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4899), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5718), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133827] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8180), 1,
      anon_sym___declspec,
    ACTIONS(8394), 1,
      anon_sym_virtual,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(6583), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6585), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4133), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8178), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8440), 1,
      anon_sym_LPAREN2,
    ACTIONS(8442), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8438), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [133953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5374), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5372), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [134005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6940), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8388), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6082), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6084), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8444), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5776), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4142), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5372), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5374), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134215] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6347), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5782), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5766), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134405] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    STATE(2397), 1,
      sym_attribute_specifier,
    STATE(3466), 1,
      sym__enum_base_clause,
    STATE(3598), 1,
      sym_enumerator_list,
    ACTIONS(6215), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6217), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4157), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5770), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5786), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134577] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8448), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(6765), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8087), 1,
      sym_attribute_specifier,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134683] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6661), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4901), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5801), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8087), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8085), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [134883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8452), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8450), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [134933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 1,
      sym_identifier,
    ACTIONS(5569), 1,
      sym_primitive_type,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(1893), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8457), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4947), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4945), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(8454), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      sym_literal_suffix,
    ACTIONS(4071), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4063), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4154), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8460), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5752), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135105] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8462), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(6786), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8609), 1,
      sym_attribute_specifier,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4160), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8464), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5758), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5005), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135314] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6779), 1,
      sym__abstract_declarator,
    ACTIONS(5718), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4171), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4942), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6338), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [135448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(3991), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6784), 1,
      sym__abstract_declarator,
    ACTIONS(5732), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    ACTIONS(7983), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7985), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4943), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135533] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    ACTIONS(8299), 1,
      anon_sym___attribute,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6200), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6940), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(4987), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135708] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6203), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135785] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    ACTIONS(8303), 1,
      anon_sym___attribute,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6204), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135862] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6640), 1,
      anon_sym___attribute,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6208), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      sym_identifier,
    ACTIONS(5905), 1,
      sym_primitive_type,
    STATE(2209), 1,
      sym_alignas_qualifier,
    STATE(4516), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8477), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4196), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8475), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4960), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4962), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8472), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5045), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5009), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5019), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8347), 1,
      anon_sym_LT,
    STATE(4331), 1,
      sym_template_argument_list,
    ACTIONS(5682), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4087), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136206] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6420), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5033), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8484), 1,
      anon_sym___attribute__,
    ACTIONS(8487), 1,
      anon_sym___attribute,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8482), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8480), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4855), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [136444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5851), 1,
      anon_sym_STAR,
    ACTIONS(5853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 1,
      anon_sym_AMP,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6243), 1,
      sym__declarator,
    STATE(6610), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(8196), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8198), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [136535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8492), 1,
      anon_sym_and,
    ACTIONS(6082), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6084), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4929), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8494), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5011), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5014), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [136692] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8492), 1,
      anon_sym_and,
    ACTIONS(8497), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8499), 1,
      anon_sym_or,
    ACTIONS(6040), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6042), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5041), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      sym_literal_suffix,
    ACTIONS(4071), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4063), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6346), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136898] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    ACTIONS(8285), 1,
      sym_auto,
    ACTIONS(8287), 1,
      anon_sym_decltype,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(4904), 1,
      sym_decltype_auto,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6375), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136979] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      sym_primitive_type,
    STATE(2209), 1,
      sym_alignas_qualifier,
    STATE(2279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8504), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1876), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6027), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4945), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4947), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137044] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    STATE(4436), 1,
      sym_field_declaration_list,
    STATE(4616), 1,
      sym_attribute_specifier,
    STATE(6903), 1,
      sym_virtual_specifier,
    STATE(7738), 1,
      sym_base_class_clause,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5338), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5340), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [137111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5053), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137160] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6448), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4429), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5045), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1907), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(4983), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137388] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      anon_sym___attribute,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6400), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4455), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137471] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym___attribute,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6393), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4463), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5045), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137603] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(5857), 1,
      anon_sym_STAR,
    ACTIONS(5859), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5861), 1,
      anon_sym_AMP,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6243), 1,
      sym__declarator,
    STATE(6626), 1,
      sym__abstract_declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    ACTIONS(8196), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8198), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [137694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5049), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137743] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8051), 1,
      anon_sym___attribute,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6403), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4460), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1911), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8494), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4931), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4929), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137977] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    ACTIONS(8285), 1,
      sym_auto,
    ACTIONS(8287), 1,
      anon_sym_decltype,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(4904), 1,
      sym_decltype_auto,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6387), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4446), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8347), 1,
      anon_sym_LT,
    STATE(4331), 1,
      sym_template_argument_list,
    ACTIONS(4838), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4845), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5037), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(4991), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138211] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym___attribute,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6460), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4450), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138294] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    ACTIONS(8511), 1,
      anon_sym_COLON,
    STATE(4357), 1,
      sym__enum_base_clause,
    STATE(4434), 1,
      sym_enumerator_list,
    STATE(4612), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6217), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [138356] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6519), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138436] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [138530] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138602] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [138692] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [138770] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    STATE(1874), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4061), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4897), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [138828] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6513), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138908] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2481), 1,
      sym_decltype_auto,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6520), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4715), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8073), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138988] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [139066] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6246), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139140] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139216] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6250), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    STATE(3962), 1,
      sym_alignas_qualifier,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8087), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8085), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [139348] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6303), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139422] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6826), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [139516] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [139608] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6309), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139678] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8549), 1,
      anon_sym___attribute,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8547), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [139774] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [139868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5611), 35,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [139916] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139984] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8553), 1,
      anon_sym___attribute,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8551), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [140080] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140146] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6850), 1,
      anon_sym___attribute,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [140238] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [140320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2532), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [140368] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6822), 1,
      anon_sym___attribute,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6826), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140464] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6640), 1,
      anon_sym___attribute,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140540] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(5732), 1,
      anon_sym_COLON,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8333), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(5251), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6792), 1,
      sym__abstract_declarator,
    ACTIONS(8335), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8337), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5007), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140624] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6834), 1,
      anon_sym___attribute,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6836), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140720] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(5718), 1,
      anon_sym_COLON,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8333), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(5251), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6846), 1,
      sym__abstract_declarator,
    ACTIONS(8335), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8337), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4246), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4964), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140804] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    ACTIONS(8511), 1,
      anon_sym_COLON,
    STATE(4301), 1,
      sym__enum_base_clause,
    STATE(4451), 1,
      sym_enumerator_list,
    STATE(4633), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6223), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [140866] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6830), 1,
      anon_sym___attribute,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [140958] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [141028] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [141118] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8561), 1,
      anon_sym_COMMA,
    ACTIONS(8563), 1,
      anon_sym_SEMI,
    ACTIONS(8565), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7120), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141218] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [141308] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6298), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141382] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8299), 1,
      anon_sym___attribute,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6254), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4939), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [141506] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6309), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [141578] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6265), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141654] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6389), 1,
      anon_sym___attribute,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6391), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141750] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6485), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8049), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141830] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [141906] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8303), 1,
      anon_sym___attribute,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6256), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141982] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(1874), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4897), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5822), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5824), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [142040] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6309), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [142106] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6309), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [142174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4939), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [142222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2532), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [142270] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym___attribute,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [142360] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6888), 1,
      anon_sym___attribute,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142452] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [142538] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [142628] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6788), 1,
      anon_sym___attribute,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    STATE(3962), 1,
      sym_alignas_qualifier,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8384), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8382), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [142778] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [142866] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym___attribute,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [142954] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [143038] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [143120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [143204] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [143294] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8593), 1,
      anon_sym_RBRACK,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7106), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143391] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8641), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7445), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143488] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8645), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7081), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4828), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143632] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    STATE(4850), 1,
      sym_field_declaration_list,
    STATE(4877), 1,
      sym_attribute_specifier,
    STATE(6892), 1,
      sym_virtual_specifier,
    STATE(7732), 1,
      sym_base_class_clause,
    ACTIONS(5338), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5340), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143697] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6575), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8073), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4832), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5784), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5782), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143874] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8655), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7158), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4294), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5629), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8657), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5631), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144022] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(8661), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7365), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4816), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4824), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5799), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5797), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144264] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(8663), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7314), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4836), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5738), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144459] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8665), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7393), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5382), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144603] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7180), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144700] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    STATE(4468), 1,
      sym_enumerator_list,
    STATE(4660), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5877), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [144757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5788), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144808] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8669), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7094), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5792), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144956] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8671), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7198), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      sym_literal_suffix,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4063), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145102] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8563), 1,
      anon_sym_SEMI,
    ACTIONS(8673), 1,
      anon_sym_COMMA,
    ACTIONS(8676), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145199] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6363), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145272] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8678), 1,
      anon_sym_COMMA,
    ACTIONS(8681), 1,
      anon_sym_SEMI,
    ACTIONS(8683), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145369] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(8685), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7209), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1626), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4929), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5229), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5011), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5014), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [145519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5768), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145570] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8687), 1,
      anon_sym_COMMA,
    ACTIONS(8689), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7454), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145667] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(8691), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7229), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5378), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145813] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(8693), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7299), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145910] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6331), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145983] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8695), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7438), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(2291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5822), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(4919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5824), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [146137] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8565), 1,
      anon_sym_RBRACE,
    ACTIONS(8697), 1,
      anon_sym_COMMA,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7120), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146234] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8699), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7062), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6355), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146404] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8701), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7423), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4312), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5754), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8703), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146552] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8705), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5376), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5378), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146698] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8681), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146793] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7166), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5803), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1319), 1,
      sym__fold_operator,
    ACTIONS(8711), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8709), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [146990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4302), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5772), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8713), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147088] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6570), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8049), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(8271), 1,
      anon_sym_LPAREN2,
    STATE(4768), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6142), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [147220] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8715), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7176), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147317] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8717), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7258), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147414] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8719), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7263), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147511] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8721), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7408), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147608] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8723), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7095), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147705] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8727), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8725), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147800] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8729), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7355), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5309), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5311), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147946] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8731), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7388), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148043] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8733), 1,
      anon_sym_RPAREN,
    ACTIONS(8735), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148140] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6323), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148213] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8737), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7429), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148310] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8739), 1,
      anon_sym_COMMA,
    ACTIONS(8741), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7160), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148407] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8743), 1,
      anon_sym_COMMA,
    ACTIONS(8745), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7169), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8747), 1,
      anon_sym___attribute__,
    ACTIONS(8750), 1,
      anon_sym___attribute,
    STATE(4349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8482), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8480), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [148557] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8753), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7071), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(8271), 1,
      anon_sym_LPAREN2,
    STATE(4799), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6156), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6158), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [148707] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8755), 1,
      anon_sym_COMMA,
    ACTIONS(8757), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7430), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(8271), 1,
      anon_sym_LPAREN2,
    STATE(4760), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6124), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6126), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [148857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4294), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5372), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8657), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6940), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148955] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(8759), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7463), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    STATE(4456), 1,
      sym_enumerator_list,
    STATE(4638), 1,
      sym_attribute_specifier,
    ACTIONS(5867), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5869), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [149109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(8271), 1,
      anon_sym_LPAREN2,
    STATE(4746), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6128), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6130), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149162] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8761), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7261), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149259] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8763), 1,
      anon_sym_COMMA,
    ACTIONS(8765), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7267), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149356] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8767), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7321), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149453] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(8769), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7122), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4304), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5778), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4329), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5760), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8773), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4820), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149699] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    ACTIONS(8775), 1,
      anon_sym_GT2,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    STATE(7275), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4812), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149843] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(8777), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    STATE(7149), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149940] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6603), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4840), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8049), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150018] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6269), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6271), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [150076] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6848), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150164] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8563), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150258] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6279), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [150318] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6285), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6287), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [150378] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6852), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6289), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [150524] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8805), 1,
      anon_sym_COLON,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150618] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6890), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150706] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8815), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150798] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6391), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150890] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    ACTIONS(8817), 1,
      anon_sym_LBRACE,
    ACTIONS(8819), 1,
      anon_sym_COLON,
    STATE(4798), 1,
      sym__enum_base_clause,
    STATE(4836), 1,
      sym_enumerator_list,
    STATE(4867), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6217), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150950] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    ACTIONS(8817), 1,
      anon_sym_LBRACE,
    ACTIONS(8819), 1,
      anon_sym_COLON,
    STATE(4753), 1,
      sym__enum_base_clause,
    STATE(4833), 1,
      sym_enumerator_list,
    STATE(4875), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6223), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151010] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6309), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151074] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151134] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [151220] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [151304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [151386] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [151466] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [151542] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151616] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151688] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6309), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151754] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5378), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151870] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6377), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151930] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6790), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152018] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152110] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6832), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4864), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4857), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [152246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8273), 1,
      anon_sym_LBRACK,
    STATE(4720), 1,
      sym_new_declarator,
    ACTIONS(6183), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6185), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [152296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(6836), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8821), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152480] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8823), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152574] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8825), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152668] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8827), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152762] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8829), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152856] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6586), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4826), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8073), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152934] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8831), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153028] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8833), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153122] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8835), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153216] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6621), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4844), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8073), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8837), 1,
      anon_sym_LT,
    STATE(2509), 1,
      sym_template_argument_list,
    ACTIONS(4838), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4845), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [153346] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8839), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153440] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8841), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153534] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8725), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153626] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8843), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153720] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8845), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8837), 1,
      anon_sym_LT,
    STATE(2509), 1,
      sym_template_argument_list,
    ACTIONS(5682), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4087), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [153864] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8847), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4611), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5993), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [154010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4615), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6000), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [154062] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8849), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(4601), 1,
      sym_decltype_auto,
    ACTIONS(5323), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5325), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [154208] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8851), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154300] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8851), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154392] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6447), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154464] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8853), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154558] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6468), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154630] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6430), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154702] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6372), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154774] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8855), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154866] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7614), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4632), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6011), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4636), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6015), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155062] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8857), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4644), 1,
      sym_attribute_specifier,
    ACTIONS(5919), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5921), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4645), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5925), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155260] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8859), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155354] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155446] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155538] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8861), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155630] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6383), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5842), 1,
      anon_sym_LPAREN2,
    ACTIONS(5848), 1,
      anon_sym_LBRACK,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4063), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155754] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8863), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155848] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6443), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155920] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6368), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155992] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6466), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156064] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8293), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156156] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8735), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    ACTIONS(8299), 1,
      anon_sym___attribute,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6444), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4659), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5942), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156376] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8865), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156470] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8867), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156564] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6418), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156638] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    ACTIONS(8303), 1,
      anon_sym___attribute,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6452), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4661), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5946), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6640), 1,
      anon_sym___attribute,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6419), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4662), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5962), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4663), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5966), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156942] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    ACTIONS(8299), 1,
      anon_sym___attribute,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6382), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157016] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8869), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157110] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5734), 1,
      anon_sym___attribute,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6392), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157184] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    ACTIONS(8303), 1,
      anon_sym___attribute,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6458), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157258] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6640), 1,
      anon_sym___attribute,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6398), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157332] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8871), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157426] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8873), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157520] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8875), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4672), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6019), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    STATE(4674), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5958), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157718] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8877), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157812] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6615), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4835), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8049), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157890] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8879), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157982] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(4185), 1,
      anon_sym_STAR,
    ACTIONS(4187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4189), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8196), 1,
      anon_sym_RPAREN,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6462), 1,
      sym__declarator,
    STATE(6602), 1,
      sym__abstract_declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8837), 1,
      anon_sym_LT,
    STATE(2291), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2509), 1,
      sym_template_argument_list,
    ACTIONS(4061), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(4919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [158124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8845), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158216] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [158304] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6391), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158396] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8881), 1,
      anon_sym_COMMA,
    ACTIONS(8883), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158490] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [158554] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [158640] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [158724] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [158806] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [158886] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [158962] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159036] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159106] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159172] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8885), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159266] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159334] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8681), 1,
      anon_sym_COLON,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159428] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [159516] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159608] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [159696] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6836), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159788] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8887), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159880] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8889), 1,
      anon_sym_COMMA,
    ACTIONS(8891), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159974] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8893), 1,
      anon_sym_COMMA,
    ACTIONS(8895), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160068] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8897), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160162] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8899), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160254] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8821), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160346] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8901), 1,
      anon_sym_COMMA,
    ACTIONS(8903), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160440] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    ACTIONS(8907), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160534] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8909), 1,
      anon_sym_COMMA,
    ACTIONS(8911), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160628] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8913), 1,
      anon_sym_COMMA,
    ACTIONS(8915), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160722] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [160810] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [160898] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8917), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160992] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6307), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [161052] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8919), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6377), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6379), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [161206] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8921), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161300] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(7610), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8923), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(1814), 1,
      sym_attribute_specifier,
    STATE(5140), 1,
      sym_field_declaration_list,
    STATE(6996), 1,
      sym_virtual_specifier,
    STATE(7699), 1,
      sym_base_class_clause,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5340), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [161456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8851), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161548] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_DOT,
    ACTIONS(8603), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8611), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_PIPE,
    ACTIONS(8621), 1,
      anon_sym_AMP,
    ACTIONS(8627), 1,
      anon_sym_LT_LT,
    ACTIONS(8629), 1,
      anon_sym_GT_GT,
    ACTIONS(8631), 1,
      anon_sym_QMARK,
    ACTIONS(8633), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8635), 1,
      anon_sym_bitor,
    ACTIONS(8637), 1,
      anon_sym_bitand,
    STATE(3500), 1,
      sym_argument_list,
    STATE(3501), 1,
      sym_subscript_argument_list,
    ACTIONS(7457), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8607), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8609), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8619), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8639), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8851), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8625), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2155), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4929), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5995), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5011), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(5014), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [161692] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161780] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6391), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161872] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [161936] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [162022] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [162106] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [162188] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [162268] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [162344] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6307), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162418] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162488] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162554] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6309), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162622] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6790), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [162710] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162802] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6832), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [162890] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6836), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162982] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [163070] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6852), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [163158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6269), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6271), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [163216] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6279), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6281), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163276] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6285), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6287), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6289), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6291), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [163394] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8925), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163488] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8927), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163582] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8929), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163676] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8931), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163767] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8933), 1,
      anon_sym_COMMA,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(8935), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8937), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163949] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6677), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4903), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8073), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164026] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8939), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164117] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8941), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164208] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8943), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164299] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164390] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8945), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164481] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(8947), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164572] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8949), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164663] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164754] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164845] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8142), 1,
      sym_identifier,
    ACTIONS(8144), 1,
      anon_sym_LPAREN2,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2834), 1,
      sym__type_declarator,
    STATE(3230), 1,
      sym_pointer_type_declarator,
    STATE(8603), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3208), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165009] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165100] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    ACTIONS(4087), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5682), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [165242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    ACTIONS(4845), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4838), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [165293] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8951), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165384] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(8953), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165475] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8955), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165566] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8957), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165657] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8959), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165748] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8961), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165839] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8963), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165930] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8965), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8967), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6336), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6338), 30,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [166068] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8970), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166159] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8972), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8142), 1,
      sym_identifier,
    ACTIONS(8144), 1,
      anon_sym_LPAREN2,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2853), 1,
      sym__type_declarator,
    STATE(3230), 1,
      sym_pointer_type_declarator,
    STATE(8603), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3208), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166323] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8974), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166414] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4567), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166505] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8976), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166596] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8978), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166687] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(8980), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166778] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8982), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166869] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166960] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8984), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167051] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167142] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2161), 1,
      sym__type_declarator,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(8274), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167215] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8986), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5586), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5374), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8142), 1,
      sym_identifier,
    ACTIONS(8144), 1,
      anon_sym_LPAREN2,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2880), 1,
      sym__type_declarator,
    STATE(3230), 1,
      sym_pointer_type_declarator,
    STATE(8603), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3208), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8988), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167560] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8990), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(8992), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5582), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5676), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167832] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2140), 1,
      sym__type_declarator,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(8274), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5514), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5518), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167995] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8994), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168086] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8996), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168177] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8998), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168268] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168359] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168450] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9000), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5532), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168586] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9002), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168677] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9004), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168768] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168859] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9006), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168950] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(9008), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169041] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9010), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169132] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169223] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5623), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5506), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5498), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5524), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5551), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5555), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5559), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5551), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169674] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(9012), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5551), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6940), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169855] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9014), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169946] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9016), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170037] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9018), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170128] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9020), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170219] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9022), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170310] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9024), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170401] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9026), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170492] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(9028), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170583] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9030), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5615), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170719] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9032), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5619), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5627), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170900] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9034), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5631), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5635), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171081] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9036), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5637), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5639), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171217] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9038), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171308] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(9040), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171399] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9042), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5650), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5654), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5658), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5662), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5654), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7720), 1,
      sym_literal_suffix,
    ACTIONS(4071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4063), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5666), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171807] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9044), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171898] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9046), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171989] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9048), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172080] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9050), 1,
      anon_sym_COMMA,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172171] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9052), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172262] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9054), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172353] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9056), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9058), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172535] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9060), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5680), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5502), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5510), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5597), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5528), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5536), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172896] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9062), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5540), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173032] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9064), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173123] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9066), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173214] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9068), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173305] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173396] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9072), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173487] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9074), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5547), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173623] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8098), 1,
      sym_identifier,
    ACTIONS(8100), 1,
      anon_sym_LPAREN2,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8106), 1,
      anon_sym_AMP,
    ACTIONS(8112), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3050), 1,
      sym__type_declarator,
    STATE(3433), 1,
      sym_pointer_type_declarator,
    STATE(8483), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3419), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5573), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9076), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5240), 1,
      sym_ms_call_modifier,
    STATE(5587), 1,
      sym__declarator,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(7336), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173913] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4183), 1,
      anon_sym_LPAREN2,
    ACTIONS(4185), 1,
      anon_sym_STAR,
    ACTIONS(4187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4189), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(5730), 1,
      anon_sym_LBRACK,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6588), 1,
      sym__declarator,
    STATE(6802), 1,
      sym__abstract_declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173996] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5238), 1,
      sym_ms_call_modifier,
    STATE(5471), 1,
      sym__declarator,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(7360), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174077] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9078), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174168] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9080), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174259] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174350] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9082), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174441] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6202), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174514] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6213), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174587] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9084), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174678] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6221), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174751] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(8120), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8122), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(6225), 1,
      sym__type_declarator,
    STATE(8376), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174824] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(8120), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8122), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(6147), 1,
      sym__type_declarator,
    STATE(8376), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174897] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(8120), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8122), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(6168), 1,
      sym__type_declarator,
    STATE(8376), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174970] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8126), 1,
      sym_primitive_type,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5858), 1,
      sym__type_declarator,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175043] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2153), 1,
      sym__type_declarator,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(8274), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175116] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6503), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6490), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175258] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6477), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6506), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175400] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5250), 1,
      sym_ms_call_modifier,
    STATE(5596), 1,
      sym__declarator,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(7114), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [175481] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175572] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175663] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8098), 1,
      sym_identifier,
    ACTIONS(8100), 1,
      anon_sym_LPAREN2,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8106), 1,
      anon_sym_AMP,
    ACTIONS(8112), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2988), 1,
      sym__type_declarator,
    STATE(3433), 1,
      sym_pointer_type_declarator,
    STATE(8483), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3419), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175736] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6714), 1,
      sym__type_declarator,
    STATE(8418), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6686), 1,
      sym__type_declarator,
    STATE(8418), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175882] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6692), 1,
      sym__type_declarator,
    STATE(8418), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175955] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    ACTIONS(9086), 1,
      anon_sym_RBRACK,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176046] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5256), 1,
      sym_ms_call_modifier,
    STATE(5483), 1,
      sym__declarator,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(7357), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5260), 1,
      sym_ms_call_modifier,
    STATE(5468), 1,
      sym__declarator,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(7269), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176208] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5263), 1,
      sym_ms_call_modifier,
    STATE(5525), 1,
      sym__declarator,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(7354), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176380] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5267), 1,
      sym_ms_call_modifier,
    STATE(5475), 1,
      sym__declarator,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(7162), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8126), 1,
      sym_primitive_type,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5885), 1,
      sym__type_declarator,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176534] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9090), 1,
      anon_sym___attribute__,
    ACTIONS(9093), 1,
      anon_sym___attribute,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(4880), 1,
      sym_ref_qualifier,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5679), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5271), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [176621] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9107), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176712] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6483), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8297), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176783] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176874] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6480), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5732), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176945] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6488), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8301), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177016] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6504), 1,
      sym__abstract_declarator,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6638), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177087] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      sym_auto,
    ACTIONS(6650), 1,
      anon_sym_decltype,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(2621), 1,
      sym_decltype_auto,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6718), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4857), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8049), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177164] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8098), 1,
      sym_identifier,
    ACTIONS(8100), 1,
      anon_sym_LPAREN2,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8106), 1,
      anon_sym_AMP,
    ACTIONS(8112), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2934), 1,
      sym__type_declarator,
    STATE(3433), 1,
      sym_pointer_type_declarator,
    STATE(8483), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3419), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(9109), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6301), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177373] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8126), 1,
      sym_primitive_type,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5894), 1,
      sym__type_declarator,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177446] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(9090), 1,
      anon_sym___attribute__,
    ACTIONS(9093), 1,
      anon_sym___attribute,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(4917), 1,
      sym_ref_qualifier,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5658), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5278), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [177533] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9111), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177624] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8785), 1,
      anon_sym_SLASH,
    ACTIONS(8791), 1,
      anon_sym_PIPE,
    ACTIONS(8795), 1,
      anon_sym_AMP,
    ACTIONS(8801), 1,
      anon_sym_GT_EQ,
    ACTIONS(8807), 1,
      anon_sym_QMARK,
    ACTIONS(8809), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8811), 1,
      anon_sym_bitor,
    ACTIONS(8813), 1,
      anon_sym_bitand,
    ACTIONS(9113), 1,
      anon_sym_COLON,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(7572), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8781), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8783), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8789), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8793), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8803), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8797), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8799), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177715] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9115), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177806] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9117), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177897] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_RBRACK,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_PIPE,
    ACTIONS(8583), 1,
      anon_sym_AMP,
    ACTIONS(8589), 1,
      anon_sym_GT_EQ,
    ACTIONS(8595), 1,
      anon_sym_QMARK,
    ACTIONS(8597), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8599), 1,
      anon_sym_bitor,
    ACTIONS(8601), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8569), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8571), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8577), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8581), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8591), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8585), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8587), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(8727), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178079] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9119), 1,
      anon_sym_RPAREN,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178170] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9121), 1,
      anon_sym_COMMA,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9123), 1,
      anon_sym_COMMA,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178352] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9125), 1,
      anon_sym_COMMA,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178443] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9127), 1,
      anon_sym_COMMA,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178534] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    ACTIONS(9129), 1,
      anon_sym_SEMI,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6549), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [178669] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5242), 1,
      sym_ms_call_modifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6406), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [178747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6443), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [178791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6451), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [178835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9131), 1,
      anon_sym_COMMA,
    ACTIONS(9133), 1,
      anon_sym_RBRACK,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4063), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178883] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5257), 1,
      sym_ms_call_modifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6369), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [178961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 1,
      anon_sym_SEMI,
    ACTIONS(4895), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5842), 1,
      anon_sym_LPAREN2,
    ACTIONS(5848), 1,
      anon_sym_LBRACK,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4063), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179013] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5261), 1,
      sym_ms_call_modifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6388), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6465), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6467), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179135] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5264), 1,
      sym_ms_call_modifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6467), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6525), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6529), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179301] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6746), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8049), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    STATE(4953), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6477), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179421] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5269), 1,
      sym_ms_call_modifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6373), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6533), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6481), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6541), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    ACTIONS(8817), 1,
      anon_sym_LBRACE,
    STATE(4806), 1,
      sym_enumerator_list,
    STATE(4869), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5877), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179685] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    STATE(4956), 1,
      sym_ref_qualifier,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5702), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5298), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [179771] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    ACTIONS(9139), 1,
      anon_sym___asm,
    STATE(4949), 1,
      sym_ref_qualifier,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5706), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5288), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [179857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6574), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8297), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6576), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6577), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8301), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_const,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(3962), 1,
      sym_alignas_qualifier,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6578), 1,
      sym__abstract_declarator,
    ACTIONS(6920), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6638), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6905), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6493), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6501), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6557), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9142), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6082), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6084), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6391), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6419), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6561), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6565), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6489), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6497), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180623] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(4936), 1,
      sym_ref_qualifier,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5939), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5295), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [180709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6505), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6431), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6577), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6383), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6397), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3750), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 1,
      anon_sym_SEMI,
    ACTIONS(6894), 1,
      sym_literal_suffix,
    ACTIONS(4071), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4063), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [181021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6409), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181065] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5275), 1,
      sym_ms_call_modifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6451), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181143] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(5266), 1,
      sym_ms_call_modifier,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6616), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9142), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9144), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6040), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6042), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181269] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6778), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8073), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    STATE(4947), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181345] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(4948), 1,
      sym_ref_qualifier,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5929), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5294), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181431] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8517), 1,
      anon_sym_SLASH,
    ACTIONS(8523), 1,
      anon_sym_PIPE,
    ACTIONS(8527), 1,
      anon_sym_AMP,
    ACTIONS(8533), 1,
      anon_sym_GT_EQ,
    ACTIONS(8537), 1,
      anon_sym_QMARK,
    ACTIONS(8539), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8541), 1,
      anon_sym_bitor,
    ACTIONS(8543), 1,
      anon_sym_bitand,
    STATE(2403), 1,
      sym_argument_list,
    STATE(2408), 1,
      sym_subscript_argument_list,
    ACTIONS(6277), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7875), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8513), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8515), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8519), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8521), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8525), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8535), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8529), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8531), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6513), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6537), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6573), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6553), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6569), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6545), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4063), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5253), 1,
      sym_ms_call_modifier,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6378), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181905] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4950), 1,
      sym_ref_qualifier,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(5669), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5289), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [181991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6439), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182035] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(4954), 1,
      sym_ref_qualifier,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(5684), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5284), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2681), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182165] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    ACTIONS(8817), 1,
      anon_sym_LBRACE,
    STATE(4846), 1,
      sym_enumerator_list,
    STATE(4890), 1,
      sym_attribute_specifier,
    ACTIONS(5867), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5869), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6401), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6088), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4885), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5966), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182381] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(9152), 1,
      anon_sym_COLON,
    STATE(1836), 1,
      sym_attribute_specifier,
    STATE(4955), 1,
      sym__enum_base_clause,
    STATE(5142), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6223), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6221), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [182436] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 1,
      anon_sym___attribute__,
    ACTIONS(5883), 1,
      anon_sym___attribute,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(9154), 1,
      anon_sym_COLON,
    STATE(1797), 1,
      sym_attribute_specifier,
    STATE(2171), 1,
      sym__enum_base_clause,
    STATE(2283), 1,
      sym_enumerator_list,
    ACTIONS(6215), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6217), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [182493] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9156), 1,
      sym_identifier,
    ACTIONS(9162), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6233), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4843), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4960), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4962), 6,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6228), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182552] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6608), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4929), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6019), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182670] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_requires,
    STATE(4974), 1,
      sym_ref_qualifier,
    STATE(5992), 1,
      sym__function_attributes_end,
    STATE(6166), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5315), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [182755] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(4995), 1,
      sym_ref_qualifier,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(5846), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5300), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [182840] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6633), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182909] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(4977), 1,
      sym_ref_qualifier,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6128), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5314), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [182994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4863), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5993), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183043] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(9180), 1,
      anon_sym_COLON,
    STATE(2511), 1,
      sym__enum_base_clause,
    STATE(2547), 1,
      sym_enumerator_list,
    STATE(2644), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6223), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [183100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    ACTIONS(5682), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4087), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [183149] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9182), 1,
      anon_sym_requires,
    STATE(4980), 1,
      sym_ref_qualifier,
    STATE(5900), 1,
      sym_trailing_return_type,
    STATE(6129), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5326), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [183234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(9152), 1,
      anon_sym_COLON,
    STATE(1797), 1,
      sym_attribute_specifier,
    STATE(4952), 1,
      sym__enum_base_clause,
    STATE(5139), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6217), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6215), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [183289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4930), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5958), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183338] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_ref_qualifier,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6120), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5308), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [183423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6096), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183492] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6255), 1,
      anon_sym___attribute,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(9180), 1,
      anon_sym_COLON,
    STATE(2510), 1,
      sym__enum_base_clause,
    STATE(2544), 1,
      sym_enumerator_list,
    STATE(2625), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6217), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [183549] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5017), 1,
      sym_ref_qualifier,
    STATE(5848), 1,
      sym_trailing_return_type,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5303), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [183634] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9182), 1,
      anon_sym_requires,
    STATE(5020), 1,
      sym_ref_qualifier,
    STATE(5900), 1,
      sym_trailing_return_type,
    STATE(5932), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5310), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [183719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6617), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6638), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183788] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4965), 1,
      sym_ref_qualifier,
    STATE(5960), 1,
      sym__function_attributes_end,
    STATE(6216), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5312), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [183873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6639), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183942] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6640), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6618), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8301), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184080] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(4991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5824), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5822), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5372), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5374), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4923), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6000), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
    ACTIONS(4838), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4845), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [184274] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9185), 1,
      sym_identifier,
    ACTIONS(9187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9191), 1,
      anon_sym_EQ,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5607), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(9189), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5610), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6125), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    ACTIONS(3292), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4906), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5942), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 1,
      anon_sym_SEMI,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4063), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [184528] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6619), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8297), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184597] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4888), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6015), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5390), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184689] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(4131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4061), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8162), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4069), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [184742] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(4994), 1,
      sym_ref_qualifier,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(5863), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5320), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [184827] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6604), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8297), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184896] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8073), 1,
      anon_sym_COLON,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6856), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4967), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6646), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185040] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9199), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5025), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4945), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9196), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4947), 6,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6194), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6627), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8301), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8285), 1,
      sym_auto,
    ACTIONS(8287), 1,
      anon_sym_decltype,
    STATE(4904), 1,
      sym_decltype_auto,
    ACTIONS(5323), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5325), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4910), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5946), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185266] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8029), 1,
      sym_auto,
    ACTIONS(8031), 1,
      anon_sym_decltype,
    ACTIONS(8049), 1,
      anon_sym_COLON,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(1807), 1,
      sym_decltype_auto,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6848), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4983), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6649), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6638), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185410] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8305), 1,
      anon_sym_STAR,
    ACTIONS(8307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8309), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6628), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6638), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4914), 1,
      sym_attribute_specifier,
    ACTIONS(5919), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5921), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4925), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5925), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185577] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 1,
      anon_sym___attribute__,
    ACTIONS(5883), 1,
      anon_sym___attribute,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(9154), 1,
      anon_sym_COLON,
    STATE(1836), 1,
      sym_attribute_specifier,
    STATE(2175), 1,
      sym__enum_base_clause,
    STATE(2286), 1,
      sym_enumerator_list,
    ACTIONS(6221), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6223), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [185634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4860), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5962), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym___attribute__,
    ACTIONS(8649), 1,
      anon_sym___attribute,
    STATE(4872), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6011), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185732] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8305), 1,
      anon_sym_STAR,
    ACTIONS(8307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8309), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6613), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185801] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(4981), 1,
      sym_ref_qualifier,
    STATE(5848), 1,
      sym_trailing_return_type,
    STATE(6085), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5325), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [185886] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6674), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8297), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185954] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2409), 1,
      sym_compound_statement,
    STATE(4968), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7684), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186030] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1847), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      anon_sym_class,
    ACTIONS(1851), 1,
      anon_sym_struct,
    ACTIONS(1853), 1,
      anon_sym_union,
    ACTIONS(1855), 1,
      anon_sym_typename,
    ACTIONS(3212), 1,
      sym_primitive_type,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9191), 1,
      anon_sym_EQ,
    ACTIONS(9210), 1,
      sym_identifier,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2356), 1,
      sym_type_specifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(3028), 1,
      sym_qualified_type_identifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    ACTIONS(9189), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5528), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5611), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186198] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4168), 1,
      sym_compound_statement,
    STATE(4979), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7755), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5506), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186316] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9214), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3438), 1,
      sym_compound_statement,
    STATE(5029), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7584), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5615), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5551), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5498), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186518] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3220), 1,
      sym_compound_statement,
    STATE(4873), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7571), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5510), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186636] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3518), 1,
      sym_compound_statement,
    STATE(4883), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7469), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5654), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5619), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186796] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3238), 1,
      sym_compound_statement,
    STATE(4998), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7746), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5666), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5627), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186956] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4878), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7655), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5559), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187074] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9220), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5035), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7728), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187150] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9090), 1,
      anon_sym___attribute__,
    ACTIONS(9093), 1,
      anon_sym___attribute,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5679), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5271), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [187228] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9224), 1,
      anon_sym___attribute__,
    ACTIONS(9227), 1,
      anon_sym___attribute,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9238), 1,
      anon_sym_requires,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5680), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5272), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [187306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5582), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5680), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3581), 1,
      sym_compound_statement,
    STATE(4992), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7486), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5631), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5536), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187550] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5097), 1,
      sym_ref_qualifier,
    STATE(6210), 1,
      sym__function_attributes_end,
    STATE(6234), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5338), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [187634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5551), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5635), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187718] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9241), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4891), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(5567), 1,
      sym_compound_statement,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7692), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5637), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5639), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187836] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9241), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5004), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(5593), 1,
      sym_compound_statement,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7510), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5676), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187954] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9214), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3406), 1,
      sym_compound_statement,
    STATE(4864), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7761), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188030] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9243), 1,
      anon_sym_requires,
    STATE(5101), 1,
      sym_ref_qualifier,
    STATE(6191), 1,
      sym_trailing_return_type,
    STATE(6235), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5336), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [188114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5514), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5518), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5551), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5586), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188282] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6661), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5732), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188350] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9246), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3835), 1,
      sym_compound_statement,
    STATE(4907), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7657), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188426] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6663), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6638), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188494] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3220), 1,
      sym_compound_statement,
    STATE(4909), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7707), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6680), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8301), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5532), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5374), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5502), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188764] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9246), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3801), 1,
      sym_compound_statement,
    STATE(4986), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7742), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(9090), 1,
      anon_sym___attribute__,
    ACTIONS(9093), 1,
      anon_sym___attribute,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5658), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5278), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [188918] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3238), 1,
      sym_compound_statement,
    STATE(5006), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7763), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5597), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189036] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2445), 1,
      sym_compound_statement,
    STATE(4858), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7569), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5650), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5654), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5658), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5374), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189280] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    STATE(1569), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4918), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7533), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189356] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(9224), 1,
      anon_sym___attribute__,
    ACTIONS(9227), 1,
      anon_sym___attribute,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5661), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5279), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [189434] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    STATE(1571), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5008), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7567), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5623), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189552] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4922), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(5851), 1,
      sym_compound_statement,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7624), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5540), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189670] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9248), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5009), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(5897), 1,
      sym_compound_statement,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7640), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5555), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189788] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4928), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7605), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5662), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5524), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189948] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4215), 1,
      sym_compound_statement,
    STATE(4862), 1,
      sym_template_parameter_list,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7620), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190024] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9208), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5026), 1,
      sym_requires_clause,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7610), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5547), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5573), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190184] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5219), 1,
      sym_ref_qualifier,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(6154), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5346), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [190267] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9243), 1,
      anon_sym_requires,
    STATE(5163), 1,
      sym_ref_qualifier,
    STATE(6097), 1,
      sym__function_attributes_end,
    STATE(6191), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5352), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [190350] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_COLON,
    STATE(4357), 1,
      sym__enum_base_clause,
    STATE(4434), 1,
      sym_enumerator_list,
    STATE(4612), 1,
      sym_attribute_specifier,
    ACTIONS(6215), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6217), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [190405] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5702), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5298), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [190482] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_COLON,
    STATE(4301), 1,
      sym__enum_base_clause,
    STATE(4451), 1,
      sym_enumerator_list,
    STATE(4633), 1,
      sym_attribute_specifier,
    ACTIONS(6221), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6223), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [190537] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9238), 1,
      anon_sym_requires,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5917), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5291), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [190614] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5168), 1,
      sym_ref_qualifier,
    STATE(6135), 1,
      sym__function_attributes_end,
    STATE(6234), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5366), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [190697] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(9254), 1,
      anon_sym_LPAREN2,
    STATE(2288), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3607), 1,
      sym_argument_list,
    STATE(4773), 1,
      sym_initializer_list,
    ACTIONS(5372), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6187), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [190750] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(5151), 1,
      sym_ref_qualifier,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(6158), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5350), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [190833] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5211), 1,
      sym_ref_qualifier,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6061), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5357), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [190916] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(5684), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5284), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [190993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6784), 1,
      sym__abstract_declarator,
    ACTIONS(5732), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191060] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6785), 1,
      sym__abstract_declarator,
    ACTIONS(6638), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5939), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5295), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [191204] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(5669), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5289), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191281] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    ACTIONS(9139), 1,
      anon_sym___asm,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5706), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5288), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [191358] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6724), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8301), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191425] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5923), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5282), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [191502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9238), 1,
      anon_sym_requires,
    ACTIONS(9260), 1,
      anon_sym___asm,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5707), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9257), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5292), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [191579] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9260), 1,
      anon_sym___asm,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5429), 1,
      sym_trailing_return_type,
    STATE(5670), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9257), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5296), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191656] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5183), 1,
      sym_ref_qualifier,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6133), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5361), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [191739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    STATE(1839), 1,
      sym_attribute_specifier,
    STATE(5143), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5869), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5867), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [191788] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4243), 1,
      sym_alignas_qualifier,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6777), 1,
      sym__abstract_declarator,
    ACTIONS(7989), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8297), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    STATE(4129), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7981), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191855] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9260), 1,
      anon_sym___asm,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9266), 1,
      anon_sym_requires,
    STATE(5400), 1,
      sym_trailing_return_type,
    STATE(5685), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9257), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5286), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    STATE(1800), 1,
      sym_attribute_specifier,
    STATE(5146), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5877), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5875), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [191981] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9260), 1,
      anon_sym___asm,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5703), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9257), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5299), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [192058] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5929), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5294), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [192135] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9269), 1,
      sym_identifier,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_class,
    ACTIONS(9281), 1,
      anon_sym_struct,
    ACTIONS(9283), 1,
      anon_sym_union,
    ACTIONS(9285), 1,
      sym_auto,
    ACTIONS(9287), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      anon_sym_typename,
    STATE(1827), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(3803), 1,
      sym_type_specifier,
    STATE(4022), 1,
      sym_decltype_auto,
    STATE(5152), 1,
      sym_argument_list,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3981), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4027), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192215] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      sym_auto,
    ACTIONS(5329), 1,
      anon_sym_decltype,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1807), 1,
      sym_decltype_auto,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5268), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9293), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9291), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5246), 1,
      sym_ref_qualifier,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6330), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5373), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192351] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5235), 1,
      sym_ref_qualifier,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6327), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5374), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192433] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      sym_primitive_type,
    ACTIONS(9303), 1,
      anon_sym_enum,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9315), 1,
      anon_sym_typename,
    STATE(1557), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1858), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(5167), 1,
      sym_argument_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192513] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      sym_primitive_type,
    ACTIONS(9303), 1,
      anon_sym_enum,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9315), 1,
      anon_sym_typename,
    STATE(1557), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1859), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(5200), 1,
      sym_argument_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(5732), 1,
      anon_sym_COLON,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6792), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192659] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6010), 1,
      sym__function_attributes_end,
    STATE(6219), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5322), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [192735] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5258), 1,
      sym_ref_qualifier,
    STATE(6319), 1,
      sym__function_attributes_end,
    STATE(6491), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5388), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8301), 1,
      anon_sym_COLON,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6861), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192883] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2462), 1,
      sym_compound_statement,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7787), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192953] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6719), 1,
      sym_identifier,
    ACTIONS(6723), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5232), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4960), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(4962), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(9317), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193009] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6713), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      sym_primitive_type,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(2955), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4945), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(4947), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193065] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_requires,
    STATE(5992), 1,
      sym__function_attributes_end,
    STATE(6166), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5315), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193141] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      sym_primitive_type,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9319), 1,
      sym_identifier,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9325), 1,
      anon_sym_enum,
    ACTIONS(9327), 1,
      anon_sym_class,
    ACTIONS(9329), 1,
      anon_sym_struct,
    ACTIONS(9331), 1,
      anon_sym_union,
    ACTIONS(9333), 1,
      anon_sym_typename,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4125), 1,
      sym_type_specifier,
    STATE(5173), 1,
      sym_argument_list,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193221] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      sym_primitive_type,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9319), 1,
      sym_identifier,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9325), 1,
      anon_sym_enum,
    ACTIONS(9327), 1,
      anon_sym_class,
    ACTIONS(9329), 1,
      anon_sym_struct,
    ACTIONS(9331), 1,
      anon_sym_union,
    ACTIONS(9333), 1,
      anon_sym_typename,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4102), 1,
      sym_type_specifier,
    STATE(5182), 1,
      sym_argument_list,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193301] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9335), 1,
      anon_sym_requires,
    STATE(6013), 1,
      sym__function_attributes_end,
    STATE(6179), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5305), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193377] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(5846), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5300), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [193453] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6128), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5314), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [193529] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(5949), 1,
      sym_trailing_return_type,
    STATE(6131), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5317), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [193605] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9182), 1,
      anon_sym_requires,
    STATE(5900), 1,
      sym_trailing_return_type,
    STATE(6129), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5326), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [193681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(4181), 1,
      sym_compound_statement,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7493), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193751] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9344), 1,
      anon_sym_requires,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(6071), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5328), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [193827] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(5880), 1,
      sym_trailing_return_type,
    STATE(6091), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5318), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [193903] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(1612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2840), 1,
      sym_type_specifier,
    STATE(3371), 1,
      sym_qualified_type_identifier,
    STATE(3446), 1,
      sym_decltype_auto,
    STATE(5161), 1,
      sym_argument_list,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3276), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3462), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8297), 1,
      anon_sym_COLON,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6855), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [194049] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(1612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2898), 1,
      sym_type_specifier,
    STATE(3371), 1,
      sym_qualified_type_identifier,
    STATE(3446), 1,
      sym_decltype_auto,
    STATE(5162), 1,
      sym_argument_list,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3276), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3462), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5563), 1,
      anon_sym_const,
    ACTIONS(6638), 1,
      anon_sym_COLON,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(1640), 1,
      sym_alignas_qualifier,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6795), 1,
      sym__abstract_declarator,
    ACTIONS(8339), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8331), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [194195] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9246), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3810), 1,
      sym_compound_statement,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7789), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [194265] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(3917), 1,
      sym_type_specifier,
    STATE(5216), 1,
      sym_argument_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5797), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9385), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5799), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [194389] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9394), 1,
      sym_primitive_type,
    ACTIONS(9396), 1,
      anon_sym_enum,
    ACTIONS(9398), 1,
      anon_sym_class,
    ACTIONS(9400), 1,
      anon_sym_struct,
    ACTIONS(9402), 1,
      anon_sym_union,
    ACTIONS(9404), 1,
      sym_auto,
    ACTIONS(9406), 1,
      anon_sym_decltype,
    ACTIONS(9408), 1,
      anon_sym_typename,
    STATE(1588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2755), 1,
      sym_type_specifier,
    STATE(3138), 1,
      sym_decltype_auto,
    STATE(3152), 1,
      sym_qualified_type_identifier,
    STATE(5203), 1,
      sym_argument_list,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2964), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9392), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3161), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194469] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9394), 1,
      sym_primitive_type,
    ACTIONS(9396), 1,
      anon_sym_enum,
    ACTIONS(9398), 1,
      anon_sym_class,
    ACTIONS(9400), 1,
      anon_sym_struct,
    ACTIONS(9402), 1,
      anon_sym_union,
    ACTIONS(9404), 1,
      sym_auto,
    ACTIONS(9406), 1,
      anon_sym_decltype,
    ACTIONS(9408), 1,
      anon_sym_typename,
    STATE(1588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2770), 1,
      sym_type_specifier,
    STATE(3138), 1,
      sym_decltype_auto,
    STATE(3152), 1,
      sym_qualified_type_identifier,
    STATE(5213), 1,
      sym_argument_list,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2964), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9392), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3161), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5736), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9410), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [194593] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3595), 1,
      sym_compound_statement,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7527), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [194663] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(5863), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5320), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [194739] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9266), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5400), 1,
      sym_trailing_return_type,
    STATE(5864), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5321), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [194815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5429), 1,
      sym_trailing_return_type,
    STATE(5849), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5316), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [194891] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9269), 1,
      sym_identifier,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_class,
    ACTIONS(9281), 1,
      anon_sym_struct,
    ACTIONS(9283), 1,
      anon_sym_union,
    ACTIONS(9285), 1,
      sym_auto,
    ACTIONS(9287), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      anon_sym_typename,
    STATE(1827), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(3790), 1,
      sym_type_specifier,
    STATE(4022), 1,
      sym_decltype_auto,
    STATE(5222), 1,
      sym_argument_list,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3981), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4027), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194971] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      sym_primitive_type,
    ACTIONS(9427), 1,
      anon_sym_enum,
    ACTIONS(9429), 1,
      anon_sym_class,
    ACTIONS(9431), 1,
      anon_sym_struct,
    ACTIONS(9433), 1,
      anon_sym_union,
    ACTIONS(9435), 1,
      sym_auto,
    ACTIONS(9437), 1,
      anon_sym_decltype,
    ACTIONS(9439), 1,
      anon_sym_typename,
    STATE(1570), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2713), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_qualified_type_identifier,
    STATE(5181), 1,
      sym_argument_list,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2889), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9423), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2963), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195051] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3176), 1,
      sym_compound_statement,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7591), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [195121] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      sym_primitive_type,
    ACTIONS(9447), 1,
      anon_sym_enum,
    ACTIONS(9449), 1,
      anon_sym_typename,
    STATE(1555), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1858), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(5177), 1,
      sym_argument_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195201] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      sym_primitive_type,
    ACTIONS(9447), 1,
      anon_sym_enum,
    ACTIONS(9449), 1,
      anon_sym_typename,
    STATE(1555), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1859), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(5179), 1,
      sym_argument_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5021), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5752), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9451), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5758), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9454), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5011), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5014), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195413] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9241), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(5602), 1,
      sym_compound_statement,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7564), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [195483] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      sym_primitive_type,
    ACTIONS(9427), 1,
      anon_sym_enum,
    ACTIONS(9429), 1,
      anon_sym_class,
    ACTIONS(9431), 1,
      anon_sym_struct,
    ACTIONS(9433), 1,
      anon_sym_union,
    ACTIONS(9435), 1,
      sym_auto,
    ACTIONS(9437), 1,
      anon_sym_decltype,
    ACTIONS(9439), 1,
      anon_sym_typename,
    STATE(1570), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2703), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_qualified_type_identifier,
    STATE(5220), 1,
      sym_argument_list,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2889), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9423), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2963), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195563] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3176), 1,
      sym_compound_statement,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7804), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [195633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9461), 1,
      sym_ms_restrict_modifier,
    STATE(5251), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7616), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9464), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9467), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5007), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7618), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [195683] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    STATE(1574), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7595), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [195753] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(5879), 1,
      sym_compound_statement,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7653), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [195823] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4050), 1,
      sym_type_specifier,
    STATE(5196), 1,
      sym_argument_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195903] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4021), 1,
      sym_type_specifier,
    STATE(5201), 1,
      sym_argument_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195983] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(4991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4069), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9470), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4061), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196033] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      sym_auto,
    ACTIONS(5329), 1,
      anon_sym_decltype,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(1807), 1,
      sym_decltype_auto,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5233), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9474), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9472), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196087] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5848), 1,
      sym_trailing_return_type,
    STATE(6085), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5325), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [196163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6120), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5308), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [196239] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5848), 1,
      sym_trailing_return_type,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5303), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [196315] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5880), 1,
      sym_trailing_return_type,
    STATE(5927), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5304), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [196391] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_requires,
    STATE(5245), 1,
      sym_ref_qualifier,
    STATE(6287), 1,
      sym__function_attributes_end,
    STATE(6405), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5376), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [196473] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9182), 1,
      anon_sym_requires,
    STATE(5900), 1,
      sym_trailing_return_type,
    STATE(5932), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5310), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [196549] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9344), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(5940), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5311), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [196625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5766), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9479), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5801), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5032), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5770), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9485), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5772), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5033), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5776), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9488), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5782), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9491), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196845] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7617), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196915] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(3906), 1,
      sym_type_specifier,
    STATE(5174), 1,
      sym_argument_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4988), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5631), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5629), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197037] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9214), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(3334), 1,
      sym_compound_statement,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7598), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [197107] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6020), 1,
      sym_trailing_return_type,
    STATE(6106), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5327), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [197183] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5960), 1,
      sym__function_attributes_end,
    STATE(6216), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5312), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [197259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5786), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9494), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5788), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5790), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197347] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6903), 1,
      anon_sym_AMP,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5274), 1,
      sym_ref_qualifier,
    STATE(6260), 1,
      sym__function_attributes_end,
    STATE(6412), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5386), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [197429] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym_compound_statement,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5191), 1,
      sym_parameter_list,
    STATE(6422), 1,
      sym_type_qualifier,
    STATE(7475), 1,
      sym_lambda_declarator,
    STATE(8109), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6764), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [197499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1799), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5993), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5991), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197542] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(2974), 1,
      sym__class_declaration,
    STATE(2975), 1,
      sym__class_declaration_item,
    STATE(5531), 1,
      sym_ms_declspec_modifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5154), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197623] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(2975), 1,
      sym__class_declaration_item,
    STATE(2977), 1,
      sym__class_declaration,
    STATE(5531), 1,
      sym_ms_declspec_modifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5154), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197704] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(2975), 1,
      sym__class_declaration_item,
    STATE(2978), 1,
      sym__class_declaration,
    STATE(5531), 1,
      sym_ms_declspec_modifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5154), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(5552), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5214), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197866] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(5552), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5214), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197947] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2798), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198028] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2798), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198109] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2798), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198190] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2239), 1,
      sym__class_declaration,
    STATE(2240), 1,
      sym__class_declaration_item,
    STATE(5549), 1,
      sym_ms_declspec_modifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5550), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5193), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198271] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2202), 1,
      sym__class_declaration,
    STATE(2240), 1,
      sym__class_declaration_item,
    STATE(5549), 1,
      sym_ms_declspec_modifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5550), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5193), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198352] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2235), 1,
      sym__class_declaration,
    STATE(2240), 1,
      sym__class_declaration_item,
    STATE(5549), 1,
      sym_ms_declspec_modifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5550), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5193), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198433] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1823), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(5516), 1,
      sym_ms_declspec_modifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5510), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5171), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198514] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(5516), 1,
      sym_ms_declspec_modifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5510), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5171), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198595] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(5516), 1,
      sym_ms_declspec_modifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5510), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5171), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198676] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5535), 1,
      sym_ms_declspec_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5536), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5186), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198757] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5535), 1,
      sym_ms_declspec_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5536), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5186), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198838] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5535), 1,
      sym_ms_declspec_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5536), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5186), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198919] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2615), 1,
      sym__class_declaration,
    STATE(2616), 1,
      sym__class_declaration_item,
    STATE(5557), 1,
      sym_ms_declspec_modifier,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5559), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199000] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2616), 1,
      sym__class_declaration_item,
    STATE(2617), 1,
      sym__class_declaration,
    STATE(5557), 1,
      sym_ms_declspec_modifier,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5559), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199081] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2616), 1,
      sym__class_declaration_item,
    STATE(2620), 1,
      sym__class_declaration,
    STATE(5557), 1,
      sym_ms_declspec_modifier,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5559), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199162] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199243] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1823), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(5601), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5604), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5229), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199324] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2615), 1,
      sym__class_declaration,
    STATE(2616), 1,
      sym__class_declaration_item,
    STATE(5562), 1,
      sym_ms_declspec_modifier,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5187), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199405] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2616), 1,
      sym__class_declaration_item,
    STATE(2617), 1,
      sym__class_declaration,
    STATE(5562), 1,
      sym_ms_declspec_modifier,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5187), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2616), 1,
      sym__class_declaration_item,
    STATE(2620), 1,
      sym__class_declaration,
    STATE(5562), 1,
      sym_ms_declspec_modifier,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5187), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199567] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3408), 1,
      sym__class_declaration,
    STATE(3413), 1,
      sym__class_declaration_item,
    STATE(5534), 1,
      sym_ms_declspec_modifier,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5544), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5169), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199648] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3413), 1,
      sym__class_declaration_item,
    STATE(3420), 1,
      sym__class_declaration,
    STATE(5534), 1,
      sym_ms_declspec_modifier,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5544), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5169), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199729] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3413), 1,
      sym__class_declaration_item,
    STATE(3421), 1,
      sym__class_declaration,
    STATE(5534), 1,
      sym_ms_declspec_modifier,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5544), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5169), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199810] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4590), 1,
      sym__class_declaration,
    STATE(4591), 1,
      sym__class_declaration_item,
    STATE(5611), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5206), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199891] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4591), 1,
      sym__class_declaration_item,
    STATE(4593), 1,
      sym__class_declaration,
    STATE(5611), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5206), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199972] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4591), 1,
      sym__class_declaration_item,
    STATE(4594), 1,
      sym__class_declaration,
    STATE(5611), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5206), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200053] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3129), 1,
      sym__class_declaration_item,
    STATE(5548), 1,
      sym_ms_declspec_modifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5551), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5185), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200134] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3129), 1,
      sym__class_declaration_item,
    STATE(3141), 1,
      sym__class_declaration,
    STATE(5548), 1,
      sym_ms_declspec_modifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5551), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5185), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200215] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3129), 1,
      sym__class_declaration_item,
    STATE(3142), 1,
      sym__class_declaration,
    STATE(5548), 1,
      sym_ms_declspec_modifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5551), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5185), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200296] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(5497), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5501), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5155), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200377] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(5497), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5501), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5155), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200458] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(5497), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5501), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5155), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200539] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4881), 1,
      sym__class_declaration,
    STATE(4892), 1,
      sym__class_declaration_item,
    STATE(5474), 1,
      sym_ms_declspec_modifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5478), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5205), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200620] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4892), 1,
      sym__class_declaration_item,
    STATE(4895), 1,
      sym__class_declaration,
    STATE(5474), 1,
      sym_ms_declspec_modifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5478), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5205), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200701] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4892), 1,
      sym__class_declaration_item,
    STATE(4896), 1,
      sym__class_declaration,
    STATE(5474), 1,
      sym_ms_declspec_modifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5478), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5205), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200782] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4043), 1,
      sym__class_declaration,
    STATE(4045), 1,
      sym__class_declaration_item,
    STATE(5496), 1,
      sym_ms_declspec_modifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5180), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200863] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4045), 1,
      sym__class_declaration_item,
    STATE(4049), 1,
      sym__class_declaration,
    STATE(5496), 1,
      sym_ms_declspec_modifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5180), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200944] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4045), 1,
      sym__class_declaration_item,
    STATE(4051), 1,
      sym__class_declaration,
    STATE(5496), 1,
      sym_ms_declspec_modifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5180), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201025] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4590), 1,
      sym__class_declaration,
    STATE(4591), 1,
      sym__class_declaration_item,
    STATE(5518), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5150), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201106] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4591), 1,
      sym__class_declaration_item,
    STATE(4593), 1,
      sym__class_declaration,
    STATE(5518), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5150), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201187] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4591), 1,
      sym__class_declaration_item,
    STATE(4594), 1,
      sym__class_declaration,
    STATE(5518), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5150), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201268] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5607), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5610), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201349] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5607), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5610), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201430] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5607), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5610), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201511] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201592] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1823), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(5499), 1,
      sym_ms_declspec_modifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5505), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5188), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201673] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2775), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201754] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2775), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201835] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2775), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201916] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(5499), 1,
      sym_ms_declspec_modifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5505), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5188), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201997] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202078] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202159] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202240] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(5499), 1,
      sym_ms_declspec_modifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5505), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5188), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202321] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(6210), 1,
      sym__function_attributes_end,
    STATE(6234), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5338), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [202396] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6218), 1,
      sym__function_attributes_end,
    STATE(6236), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5334), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [202471] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(5601), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5604), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5229), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202552] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration,
    STATE(1850), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(5601), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5604), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5229), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202633] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9243), 1,
      anon_sym_requires,
    STATE(6191), 1,
      sym_trailing_return_type,
    STATE(6235), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5336), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9088), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [202708] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9532), 1,
      anon_sym_requires,
    STATE(6194), 1,
      sym_trailing_return_type,
    STATE(6237), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5333), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9222), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [202783] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2767), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202864] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2767), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202945] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2767), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203026] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203107] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203188] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203350] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203431] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203512] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2742), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203593] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2742), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2742), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203755] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203836] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203917] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(7293), 1,
      anon_sym_LPAREN2,
    STATE(1902), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3484), 1,
      sym_argument_list,
    STATE(3485), 1,
      sym_initializer_list,
    ACTIONS(5372), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [204049] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204130] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204211] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204292] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204373] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204454] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204535] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2756), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204616] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2756), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204697] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2756), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204778] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2757), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204859] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2757), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204940] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2757), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205021] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205102] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2759), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205183] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2759), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205264] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2759), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205345] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2367), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2760), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205426] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2424), 1,
      sym__class_declaration,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2760), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205507] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2760), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5492), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5224), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1813), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6000), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5998), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1834), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6011), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6009), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1838), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6015), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6013), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1844), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5921), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5919), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1845), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5925), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5923), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1798), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5942), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5940), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1828), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5946), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5944), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1806), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5962), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1808), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5966), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5964), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [205975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1811), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6019), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6017), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [206018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1817), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5958), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5956), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [206061] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(6626), 1,
      anon_sym_LPAREN2,
    STATE(1902), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2419), 1,
      sym_argument_list,
    STATE(3847), 1,
      sym_initializer_list,
    ACTIONS(5372), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [206112] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration,
    STATE(2402), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(5552), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5214), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206193] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4619), 1,
      sym__class_declaration_item,
    STATE(5539), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5537), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206271] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9266), 1,
      anon_sym_requires,
    STATE(5400), 1,
      sym_trailing_return_type,
    STATE(6159), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5351), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [206345] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9269), 1,
      sym_identifier,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_class,
    ACTIONS(9281), 1,
      anon_sym_struct,
    ACTIONS(9283), 1,
      anon_sym_union,
    ACTIONS(9285), 1,
      sym_auto,
    ACTIONS(9287), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      anon_sym_typename,
    STATE(1827), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(3819), 1,
      sym_type_specifier,
    STATE(4022), 1,
      sym_decltype_auto,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3981), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4027), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206419] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3758), 1,
      sym_identifier,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(3772), 1,
      anon_sym_enum,
    ACTIONS(3774), 1,
      anon_sym_class,
    ACTIONS(3776), 1,
      anon_sym_struct,
    ACTIONS(3778), 1,
      anon_sym_union,
    ACTIONS(3780), 1,
      anon_sym_typename,
    STATE(2356), 1,
      sym_type_specifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206493] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(3007), 1,
      sym__class_declaration_item,
    STATE(5561), 1,
      sym_ms_declspec_modifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206571] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(5595), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5584), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206649] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7927), 1,
      anon_sym_enum,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(7935), 1,
      anon_sym_typename,
    STATE(2356), 1,
      sym_type_specifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206723] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(5903), 1,
      sym__declarator,
    STATE(7336), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206793] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3212), 1,
      sym_primitive_type,
    ACTIONS(3214), 1,
      anon_sym_enum,
    ACTIONS(3216), 1,
      anon_sym_class,
    ACTIONS(3218), 1,
      anon_sym_struct,
    ACTIONS(3220), 1,
      anon_sym_union,
    ACTIONS(3222), 1,
      anon_sym_typename,
    ACTIONS(5077), 1,
      sym_identifier,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2356), 1,
      sym_type_specifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(3028), 1,
      sym_qualified_type_identifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206867] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9243), 1,
      anon_sym_requires,
    STATE(6097), 1,
      sym__function_attributes_end,
    STATE(6191), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5352), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [206941] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6133), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5361), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [207015] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(1612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2881), 1,
      sym_type_specifier,
    STATE(3371), 1,
      sym_qualified_type_identifier,
    STATE(3446), 1,
      sym_decltype_auto,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3276), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3462), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207089] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(1612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2905), 1,
      sym_type_specifier,
    STATE(3371), 1,
      sym_qualified_type_identifier,
    STATE(3446), 1,
      sym_decltype_auto,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3276), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3462), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9532), 1,
      anon_sym_requires,
    STATE(6058), 1,
      sym__function_attributes_end,
    STATE(6194), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5354), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [207237] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(5899), 1,
      sym__declarator,
    STATE(7357), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [207307] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2745), 1,
      anon_sym_enum,
    ACTIONS(2747), 1,
      anon_sym_class,
    ACTIONS(2749), 1,
      anon_sym_struct,
    ACTIONS(2751), 1,
      anon_sym_union,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(2779), 1,
      anon_sym_typename,
    ACTIONS(7899), 1,
      sym_identifier,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7903), 1,
      sym_primitive_type,
    STATE(2540), 1,
      sym_type_specifier,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4178), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207381] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      sym_primitive_type,
    ACTIONS(9319), 1,
      sym_identifier,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9325), 1,
      anon_sym_enum,
    ACTIONS(9327), 1,
      anon_sym_class,
    ACTIONS(9329), 1,
      anon_sym_struct,
    ACTIONS(9331), 1,
      anon_sym_union,
    ACTIONS(9333), 1,
      anon_sym_typename,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2540), 1,
      sym_type_specifier,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      sym_primitive_type,
    ACTIONS(9303), 1,
      anon_sym_enum,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9315), 1,
      anon_sym_typename,
    STATE(1557), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1866), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207529] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(6098), 1,
      sym__function_attributes_end,
    STATE(6236), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5363), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [207603] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3338), 1,
      sym__class_declaration_item,
    STATE(5586), 1,
      sym_ms_declspec_modifier,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5554), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207681] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(9537), 1,
      anon_sym_enum,
    ACTIONS(9539), 1,
      anon_sym_typename,
    STATE(2356), 1,
      sym_type_specifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4969), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9535), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207755] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1819), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(5542), 1,
      sym_ms_declspec_modifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5589), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207833] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(9537), 1,
      anon_sym_enum,
    ACTIONS(9539), 1,
      anon_sym_typename,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4969), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(6804), 1,
      sym_type_specifier,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9535), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207907] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      sym_primitive_type,
    ACTIONS(9319), 1,
      sym_identifier,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9325), 1,
      anon_sym_enum,
    ACTIONS(9327), 1,
      anon_sym_class,
    ACTIONS(9329), 1,
      anon_sym_struct,
    ACTIONS(9331), 1,
      anon_sym_union,
    ACTIONS(9333), 1,
      anon_sym_typename,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4128), 1,
      sym_type_specifier,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207981] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(3933), 1,
      sym_type_specifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208055] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(6135), 1,
      sym__function_attributes_end,
    STATE(6234), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5366), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208129] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6061), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5357), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208203] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      sym_primitive_type,
    ACTIONS(9447), 1,
      anon_sym_enum,
    ACTIONS(9449), 1,
      anon_sym_typename,
    STATE(1555), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1866), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9541), 1,
      anon_sym_LBRACE,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(6274), 1,
      sym_type_qualifier,
    STATE(7155), 1,
      sym_trailing_return_type,
    STATE(8104), 1,
      sym_requires_clause,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(6598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6597), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208341] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      sym_primitive_type,
    ACTIONS(9447), 1,
      anon_sym_enum,
    ACTIONS(9449), 1,
      anon_sym_typename,
    STATE(1555), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1857), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208415] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4029), 1,
      sym__class_declaration_item,
    STATE(5541), 1,
      sym_ms_declspec_modifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208493] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      sym_primitive_type,
    ACTIONS(9427), 1,
      anon_sym_enum,
    ACTIONS(9429), 1,
      anon_sym_class,
    ACTIONS(9431), 1,
      anon_sym_struct,
    ACTIONS(9433), 1,
      anon_sym_union,
    ACTIONS(9435), 1,
      sym_auto,
    ACTIONS(9437), 1,
      anon_sym_decltype,
    ACTIONS(9439), 1,
      anon_sym_typename,
    STATE(1570), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2692), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_qualified_type_identifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2889), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9423), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2963), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208567] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(2775), 1,
      sym_auto,
    ACTIONS(2777), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      sym_primitive_type,
    ACTIONS(9319), 1,
      sym_identifier,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9325), 1,
      anon_sym_enum,
    ACTIONS(9327), 1,
      anon_sym_class,
    ACTIONS(9329), 1,
      anon_sym_struct,
    ACTIONS(9331), 1,
      anon_sym_union,
    ACTIONS(9333), 1,
      anon_sym_typename,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2656), 1,
      sym_decltype_auto,
    STATE(4067), 1,
      sym_type_specifier,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2605), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208641] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(6020), 1,
      sym_trailing_return_type,
    STATE(6134), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5368), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208715] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(5883), 1,
      sym__declarator,
    STATE(7114), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208785] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3136), 1,
      sym__class_declaration_item,
    STATE(5609), 1,
      sym_ms_declspec_modifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5583), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208863] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5470), 1,
      sym_ms_declspec_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208941] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2635), 1,
      sym__class_declaration_item,
    STATE(5577), 1,
      sym_ms_declspec_modifier,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209019] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1819), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(5523), 1,
      sym_ms_declspec_modifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5600), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209097] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3770), 1,
      sym_primitive_type,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7929), 1,
      anon_sym_class,
    ACTIONS(7931), 1,
      anon_sym_struct,
    ACTIONS(7933), 1,
      anon_sym_union,
    ACTIONS(9537), 1,
      anon_sym_enum,
    ACTIONS(9539), 1,
      anon_sym_typename,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4969), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(6847), 1,
      sym_type_specifier,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9535), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209171] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1847), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      anon_sym_class,
    ACTIONS(1851), 1,
      anon_sym_struct,
    ACTIONS(1853), 1,
      anon_sym_union,
    ACTIONS(1855), 1,
      anon_sym_typename,
    ACTIONS(3212), 1,
      sym_primitive_type,
    ACTIONS(4869), 1,
      sym_identifier,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2356), 1,
      sym_type_specifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(3028), 1,
      sym_qualified_type_identifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209245] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(9547), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(6272), 1,
      sym_type_qualifier,
    STATE(7177), 1,
      sym_trailing_return_type,
    STATE(8365), 1,
      sym_requires_clause,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(6580), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6605), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209309] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(1612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3186), 1,
      sym_type_specifier,
    STATE(3371), 1,
      sym_qualified_type_identifier,
    STATE(3446), 1,
      sym_decltype_auto,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3276), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3462), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209383] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2233), 1,
      sym__class_declaration_item,
    STATE(5579), 1,
      sym_ms_declspec_modifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5578), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209461] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(6158), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5350), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209535] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5522), 1,
      sym_ms_declspec_modifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5495), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209613] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4031), 1,
      sym_type_specifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209687] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(5875), 1,
      sym__declarator,
    STATE(7214), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209757] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(5937), 1,
      sym__declarator,
    STATE(7487), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209827] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2635), 1,
      sym__class_declaration_item,
    STATE(5476), 1,
      sym_ms_declspec_modifier,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5546), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209905] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      sym_primitive_type,
    ACTIONS(9303), 1,
      anon_sym_enum,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9315), 1,
      anon_sym_typename,
    STATE(1557), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1857), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209979] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4059), 1,
      sym_type_specifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210053] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9295), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9301), 1,
      sym_primitive_type,
    ACTIONS(9303), 1,
      anon_sym_enum,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9315), 1,
      anon_sym_typename,
    STATE(1557), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2131), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9394), 1,
      sym_primitive_type,
    ACTIONS(9396), 1,
      anon_sym_enum,
    ACTIONS(9398), 1,
      anon_sym_class,
    ACTIONS(9400), 1,
      anon_sym_struct,
    ACTIONS(9402), 1,
      anon_sym_union,
    ACTIONS(9404), 1,
      sym_auto,
    ACTIONS(9406), 1,
      anon_sym_decltype,
    ACTIONS(9408), 1,
      anon_sym_typename,
    STATE(1588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2776), 1,
      sym_type_specifier,
    STATE(3138), 1,
      sym_decltype_auto,
    STATE(3152), 1,
      sym_qualified_type_identifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2964), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9392), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3161), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210201] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_alignas_qualifier,
    STATE(5178), 1,
      sym_parameter_list,
    STATE(6407), 1,
      sym_type_qualifier,
    STATE(8162), 1,
      sym_trailing_return_type,
    ACTIONS(6993), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6736), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6986), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [210265] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4866), 1,
      sym__class_declaration_item,
    STATE(5512), 1,
      sym_ms_declspec_modifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5511), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210343] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4619), 1,
      sym__class_declaration_item,
    STATE(5524), 1,
      sym_ms_declspec_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210421] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9269), 1,
      sym_identifier,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_class,
    ACTIONS(9281), 1,
      anon_sym_struct,
    ACTIONS(9283), 1,
      anon_sym_union,
    ACTIONS(9285), 1,
      sym_auto,
    ACTIONS(9287), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      anon_sym_typename,
    STATE(1827), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4008), 1,
      sym_type_specifier,
    STATE(4022), 1,
      sym_decltype_auto,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3981), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4027), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210495] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9394), 1,
      sym_primitive_type,
    ACTIONS(9396), 1,
      anon_sym_enum,
    ACTIONS(9398), 1,
      anon_sym_class,
    ACTIONS(9400), 1,
      anon_sym_struct,
    ACTIONS(9402), 1,
      anon_sym_union,
    ACTIONS(9404), 1,
      sym_auto,
    ACTIONS(9406), 1,
      anon_sym_decltype,
    ACTIONS(9408), 1,
      anon_sym_typename,
    STATE(1588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3052), 1,
      sym_type_specifier,
    STATE(3138), 1,
      sym_decltype_auto,
    STATE(3152), 1,
      sym_qualified_type_identifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2964), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9392), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3161), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210569] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9305), 1,
      anon_sym_class,
    ACTIONS(9307), 1,
      anon_sym_struct,
    ACTIONS(9309), 1,
      anon_sym_union,
    ACTIONS(9311), 1,
      sym_auto,
    ACTIONS(9313), 1,
      anon_sym_decltype,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      sym_primitive_type,
    ACTIONS(9447), 1,
      anon_sym_enum,
    ACTIONS(9449), 1,
      anon_sym_typename,
    STATE(1555), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2131), 1,
      sym_type_specifier,
    STATE(2188), 1,
      sym_decltype_auto,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2146), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2194), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7909), 1,
      sym_identifier,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7913), 1,
      anon_sym_enum,
    ACTIONS(7915), 1,
      anon_sym_class,
    ACTIONS(7917), 1,
      anon_sym_struct,
    ACTIONS(7919), 1,
      anon_sym_union,
    ACTIONS(7921), 1,
      anon_sym_typename,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4423), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210717] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5949), 1,
      sym_trailing_return_type,
    STATE(6074), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5362), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210791] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      sym_primitive_type,
    ACTIONS(9427), 1,
      anon_sym_enum,
    ACTIONS(9429), 1,
      anon_sym_class,
    ACTIONS(9431), 1,
      anon_sym_struct,
    ACTIONS(9433), 1,
      anon_sym_union,
    ACTIONS(9435), 1,
      sym_auto,
    ACTIONS(9437), 1,
      anon_sym_decltype,
    ACTIONS(9439), 1,
      anon_sym_typename,
    STATE(1570), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2910), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_qualified_type_identifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2889), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9423), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2963), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210865] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9388), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9394), 1,
      sym_primitive_type,
    ACTIONS(9396), 1,
      anon_sym_enum,
    ACTIONS(9398), 1,
      anon_sym_class,
    ACTIONS(9400), 1,
      anon_sym_struct,
    ACTIONS(9402), 1,
      anon_sym_union,
    ACTIONS(9404), 1,
      sym_auto,
    ACTIONS(9406), 1,
      anon_sym_decltype,
    ACTIONS(9408), 1,
      anon_sym_typename,
    STATE(1588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2792), 1,
      sym_type_specifier,
    STATE(3138), 1,
      sym_decltype_auto,
    STATE(3152), 1,
      sym_qualified_type_identifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2964), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9392), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3161), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210939] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(5590), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [211017] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__declarator,
    STATE(7214), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211087] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(3927), 1,
      sym_type_specifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211161] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(6154), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5346), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211235] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1787), 1,
      anon_sym_enum,
    ACTIONS(1789), 1,
      anon_sym_class,
    ACTIONS(1791), 1,
      anon_sym_struct,
    ACTIONS(1793), 1,
      anon_sym_union,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(1821), 1,
      anon_sym_typename,
    ACTIONS(7811), 1,
      sym_identifier,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      sym_primitive_type,
    STATE(1707), 1,
      sym_type_specifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211309] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5429), 1,
      sym_trailing_return_type,
    STATE(6155), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5347), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211383] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      sym_primitive_type,
    ACTIONS(9427), 1,
      anon_sym_enum,
    ACTIONS(9429), 1,
      anon_sym_class,
    ACTIONS(9431), 1,
      anon_sym_struct,
    ACTIONS(9433), 1,
      anon_sym_union,
    ACTIONS(9435), 1,
      sym_auto,
    ACTIONS(9437), 1,
      anon_sym_decltype,
    ACTIONS(9439), 1,
      anon_sym_typename,
    STATE(1570), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2707), 1,
      sym_type_specifier,
    STATE(2961), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_qualified_type_identifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2889), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9423), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2963), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211457] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(5837), 1,
      sym__declarator,
    STATE(7214), 1,
      sym_init_declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211527] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(9269), 1,
      sym_identifier,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_class,
    ACTIONS(9281), 1,
      anon_sym_struct,
    ACTIONS(9283), 1,
      anon_sym_union,
    ACTIONS(9285), 1,
      sym_auto,
    ACTIONS(9287), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      anon_sym_typename,
    STATE(1827), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(3812), 1,
      sym_type_specifier,
    STATE(4022), 1,
      sym_decltype_auto,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(3981), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4027), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211601] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7829), 1,
      sym_identifier,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7835), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_enum,
    ACTIONS(7839), 1,
      anon_sym_class,
    ACTIONS(7841), 1,
      anon_sym_struct,
    ACTIONS(7843), 1,
      anon_sym_union,
    ACTIONS(7845), 1,
      anon_sym_typename,
    STATE(1707), 1,
      sym_type_specifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211675] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(5560), 1,
      sym_ms_declspec_modifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [211753] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(5887), 1,
      sym__declarator,
    STATE(7360), 1,
      sym_init_declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211823] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_class,
    ACTIONS(75), 1,
      anon_sym_struct,
    ACTIONS(77), 1,
      anon_sym_union,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(129), 1,
      anon_sym_typename,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(3212), 1,
      sym_primitive_type,
    ACTIONS(5077), 1,
      sym_identifier,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2356), 1,
      sym_type_specifier,
    STATE(2457), 1,
      sym_decltype_auto,
    STATE(3028), 1,
      sym_qualified_type_identifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2476), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211897] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7853), 1,
      sym_identifier,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7859), 1,
      sym_primitive_type,
    ACTIONS(7861), 1,
      anon_sym_enum,
    ACTIONS(7863), 1,
      anon_sym_class,
    ACTIONS(7865), 1,
      anon_sym_struct,
    ACTIONS(7867), 1,
      anon_sym_union,
    ACTIONS(7869), 1,
      sym_auto,
    ACTIONS(7871), 1,
      anon_sym_decltype,
    ACTIONS(7873), 1,
      anon_sym_typename,
    STATE(2749), 1,
      sym_qualified_type_identifier,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4423), 1,
      sym_type_specifier,
    STATE(4584), 1,
      sym_decltype_auto,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(2336), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4585), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211971] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1817), 1,
      sym_auto,
    ACTIONS(1819), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      sym_primitive_type,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      anon_sym_enum,
    ACTIONS(9377), 1,
      anon_sym_class,
    ACTIONS(9379), 1,
      anon_sym_struct,
    ACTIONS(9381), 1,
      anon_sym_union,
    ACTIONS(9383), 1,
      anon_sym_typename,
    STATE(1707), 1,
      sym_type_specifier,
    STATE(1824), 1,
      sym_decltype_auto,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1872), 1,
      sym_qualified_type_identifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(1725), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [212045] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5368), 1,
      anon_sym___declspec,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1819), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(5526), 1,
      sym_ms_declspec_modifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5362), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5500), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [212123] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(7877), 1,
      sym_identifier,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7883), 1,
      sym_primitive_type,
    ACTIONS(7885), 1,
      anon_sym_enum,
    ACTIONS(7887), 1,
      anon_sym_class,
    ACTIONS(7889), 1,
      anon_sym_struct,
    ACTIONS(7891), 1,
      anon_sym_union,
    ACTIONS(7893), 1,
      sym_auto,
    ACTIONS(7895), 1,
      anon_sym_decltype,
    ACTIONS(7897), 1,
      anon_sym_typename,
    STATE(4014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4845), 1,
      sym_type_specifier,
    STATE(4898), 1,
      sym_decltype_auto,
    STATE(4915), 1,
      sym_qualified_type_identifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_dependent_type_identifier,
    STATE(4828), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7881), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4905), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [212197] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6587), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5011), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(5014), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5794), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4929), 17,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [212307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9553), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9551), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212352] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6634), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212419] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(5949), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5372), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [212492] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_STAR,
    ACTIONS(7041), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7043), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6066), 1,
      sym__declarator,
    STATE(8647), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212559] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6330), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5373), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [212632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6394), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212699] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6637), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212766] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6371), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4988), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9555), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5372), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [212874] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6374), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212941] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(6319), 1,
      sym__function_attributes_end,
    STATE(6491), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5388), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213014] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_requires,
    STATE(6287), 1,
      sym__function_attributes_end,
    STATE(6405), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5376), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213087] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9558), 1,
      anon_sym_requires,
    STATE(6288), 1,
      sym__function_attributes_end,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5378), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6020), 1,
      sym_trailing_return_type,
    STATE(6334), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5389), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213233] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6462), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213300] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6462), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6629), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213434] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6463), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7946), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7948), 26,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [213538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7950), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7952), 26,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [213575] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6434), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213642] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6952), 1,
      anon_sym_STAR,
    ACTIONS(6954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6956), 1,
      anon_sym_AMP,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(7921), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213709] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6624), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213776] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6411), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213843] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213910] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(6344), 1,
      sym__function_attributes_end,
    STATE(6496), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5381), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213983] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6566), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6386), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214117] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6396), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214184] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_STAR,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(6643), 1,
      sym__declarator,
    STATE(8108), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214251] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6453), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214318] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6464), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214385] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    ACTIONS(7158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7160), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6243), 1,
      sym__declarator,
    STATE(8004), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214452] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3196), 1,
      anon_sym_STAR,
    ACTIONS(3198), 1,
      anon_sym_AMP,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(6588), 1,
      sym__declarator,
    STATE(8001), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214519] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6423), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1619), 1,
      sym_alignas_qualifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9563), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9561), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214631] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6433), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214698] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(9090), 1,
      anon_sym___attribute__,
    ACTIONS(9093), 1,
      anon_sym___attribute,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5679), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214765] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(9224), 1,
      anon_sym___attribute__,
    ACTIONS(9227), 1,
      anon_sym___attribute,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9238), 1,
      anon_sym_requires,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5680), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214832] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    ACTIONS(9570), 1,
      anon_sym___attribute,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(5515), 1,
      sym_trailing_return_type,
    STATE(5681), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214899] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__function_attributes_end,
    STATE(6412), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5386), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [214972] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6262), 1,
      sym__function_attributes_end,
    STATE(6431), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5387), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [215045] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6960), 1,
      sym_identifier,
    ACTIONS(6962), 1,
      anon_sym_STAR,
    ACTIONS(6964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6966), 1,
      anon_sym_AMP,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(6376), 1,
      sym__declarator,
    STATE(8556), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215112] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3192), 1,
      anon_sym_LPAREN2,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5716), 1,
      sym_identifier,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_STAR,
    ACTIONS(7149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7151), 1,
      anon_sym_AMP,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(6502), 1,
      sym__declarator,
    STATE(8057), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5964), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215179] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(9090), 1,
      anon_sym___attribute__,
    ACTIONS(9093), 1,
      anon_sym___attribute,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5658), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215246] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(9224), 1,
      anon_sym___attribute__,
    ACTIONS(9227), 1,
      anon_sym___attribute,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5661), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215313] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    ACTIONS(9570), 1,
      anon_sym___attribute,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5662), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215380] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6327), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5374), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [215453] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5702), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215519] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5922), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(5684), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215651] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9260), 1,
      anon_sym___asm,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9266), 1,
      anon_sym_requires,
    STATE(5400), 1,
      sym_trailing_return_type,
    STATE(5685), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9257), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215717] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9139), 1,
      anon_sym___asm,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(5669), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215783] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9590), 1,
      anon_sym___asm,
    ACTIONS(9593), 1,
      anon_sym_requires,
    STATE(5421), 1,
      sym_trailing_return_type,
    STATE(5686), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9587), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215849] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    ACTIONS(9139), 1,
      anon_sym___asm,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5706), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9136), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215915] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9238), 1,
      anon_sym_requires,
    ACTIONS(9260), 1,
      anon_sym___asm,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5707), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9257), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215981] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9260), 1,
      anon_sym___asm,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5429), 1,
      sym_trailing_return_type,
    STATE(5670), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9257), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [216047] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5528), 1,
      sym_trailing_return_type,
    STATE(5939), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [216113] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(5515), 1,
      sym_trailing_return_type,
    STATE(5912), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [216179] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    ACTIONS(9590), 1,
      anon_sym___asm,
    STATE(5515), 1,
      sym_trailing_return_type,
    STATE(5708), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9587), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [216245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5372), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5374), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [216285] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5923), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [216351] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9238), 1,
      anon_sym_requires,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5917), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [216417] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9590), 1,
      anon_sym___asm,
    STATE(5431), 1,
      sym_trailing_return_type,
    STATE(5671), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9587), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [216483] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5488), 1,
      sym_trailing_return_type,
    STATE(5929), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [216549] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9260), 1,
      anon_sym___asm,
    STATE(5569), 1,
      sym_trailing_return_type,
    STATE(5703), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9257), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [216615] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9590), 1,
      anon_sym___asm,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5704), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9587), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [216681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5429), 1,
      sym_trailing_return_type,
    STATE(5849), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216746] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_requires,
    STATE(5992), 1,
      sym__function_attributes_end,
    STATE(6166), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216811] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5848), 1,
      sym_trailing_return_type,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216876] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5880), 1,
      sym_trailing_return_type,
    STATE(5927), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216941] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym___attribute__,
    ACTIONS(9599), 1,
      anon_sym___attribute,
    STATE(5893), 1,
      sym_trailing_return_type,
    STATE(5928), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217006] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9602), 1,
      anon_sym_requires,
    STATE(6016), 1,
      sym__function_attributes_end,
    STATE(6206), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [217071] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(5846), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217136] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6128), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [217201] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6020), 1,
      sym_trailing_return_type,
    STATE(6106), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [217266] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9182), 1,
      anon_sym_requires,
    STATE(5900), 1,
      sym_trailing_return_type,
    STATE(5932), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217331] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9344), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(5940), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217396] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym___attribute__,
    ACTIONS(9599), 1,
      anon_sym___attribute,
    ACTIONS(9608), 1,
      anon_sym_requires,
    STATE(5859), 1,
      sym_trailing_return_type,
    STATE(5908), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217461] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6010), 1,
      sym__function_attributes_end,
    STATE(6219), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [217526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5848), 1,
      sym_trailing_return_type,
    STATE(6085), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [217591] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(5949), 1,
      sym_trailing_return_type,
    STATE(6131), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [217656] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9335), 1,
      anon_sym_requires,
    STATE(6013), 1,
      sym__function_attributes_end,
    STATE(6179), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [217721] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9596), 1,
      anon_sym___attribute__,
    ACTIONS(9599), 1,
      anon_sym___attribute,
    STATE(5431), 1,
      sym_trailing_return_type,
    STATE(5850), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217786] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9611), 1,
      anon_sym_requires,
    STATE(5969), 1,
      sym_trailing_return_type,
    STATE(6132), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [217851] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(5893), 1,
      sym_trailing_return_type,
    STATE(6065), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [217916] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(5863), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217981] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9266), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5400), 1,
      sym_trailing_return_type,
    STATE(5864), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [218046] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9593), 1,
      anon_sym_requires,
    ACTIONS(9596), 1,
      anon_sym___attribute__,
    ACTIONS(9599), 1,
      anon_sym___attribute,
    STATE(5421), 1,
      sym_trailing_return_type,
    STATE(5871), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [218111] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5943), 1,
      sym__function_attributes_end,
    STATE(6222), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [218176] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9182), 1,
      anon_sym_requires,
    STATE(5900), 1,
      sym_trailing_return_type,
    STATE(6129), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [218241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5372), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5374), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [218278] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(5880), 1,
      sym_trailing_return_type,
    STATE(6091), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [218343] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9344), 1,
      anon_sym_requires,
    STATE(5855), 1,
      sym_trailing_return_type,
    STATE(6071), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [218408] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(6055), 1,
      sym_trailing_return_type,
    STATE(6057), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [218473] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9608), 1,
      anon_sym_requires,
    STATE(5859), 1,
      sym_trailing_return_type,
    STATE(6101), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [218538] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6120), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [218603] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5960), 1,
      sym__function_attributes_end,
    STATE(6216), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [218668] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(6210), 1,
      sym__function_attributes_end,
    STATE(6234), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218732] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(5782), 1,
      sym_ms_call_modifier,
    STATE(6694), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [218790] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9614), 1,
      anon_sym_requires,
    STATE(6137), 1,
      sym__function_attributes_end,
    STATE(6196), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218854] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(6140), 1,
      sym__function_attributes_end,
    STATE(6188), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218918] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9243), 1,
      anon_sym_requires,
    STATE(6191), 1,
      sym_trailing_return_type,
    STATE(6235), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218982] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9532), 1,
      anon_sym_requires,
    STATE(6194), 1,
      sym_trailing_return_type,
    STATE(6237), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219046] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(5785), 1,
      sym_ms_call_modifier,
    STATE(6681), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [219104] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6218), 1,
      sym__function_attributes_end,
    STATE(6236), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219168] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(5794), 1,
      sym_ms_call_modifier,
    STATE(6715), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [219226] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(5769), 1,
      sym_ms_call_modifier,
    STATE(6678), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [219284] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7689), 1,
      anon_sym_STAR,
    ACTIONS(7691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7693), 1,
      anon_sym_AMP,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8198), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6014), 1,
      sym__abstract_declarator,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219335] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7712), 1,
      anon_sym_STAR,
    ACTIONS(7714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7716), 1,
      anon_sym_AMP,
    ACTIONS(8198), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5974), 1,
      sym__abstract_declarator,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [219386] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9617), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACE,
    ACTIONS(9623), 1,
      anon_sym_requires,
    STATE(2495), 1,
      sym_template_type,
    STATE(4192), 1,
      sym_requirement_seq,
    STATE(4927), 1,
      sym_lambda_capture_specifier,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(7600), 1,
      sym_requires_parameter_list,
    ACTIONS(9621), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4782), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219447] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    ACTIONS(9625), 1,
      anon_sym_LPAREN2,
    ACTIONS(9627), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_requires,
    STATE(2733), 1,
      sym_template_type,
    STATE(3771), 1,
      sym_requirement_seq,
    STATE(4900), 1,
      sym_lambda_capture_specifier,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(7647), 1,
      sym_requires_parameter_list,
    ACTIONS(9629), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3775), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219508] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5425), 1,
      sym_trailing_return_type,
    STATE(6154), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219571] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5429), 1,
      sym_trailing_return_type,
    STATE(6155), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219634] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5431), 1,
      sym_trailing_return_type,
    STATE(6156), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219697] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9243), 1,
      anon_sym_requires,
    STATE(6097), 1,
      sym__function_attributes_end,
    STATE(6191), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219760] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(5442), 1,
      sym_trailing_return_type,
    STATE(6158), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219823] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9266), 1,
      anon_sym_requires,
    STATE(5400), 1,
      sym_trailing_return_type,
    STATE(6159), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219886] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9593), 1,
      anon_sym_requires,
    STATE(5421), 1,
      sym_trailing_return_type,
    STATE(6160), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219949] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9532), 1,
      anon_sym_requires,
    STATE(6058), 1,
      sym__function_attributes_end,
    STATE(6194), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [220012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_const,
    ACTIONS(9633), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6084), 22,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_DASH_GT,
      anon_sym_noexcept,
      anon_sym_throw,
  [220047] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym___attribute__,
    ACTIONS(9599), 1,
      anon_sym___attribute,
    ACTIONS(9614), 1,
      anon_sym_requires,
    STATE(6059), 1,
      sym__function_attributes_end,
    STATE(6196), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [220110] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6133), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [220173] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    STATE(6135), 1,
      sym__function_attributes_end,
    STATE(6234), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [220236] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5949), 1,
      sym_trailing_return_type,
    STATE(6074), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [220299] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_STAR,
    ACTIONS(7705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_AMP,
    ACTIONS(8198), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(5997), 1,
      sym__abstract_declarator,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220350] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    ACTIONS(9635), 1,
      anon_sym_LPAREN2,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    ACTIONS(9641), 1,
      anon_sym_requires,
    STATE(1883), 1,
      sym_template_type,
    STATE(2416), 1,
      sym_requirement_seq,
    STATE(4911), 1,
      sym_lambda_capture_specifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(7726), 1,
      sym_requires_parameter_list,
    ACTIONS(9639), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2423), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [220411] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    ACTIONS(9643), 1,
      anon_sym_LPAREN2,
    ACTIONS(9645), 1,
      anon_sym_LBRACE,
    ACTIONS(9649), 1,
      anon_sym_requires,
    STATE(2591), 1,
      sym_template_type,
    STATE(3445), 1,
      sym_requirement_seq,
    STATE(4893), 1,
      sym_lambda_capture_specifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7691), 1,
      sym_requires_parameter_list,
    ACTIONS(9647), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3463), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [220472] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(6020), 1,
      sym_trailing_return_type,
    STATE(6134), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [220535] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym___attribute__,
    ACTIONS(9599), 1,
      anon_sym___attribute,
    ACTIONS(9611), 1,
      anon_sym_requires,
    STATE(5969), 1,
      sym_trailing_return_type,
    STATE(6086), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [220598] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym___attribute__,
    ACTIONS(9599), 1,
      anon_sym___attribute,
    STATE(6105), 1,
      sym__function_attributes_end,
    STATE(6188), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [220661] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    ACTIONS(9653), 1,
      anon_sym_LBRACE,
    ACTIONS(9657), 1,
      anon_sym_requires,
    STATE(1686), 1,
      sym_template_type,
    STATE(3219), 1,
      sym_requirement_seq,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7547), 1,
      sym_requires_parameter_list,
    ACTIONS(9655), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4135), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [220722] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    ACTIONS(9659), 1,
      anon_sym_LPAREN2,
    ACTIONS(9661), 1,
      anon_sym_LBRACE,
    ACTIONS(9665), 1,
      anon_sym_requires,
    STATE(2608), 1,
      sym_template_type,
    STATE(3505), 1,
      sym_requirement_seq,
    STATE(4870), 1,
      sym_lambda_capture_specifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(7780), 1,
      sym_requires_parameter_list,
    ACTIONS(9663), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3608), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [220783] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(6098), 1,
      sym__function_attributes_end,
    STATE(6236), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [220846] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    ACTIONS(9653), 1,
      anon_sym_LBRACE,
    ACTIONS(9657), 1,
      anon_sym_requires,
    STATE(3219), 1,
      sym_requirement_seq,
    STATE(3548), 1,
      sym_template_type,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(7547), 1,
      sym_requires_parameter_list,
    ACTIONS(9667), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4191), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [220907] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym___attribute__,
    ACTIONS(9599), 1,
      anon_sym___attribute,
    STATE(6055), 1,
      sym_trailing_return_type,
    STATE(6077), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [220970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6040), 1,
      anon_sym_const,
    ACTIONS(9633), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6042), 20,
      anon_sym_LPAREN2,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_DASH_GT,
      anon_sym_noexcept,
      anon_sym_throw,
  [221007] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym___attribute__,
    ACTIONS(9171), 1,
      anon_sym___attribute,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6061), 1,
      sym__function_attributes_end,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [221070] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6327), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221132] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9611), 1,
      anon_sym_requires,
    STATE(5969), 1,
      sym_trailing_return_type,
    STATE(6341), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9565), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221194] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6020), 1,
      sym_trailing_return_type,
    STATE(6334), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221256] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(5949), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221318] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_requires,
    STATE(6287), 1,
      sym__function_attributes_end,
    STATE(6405), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221380] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9558), 1,
      anon_sym_requires,
    STATE(6288), 1,
      sym__function_attributes_end,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221442] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9671), 1,
      anon_sym_SEMI,
    ACTIONS(9673), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(9677), 1,
      anon_sym_EQ,
    ACTIONS(9679), 1,
      anon_sym_COLON,
    ACTIONS(9681), 1,
      anon_sym_try,
    STATE(2069), 1,
      sym_compound_statement,
    STATE(2070), 1,
      sym_default_method_clause,
    STATE(2071), 1,
      sym_delete_method_clause,
    STATE(2072), 1,
      sym_pure_virtual_clause,
    STATE(2073), 1,
      sym_try_statement,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6720), 1,
      sym_initializer_list,
    STATE(6722), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6789), 1,
      sym_bitfield_clause,
    STATE(7850), 1,
      sym_attribute_specifier,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [221516] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9683), 1,
      anon_sym_requires,
    STATE(6290), 1,
      sym__function_attributes_end,
    STATE(6404), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9565), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221578] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(9679), 1,
      anon_sym_COLON,
    ACTIONS(9686), 1,
      anon_sym_SEMI,
    ACTIONS(9688), 1,
      anon_sym_LBRACE,
    ACTIONS(9690), 1,
      anon_sym_EQ,
    ACTIONS(9692), 1,
      anon_sym_try,
    STATE(2114), 1,
      sym_compound_statement,
    STATE(2115), 1,
      sym_default_method_clause,
    STATE(2116), 1,
      sym_delete_method_clause,
    STATE(2117), 1,
      sym_pure_virtual_clause,
    STATE(2118), 1,
      sym_try_statement,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6725), 1,
      sym_bitfield_clause,
    STATE(6726), 1,
      sym_initializer_list,
    STATE(6727), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7939), 1,
      sym_attribute_specifier,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [221652] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5970), 1,
      sym_trailing_return_type,
    STATE(6330), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221714] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9611), 1,
      anon_sym_requires,
    STATE(6352), 1,
      sym__function_attributes_end,
    STATE(6494), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9565), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221776] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(5933), 1,
      sym_ms_call_modifier,
    STATE(6650), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    ACTIONS(1779), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [221830] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(6319), 1,
      sym__function_attributes_end,
    STATE(6491), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
  [221892] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(9679), 1,
      anon_sym_COLON,
    ACTIONS(9694), 1,
      anon_sym_SEMI,
    ACTIONS(9696), 1,
      anon_sym_LBRACE,
    ACTIONS(9698), 1,
      anon_sym_EQ,
    ACTIONS(9700), 1,
      anon_sym_try,
    STATE(1740), 1,
      sym_compound_statement,
    STATE(1741), 1,
      sym_default_method_clause,
    STATE(1742), 1,
      sym_delete_method_clause,
    STATE(1743), 1,
      sym_pure_virtual_clause,
    STATE(1744), 1,
      sym_try_statement,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6750), 1,
      sym_bitfield_clause,
    STATE(6751), 1,
      sym_initializer_list,
    STATE(6753), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7858), 1,
      sym_attribute_specifier,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [221966] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9096), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__function_attributes_end,
    STATE(6412), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9088), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
  [222028] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6262), 1,
      sym__function_attributes_end,
    STATE(6431), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
  [222090] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(6264), 1,
      sym__function_attributes_end,
    STATE(6442), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9565), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
  [222152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(6344), 1,
      sym__function_attributes_end,
    STATE(6496), 1,
      sym_trailing_return_type,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9222), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
    STATE(5391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5418), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
  [222214] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym___asm,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(6055), 1,
      sym_trailing_return_type,
    STATE(6335), 1,
      sym__function_attributes_end,
    STATE(6702), 1,
      sym_gnu_asm_expression,
    ACTIONS(6922), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9565), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5440), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
  [222276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(9704), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5460), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9702), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(9708), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5458), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9706), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222360] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_STAR,
    ACTIONS(7942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7944), 1,
      anon_sym_AMP,
    ACTIONS(8198), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6199), 1,
      sym__abstract_declarator,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [222409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9710), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [222440] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9623), 1,
      anon_sym_requires,
    ACTIONS(9714), 1,
      anon_sym_LPAREN2,
    STATE(2495), 1,
      sym_template_type,
    STATE(4927), 1,
      sym_lambda_capture_specifier,
    STATE(6537), 1,
      sym__scope_resolution,
    ACTIONS(9716), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4763), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222492] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_LPAREN2,
    ACTIONS(9722), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9720), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6459), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222544] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_LPAREN2,
    ACTIONS(9722), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9724), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5491), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222596] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4916), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9728), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6232), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222648] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4916), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9732), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1584), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222700] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    ACTIONS(9734), 1,
      sym_identifier,
    ACTIONS(9736), 1,
      anon_sym_COLON_COLON,
    STATE(2226), 1,
      sym_template_type,
    STATE(4876), 1,
      sym_lambda_capture_specifier,
    STATE(6538), 1,
      sym__scope_resolution,
    ACTIONS(9738), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2170), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222752] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9593), 1,
      anon_sym_requires,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9576), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9565), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222790] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    ACTIONS(9665), 1,
      anon_sym_requires,
    ACTIONS(9740), 1,
      anon_sym_LPAREN2,
    STATE(2608), 1,
      sym_template_type,
    STATE(4870), 1,
      sym_lambda_capture_specifier,
    STATE(6543), 1,
      sym__scope_resolution,
    ACTIONS(9742), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3593), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9746), 1,
      anon_sym_const,
    ACTIONS(9744), 21,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_DASH_GT,
      anon_sym_noexcept,
      anon_sym_throw,
  [222872] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9623), 1,
      anon_sym_requires,
    ACTIONS(9714), 1,
      anon_sym_LPAREN2,
    STATE(2495), 1,
      sym_template_type,
    STATE(4927), 1,
      sym_lambda_capture_specifier,
    STATE(6537), 1,
      sym__scope_resolution,
    ACTIONS(9748), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4207), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9752), 1,
      anon_sym_const,
    ACTIONS(9750), 21,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_DASH_GT,
      anon_sym_noexcept,
      anon_sym_throw,
  [222954] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_requires,
    ACTIONS(9754), 1,
      anon_sym_LPAREN2,
    STATE(2733), 1,
      sym_template_type,
    STATE(4900), 1,
      sym_lambda_capture_specifier,
    STATE(6539), 1,
      sym__scope_resolution,
    ACTIONS(9756), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3757), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223006] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4924), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9732), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1584), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223058] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_requires,
    ACTIONS(9754), 1,
      anon_sym_LPAREN2,
    STATE(2733), 1,
      sym_template_type,
    STATE(4900), 1,
      sym_lambda_capture_specifier,
    STATE(6539), 1,
      sym__scope_resolution,
    ACTIONS(9758), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3879), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223110] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4916), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9760), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6164), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_LPAREN2,
    ACTIONS(9722), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_lambda_capture_specifier,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(9762), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5487), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223214] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_LPAREN2,
    ACTIONS(9722), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_lambda_capture_specifier,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(9724), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5491), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223266] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9524), 1,
      sym_identifier,
    ACTIONS(9764), 1,
      anon_sym_LPAREN2,
    ACTIONS(9768), 1,
      anon_sym_requires,
    STATE(4342), 1,
      sym_template_type,
    STATE(4920), 1,
      sym_lambda_capture_specifier,
    STATE(6545), 1,
      sym__scope_resolution,
    ACTIONS(9766), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5869), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223318] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9149), 1,
      anon_sym_requires,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9099), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9088), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223356] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    ACTIONS(7977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7979), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8198), 1,
      anon_sym___attribute,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6261), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [223404] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    ACTIONS(9623), 1,
      anon_sym_requires,
    ACTIONS(9714), 1,
      anon_sym_LPAREN2,
    STATE(2495), 1,
      sym_template_type,
    STATE(4927), 1,
      sym_lambda_capture_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    ACTIONS(9770), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6178), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223456] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9772), 1,
      sym_identifier,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    ACTIONS(9776), 1,
      anon_sym_COLON_COLON,
    STATE(1686), 1,
      sym_template_type,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9778), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6035), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223508] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9772), 1,
      sym_identifier,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    ACTIONS(9776), 1,
      anon_sym_COLON_COLON,
    STATE(1686), 1,
      sym_template_type,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9780), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3229), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9704), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5655), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9702), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9708), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9706), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223634] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_LPAREN2,
    ACTIONS(9722), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_lambda_capture_specifier,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(9782), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5506), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223686] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    ACTIONS(9734), 1,
      sym_identifier,
    ACTIONS(9736), 1,
      anon_sym_COLON_COLON,
    STATE(2226), 1,
      sym_template_type,
    STATE(4876), 1,
      sym_lambda_capture_specifier,
    STATE(6538), 1,
      sym__scope_resolution,
    ACTIONS(9784), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2198), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223738] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9793), 1,
      anon_sym_requires,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9788), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9786), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223776] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9099), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9088), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223814] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    STATE(3548), 1,
      sym_template_type,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    ACTIONS(9796), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4189), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223866] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    ACTIONS(9641), 1,
      anon_sym_requires,
    ACTIONS(9798), 1,
      anon_sym_LPAREN2,
    STATE(1883), 1,
      sym_template_type,
    STATE(4911), 1,
      sym_lambda_capture_specifier,
    STATE(6530), 1,
      sym__scope_resolution,
    ACTIONS(9800), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2450), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223918] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9233), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9222), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9804), 1,
      anon_sym_const,
    ACTIONS(9802), 21,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_DASH_GT,
      anon_sym_noexcept,
      anon_sym_throw,
  [223986] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    STATE(3548), 1,
      sym_template_type,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6546), 1,
      sym__scope_resolution,
    ACTIONS(9780), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3229), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224038] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9524), 1,
      sym_identifier,
    ACTIONS(9764), 1,
      anon_sym_LPAREN2,
    ACTIONS(9768), 1,
      anon_sym_requires,
    STATE(4342), 1,
      sym_template_type,
    STATE(4920), 1,
      sym_lambda_capture_specifier,
    STATE(6545), 1,
      sym__scope_resolution,
    ACTIONS(9806), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5877), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9576), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9565), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [224128] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    ACTIONS(9623), 1,
      anon_sym_requires,
    ACTIONS(9714), 1,
      anon_sym_LPAREN2,
    STATE(2495), 1,
      sym_template_type,
    STATE(4927), 1,
      sym_lambda_capture_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    ACTIONS(9748), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4207), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9788), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9786), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [224218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5844), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9810), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9808), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [224256] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4916), 1,
      sym_lambda_capture_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    ACTIONS(9812), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5435), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224308] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4916), 1,
      sym_lambda_capture_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    ACTIONS(9732), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1584), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6082), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6084), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9816), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6040), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6042), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224426] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    ACTIONS(9641), 1,
      anon_sym_requires,
    ACTIONS(9798), 1,
      anon_sym_LPAREN2,
    STATE(1883), 1,
      sym_template_type,
    STATE(4911), 1,
      sym_lambda_capture_specifier,
    STATE(6530), 1,
      sym__scope_resolution,
    ACTIONS(9818), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2451), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_requires,
    ACTIONS(9820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5844), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9810), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9808), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [224516] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    ACTIONS(9734), 1,
      sym_identifier,
    ACTIONS(9736), 1,
      anon_sym_COLON_COLON,
    STATE(2226), 1,
      sym_template_type,
    STATE(4876), 1,
      sym_lambda_capture_specifier,
    STATE(6538), 1,
      sym__scope_resolution,
    ACTIONS(9732), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1584), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224568] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9708), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9706), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224608] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    ACTIONS(9665), 1,
      anon_sym_requires,
    ACTIONS(9740), 1,
      anon_sym_LPAREN2,
    STATE(2608), 1,
      sym_template_type,
    STATE(4870), 1,
      sym_lambda_capture_specifier,
    STATE(6543), 1,
      sym__scope_resolution,
    ACTIONS(9826), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3612), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9266), 1,
      anon_sym_requires,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9233), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9222), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [224698] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9718), 1,
      anon_sym_LPAREN2,
    ACTIONS(9722), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9828), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6390), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224750] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    ACTIONS(9623), 1,
      anon_sym_requires,
    ACTIONS(9714), 1,
      anon_sym_LPAREN2,
    STATE(2495), 1,
      sym_template_type,
    STATE(4927), 1,
      sym_lambda_capture_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    ACTIONS(9830), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6145), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224802] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    STATE(1864), 1,
      sym_template_type,
    STATE(4902), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9832), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6839), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224854] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5446), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6983), 1,
      sym_operator_cast,
    STATE(8209), 1,
      sym_decltype,
    STATE(8236), 1,
      sym_ms_based_modifier,
  [224924] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    ACTIONS(9649), 1,
      anon_sym_requires,
    ACTIONS(9838), 1,
      anon_sym_LPAREN2,
    STATE(2591), 1,
      sym_template_type,
    STATE(4893), 1,
      sym_lambda_capture_specifier,
    STATE(6526), 1,
      sym__scope_resolution,
    ACTIONS(9840), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3494), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224976] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    ACTIONS(9649), 1,
      anon_sym_requires,
    ACTIONS(9838), 1,
      anon_sym_LPAREN2,
    STATE(2591), 1,
      sym_template_type,
    STATE(4893), 1,
      sym_lambda_capture_specifier,
    STATE(6526), 1,
      sym__scope_resolution,
    ACTIONS(9842), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3323), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225028] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    STATE(1686), 1,
      sym_template_type,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6553), 1,
      sym__scope_resolution,
    ACTIONS(9844), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4149), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225080] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    STATE(1686), 1,
      sym_template_type,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6553), 1,
      sym__scope_resolution,
    ACTIONS(9780), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3229), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225132] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(3206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(9846), 1,
      sym_identifier,
    ACTIONS(9848), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5451), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6983), 1,
      sym_operator_cast,
    STATE(8209), 1,
      sym_decltype,
    STATE(8236), 1,
      sym_ms_based_modifier,
  [225202] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4924), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9850), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5353), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN2,
    STATE(5621), 1,
      sym_preproc_argument_list,
    ACTIONS(9856), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9852), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225288] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_STAR,
    ACTIONS(7963), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6302), 1,
      sym__abstract_declarator,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225334] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4924), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9858), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5369), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9862), 1,
      anon_sym_const,
    ACTIONS(9860), 21,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_DASH_GT,
      anon_sym_noexcept,
      anon_sym_throw,
  [225416] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    ACTIONS(9726), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_requires,
    STATE(1864), 1,
      sym_template_type,
    STATE(4916), 1,
      sym_lambda_capture_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    ACTIONS(9864), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5436), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9704), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9702), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_const,
    ACTIONS(3876), 21,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_DASH_GT,
      anon_sym_noexcept,
      anon_sym_throw,
  [225532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9868), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9866), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225566] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    STATE(1864), 1,
      sym_template_type,
    STATE(4902), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9870), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6862), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225618] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    STATE(1864), 1,
      sym_template_type,
    STATE(4902), 1,
      sym_lambda_capture_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(9780), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3229), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225670] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(9657), 1,
      anon_sym_requires,
    ACTIONS(9772), 1,
      sym_identifier,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    ACTIONS(9776), 1,
      anon_sym_COLON_COLON,
    STATE(1686), 1,
      sym_template_type,
    STATE(4868), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9872), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5996), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225722] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(9874), 1,
      sym_identifier,
    ACTIONS(9876), 1,
      anon_sym_TILDE,
    ACTIONS(9878), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9880), 1,
      anon_sym_template,
    ACTIONS(9882), 1,
      anon_sym_operator,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6983), 1,
      sym_operator_cast,
    STATE(8209), 1,
      sym_decltype,
    STATE(8274), 1,
      sym_ms_based_modifier,
  [225792] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9524), 1,
      sym_identifier,
    ACTIONS(9764), 1,
      anon_sym_LPAREN2,
    ACTIONS(9768), 1,
      anon_sym_requires,
    STATE(4342), 1,
      sym_template_type,
    STATE(4920), 1,
      sym_lambda_capture_specifier,
    STATE(6545), 1,
      sym__scope_resolution,
    ACTIONS(9884), 2,
      sym_true,
      sym_false,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5865), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225844] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4643), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [225903] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3357), 1,
      sym__class_declaration_item,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [225962] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9681), 1,
      anon_sym_try,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9890), 1,
      anon_sym_SEMI,
    ACTIONS(9892), 1,
      anon_sym_LBRACE,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    STATE(1929), 1,
      sym_compound_statement,
    STATE(1931), 1,
      sym_try_statement,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7101), 1,
      sym_gnu_asm_expression,
    STATE(7110), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [226023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9902), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9900), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226052] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2372), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5507), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226111] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(1845), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(9904), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_try,
    STATE(753), 1,
      sym_compound_statement,
    STATE(754), 1,
      sym_try_statement,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7326), 1,
      sym_gnu_asm_expression,
    STATE(7340), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [226172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9910), 1,
      anon_sym_LPAREN2,
    ACTIONS(9912), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9908), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226203] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4017), 1,
      sym__class_declaration_item,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226262] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4887), 1,
      sym__class_declaration_item,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5511), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226321] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9692), 1,
      anon_sym_try,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(9914), 1,
      anon_sym_SEMI,
    ACTIONS(9916), 1,
      anon_sym_LBRACE,
    STATE(2089), 1,
      sym_compound_statement,
    STATE(2090), 1,
      sym_try_statement,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7190), 1,
      sym_gnu_asm_expression,
    STATE(7191), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [226382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2660), 1,
      sym__class_declaration_item,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226441] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2610), 1,
      sym__class_declaration_item,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226500] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4897), 1,
      sym__class_declaration_item,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226559] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5844), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9810), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9808), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [226596] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    ACTIONS(9918), 1,
      anon_sym_SEMI,
    STATE(5379), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    STATE(8444), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [226649] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 1,
      anon_sym_COMMA,
    ACTIONS(9922), 1,
      anon_sym_RPAREN,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9930), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9932), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9934), 1,
      anon_sym_PIPE,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    STATE(7168), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226704] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 1,
      anon_sym_COMMA,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9930), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9932), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9934), 1,
      anon_sym_PIPE,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(9948), 1,
      anon_sym_RPAREN,
    STATE(7215), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226759] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(9950), 1,
      anon_sym_SEMI,
    ACTIONS(9952), 1,
      anon_sym_LBRACE,
    ACTIONS(9954), 1,
      anon_sym_try,
    STATE(554), 1,
      sym_compound_statement,
    STATE(555), 1,
      sym_try_statement,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7402), 1,
      sym_gnu_asm_expression,
    STATE(7403), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [226820] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1809), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [226879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5053), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226908] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9958), 1,
      anon_sym_RPAREN,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(9968), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5482), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9972), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6082), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6084), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226982] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9233), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9222), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [227019] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227078] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5049), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227166] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2437), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 1,
      anon_sym_COMMA,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9930), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9932), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9934), 1,
      anon_sym_PIPE,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(9974), 1,
      anon_sym_RPAREN,
    STATE(7113), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [227280] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(9976), 1,
      anon_sym_RPAREN,
    ACTIONS(9978), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5493), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227323] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2477), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4053), 1,
      sym__class_declaration_item,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227441] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2399), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5584), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227500] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1809), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227559] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1812), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5600), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227618] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1843), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227677] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2437), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9984), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5502), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9982), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9980), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227769] = 5,
    ACTIONS(9852), 1,
      anon_sym_LF,
    ACTIONS(9987), 1,
      anon_sym_LPAREN2,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(5802), 1,
      sym_preproc_argument_list,
    ACTIONS(9856), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [227802] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2399), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227861] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1815), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9972), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9991), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6040), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6042), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227953] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228012] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2477), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1911), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228100] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1815), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228159] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4913), 1,
      sym__class_declaration_item,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228218] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4871), 1,
      sym__class_declaration_item,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5513), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228277] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4829), 1,
      sym_field_declaration_list,
    STATE(4921), 1,
      sym__class_declaration_item,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6873), 1,
      sym_virtual_specifier,
    STATE(7689), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1907), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9993), 1,
      anon_sym_requires,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9788), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9786), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [228402] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1812), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5589), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9998), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9996), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228490] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4614), 1,
      sym__class_declaration_item,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5537), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228549] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6364), 1,
      sym__abstract_declarator,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228594] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4617), 1,
      sym__class_declaration_item,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10002), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10000), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228682] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2372), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5489), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228741] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1846), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5484), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4646), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228859] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9700), 1,
      anon_sym_try,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(10004), 1,
      anon_sym_SEMI,
    ACTIONS(10006), 1,
      anon_sym_LBRACE,
    STATE(1677), 1,
      sym_compound_statement,
    STATE(1678), 1,
      sym_try_statement,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7431), 1,
      sym_gnu_asm_expression,
    STATE(7432), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [228920] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1846), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5533), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228979] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9581), 1,
      anon_sym_requires,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9576), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9565), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_requires,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9233), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9222), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229053] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(10008), 1,
      sym_identifier,
    ACTIONS(10010), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5529), 1,
      sym__scope_resolution,
    STATE(6950), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6983), 1,
      sym_operator_cast,
    STATE(8236), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [229116] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4052), 1,
      sym__class_declaration_item,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229175] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(3065), 1,
      sym__class_declaration_item,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229234] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(3006), 1,
      sym__class_declaration_item,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229293] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1809), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229352] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3491), 1,
      sym__class_declaration_item,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5554), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229411] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2399), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229470] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2437), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229529] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4643), 1,
      sym__class_declaration_item,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229588] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2477), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229647] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4646), 1,
      sym__class_declaration_item,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5555), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229706] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2477), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229765] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4018), 1,
      sym__class_declaration_item,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5570), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229824] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1846), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229883] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4665), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229942] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3336), 1,
      sym__class_declaration_item,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230001] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    ACTIONS(10012), 1,
      anon_sym_SEMI,
    STATE(5384), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    STATE(8230), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [230054] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2650), 1,
      sym__class_declaration_item,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230113] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230172] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3113), 1,
      sym__class_declaration_item,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5583), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230231] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2179), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5578), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230290] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2231), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230349] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3130), 1,
      sym__class_declaration_item,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230408] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2399), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230467] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4617), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3472), 1,
      sym__class_declaration_item,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4665), 1,
      sym__class_declaration_item,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230644] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym_requires,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9099), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9088), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [230681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2627), 1,
      sym__class_declaration_item,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5546), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230740] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(3040), 1,
      sym__class_declaration_item,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230799] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2634), 1,
      sym__class_declaration_item,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230858] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2372), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5580), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230917] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(3044), 1,
      sym__class_declaration_item,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230976] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2627), 1,
      sym__class_declaration_item,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231035] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2634), 1,
      sym__class_declaration_item,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231094] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3103), 1,
      sym__class_declaration_item,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231153] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2650), 1,
      sym__class_declaration_item,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5041), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4991), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10016), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10014), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9576), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9565), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231336] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3922), 1,
      sym_field_declaration_list,
    STATE(4032), 1,
      sym__class_declaration_item,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7512), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3149), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5045), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5045), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5045), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231482] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9788), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9786), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10020), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10018), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231548] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10022), 1,
      anon_sym_RPAREN,
    ACTIONS(10024), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5481), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [231591] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2660), 1,
      sym__class_declaration_item,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5585), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231650] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2204), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231709] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2212), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5582), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231768] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2395), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231827] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2437), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231886] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2156), 1,
      sym_field_declaration_list,
    STATE(2265), 1,
      sym__class_declaration_item,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(6938), 1,
      sym_virtual_specifier,
    STATE(7540), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231945] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3105), 1,
      sym__class_declaration_item,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232004] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2477), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232063] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2539), 1,
      sym_field_declaration_list,
    STATE(2610), 1,
      sym__class_declaration_item,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_virtual_specifier,
    STATE(7622), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2318), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232122] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2951), 1,
      sym_field_declaration_list,
    STATE(3480), 1,
      sym__class_declaration_item,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(6978), 1,
      sym_virtual_specifier,
    STATE(7621), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2592), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5467), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232181] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(10026), 1,
      anon_sym_SEMI,
    ACTIONS(10028), 1,
      anon_sym_LBRACE,
    ACTIONS(10030), 1,
      anon_sym_try,
    STATE(564), 1,
      sym_compound_statement,
    STATE(565), 1,
      sym_try_statement,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    STATE(7352), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [232242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4987), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232271] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1843), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232330] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2372), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5547), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5023), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10032), 1,
      anon_sym_requires,
    ACTIONS(9820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5844), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9810), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9808), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5005), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5009), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232513] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2372), 1,
      sym__class_declaration_item,
    STATE(3591), 1,
      sym_field_declaration_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_virtual_specifier,
    STATE(7769), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5490), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232572] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(10035), 1,
      anon_sym_SEMI,
    ACTIONS(10037), 1,
      anon_sym_LBRACE,
    ACTIONS(10039), 1,
      anon_sym_try,
    STATE(343), 1,
      sym_compound_statement,
    STATE(344), 1,
      sym_try_statement,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7307), 1,
      sym_gnu_asm_expression,
    STATE(7309), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [232633] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9099), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9088), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232670] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2748), 1,
      sym_field_declaration_list,
    STATE(3062), 1,
      sym__class_declaration_item,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym_virtual_specifier,
    STATE(7508), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4983), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232758] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1843), 1,
      sym__class_declaration_item,
    STATE(2316), 1,
      sym_field_declaration_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2082), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232817] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1812), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5500), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5019), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5033), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232934] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(1815), 1,
      sym__class_declaration_item,
    STATE(5137), 1,
      sym_field_declaration_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6995), 1,
      sym_virtual_specifier,
    STATE(7697), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(4513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5502), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10043), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10041), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233026] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    ACTIONS(10045), 1,
      anon_sym_SEMI,
    STATE(5377), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8126), 1,
      sym_attribute_specifier,
    STATE(8132), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [233079] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2399), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5495), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5037), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233167] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2805), 1,
      sym_field_declaration_list,
    STATE(3157), 1,
      sym__class_declaration_item,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(6897), 1,
      sym_virtual_specifier,
    STATE(7643), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5564), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233226] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2437), 1,
      sym__class_declaration_item,
    STATE(2913), 1,
      sym_field_declaration_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7713), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2376), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233285] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_COLON,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4421), 1,
      sym_field_declaration_list,
    STATE(4614), 1,
      sym__class_declaration_item,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym_virtual_specifier,
    STATE(7573), 1,
      sym_base_class_clause,
    ACTIONS(5348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233344] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10055), 1,
      anon_sym_RBRACK,
    ACTIONS(10057), 1,
      sym_this,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [233396] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(10059), 1,
      sym_identifier,
    ACTIONS(10061), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5613), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8236), 1,
      sym_ms_based_modifier,
  [233460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10063), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5641), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [233500] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10065), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [233552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(10067), 1,
      sym_identifier,
    ACTIONS(10069), 1,
      anon_sym_TILDE,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      anon_sym_template,
    ACTIONS(10075), 1,
      anon_sym_operator,
    STATE(1726), 1,
      sym_template_type,
    STATE(1727), 1,
      sym_dependent_type_identifier,
    STATE(1825), 1,
      sym_qualified_type_identifier,
    STATE(2455), 1,
      sym_pointer_type_declarator,
    STATE(2460), 1,
      sym_template_function,
    STATE(2464), 1,
      sym_destructor_name,
    STATE(2465), 1,
      sym_dependent_identifier,
    STATE(2474), 1,
      sym_qualified_identifier,
    STATE(2475), 1,
      sym_operator_name,
    STATE(5616), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8274), 1,
      sym_ms_based_modifier,
  [233616] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10077), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [233668] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(10069), 1,
      anon_sym_TILDE,
    ACTIONS(10075), 1,
      anon_sym_operator,
    ACTIONS(10079), 1,
      sym_identifier,
    ACTIONS(10081), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10083), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2455), 1,
      sym_pointer_type_declarator,
    STATE(2460), 1,
      sym_template_function,
    STATE(2464), 1,
      sym_destructor_name,
    STATE(2465), 1,
      sym_dependent_identifier,
    STATE(2474), 1,
      sym_qualified_identifier,
    STATE(2475), 1,
      sym_operator_name,
    STATE(5618), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8274), 1,
      sym_ms_based_modifier,
  [233732] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [233784] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10087), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [233836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10091), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10089), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [233864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(10069), 1,
      anon_sym_TILDE,
    ACTIONS(10075), 1,
      anon_sym_operator,
    ACTIONS(10093), 1,
      sym_identifier,
    ACTIONS(10095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10097), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2455), 1,
      sym_pointer_type_declarator,
    STATE(2460), 1,
      sym_template_function,
    STATE(2464), 1,
      sym_destructor_name,
    STATE(2465), 1,
      sym_dependent_identifier,
    STATE(2474), 1,
      sym_qualified_identifier,
    STATE(2475), 1,
      sym_operator_name,
    STATE(5622), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8274), 1,
      sym_ms_based_modifier,
  [233928] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10099), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [233980] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8061), 1,
      anon_sym_STAR,
    ACTIONS(8063), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6380), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [234024] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10101), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [234076] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(10103), 1,
      sym_identifier,
    ACTIONS(10105), 1,
      anon_sym_TILDE,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10109), 1,
      anon_sym_template,
    ACTIONS(10111), 1,
      anon_sym_operator,
    STATE(2493), 1,
      sym_dependent_type_identifier,
    STATE(2512), 1,
      sym_template_type,
    STATE(2573), 1,
      sym_qualified_type_identifier,
    STATE(3520), 1,
      sym_pointer_type_declarator,
    STATE(3522), 1,
      sym_template_function,
    STATE(3523), 1,
      sym_destructor_name,
    STATE(3525), 1,
      sym_dependent_identifier,
    STATE(3527), 1,
      sym_qualified_identifier,
    STATE(3537), 1,
      sym_operator_name,
    STATE(5626), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8483), 1,
      sym_ms_based_modifier,
  [234140] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(10113), 1,
      sym_identifier,
    ACTIONS(10115), 1,
      anon_sym_TILDE,
    ACTIONS(10117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10119), 1,
      anon_sym_template,
    ACTIONS(10121), 1,
      anon_sym_operator,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(3342), 1,
      sym_pointer_type_declarator,
    STATE(3343), 1,
      sym_template_function,
    STATE(3359), 1,
      sym_destructor_name,
    STATE(3361), 1,
      sym_dependent_identifier,
    STATE(3365), 1,
      sym_qualified_identifier,
    STATE(3366), 1,
      sym_operator_name,
    STATE(5627), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8603), 1,
      sym_ms_based_modifier,
  [234204] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(10105), 1,
      anon_sym_TILDE,
    ACTIONS(10111), 1,
      anon_sym_operator,
    ACTIONS(10123), 1,
      sym_identifier,
    ACTIONS(10125), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10127), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(3520), 1,
      sym_pointer_type_declarator,
    STATE(3522), 1,
      sym_template_function,
    STATE(3523), 1,
      sym_destructor_name,
    STATE(3525), 1,
      sym_dependent_identifier,
    STATE(3527), 1,
      sym_qualified_identifier,
    STATE(3537), 1,
      sym_operator_name,
    STATE(5628), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8483), 1,
      sym_ms_based_modifier,
  [234268] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(10069), 1,
      anon_sym_TILDE,
    ACTIONS(10075), 1,
      anon_sym_operator,
    ACTIONS(10129), 1,
      sym_identifier,
    ACTIONS(10131), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10133), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2455), 1,
      sym_pointer_type_declarator,
    STATE(2460), 1,
      sym_template_function,
    STATE(2464), 1,
      sym_destructor_name,
    STATE(2465), 1,
      sym_dependent_identifier,
    STATE(2474), 1,
      sym_qualified_identifier,
    STATE(2475), 1,
      sym_operator_name,
    STATE(5629), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8274), 1,
      sym_ms_based_modifier,
  [234332] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10135), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [234384] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(4191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(10137), 1,
      sym_identifier,
    ACTIONS(10139), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5631), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8236), 1,
      sym_ms_based_modifier,
  [234448] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10141), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [234500] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10153), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5819), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [234540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10157), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5843), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [234580] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(10159), 1,
      sym_identifier,
    ACTIONS(10161), 1,
      anon_sym_TILDE,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_template,
    ACTIONS(10167), 1,
      anon_sym_operator,
    STATE(1726), 1,
      sym_template_type,
    STATE(1727), 1,
      sym_dependent_type_identifier,
    STATE(1825), 1,
      sym_qualified_type_identifier,
    STATE(3185), 1,
      sym_template_function,
    STATE(3205), 1,
      sym_destructor_name,
    STATE(3213), 1,
      sym_dependent_identifier,
    STATE(3277), 1,
      sym_operator_name,
    STATE(3279), 1,
      sym_qualified_identifier,
    STATE(3281), 1,
      sym_pointer_type_declarator,
    STATE(5635), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8603), 1,
      sym_ms_based_modifier,
  [234644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10171), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10169), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [234672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10173), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5771), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [234712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10175), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5781), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [234752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10177), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5776), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [234792] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6836), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [234842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10181), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10179), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [234870] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10183), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5756), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [234910] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10185), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [234962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10187), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5757), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235002] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10189), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5814), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235042] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6849), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [235092] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6797), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [235142] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10191), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10193), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5818), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10195), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5822), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235274] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6942), 1,
      anon_sym_requires,
    STATE(5488), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9099), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10197), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5777), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235354] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10199), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5793), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235394] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10201), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5773), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9868), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9866), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [235466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10203), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5758), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10205), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5830), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235546] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6942), 1,
      anon_sym_requires,
    STATE(5569), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9233), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235586] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10207), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5796), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10211), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10209), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6942), 1,
      anon_sym_requires,
    STATE(5574), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9576), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(6942), 1,
      anon_sym_requires,
    STATE(5479), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9788), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235734] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10213), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5759), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235774] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10215), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10219), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10217), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10221), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5760), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9704), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9702), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [235932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    STATE(5425), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9099), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [235972] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    STATE(5429), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9233), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    STATE(5431), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9576), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236052] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(7003), 1,
      anon_sym_requires,
    STATE(5432), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9788), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236092] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(10115), 1,
      anon_sym_TILDE,
    ACTIONS(10121), 1,
      anon_sym_operator,
    ACTIONS(10223), 1,
      sym_identifier,
    ACTIONS(10225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10227), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(3342), 1,
      sym_pointer_type_declarator,
    STATE(3343), 1,
      sym_template_function,
    STATE(3359), 1,
      sym_destructor_name,
    STATE(3361), 1,
      sym_dependent_identifier,
    STATE(3365), 1,
      sym_qualified_identifier,
    STATE(3366), 1,
      sym_operator_name,
    STATE(5672), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8603), 1,
      sym_ms_based_modifier,
  [236156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6117), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6119), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10232), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5761), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10234), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5692), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236268] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10236), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5754), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236308] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10238), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5701), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236348] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5528), 1,
      sym_trailing_return_type,
    ACTIONS(9099), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236388] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(9238), 1,
      anon_sym_requires,
    STATE(5527), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(5515), 1,
      sym_trailing_return_type,
    ACTIONS(9576), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_DASH_GT,
    ACTIONS(9993), 1,
      anon_sym_requires,
    STATE(5592), 1,
      sym_trailing_return_type,
    ACTIONS(9788), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10240), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5665), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236548] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(5442), 1,
      sym_trailing_return_type,
    ACTIONS(9099), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236588] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9266), 1,
      anon_sym_requires,
    STATE(5400), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236628] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9593), 1,
      anon_sym_requires,
    STATE(5421), 1,
      sym_trailing_return_type,
    ACTIONS(9576), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9793), 1,
      anon_sym_requires,
    STATE(5438), 1,
      sym_trailing_return_type,
    ACTIONS(9788), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236708] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10242), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10244), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5811), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236800] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8067), 1,
      anon_sym_STAR,
    ACTIONS(8069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8071), 1,
      anon_sym_AMP,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6381), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236844] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10246), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236896] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10248), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5789), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236936] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10219), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10217), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [236978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10252), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10250), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237006] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6812), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [237056] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10254), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237108] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6857), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [237158] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10256), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    STATE(5488), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9099), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10258), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5798), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237290] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10260), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5799), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237330] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10219), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10217), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [237366] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    STATE(5569), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9233), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237406] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    STATE(5574), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9576), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    STATE(5479), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9788), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237486] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5528), 1,
      sym_trailing_return_type,
    ACTIONS(9099), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237526] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9238), 1,
      anon_sym_requires,
    STATE(5527), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237566] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(5515), 1,
      sym_trailing_return_type,
    ACTIONS(9576), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9993), 1,
      anon_sym_requires,
    STATE(5592), 1,
      sym_trailing_return_type,
    ACTIONS(9788), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237646] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6817), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [237696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10262), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5826), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237736] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6824), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [237786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6940), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10264), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5800), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237854] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(10161), 1,
      anon_sym_TILDE,
    ACTIONS(10167), 1,
      anon_sym_operator,
    ACTIONS(10266), 1,
      sym_identifier,
    ACTIONS(10268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10270), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(3185), 1,
      sym_template_function,
    STATE(3205), 1,
      sym_destructor_name,
    STATE(3213), 1,
      sym_dependent_identifier,
    STATE(3277), 1,
      sym_operator_name,
    STATE(3279), 1,
      sym_qualified_identifier,
    STATE(3281), 1,
      sym_pointer_type_declarator,
    STATE(5714), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8603), 1,
      sym_ms_based_modifier,
  [237918] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10272), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5827), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237958] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6851), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238008] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6858), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238058] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10274), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238110] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4400), 1,
      anon_sym_RBRACK,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6801), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238212] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6835), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238262] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10276), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5778), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238302] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_STAR,
    ACTIONS(8081), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8083), 1,
      anon_sym_AMP,
    ACTIONS(8198), 1,
      anon_sym___attribute,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6413), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238348] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10278), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238400] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10280), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238452] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4400), 1,
      anon_sym_RBRACK,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10282), 1,
      sym_identifier,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238504] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6808), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238554] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6860), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_LPAREN2,
    ACTIONS(9962), 1,
      anon_sym_defined,
    ACTIONS(10284), 1,
      sym_number_literal,
    ACTIONS(9964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9966), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9970), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5762), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238644] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6806), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238694] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6813), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238744] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6823), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238794] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6829), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [238844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10286), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5807), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10290), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10288), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238912] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10292), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238964] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10294), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [239016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10296), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5786), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239056] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(9876), 1,
      anon_sym_TILDE,
    ACTIONS(10298), 1,
      sym_identifier,
    ACTIONS(10300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      anon_sym_template,
    ACTIONS(10304), 1,
      anon_sym_operator,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8274), 1,
      sym_ms_based_modifier,
  [239120] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10306), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5774), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10308), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5783), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10310), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5790), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239240] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(10115), 1,
      anon_sym_TILDE,
    ACTIONS(10121), 1,
      anon_sym_operator,
    ACTIONS(10312), 1,
      sym_identifier,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10316), 1,
      anon_sym_template,
    STATE(1726), 1,
      sym_template_type,
    STATE(1727), 1,
      sym_dependent_type_identifier,
    STATE(1825), 1,
      sym_qualified_type_identifier,
    STATE(3342), 1,
      sym_pointer_type_declarator,
    STATE(3343), 1,
      sym_template_function,
    STATE(3359), 1,
      sym_destructor_name,
    STATE(3361), 1,
      sym_dependent_identifier,
    STATE(3365), 1,
      sym_qualified_identifier,
    STATE(3366), 1,
      sym_operator_name,
    STATE(5743), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
    STATE(8603), 1,
      sym_ms_based_modifier,
  [239304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10320), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10318), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239332] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6456), 1,
      sym__type_declarator,
    STATE(6810), 1,
      sym__type_definition_declarators,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [239382] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10322), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [239434] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(10145), 1,
      anon_sym_LPAREN2,
    ACTIONS(10147), 1,
      anon_sym_defined,
    ACTIONS(10324), 1,
      sym_number_literal,
    ACTIONS(10149), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10155), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5804), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239474] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10326), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [239526] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10328), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [239578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9708), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9706), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239610] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    ACTIONS(8198), 1,
      anon_sym___attribute,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6439), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239656] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10330), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [239708] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10051), 1,
      anon_sym_AMP,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10057), 1,
      sym_this,
    ACTIONS(10332), 1,
      anon_sym_RBRACK,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7565), 1,
      sym_lambda_default_capture,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7303), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [239760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10219), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10217), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [239800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10336), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10334), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10219), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10217), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10217), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239888] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9932), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9934), 1,
      anon_sym_PIPE,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10217), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [239936] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9934), 1,
      anon_sym_PIPE,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10217), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [239982] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(10219), 1,
      anon_sym_PIPE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10217), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [240028] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(10219), 1,
      anon_sym_PIPE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10217), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [240072] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9930), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9932), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9934), 1,
      anon_sym_PIPE,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10338), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [240122] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6508), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [240169] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(10340), 1,
      sym_identifier,
    ACTIONS(10342), 1,
      anon_sym_template,
    STATE(5764), 1,
      sym__scope_resolution,
    STATE(5952), 1,
      sym_dependent_identifier,
    STATE(5980), 1,
      sym_operator_name,
    STATE(6024), 1,
      sym_qualified_identifier,
    STATE(6046), 1,
      sym_pointer_type_declarator,
    STATE(6047), 1,
      sym_template_function,
    STATE(6051), 1,
      sym_destructor_name,
    STATE(8376), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6318), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6320), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [240255] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8164), 1,
      anon_sym_STAR,
    ACTIONS(8166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    STATE(2133), 1,
      sym__type_declarator,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(8274), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [240302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10348), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10346), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240329] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8190), 1,
      anon_sym_STAR,
    ACTIONS(8192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6481), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240372] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6699), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [240419] = 3,
    ACTIONS(6940), 1,
      anon_sym_LF,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(6938), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240446] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10219), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10370), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10368), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240518] = 7,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10219), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [240553] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10372), 1,
      anon_sym_LF,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240598] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(10376), 1,
      sym_identifier,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10380), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8236), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240655] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9930), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9932), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9934), 1,
      anon_sym_PIPE,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(10382), 1,
      anon_sym_RPAREN,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240704] = 8,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10219), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [240741] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10384), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240786] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      sym_primitive_type,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6695), 1,
      sym__type_declarator,
    STATE(8418), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [240833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10386), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240860] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_SLASH,
    ACTIONS(9930), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9932), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9934), 1,
      anon_sym_PIPE,
    ACTIONS(9936), 1,
      anon_sym_CARET,
    ACTIONS(9938), 1,
      anon_sym_AMP,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9926), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9940), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9942), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9944), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240909] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6669), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [240956] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10392), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10396), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10394), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241028] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6684), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [241075] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10398), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(5682), 2,
      anon_sym___attribute,
      anon_sym_COLON,
    ACTIONS(4087), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9565), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241180] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10400), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241225] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10402), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241270] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(10404), 1,
      sym_identifier,
    ACTIONS(10406), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5791), 1,
      sym__scope_resolution,
    STATE(8236), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241327] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10169), 1,
      anon_sym_LF,
    ACTIONS(10171), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241354] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10179), 1,
      anon_sym_LF,
    ACTIONS(10181), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241381] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6666), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [241428] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10288), 1,
      anon_sym_LF,
    ACTIONS(10290), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241455] = 6,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10219), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241488] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8126), 1,
      sym_primitive_type,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(8172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_AMP,
    STATE(5889), 1,
      sym__type_declarator,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(7986), 1,
      sym_ms_based_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [241535] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10408), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241580] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10410), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241625] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10412), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241670] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8142), 1,
      sym_identifier,
    ACTIONS(8144), 1,
      anon_sym_LPAREN2,
    ACTIONS(8146), 1,
      anon_sym_STAR,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      sym_primitive_type,
    STATE(2926), 1,
      sym__type_declarator,
    STATE(3230), 1,
      sym_pointer_type_declarator,
    STATE(8603), 1,
      sym_ms_based_modifier,
    ACTIONS(8152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3208), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [241717] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10089), 1,
      anon_sym_LF,
    ACTIONS(10091), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(5938), 1,
      sym_template_argument_list,
    ACTIONS(7997), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4895), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [241777] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10219), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10414), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(5728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8170), 1,
      anon_sym_STAR,
    ACTIONS(10340), 1,
      sym_identifier,
    ACTIONS(10342), 1,
      anon_sym_template,
    STATE(5806), 1,
      sym__scope_resolution,
    STATE(5952), 1,
      sym_dependent_identifier,
    STATE(5980), 1,
      sym_operator_name,
    STATE(6024), 1,
      sym_qualified_identifier,
    STATE(6046), 1,
      sym_pointer_type_declarator,
    STATE(6047), 1,
      sym_template_function,
    STATE(6051), 1,
      sym_destructor_name,
    STATE(7986), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241892] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10418), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10422), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10420), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241964] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(10008), 1,
      sym_identifier,
    ACTIONS(10010), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5809), 1,
      sym__scope_resolution,
    STATE(8236), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242021] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(6976), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(10008), 1,
      sym_identifier,
    ACTIONS(10010), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5810), 1,
      sym__scope_resolution,
    STATE(8418), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242078] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10424), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10428), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10426), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242150] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3194), 1,
      anon_sym_TILDE,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_identifier,
    ACTIONS(10432), 1,
      anon_sym_template,
    STATE(2721), 1,
      sym_qualified_identifier,
    STATE(2783), 1,
      sym_pointer_type_declarator,
    STATE(2785), 1,
      sym_template_function,
    STATE(2786), 1,
      sym_destructor_name,
    STATE(2787), 1,
      sym_dependent_identifier,
    STATE(2793), 1,
      sym_operator_name,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(8236), 1,
      sym_ms_based_modifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242207] = 11,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10219), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242250] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_STAR,
    ACTIONS(8184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8186), 1,
      anon_sym_AMP,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6495), 1,
      sym__abstract_declarator,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8196), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4838), 2,
      anon_sym___attribute,
      anon_sym_COLON,
    ACTIONS(4845), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9786), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242353] = 10,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10219), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242394] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10219), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242423] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10318), 1,
      anon_sym_LF,
    ACTIONS(10320), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242450] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10209), 1,
      anon_sym_LF,
    ACTIONS(10211), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242477] = 9,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10219), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10434), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10440), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10438), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242570] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10334), 1,
      anon_sym_LF,
    ACTIONS(10336), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242597] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10442), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242642] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10444), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(5938), 1,
      sym_template_argument_list,
    ACTIONS(4847), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4840), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [242720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9099), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9088), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242747] = 12,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(10358), 1,
      anon_sym_CARET,
    ACTIONS(10360), 1,
      anon_sym_AMP,
    ACTIONS(10374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10446), 1,
      anon_sym_LF,
    ACTIONS(10350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10352), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10364), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10450), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10448), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242819] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10250), 1,
      anon_sym_LF,
    ACTIONS(10252), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10454), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10452), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10458), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10456), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10462), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10460), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242927] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8098), 1,
      sym_identifier,
    ACTIONS(8100), 1,
      anon_sym_LPAREN2,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8106), 1,
      anon_sym_AMP,
    ACTIONS(8112), 1,
      sym_primitive_type,
    STATE(2973), 1,
      sym__type_declarator,
    STATE(3433), 1,
      sym_pointer_type_declarator,
    STATE(8483), 1,
      sym_ms_based_modifier,
    ACTIONS(8110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3419), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [242974] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(10464), 1,
      anon_sym_SEMI,
    ACTIONS(10466), 1,
      anon_sym_COLON,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    STATE(7249), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [243029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10470), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10468), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9233), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9222), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243083] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8128), 1,
      sym_identifier,
    ACTIONS(8130), 1,
      anon_sym_LPAREN2,
    ACTIONS(8140), 1,
      sym_primitive_type,
    ACTIONS(8156), 1,
      anon_sym_STAR,
    ACTIONS(8158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8160), 1,
      anon_sym_AMP,
    STATE(2185), 1,
      sym_pointer_type_declarator,
    STATE(6171), 1,
      sym__type_declarator,
    STATE(8236), 1,
      sym_ms_based_modifier,
    ACTIONS(8138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2183), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [243130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10474), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10472), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243157] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8114), 1,
      sym_identifier,
    ACTIONS(8116), 1,
      anon_sym_LPAREN2,
    ACTIONS(8118), 1,
      anon_sym_STAR,
    ACTIONS(8120), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8122), 1,
      anon_sym_AMP,
    ACTIONS(8126), 1,
      sym_primitive_type,
    STATE(5957), 1,
      sym_pointer_type_declarator,
    STATE(6192), 1,
      sym__type_declarator,
    STATE(8376), 1,
      sym_ms_based_modifier,
    ACTIONS(8124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5954), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [243204] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LF,
    ACTIONS(10219), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [243231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10478), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10476), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9810), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9808), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243285] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    STATE(5429), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9233), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243323] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    STATE(5425), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9099), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243395] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    STATE(5431), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9576), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243433] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    STATE(5432), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9788), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 1,
      anon_sym___attribute,
    ACTIONS(4991), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(9182), 1,
      anon_sym_requires,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym___attribute,
    ACTIONS(1907), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243591] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(9608), 1,
      anon_sym_requires,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 1,
      anon_sym___attribute,
    ACTIONS(5045), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10480), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6117), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6119), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243681] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    ACTIONS(5950), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5907), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5952), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(10488), 1,
      anon_sym_requires,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3824), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [243777] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(5442), 1,
      sym_trailing_return_type,
    ACTIONS(9099), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9810), 1,
      anon_sym___attribute,
    ACTIONS(10494), 1,
      anon_sym_requires,
    ACTIONS(10491), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6003), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9266), 1,
      anon_sym_requires,
    STATE(5400), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9593), 1,
      anon_sym_requires,
    STATE(5421), 1,
      sym_trailing_return_type,
    ACTIONS(9576), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [243925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 1,
      anon_sym___attribute,
    ACTIONS(5049), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243951] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_STAR,
    ACTIONS(8221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8223), 1,
      anon_sym_AMP,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5767), 1,
      sym__function_declarator_seq,
    STATE(6573), 1,
      sym__abstract_declarator,
    ACTIONS(8196), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5841), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [243993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10043), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5905), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10041), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244023] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(10497), 1,
      anon_sym_virtual,
    STATE(1864), 1,
      sym_template_type,
    STATE(6473), 1,
      sym_access_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(5888), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7412), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10499), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [244071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6040), 1,
      anon_sym___attribute,
    ACTIONS(10501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10503), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6042), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym___attribute,
    ACTIONS(5023), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_DASH_GT,
    ACTIONS(9793), 1,
      anon_sym_requires,
    STATE(5438), 1,
      sym_trailing_return_type,
    ACTIONS(9788), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(5938), 1,
      sym_template_argument_list,
    ACTIONS(6311), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6313), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 1,
      anon_sym___attribute,
    ACTIONS(5045), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6320), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244247] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10464), 1,
      anon_sym_SEMI,
    ACTIONS(10505), 1,
      anon_sym_EQ,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7146), 1,
      sym_initializer_list,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    STATE(7249), 1,
      aux_sym_declaration_repeat1,
    STATE(7615), 1,
      sym_argument_list,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 1,
      anon_sym___attribute,
    ACTIONS(5045), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym___attribute,
    ACTIONS(10503), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6084), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244355] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(10507), 1,
      anon_sym_virtual,
    STATE(1864), 1,
      sym_template_type,
    STATE(6397), 1,
      sym_access_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(5898), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6883), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10499), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [244403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 1,
      anon_sym___attribute,
    ACTIONS(5019), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244429] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244463] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    ACTIONS(5907), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5907), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5909), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 1,
      anon_sym___attribute,
    ACTIONS(4987), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(10035), 1,
      anon_sym_SEMI,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7307), 1,
      sym_gnu_asm_expression,
    STATE(7309), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [244577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 1,
      anon_sym___attribute,
    ACTIONS(5053), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244603] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    ACTIONS(6021), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5907), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6023), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3820), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [244665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(9904), 1,
      anon_sym_SEMI,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7326), 1,
      sym_gnu_asm_expression,
    STATE(7340), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [244717] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(10509), 1,
      anon_sym_virtual,
    STATE(1864), 1,
      sym_template_type,
    STATE(6402), 1,
      sym_access_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7332), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10499), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [244765] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    ACTIONS(5927), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5907), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5929), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym___attribute,
    ACTIONS(5037), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 1,
      anon_sym___attribute,
    ACTIONS(5041), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244853] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(10464), 1,
      anon_sym_SEMI,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    STATE(7249), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [244905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244939] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    ACTIONS(5987), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5907), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5989), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym___attribute,
    ACTIONS(1911), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6447), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym___attribute,
    ACTIONS(5005), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245053] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(10511), 1,
      anon_sym_virtual,
    STATE(1864), 1,
      sym_template_type,
    STATE(6379), 1,
      sym_access_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6874), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10499), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [245101] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(9950), 1,
      anon_sym_SEMI,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7402), 1,
      sym_gnu_asm_expression,
    STATE(7403), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [245153] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(9344), 1,
      anon_sym_requires,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [245187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym___attribute,
    ACTIONS(4983), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(9810), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6003), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [245247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    ACTIONS(10026), 1,
      anon_sym_SEMI,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    STATE(7352), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [245299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 1,
      anon_sym___attribute,
    ACTIONS(5033), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      anon_sym___attribute,
    ACTIONS(10513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5905), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9980), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym___attribute,
    ACTIONS(5009), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6056), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6058), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245410] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(10488), 1,
      anon_sym_requires,
    STATE(5862), 1,
      sym_trailing_return_type,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [245447] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10516), 1,
      anon_sym_AMP,
    ACTIONS(10518), 1,
      sym_this,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7648), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [245490] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6602), 1,
      sym__abstract_declarator,
    ACTIONS(8196), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245531] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(6056), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [245574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    ACTIONS(9993), 1,
      anon_sym_requires,
    STATE(5592), 1,
      sym_trailing_return_type,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245611] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10522), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6985), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [245644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5488), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10524), 1,
      sym_identifier,
    ACTIONS(5249), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5941), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [245712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9104), 1,
      anon_sym_requires,
    STATE(5528), 1,
      sym_trailing_return_type,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(5515), 1,
      sym_trailing_return_type,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5828), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245811] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(6623), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [245854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10532), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10530), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8325), 1,
      anon_sym_STAR,
    ACTIONS(8327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8329), 1,
      anon_sym_AMP,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6645), 1,
      sym__abstract_declarator,
    ACTIONS(8196), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    STATE(5479), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(5574), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    STATE(5848), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246035] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8305), 1,
      anon_sym_STAR,
    ACTIONS(8307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8309), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6600), 1,
      sym__abstract_declarator,
    ACTIONS(8196), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    STATE(5880), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    STATE(5893), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_requires,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    STATE(5902), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246187] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_requires,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(5569), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246224] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(9182), 1,
      anon_sym_requires,
    STATE(5900), 1,
      sym_trailing_return_type,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246261] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(8313), 1,
      anon_sym_STAR,
    ACTIONS(8315), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8317), 1,
      anon_sym_AMP,
    STATE(6102), 1,
      sym__field_declarator,
    STATE(6244), 1,
      sym_operator_name,
    STATE(8132), 1,
      sym_ms_based_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [246304] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(9344), 1,
      anon_sym_requires,
    STATE(5855), 1,
      sym_trailing_return_type,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246341] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(8275), 1,
      sym_identifier,
    ACTIONS(8277), 1,
      anon_sym_LPAREN2,
    ACTIONS(8279), 1,
      anon_sym_STAR,
    ACTIONS(8281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8283), 1,
      anon_sym_AMP,
    STATE(6638), 1,
      sym__field_declarator,
    STATE(6742), 1,
      sym_operator_name,
    STATE(8031), 1,
      sym_ms_based_modifier,
    STATE(6320), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [246384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(10541), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(10539), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10534), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [246415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10544), 1,
      sym_identifier,
    ACTIONS(5266), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5935), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10547), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10550), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246446] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4394), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      anon_sym_STAR,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10516), 1,
      anon_sym_AMP,
    ACTIONS(10553), 1,
      sym_this,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7353), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [246489] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(9888), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9896), 1,
      anon_sym_EQ,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(7686), 1,
      sym_gnu_asm_expression,
    ACTIONS(9898), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10555), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7615), 2,
      sym_argument_list,
      sym_initializer_list,
  [246536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4864), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9238), 1,
      anon_sym_requires,
    STATE(5527), 1,
      sym_trailing_return_type,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(9608), 1,
      anon_sym_requires,
    STATE(5859), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10557), 1,
      sym_identifier,
    ACTIONS(5255), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5935), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246668] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10115), 1,
      anon_sym_TILDE,
    ACTIONS(10559), 1,
      sym_identifier,
    ACTIONS(10561), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      anon_sym_template,
    STATE(6242), 1,
      sym__scope_resolution,
    STATE(7603), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3434), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [246710] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    STATE(6223), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [246746] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10568), 1,
      sym_identifier,
    ACTIONS(10570), 1,
      sym_primitive_type,
    STATE(4969), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(2394), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9535), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [246786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10572), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10370), 1,
      anon_sym___attribute,
    ACTIONS(10368), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [246834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10578), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10576), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246858] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      sym_identifier,
    ACTIONS(10582), 1,
      sym_primitive_type,
    STATE(4804), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(1837), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [246898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(9611), 1,
      anon_sym_requires,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [246930] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10584), 1,
      sym_identifier,
    ACTIONS(10586), 1,
      sym_primitive_type,
    STATE(1849), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(1837), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [246970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6064), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4840), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247018] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10568), 1,
      sym_identifier,
    ACTIONS(10570), 1,
      sym_primitive_type,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(2394), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [247058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6068), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_STAR,
    ACTIONS(8434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8436), 1,
      anon_sym_AMP,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6688), 1,
      sym__abstract_declarator,
    ACTIONS(8196), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6072), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6076), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10590), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10588), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_requires,
    STATE(6166), 1,
      sym_trailing_return_type,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6219), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      anon_sym___attribute,
    ACTIONS(10434), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10458), 1,
      anon_sym___attribute,
    ACTIONS(10456), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10470), 1,
      anon_sym___attribute,
    ACTIONS(10468), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4895), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6101), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym___attribute,
    ACTIONS(10414), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(9222), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(9177), 1,
      anon_sym_requires,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247466] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(10592), 1,
      anon_sym_requires,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10448), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10599), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10603), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247618] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247650] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10611), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10615), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247714] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10617), 1,
      sym_identifier,
    ACTIONS(10619), 1,
      sym_primitive_type,
    STATE(1557), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(2195), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [247754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10623), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247786] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9810), 1,
      anon_sym___attribute,
    ACTIONS(10625), 1,
      anon_sym_requires,
    ACTIONS(10491), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6003), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4840), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247842] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10630), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247874] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym___asm,
    STATE(2915), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10440), 1,
      anon_sym___attribute,
    ACTIONS(10438), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247930] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10636), 1,
      sym_identifier,
    ACTIONS(10638), 1,
      sym_primitive_type,
    STATE(1612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(3102), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [247970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10642), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10640), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9810), 1,
      anon_sym___attribute,
    ACTIONS(9808), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248018] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10644), 1,
      sym_identifier,
    ACTIONS(10646), 1,
      sym_primitive_type,
    STATE(1570), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(2809), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9423), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248058] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10648), 1,
      sym_identifier,
    ACTIONS(10650), 1,
      sym_primitive_type,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(2394), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10654), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10652), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248122] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9810), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6003), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10599), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9335), 1,
      anon_sym_requires,
    STATE(6179), 1,
      sym_trailing_return_type,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248222] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10656), 1,
      sym_identifier,
    ACTIONS(10658), 1,
      sym_primitive_type,
    STATE(1827), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(3957), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248262] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10568), 1,
      sym_identifier,
    ACTIONS(10570), 1,
      sym_primitive_type,
    STATE(2640), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(2394), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10603), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6040), 1,
      anon_sym___attribute,
    ACTIONS(10660), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10662), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6042), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(9341), 1,
      anon_sym_requires,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10611), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    ACTIONS(10452), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248482] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10615), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248514] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10664), 1,
      sym_identifier,
    ACTIONS(10666), 1,
      sym_primitive_type,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(4635), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10478), 1,
      anon_sym___attribute,
    ACTIONS(10476), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10623), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248610] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10630), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248642] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10668), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      sym_primitive_type,
    STATE(1555), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(2195), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym___asm,
    STATE(2902), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248714] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10599), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10396), 1,
      anon_sym___attribute,
    ACTIONS(10394), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248770] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(6222), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248806] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10648), 1,
      sym_identifier,
    ACTIONS(10650), 1,
      sym_primitive_type,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(2394), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248846] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10603), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9602), 1,
      anon_sym_requires,
    STATE(6206), 1,
      sym_trailing_return_type,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248914] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10428), 1,
      anon_sym___attribute,
    ACTIONS(10426), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    ACTIONS(10672), 1,
      anon_sym_requires,
    STATE(6217), 1,
      sym_trailing_return_type,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10611), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(9565), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249062] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10615), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249094] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [249126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6167), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10675), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6108), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6110), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4840), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249222] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_DASH_GT,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(6216), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(9088), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249282] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [249314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6435), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249338] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      sym_identifier,
    ACTIONS(10681), 1,
      sym_primitive_type,
    STATE(4178), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(2645), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249378] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10623), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249410] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10586), 1,
      sym_primitive_type,
    ACTIONS(10683), 1,
      sym_identifier,
    STATE(4132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(1837), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10474), 1,
      anon_sym___attribute,
    ACTIONS(10472), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym___attribute,
    ACTIONS(10346), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10630), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym___attribute,
    ACTIONS(10662), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6084), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [249556] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym___attribute,
    STATE(2821), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10462), 1,
      anon_sym___attribute,
    ACTIONS(10460), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10687), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10685), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10689), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249660] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10693), 1,
      sym_identifier,
    ACTIONS(10695), 1,
      sym_primitive_type,
    STATE(4014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(4884), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7881), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249700] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10681), 1,
      sym_primitive_type,
    ACTIONS(10697), 1,
      sym_identifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(2645), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      sym_primitive_type,
    STATE(1588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(2860), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9392), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10422), 1,
      anon_sym___attribute,
    ACTIONS(10420), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10705), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10703), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 1,
      anon_sym___attribute,
    ACTIONS(10386), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4840), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4840), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6146), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6150), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6152), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6154), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4840), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249996] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10664), 1,
      sym_identifier,
    ACTIONS(10666), 1,
      sym_primitive_type,
    STATE(3914), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(4635), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [250036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6132), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6134), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [250060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(9786), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250084] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [250116] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(9679), 1,
      anon_sym_COLON,
    ACTIONS(10709), 1,
      anon_sym___attribute,
    ACTIONS(10711), 1,
      anon_sym_EQ,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(7044), 1,
      sym_bitfield_clause,
    STATE(7047), 1,
      sym_initializer_list,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10707), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [250162] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    STATE(5990), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(9614), 1,
      anon_sym_requires,
    STATE(6196), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(10713), 1,
      anon_sym_requires,
    STATE(6205), 1,
      sym_trailing_return_type,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250265] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9182), 1,
      anon_sym_requires,
    STATE(5900), 1,
      sym_trailing_return_type,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(5949), 1,
      sym_trailing_return_type,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7179), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250362] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(10718), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10720), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10722), 1,
      aux_sym_preproc_elif_token1,
    STATE(6435), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6436), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6704), 1,
      sym_enumerator,
    ACTIONS(10724), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8553), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8555), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [250401] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    STATE(5848), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    STATE(5902), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250467] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10726), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [250502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7242), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7093), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250560] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10069), 1,
      anon_sym_TILDE,
    ACTIONS(10730), 1,
      sym_identifier,
    ACTIONS(10732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10734), 1,
      anon_sym_template,
    STATE(6280), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2433), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [250599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7274), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9608), 1,
      anon_sym_requires,
    STATE(5859), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10738), 1,
      anon_sym___asm,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10736), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [250696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7074), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(9611), 1,
      anon_sym_requires,
    STATE(5969), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym___asm,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10740), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [250795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7395), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250824] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    STATE(5990), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7247), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8067), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7437), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5915), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5750), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250973] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10069), 1,
      anon_sym_TILDE,
    ACTIONS(10730), 1,
      sym_identifier,
    ACTIONS(10744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10746), 1,
      anon_sym_template,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7735), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2433), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [251012] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(10720), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10722), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10748), 1,
      aux_sym_preproc_if_token2,
    STATE(6449), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6454), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6704), 1,
      sym_enumerator,
    ACTIONS(10724), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7902), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7907), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [251051] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10115), 1,
      anon_sym_TILDE,
    ACTIONS(10559), 1,
      sym_identifier,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      anon_sym_template,
    STATE(6242), 1,
      sym__scope_resolution,
    STATE(7603), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3434), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [251090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    STATE(5880), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251123] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(10592), 1,
      anon_sym_requires,
    STATE(5979), 1,
      sym_trailing_return_type,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [251158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10752), 1,
      anon_sym___attribute,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10750), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10756), 1,
      anon_sym___attribute,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10754), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7455), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7910), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(7218), 1,
      anon_sym_requires,
    STATE(5893), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10738), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10736), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [251354] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym___asm,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10758), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251389] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    STATE(6234), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7175), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251453] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10764), 1,
      anon_sym___attribute,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10762), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251488] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(9532), 1,
      anon_sym_requires,
    STATE(6194), 1,
      sym_trailing_return_type,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    STATE(6188), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym___asm,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10726), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251593] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10105), 1,
      anon_sym_TILDE,
    ACTIONS(10766), 1,
      sym_identifier,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      anon_sym_template,
    STATE(6267), 1,
      sym__scope_resolution,
    STATE(7750), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3555), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [251632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(10488), 1,
      anon_sym_requires,
    STATE(5862), 1,
      sym_trailing_return_type,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10774), 1,
      anon_sym___attribute,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10772), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251700] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10740), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [251735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7386), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    STATE(6186), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7268), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7854), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7976), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251919] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10778), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [251954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8047), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7259), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8098), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252041] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8142), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252103] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6781), 1,
      sym__abstract_declarator,
    ACTIONS(8196), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7417), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [252206] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(10720), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10722), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10780), 1,
      aux_sym_preproc_if_token2,
    STATE(6415), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6425), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6704), 1,
      sym_enumerator,
    ACTIONS(10724), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7894), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(8301), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [252245] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    STATE(6020), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252278] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(10720), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10722), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10782), 1,
      aux_sym_preproc_if_token2,
    STATE(6427), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6428), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6704), 1,
      sym_enumerator,
    ACTIONS(10724), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8396), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8397), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [252317] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(9243), 1,
      anon_sym_requires,
    STATE(6191), 1,
      sym_trailing_return_type,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
    STATE(6081), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7089), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252381] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7261), 1,
      anon_sym_requires,
    STATE(5970), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10786), 1,
      anon_sym___attribute,
    STATE(2832), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10784), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252449] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10778), 1,
      anon_sym___asm,
    STATE(2867), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [252484] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym___asm,
    STATE(2842), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10758), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252519] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(5949), 1,
      sym_trailing_return_type,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252552] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT,
    ACTIONS(9344), 1,
      anon_sym_requires,
    STATE(5855), 1,
      sym_trailing_return_type,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252585] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    STATE(5970), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [252620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9611), 1,
      anon_sym_requires,
    STATE(5969), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252653] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(10592), 1,
      anon_sym_requires,
    STATE(5979), 1,
      sym_trailing_return_type,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    STATE(6020), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [252721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [252756] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(7549), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    STATE(6236), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252791] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4420), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(10788), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4217), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252831] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(10713), 1,
      anon_sym_requires,
    STATE(6205), 1,
      sym_trailing_return_type,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252863] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10790), 1,
      anon_sym_SEMI,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10796), 1,
      anon_sym_try,
    STATE(354), 1,
      sym_compound_statement,
    STATE(7706), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(362), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [252901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      sym_identifier,
    ACTIONS(5317), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252923] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    STATE(6186), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252955] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10798), 1,
      anon_sym_SEMI,
    ACTIONS(10800), 1,
      anon_sym_EQ,
    ACTIONS(10802), 1,
      anon_sym_try,
    STATE(726), 1,
      sym_compound_statement,
    STATE(7515), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(727), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [252993] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2879), 1,
      sym_enumerator_list,
    STATE(6531), 1,
      sym__scope_resolution,
    ACTIONS(10804), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_requires,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253063] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(6511), 1,
      sym_access_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6874), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10499), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [253101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym___attribute,
    ACTIONS(10806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6084), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [253125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5907), 1,
      anon_sym___attribute,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5909), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [253157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym___asm,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6023), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [253189] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10810), 1,
      anon_sym_EQ,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    ACTIONS(10808), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253229] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2950), 1,
      sym_enumerator_list,
    STATE(6539), 1,
      sym__scope_resolution,
    ACTIONS(10812), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253269] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6642), 1,
      anon_sym_LBRACE,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2747), 1,
      sym_enumerator_list,
    STATE(6526), 1,
      sym__scope_resolution,
    ACTIONS(10814), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2536), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253309] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10816), 1,
      anon_sym_SEMI,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    ACTIONS(10822), 1,
      anon_sym_try,
    STATE(1772), 1,
      sym_compound_statement,
    STATE(7817), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1775), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253347] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(5036), 1,
      sym_enumerator_list,
    STATE(6550), 1,
      sym__scope_resolution,
    ACTIONS(10824), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4815), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253387] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(5425), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253421] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(5429), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253455] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(5431), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_requires,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    STATE(5432), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9149), 1,
      anon_sym_requires,
    STATE(5442), 1,
      sym_trailing_return_type,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253557] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9266), 1,
      anon_sym_requires,
    STATE(5400), 1,
      sym_trailing_return_type,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9593), 1,
      anon_sym_requires,
    STATE(5421), 1,
      sym_trailing_return_type,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    ACTIONS(9793), 1,
      anon_sym_requires,
    STATE(5438), 1,
      sym_trailing_return_type,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 1,
      sym_identifier,
    ACTIONS(5333), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [253681] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 1,
      anon_sym___asm,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5909), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [253713] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2879), 1,
      sym_enumerator_list,
    STATE(6571), 1,
      sym__scope_resolution,
    ACTIONS(10826), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2987), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6040), 1,
      anon_sym_LBRACK,
    ACTIONS(10828), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10830), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6042), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [253779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 1,
      sym_identifier,
    ACTIONS(5352), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [253801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9335), 1,
      anon_sym_requires,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253831] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10832), 1,
      anon_sym_SEMI,
    ACTIONS(10834), 1,
      anon_sym_EQ,
    ACTIONS(10836), 1,
      anon_sym_try,
    STATE(672), 1,
      sym_compound_statement,
    STATE(7805), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(673), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253869] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5987), 1,
      anon_sym___asm,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5989), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [253901] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2810), 1,
      sym_enumerator_list,
    STATE(6543), 1,
      sym__scope_resolution,
    ACTIONS(10838), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      sym_identifier,
    ACTIONS(5321), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [253963] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(5927), 1,
      anon_sym___attribute,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5929), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [253995] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10840), 1,
      anon_sym_SEMI,
    ACTIONS(10842), 1,
      anon_sym_EQ,
    ACTIONS(10844), 1,
      anon_sym_try,
    STATE(2125), 1,
      sym_compound_statement,
    STATE(7757), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2028), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254033] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2538), 1,
      sym_enumerator_list,
    STATE(6536), 1,
      sym__scope_resolution,
    ACTIONS(10846), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254073] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    STATE(6234), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254105] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10796), 1,
      anon_sym_try,
    ACTIONS(10848), 1,
      anon_sym_SEMI,
    STATE(281), 1,
      sym_compound_statement,
    STATE(7560), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(286), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254143] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10850), 1,
      anon_sym_SEMI,
    ACTIONS(10852), 1,
      anon_sym_EQ,
    ACTIONS(10854), 1,
      anon_sym_try,
    STATE(595), 1,
      sym_compound_statement,
    STATE(7652), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(596), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254181] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10842), 1,
      anon_sym_EQ,
    ACTIONS(10844), 1,
      anon_sym_try,
    ACTIONS(10856), 1,
      anon_sym_SEMI,
    STATE(1967), 1,
      sym_compound_statement,
    STATE(7614), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1978), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6040), 1,
      anon_sym___attribute,
    ACTIONS(10806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10858), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6042), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9602), 1,
      anon_sym_requires,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [254275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(9243), 1,
      anon_sym_requires,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254305] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    ACTIONS(10822), 1,
      anon_sym_try,
    ACTIONS(10860), 1,
      anon_sym_SEMI,
    STATE(1680), 1,
      sym_compound_statement,
    STATE(7495), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1681), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254343] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5871), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2154), 1,
      sym_enumerator_list,
    STATE(6530), 1,
      sym__scope_resolution,
    ACTIONS(10862), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254383] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10834), 1,
      anon_sym_EQ,
    ACTIONS(10836), 1,
      anon_sym_try,
    ACTIONS(10864), 1,
      anon_sym_SEMI,
    STATE(576), 1,
      sym_compound_statement,
    STATE(7599), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(579), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254421] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(6505), 1,
      sym_access_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(7460), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10499), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [254459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [254489] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9810), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6003), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254519] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10800), 1,
      anon_sym_EQ,
    ACTIONS(10802), 1,
      anon_sym_try,
    ACTIONS(10866), 1,
      anon_sym_SEMI,
    STATE(733), 1,
      sym_compound_statement,
    STATE(7797), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(748), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254557] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254587] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10852), 1,
      anon_sym_EQ,
    ACTIONS(10854), 1,
      anon_sym_try,
    ACTIONS(10868), 1,
      anon_sym_SEMI,
    STATE(606), 1,
      sym_compound_statement,
    STATE(7743), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(607), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254625] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(3590), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(10870), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6384), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254665] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(9532), 1,
      anon_sym_requires,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254695] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 1,
      anon_sym___asm,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5929), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10599), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(9614), 1,
      anon_sym_requires,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254787] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10872), 1,
      anon_sym_SEMI,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    ACTIONS(10876), 1,
      anon_sym_EQ,
    ACTIONS(10878), 1,
      anon_sym_try,
    STATE(2096), 1,
      sym_compound_statement,
    STATE(7473), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2097), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 1,
      anon_sym___attribute,
    ACTIONS(10713), 1,
      anon_sym_requires,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254855] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10603), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254885] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(6479), 1,
      sym_access_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6888), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10499), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [254923] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254953] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10611), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10615), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(5950), 1,
      anon_sym___attribute,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5952), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [255045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10623), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255075] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10630), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9810), 1,
      anon_sym___attribute,
    ACTIONS(10880), 1,
      anon_sym_requires,
    ACTIONS(10491), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6003), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255135] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    ACTIONS(10672), 1,
      anon_sym_requires,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255165] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(3590), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    ACTIONS(10883), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4155), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255235] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8817), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4811), 1,
      sym_enumerator_list,
    STATE(6545), 1,
      sym__scope_resolution,
    ACTIONS(10885), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4381), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255275] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    STATE(6236), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255307] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5871), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2154), 1,
      sym_enumerator_list,
    STATE(6530), 1,
      sym__scope_resolution,
    ACTIONS(10887), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255347] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(3590), 1,
      sym_enumerator_list,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(10889), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3916), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255387] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(6021), 1,
      anon_sym___attribute,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6023), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [255419] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(2309), 1,
      sym_enumerator_list,
    STATE(6553), 1,
      sym__scope_resolution,
    ACTIONS(10891), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3815), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255459] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(2309), 1,
      sym_enumerator_list,
    STATE(6567), 1,
      sym__scope_resolution,
    ACTIONS(10893), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4803), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255499] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(10895), 1,
      anon_sym_requires,
    ACTIONS(9820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5844), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(7394), 1,
      anon_sym_requires,
    STATE(6188), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255591] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255621] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2879), 1,
      sym_enumerator_list,
    STATE(6534), 1,
      sym__scope_resolution,
    ACTIONS(10898), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4056), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255661] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(5987), 1,
      anon_sym___attribute,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5989), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [255693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_requires,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5844), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3921), 1,
      sym_enumerator_list,
    STATE(6546), 1,
      sym__scope_resolution,
    ACTIONS(10900), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym___asm,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    STATE(5965), 1,
      sym_parameter_list,
    STATE(6284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5952), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [255825] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2538), 1,
      sym_enumerator_list,
    STATE(6537), 1,
      sym__scope_resolution,
    ACTIONS(10902), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3989), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8196), 1,
      anon_sym_COLON,
    ACTIONS(8555), 1,
      anon_sym_STAR,
    ACTIONS(8557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8559), 1,
      anon_sym_AMP,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6854), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [255903] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9243), 1,
      anon_sym_requires,
    STATE(6191), 1,
      sym_trailing_return_type,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(6518), 1,
      sym_access_specifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(7332), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10499), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [255973] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [256003] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    ACTIONS(10876), 1,
      anon_sym_EQ,
    ACTIONS(10878), 1,
      anon_sym_try,
    ACTIONS(10904), 1,
      anon_sym_SEMI,
    STATE(2059), 1,
      sym_compound_statement,
    STATE(7644), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2060), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [256041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_LBRACK,
    ACTIONS(10830), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6084), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256065] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4420), 1,
      sym_enumerator_list,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(10906), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4933), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [256135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9532), 1,
      anon_sym_requires,
    STATE(6194), 1,
      sym_trailing_return_type,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [256167] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym___attribute,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [256197] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DASH_GT,
    ACTIONS(9614), 1,
      anon_sym_requires,
    STATE(6196), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [256229] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10908), 1,
      anon_sym_EQ,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    ACTIONS(10808), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [256269] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym___attribute,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10758), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [256302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10916), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7806), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7929), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256335] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10918), 1,
      sym_identifier,
    ACTIONS(10920), 1,
      anon_sym_COLON_COLON,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(7457), 1,
      sym_field_initializer,
    STATE(7638), 1,
      sym_operator_name,
    STATE(7056), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256372] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      anon_sym_template,
    ACTIONS(10922), 1,
      sym_identifier,
    STATE(3326), 1,
      sym_template_method,
    STATE(3327), 1,
      sym_dependent_field_identifier,
    STATE(3328), 1,
      sym_qualified_field_identifier,
    STATE(6242), 1,
      sym__scope_resolution,
    STATE(7603), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256411] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym___attribute,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10726), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [256444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10926), 1,
      anon_sym_LT,
    STATE(6361), 1,
      sym_template_argument_list,
    ACTIONS(10928), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10924), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [256469] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10930), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7674), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8040), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256529] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10800), 1,
      anon_sym_EQ,
    ACTIONS(10802), 1,
      anon_sym_try,
    STATE(726), 1,
      sym_compound_statement,
    STATE(7515), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(727), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [256564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10932), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7760), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8145), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6296), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256597] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10918), 1,
      sym_identifier,
    ACTIONS(10920), 1,
      anon_sym_COLON_COLON,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(7556), 1,
      sym_field_initializer,
    STATE(7638), 1,
      sym_operator_name,
    STATE(7056), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10934), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7704), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8675), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256723] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4416), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10938), 1,
      sym_identifier,
    STATE(5813), 1,
      sym__scope_resolution,
    ACTIONS(4418), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(7762), 2,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10611), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256787] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10615), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10630), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    STATE(6412), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [256878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10940), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7770), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8554), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10603), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [256940] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [256973] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10607), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257002] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(6442), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257035] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10796), 1,
      anon_sym_try,
    STATE(281), 1,
      sym_compound_statement,
    STATE(7560), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(286), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    STATE(6450), 1,
      sym_trailing_return_type,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10623), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257132] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10634), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3020), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257161] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      anon_sym_template,
    ACTIONS(10942), 1,
      sym_identifier,
    STATE(3620), 1,
      sym_template_method,
    STATE(3621), 1,
      sym_dependent_field_identifier,
    STATE(3622), 1,
      sym_qualified_field_identifier,
    STATE(6267), 1,
      sym__scope_resolution,
    STATE(7750), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10944), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7729), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8499), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6314), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257233] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10834), 1,
      anon_sym_EQ,
    ACTIONS(10836), 1,
      anon_sym_try,
    STATE(576), 1,
      sym_compound_statement,
    STATE(7599), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(579), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10926), 1,
      anon_sym_LT,
    STATE(6337), 1,
      sym_template_argument_list,
    ACTIONS(10948), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10946), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10950), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7574), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7967), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257326] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(10952), 1,
      anon_sym_LBRACE,
    STATE(7150), 1,
      sym_trailing_return_type,
    STATE(8070), 1,
      sym_requires_clause,
    STATE(6595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6594), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [257363] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6811), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [257398] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(10954), 1,
      anon_sym_LBRACE,
    STATE(7196), 1,
      sym_trailing_return_type,
    STATE(8338), 1,
      sym_requires_clause,
    STATE(6609), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6607), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [257435] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10834), 1,
      anon_sym_EQ,
    ACTIONS(10836), 1,
      anon_sym_try,
    STATE(672), 1,
      sym_compound_statement,
    STATE(7805), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(673), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257470] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10852), 1,
      anon_sym_EQ,
    ACTIONS(10854), 1,
      anon_sym_try,
    STATE(606), 1,
      sym_compound_statement,
    STATE(7743), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(607), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257505] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10956), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7632), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8058), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6281), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10532), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10530), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [257563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10958), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7712), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8116), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6245), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257596] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10734), 1,
      anon_sym_template,
    ACTIONS(10960), 1,
      sym_identifier,
    STATE(2332), 1,
      sym_template_method,
    STATE(2334), 1,
      sym_dependent_field_identifier,
    STATE(2335), 1,
      sym_qualified_field_identifier,
    STATE(6280), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257635] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10962), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7737), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8215), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257695] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym___attribute,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10740), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [257728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6056), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6058), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [257753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_requires,
    STATE(6405), 1,
      sym_trailing_return_type,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257786] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10800), 1,
      anon_sym_EQ,
    ACTIONS(10802), 1,
      anon_sym_try,
    STATE(733), 1,
      sym_compound_statement,
    STATE(7797), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(748), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9558), 1,
      anon_sym_requires,
    STATE(6475), 1,
      sym_trailing_return_type,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257854] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9683), 1,
      anon_sym_requires,
    STATE(6404), 1,
      sym_trailing_return_type,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10964), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7660), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8362), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6312), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257920] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_DASH_GT,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    ACTIONS(10966), 1,
      anon_sym_requires,
    STATE(6426), 1,
      sym_trailing_return_type,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257953] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4877), 1,
      anon_sym_AMP,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6802), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [257988] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10744), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10746), 1,
      anon_sym_template,
    ACTIONS(10960), 1,
      sym_identifier,
    STATE(2332), 1,
      sym_template_method,
    STATE(2334), 1,
      sym_dependent_field_identifier,
    STATE(2335), 1,
      sym_qualified_field_identifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7735), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258054] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10969), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7725), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8249), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6309), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258087] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10778), 1,
      anon_sym___attribute,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [258120] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10971), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7530), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8284), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258153] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10973), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7693), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8361), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6258), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10975), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7585), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7925), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6306), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10738), 1,
      anon_sym___attribute,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10736), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [258279] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10796), 1,
      anon_sym_try,
    STATE(354), 1,
      sym_compound_statement,
    STATE(7706), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(362), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [258314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10979), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10977), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258393] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    ACTIONS(10852), 1,
      anon_sym_EQ,
    ACTIONS(10854), 1,
      anon_sym_try,
    STATE(595), 1,
      sym_compound_statement,
    STATE(7652), 1,
      sym_field_initializer_list,
    ACTIONS(4895), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(596), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [258428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10981), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7814), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8309), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2868), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258488] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10983), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7542), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7924), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6271), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258521] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10985), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7539), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8466), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6056), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6058), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [258579] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LPAREN2,
    ACTIONS(7987), 1,
      anon_sym_LBRACK,
    ACTIONS(8305), 1,
      anon_sym_STAR,
    ACTIONS(8307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8309), 1,
      anon_sym_AMP,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(6033), 1,
      sym__function_declarator_seq,
    STATE(6590), 1,
      sym__abstract_declarator,
    STATE(6032), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10987), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7809), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8407), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258647] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 1,
      sym_identifier,
    ACTIONS(10991), 1,
      anon_sym_template,
    STATE(2332), 1,
      sym_template_method,
    STATE(2334), 1,
      sym_dependent_field_identifier,
    STATE(2335), 1,
      sym_qualified_field_identifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(7638), 1,
      sym_operator_name,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(10912), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10993), 1,
      anon_sym_RBRACE,
    ACTIONS(10914), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7782), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8606), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258719] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2855), 1,
      sym_enumerator_list,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(3244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258755] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4433), 1,
      sym_enumerator_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(4935), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258791] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5871), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2158), 1,
      sym_enumerator_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(2305), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5915), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(6496), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [258879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10928), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10924), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258899] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(2855), 1,
      sym_enumerator_list,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6642), 1,
      anon_sym_LBRACE,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_identifier,
    STATE(2591), 1,
      sym_template_type,
    STATE(2763), 1,
      sym_enumerator_list,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(2601), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10997), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10995), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259017] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    STATE(5970), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    ACTIONS(9174), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259077] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9341), 1,
      anon_sym_requires,
    STATE(5949), 1,
      sym_trailing_return_type,
    ACTIONS(9338), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9177), 1,
      anon_sym_requires,
    STATE(6491), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [259137] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(9611), 1,
      anon_sym_requires,
    STATE(5969), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259167] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    STATE(6020), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259223] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9512), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2543), 1,
      sym_enumerator_list,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(4812), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259315] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_requires,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    STATE(5990), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259345] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(3596), 1,
      sym_enumerator_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(3920), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6177), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6179), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11001), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10999), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259421] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(2495), 1,
      sym_template_type,
    STATE(2543), 1,
      sym_enumerator_list,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(3990), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259457] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(3596), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6395), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_DASH_GT,
    ACTIONS(10592), 1,
      anon_sym_requires,
    STATE(5979), 1,
      sym_trailing_return_type,
    ACTIONS(10485), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259523] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(3596), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(4138), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259559] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9508), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(2287), 1,
      sym_enumerator_list,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(4852), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259595] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9611), 1,
      anon_sym_requires,
    STATE(6494), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [259625] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9518), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_template_type,
    STATE(2957), 1,
      sym_enumerator_list,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(2758), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11005), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11003), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259733] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(5138), 1,
      sym_enumerator_list,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(4802), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259769] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8817), 1,
      anon_sym_LBRACE,
    ACTIONS(9524), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4854), 1,
      sym_enumerator_list,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(4382), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259805] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5871), 1,
      anon_sym_LBRACE,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9506), 1,
      sym_identifier,
    STATE(1883), 1,
      sym_template_type,
    STATE(2158), 1,
      sym_enumerator_list,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(2421), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(10592), 1,
      anon_sym_requires,
    STATE(6498), 1,
      sym_trailing_return_type,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [259871] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    STATE(1864), 1,
      sym_template_type,
    STATE(2855), 1,
      sym_enumerator_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(4015), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7905), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7907), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [259927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11009), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11007), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11013), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11011), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259993] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_identifier,
    STATE(3548), 1,
      sym_template_type,
    STATE(3902), 1,
      sym_enumerator_list,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(3639), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11017), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11015), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11021), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11019), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6305), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260089] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_identifier,
    STATE(2608), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_enumerator_list,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(2623), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260177] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(6052), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9530), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_template_type,
    STATE(2287), 1,
      sym_enumerator_list,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260213] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8509), 1,
      anon_sym_LBRACE,
    ACTIONS(9520), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(4433), 1,
      sym_enumerator_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(4249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260249] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260299] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9954), 1,
      anon_sym_try,
    STATE(571), 1,
      sym_compound_statement,
    STATE(572), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260334] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11023), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8383), 1,
      sym_qualified_identifier,
    ACTIONS(11025), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [260365] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10030), 1,
      anon_sym_try,
    STATE(636), 1,
      sym_compound_statement,
    STATE(637), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260425] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9692), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    STATE(1945), 1,
      sym_compound_statement,
    STATE(1946), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260460] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10030), 1,
      anon_sym_try,
    STATE(657), 1,
      sym_compound_statement,
    STATE(658), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260520] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9906), 1,
      anon_sym_try,
    STATE(723), 1,
      sym_try_statement,
    STATE(757), 1,
      sym_compound_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260580] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_try,
    STATE(295), 1,
      sym_compound_statement,
    STATE(296), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260615] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(11027), 1,
      anon_sym_virtual,
    STATE(1864), 1,
      sym_template_type,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6888), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260698] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10611), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11029), 1,
      anon_sym_COLON,
    STATE(2397), 1,
      sym_attribute_specifier,
    STATE(3466), 1,
      sym__enum_base_clause,
    STATE(3598), 1,
      sym_enumerator_list,
    ACTIONS(6217), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [260781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [260808] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    ACTIONS(9681), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(1954), 1,
      sym_compound_statement,
    STATE(1955), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260868] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    ACTIONS(9681), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(1958), 1,
      sym_compound_statement,
    STATE(1959), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4816), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6040), 1,
      anon_sym_LBRACK,
    ACTIONS(11031), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11033), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6042), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11035), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8030), 1,
      sym_qualified_identifier,
    ACTIONS(11037), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [260976] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10623), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10615), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261030] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9906), 1,
      anon_sym_try,
    STATE(695), 1,
      sym_compound_statement,
    STATE(696), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6842), 1,
      anon_sym_LBRACE,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11029), 1,
      anon_sym_COLON,
    STATE(2490), 1,
      sym_attribute_specifier,
    STATE(3467), 1,
      sym__enum_base_clause,
    STATE(3601), 1,
      sym_enumerator_list,
    ACTIONS(6223), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [261096] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    ACTIONS(9681), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(1973), 1,
      sym_compound_statement,
    STATE(1977), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261131] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(11039), 1,
      anon_sym_virtual,
    STATE(1864), 1,
      sym_template_type,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6874), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261164] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10634), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261191] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261220] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10615), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4832), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [261266] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(11041), 1,
      anon_sym_virtual,
    STATE(1864), 1,
      sym_template_type,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(7460), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261326] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    ACTIONS(10966), 1,
      anon_sym_requires,
    ACTIONS(9790), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9558), 1,
      anon_sym_requires,
    ACTIONS(9235), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261380] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10030), 1,
      anon_sym_try,
    STATE(639), 1,
      sym_compound_statement,
    STATE(641), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261415] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACE,
    STATE(8009), 1,
      sym_trailing_return_type,
    STATE(6731), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6734), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [261446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11045), 1,
      sym_identifier,
    ACTIONS(11048), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11054), 1,
      sym_preproc_directive,
    ACTIONS(11057), 1,
      anon_sym_RBRACE,
    ACTIONS(11051), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8702), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [261475] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10603), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11059), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11061), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11063), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11065), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6425), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7894), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [261531] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9954), 1,
      anon_sym_try,
    STATE(569), 1,
      sym_compound_statement,
    STATE(570), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261566] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10607), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261620] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11067), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8273), 1,
      sym_qualified_identifier,
    ACTIONS(11069), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [261651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11071), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11073), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11075), 1,
      aux_sym_preproc_elif_token1,
    STATE(6631), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7969), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [261682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4828), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [261701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11079), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8422), 1,
      sym_qualified_identifier,
    ACTIONS(11081), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [261732] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10623), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261759] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10634), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10780), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11073), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11075), 1,
      aux_sym_preproc_elif_token1,
    STATE(6415), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8301), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [261842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6931), 1,
      anon_sym_noexcept,
    ACTIONS(6933), 1,
      anon_sym_throw,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACE,
    STATE(8162), 1,
      sym_trailing_return_type,
    STATE(6738), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6736), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [261873] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9692), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    STATE(1924), 1,
      sym_try_statement,
    STATE(1970), 1,
      sym_compound_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261908] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10740), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11061), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11063), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11083), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11065), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6635), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7950), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [261966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(11085), 1,
      anon_sym_requires,
    ACTIONS(9820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5844), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11073), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11075), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11088), 1,
      aux_sym_preproc_if_token2,
    STATE(6631), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7949), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262024] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11061), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11063), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11090), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11065), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6635), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8005), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [262053] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10603), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [262132] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11092), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8152), 1,
      sym_qualified_identifier,
    ACTIONS(11094), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262163] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9692), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_compound_statement,
    STATE(2002), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262198] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_try,
    STATE(329), 1,
      sym_compound_statement,
    STATE(331), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11073), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11075), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11096), 1,
      aux_sym_preproc_if_token2,
    STATE(6631), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7987), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11061), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11063), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11098), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11065), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6635), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8003), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [262293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11100), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8115), 1,
      sym_qualified_identifier,
    ACTIONS(11102), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262324] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10718), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11073), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11075), 1,
      aux_sym_preproc_elif_token1,
    STATE(6435), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8553), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262355] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10607), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11061), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11063), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11104), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11065), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6436), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8555), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [262411] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11073), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11075), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11106), 1,
      aux_sym_preproc_if_token2,
    STATE(6454), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7902), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262442] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5845), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [262469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10611), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [262521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4812), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11108), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8289), 1,
      sym_qualified_identifier,
    ACTIONS(11110), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262621] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11061), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11063), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11112), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11065), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6635), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8516), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [262650] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_requires,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(5887), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5844), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [262677] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9906), 1,
      anon_sym_try,
    STATE(697), 1,
      sym_compound_statement,
    STATE(698), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262712] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10630), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [262739] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9700), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    STATE(1689), 1,
      sym_compound_statement,
    STATE(1690), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11073), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11075), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11114), 1,
      aux_sym_preproc_if_token2,
    STATE(6631), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8503), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262805] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10736), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [262834] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11116), 1,
      anon_sym_COMMA,
    ACTIONS(11120), 1,
      anon_sym___attribute,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6865), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11118), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262867] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(9954), 1,
      anon_sym_try,
    STATE(590), 1,
      sym_compound_statement,
    STATE(591), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10630), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3227), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_LBRACK,
    ACTIONS(11033), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6084), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262950] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3203), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [262977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4416), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10938), 1,
      sym_identifier,
    STATE(5813), 1,
      sym__scope_resolution,
    STATE(7762), 2,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [263008] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10726), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [263037] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym_try,
    STATE(290), 1,
      sym_compound_statement,
    STATE(291), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263072] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9700), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    STATE(1702), 1,
      sym_compound_statement,
    STATE(1703), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10758), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [263136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2998), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [263161] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9700), 1,
      anon_sym_try,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    STATE(1691), 1,
      sym_compound_statement,
    STATE(1692), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2989), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4824), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [263240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4820), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [263259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4836), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [263278] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11073), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11075), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11122), 1,
      aux_sym_preproc_if_token2,
    STATE(6427), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8396), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [263309] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(11124), 1,
      anon_sym_virtual,
    STATE(1864), 1,
      sym_template_type,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(7332), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_requires,
    ACTIONS(9101), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5839), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [263369] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9683), 1,
      anon_sym_requires,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5605), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5817), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [263396] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10634), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3019), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [263422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11130), 1,
      anon_sym_delete,
    ACTIONS(11132), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11134), 1,
      anon_sym_delete,
    ACTIONS(11136), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11138), 1,
      anon_sym_delete,
    ACTIONS(11140), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11142), 1,
      anon_sym_delete,
    ACTIONS(11144), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10808), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6691), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [263738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9341), 1,
      anon_sym_requires,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6018), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9222), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [263786] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10808), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6691), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [263816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11140), 1,
      anon_sym_new,
    ACTIONS(11146), 1,
      anon_sym_delete,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10592), 1,
      anon_sym_requires,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5986), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9786), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [263862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9611), 1,
      anon_sym_requires,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6054), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9565), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [263910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_delete,
    ACTIONS(11150), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10625), 1,
      anon_sym_requires,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6003), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9808), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [263956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11152), 1,
      anon_sym_delete,
    ACTIONS(11154), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym_requires,
    ACTIONS(7216), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5867), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5967), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9088), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [264002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_delete,
    ACTIONS(11158), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [264024] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11160), 1,
      anon_sym_EQ,
    STATE(3171), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(8239), 1,
      sym_initializer_list,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(7228), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [264134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(11162), 1,
      sym_identifier,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(2669), 1,
      sym_template_type,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(2672), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [264188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11168), 1,
      anon_sym___attribute,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11166), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [264216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_delete,
    ACTIONS(11172), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [264238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_LBRACK,
    STATE(6973), 1,
      sym_gnu_asm_input_operand,
    STATE(8305), 1,
      sym_string_literal,
    ACTIONS(11174), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [264262] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6888), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [264292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11178), 1,
      anon_sym_delete,
    ACTIONS(11180), 1,
      anon_sym_new,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [264314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11136), 1,
      anon_sym_new,
    ACTIONS(11182), 1,
      anon_sym_delete,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [264384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11158), 1,
      anon_sym_new,
    ACTIONS(11184), 1,
      anon_sym_delete,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [264406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11136), 1,
      anon_sym_new,
    ACTIONS(11186), 1,
      anon_sym_delete,
    ACTIONS(11128), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [264428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(1864), 1,
      sym_template_type,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(7460), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8209), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [264458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3175), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10623), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3019), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [264532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11190), 1,
      anon_sym_LBRACK,
    STATE(6952), 1,
      sym_gnu_asm_output_operand,
    STATE(7917), 1,
      sym_string_literal,
    ACTIONS(11188), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [264556] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10607), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3019), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [264582] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10603), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3019), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [264608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(3171), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    ACTIONS(10776), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264635] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11192), 1,
      sym_identifier,
    ACTIONS(11194), 1,
      anon_sym_template,
    STATE(2593), 1,
      sym_template_type,
    STATE(2594), 1,
      sym_dependent_type_identifier,
    STATE(2651), 1,
      sym_qualified_type_identifier,
    STATE(6526), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [264666] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11196), 1,
      sym_identifier,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    STATE(349), 1,
      sym_declaration_list,
    STATE(6713), 1,
      sym_attribute_declaration,
    STATE(7672), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [264697] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(3766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11202), 1,
      sym_identifier,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [264728] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11204), 1,
      sym_identifier,
    STATE(280), 1,
      sym_declaration_list,
    STATE(6696), 1,
      sym_attribute_declaration,
    STATE(7618), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [264759] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 1,
      sym_identifier,
    ACTIONS(11208), 1,
      anon_sym_template,
    STATE(1895), 1,
      sym_template_type,
    STATE(1896), 1,
      sym_dependent_type_identifier,
    STATE(1992), 1,
      sym_qualified_type_identifier,
    STATE(6530), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [264790] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11210), 1,
      sym_identifier,
    ACTIONS(11212), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(6531), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [264821] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11202), 1,
      sym_identifier,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(2825), 1,
      sym_qualified_type_identifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [264852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2819), 1,
      sym_template_argument_list,
    ACTIONS(7997), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4895), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [264875] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11214), 1,
      sym_identifier,
    ACTIONS(11216), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(2825), 1,
      sym_qualified_type_identifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [264906] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11218), 1,
      sym_identifier,
    STATE(713), 1,
      sym_declaration_list,
    STATE(6672), 1,
      sym_attribute_declaration,
    STATE(7524), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [264937] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11220), 1,
      sym_identifier,
    ACTIONS(11222), 1,
      anon_sym_template,
    STATE(2493), 1,
      sym_dependent_type_identifier,
    STATE(2512), 1,
      sym_template_type,
    STATE(2573), 1,
      sym_qualified_type_identifier,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [264968] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11222), 1,
      anon_sym_template,
    ACTIONS(11224), 1,
      sym_identifier,
    STATE(2493), 1,
      sym_dependent_type_identifier,
    STATE(2512), 1,
      sym_template_type,
    STATE(2573), 1,
      sym_qualified_type_identifier,
    STATE(6537), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [264999] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9736), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11226), 1,
      sym_identifier,
    ACTIONS(11228), 1,
      anon_sym_template,
    STATE(2173), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_dependent_type_identifier,
    STATE(2230), 1,
      sym_qualified_type_identifier,
    STATE(6538), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265030] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11230), 1,
      sym_identifier,
    ACTIONS(11232), 1,
      anon_sym_template,
    STATE(2761), 1,
      sym_template_type,
    STATE(2762), 1,
      sym_dependent_type_identifier,
    STATE(2812), 1,
      sym_qualified_type_identifier,
    STATE(6539), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265061] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11234), 1,
      sym_identifier,
    ACTIONS(11236), 1,
      anon_sym_template,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(2677), 1,
      sym_dependent_type_identifier,
    STATE(2711), 1,
      sym_template_type,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265092] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11238), 1,
      sym_identifier,
    ACTIONS(11240), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(2825), 1,
      sym_qualified_type_identifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265123] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11242), 1,
      sym_identifier,
    ACTIONS(11244), 1,
      anon_sym_template,
    STATE(1726), 1,
      sym_template_type,
    STATE(1727), 1,
      sym_dependent_type_identifier,
    STATE(1825), 1,
      sym_qualified_type_identifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265154] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11246), 1,
      sym_identifier,
    ACTIONS(11248), 1,
      anon_sym_template,
    STATE(2631), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_dependent_type_identifier,
    STATE(2678), 1,
      sym_qualified_type_identifier,
    STATE(6543), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265185] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11238), 1,
      sym_identifier,
    ACTIONS(11240), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265216] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11250), 1,
      sym_identifier,
    ACTIONS(11252), 1,
      anon_sym_template,
    STATE(4315), 1,
      sym_template_type,
    STATE(4326), 1,
      sym_dependent_type_identifier,
    STATE(4394), 1,
      sym_qualified_type_identifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265247] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11254), 1,
      sym_identifier,
    ACTIONS(11256), 1,
      anon_sym_template,
    STATE(3545), 1,
      sym_template_type,
    STATE(3560), 1,
      sym_dependent_type_identifier,
    STATE(3652), 1,
      sym_qualified_type_identifier,
    STATE(6546), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      sym_identifier,
    ACTIONS(11262), 1,
      sym_system_lib_string,
    STATE(8134), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11260), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265299] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11264), 1,
      sym_identifier,
    STATE(714), 1,
      sym_declaration_list,
    STATE(6687), 1,
      sym_attribute_declaration,
    STATE(7671), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [265330] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11266), 1,
      sym_identifier,
    STATE(684), 1,
      sym_declaration_list,
    STATE(6664), 1,
      sym_attribute_declaration,
    STATE(7488), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [265361] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11268), 1,
      sym_identifier,
    ACTIONS(11270), 1,
      anon_sym_template,
    STATE(1726), 1,
      sym_template_type,
    STATE(1727), 1,
      sym_dependent_type_identifier,
    STATE(1825), 1,
      sym_qualified_type_identifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265392] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11272), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8565), 1,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265419] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11274), 1,
      sym_identifier,
    STATE(541), 1,
      sym_declaration_list,
    STATE(6671), 1,
      sym_attribute_declaration,
    STATE(7593), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [265450] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11276), 1,
      sym_identifier,
    ACTIONS(11278), 1,
      anon_sym_template,
    STATE(1726), 1,
      sym_template_type,
    STATE(1727), 1,
      sym_dependent_type_identifier,
    STATE(1825), 1,
      sym_qualified_type_identifier,
    STATE(6553), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265481] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11280), 1,
      sym_identifier,
    STATE(545), 1,
      sym_declaration_list,
    STATE(6660), 1,
      sym_attribute_declaration,
    STATE(7690), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [265512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11282), 1,
      sym_identifier,
    ACTIONS(11284), 1,
      sym_system_lib_string,
    STATE(7942), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11260), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11286), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(7874), 1,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      sym_identifier,
    ACTIONS(11290), 1,
      sym_system_lib_string,
    STATE(8649), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11260), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11292), 1,
      sym_identifier,
    ACTIONS(11294), 1,
      sym_system_lib_string,
    STATE(8287), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11260), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11296), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(7861), 1,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265629] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11298), 1,
      sym_identifier,
    STATE(671), 1,
      sym_declaration_list,
    STATE(6665), 1,
      sym_attribute_declaration,
    STATE(7612), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [265660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2819), 1,
      sym_template_argument_list,
    ACTIONS(4847), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4840), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [265683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11300), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8395), 1,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11302), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8465), 1,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265737] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11304), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(8326), 1,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(3171), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    ACTIONS(10758), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265791] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(3171), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    ACTIONS(10726), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265818] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(7815), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11278), 1,
      anon_sym_template,
    ACTIONS(11306), 1,
      sym_identifier,
    STATE(1726), 1,
      sym_template_type,
    STATE(1727), 1,
      sym_dependent_type_identifier,
    STATE(1825), 1,
      sym_qualified_type_identifier,
    STATE(6567), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(3171), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    ACTIONS(10736), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(3171), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    ACTIONS(10740), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265926] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(5079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11214), 1,
      sym_identifier,
    ACTIONS(11216), 1,
      anon_sym_template,
    STATE(1862), 1,
      sym_template_type,
    STATE(1869), 1,
      sym_dependent_type_identifier,
    STATE(1870), 1,
      sym_qualified_type_identifier,
    STATE(6571), 1,
      sym__scope_resolution,
    STATE(8209), 1,
      sym_decltype,
  [265957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_template,
    ACTIONS(1951), 1,
      anon_sym_decltype,
    ACTIONS(10378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11308), 1,
      sym_identifier,
    STATE(5775), 1,
      sym__scope_resolution,
    STATE(7999), 1,
      sym_qualified_identifier,
    STATE(8209), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [266145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(10952), 1,
      anon_sym_LBRACE,
    STATE(7150), 1,
      sym_trailing_return_type,
    STATE(8070), 1,
      sym_requires_clause,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11310), 1,
      anon_sym_SEMI,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2819), 1,
      sym_template_argument_list,
    ACTIONS(6313), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [266217] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11312), 1,
      anon_sym_SEMI,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11314), 1,
      anon_sym_SEMI,
    ACTIONS(11316), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(7007), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_LBRACK,
    STATE(7142), 1,
      sym_gnu_asm_input_operand,
    STATE(8305), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [266289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [266311] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11318), 1,
      anon_sym_SEMI,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266337] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11320), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10623), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(11322), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11326), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11328), 1,
      anon_sym_EQ,
    ACTIONS(11324), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [266427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5976), 1,
      anon_sym_COMMA,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11330), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11332), 1,
      anon_sym_RBRACK,
    ACTIONS(11335), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(7139), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [266455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10634), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266479] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11337), 1,
      anon_sym_LBRACE,
    STATE(7186), 1,
      sym_trailing_return_type,
    STATE(8316), 1,
      sym_requires_clause,
    STATE(6606), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266505] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11337), 1,
      anon_sym_LBRACE,
    STATE(7186), 1,
      sym_trailing_return_type,
    STATE(8316), 1,
      sym_requires_clause,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266531] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11339), 1,
      anon_sym_SEMI,
    ACTIONS(11341), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(6868), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(10954), 1,
      anon_sym_LBRACE,
    STATE(7196), 1,
      sym_trailing_return_type,
    STATE(8338), 1,
      sym_requires_clause,
    STATE(6609), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266583] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(10954), 1,
      anon_sym_LBRACE,
    STATE(7196), 1,
      sym_trailing_return_type,
    STATE(8338), 1,
      sym_requires_clause,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [266675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [266697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [266719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [266741] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(10952), 1,
      anon_sym_LBRACE,
    STATE(7150), 1,
      sym_trailing_return_type,
    STATE(8070), 1,
      sym_requires_clause,
    STATE(6595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266767] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11343), 1,
      anon_sym_LBRACE,
    STATE(7391), 1,
      sym_trailing_return_type,
    STATE(8355), 1,
      sym_requires_clause,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11345), 1,
      anon_sym_LBRACE,
    STATE(7392), 1,
      sym_trailing_return_type,
    STATE(8378), 1,
      sym_requires_clause,
    STATE(6655), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [266841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11345), 1,
      anon_sym_LBRACE,
    STATE(7392), 1,
      sym_trailing_return_type,
    STATE(8378), 1,
      sym_requires_clause,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10607), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11347), 1,
      anon_sym_SEMI,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11349), 1,
      anon_sym_SEMI,
    ACTIONS(11351), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(7013), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11353), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11357), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [267051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [267073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11361), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [267111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10750), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267185] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11363), 1,
      anon_sym_SEMI,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267211] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11365), 1,
      anon_sym_SEMI,
    ACTIONS(11367), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(6959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10607), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [267261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(2952), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [267305] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11369), 1,
      anon_sym_SEMI,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267331] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(7997), 1,
      anon_sym_LBRACK,
    STATE(5938), 1,
      sym_template_argument_list,
    ACTIONS(4895), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11371), 1,
      sym_identifier,
    ACTIONS(11376), 1,
      aux_sym_preproc_elif_token1,
    STATE(6631), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
    ACTIONS(11374), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [267375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10623), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [267399] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10762), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11378), 1,
      anon_sym_COLON,
    STATE(3465), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11380), 1,
      sym_identifier,
    ACTIONS(11385), 1,
      aux_sym_preproc_elif_token1,
    STATE(6635), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11383), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [267471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10634), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [267495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11387), 1,
      anon_sym_SEMI,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267521] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(11389), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267547] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10784), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267573] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(10754), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267599] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11391), 1,
      anon_sym_SEMI,
    ACTIONS(11393), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(7034), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267625] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10758), 1,
      anon_sym_COLON,
    STATE(3465), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267651] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10726), 1,
      anon_sym_COLON,
    STATE(3465), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11190), 1,
      anon_sym_LBRACK,
    STATE(7341), 1,
      sym_gnu_asm_output_operand,
    STATE(7917), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [267763] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11395), 1,
      anon_sym_SEMI,
    ACTIONS(11397), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(7030), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267789] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3468), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267811] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACK,
    ACTIONS(11399), 1,
      anon_sym_RPAREN,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6356), 1,
      sym__function_declarator_seq,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10603), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3304), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [267861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10776), 1,
      anon_sym_COLON,
    STATE(3465), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4847), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(5938), 1,
      sym_template_argument_list,
    ACTIONS(4840), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11401), 1,
      anon_sym_SEMI,
    ACTIONS(11403), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    STATE(7036), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267935] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_DASH_GT,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11405), 1,
      anon_sym_LBRACE,
    STATE(7449), 1,
      sym_trailing_return_type,
    STATE(8586), 1,
      sym_requires_clause,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10736), 1,
      anon_sym_COLON,
    STATE(3465), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(11407), 1,
      anon_sym_SEMI,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    ACTIONS(10740), 1,
      anon_sym_COLON,
    STATE(3465), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10603), 1,
      anon_sym___attribute,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3174), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [268063] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11409), 1,
      sym_identifier,
    STATE(562), 1,
      sym_declaration_list,
    STATE(7799), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [268088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10474), 1,
      anon_sym___attribute,
    ACTIONS(11411), 1,
      anon_sym_EQ,
    ACTIONS(10472), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [268126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268147] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11413), 1,
      sym_identifier,
    STATE(601), 1,
      sym_declaration_list,
    STATE(7723), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [268172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11266), 1,
      sym_identifier,
    STATE(684), 1,
      sym_declaration_list,
    STATE(7488), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [268197] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11415), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11417), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11419), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11422), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [268256] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11424), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11426), 1,
      anon_sym_LBRACK,
    ACTIONS(11428), 1,
      anon_sym_EQ,
    ACTIONS(11430), 1,
      anon_sym_DOT,
    STATE(6693), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [268298] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11280), 1,
      sym_identifier,
    STATE(545), 1,
      sym_declaration_list,
    STATE(7690), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [268323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11432), 1,
      sym_identifier,
    STATE(750), 1,
      sym_declaration_list,
    STATE(7766), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [268348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11434), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11330), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11438), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    ACTIONS(6112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [268409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11440), 1,
      anon_sym_LPAREN2,
    STATE(6682), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11442), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11444), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [268489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268510] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11446), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11448), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(9894), 1,
      anon_sym_LBRACK,
    STATE(2923), 1,
      sym_parameter_list,
    STATE(5989), 1,
      sym__function_declarator_seq,
    STATE(5920), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11450), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268596] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11330), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11335), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      sym_template_argument_list,
    ACTIONS(6160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [268619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(6023), 1,
      anon_sym_COLON,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6755), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11218), 1,
      sym_identifier,
    STATE(713), 1,
      sym_declaration_list,
    STATE(7524), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [268667] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(5390), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5458), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268709] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5909), 1,
      anon_sym_COLON,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6755), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11444), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [268751] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(5989), 1,
      anon_sym_COLON,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6755), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11452), 1,
      anon_sym_LBRACK,
    ACTIONS(11455), 1,
      anon_sym_EQ,
    ACTIONS(11457), 1,
      anon_sym_DOT,
    STATE(6693), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [268793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11460), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_COLON,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6755), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11462), 1,
      sym_identifier,
    STATE(278), 1,
      sym_declaration_list,
    STATE(7801), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [268864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10474), 1,
      anon_sym___attribute,
    ACTIONS(11464), 1,
      anon_sym_EQ,
    ACTIONS(10472), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [268881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11466), 1,
      anon_sym_LPAREN2,
    STATE(6673), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11468), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(5938), 1,
      sym_template_argument_list,
    ACTIONS(6313), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [268940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11470), 1,
      anon_sym_LPAREN2,
    STATE(6703), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym___attribute__,
    ACTIONS(7139), 1,
      anon_sym___attribute,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5417), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11476), 1,
      anon_sym_COMMA,
    ACTIONS(11478), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11474), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [269012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11480), 1,
      anon_sym_LPAREN2,
    STATE(6706), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [269029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11482), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [269046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11484), 1,
      anon_sym_LPAREN2,
    STATE(6708), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [269063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11486), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [269080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11488), 1,
      anon_sym_LPAREN2,
    STATE(6710), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [269097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11490), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [269114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11492), 1,
      anon_sym_LPAREN2,
    STATE(6712), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [269131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11494), 1,
      anon_sym_LPAREN2,
    STATE(6667), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11436), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [269148] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11204), 1,
      sym_identifier,
    STATE(280), 1,
      sym_declaration_list,
    STATE(7618), 1,
      sym_nested_namespace_specifier,
    STATE(7864), 1,
      sym__namespace_specifier,
  [269173] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(5952), 1,
      anon_sym_COLON,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6755), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(11496), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      sym_parameter_list,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(2276), 1,
      sym_template_argument_list,
    STATE(7453), 2,
      sym_argument_list,
      sym_initializer_list,
  [269242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [269263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3114), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [269284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11498), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11500), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11502), 1,
      anon_sym_SEMI,
    STATE(6771), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8156), 1,
      sym_attribute_specifier,
  [269320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11504), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11506), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11508), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8173), 1,
      sym_attribute_specifier,
  [269356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9692), 1,
      anon_sym_try,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    ACTIONS(11510), 1,
      anon_sym_SEMI,
    ACTIONS(11512), 1,
      anon_sym_EQ,
    STATE(2099), 2,
      sym_compound_statement,
      sym_try_statement,
  [269376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10628), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
  [269396] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11514), 1,
      anon_sym_SEMI,
    STATE(6729), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8013), 1,
      sym_attribute_specifier,
  [269418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11516), 1,
      anon_sym_SEMI,
    STATE(6730), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8016), 1,
      sym_attribute_specifier,
  [269440] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11518), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8018), 1,
      sym_attribute_specifier,
  [269462] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11520), 1,
      anon_sym_SEMI,
    STATE(6733), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8045), 1,
      sym_attribute_specifier,
  [269484] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11522), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8051), 1,
      sym_attribute_specifier,
  [269506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11524), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8052), 1,
      sym_attribute_specifier,
  [269528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(11526), 1,
      anon_sym_LBRACE,
    STATE(8292), 1,
      sym_trailing_return_type,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11528), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8060), 1,
      sym_attribute_specifier,
  [269570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11530), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8061), 1,
      sym_attribute_specifier,
  [269592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(11526), 1,
      anon_sym_LBRACE,
    STATE(8292), 1,
      sym_trailing_return_type,
    STATE(6744), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11057), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11532), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACE,
    STATE(8009), 1,
      sym_trailing_return_type,
    STATE(6731), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11534), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11536), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(11043), 1,
      anon_sym_LBRACE,
    STATE(8009), 1,
      sym_trailing_return_type,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(3919), 1,
      sym_template_argument_list,
    ACTIONS(6313), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [269698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9700), 1,
      anon_sym_try,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    ACTIONS(11538), 1,
      anon_sym_SEMI,
    ACTIONS(11540), 1,
      anon_sym_EQ,
    STATE(1683), 2,
      sym_compound_statement,
      sym_try_statement,
  [269718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(10948), 1,
      anon_sym_LBRACK,
    STATE(6337), 1,
      sym_template_argument_list,
    ACTIONS(10946), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [269736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(10928), 1,
      anon_sym_LBRACK,
    STATE(6361), 1,
      sym_template_argument_list,
    ACTIONS(10924), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [269754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    ACTIONS(9681), 1,
      anon_sym_try,
    ACTIONS(11542), 1,
      anon_sym_SEMI,
    ACTIONS(11544), 1,
      anon_sym_EQ,
    STATE(1989), 2,
      sym_compound_statement,
      sym_try_statement,
  [269774] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(11546), 1,
      anon_sym_LBRACE,
    STATE(8373), 1,
      sym_trailing_return_type,
    STATE(3770), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(10039), 1,
      anon_sym_try,
    ACTIONS(11548), 1,
      anon_sym_SEMI,
    ACTIONS(11550), 1,
      anon_sym_EQ,
    STATE(364), 2,
      sym_compound_statement,
      sym_try_statement,
  [269814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10595), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
  [269834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9906), 1,
      anon_sym_try,
    ACTIONS(11552), 1,
      anon_sym_SEMI,
    ACTIONS(11554), 1,
      anon_sym_EQ,
    STATE(738), 2,
      sym_compound_statement,
      sym_try_statement,
  [269854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9906), 1,
      anon_sym_try,
    ACTIONS(11556), 1,
      anon_sym_SEMI,
    ACTIONS(11558), 1,
      anon_sym_EQ,
    STATE(742), 2,
      sym_compound_statement,
      sym_try_statement,
  [269874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    ACTIONS(9681), 1,
      anon_sym_try,
    ACTIONS(11560), 1,
      anon_sym_SEMI,
    ACTIONS(11562), 1,
      anon_sym_EQ,
    STATE(2030), 2,
      sym_compound_statement,
      sym_try_statement,
  [269894] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11564), 1,
      anon_sym_SEMI,
    STATE(6762), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8038), 1,
      sym_attribute_specifier,
  [269916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11566), 1,
      anon_sym_SEMI,
    STATE(6763), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8059), 1,
      sym_attribute_specifier,
  [269938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10979), 1,
      anon_sym_LBRACK,
    ACTIONS(10977), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11568), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8063), 1,
      sym_attribute_specifier,
  [269978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11534), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11536), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym_LBRACK,
    ACTIONS(7747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6058), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11376), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11374), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [270024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11570), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11572), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [270038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(10039), 1,
      anon_sym_try,
    ACTIONS(11574), 1,
      anon_sym_SEMI,
    ACTIONS(11576), 1,
      anon_sym_EQ,
    STATE(294), 2,
      sym_compound_statement,
      sym_try_statement,
  [270058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(10030), 1,
      anon_sym_try,
    ACTIONS(11578), 1,
      anon_sym_SEMI,
    ACTIONS(11580), 1,
      anon_sym_EQ,
    STATE(581), 2,
      sym_compound_statement,
      sym_try_statement,
  [270078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(3919), 1,
      sym_template_argument_list,
    ACTIONS(6313), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [270096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11582), 1,
      anon_sym_SEMI,
    STATE(6766), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8090), 1,
      sym_attribute_specifier,
  [270118] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11584), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8093), 1,
      sym_attribute_specifier,
  [270140] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8094), 1,
      sym_attribute_specifier,
  [270162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(9549), 1,
      anon_sym_LBRACE,
    STATE(8162), 1,
      sym_trailing_return_type,
    STATE(6738), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8102), 1,
      sym_attribute_specifier,
  [270204] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8110), 1,
      sym_attribute_specifier,
  [270226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(10030), 1,
      anon_sym_try,
    ACTIONS(11592), 1,
      anon_sym_SEMI,
    ACTIONS(11594), 1,
      anon_sym_EQ,
    STATE(676), 2,
      sym_compound_statement,
      sym_try_statement,
  [270246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11596), 1,
      anon_sym_SEMI,
    STATE(6787), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8613), 1,
      sym_attribute_specifier,
  [270268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11598), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8618), 1,
      sym_attribute_specifier,
  [270290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(9954), 1,
      anon_sym_try,
    ACTIONS(11600), 1,
      anon_sym_SEMI,
    ACTIONS(11602), 1,
      anon_sym_EQ,
    STATE(598), 2,
      sym_compound_statement,
      sym_try_statement,
  [270310] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11604), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8625), 1,
      sym_attribute_specifier,
  [270332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9700), 1,
      anon_sym_try,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    ACTIONS(11606), 1,
      anon_sym_SEMI,
    ACTIONS(11608), 1,
      anon_sym_EQ,
    STATE(1780), 2,
      sym_compound_statement,
      sym_try_statement,
  [270352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(9954), 1,
      anon_sym_try,
    ACTIONS(11610), 1,
      anon_sym_SEMI,
    ACTIONS(11612), 1,
      anon_sym_EQ,
    STATE(609), 2,
      sym_compound_statement,
      sym_try_statement,
  [270372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9692), 1,
      anon_sym_try,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    ACTIONS(11614), 1,
      anon_sym_SEMI,
    ACTIONS(11616), 1,
      anon_sym_EQ,
    STATE(2067), 2,
      sym_compound_statement,
      sym_try_statement,
  [270392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11618), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11620), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [270406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11622), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11624), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [270420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
  [270440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10613), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
  [270460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
  [270480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7936), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [270494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
  [270514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11626), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11628), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [270528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11498), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11500), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [270542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10621), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
  [270562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
    ACTIONS(10632), 2,
      anon_sym_LBRACE,
      anon_sym_requires,
  [270582] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11630), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8547), 1,
      sym_attribute_specifier,
  [270604] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11632), 1,
      anon_sym_SEMI,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8129), 1,
      sym_attribute_specifier,
  [270626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8135), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [270640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(11634), 1,
      anon_sym_SEMI,
    STATE(6769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8149), 1,
      sym_attribute_specifier,
  [270662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11636), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11638), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [270676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11640), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10621), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [270712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    ACTIONS(11642), 1,
      anon_sym_RPAREN,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [270731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11644), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10632), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [270767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7476), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [270780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11648), 1,
      anon_sym_SEMI,
    STATE(6816), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(3683), 1,
      sym_template_argument_list,
    ACTIONS(6313), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [270814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11650), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270831] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11652), 1,
      sym_identifier,
    STATE(7864), 1,
      sym__namespace_specifier,
    STATE(8081), 1,
      sym_nested_namespace_specifier,
  [270850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11654), 1,
      anon_sym_SEMI,
    STATE(6837), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    ACTIONS(11656), 1,
      anon_sym_RPAREN,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [270886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11658), 1,
      sym_identifier,
    STATE(7400), 1,
      sym__namespace_specifier,
    STATE(7678), 1,
      sym_nested_namespace_specifier,
  [270905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    STATE(2481), 1,
      sym_decltype_auto,
    ACTIONS(11660), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2276), 1,
      sym_template_argument_list,
    ACTIONS(6248), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [270939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11662), 1,
      anon_sym_SEMI,
    STATE(6814), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9191), 1,
      anon_sym_EQ,
    ACTIONS(11664), 1,
      sym_identifier,
    ACTIONS(9189), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11666), 1,
      anon_sym_SEMI,
    STATE(6864), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11658), 1,
      sym_identifier,
    STATE(7137), 1,
      sym__namespace_specifier,
    STATE(7798), 1,
      sym_nested_namespace_specifier,
  [271009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11668), 1,
      anon_sym_SEMI,
    STATE(6820), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    ACTIONS(11670), 1,
      anon_sym_RPAREN,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [271045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11672), 1,
      anon_sym_SEMI,
    STATE(6830), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11674), 1,
      anon_sym_SEMI,
    STATE(6815), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11676), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11678), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11680), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11682), 1,
      anon_sym_SEMI,
    STATE(6825), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11684), 1,
      sym_identifier,
    STATE(7864), 1,
      sym__namespace_specifier,
    STATE(8685), 1,
      sym_nested_namespace_specifier,
  [271166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    ACTIONS(11688), 1,
      anon_sym_COLON_COLON,
    STATE(7538), 1,
      sym_argument_list,
    ACTIONS(11686), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [271183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11690), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11692), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(11694), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(3626), 1,
      sym_template_method,
    STATE(7750), 1,
      sym_operator_name,
  [271236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11696), 1,
      anon_sym_SEMI,
    STATE(6791), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11698), 1,
      anon_sym_SEMI,
    STATE(6833), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11700), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11702), 1,
      anon_sym_COMMA,
    ACTIONS(11707), 1,
      anon_sym___attribute,
    STATE(6826), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11705), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [271304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(11709), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2363), 1,
      sym_template_method,
    STATE(7735), 1,
      sym_operator_name,
  [271323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1566), 1,
      sym_template_argument_list,
    ACTIONS(4840), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [271340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11711), 1,
      anon_sym_SEMI,
    STATE(6832), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11713), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    ACTIONS(11715), 1,
      anon_sym_RPAREN,
    STATE(2982), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [271393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11717), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11719), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11721), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11723), 1,
      anon_sym_SEMI,
    STATE(6838), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11725), 1,
      anon_sym_SEMI,
    STATE(6799), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11727), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11729), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 1,
      anon_sym_LBRACE,
    ACTIONS(11731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
  [271527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11735), 1,
      sym_identifier,
    STATE(7864), 1,
      sym__namespace_specifier,
    STATE(8352), 1,
      sym_nested_namespace_specifier,
  [271546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11737), 1,
      anon_sym_COMMA,
    ACTIONS(11742), 1,
      anon_sym___attribute,
    STATE(6841), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11740), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [271563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(11709), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2363), 1,
      sym_template_method,
    STATE(7520), 1,
      sym_operator_name,
  [271582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11744), 4,
      anon_sym_virtual,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [271595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 5,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [271606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(4186), 1,
      sym_template_argument_list,
    ACTIONS(6313), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [271623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10601), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [271642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8053), 1,
      sym_auto,
    ACTIONS(8055), 1,
      anon_sym_decltype,
    STATE(2481), 1,
      sym_decltype_auto,
    ACTIONS(11750), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [271659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10595), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [271678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11752), 1,
      anon_sym_SEMI,
    STATE(6821), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(11754), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2363), 1,
      sym_template_method,
    STATE(7638), 1,
      sym_operator_name,
  [271714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11756), 1,
      anon_sym_SEMI,
    STATE(6859), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11758), 1,
      aux_sym_preproc_if_token2,
    STATE(6704), 1,
      sym_enumerator,
    STATE(6899), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6900), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [271750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_operator,
    ACTIONS(11760), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(3333), 1,
      sym_template_method,
    STATE(7603), 1,
      sym_operator_name,
  [271769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10605), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [271788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [271807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10613), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [271826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11762), 1,
      anon_sym_SEMI,
    STATE(6834), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11764), 1,
      anon_sym_SEMI,
    STATE(6863), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11766), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11768), 1,
      anon_sym_SEMI,
    STATE(6794), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    ACTIONS(10628), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_parameter_list,
    STATE(6009), 1,
      sym__function_declarator_seq,
  [271913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6084), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_or,
  [271926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11770), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6988), 1,
      anon_sym___attribute__,
    ACTIONS(11772), 1,
      anon_sym_SEMI,
    STATE(4185), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11116), 1,
      anon_sym_COMMA,
    ACTIONS(11776), 1,
      anon_sym___attribute,
    STATE(6826), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11774), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [271977] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11198), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11200), 1,
      anon_sym_inline,
    ACTIONS(11778), 1,
      sym_identifier,
    STATE(7864), 1,
      sym__namespace_specifier,
    STATE(7971), 1,
      sym_nested_namespace_specifier,
  [271996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    STATE(3895), 1,
      sym_field_declaration_list,
    STATE(7552), 1,
      sym_base_class_clause,
  [272012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11780), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11784), 1,
      anon_sym_GT2,
    STATE(7183), 1,
      aux_sym_template_argument_list_repeat1,
  [272042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11786), 1,
      anon_sym_EQ,
    STATE(7018), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(796), 1,
      sym_template_parameter_list,
    STATE(1856), 1,
      sym_template_type,
  [272072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9627), 1,
      anon_sym_LBRACE,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    STATE(3771), 1,
      sym_requirement_seq,
    STATE(7647), 1,
      sym_requires_parameter_list,
  [272088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    STATE(4851), 1,
      sym_field_declaration_list,
    STATE(7734), 1,
      sym_base_class_clause,
  [272104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11792), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11796), 1,
      anon_sym_LBRACE,
    STATE(7374), 1,
      aux_sym_base_class_clause_repeat1,
  [272120] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11798), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11804), 1,
      anon_sym_EQ,
    STATE(739), 1,
      sym_declaration_list,
  [272150] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11806), 1,
      anon_sym_DQUOTE,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [272166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    STATE(2143), 1,
      sym_field_declaration_list,
    STATE(7821), 1,
      sym_base_class_clause,
  [272182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    ACTIONS(11812), 1,
      anon_sym_LBRACE,
    STATE(5891), 1,
      sym_requirement_seq,
    STATE(7703), 1,
      sym_requires_parameter_list,
  [272198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(7608), 1,
      sym_base_class_clause,
  [272214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11814), 1,
      anon_sym_GT2,
    STATE(7276), 1,
      aux_sym_template_argument_list_repeat1,
  [272230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11816), 1,
      anon_sym_SEMI,
    STATE(1560), 1,
      sym_template_argument_list,
  [272246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11818), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11820), 1,
      anon_sym_LBRACE,
    STATE(7202), 1,
      aux_sym_base_class_clause_repeat1,
  [272262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11822), 1,
      anon_sym_SEMI,
    STATE(1560), 1,
      sym_template_argument_list,
  [272278] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11824), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11826), 1,
      anon_sym_LPAREN,
    ACTIONS(11828), 1,
      sym_preproc_arg,
    STATE(7630), 1,
      sym_preproc_params,
  [272294] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11830), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272308] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(11832), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [272324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11834), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11836), 1,
      anon_sym_LBRACE,
    STATE(7329), 1,
      aux_sym_base_class_clause_repeat1,
  [272340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(797), 1,
      sym_template_parameter_list,
    STATE(1856), 1,
      sym_template_type,
  [272356] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11838), 1,
      anon_sym_DQUOTE,
    ACTIONS(11840), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11842), 1,
      sym_escape_sequence,
    STATE(7057), 1,
      aux_sym_string_literal_repeat1,
  [272372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    STATE(3607), 1,
      sym_argument_list,
    STATE(4773), 1,
      sym_initializer_list,
  [272388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    STATE(4853), 1,
      sym_field_declaration_list,
    STATE(7784), 1,
      sym_base_class_clause,
  [272404] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11844), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272418] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11846), 1,
      anon_sym_DQUOTE,
    ACTIONS(11848), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11851), 1,
      sym_escape_sequence,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [272434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11854), 1,
      anon_sym_GT2,
    STATE(7264), 1,
      aux_sym_template_argument_list_repeat1,
  [272450] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11856), 1,
      anon_sym_DQUOTE,
    ACTIONS(11858), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11860), 1,
      sym_escape_sequence,
    STATE(6947), 1,
      aux_sym_string_literal_repeat1,
  [272466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    STATE(2808), 1,
      sym_field_declaration_list,
    STATE(7800), 1,
      sym_base_class_clause,
  [272482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(7474), 1,
      sym_argument_list,
    ACTIONS(11862), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [272496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11864), 1,
      aux_sym_preproc_if_token2,
    STATE(6631), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
  [272512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11866), 1,
      aux_sym_preproc_if_token2,
    STATE(6635), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [272526] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11868), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11870), 1,
      anon_sym_COMMA,
    STATE(6902), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11873), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [272554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    STATE(4458), 1,
      sym_field_declaration_list,
    STATE(7836), 1,
      sym_base_class_clause,
  [272570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    STATE(7066), 1,
      sym_compound_statement,
    STATE(7827), 1,
      sym_field_initializer_list,
  [272586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      sym_identifier,
    ACTIONS(11758), 1,
      aux_sym_preproc_if_token2,
    STATE(6899), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7961), 1,
      sym_enumerator,
  [272602] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(11875), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [272618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym___except,
    ACTIONS(11879), 1,
      anon_sym___finally,
    STATE(438), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [272632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    STATE(7253), 1,
      sym_compound_statement,
    STATE(7477), 1,
      sym_field_initializer_list,
  [272648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_COMMA,
    STATE(7032), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11883), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [272662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(800), 1,
      sym_template_parameter_list,
    STATE(1856), 1,
      sym_template_type,
  [272678] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(11885), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [272694] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(11887), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [272710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(11889), 1,
      aux_sym_preproc_if_token2,
    STATE(6900), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [272724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(2916), 1,
      sym_field_declaration_list,
    STATE(7668), 1,
      sym_base_class_clause,
  [272740] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11891), 1,
      anon_sym_DQUOTE,
    ACTIONS(11893), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11895), 1,
      sym_escape_sequence,
    STATE(6986), 1,
      aux_sym_string_literal_repeat1,
  [272756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11897), 1,
      anon_sym_GT2,
    STATE(7096), 1,
      aux_sym_template_argument_list_repeat1,
  [272772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9661), 1,
      anon_sym_LBRACE,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    STATE(3505), 1,
      sym_requirement_seq,
    STATE(7780), 1,
      sym_requires_parameter_list,
  [272788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11899), 1,
      anon_sym_GT2,
    STATE(7184), 1,
      aux_sym_template_argument_list_repeat1,
  [272804] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11901), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9653), 1,
      anon_sym_LBRACE,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    STATE(3219), 1,
      sym_requirement_seq,
    STATE(7547), 1,
      sym_requires_parameter_list,
  [272834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11903), 1,
      anon_sym_GT2,
    STATE(7098), 1,
      aux_sym_template_argument_list_repeat1,
  [272850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    STATE(7407), 1,
      sym_compound_statement,
    STATE(7522), 1,
      sym_field_initializer_list,
  [272866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11905), 1,
      anon_sym_SEMI,
    STATE(1560), 1,
      sym_template_argument_list,
  [272882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(801), 1,
      sym_template_parameter_list,
    STATE(1856), 1,
      sym_template_type,
  [272898] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(11907), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [272914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11909), 1,
      anon_sym_SEMI,
    STATE(1560), 1,
      sym_template_argument_list,
  [272930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(799), 1,
      sym_template_parameter_list,
    STATE(1856), 1,
      sym_template_type,
  [272946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11911), 1,
      anon_sym___except,
    ACTIONS(11913), 1,
      anon_sym___finally,
    STATE(538), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [272960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(11915), 1,
      anon_sym_SEMI,
    ACTIONS(11917), 1,
      anon_sym_noexcept,
    STATE(8345), 1,
      sym_trailing_return_type,
  [272976] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11919), 1,
      anon_sym_DQUOTE,
    ACTIONS(11921), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11923), 1,
      sym_escape_sequence,
    STATE(6912), 1,
      aux_sym_string_literal_repeat1,
  [272992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    STATE(7127), 1,
      sym_compound_statement,
    STATE(7550), 1,
      sym_field_initializer_list,
  [273008] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11925), 1,
      anon_sym_DQUOTE,
    ACTIONS(11927), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11929), 1,
      sym_escape_sequence,
    STATE(6951), 1,
      aux_sym_string_literal_repeat1,
  [273024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(795), 1,
      sym_template_parameter_list,
    STATE(1856), 1,
      sym_template_type,
  [273040] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_LPAREN,
    ACTIONS(11931), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11933), 1,
      sym_preproc_arg,
    STATE(7679), 1,
      sym_preproc_params,
  [273056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11935), 1,
      anon_sym_EQ,
    STATE(317), 1,
      sym_declaration_list,
  [273072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(798), 1,
      sym_template_parameter_list,
    STATE(1856), 1,
      sym_template_type,
  [273088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11937), 1,
      anon_sym_GT2,
    STATE(7446), 1,
      aux_sym_template_argument_list_repeat1,
  [273104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    STATE(2130), 1,
      sym_field_declaration_list,
    STATE(7721), 1,
      sym_base_class_clause,
  [273120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_COMMA,
    STATE(6902), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11941), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    STATE(7461), 1,
      sym_compound_statement,
    STATE(7570), 1,
      sym_field_initializer_list,
  [273150] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11943), 1,
      anon_sym_DQUOTE,
    ACTIONS(11945), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11947), 1,
      sym_escape_sequence,
    STATE(7010), 1,
      aux_sym_string_literal_repeat1,
  [273166] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_DQUOTE,
    ACTIONS(11951), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11953), 1,
      sym_escape_sequence,
    STATE(6966), 1,
      aux_sym_string_literal_repeat1,
  [273182] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_LPAREN,
    ACTIONS(11955), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11957), 1,
      sym_preproc_arg,
    STATE(7736), 1,
      sym_preproc_params,
  [273198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    STATE(2818), 1,
      sym_field_declaration_list,
    STATE(7534), 1,
      sym_base_class_clause,
  [273214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11959), 1,
      anon_sym_GT2,
    STATE(7199), 1,
      aux_sym_template_argument_list_repeat1,
  [273230] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_LPAREN,
    ACTIONS(11961), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11963), 1,
      sym_preproc_arg,
    STATE(7663), 1,
      sym_preproc_params,
  [273246] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(11965), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [273262] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(11967), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [273278] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11969), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11971), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [273302] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(11973), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [273318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11975), 1,
      anon_sym_COMMA,
    STATE(6970), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11977), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN2,
    STATE(3607), 1,
      sym_argument_list,
    STATE(3635), 1,
      sym_initializer_list,
  [273348] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11979), 1,
      anon_sym_DQUOTE,
    ACTIONS(11981), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11983), 1,
      sym_escape_sequence,
    STATE(6925), 1,
      aux_sym_string_literal_repeat1,
  [273364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    STATE(3893), 1,
      sym_field_declaration_list,
    STATE(7581), 1,
      sym_base_class_clause,
  [273380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11985), 1,
      anon_sym_GT2,
    STATE(7323), 1,
      aux_sym_template_argument_list_repeat1,
  [273396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11987), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11989), 1,
      anon_sym_LBRACE,
    STATE(7459), 1,
      aux_sym_base_class_clause_repeat1,
  [273412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(11991), 1,
      anon_sym_SEMI,
    STATE(1560), 1,
      sym_template_argument_list,
  [273428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11993), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    STATE(2546), 1,
      sym_field_declaration_list,
    STATE(7709), 1,
      sym_base_class_clause,
  [273458] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273472] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11997), 1,
      anon_sym_DQUOTE,
    ACTIONS(11999), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12001), 1,
      sym_escape_sequence,
    STATE(6972), 1,
      aux_sym_string_literal_repeat1,
  [273488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LBRACE,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    STATE(2411), 1,
      sym_initializer_list,
    STATE(2419), 1,
      sym_argument_list,
  [273504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12003), 1,
      anon_sym_EQ,
    STATE(7023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273518] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12005), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273532] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12007), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [273548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    STATE(3484), 1,
      sym_argument_list,
    STATE(3485), 1,
      sym_initializer_list,
  [273564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(12009), 1,
      anon_sym_SEMI,
    STATE(1560), 1,
      sym_template_argument_list,
  [273580] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12011), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [273596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11975), 1,
      anon_sym_COMMA,
    STATE(7041), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12013), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273610] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12015), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273624] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12017), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [273640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_COMMA,
    STATE(6939), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12019), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    ACTIONS(12021), 1,
      anon_sym_LBRACE,
    STATE(1580), 1,
      sym_requirement_seq,
    STATE(7634), 1,
      sym_requires_parameter_list,
  [273670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12023), 1,
      anon_sym___except,
    ACTIONS(12025), 1,
      anon_sym___finally,
    STATE(526), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [273684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12027), 1,
      anon_sym_GT2,
    STATE(7356), 1,
      aux_sym_template_argument_list_repeat1,
  [273700] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_LPAREN,
    ACTIONS(12029), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12031), 1,
      sym_preproc_arg,
    STATE(7498), 1,
      sym_preproc_params,
  [273716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(2994), 1,
      sym_field_declaration_list,
    STATE(7759), 1,
      sym_base_class_clause,
  [273732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    ACTIONS(6756), 1,
      anon_sym_LPAREN2,
    STATE(3484), 1,
      sym_argument_list,
    STATE(3849), 1,
      sym_initializer_list,
  [273748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12033), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_declaration_list,
  [273764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1566), 1,
      sym_template_argument_list,
    ACTIONS(6313), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [273778] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_DQUOTE,
    ACTIONS(12037), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12039), 1,
      sym_escape_sequence,
    STATE(6997), 1,
      aux_sym_string_literal_repeat1,
  [273794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11971), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [273804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4840), 1,
      anon_sym_SEMI,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1668), 1,
      sym_template_argument_list,
  [273820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_COMMA,
    STATE(6909), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12041), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273834] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12043), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [273850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9619), 1,
      anon_sym_LBRACE,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    STATE(4192), 1,
      sym_requirement_seq,
    STATE(7600), 1,
      sym_requires_parameter_list,
  [273866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    STATE(7381), 1,
      sym_compound_statement,
    STATE(7478), 1,
      sym_field_initializer_list,
  [273882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(2920), 1,
      sym_field_declaration_list,
    STATE(7526), 1,
      sym_base_class_clause,
  [273898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym___except,
    ACTIONS(12047), 1,
      anon_sym___finally,
    STATE(538), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [273912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12049), 1,
      anon_sym_EQ,
    STATE(553), 1,
      sym_declaration_list,
  [273928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12051), 1,
      anon_sym___except,
    ACTIONS(12053), 1,
      anon_sym___finally,
    STATE(897), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [273942] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_DQUOTE,
    ACTIONS(12057), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12059), 1,
      sym_escape_sequence,
    STATE(6911), 1,
      aux_sym_string_literal_repeat1,
  [273958] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(5141), 1,
      sym_field_declaration_list,
    STATE(7700), 1,
      sym_base_class_clause,
  [273988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(5144), 1,
      sym_field_declaration_list,
    STATE(7702), 1,
      sym_base_class_clause,
  [274004] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12063), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [274020] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12065), 1,
      anon_sym_DQUOTE,
    ACTIONS(12067), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12069), 1,
      sym_escape_sequence,
    STATE(6906), 1,
      aux_sym_string_literal_repeat1,
  [274036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      sym_field_declaration_list,
    STATE(7776), 1,
      sym_base_class_clause,
  [274052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym___attribute,
    ACTIONS(8551), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [274064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12071), 1,
      anon_sym_GT2,
    STATE(7439), 1,
      aux_sym_template_argument_list_repeat1,
  [274080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6393), 1,
      anon_sym_LT,
    ACTIONS(12073), 1,
      anon_sym_SEMI,
    STATE(1560), 1,
      sym_template_argument_list,
  [274096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9645), 1,
      anon_sym_LBRACE,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    STATE(3445), 1,
      sym_requirement_seq,
    STATE(7691), 1,
      sym_requires_parameter_list,
  [274112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12075), 1,
      anon_sym_GT2,
    STATE(7389), 1,
      aux_sym_template_argument_list_repeat1,
  [274128] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12077), 1,
      anon_sym_DQUOTE,
    ACTIONS(12079), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12081), 1,
      sym_escape_sequence,
    STATE(7011), 1,
      aux_sym_string_literal_repeat1,
  [274144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    ACTIONS(12083), 1,
      anon_sym_LBRACE,
    STATE(5566), 1,
      sym_requirement_seq,
    STATE(7676), 1,
      sym_requires_parameter_list,
  [274160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12085), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11367), 1,
      anon_sym_EQ,
    STATE(6959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274188] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12089), 1,
      sym_preproc_arg,
    STATE(7670), 1,
      sym_preproc_params,
  [274204] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12091), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [274220] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12093), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [274236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12095), 1,
      anon_sym_GT2,
    STATE(7063), 1,
      aux_sym_template_argument_list_repeat1,
  [274252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12097), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11316), 1,
      anon_sym_EQ,
    STATE(7007), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(2306), 1,
      sym_field_declaration_list,
    STATE(7658), 1,
      sym_base_class_clause,
  [274296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12099), 1,
      anon_sym_GT2,
    STATE(7410), 1,
      aux_sym_template_argument_list_repeat1,
  [274312] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12101), 1,
      anon_sym_DQUOTE,
    ACTIONS(12103), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12105), 1,
      sym_escape_sequence,
    STATE(7040), 1,
      aux_sym_string_literal_repeat1,
  [274328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12107), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11351), 1,
      anon_sym_EQ,
    STATE(7013), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    STATE(4437), 1,
      sym_field_declaration_list,
    STATE(7740), 1,
      sym_base_class_clause,
  [274372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LT,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(6796), 1,
      sym_template_parameter_list,
  [274388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11341), 1,
      anon_sym_EQ,
    STATE(6868), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12109), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11397), 1,
      anon_sym_EQ,
    STATE(7030), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274430] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12111), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274444] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12113), 1,
      anon_sym_DQUOTE,
    ACTIONS(12115), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12117), 1,
      sym_escape_sequence,
    STATE(7049), 1,
      aux_sym_string_literal_repeat1,
  [274460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12119), 1,
      sym_identifier,
    ACTIONS(12121), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [274472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(5693), 1,
      anon_sym_LPAREN2,
    STATE(2419), 1,
      sym_argument_list,
    STATE(3847), 1,
      sym_initializer_list,
  [274488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(2323), 1,
      sym_field_declaration_list,
    STATE(7767), 1,
      sym_base_class_clause,
  [274504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12123), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11393), 1,
      anon_sym_EQ,
    STATE(7034), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12125), 1,
      anon_sym_COMMA,
    STATE(7032), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12128), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [274546] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12130), 1,
      anon_sym_DQUOTE,
    ACTIONS(12132), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12134), 1,
      sym_escape_sequence,
    STATE(6969), 1,
      aux_sym_string_literal_repeat1,
  [274562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12136), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11403), 1,
      anon_sym_EQ,
    STATE(7036), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12138), 1,
      anon_sym_EQ,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12140), 1,
      anon_sym___except,
    ACTIONS(12142), 1,
      anon_sym___finally,
    STATE(241), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [274618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_field_declaration_list,
    STATE(7774), 1,
      sym_base_class_clause,
  [274634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(3603), 1,
      sym_field_declaration_list,
    STATE(7775), 1,
      sym_base_class_clause,
  [274650] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12144), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [274666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12146), 1,
      anon_sym_COMMA,
    STATE(7041), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12149), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [274680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2766), 1,
      sym_field_declaration_list,
    STATE(7727), 1,
      sym_base_class_clause,
  [274696] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12151), 1,
      anon_sym_DQUOTE,
    ACTIONS(12153), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12155), 1,
      sym_escape_sequence,
    STATE(6887), 1,
      aux_sym_string_literal_repeat1,
  [274712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12159), 1,
      anon_sym___attribute,
    ACTIONS(12157), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [274724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(3015), 1,
      sym_field_declaration_list,
    STATE(7758), 1,
      sym_base_class_clause,
  [274740] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12161), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12163), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12168), 1,
      anon_sym___attribute,
    ACTIONS(12166), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [274766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12170), 1,
      anon_sym_GT2,
    STATE(7415), 1,
      aux_sym_template_argument_list_repeat1,
  [274782] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12172), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [274798] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12174), 1,
      anon_sym_DQUOTE,
    ACTIONS(12176), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12178), 1,
      sym_escape_sequence,
    STATE(6877), 1,
      aux_sym_string_literal_repeat1,
  [274814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10794), 1,
      anon_sym_COLON,
    STATE(7334), 1,
      sym_compound_statement,
    STATE(7711), 1,
      sym_field_initializer_list,
  [274830] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12180), 1,
      anon_sym_SQUOTE,
    STATE(7046), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11800), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12182), 1,
      anon_sym_GT2,
    STATE(7072), 1,
      aux_sym_template_argument_list_repeat1,
  [274860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12184), 1,
      anon_sym_GT2,
    STATE(7424), 1,
      aux_sym_template_argument_list_repeat1,
  [274876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    ACTIONS(11790), 1,
      anon_sym_LPAREN2,
    STATE(2416), 1,
      sym_requirement_seq,
    STATE(7726), 1,
      sym_requires_parameter_list,
  [274892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(7088), 2,
      sym_argument_list,
      sym_initializer_list,
  [274906] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11808), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11810), 1,
      sym_escape_sequence,
    ACTIONS(12186), 1,
      anon_sym_DQUOTE,
    STATE(6894), 1,
      aux_sym_string_literal_repeat1,
  [274922] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12188), 1,
      anon_sym_DQUOTE,
    ACTIONS(12190), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12192), 1,
      sym_escape_sequence,
    STATE(6948), 1,
      aux_sym_string_literal_repeat1,
  [274938] = 5,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12196), 1,
      sym_preproc_arg,
    STATE(7611), 1,
      sym_preproc_params,
  [274954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12198), 1,
      anon_sym_RPAREN,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    STATE(8638), 1,
      sym_gnu_asm_goto_list,
  [274967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12202), 1,
      anon_sym_GT2,
    STATE(7064), 1,
      aux_sym_template_argument_list_repeat1,
  [274980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12204), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [274993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12206), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12208), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8565), 1,
      anon_sym_RBRACE,
    ACTIONS(8697), 1,
      anon_sym_COMMA,
    STATE(7120), 1,
      aux_sym_initializer_list_repeat1,
  [275032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12210), 1,
      anon_sym_catch,
    STATE(390), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12212), 1,
      anon_sym_GT2,
    STATE(7189), 1,
      aux_sym_template_argument_list_repeat1,
  [275056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12214), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(3442), 1,
      sym_template_function,
  [275069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym___attribute,
    ACTIONS(6409), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [275080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12216), 1,
      anon_sym_GT2,
    STATE(7073), 1,
      aux_sym_template_argument_list_repeat1,
  [275093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12218), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12220), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12222), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12224), 1,
      anon_sym_RPAREN,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    STATE(7382), 1,
      sym_gnu_asm_output_operand_list,
  [275145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12228), 1,
      anon_sym_COMMA,
    ACTIONS(12231), 1,
      anon_sym_RPAREN,
    STATE(7075), 1,
      aux_sym_generic_expression_repeat1,
  [275158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12233), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [275171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12235), 1,
      anon_sym_COMMA,
    ACTIONS(12237), 1,
      anon_sym_GT2,
    STATE(7117), 1,
      aux_sym_template_parameter_list_repeat1,
  [275184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12239), 1,
      sym_identifier,
    ACTIONS(12241), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [275195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12243), 1,
      sym_identifier,
    STATE(1730), 1,
      sym_template_type,
    STATE(3305), 1,
      sym_template_function,
  [275208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(3583), 1,
      sym_template_function,
  [275221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(12247), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      aux_sym_argument_list_repeat1,
  [275234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12249), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2412), 1,
      sym_template_function,
  [275247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12251), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [275260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 1,
      anon_sym___attribute,
    ACTIONS(6497), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [275271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_RPAREN,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    STATE(7123), 1,
      sym_gnu_asm_input_operand_list,
  [275284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12257), 1,
      anon_sym_COMMA,
    ACTIONS(12259), 1,
      anon_sym_LBRACE,
    STATE(7151), 1,
      aux_sym_field_initializer_list_repeat1,
  [275297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym___attribute,
    ACTIONS(6569), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [275308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12261), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12263), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [275319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12265), 1,
      anon_sym_RPAREN,
    STATE(7126), 1,
      sym_gnu_asm_output_operand_list,
  [275332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    ACTIONS(12269), 1,
      anon_sym_constexpr,
    STATE(169), 1,
      sym_condition_clause,
  [275345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12271), 1,
      anon_sym_RPAREN,
    STATE(7134), 1,
      sym_gnu_asm_input_operand_list,
  [275358] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(7052), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12273), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [275369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12275), 1,
      anon_sym_RPAREN,
    STATE(7135), 1,
      sym_gnu_asm_output_operand_list,
  [275382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12279), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12281), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12283), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12285), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [275456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12289), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [275469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12291), 1,
      anon_sym_SEMI,
    STATE(7194), 1,
      aux_sym_declaration_repeat1,
  [275482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12293), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [275491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [275504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12299), 1,
      anon_sym_RPAREN,
    STATE(7143), 1,
      aux_sym_parameter_list_repeat1,
  [275517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12301), 1,
      anon_sym_catch,
    STATE(222), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(12303), 1,
      anon_sym_RBRACK,
    STATE(7163), 1,
      aux_sym_subscript_argument_list_repeat1,
  [275541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12305), 1,
      anon_sym_catch,
    STATE(444), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12235), 1,
      anon_sym_COMMA,
    ACTIONS(12307), 1,
      anon_sym_GT2,
    STATE(7077), 1,
      aux_sym_template_parameter_list_repeat1,
  [275565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12309), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [275578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12311), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [275591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12313), 1,
      anon_sym_catch,
    STATE(1851), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    ACTIONS(12315), 1,
      anon_sym_constexpr,
    STATE(188), 1,
      sym_condition_clause,
  [275615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 1,
      anon_sym_COMMA,
    ACTIONS(12317), 1,
      anon_sym_RPAREN,
    STATE(7221), 1,
      aux_sym_preproc_argument_list_repeat1,
  [275628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12319), 1,
      anon_sym_SEMI,
    STATE(7316), 1,
      aux_sym_declaration_repeat1,
  [275641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_default,
    ACTIONS(12323), 1,
      anon_sym_delete,
    ACTIONS(12325), 1,
      aux_sym_pure_virtual_clause_token1,
  [275654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12327), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [275667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      anon_sym_COMMA,
    ACTIONS(12332), 1,
      anon_sym_GT2,
    STATE(7117), 1,
      aux_sym_template_parameter_list_repeat1,
  [275680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_COMMA,
    ACTIONS(12336), 1,
      anon_sym_RPAREN,
    STATE(7234), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [275693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12340), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [275706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_RBRACE,
    ACTIONS(12342), 1,
      anon_sym_COMMA,
    STATE(7361), 1,
      aux_sym_initializer_list_repeat1,
  [275719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12344), 1,
      anon_sym_EQ,
    ACTIONS(11324), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [275730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(12346), 1,
      anon_sym_RBRACK,
    STATE(7163), 1,
      aux_sym_subscript_argument_list_repeat1,
  [275743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12348), 1,
      anon_sym_RPAREN,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    STATE(7128), 1,
      sym_gnu_asm_clobber_list,
  [275756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [275769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12354), 1,
      anon_sym_COMMA,
    ACTIONS(12357), 1,
      anon_sym_RPAREN,
    STATE(7125), 1,
      aux_sym_requires_parameter_list_repeat1,
  [275782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12359), 1,
      anon_sym_RPAREN,
    STATE(7129), 1,
      sym_gnu_asm_input_operand_list,
  [275795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      anon_sym_catch,
    STATE(1655), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12363), 1,
      anon_sym_RPAREN,
    STATE(7868), 1,
      sym_gnu_asm_goto_list,
  [275819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12365), 1,
      anon_sym_RPAREN,
    STATE(7131), 1,
      sym_gnu_asm_clobber_list,
  [275832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11802), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [275841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12367), 1,
      anon_sym_RPAREN,
    STATE(7875), 1,
      sym_gnu_asm_goto_list,
  [275854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12369), 1,
      anon_sym_RPAREN,
    STATE(8160), 1,
      sym_gnu_asm_goto_list,
  [275867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_RPAREN,
    STATE(7166), 1,
      aux_sym_argument_list_repeat1,
  [275880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12371), 1,
      anon_sym_RPAREN,
    STATE(7144), 1,
      sym_gnu_asm_clobber_list,
  [275893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12373), 1,
      anon_sym_RPAREN,
    STATE(7145), 1,
      sym_gnu_asm_input_operand_list,
  [275906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8717), 1,
      anon_sym_RPAREN,
    STATE(7258), 1,
      aux_sym_argument_list_repeat1,
  [275919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12375), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [275930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8685), 1,
      anon_sym_RBRACK,
    STATE(7209), 1,
      aux_sym_subscript_argument_list_repeat1,
  [275943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 1,
      anon_sym_COMMA,
    ACTIONS(12379), 1,
      anon_sym_RBRACK,
    STATE(7345), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [275956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    STATE(594), 1,
      sym_declaration_list,
  [275969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12381), 1,
      anon_sym_COMMA,
    ACTIONS(12383), 1,
      anon_sym_RPAREN,
    STATE(7181), 1,
      aux_sym_throw_specifier_repeat1,
  [275982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12385), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [275991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    ACTIONS(12390), 1,
      anon_sym_RPAREN,
    STATE(7143), 1,
      aux_sym_parameter_list_repeat1,
  [276004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12392), 1,
      anon_sym_RPAREN,
    STATE(8054), 1,
      sym_gnu_asm_goto_list,
  [276017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12394), 1,
      anon_sym_RPAREN,
    STATE(7148), 1,
      sym_gnu_asm_clobber_list,
  [276030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12398), 1,
      anon_sym_RPAREN,
    ACTIONS(12396), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [276041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12400), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [276054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12402), 1,
      anon_sym_RPAREN,
    STATE(8065), 1,
      sym_gnu_asm_goto_list,
  [276067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(12404), 1,
      anon_sym_RPAREN,
    STATE(7075), 1,
      aux_sym_generic_expression_repeat1,
  [276080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11337), 1,
      anon_sym_LBRACE,
    STATE(8316), 1,
      sym_requires_clause,
  [276093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_COMMA,
    ACTIONS(12409), 1,
      anon_sym_LBRACE,
    STATE(7151), 1,
      aux_sym_field_initializer_list_repeat1,
  [276106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8743), 1,
      anon_sym_COMMA,
    ACTIONS(8745), 1,
      anon_sym_RBRACE,
    STATE(7169), 1,
      aux_sym_initializer_list_repeat1,
  [276119] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12411), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12413), 1,
      anon_sym_LPAREN2,
    STATE(8449), 1,
      sym_preproc_argument_list,
  [276132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12415), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2412), 1,
      sym_template_function,
  [276145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(10954), 1,
      anon_sym_LBRACE,
    STATE(8338), 1,
      sym_requires_clause,
  [276158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12417), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7172), 1,
      aux_sym_attribute_declaration_repeat1,
  [276171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12419), 1,
      anon_sym_COMMA,
    ACTIONS(12422), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [276184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(12424), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      aux_sym_argument_list_repeat1,
  [276197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12426), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [276206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_RBRACE,
    ACTIONS(12428), 1,
      anon_sym_COMMA,
    STATE(7361), 1,
      aux_sym_initializer_list_repeat1,
  [276219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12313), 1,
      anon_sym_catch,
    STATE(1804), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12430), 1,
      anon_sym_SEMI,
    STATE(7193), 1,
      aux_sym_declaration_repeat1,
  [276243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8887), 1,
      anon_sym_RBRACK,
    ACTIONS(12432), 1,
      anon_sym_COMMA,
    STATE(7163), 1,
      aux_sym_subscript_argument_list_repeat1,
  [276256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_COMMA,
    ACTIONS(12437), 1,
      anon_sym_RBRACK,
    STATE(7377), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [276269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12439), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(6028), 1,
      sym_template_function,
  [276282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(12441), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      aux_sym_argument_list_repeat1,
  [276295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    STATE(650), 1,
      sym_declaration_list,
  [276308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 1,
      anon_sym_COMMA,
    ACTIONS(12443), 1,
      anon_sym_RPAREN,
    STATE(7221), 1,
      aux_sym_preproc_argument_list_repeat1,
  [276321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4378), 1,
      anon_sym_RBRACE,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    STATE(7361), 1,
      aux_sym_initializer_list_repeat1,
  [276334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    STATE(747), 1,
      sym_declaration_list,
  [276347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12447), 1,
      anon_sym_COMMA,
    ACTIONS(12449), 1,
      anon_sym_RPAREN,
    STATE(7224), 1,
      aux_sym_preproc_params_repeat1,
  [276360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12451), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [276373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12453), 1,
      anon_sym_RPAREN,
    STATE(7211), 1,
      sym_gnu_asm_input_operand_list,
  [276386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 1,
      anon_sym_while,
    ACTIONS(12455), 1,
      anon_sym_else,
    STATE(430), 1,
      sym_else_clause,
  [276399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12457), 1,
      anon_sym_RPAREN,
    STATE(7212), 1,
      sym_gnu_asm_output_operand_list,
  [276412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12459), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(10952), 1,
      anon_sym_LBRACE,
    STATE(8070), 1,
      sym_requires_clause,
  [276438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12461), 1,
      anon_sym_RPAREN,
    STATE(7252), 1,
      sym_gnu_asm_input_operand_list,
  [276451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12463), 1,
      anon_sym_RPAREN,
    STATE(7254), 1,
      sym_gnu_asm_output_operand_list,
  [276464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12465), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12381), 1,
      anon_sym_COMMA,
    ACTIONS(12467), 1,
      anon_sym_RPAREN,
    STATE(7383), 1,
      aux_sym_throw_specifier_repeat1,
  [276490] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12413), 1,
      anon_sym_LPAREN2,
    ACTIONS(12469), 1,
      aux_sym_preproc_include_token2,
    STATE(8449), 1,
      sym_preproc_argument_list,
  [276503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12471), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12473), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12475), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11343), 1,
      anon_sym_LBRACE,
    STATE(8355), 1,
      sym_requires_clause,
  [276555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8681), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [276564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12477), 1,
      anon_sym_GT2,
    STATE(7200), 1,
      aux_sym_template_argument_list_repeat1,
  [276577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12479), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12481), 1,
      anon_sym_SEMI,
    STATE(7203), 1,
      aux_sym_declaration_repeat1,
  [276603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12483), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [276616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12485), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7231), 1,
      aux_sym_attribute_declaration_repeat1,
  [276629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12487), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [276642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [276655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      anon_sym_catch,
    STATE(1656), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11345), 1,
      anon_sym_LBRACE,
    STATE(8378), 1,
      sym_requires_clause,
  [276679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11796), 1,
      anon_sym_LBRACE,
    STATE(7374), 1,
      aux_sym_base_class_clause_repeat1,
  [276692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12491), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12493), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12495), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [276731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12497), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [276744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11796), 1,
      anon_sym_LBRACE,
    STATE(7427), 1,
      aux_sym_base_class_clause_repeat1,
  [276757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12499), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [276770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12501), 1,
      anon_sym_RPAREN,
    STATE(7143), 1,
      aux_sym_parameter_list_repeat1,
  [276783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12503), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [276796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_COMMA,
    ACTIONS(12508), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [276809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_catch,
    STATE(352), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12210), 1,
      anon_sym_catch,
    STATE(370), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(12512), 1,
      anon_sym_RBRACK,
    STATE(7163), 1,
      aux_sym_subscript_argument_list_repeat1,
  [276844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8705), 1,
      anon_sym_RPAREN,
    STATE(7434), 1,
      aux_sym_argument_list_repeat1,
  [276857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12514), 1,
      anon_sym_RPAREN,
    STATE(7217), 1,
      sym_gnu_asm_clobber_list,
  [276870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12516), 1,
      anon_sym_RPAREN,
    STATE(7219), 1,
      sym_gnu_asm_input_operand_list,
  [276883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    STATE(277), 1,
      sym_declaration_list,
  [276896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12518), 1,
      anon_sym_SEMI,
    STATE(7250), 1,
      aux_sym_declaration_repeat1,
  [276909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 1,
      anon_sym_COMMA,
    ACTIONS(12520), 1,
      anon_sym_RPAREN,
    STATE(7221), 1,
      aux_sym_preproc_argument_list_repeat1,
  [276922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [276931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12524), 1,
      anon_sym_RPAREN,
    STATE(8387), 1,
      sym_gnu_asm_goto_list,
  [276944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12526), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [276957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12528), 1,
      anon_sym_RPAREN,
    STATE(7226), 1,
      sym_gnu_asm_clobber_list,
  [276970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12530), 1,
      anon_sym_GT2,
    STATE(7433), 1,
      aux_sym_template_argument_list_repeat1,
  [276983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
    ACTIONS(12532), 1,
      anon_sym_COMMA,
    STATE(7221), 1,
      aux_sym_preproc_argument_list_repeat1,
  [276996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    ACTIONS(12535), 1,
      anon_sym_constexpr,
    STATE(189), 1,
      sym_condition_clause,
  [277009] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6886), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12537), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12539), 1,
      anon_sym_COMMA,
    ACTIONS(12542), 1,
      anon_sym_RPAREN,
    STATE(7224), 1,
      aux_sym_preproc_params_repeat1,
  [277033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8687), 1,
      anon_sym_COMMA,
    ACTIONS(8689), 1,
      anon_sym_RBRACE,
    STATE(7454), 1,
      aux_sym_initializer_list_repeat1,
  [277046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12544), 1,
      anon_sym_RPAREN,
    STATE(8408), 1,
      sym_gnu_asm_goto_list,
  [277059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    ACTIONS(12546), 1,
      anon_sym_constexpr,
    STATE(208), 1,
      sym_condition_clause,
  [277072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12550), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [277083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(12552), 1,
      anon_sym_RPAREN,
    STATE(7075), 1,
      aux_sym_generic_expression_repeat1,
  [277096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_while,
    ACTIONS(12455), 1,
      anon_sym_else,
    STATE(520), 1,
      sym_else_clause,
  [277109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12554), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [277122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8761), 1,
      anon_sym_RPAREN,
    STATE(7261), 1,
      aux_sym_argument_list_repeat1,
  [277135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12556), 1,
      anon_sym_default,
    ACTIONS(12558), 1,
      anon_sym_delete,
    ACTIONS(12560), 1,
      aux_sym_pure_virtual_clause_token1,
  [277148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12562), 1,
      anon_sym_COMMA,
    ACTIONS(12565), 1,
      anon_sym_RPAREN,
    STATE(7234), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [277161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    STATE(561), 1,
      sym_declaration_list,
  [277174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      anon_sym_default,
    ACTIONS(12569), 1,
      anon_sym_delete,
    ACTIONS(12571), 1,
      aux_sym_pure_virtual_clause_token1,
  [277187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8763), 1,
      anon_sym_COMMA,
    ACTIONS(8765), 1,
      anon_sym_RBRACE,
    STATE(7267), 1,
      aux_sym_initializer_list_repeat1,
  [277200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12573), 1,
      anon_sym_catch,
    STATE(858), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12575), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(3442), 1,
      sym_template_function,
  [277224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12577), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7241), 1,
      aux_sym_attribute_declaration_repeat1,
  [277237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12579), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [277250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12581), 1,
      anon_sym_RPAREN,
    STATE(7273), 1,
      sym_gnu_asm_output_operand_list,
  [277263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      anon_sym_RPAREN,
    STATE(7125), 1,
      aux_sym_requires_parameter_list_repeat1,
  [277276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12587), 1,
      anon_sym_GT2,
    STATE(7277), 1,
      aux_sym_template_argument_list_repeat1,
  [277289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12589), 1,
      anon_sym_RPAREN,
    STATE(7143), 1,
      aux_sym_parameter_list_repeat1,
  [277302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12591), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7205), 1,
      aux_sym_attribute_declaration_repeat1,
  [277315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12593), 1,
      anon_sym_RPAREN,
    STATE(7178), 1,
      sym_gnu_asm_output_operand_list,
  [277328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12595), 1,
      anon_sym_SEMI,
    STATE(7280), 1,
      aux_sym_declaration_repeat1,
  [277341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12597), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [277354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12599), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [277367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
    STATE(7283), 1,
      aux_sym_parameter_list_repeat1,
  [277380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12603), 1,
      anon_sym_RPAREN,
    STATE(7304), 1,
      sym_gnu_asm_clobber_list,
  [277393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12605), 1,
      anon_sym_catch,
    STATE(1830), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12607), 1,
      anon_sym_RPAREN,
    STATE(7305), 1,
      sym_gnu_asm_input_operand_list,
  [277417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12609), 1,
      anon_sym_GT2,
    STATE(7266), 1,
      aux_sym_template_argument_list_repeat1,
  [277430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym___attribute,
    ACTIONS(6561), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [277441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 1,
      anon_sym___attribute,
    ACTIONS(6565), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [277452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(12611), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      aux_sym_argument_list_repeat1,
  [277465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12613), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [277474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_constexpr,
    STATE(199), 1,
      sym_condition_clause,
  [277487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(12617), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      aux_sym_argument_list_repeat1,
  [277500] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6961), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12619), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12621), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [277524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12623), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [277537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    STATE(577), 1,
      sym_declaration_list,
  [277550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12625), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [277563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    ACTIONS(12627), 1,
      anon_sym_COMMA,
    STATE(7361), 1,
      aux_sym_initializer_list_repeat1,
  [277576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12629), 1,
      anon_sym_RPAREN,
    STATE(7091), 1,
      sym_gnu_asm_output_operand_list,
  [277589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12631), 1,
      anon_sym_SEMI,
    STATE(7116), 1,
      aux_sym_declaration_repeat1,
  [277602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12633), 1,
      anon_sym_GT2,
    STATE(7097), 1,
      aux_sym_template_argument_list_repeat1,
  [277615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_default,
    ACTIONS(12637), 1,
      anon_sym_delete,
    ACTIONS(12639), 1,
      aux_sym_pure_virtual_clause_token1,
  [277628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12641), 1,
      anon_sym_GT2,
    STATE(7185), 1,
      aux_sym_template_argument_list_repeat1,
  [277641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
    STATE(7290), 1,
      sym_gnu_asm_input_operand_list,
  [277654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12645), 1,
      anon_sym_RPAREN,
    STATE(7293), 1,
      sym_gnu_asm_output_operand_list,
  [277667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12647), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [277680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12649), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [277693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12651), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [277706] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6919), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12653), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(12655), 1,
      anon_sym_LBRACE,
    STATE(7427), 1,
      aux_sym_base_class_clause_repeat1,
  [277730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12657), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [277743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym___attribute,
    ACTIONS(6481), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [277754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_COMMA,
    ACTIONS(12659), 1,
      anon_sym_RPAREN,
    STATE(7118), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [277767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12661), 1,
      anon_sym_RPAREN,
    STATE(7143), 1,
      aux_sym_parameter_list_repeat1,
  [277780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12210), 1,
      anon_sym_catch,
    STATE(353), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12663), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [277804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12665), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [277813] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6965), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12667), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 1,
      anon_sym_COMMA,
    ACTIONS(12669), 1,
      anon_sym_RBRACK,
    STATE(7139), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [277837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12671), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7396), 1,
      aux_sym_attribute_declaration_repeat1,
  [277850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12673), 1,
      anon_sym_RPAREN,
    STATE(7296), 1,
      sym_gnu_asm_clobber_list,
  [277863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12675), 1,
      anon_sym_default,
    ACTIONS(12677), 1,
      anon_sym_delete,
    ACTIONS(12679), 1,
      aux_sym_pure_virtual_clause_token1,
  [277876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12665), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [277885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12681), 1,
      anon_sym_RPAREN,
    STATE(7297), 1,
      sym_gnu_asm_input_operand_list,
  [277898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12305), 1,
      anon_sym_catch,
    STATE(351), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12683), 1,
      anon_sym_RPAREN,
    STATE(7243), 1,
      aux_sym_requires_parameter_list_repeat1,
  [277922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
    STATE(8046), 1,
      sym_gnu_asm_goto_list,
  [277935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12687), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      sym_gnu_asm_clobber_list,
  [277948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12689), 1,
      anon_sym_RPAREN,
    STATE(8055), 1,
      sym_gnu_asm_goto_list,
  [277961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(12691), 1,
      anon_sym_RPAREN,
    STATE(7075), 1,
      aux_sym_generic_expression_repeat1,
  [277974] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6893), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12693), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8855), 1,
      anon_sym_RPAREN,
    ACTIONS(12695), 1,
      anon_sym_COMMA,
    STATE(7301), 1,
      aux_sym_argument_list_repeat1,
  [277998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12698), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(3305), 1,
      sym_template_function,
  [278011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_COMMA,
    ACTIONS(12700), 1,
      anon_sym_RBRACK,
    STATE(7164), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [278024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
    STATE(8096), 1,
      sym_gnu_asm_goto_list,
  [278037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12704), 1,
      anon_sym_RPAREN,
    STATE(7310), 1,
      sym_gnu_asm_clobber_list,
  [278050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12706), 1,
      anon_sym_default,
    ACTIONS(12708), 1,
      anon_sym_delete,
    ACTIONS(12710), 1,
      aux_sym_pure_virtual_clause_token1,
  [278063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12712), 1,
      anon_sym_SEMI,
    STATE(7103), 1,
      aux_sym_declaration_repeat1,
  [278076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_COMMA,
    ACTIONS(12714), 1,
      anon_sym_RBRACK,
    STATE(7377), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [278089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12716), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [278102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12718), 1,
      anon_sym_RPAREN,
    STATE(8114), 1,
      sym_gnu_asm_goto_list,
  [278115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12720), 1,
      anon_sym_GT2,
    STATE(7324), 1,
      aux_sym_template_argument_list_repeat1,
  [278128] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(7025), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12722), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      anon_sym_SEMI,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1668), 1,
      sym_template_argument_list,
  [278152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(12724), 1,
      anon_sym_RPAREN,
    STATE(7075), 1,
      aux_sym_generic_expression_repeat1,
  [278165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8769), 1,
      anon_sym_RBRACK,
    STATE(7122), 1,
      aux_sym_subscript_argument_list_repeat1,
  [278178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12726), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [278191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12728), 1,
      anon_sym_default,
    ACTIONS(12730), 1,
      anon_sym_delete,
    ACTIONS(12732), 1,
      aux_sym_pure_virtual_clause_token1,
  [278204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278213] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12413), 1,
      anon_sym_LPAREN2,
    ACTIONS(12736), 1,
      aux_sym_preproc_include_token2,
    STATE(8449), 1,
      sym_preproc_argument_list,
  [278226] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6901), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12738), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12740), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [278250] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6875), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12742), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12744), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [278274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12746), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [278287] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6949), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12748), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12750), 1,
      anon_sym_SEMI,
    STATE(7147), 1,
      aux_sym_declaration_repeat1,
  [278311] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6971), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12752), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278322] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    STATE(6994), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12754), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11989), 1,
      anon_sym_LBRACE,
    STATE(7427), 1,
      aux_sym_base_class_clause_repeat1,
  [278346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [278355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11989), 1,
      anon_sym_LBRACE,
    STATE(7459), 1,
      aux_sym_base_class_clause_repeat1,
  [278368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12758), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12760), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [278379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12762), 1,
      anon_sym_RPAREN,
    STATE(7104), 1,
      aux_sym_parameter_list_repeat1,
  [278392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12301), 1,
      anon_sym_catch,
    STATE(225), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [278412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12766), 1,
      anon_sym_SEMI,
    STATE(7363), 1,
      aux_sym_declaration_repeat1,
  [278425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      anon_sym_catch,
    STATE(1644), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12768), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7379), 1,
      aux_sym_attribute_declaration_repeat1,
  [278449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12770), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [278462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12772), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [278475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12774), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12447), 1,
      anon_sym_COMMA,
    ACTIONS(12776), 1,
      anon_sym_RPAREN,
    STATE(7171), 1,
      aux_sym_preproc_params_repeat1,
  [278497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12780), 1,
      sym_identifier,
    STATE(1730), 1,
      sym_template_type,
    STATE(3442), 1,
      sym_template_function,
  [278519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12782), 1,
      anon_sym_COMMA,
    ACTIONS(12785), 1,
      anon_sym_RBRACK,
    STATE(7345), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [278532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12787), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [278545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12789), 1,
      anon_sym_SEMI,
    STATE(7201), 1,
      aux_sym_declaration_repeat1,
  [278558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12791), 1,
      anon_sym_RPAREN,
    STATE(7368), 1,
      sym_gnu_asm_clobber_list,
  [278571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12793), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [278584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12605), 1,
      anon_sym_catch,
    STATE(1821), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12795), 1,
      anon_sym_GT2,
    STATE(7358), 1,
      aux_sym_template_argument_list_repeat1,
  [278608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12797), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [278621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_COMMA,
    ACTIONS(12799), 1,
      anon_sym_RBRACK,
    STATE(7308), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [278634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12801), 1,
      anon_sym_SEMI,
    STATE(7443), 1,
      aux_sym_declaration_repeat1,
  [278647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12803), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [278660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [278673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12807), 1,
      anon_sym_SEMI,
    STATE(7404), 1,
      aux_sym_declaration_repeat1,
  [278686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12809), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [278699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    ACTIONS(12811), 1,
      anon_sym_constexpr,
    STATE(179), 1,
      sym_condition_clause,
  [278712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12813), 1,
      anon_sym_SEMI,
    STATE(7349), 1,
      aux_sym_declaration_repeat1,
  [278725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8683), 1,
      anon_sym_RBRACE,
    ACTIONS(12815), 1,
      anon_sym_COMMA,
    STATE(7361), 1,
      aux_sym_initializer_list_repeat1,
  [278738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12818), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [278751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12820), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [278764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8593), 1,
      anon_sym_RBRACK,
    STATE(7106), 1,
      aux_sym_subscript_argument_list_repeat1,
  [278777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(12822), 1,
      anon_sym_RPAREN,
    STATE(7075), 1,
      aux_sym_generic_expression_repeat1,
  [278790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12824), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [278803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12826), 1,
      anon_sym_RPAREN,
    STATE(7245), 1,
      aux_sym_parameter_list_repeat1,
  [278816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12828), 1,
      anon_sym_RPAREN,
    STATE(8088), 1,
      sym_gnu_asm_goto_list,
  [278829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8655), 1,
      anon_sym_RPAREN,
    STATE(7158), 1,
      aux_sym_argument_list_repeat1,
  [278842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12830), 1,
      anon_sym_RPAREN,
    STATE(7132), 1,
      sym_gnu_asm_clobber_list,
  [278855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7401), 1,
      anon_sym_EQ,
    ACTIONS(7399), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [278866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    ACTIONS(12832), 1,
      anon_sym_RPAREN,
    STATE(7204), 1,
      aux_sym_parameter_list_repeat1,
  [278879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11836), 1,
      anon_sym_LBRACE,
    STATE(7329), 1,
      aux_sym_base_class_clause_repeat1,
  [278892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11836), 1,
      anon_sym_LBRACE,
    STATE(7427), 1,
      aux_sym_base_class_clause_repeat1,
  [278905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12834), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7119), 1,
      aux_sym_attribute_declaration_repeat1,
  [278918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      sym_identifier,
    STATE(1730), 1,
      sym_template_type,
    STATE(2412), 1,
      sym_template_function,
  [278931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12838), 1,
      anon_sym_COMMA,
    ACTIONS(12841), 1,
      anon_sym_RBRACK,
    STATE(7377), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [278944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9206), 1,
      anon_sym_DASH_GT,
    ACTIONS(12843), 1,
      anon_sym_SEMI,
    STATE(8181), 1,
      sym_trailing_return_type,
  [278957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12845), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [278970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8737), 1,
      anon_sym_RPAREN,
    STATE(7429), 1,
      aux_sym_argument_list_repeat1,
  [278983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12305), 1,
      anon_sym_catch,
    STATE(505), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12847), 1,
      anon_sym_RPAREN,
    STATE(7348), 1,
      sym_gnu_asm_input_operand_list,
  [279007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12849), 1,
      anon_sym_COMMA,
    ACTIONS(12852), 1,
      anon_sym_RPAREN,
    STATE(7383), 1,
      aux_sym_throw_specifier_repeat1,
  [279020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8739), 1,
      anon_sym_COMMA,
    ACTIONS(8741), 1,
      anon_sym_RBRACE,
    STATE(7160), 1,
      aux_sym_initializer_list_repeat1,
  [279033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8755), 1,
      anon_sym_COMMA,
    ACTIONS(8757), 1,
      anon_sym_RBRACE,
    STATE(7430), 1,
      aux_sym_initializer_list_repeat1,
  [279046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12854), 1,
      anon_sym_RPAREN,
    STATE(7399), 1,
      sym_gnu_asm_output_operand_list,
  [279059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12856), 1,
      anon_sym_GT2,
    STATE(7390), 1,
      aux_sym_template_argument_list_repeat1,
  [279072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12858), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12862), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(12864), 1,
      anon_sym_LBRACE,
    STATE(8479), 1,
      sym_requires_clause,
  [279124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(11405), 1,
      anon_sym_LBRACE,
    STATE(8586), 1,
      sym_requires_clause,
  [279137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12866), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12868), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [279159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12870), 1,
      anon_sym_RPAREN,
    STATE(7435), 1,
      sym_gnu_asm_output_operand_list,
  [279172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12872), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7206), 1,
      aux_sym_attribute_declaration_repeat1,
  [279185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12874), 1,
      anon_sym_GT2,
    STATE(7440), 1,
      aux_sym_template_argument_list_repeat1,
  [279198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    STATE(711), 1,
      sym_declaration_list,
  [279211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12876), 1,
      anon_sym_RPAREN,
    STATE(7370), 1,
      sym_gnu_asm_input_operand_list,
  [279224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12878), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [279235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8645), 1,
      anon_sym_RPAREN,
    STATE(7081), 1,
      aux_sym_argument_list_repeat1,
  [279248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12880), 1,
      anon_sym_SEMI,
    STATE(7441), 1,
      aux_sym_declaration_repeat1,
  [279261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12882), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [279274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12884), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [279287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12886), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [279300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12888), 1,
      anon_sym_GT2,
    STATE(7411), 1,
      aux_sym_template_argument_list_repeat1,
  [279313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_catch,
    STATE(388), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12890), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12892), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [279346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12894), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12896), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12898), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12900), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [279383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    ACTIONS(12902), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7346), 1,
      aux_sym_attribute_declaration_repeat1,
  [279396] = 4,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12413), 1,
      anon_sym_LPAREN2,
    ACTIONS(12904), 1,
      aux_sym_preproc_include_token2,
    STATE(8449), 1,
      sym_preproc_argument_list,
  [279409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12906), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11782), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12908), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [279433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12910), 1,
      anon_sym_RPAREN,
    STATE(7085), 1,
      sym_gnu_asm_output_operand_list,
  [279446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 1,
      anon_sym___attribute,
    ACTIONS(6383), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [279457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12912), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2412), 1,
      sym_template_function,
  [279470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 1,
      anon_sym___attribute,
    ACTIONS(6397), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [279481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12914), 1,
      anon_sym_GT2,
    STATE(7100), 1,
      aux_sym_template_argument_list_repeat1,
  [279494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12916), 1,
      anon_sym_GT2,
    STATE(7425), 1,
      aux_sym_template_argument_list_repeat1,
  [279507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12918), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12920), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12922), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12301), 1,
      anon_sym_catch,
    STATE(220), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12900), 1,
      anon_sym_LBRACE,
    ACTIONS(12924), 1,
      anon_sym_COMMA,
    STATE(7427), 1,
      aux_sym_base_class_clause_repeat1,
  [279570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12929), 1,
      anon_sym_RPAREN,
    ACTIONS(12927), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [279581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(12931), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      aux_sym_argument_list_repeat1,
  [279594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_RBRACE,
    ACTIONS(12933), 1,
      anon_sym_COMMA,
    STATE(7361), 1,
      aux_sym_initializer_list_repeat1,
  [279607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12935), 1,
      anon_sym_SEMI,
    STATE(7109), 1,
      aux_sym_declaration_repeat1,
  [279620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12937), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [279633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12939), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(12941), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      aux_sym_argument_list_repeat1,
  [279659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12943), 1,
      anon_sym_RPAREN,
    STATE(7450), 1,
      sym_gnu_asm_input_operand_list,
  [279672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12945), 1,
      sym_identifier,
    STATE(2533), 1,
      sym_template_type,
    STATE(3583), 1,
      sym_template_function,
  [279685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12947), 1,
      anon_sym_RPAREN,
    STATE(7451), 1,
      sym_gnu_asm_output_operand_list,
  [279698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12949), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12951), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12953), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12955), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [279750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_catch,
    STATE(389), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_COMMA,
    ACTIONS(12957), 1,
      anon_sym_SEMI,
    STATE(7157), 1,
      aux_sym_declaration_repeat1,
  [279774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12959), 1,
      anon_sym_GT2,
    STATE(7447), 1,
      aux_sym_template_argument_list_repeat1,
  [279787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12961), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12963), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(12965), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      anon_sym_COMMA,
    ACTIONS(12970), 1,
      anon_sym_GT2,
    STATE(7448), 1,
      aux_sym_template_argument_list_repeat1,
  [279839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      anon_sym_requires,
    ACTIONS(12972), 1,
      anon_sym_LBRACE,
    STATE(8291), 1,
      sym_requires_clause,
  [279852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12974), 1,
      anon_sym_RPAREN,
    STATE(7060), 1,
      sym_gnu_asm_clobber_list,
  [279865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_COLON,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
    STATE(7458), 1,
      sym_gnu_asm_input_operand_list,
  [279878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    STATE(312), 1,
      sym_declaration_list,
  [279891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12978), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12980), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [279902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_RBRACE,
    ACTIONS(12982), 1,
      anon_sym_COMMA,
    STATE(7361), 1,
      aux_sym_initializer_list_repeat1,
  [279915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
    ACTIONS(12984), 1,
      anon_sym_RPAREN,
    STATE(7173), 1,
      sym_gnu_asm_output_operand_list,
  [279928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym___attribute,
    ACTIONS(6513), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [279939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12257), 1,
      anon_sym_COMMA,
    ACTIONS(12986), 1,
      anon_sym_LBRACE,
    STATE(7086), 1,
      aux_sym_field_initializer_list_repeat1,
  [279952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12988), 1,
      anon_sym_RPAREN,
    STATE(7462), 1,
      sym_gnu_asm_clobber_list,
  [279965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(12990), 1,
      anon_sym_LBRACE,
    STATE(7427), 1,
      aux_sym_base_class_clause_repeat1,
  [279978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12992), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12994), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [279989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12313), 1,
      anon_sym_catch,
    STATE(1847), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [280000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_COLON,
    ACTIONS(12996), 1,
      anon_sym_RPAREN,
    STATE(8648), 1,
      sym_gnu_asm_goto_list,
  [280013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    ACTIONS(12998), 1,
      anon_sym_RPAREN,
    STATE(7075), 1,
      aux_sym_generic_expression_repeat1,
  [280026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(12990), 1,
      anon_sym_LBRACE,
    STATE(7279), 1,
      aux_sym_base_class_clause_repeat1,
  [280039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym___attribute,
    ACTIONS(6573), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [280050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13000), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
    STATE(2744), 1,
      sym_template_function,
  [280063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12605), 1,
      anon_sym_catch,
    STATE(1841), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [280074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13002), 1,
      anon_sym_LPAREN2,
    ACTIONS(13004), 1,
      sym_raw_string_delimiter,
  [280084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    STATE(3582), 1,
      sym_compound_statement,
  [280094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13006), 1,
      sym_identifier,
    STATE(2768), 1,
      sym_template_type,
  [280104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(7946), 1,
      sym_parenthesized_expression,
  [280114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(7482), 1,
      sym_parameter_list,
  [280124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    STATE(1964), 1,
      sym_compound_statement,
  [280134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13010), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [280142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9220), 1,
      anon_sym_LBRACE,
    STATE(1578), 1,
      sym_compound_statement,
  [280152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13012), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [280160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7467), 1,
      sym_compound_statement,
  [280170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7107), 1,
      sym_compound_statement,
  [280180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13014), 1,
      sym_identifier,
    STATE(1897), 1,
      sym_template_type,
  [280190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(7506), 1,
      sym_parenthesized_expression,
  [280200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LBRACE,
    STATE(2411), 1,
      sym_initializer_list,
  [280210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(398), 1,
      sym_compound_statement,
  [280220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13016), 1,
      anon_sym_SEMI,
  [280230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(230), 1,
      sym_compound_statement,
  [280240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_compound_statement,
  [280250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_compound_statement,
  [280260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10555), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [280268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    STATE(602), 1,
      sym_declaration_list,
  [280278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 1,
      anon_sym_LBRACE,
    STATE(867), 1,
      sym_compound_statement,
  [280288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(7677), 1,
      sym_parenthesized_expression,
  [280298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13018), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [280306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 1,
      anon_sym_LT,
    STATE(3478), 1,
      sym_template_argument_list,
  [280316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    STATE(4214), 1,
      sym_compound_statement,
  [280326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13022), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
  [280336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    STATE(1697), 1,
      sym_compound_statement,
  [280346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7338), 1,
      sym_attribute,
  [280356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(7625), 1,
      sym_condition_clause,
  [280366] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13026), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13028), 1,
      sym_preproc_arg,
  [280376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13030), 1,
      sym_identifier,
    STATE(2595), 1,
      sym_template_type,
  [280386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7350), 1,
      sym_compound_statement,
  [280396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      sym_identifier,
    STATE(4299), 1,
      sym_template_type,
  [280406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(2916), 1,
      sym_field_declaration_list,
  [280416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13034), 1,
      sym_identifier,
    STATE(1730), 1,
      sym_template_type,
  [280426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8342), 1,
      sym_argument_list,
  [280436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6992), 1,
      sym_compound_statement,
  [280446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(248), 1,
      sym_compound_statement,
  [280456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_LT,
    STATE(1900), 1,
      sym_template_argument_list,
  [280466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2766), 1,
      sym_field_declaration_list,
  [280476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8725), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [280484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      anon_sym_LBRACE,
    STATE(5603), 1,
      sym_compound_statement,
  [280494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13038), 1,
      anon_sym_SEMI,
  [280504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    STATE(3895), 1,
      sym_field_declaration_list,
  [280514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
  [280524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    STATE(1672), 1,
      sym_compound_statement,
  [280534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(751), 1,
      sym_compound_statement,
  [280544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(8568), 1,
      sym_parenthesized_expression,
  [280554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    STATE(408), 1,
      sym_compound_statement,
  [280564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(7785), 1,
      sym_parameter_list,
  [280574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8855), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [280582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13040), 1,
      anon_sym_LT,
    STATE(2340), 1,
      sym_template_argument_list,
  [280592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13042), 1,
      sym_identifier,
    ACTIONS(13044), 1,
      anon_sym_RPAREN,
  [280602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7442), 1,
      sym_compound_statement,
  [280612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(7796), 1,
      sym_parenthesized_expression,
  [280622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_declaration_list,
  [280632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_compound_statement,
  [280642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(2917), 1,
      sym_field_declaration_list,
  [280652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    STATE(3557), 1,
      sym_compound_statement,
  [280662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_initializer_list,
  [280672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7413), 1,
      sym_attribute,
  [280682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13048), 1,
      anon_sym_RBRACE,
  [280692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7238), 1,
      sym_compound_statement,
  [280702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13050), 1,
      anon_sym_SEMI,
  [280712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_compound_statement,
  [280722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    STATE(2820), 1,
      sym_field_declaration_list,
  [280732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(7934), 1,
      sym_argument_list,
  [280742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_compound_statement,
  [280752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6646), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
  [280762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [280770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13054), 1,
      anon_sym_RBRACE,
  [280780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    STATE(2130), 1,
      sym_field_declaration_list,
  [280790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12508), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [280798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10950), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [280808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_compound_statement,
  [280818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(182), 1,
      sym_condition_clause,
  [280828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13056), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [280836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(7489), 1,
      sym_parameter_list,
  [280846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9653), 1,
      anon_sym_LBRACE,
    STATE(3247), 1,
      sym_requirement_seq,
  [280856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    STATE(3893), 1,
      sym_field_declaration_list,
  [280866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LBRACE,
    STATE(3485), 1,
      sym_initializer_list,
  [280876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7195), 1,
      sym_compound_statement,
  [280886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(7566), 1,
      sym_parenthesized_expression,
  [280896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    STATE(3896), 1,
      sym_field_declaration_list,
  [280906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    STATE(1875), 1,
      sym_compound_statement,
  [280916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11802), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13058), 1,
      anon_sym_SEMI,
  [280926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(7771), 1,
      sym_condition_clause,
  [280936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12409), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [280944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7289), 1,
      sym_attribute,
  [280954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8584), 1,
      sym_argument_list,
  [280964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7337), 1,
      sym_compound_statement,
  [280974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(350), 1,
      sym_compound_statement,
  [280984] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13060), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13062), 1,
      sym_preproc_arg,
  [280994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8163), 1,
      sym_argument_list,
  [281004] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13064), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13066), 1,
      sym_preproc_arg,
  [281014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      anon_sym_LBRACE,
    STATE(5608), 1,
      sym_compound_statement,
  [281024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12700), 1,
      anon_sym_RBRACK,
    ACTIONS(13068), 1,
      anon_sym_COMMA,
  [281034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_compound_statement,
  [281044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_compound_statement,
  [281054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(7514), 1,
      sym_parameter_list,
  [281064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(2410), 1,
      sym_compound_statement,
  [281074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7111), 1,
      sym_compound_statement,
  [281084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    STATE(3233), 1,
      sym_compound_statement,
  [281094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13070), 1,
      sym_identifier,
    STATE(2676), 1,
      sym_template_type,
  [281104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    STATE(4437), 1,
      sym_field_declaration_list,
  [281114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13072), 1,
      anon_sym_RBRACE,
  [281124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13074), 1,
      sym_identifier,
    ACTIONS(13076), 1,
      anon_sym_LPAREN2,
  [281134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7240), 1,
      sym_attribute,
  [281144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7156), 1,
      sym_attribute,
  [281154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(7525), 1,
      sym_parameter_list,
  [281164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7161), 1,
      sym_compound_statement,
  [281174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8105), 1,
      sym_argument_list,
  [281184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACE,
    STATE(3915), 1,
      sym_field_declaration_list,
  [281194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACE,
    STATE(3849), 1,
      sym_initializer_list,
  [281204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(7553), 1,
      sym_parameter_list,
  [281214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      anon_sym_LBRACE,
    STATE(3335), 1,
      sym_compound_statement,
  [281224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10981), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [281234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8473), 1,
      sym_argument_list,
  [281244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      sym_identifier,
    STATE(1730), 1,
      sym_template_type,
  [281254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13080), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      sym_identifier,
    STATE(2533), 1,
      sym_template_type,
  [281272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12550), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    STATE(3273), 1,
      sym_compound_statement,
  [281290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(7916), 1,
      sym_argument_list,
  [281300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_declaration_list,
  [281310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(7833), 1,
      sym_condition_clause,
  [281320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1578), 1,
      sym_compound_statement,
  [281330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8042), 1,
      sym_argument_list,
  [281340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13084), 1,
      anon_sym_LT,
    STATE(3292), 1,
      sym_template_argument_list,
  [281350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      anon_sym_LBRACE,
    STATE(3373), 1,
      sym_compound_statement,
  [281360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    STATE(646), 1,
      sym_compound_statement,
  [281370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9619), 1,
      anon_sym_LBRACE,
    STATE(4188), 1,
      sym_requirement_seq,
  [281380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    STATE(3847), 1,
      sym_initializer_list,
  [281390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12760), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13084), 1,
      anon_sym_LT,
    STATE(3329), 1,
      sym_template_argument_list,
  [281408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8434), 1,
      sym_argument_list,
  [281418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_compound_statement,
  [281428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12785), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      sym_identifier,
    STATE(3504), 1,
      sym_template_type,
  [281446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2797), 1,
      sym_field_declaration_list,
  [281456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6928), 1,
      sym_compound_statement,
  [281466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_compound_statement,
  [281476] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13088), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13090), 1,
      sym_preproc_arg,
  [281486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_declaration_list,
  [281496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(251), 1,
      sym_compound_statement,
  [281506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(2024), 1,
      sym_compound_statement,
  [281516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12396), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [281524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6907), 1,
      sym_compound_statement,
  [281534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(1578), 1,
      sym_compound_statement,
  [281544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    STATE(279), 1,
      sym_declaration_list,
  [281554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13092), 1,
      sym_identifier,
    ACTIONS(13094), 1,
      anon_sym_LPAREN2,
  [281564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    STATE(4180), 1,
      sym_compound_statement,
  [281574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(2994), 1,
      sym_field_declaration_list,
  [281584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    STATE(2546), 1,
      sym_field_declaration_list,
  [281594] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13096), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13098), 1,
      sym_preproc_arg,
  [281604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9248), 1,
      anon_sym_LBRACE,
    STATE(5906), 1,
      sym_compound_statement,
  [281614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 1,
      anon_sym_LBRACE,
    STATE(881), 1,
      sym_compound_statement,
  [281624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12357), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [281632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
  [281642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7541), 1,
      sym_attribute,
  [281652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_compound_statement,
  [281662] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13100), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13102), 1,
      sym_preproc_arg,
  [281672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7246), 1,
      sym_attribute,
  [281682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [281692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6990), 1,
      sym_compound_statement,
  [281702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_LBRACE,
    STATE(1575), 1,
      sym_requirement_seq,
  [281712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [281720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(170), 1,
      sym_condition_clause,
  [281730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(7613), 1,
      sym_condition_clause,
  [281740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2340), 1,
      sym_template_argument_list,
  [281750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [281758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9248), 1,
      anon_sym_LBRACE,
    STATE(5904), 1,
      sym_compound_statement,
  [281768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(190), 1,
      sym_condition_clause,
  [281778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_RPAREN,
    ACTIONS(8735), 1,
      anon_sym_SEMI,
  [281788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    STATE(2808), 1,
      sym_field_declaration_list,
  [281798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_LBRACE,
    STATE(2095), 1,
      sym_compound_statement,
  [281808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7426), 1,
      sym_compound_statement,
  [281818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(2323), 1,
      sym_field_declaration_list,
  [281828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9627), 1,
      anon_sym_LBRACE,
    STATE(3786), 1,
      sym_requirement_seq,
  [281838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281846] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13104), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13106), 1,
      sym_preproc_arg,
  [281856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [281864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
  [281874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(605), 1,
      sym_compound_statement,
  [281884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9248), 1,
      anon_sym_LBRACE,
    STATE(5890), 1,
      sym_compound_statement,
  [281894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8887), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9220), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_compound_statement,
  [281912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13108), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
  [281922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9246), 1,
      anon_sym_LBRACE,
    STATE(3802), 1,
      sym_compound_statement,
  [281932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(2296), 1,
      sym_field_declaration_list,
  [281942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_compound_statement,
  [281952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10987), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [281962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(8024), 1,
      sym_parenthesized_expression,
  [281972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8260), 1,
      sym_argument_list,
  [281982] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13110), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13112), 1,
      sym_preproc_arg,
  [281992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7037), 1,
      sym_compound_statement,
  [282002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13114), 1,
      sym_identifier,
    STATE(2641), 1,
      sym_template_type,
  [282012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13084), 1,
      anon_sym_LT,
    STATE(2597), 1,
      sym_template_argument_list,
  [282022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(192), 1,
      sym_condition_clause,
  [282032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(2863), 1,
      sym_field_declaration_list,
  [282042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_LT,
    STATE(2276), 1,
      sym_template_argument_list,
  [282052] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13116), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13118), 1,
      sym_preproc_arg,
  [282062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    STATE(740), 1,
      sym_declaration_list,
  [282072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_declaration_list,
  [282082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(2695), 1,
      sym_template_argument_list,
  [282092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13120), 1,
      anon_sym_RBRACE,
  [282102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8861), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [282110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12083), 1,
      anon_sym_LBRACE,
    STATE(5591), 1,
      sym_requirement_seq,
  [282120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_compound_statement,
  [282130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12878), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [282138] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13122), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13124), 1,
      sym_preproc_arg,
  [282148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(193), 1,
      sym_condition_clause,
  [282158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 1,
      anon_sym_LT,
    STATE(2603), 1,
      sym_template_argument_list,
  [282168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13126), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282176] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13128), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13130), 1,
      sym_preproc_arg,
  [282186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(2463), 1,
      sym_compound_statement,
  [282196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [282204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13132), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [282212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12852), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(163), 1,
      sym_condition_clause,
  [282230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    STATE(4851), 1,
      sym_field_declaration_list,
  [282240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    STATE(563), 1,
      sym_declaration_list,
  [282250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9645), 1,
      anon_sym_LBRACE,
    STATE(3370), 1,
      sym_requirement_seq,
  [282260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      anon_sym_LBRACE,
    STATE(5594), 1,
      sym_compound_statement,
  [282270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10940), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [282280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(209), 1,
      sym_condition_clause,
  [282290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(8595), 1,
      sym_parenthesized_expression,
  [282300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(173), 1,
      sym_condition_clause,
  [282310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(5141), 1,
      sym_field_declaration_list,
  [282320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(7484), 1,
      sym_parameter_list,
  [282330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(5144), 1,
      sym_field_declaration_list,
  [282340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(5145), 1,
      sym_field_declaration_list,
  [282350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8837), 1,
      anon_sym_LT,
    STATE(2509), 1,
      sym_template_argument_list,
  [282360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(5147), 1,
      sym_field_declaration_list,
  [282370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11812), 1,
      anon_sym_LBRACE,
    STATE(5870), 1,
      sym_requirement_seq,
  [282380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10916), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [282390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
  [282400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(304), 1,
      sym_compound_statement,
  [282410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(3233), 1,
      sym_compound_statement,
  [282420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      sym_field_declaration_list,
  [282430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    STATE(2551), 1,
      sym_field_declaration_list,
  [282440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13134), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7105), 1,
      sym_compound_statement,
  [282458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10930), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [282468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(2920), 1,
      sym_field_declaration_list,
  [282478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7284), 1,
      sym_compound_statement,
  [282488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_compound_statement,
  [282498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13136), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
  [282508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(7629), 1,
      sym_parenthesized_expression,
  [282518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(213), 1,
      sym_condition_clause,
  [282528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13138), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    STATE(2143), 1,
      sym_field_declaration_list,
  [282546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    STATE(2144), 1,
      sym_field_declaration_list,
  [282556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2781), 1,
      sym_field_declaration_list,
  [282566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_LBRACE,
    STATE(651), 1,
      sym_declaration_list,
  [282576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8347), 1,
      anon_sym_LT,
    STATE(4331), 1,
      sym_template_argument_list,
  [282586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10985), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [282596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9637), 1,
      anon_sym_LBRACE,
    STATE(2401), 1,
      sym_requirement_seq,
  [282606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2782), 1,
      sym_field_declaration_list,
  [282616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9220), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_compound_statement,
  [282626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10993), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [282636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(8263), 1,
      sym_parenthesized_expression,
  [282646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13140), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [282654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    STATE(4853), 1,
      sym_field_declaration_list,
  [282664] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13142), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13144), 1,
      sym_preproc_arg,
  [282674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    STATE(4801), 1,
      sym_field_declaration_list,
  [282684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_LT,
    STATE(2340), 1,
      sym_template_argument_list,
  [282694] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13146), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13148), 1,
      sym_preproc_arg,
  [282704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13150), 1,
      anon_sym_RBRACE,
  [282714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    STATE(4458), 1,
      sym_field_declaration_list,
  [282724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(2306), 1,
      sym_field_declaration_list,
  [282734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    STATE(4459), 1,
      sym_field_declaration_list,
  [282744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2695), 1,
      sym_template_argument_list,
  [282754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9246), 1,
      anon_sym_LBRACE,
    STATE(3811), 1,
      sym_compound_statement,
  [282764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(621), 1,
      sym_compound_statement,
  [282774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
  [282784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(3015), 1,
      sym_field_declaration_list,
  [282794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    STATE(3168), 1,
      sym_compound_statement,
  [282804] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13152), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13154), 1,
      sym_preproc_arg,
  [282814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13156), 1,
      anon_sym_LT,
    STATE(1801), 1,
      sym_template_argument_list,
  [282824] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13158), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13160), 1,
      sym_preproc_arg,
  [282834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 1,
      anon_sym_LT,
    STATE(3589), 1,
      sym_template_argument_list,
  [282844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LT,
    STATE(2276), 1,
      sym_template_argument_list,
  [282854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [282862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LPAREN2,
    STATE(7517), 1,
      sym_parameter_list,
  [282872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(211), 1,
      sym_condition_clause,
  [282882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    STATE(4184), 1,
      sym_compound_statement,
  [282892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13162), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(2051), 1,
      sym_compound_statement,
  [282910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(2947), 1,
      sym_field_declaration_list,
  [282920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    STATE(3026), 1,
      sym_field_declaration_list,
  [282930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10971), 1,
      anon_sym_RBRACE,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [282940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      anon_sym_LBRACE,
    STATE(3439), 1,
      sym_compound_statement,
  [282950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [282958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(3168), 1,
      sym_compound_statement,
  [282968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13164), 1,
      anon_sym_LPAREN2,
    ACTIONS(13166), 1,
      sym_raw_string_delimiter,
  [282978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_compound_statement,
  [282988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACE,
    STATE(712), 1,
      sym_declaration_list,
  [282998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_LBRACE,
    STATE(2271), 1,
      sym_field_declaration_list,
  [283008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LPAREN2,
    STATE(7536), 1,
      sym_parenthesized_expression,
  [283018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_field_declaration_list,
  [283028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13168), 1,
      anon_sym_RBRACE,
  [283038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_compound_statement,
  [283048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13170), 1,
      sym_identifier,
    STATE(1730), 1,
      sym_template_type,
  [283058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(3603), 1,
      sym_field_declaration_list,
  [283068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(3604), 1,
      sym_field_declaration_list,
  [283078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 1,
      anon_sym_LBRACE,
    STATE(3606), 1,
      sym_field_declaration_list,
  [283088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_LBRACE,
    STATE(2553), 1,
      sym_field_declaration_list,
  [283098] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13172), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13174), 1,
      sym_preproc_arg,
  [283108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(1560), 1,
      sym_template_argument_list,
  [283118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13176), 1,
      sym_identifier,
    STATE(2176), 1,
      sym_template_type,
  [283128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9661), 1,
      anon_sym_LBRACE,
    STATE(3567), 1,
      sym_requirement_seq,
  [283138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12332), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [283146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13178), 1,
      anon_sym_RBRACE,
  [283156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7192), 1,
      sym_attribute,
  [283166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    STATE(4816), 1,
      sym_field_declaration_list,
  [283176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACE,
    STATE(1891), 1,
      sym_compound_statement,
  [283186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_compound_statement,
  [283196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(2387), 1,
      sym_compound_statement,
  [283206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(7543), 1,
      sym_condition_clause,
  [283216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9246), 1,
      anon_sym_LBRACE,
    STATE(3840), 1,
      sym_compound_statement,
  [283226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      sym_identifier,
    STATE(7375), 1,
      sym_attribute,
  [283236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(200), 1,
      sym_condition_clause,
  [283246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7294), 1,
      sym_compound_statement,
  [283256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    STATE(2818), 1,
      sym_field_declaration_list,
  [283266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7207), 1,
      sym_compound_statement,
  [283276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(265), 1,
      sym_compound_statement,
  [283286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [283296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_compound_statement,
  [283306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12375), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [283314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_declaration_list,
  [283324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6415), 1,
      anon_sym_LBRACE,
    STATE(2822), 1,
      sym_field_declaration_list,
  [283334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_declaration_list,
  [283344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13180), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
  [283354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [283362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(3273), 1,
      sym_compound_statement,
  [283372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_compound_statement,
  [283382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13182), 1,
      anon_sym_RBRACE,
  [283392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_LPAREN2,
    STATE(8596), 1,
      sym_argument_list,
  [283402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6975), 1,
      sym_compound_statement,
  [283412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13184), 1,
      anon_sym_RBRACE,
  [283422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13186), 1,
      anon_sym_LPAREN2,
    ACTIONS(13188), 1,
      sym_raw_string_delimiter,
  [283432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    STATE(4773), 1,
      sym_initializer_list,
  [283442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12994), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [283450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_LPAREN2,
    STATE(202), 1,
      sym_condition_clause,
  [283460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13190), 1,
      anon_sym_RBRACE,
  [283470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13192), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [283478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13194), 1,
      anon_sym_LPAREN2,
    ACTIONS(13196), 1,
      sym_raw_string_delimiter,
  [283488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 1,
      anon_sym_LBRACE,
    STATE(1679), 1,
      sym_compound_statement,
  [283498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_template_type,
  [283508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13198), 1,
      anon_sym_LPAREN2,
    ACTIONS(13200), 1,
      sym_raw_string_delimiter,
  [283518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13202), 1,
      anon_sym_LPAREN2,
    ACTIONS(13204), 1,
      sym_raw_string_delimiter,
  [283528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_LBRACE,
    STATE(2142), 1,
      sym_field_declaration_list,
  [283538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13206), 1,
      anon_sym_LPAREN2,
    ACTIONS(13208), 1,
      sym_raw_string_delimiter,
  [283548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13210), 1,
      anon_sym_LPAREN2,
    ACTIONS(13212), 1,
      sym_raw_string_delimiter,
  [283558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13214), 1,
      anon_sym_LPAREN2,
    ACTIONS(13216), 1,
      sym_raw_string_delimiter,
  [283568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13218), 1,
      anon_sym_LPAREN2,
    ACTIONS(13220), 1,
      sym_raw_string_delimiter,
  [283578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13222), 1,
      anon_sym_LPAREN2,
    ACTIONS(13224), 1,
      sym_raw_string_delimiter,
  [283588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7208), 1,
      sym_compound_statement,
  [283598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13226), 1,
      anon_sym_LPAREN2,
    ACTIONS(13228), 1,
      sym_raw_string_delimiter,
  [283608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13230), 1,
      anon_sym_LPAREN2,
    ACTIONS(13232), 1,
      sym_raw_string_delimiter,
  [283618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      anon_sym_LPAREN2,
    ACTIONS(13236), 1,
      sym_raw_string_delimiter,
  [283628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13238), 1,
      anon_sym_LPAREN2,
    ACTIONS(13240), 1,
      sym_raw_string_delimiter,
  [283638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13242), 1,
      anon_sym_LPAREN2,
    ACTIONS(13244), 1,
      sym_raw_string_delimiter,
  [283648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_compound_statement,
  [283658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13246), 1,
      anon_sym_LPAREN2,
    ACTIONS(13248), 1,
      sym_raw_string_delimiter,
  [283668] = 3,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13250), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13252), 1,
      sym_preproc_arg,
  [283678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    STATE(4469), 1,
      sym_field_declaration_list,
  [283688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13254), 1,
      anon_sym_LPAREN2,
  [283695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13256), 1,
      anon_sym_RPAREN,
  [283702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_DOT_DOT_DOT,
  [283709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_DQUOTE,
  [283716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13260), 1,
      sym_identifier,
  [283723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13262), 1,
      anon_sym_SEMI,
  [283730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13264), 1,
      sym_identifier,
  [283737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13266), 1,
      sym_identifier,
  [283744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13268), 1,
      anon_sym_SEMI,
  [283751] = 2,
    ACTIONS(5333), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9989), 1,
      sym_comment,
  [283758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13270), 1,
      anon_sym_RPAREN,
  [283765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13272), 1,
      anon_sym_RPAREN,
  [283772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13274), 1,
      anon_sym_SEMI,
  [283779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13276), 1,
      anon_sym_SEMI,
  [283786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13278), 1,
      sym_identifier,
  [283793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13280), 1,
      sym_identifier,
  [283800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13282), 1,
      anon_sym_RPAREN,
  [283807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13284), 1,
      anon_sym_RPAREN,
  [283814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13286), 1,
      sym_raw_string_delimiter,
  [283821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_CARET,
  [283828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8877), 1,
      anon_sym_SEMI,
  [283835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      anon_sym_SEMI,
  [283842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13292), 1,
      aux_sym_preproc_if_token2,
  [283849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13294), 1,
      anon_sym_RPAREN,
  [283856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11822), 1,
      anon_sym_SEMI,
  [283863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13296), 1,
      sym_auto,
  [283870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13298), 1,
      anon_sym_RPAREN,
  [283877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      anon_sym_COLON_COLON,
  [283884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_DOT_DOT_DOT,
  [283891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_SEMI,
  [283898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13302), 1,
      anon_sym_DQUOTE,
  [283905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13304), 1,
      anon_sym_RPAREN,
  [283912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13306), 1,
      anon_sym_RPAREN,
  [283919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13308), 1,
      anon_sym_RPAREN,
  [283926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_SEMI,
  [283933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_SEMI,
  [283940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13312), 1,
      anon_sym_SEMI,
  [283947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11905), 1,
      anon_sym_SEMI,
  [283954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      anon_sym_RPAREN,
  [283961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8565), 1,
      anon_sym_RBRACE,
  [283968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13316), 1,
      sym_auto,
  [283975] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13318), 1,
      aux_sym_preproc_include_token2,
  [283982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8853), 1,
      anon_sym_COLON,
  [283989] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13320), 1,
      aux_sym_preproc_include_token2,
  [283996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8831), 1,
      anon_sym_RPAREN,
  [284003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_AMP,
  [284010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13322), 1,
      anon_sym_RPAREN,
  [284017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8867), 1,
      anon_sym_COLON,
  [284024] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13324), 1,
      aux_sym_preproc_include_token2,
  [284031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13326), 1,
      aux_sym_preproc_if_token2,
  [284038] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13328), 1,
      aux_sym_preproc_include_token2,
  [284045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13330), 1,
      aux_sym_preproc_if_token2,
  [284052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13332), 1,
      anon_sym_COLON,
  [284059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13334), 1,
      anon_sym_SEMI,
  [284066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13336), 1,
      anon_sym_LPAREN2,
  [284073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13338), 1,
      aux_sym_preproc_if_token2,
  [284080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_EQ_EQ,
  [284087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13340), 1,
      aux_sym_preproc_if_token2,
  [284094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13342), 1,
      aux_sym_preproc_if_token2,
  [284101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13344), 1,
      anon_sym_RPAREN,
  [284108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13346), 1,
      anon_sym_RPAREN,
  [284115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13348), 1,
      anon_sym_LPAREN2,
  [284122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_BANG_EQ,
  [284129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13350), 1,
      anon_sym_RPAREN,
  [284136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13352), 1,
      sym_identifier,
  [284143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13354), 1,
      aux_sym_preproc_if_token2,
  [284150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13356), 1,
      anon_sym_RPAREN,
  [284157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13358), 1,
      sym_identifier,
  [284164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13360), 1,
      sym_identifier,
  [284171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13362), 1,
      anon_sym_RPAREN,
  [284178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13364), 1,
      aux_sym_preproc_if_token2,
  [284185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      anon_sym_RBRACE,
  [284192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13368), 1,
      anon_sym_SEMI,
  [284199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13370), 1,
      anon_sym_RPAREN,
  [284206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13372), 1,
      anon_sym_COLON,
  [284213] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13374), 1,
      aux_sym_preproc_include_token2,
  [284220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13376), 1,
      anon_sym_SEMI,
  [284227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13378), 1,
      sym_identifier,
  [284234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13380), 1,
      sym_raw_string_delimiter,
  [284241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13382), 1,
      anon_sym_RPAREN,
  [284248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13384), 1,
      anon_sym_LPAREN2,
  [284255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13386), 1,
      sym_auto,
  [284262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9068), 1,
      anon_sym_RPAREN,
  [284269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13388), 1,
      anon_sym_RPAREN,
  [284276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13390), 1,
      anon_sym_STAR,
  [284283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      sym_identifier,
  [284290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13394), 1,
      anon_sym_LBRACE,
  [284297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10950), 1,
      anon_sym_RBRACE,
  [284304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10981), 1,
      anon_sym_RBRACE,
  [284311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13396), 1,
      anon_sym_SEMI,
  [284318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13398), 1,
      anon_sym_RBRACE,
  [284325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13400), 1,
      aux_sym_preproc_if_token2,
  [284332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13182), 1,
      anon_sym_RBRACE,
  [284339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8939), 1,
      anon_sym_RPAREN,
  [284346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13402), 1,
      anon_sym_RPAREN,
  [284353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 1,
      anon_sym_SEMI,
  [284360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8745), 1,
      anon_sym_RBRACE,
  [284367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13404), 1,
      anon_sym_RPAREN,
  [284374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13406), 1,
      anon_sym_RPAREN,
  [284381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13408), 1,
      anon_sym_LPAREN2,
  [284388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13410), 1,
      anon_sym_SEMI,
  [284395] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13412), 1,
      aux_sym_preproc_include_token2,
  [284402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13414), 1,
      anon_sym_SEMI,
  [284409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13416), 1,
      sym_identifier,
  [284416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13418), 1,
      anon_sym_SEMI,
  [284423] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12411), 1,
      aux_sym_preproc_include_token2,
  [284430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13420), 1,
      anon_sym_LPAREN2,
  [284437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13422), 1,
      anon_sym_RPAREN,
  [284444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13424), 1,
      anon_sym_LPAREN2,
  [284451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13426), 1,
      anon_sym_SEMI,
  [284458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13428), 1,
      sym_identifier,
  [284465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13430), 1,
      sym_auto,
  [284472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13432), 1,
      aux_sym_preproc_if_token2,
  [284479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13434), 1,
      aux_sym_preproc_if_token2,
  [284486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13436), 1,
      anon_sym_RPAREN,
  [284493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13438), 1,
      anon_sym_RPAREN,
  [284500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13440), 1,
      sym_identifier,
  [284507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13442), 1,
      sym_identifier,
  [284514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13444), 1,
      ts_builtin_sym_end,
  [284521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13446), 1,
      anon_sym_RPAREN,
  [284528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13448), 1,
      anon_sym_RPAREN,
  [284535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13450), 1,
      anon_sym_RPAREN,
  [284542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13452), 1,
      anon_sym_RPAREN,
  [284549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13454), 1,
      anon_sym_RPAREN,
  [284556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11476), 1,
      anon_sym_COMMA,
  [284563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13456), 1,
      sym_identifier,
  [284570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13458), 1,
      anon_sym_RPAREN,
  [284577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13460), 1,
      anon_sym_RPAREN,
  [284584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13462), 1,
      anon_sym_RPAREN,
  [284591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13464), 1,
      anon_sym_RPAREN,
  [284598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13072), 1,
      anon_sym_RBRACE,
  [284605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13466), 1,
      anon_sym_RPAREN,
  [284612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13468), 1,
      aux_sym_preproc_if_token2,
  [284619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13470), 1,
      sym_identifier,
  [284626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13472), 1,
      anon_sym_SEMI,
  [284633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      anon_sym_SEMI,
  [284640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13474), 1,
      anon_sym_SEMI,
  [284647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13476), 1,
      anon_sym_SEMI,
  [284654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_not_eq,
  [284661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13478), 1,
      anon_sym_RPAREN,
  [284668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      sym_raw_string_delimiter,
  [284675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13482), 1,
      anon_sym_RBRACE,
  [284682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13484), 1,
      anon_sym_DQUOTE,
  [284689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13486), 1,
      anon_sym_RPAREN,
  [284696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13488), 1,
      aux_sym_preproc_if_token2,
  [284703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_DQUOTE,
  [284710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7763), 1,
      sym_identifier,
  [284717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13492), 1,
      anon_sym_DOT_DOT_DOT,
  [284724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_SEMI,
  [284731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      anon_sym_STAR,
  [284738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      aux_sym_preproc_if_token2,
  [284745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8829), 1,
      anon_sym_COLON,
  [284752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      aux_sym_preproc_if_token2,
  [284759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      aux_sym_preproc_if_token2,
  [284766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_SEMI,
  [284773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_GT,
  [284780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      sym_identifier,
  [284787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_DQUOTE,
  [284794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      anon_sym_SEMI,
  [284801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_SEMI,
  [284808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      aux_sym_preproc_if_token2,
  [284815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      sym_identifier,
  [284822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11991), 1,
      anon_sym_SEMI,
  [284829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      aux_sym_preproc_if_token2,
  [284836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_STAR,
  [284843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      sym_identifier,
  [284850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      aux_sym_preproc_if_token2,
  [284857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      anon_sym_STAR,
  [284864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      aux_sym_preproc_if_token2,
  [284871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_GT_EQ,
  [284878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8885), 1,
      anon_sym_COLON,
  [284885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_RBRACK,
  [284892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11526), 1,
      anon_sym_LBRACE,
  [284899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      sym_identifier,
  [284906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      anon_sym_RPAREN,
  [284913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_SEMI,
  [284920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_SEMI,
  [284927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      anon_sym_COLON,
  [284934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      anon_sym_RPAREN,
  [284941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      anon_sym_SEMI,
  [284948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      sym_auto,
  [284955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      anon_sym_SEMI,
  [284962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      anon_sym_LPAREN2,
  [284969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 1,
      anon_sym_DOT_DOT_DOT,
  [284976] = 2,
    ACTIONS(5352), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9989), 1,
      sym_comment,
  [284983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_SEMI,
  [284990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      sym_identifier,
  [284997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_SEMI,
  [285004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_RPAREN,
  [285011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      sym_identifier,
  [285018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      anon_sym_SEMI,
  [285025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      anon_sym_DQUOTE,
  [285032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      anon_sym_LBRACE,
  [285039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11401), 1,
      anon_sym_SEMI,
  [285046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      anon_sym_STAR,
  [285053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      anon_sym_RPAREN,
  [285060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      aux_sym_preproc_if_token2,
  [285067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      aux_sym_preproc_if_token2,
  [285074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9032), 1,
      anon_sym_RPAREN,
  [285081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_LPAREN2,
  [285088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      anon_sym_SEMI,
  [285095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      anon_sym_SEMI,
  [285102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      sym_identifier,
  [285109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      anon_sym_RBRACE,
  [285116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      sym_identifier,
  [285123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      anon_sym_STAR,
  [285130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      anon_sym_SEMI,
  [285137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_DQUOTE,
  [285144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      anon_sym_SEMI,
  [285151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      anon_sym_RPAREN,
  [285158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      anon_sym_RPAREN,
  [285165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      sym_raw_string_delimiter,
  [285172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8865), 1,
      anon_sym_SEMI,
  [285179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      sym_identifier,
  [285186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      anon_sym_SEMI,
  [285193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      anon_sym_SEMI,
  [285200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      anon_sym_SEMI,
  [285207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      anon_sym_RPAREN,
  [285214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      anon_sym_RPAREN,
  [285221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_SEMI,
  [285228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_STAR,
  [285235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_RBRACE,
  [285242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      anon_sym_SEMI,
  [285249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      anon_sym_SEMI,
  [285256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_SEMI,
  [285263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      aux_sym_preproc_if_token2,
  [285270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      anon_sym_SEMI,
  [285277] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13623), 1,
      aux_sym_preproc_include_token2,
  [285284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      anon_sym_RPAREN,
  [285291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8871), 1,
      anon_sym_RPAREN,
  [285298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_RPAREN,
  [285305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      sym_raw_string_delimiter,
  [285312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_DOT_DOT_DOT,
  [285319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_LBRACE,
  [285326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      anon_sym_LPAREN2,
  [285333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8741), 1,
      anon_sym_RBRACE,
  [285340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_LPAREN2,
  [285347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_SEMI,
  [285354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
  [285361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      anon_sym_DQUOTE,
  [285368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      sym_identifier,
  [285375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_RPAREN,
  [285382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      anon_sym_LPAREN2,
  [285389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_LT_EQ,
  [285396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      anon_sym_SEMI,
  [285403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      aux_sym_preproc_if_token2,
  [285410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_RPAREN,
  [285417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_DOT_DOT_DOT,
  [285424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4481), 1,
      anon_sym_DOT_DOT_DOT,
  [285431] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13653), 1,
      aux_sym_preproc_include_token2,
  [285438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_SEMI,
  [285445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13657), 1,
      anon_sym_RPAREN,
  [285452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13659), 1,
      anon_sym_RPAREN,
  [285459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13661), 1,
      anon_sym_SEMI,
  [285466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13663), 1,
      aux_sym_preproc_if_token2,
  [285473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13665), 1,
      sym_identifier,
  [285480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13667), 1,
      anon_sym_SEMI,
  [285487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13669), 1,
      anon_sym_SEMI,
  [285494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13671), 1,
      aux_sym_preproc_if_token2,
  [285501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13673), 1,
      anon_sym_RPAREN,
  [285508] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13675), 1,
      aux_sym_preproc_include_token2,
  [285515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13677), 1,
      anon_sym_RPAREN,
  [285522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13679), 1,
      sym_raw_string_delimiter,
  [285529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13681), 1,
      sym_identifier,
  [285536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13683), 1,
      sym_identifier,
  [285543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13685), 1,
      anon_sym_SEMI,
  [285550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13687), 1,
      anon_sym_DQUOTE,
  [285557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10954), 1,
      anon_sym_LBRACE,
  [285564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13689), 1,
      anon_sym_RPAREN,
  [285571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13691), 1,
      sym_identifier,
  [285578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13693), 1,
      anon_sym_RPAREN,
  [285585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13695), 1,
      anon_sym_STAR,
  [285592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9549), 1,
      anon_sym_LBRACE,
  [285599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13697), 1,
      anon_sym_SEMI,
  [285606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13699), 1,
      aux_sym_preproc_if_token2,
  [285613] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13701), 1,
      aux_sym_preproc_include_token2,
  [285620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13703), 1,
      aux_sym_preproc_if_token2,
  [285627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13705), 1,
      anon_sym_RPAREN,
  [285634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11339), 1,
      anon_sym_SEMI,
  [285641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10930), 1,
      anon_sym_RBRACE,
  [285648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_LT,
  [285655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8833), 1,
      anon_sym_SEMI,
  [285662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13707), 1,
      anon_sym_DQUOTE,
  [285669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      anon_sym_SEMI,
  [285676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_LPAREN2,
  [285683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      sym_identifier,
  [285690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      anon_sym_LPAREN2,
  [285697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8835), 1,
      anon_sym_SEMI,
  [285704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13717), 1,
      anon_sym_COLON,
  [285711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13719), 1,
      anon_sym_SEMI,
  [285718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13721), 1,
      anon_sym_EQ,
  [285725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13723), 1,
      anon_sym_SEMI,
  [285732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13725), 1,
      anon_sym_SEMI,
  [285739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13727), 1,
      anon_sym_RPAREN,
  [285746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13729), 1,
      anon_sym_SEMI,
  [285753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13731), 1,
      anon_sym_STAR,
  [285760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13733), 1,
      anon_sym_COMMA,
  [285767] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12736), 1,
      aux_sym_preproc_include_token2,
  [285774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13735), 1,
      anon_sym_LPAREN2,
  [285781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      anon_sym_EQ,
  [285788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8843), 1,
      anon_sym_COLON,
  [285795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13739), 1,
      anon_sym_LPAREN2,
  [285802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9058), 1,
      anon_sym_RPAREN,
  [285809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_LT_LT,
  [285816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13741), 1,
      sym_identifier,
  [285823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13743), 1,
      anon_sym_RPAREN,
  [285830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13745), 1,
      sym_raw_string_delimiter,
  [285837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8841), 1,
      anon_sym_SEMI,
  [285844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10971), 1,
      anon_sym_RBRACE,
  [285851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_SEMI,
  [285858] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13749), 1,
      aux_sym_preproc_include_token2,
  [285865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 1,
      anon_sym_DOT_DOT_DOT,
  [285872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13751), 1,
      anon_sym_SEMI,
  [285879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13753), 1,
      anon_sym_SEMI,
  [285886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13755), 1,
      anon_sym_LPAREN2,
  [285893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11391), 1,
      anon_sym_SEMI,
  [285900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13757), 1,
      anon_sym_SEMI,
  [285907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13759), 1,
      anon_sym_COLON,
  [285914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13761), 1,
      anon_sym_RPAREN,
  [285921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13763), 1,
      anon_sym_SEMI,
  [285928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13765), 1,
      sym_identifier,
  [285935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13767), 1,
      sym_raw_string_delimiter,
  [285942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13769), 1,
      sym_identifier,
  [285949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13771), 1,
      anon_sym_RPAREN,
  [285956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13773), 1,
      anon_sym_RPAREN,
  [285963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11043), 1,
      anon_sym_LBRACE,
  [285970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13775), 1,
      anon_sym_RPAREN,
  [285977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13777), 1,
      anon_sym_LPAREN2,
  [285984] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13779), 1,
      aux_sym_preproc_include_token2,
  [285991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9072), 1,
      anon_sym_RPAREN,
  [285998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13781), 1,
      anon_sym_RPAREN,
  [286005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13783), 1,
      anon_sym_SEMI,
  [286012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13785), 1,
      sym_raw_string_delimiter,
  [286019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13787), 1,
      anon_sym_SEMI,
  [286026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8805), 1,
      anon_sym_COLON,
  [286033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13789), 1,
      anon_sym_RPAREN,
  [286040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13791), 1,
      anon_sym_SEMI,
  [286047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13793), 1,
      anon_sym_LPAREN2,
  [286054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13795), 1,
      anon_sym_RPAREN,
  [286061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13797), 1,
      sym_raw_string_delimiter,
  [286068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13799), 1,
      anon_sym_DQUOTE,
  [286075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8873), 1,
      anon_sym_RPAREN,
  [286082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13801), 1,
      anon_sym_RPAREN,
  [286089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13803), 1,
      sym_raw_string_delimiter,
  [286096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13805), 1,
      anon_sym_SEMI,
  [286103] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10288), 1,
      aux_sym_preproc_include_token2,
  [286110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13807), 1,
      anon_sym_RPAREN,
  [286117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      sym_raw_string_delimiter,
  [286124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13811), 1,
      anon_sym_RPAREN,
  [286131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13813), 1,
      sym_raw_string_delimiter,
  [286138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13815), 1,
      anon_sym_RPAREN,
  [286145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13817), 1,
      sym_raw_string_delimiter,
  [286152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13819), 1,
      anon_sym_RPAREN,
  [286159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13821), 1,
      sym_raw_string_delimiter,
  [286166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13823), 1,
      anon_sym_RPAREN,
  [286173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13825), 1,
      sym_raw_string_delimiter,
  [286180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13827), 1,
      anon_sym_RPAREN,
  [286187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13829), 1,
      sym_raw_string_delimiter,
  [286194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13831), 1,
      anon_sym_RPAREN,
  [286201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13833), 1,
      anon_sym_DQUOTE,
  [286208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13835), 1,
      anon_sym_DQUOTE,
  [286215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13837), 1,
      anon_sym_LPAREN2,
  [286222] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10250), 1,
      aux_sym_preproc_include_token2,
  [286229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13839), 1,
      anon_sym_LPAREN2,
  [286236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13841), 1,
      anon_sym_LPAREN2,
  [286243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13843), 1,
      anon_sym_LPAREN2,
  [286250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13845), 1,
      anon_sym_RPAREN,
  [286257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13847), 1,
      anon_sym_RPAREN,
  [286264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13849), 1,
      anon_sym_LPAREN2,
  [286271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13851), 1,
      anon_sym_RPAREN,
  [286278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13853), 1,
      anon_sym_LPAREN2,
  [286285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13855), 1,
      anon_sym_RPAREN,
  [286292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_COLON_COLON,
  [286299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13857), 1,
      anon_sym_RPAREN,
  [286306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13859), 1,
      anon_sym_RPAREN,
  [286313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7162), 1,
      anon_sym_RPAREN,
  [286320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_DOT_DOT_DOT,
  [286327] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13861), 1,
      aux_sym_preproc_include_token2,
  [286334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13150), 1,
      anon_sym_RBRACE,
  [286341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13863), 1,
      aux_sym_preproc_if_token2,
  [286348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13865), 1,
      sym_identifier,
  [286355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13867), 1,
      anon_sym_LPAREN2,
  [286362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_DOT_DOT_DOT,
  [286369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13869), 1,
      sym_identifier,
  [286376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13871), 1,
      anon_sym_RPAREN,
  [286383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13873), 1,
      sym_identifier,
  [286390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13875), 1,
      anon_sym_while,
  [286397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_SEMI,
  [286404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13879), 1,
      anon_sym_LPAREN2,
  [286411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13881), 1,
      aux_sym_preproc_if_token2,
  [286418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13883), 1,
      sym_auto,
  [286425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13885), 1,
      anon_sym_RPAREN,
  [286432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9046), 1,
      anon_sym_RPAREN,
  [286439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13887), 1,
      anon_sym_SEMI,
  [286446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13889), 1,
      anon_sym_EQ,
  [286453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13891), 1,
      sym_raw_string_content,
  [286460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8875), 1,
      anon_sym_COLON,
  [286467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13893), 1,
      anon_sym_RPAREN,
  [286474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13895), 1,
      anon_sym_RPAREN,
  [286481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13897), 1,
      anon_sym_STAR,
  [286488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13899), 1,
      anon_sym_SEMI,
  [286495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13901), 1,
      anon_sym_SEMI,
  [286502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12398), 1,
      anon_sym_RPAREN,
  [286509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13903), 1,
      anon_sym_RPAREN,
  [286516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8857), 1,
      anon_sym_SEMI,
  [286523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13905), 1,
      anon_sym_RPAREN,
  [286530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_GT_GT,
  [286537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13907), 1,
      anon_sym_RPAREN,
  [286544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8917), 1,
      anon_sym_RPAREN,
  [286551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13909), 1,
      sym_identifier,
  [286558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13911), 1,
      anon_sym_RPAREN,
  [286565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13913), 1,
      anon_sym_COMMA,
  [286572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10985), 1,
      anon_sym_RBRACE,
  [286579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_EQ,
  [286586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13915), 1,
      anon_sym_COLON,
  [286593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13917), 1,
      anon_sym_RPAREN,
  [286600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_DOT_DOT_DOT,
  [286607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13919), 1,
      anon_sym_SEMI,
  [286614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13921), 1,
      anon_sym_SEMI,
  [286621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_RPAREN,
  [286628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8919), 1,
      anon_sym_COLON,
  [286635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_COMMA,
  [286642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13923), 1,
      anon_sym_SEMI,
  [286649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13925), 1,
      anon_sym_RPAREN,
  [286656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13927), 1,
      anon_sym_COLON,
  [286663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      anon_sym_RPAREN,
  [286670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13929), 1,
      anon_sym_SEMI,
  [286677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9107), 1,
      anon_sym_RPAREN,
  [286684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13931), 1,
      anon_sym_RPAREN,
  [286691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_RPAREN,
  [286698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8923), 1,
      anon_sym_RPAREN,
  [286705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8859), 1,
      anon_sym_SEMI,
  [286712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13933), 1,
      anon_sym_RPAREN,
  [286719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13935), 1,
      anon_sym_SEMI,
  [286726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_STAR_EQ,
  [286733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_DOT_STAR,
  [286740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_SEMI,
  [286747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13937), 1,
      anon_sym_STAR,
  [286754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13939), 1,
      anon_sym_RPAREN,
  [286761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13941), 1,
      anon_sym_DQUOTE,
  [286768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13943), 1,
      anon_sym_COLON,
  [286775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13945), 1,
      sym_identifier,
  [286782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_RBRACK,
  [286789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13949), 1,
      anon_sym_DQUOTE,
  [286796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13951), 1,
      anon_sym_SEMI,
  [286803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7685), 1,
      sym_identifier,
  [286810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13953), 1,
      anon_sym_RPAREN,
  [286817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13048), 1,
      anon_sym_RBRACE,
  [286824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13955), 1,
      anon_sym_DQUOTE,
  [286831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_SLASH_EQ,
  [286838] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12469), 1,
      aux_sym_preproc_include_token2,
  [286845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13957), 1,
      anon_sym_RPAREN,
  [286852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11395), 1,
      anon_sym_SEMI,
  [286859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_PERCENT_EQ,
  [286866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
  [286873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11546), 1,
      anon_sym_LBRACE,
  [286880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13961), 1,
      sym_identifier,
  [286887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13963), 1,
      anon_sym_RPAREN,
  [286894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13965), 1,
      anon_sym_RPAREN,
  [286901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7367), 1,
      sym_identifier,
  [286908] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13967), 1,
      aux_sym_preproc_include_token2,
  [286915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13969), 1,
      anon_sym_SEMI,
  [286922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13971), 1,
      anon_sym_DQUOTE,
  [286929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_DASH_GT_STAR,
  [286936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13973), 1,
      aux_sym_preproc_if_token2,
  [286943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13975), 1,
      anon_sym_RPAREN,
  [286950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13977), 1,
      anon_sym_RPAREN,
  [286957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13979), 1,
      anon_sym_RPAREN,
  [286964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13981), 1,
      anon_sym_LPAREN2,
  [286971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13983), 1,
      anon_sym_RPAREN,
  [286978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_DASH,
  [286985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13985), 1,
      aux_sym_preproc_if_token2,
  [286992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13190), 1,
      anon_sym_RBRACE,
  [286999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13987), 1,
      anon_sym_RPAREN,
  [287006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13989), 1,
      aux_sym_preproc_if_token2,
  [287013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13991), 1,
      aux_sym_preproc_if_token2,
  [287020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13993), 1,
      anon_sym_RPAREN,
  [287027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_PLUS,
  [287034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13995), 1,
      sym_identifier,
  [287041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11343), 1,
      anon_sym_LBRACE,
  [287048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13997), 1,
      anon_sym_LPAREN2,
  [287055] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(13999), 1,
      aux_sym_preproc_include_token2,
  [287062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14001), 1,
      anon_sym_RPAREN,
  [287069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14003), 1,
      anon_sym_SEMI,
  [287076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_COLON,
  [287083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_SEMI,
  [287090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14005), 1,
      anon_sym_DQUOTE,
  [287097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14007), 1,
      anon_sym_RPAREN,
  [287104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14009), 1,
      sym_identifier,
  [287111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11909), 1,
      anon_sym_SEMI,
  [287118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14011), 1,
      anon_sym_DQUOTE,
  [287125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14013), 1,
      anon_sym_DQUOTE,
  [287132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14015), 1,
      anon_sym_SEMI,
  [287139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14017), 1,
      anon_sym_RPAREN,
  [287146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14019), 1,
      anon_sym_RPAREN,
  [287153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14021), 1,
      anon_sym_SEMI,
  [287160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14023), 1,
      anon_sym_RPAREN,
  [287167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14025), 1,
      sym_identifier,
  [287174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14027), 1,
      anon_sym_SEMI,
  [287181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14029), 1,
      anon_sym_SEMI,
  [287188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_bitand,
  [287195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11345), 1,
      anon_sym_LBRACE,
  [287202] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(14031), 1,
      aux_sym_preproc_include_token2,
  [287209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14033), 1,
      anon_sym_RPAREN,
  [287216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8847), 1,
      anon_sym_SEMI,
  [287223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14035), 1,
      anon_sym_RPAREN,
  [287230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14037), 1,
      anon_sym_SEMI,
  [287237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14039), 1,
      anon_sym_RPAREN,
  [287244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_SEMI,
  [287251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_PLUS_EQ,
  [287258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14041), 1,
      anon_sym_RPAREN,
  [287265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14043), 1,
      anon_sym_SEMI,
  [287272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8970), 1,
      anon_sym_RPAREN,
  [287279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8689), 1,
      anon_sym_RBRACE,
  [287286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_SEMI,
  [287293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14045), 1,
      anon_sym_SEMI,
  [287300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14047), 1,
      anon_sym_SEMI,
  [287307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14049), 1,
      anon_sym_SEMI,
  [287314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      anon_sym_LBRACE,
  [287321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9020), 1,
      anon_sym_RPAREN,
  [287328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8757), 1,
      anon_sym_RBRACE,
  [287335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14051), 1,
      anon_sym_SEMI,
  [287342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14053), 1,
      anon_sym_SEMI,
  [287349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14055), 1,
      sym_auto,
  [287356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10940), 1,
      anon_sym_RBRACE,
  [287363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10987), 1,
      anon_sym_RBRACE,
  [287370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8823), 1,
      anon_sym_SEMI,
  [287377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14057), 1,
      anon_sym_DQUOTE,
  [287384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10952), 1,
      anon_sym_LBRACE,
  [287391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14059), 1,
      anon_sym_DQUOTE,
  [287398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14061), 1,
      anon_sym_DQUOTE,
  [287405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14063), 1,
      anon_sym_DQUOTE,
  [287412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14065), 1,
      aux_sym_preproc_if_token2,
  [287419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8929), 1,
      anon_sym_COLON,
  [287426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14067), 1,
      anon_sym_RPAREN,
  [287433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14069), 1,
      anon_sym_RPAREN,
  [287440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14071), 1,
      anon_sym_LBRACE,
  [287447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8849), 1,
      anon_sym_SEMI,
  [287454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14073), 1,
      anon_sym_RPAREN,
  [287461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14075), 1,
      anon_sym_STAR,
  [287468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_DASH_EQ,
  [287475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11405), 1,
      anon_sym_LBRACE,
  [287482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14077), 1,
      anon_sym_SEMI,
  [287489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14079), 1,
      anon_sym_RPAREN,
  [287496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14081), 1,
      anon_sym_SEMI,
  [287503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14083), 1,
      aux_sym_preproc_if_token2,
  [287510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11314), 1,
      anon_sym_SEMI,
  [287517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14085), 1,
      sym_identifier,
  [287524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14087), 1,
      anon_sym_RPAREN,
  [287531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14089), 1,
      anon_sym_RPAREN,
  [287538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14091), 1,
      anon_sym_RPAREN,
  [287545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8735), 1,
      anon_sym_SEMI,
  [287552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_STAR,
  [287559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14093), 1,
      anon_sym_COLON,
  [287566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14095), 1,
      anon_sym_RPAREN,
  [287573] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(14097), 1,
      aux_sym_preproc_include_token2,
  [287580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14099), 1,
      sym_identifier,
  [287587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      sym_identifier,
  [287594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12073), 1,
      anon_sym_SEMI,
  [287601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14101), 1,
      aux_sym_preproc_if_token2,
  [287608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14103), 1,
      aux_sym_preproc_if_token2,
  [287615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14105), 1,
      aux_sym_preproc_if_token2,
  [287622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      anon_sym_LPAREN2,
  [287629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14109), 1,
      anon_sym_LPAREN2,
  [287636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14111), 1,
      anon_sym_LPAREN2,
  [287643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14113), 1,
      anon_sym_LPAREN2,
  [287650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14115), 1,
      anon_sym_RPAREN,
  [287657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14117), 1,
      anon_sym_LPAREN2,
  [287664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14119), 1,
      anon_sym_LPAREN2,
  [287671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14121), 1,
      anon_sym_RPAREN,
  [287678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13184), 1,
      anon_sym_RBRACE,
  [287685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14123), 1,
      anon_sym_RPAREN,
  [287692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14125), 1,
      anon_sym_LPAREN2,
  [287699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14127), 1,
      anon_sym_while,
  [287706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14129), 1,
      anon_sym_RPAREN,
  [287713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14131), 1,
      anon_sym_LPAREN2,
  [287720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14133), 1,
      sym_identifier,
  [287727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11438), 1,
      anon_sym_EQ,
  [287734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_LT_LT_EQ,
  [287741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14135), 1,
      anon_sym_EQ,
  [287748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14137), 1,
      sym_raw_string_content,
  [287755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14139), 1,
      anon_sym_STAR,
  [287762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14141), 1,
      anon_sym_SEMI,
  [287769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14143), 1,
      anon_sym_RPAREN,
  [287776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14145), 1,
      anon_sym_COMMA,
  [287783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11349), 1,
      anon_sym_SEMI,
  [287790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14147), 1,
      anon_sym_DQUOTE,
  [287797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14149), 1,
      anon_sym_SEMI,
  [287804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14151), 1,
      anon_sym_RPAREN,
  [287811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14153), 1,
      anon_sym_COLON,
  [287818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14155), 1,
      anon_sym_SEMI,
  [287825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14157), 1,
      anon_sym_SLASH,
  [287832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14159), 1,
      anon_sym_LPAREN2,
  [287839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14161), 1,
      anon_sym_LPAREN2,
  [287846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14163), 1,
      anon_sym_LPAREN2,
  [287853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14165), 1,
      anon_sym_DQUOTE,
  [287860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14167), 1,
      anon_sym_LPAREN2,
  [287867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14169), 1,
      anon_sym_RPAREN,
  [287874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14171), 1,
      anon_sym_LPAREN2,
  [287881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14173), 1,
      anon_sym_while,
  [287888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14175), 1,
      anon_sym_RBRACE,
  [287895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14177), 1,
      anon_sym_LPAREN2,
  [287902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14179), 1,
      anon_sym_RPAREN,
  [287909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14181), 1,
      anon_sym_SEMI,
  [287916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14183), 1,
      anon_sym_EQ,
  [287923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14185), 1,
      sym_raw_string_content,
  [287930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14187), 1,
      anon_sym_COMMA,
  [287937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14189), 1,
      anon_sym_SEMI,
  [287944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14191), 1,
      sym_auto,
  [287951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14193), 1,
      sym_auto,
  [287958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14195), 1,
      anon_sym_RPAREN,
  [287965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14197), 1,
      anon_sym_COLON,
  [287972] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10089), 1,
      aux_sym_preproc_include_token2,
  [287979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14199), 1,
      anon_sym_LPAREN2,
  [287986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14201), 1,
      anon_sym_LPAREN2,
  [287993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14203), 1,
      anon_sym_LPAREN2,
  [288000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14205), 1,
      anon_sym_while,
  [288007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14207), 1,
      anon_sym_LPAREN2,
  [288014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8863), 1,
      anon_sym_COLON,
  [288021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14209), 1,
      aux_sym_preproc_if_token2,
  [288028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14211), 1,
      anon_sym_while,
  [288035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14213), 1,
      anon_sym_LPAREN2,
  [288042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14215), 1,
      sym_identifier,
  [288049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14217), 1,
      sym_identifier,
  [288056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14219), 1,
      anon_sym_EQ,
  [288063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14221), 1,
      sym_raw_string_content,
  [288070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14223), 1,
      anon_sym_COMMA,
  [288077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14225), 1,
      sym_identifier,
  [288084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11816), 1,
      anon_sym_SEMI,
  [288091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13054), 1,
      anon_sym_RBRACE,
  [288098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14227), 1,
      anon_sym_RPAREN,
  [288105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14229), 1,
      anon_sym_COLON,
  [288112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_PERCENT,
  [288119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14231), 1,
      anon_sym_LPAREN2,
  [288126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14233), 1,
      anon_sym_LPAREN2,
  [288133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14235), 1,
      anon_sym_LPAREN2,
  [288140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14237), 1,
      anon_sym_RPAREN,
  [288147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14239), 1,
      anon_sym_LPAREN2,
  [288154] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(14241), 1,
      aux_sym_preproc_include_token2,
  [288161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14243), 1,
      sym_identifier,
  [288168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14245), 1,
      anon_sym_LPAREN2,
  [288175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14247), 1,
      anon_sym_RPAREN,
  [288182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14249), 1,
      anon_sym_LBRACE,
  [288189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14251), 1,
      anon_sym_EQ,
  [288196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14253), 1,
      sym_raw_string_content,
  [288203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14255), 1,
      anon_sym_COMMA,
  [288210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14257), 1,
      anon_sym_STAR,
  [288217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14259), 1,
      anon_sym_COLON,
  [288224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14261), 1,
      sym_this,
  [288231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14263), 1,
      anon_sym_RPAREN,
  [288238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14265), 1,
      anon_sym_COLON,
  [288245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_PIPE_PIPE,
  [288252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14267), 1,
      anon_sym_LPAREN2,
  [288259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14269), 1,
      anon_sym_LPAREN2,
  [288266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9062), 1,
      anon_sym_RPAREN,
  [288273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14271), 1,
      anon_sym_LPAREN2,
  [288280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14273), 1,
      anon_sym_SEMI,
  [288287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14275), 1,
      sym_identifier,
  [288294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14277), 1,
      sym_identifier,
  [288301] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(14279), 1,
      aux_sym_preproc_include_token2,
  [288308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_EQ,
  [288315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14283), 1,
      sym_raw_string_content,
  [288322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10993), 1,
      anon_sym_RBRACE,
  [288329] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(10318), 1,
      aux_sym_preproc_include_token2,
  [288336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14285), 1,
      sym_raw_string_content,
  [288343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14287), 1,
      anon_sym_RPAREN,
  [288350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14289), 1,
      aux_sym_preproc_if_token2,
  [288357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14291), 1,
      anon_sym_LPAREN2,
  [288364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14293), 1,
      anon_sym_LPAREN2,
  [288371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14295), 1,
      anon_sym_LPAREN2,
  [288378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14297), 1,
      anon_sym_DQUOTE,
  [288385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14299), 1,
      sym_raw_string_content,
  [288392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14301), 1,
      anon_sym_DQUOTE,
  [288399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14303), 1,
      sym_identifier,
  [288406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14305), 1,
      anon_sym_RPAREN,
  [288413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14307), 1,
      anon_sym_RBRACE,
  [288420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14309), 1,
      anon_sym_LPAREN2,
  [288427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14311), 1,
      anon_sym_LPAREN2,
  [288434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14313), 1,
      anon_sym_LPAREN2,
  [288441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14315), 1,
      aux_sym_preproc_if_token2,
  [288448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14317), 1,
      sym_raw_string_content,
  [288455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14319), 1,
      anon_sym_RPAREN,
  [288462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14321), 1,
      anon_sym_RPAREN,
  [288469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14323), 1,
      anon_sym_LPAREN2,
  [288476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14325), 1,
      anon_sym_LPAREN2,
  [288483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14327), 1,
      anon_sym_LPAREN2,
  [288490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14329), 1,
      sym_raw_string_content,
  [288497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14331), 1,
      anon_sym_RPAREN,
  [288504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14333), 1,
      anon_sym_LPAREN2,
  [288511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14335), 1,
      sym_raw_string_content,
  [288518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14337), 1,
      anon_sym_RPAREN,
  [288525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14339), 1,
      anon_sym_LPAREN2,
  [288532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14341), 1,
      sym_raw_string_content,
  [288539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14343), 1,
      anon_sym_RPAREN,
  [288546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14345), 1,
      sym_raw_string_content,
  [288553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14347), 1,
      anon_sym_RPAREN,
  [288560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14349), 1,
      sym_raw_string_content,
  [288567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14351), 1,
      anon_sym_RPAREN,
  [288574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14353), 1,
      sym_raw_string_content,
  [288581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14355), 1,
      anon_sym_RPAREN,
  [288588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14357), 1,
      sym_raw_string_content,
  [288595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_RPAREN,
  [288602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14361), 1,
      sym_raw_string_content,
  [288609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14363), 1,
      anon_sym_RPAREN,
  [288616] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(14365), 1,
      aux_sym_preproc_include_token2,
  [288623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14367), 1,
      anon_sym_LBRACE,
  [288630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14369), 1,
      anon_sym_LPAREN2,
  [288637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14371), 1,
      anon_sym_LPAREN2,
  [288644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14373), 1,
      sym_identifier,
  [288651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14375), 1,
      sym_identifier,
  [288658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14377), 1,
      anon_sym_SEMI,
  [288665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14379), 1,
      aux_sym_preproc_if_token2,
  [288672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14381), 1,
      anon_sym_RPAREN,
  [288679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14383), 1,
      anon_sym_SEMI,
  [288686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4547), 1,
      anon_sym_DOT_DOT_DOT,
  [288693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8827), 1,
      anon_sym_SEMI,
  [288700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14385), 1,
      aux_sym_preproc_if_token2,
  [288707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13168), 1,
      anon_sym_RBRACE,
  [288714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14387), 1,
      aux_sym_preproc_if_token2,
  [288721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14389), 1,
      anon_sym_STAR,
  [288728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14391), 1,
      anon_sym_SEMI,
  [288735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14393), 1,
      anon_sym_RPAREN,
  [288742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_AMP_AMP,
  [288749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14395), 1,
      anon_sym_RPAREN,
  [288756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14397), 1,
      sym_identifier,
  [288763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14399), 1,
      sym_raw_string_content,
  [288770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14401), 1,
      anon_sym_RPAREN,
  [288777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_GT_GT_EQ,
  [288784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_SEMI,
  [288791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14403), 1,
      aux_sym_preproc_if_token2,
  [288798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_PIPE,
  [288805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14405), 1,
      anon_sym_SEMI,
  [288812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14407), 1,
      anon_sym_RPAREN,
  [288819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14409), 1,
      anon_sym_RBRACE,
  [288826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14411), 1,
      aux_sym_preproc_if_token2,
  [288833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14413), 1,
      sym_identifier,
  [288840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14415), 1,
      anon_sym_SEMI,
  [288847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14417), 1,
      sym_identifier,
  [288854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14419), 1,
      aux_sym_preproc_if_token2,
  [288861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14421), 1,
      sym_identifier,
  [288868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14423), 1,
      aux_sym_preproc_if_token2,
  [288875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14425), 1,
      sym_auto,
  [288882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14427), 1,
      anon_sym_RPAREN,
  [288889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14429), 1,
      anon_sym_SEMI,
  [288896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14431), 1,
      anon_sym_SEMI,
  [288903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14433), 1,
      anon_sym_SEMI,
  [288910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14435), 1,
      anon_sym_DQUOTE,
  [288917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14437), 1,
      anon_sym_RPAREN,
  [288924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14439), 1,
      anon_sym_RPAREN,
  [288931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12972), 1,
      anon_sym_LBRACE,
  [288938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14441), 1,
      anon_sym_RPAREN,
  [288945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_AMP_EQ,
  [288952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14443), 1,
      anon_sym_RPAREN,
  [288959] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(14445), 1,
      aux_sym_preproc_include_token2,
  [288966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_CARET_EQ,
  [288973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 1,
      anon_sym_RPAREN,
  [288980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8825), 1,
      anon_sym_SEMI,
  [288987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8925), 1,
      anon_sym_COLON,
  [288994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14447), 1,
      anon_sym_SEMI,
  [289001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14449), 1,
      anon_sym_RPAREN,
  [289008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14451), 1,
      anon_sym_LPAREN2,
  [289015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14453), 1,
      anon_sym_DQUOTE,
  [289022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 1,
      sym_identifier,
  [289029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14455), 1,
      anon_sym_RPAREN,
  [289036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14457), 1,
      anon_sym_SEMI,
  [289043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_SEMI,
  [289050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14459), 1,
      anon_sym_STAR,
  [289057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14461), 1,
      anon_sym_RPAREN,
  [289064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14463), 1,
      anon_sym_SEMI,
  [289071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13178), 1,
      anon_sym_RBRACE,
  [289078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14465), 1,
      anon_sym_SEMI,
  [289085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14467), 1,
      aux_sym_preproc_if_token2,
  [289092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14469), 1,
      anon_sym_SEMI,
  [289099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14471), 1,
      anon_sym_LPAREN2,
  [289106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14473), 1,
      anon_sym_COLON,
  [289113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14475), 1,
      anon_sym_SEMI,
  [289120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14477), 1,
      anon_sym_SEMI,
  [289127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14479), 1,
      sym_identifier,
  [289134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8839), 1,
      anon_sym_SEMI,
  [289141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14481), 1,
      anon_sym_SEMI,
  [289148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14483), 1,
      anon_sym_SEMI,
  [289155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14485), 1,
      anon_sym_SEMI,
  [289162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_DOT_DOT_DOT,
  [289169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14487), 1,
      aux_sym_preproc_if_token2,
  [289176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14489), 1,
      anon_sym_SEMI,
  [289183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14491), 1,
      anon_sym_DQUOTE,
  [289190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14493), 1,
      anon_sym_SEMI,
  [289197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8927), 1,
      anon_sym_COLON,
  [289204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14495), 1,
      anon_sym_SEMI,
  [289211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9000), 1,
      anon_sym_RPAREN,
  [289218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14497), 1,
      anon_sym_LPAREN2,
  [289225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14499), 1,
      anon_sym_LPAREN2,
  [289232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14501), 1,
      sym_identifier,
  [289239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14503), 1,
      sym_identifier,
  [289246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8765), 1,
      anon_sym_RBRACE,
  [289253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_DOT_DOT_DOT,
  [289260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14505), 1,
      anon_sym_SEMI,
  [289267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14507), 1,
      sym_identifier,
  [289274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14509), 1,
      sym_raw_string_content,
  [289281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14511), 1,
      anon_sym_DQUOTE,
  [289288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_SEMI,
  [289295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14513), 1,
      anon_sym_RPAREN,
  [289302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14515), 1,
      anon_sym_RPAREN,
  [289309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14517), 1,
      anon_sym_LPAREN2,
  [289316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14519), 1,
      anon_sym_LPAREN2,
  [289323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14521), 1,
      sym_identifier,
  [289330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14523), 1,
      anon_sym_RPAREN,
  [289337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14525), 1,
      sym_identifier,
  [289344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14527), 1,
      sym_identifier,
  [289351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14529), 1,
      sym_raw_string_content,
  [289358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14531), 1,
      anon_sym_STAR,
  [289365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14533), 1,
      anon_sym_RPAREN,
  [289372] = 2,
    ACTIONS(9989), 1,
      sym_comment,
    ACTIONS(12904), 1,
      aux_sym_preproc_include_token2,
  [289379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14535), 1,
      anon_sym_LPAREN2,
  [289386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14537), 1,
      sym_identifier,
  [289393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_SEMI,
  [289400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_PIPE_EQ,
  [289407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14539), 1,
      sym_identifier,
  [289414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14541), 1,
      sym_raw_string_content,
  [289421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_or,
  [289428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8869), 1,
      anon_sym_RPAREN,
  [289435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14543), 1,
      anon_sym_LPAREN2,
  [289442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14545), 1,
      sym_identifier,
  [289449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14547), 1,
      anon_sym_SEMI,
  [289456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_and,
  [289463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14549), 1,
      sym_identifier,
  [289470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14551), 1,
      sym_raw_string_content,
  [289477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8972), 1,
      anon_sym_RPAREN,
  [289484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14553), 1,
      anon_sym_LPAREN2,
  [289491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14555), 1,
      sym_identifier,
  [289498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14557), 1,
      anon_sym_DQUOTE,
  [289505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14559), 1,
      sym_identifier,
  [289512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14561), 1,
      sym_raw_string_content,
  [289519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14563), 1,
      anon_sym_SEMI,
  [289526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14565), 1,
      sym_identifier,
  [289533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14567), 1,
      sym_raw_string_content,
  [289540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14569), 1,
      anon_sym_RPAREN,
  [289547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14571), 1,
      sym_raw_string_content,
  [289554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10916), 1,
      anon_sym_RBRACE,
  [289561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14573), 1,
      sym_raw_string_content,
  [289568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14575), 1,
      aux_sym_preproc_if_token2,
  [289575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14577), 1,
      sym_raw_string_content,
  [289582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14579), 1,
      anon_sym_RPAREN,
  [289589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14581), 1,
      sym_raw_string_content,
  [289596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 1,
      anon_sym_SEMI,
  [289603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14583), 1,
      sym_raw_string_content,
  [289610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14585), 1,
      anon_sym_RPAREN,
  [289617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14587), 1,
      sym_raw_string_content,
  [289624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14589), 1,
      anon_sym_SEMI,
  [289631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14591), 1,
      sym_raw_string_content,
  [289638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8897), 1,
      anon_sym_COLON,
  [289645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14593), 1,
      sym_raw_string_content,
  [289652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14595), 1,
      anon_sym_SEMI,
  [289659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14597), 1,
      sym_raw_string_content,
  [289666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14599), 1,
      anon_sym_LPAREN2,
  [289673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14601), 1,
      anon_sym_LPAREN2,
  [289680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_RPAREN,
  [289687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14603), 1,
      anon_sym_LPAREN2,
  [289694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14605), 1,
      anon_sym_LPAREN2,
  [289701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14607), 1,
      sym_raw_string_content,
  [289708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14609), 1,
      anon_sym_LPAREN2,
  [289715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14611), 1,
      anon_sym_LPAREN2,
  [289722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14613), 1,
      sym_identifier,
  [289729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14615), 1,
      anon_sym_LPAREN2,
  [289736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14617), 1,
      anon_sym_LPAREN2,
  [289743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
  [289750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14619), 1,
      anon_sym_LPAREN2,
  [289757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_xor,
  [289764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14621), 1,
      anon_sym_RPAREN,
  [289771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14623), 1,
      anon_sym_LPAREN2,
  [289778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14625), 1,
      anon_sym_LPAREN2,
  [289785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14627), 1,
      anon_sym_LPAREN2,
  [289792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14629), 1,
      anon_sym_LPAREN2,
  [289799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14631), 1,
      anon_sym_LPAREN2,
  [289806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14633), 1,
      anon_sym_LPAREN2,
  [289813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14635), 1,
      anon_sym_LPAREN2,
  [289820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14637), 1,
      anon_sym_LPAREN2,
  [289827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14639), 1,
      anon_sym_LPAREN2,
  [289834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14641), 1,
      anon_sym_LPAREN2,
  [289841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14643), 1,
      anon_sym_LPAREN2,
  [289848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      sym_identifier,
  [289855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9119), 1,
      anon_sym_RPAREN,
  [289862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14645), 1,
      anon_sym_SEMI,
  [289869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_bitor,
  [289876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14647), 1,
      anon_sym_LPAREN2,
  [289883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14649), 1,
      anon_sym_LPAREN2,
  [289890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14651), 1,
      anon_sym_LPAREN2,
  [289897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14653), 1,
      anon_sym_LPAREN2,
  [289904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14655), 1,
      anon_sym_LPAREN2,
  [289911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14657), 1,
      anon_sym_LPAREN2,
  [289918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14659), 1,
      anon_sym_DQUOTE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2324)] = 0,
  [SMALL_STATE(2325)] = 95,
  [SMALL_STATE(2326)] = 178,
  [SMALL_STATE(2327)] = 249,
  [SMALL_STATE(2328)] = 326,
  [SMALL_STATE(2329)] = 411,
  [SMALL_STATE(2330)] = 496,
  [SMALL_STATE(2331)] = 567,
  [SMALL_STATE(2332)] = 650,
  [SMALL_STATE(2333)] = 721,
  [SMALL_STATE(2334)] = 792,
  [SMALL_STATE(2335)] = 863,
  [SMALL_STATE(2336)] = 934,
  [SMALL_STATE(2337)] = 1007,
  [SMALL_STATE(2338)] = 1086,
  [SMALL_STATE(2339)] = 1157,
  [SMALL_STATE(2340)] = 1228,
  [SMALL_STATE(2341)] = 1299,
  [SMALL_STATE(2342)] = 1384,
  [SMALL_STATE(2343)] = 1455,
  [SMALL_STATE(2344)] = 1530,
  [SMALL_STATE(2345)] = 1603,
  [SMALL_STATE(2346)] = 1682,
  [SMALL_STATE(2347)] = 1753,
  [SMALL_STATE(2348)] = 1842,
  [SMALL_STATE(2349)] = 1913,
  [SMALL_STATE(2350)] = 1984,
  [SMALL_STATE(2351)] = 2055,
  [SMALL_STATE(2352)] = 2126,
  [SMALL_STATE(2353)] = 2197,
  [SMALL_STATE(2354)] = 2272,
  [SMALL_STATE(2355)] = 2357,
  [SMALL_STATE(2356)] = 2428,
  [SMALL_STATE(2357)] = 2505,
  [SMALL_STATE(2358)] = 2576,
  [SMALL_STATE(2359)] = 2647,
  [SMALL_STATE(2360)] = 2742,
  [SMALL_STATE(2361)] = 2813,
  [SMALL_STATE(2362)] = 2890,
  [SMALL_STATE(2363)] = 2961,
  [SMALL_STATE(2364)] = 3032,
  [SMALL_STATE(2365)] = 3111,
  [SMALL_STATE(2366)] = 3190,
  [SMALL_STATE(2367)] = 3275,
  [SMALL_STATE(2368)] = 3345,
  [SMALL_STATE(2369)] = 3415,
  [SMALL_STATE(2370)] = 3485,
  [SMALL_STATE(2371)] = 3555,
  [SMALL_STATE(2372)] = 3625,
  [SMALL_STATE(2373)] = 3695,
  [SMALL_STATE(2374)] = 3765,
  [SMALL_STATE(2375)] = 3835,
  [SMALL_STATE(2376)] = 3905,
  [SMALL_STATE(2377)] = 3991,
  [SMALL_STATE(2378)] = 4061,
  [SMALL_STATE(2379)] = 4131,
  [SMALL_STATE(2380)] = 4201,
  [SMALL_STATE(2381)] = 4271,
  [SMALL_STATE(2382)] = 4341,
  [SMALL_STATE(2383)] = 4411,
  [SMALL_STATE(2384)] = 4491,
  [SMALL_STATE(2385)] = 4561,
  [SMALL_STATE(2386)] = 4631,
  [SMALL_STATE(2387)] = 4701,
  [SMALL_STATE(2388)] = 4771,
  [SMALL_STATE(2389)] = 4841,
  [SMALL_STATE(2390)] = 4911,
  [SMALL_STATE(2391)] = 4981,
  [SMALL_STATE(2392)] = 5069,
  [SMALL_STATE(2393)] = 5139,
  [SMALL_STATE(2394)] = 5209,
  [SMALL_STATE(2395)] = 5279,
  [SMALL_STATE(2396)] = 5349,
  [SMALL_STATE(2397)] = 5419,
  [SMALL_STATE(2398)] = 5489,
  [SMALL_STATE(2399)] = 5559,
  [SMALL_STATE(2400)] = 5629,
  [SMALL_STATE(2401)] = 5699,
  [SMALL_STATE(2402)] = 5769,
  [SMALL_STATE(2403)] = 5839,
  [SMALL_STATE(2404)] = 5909,
  [SMALL_STATE(2405)] = 5979,
  [SMALL_STATE(2406)] = 6049,
  [SMALL_STATE(2407)] = 6119,
  [SMALL_STATE(2408)] = 6189,
  [SMALL_STATE(2409)] = 6259,
  [SMALL_STATE(2410)] = 6329,
  [SMALL_STATE(2411)] = 6399,
  [SMALL_STATE(2412)] = 6469,
  [SMALL_STATE(2413)] = 6539,
  [SMALL_STATE(2414)] = 6609,
  [SMALL_STATE(2415)] = 6679,
  [SMALL_STATE(2416)] = 6749,
  [SMALL_STATE(2417)] = 6819,
  [SMALL_STATE(2418)] = 6889,
  [SMALL_STATE(2419)] = 6959,
  [SMALL_STATE(2420)] = 7029,
  [SMALL_STATE(2421)] = 7099,
  [SMALL_STATE(2422)] = 7183,
  [SMALL_STATE(2423)] = 7253,
  [SMALL_STATE(2424)] = 7331,
  [SMALL_STATE(2425)] = 7401,
  [SMALL_STATE(2426)] = 7471,
  [SMALL_STATE(2427)] = 7541,
  [SMALL_STATE(2428)] = 7611,
  [SMALL_STATE(2429)] = 7681,
  [SMALL_STATE(2430)] = 7751,
  [SMALL_STATE(2431)] = 7829,
  [SMALL_STATE(2432)] = 7899,
  [SMALL_STATE(2433)] = 7969,
  [SMALL_STATE(2434)] = 8039,
  [SMALL_STATE(2435)] = 8109,
  [SMALL_STATE(2436)] = 8179,
  [SMALL_STATE(2437)] = 8249,
  [SMALL_STATE(2438)] = 8319,
  [SMALL_STATE(2439)] = 8389,
  [SMALL_STATE(2440)] = 8459,
  [SMALL_STATE(2441)] = 8529,
  [SMALL_STATE(2442)] = 8599,
  [SMALL_STATE(2443)] = 8669,
  [SMALL_STATE(2444)] = 8739,
  [SMALL_STATE(2445)] = 8809,
  [SMALL_STATE(2446)] = 8879,
  [SMALL_STATE(2447)] = 8949,
  [SMALL_STATE(2448)] = 9019,
  [SMALL_STATE(2449)] = 9103,
  [SMALL_STATE(2450)] = 9173,
  [SMALL_STATE(2451)] = 9247,
  [SMALL_STATE(2452)] = 9317,
  [SMALL_STATE(2453)] = 9387,
  [SMALL_STATE(2454)] = 9457,
  [SMALL_STATE(2455)] = 9527,
  [SMALL_STATE(2456)] = 9597,
  [SMALL_STATE(2457)] = 9667,
  [SMALL_STATE(2458)] = 9737,
  [SMALL_STATE(2459)] = 9807,
  [SMALL_STATE(2460)] = 9877,
  [SMALL_STATE(2461)] = 9947,
  [SMALL_STATE(2462)] = 10017,
  [SMALL_STATE(2463)] = 10087,
  [SMALL_STATE(2464)] = 10157,
  [SMALL_STATE(2465)] = 10227,
  [SMALL_STATE(2466)] = 10297,
  [SMALL_STATE(2467)] = 10367,
  [SMALL_STATE(2468)] = 10437,
  [SMALL_STATE(2469)] = 10507,
  [SMALL_STATE(2470)] = 10577,
  [SMALL_STATE(2471)] = 10647,
  [SMALL_STATE(2472)] = 10717,
  [SMALL_STATE(2473)] = 10787,
  [SMALL_STATE(2474)] = 10857,
  [SMALL_STATE(2475)] = 10927,
  [SMALL_STATE(2476)] = 10997,
  [SMALL_STATE(2477)] = 11067,
  [SMALL_STATE(2478)] = 11137,
  [SMALL_STATE(2479)] = 11207,
  [SMALL_STATE(2480)] = 11277,
  [SMALL_STATE(2481)] = 11347,
  [SMALL_STATE(2482)] = 11417,
  [SMALL_STATE(2483)] = 11487,
  [SMALL_STATE(2484)] = 11557,
  [SMALL_STATE(2485)] = 11627,
  [SMALL_STATE(2486)] = 11697,
  [SMALL_STATE(2487)] = 11767,
  [SMALL_STATE(2488)] = 11837,
  [SMALL_STATE(2489)] = 11907,
  [SMALL_STATE(2490)] = 11977,
  [SMALL_STATE(2491)] = 12047,
  [SMALL_STATE(2492)] = 12117,
  [SMALL_STATE(2493)] = 12187,
  [SMALL_STATE(2494)] = 12258,
  [SMALL_STATE(2495)] = 12333,
  [SMALL_STATE(2496)] = 12404,
  [SMALL_STATE(2497)] = 12483,
  [SMALL_STATE(2498)] = 12556,
  [SMALL_STATE(2499)] = 12629,
  [SMALL_STATE(2500)] = 12716,
  [SMALL_STATE(2501)] = 12789,
  [SMALL_STATE(2502)] = 12862,
  [SMALL_STATE(2503)] = 12931,
  [SMALL_STATE(2504)] = 13000,
  [SMALL_STATE(2505)] = 13069,
  [SMALL_STATE(2506)] = 13138,
  [SMALL_STATE(2507)] = 13207,
  [SMALL_STATE(2508)] = 13276,
  [SMALL_STATE(2509)] = 13345,
  [SMALL_STATE(2510)] = 13414,
  [SMALL_STATE(2511)] = 13493,
  [SMALL_STATE(2512)] = 13572,
  [SMALL_STATE(2513)] = 13643,
  [SMALL_STATE(2514)] = 13718,
  [SMALL_STATE(2515)] = 13787,
  [SMALL_STATE(2516)] = 13856,
  [SMALL_STATE(2517)] = 13925,
  [SMALL_STATE(2518)] = 13994,
  [SMALL_STATE(2519)] = 14067,
  [SMALL_STATE(2520)] = 14140,
  [SMALL_STATE(2521)] = 14213,
  [SMALL_STATE(2522)] = 14286,
  [SMALL_STATE(2523)] = 14359,
  [SMALL_STATE(2524)] = 14446,
  [SMALL_STATE(2525)] = 14519,
  [SMALL_STATE(2526)] = 14592,
  [SMALL_STATE(2527)] = 14665,
  [SMALL_STATE(2528)] = 14746,
  [SMALL_STATE(2529)] = 14833,
  [SMALL_STATE(2530)] = 14908,
  [SMALL_STATE(2531)] = 14983,
  [SMALL_STATE(2532)] = 15102,
  [SMALL_STATE(2533)] = 15221,
  [SMALL_STATE(2534)] = 15290,
  [SMALL_STATE(2535)] = 15362,
  [SMALL_STATE(2536)] = 15430,
  [SMALL_STATE(2537)] = 15512,
  [SMALL_STATE(2538)] = 15586,
  [SMALL_STATE(2539)] = 15660,
  [SMALL_STATE(2540)] = 15734,
  [SMALL_STATE(2541)] = 15808,
  [SMALL_STATE(2542)] = 15880,
  [SMALL_STATE(2543)] = 15954,
  [SMALL_STATE(2544)] = 16028,
  [SMALL_STATE(2545)] = 16102,
  [SMALL_STATE(2546)] = 16176,
  [SMALL_STATE(2547)] = 16250,
  [SMALL_STATE(2548)] = 16324,
  [SMALL_STATE(2549)] = 16396,
  [SMALL_STATE(2550)] = 16470,
  [SMALL_STATE(2551)] = 16544,
  [SMALL_STATE(2552)] = 16618,
  [SMALL_STATE(2553)] = 16692,
  [SMALL_STATE(2554)] = 16766,
  [SMALL_STATE(2555)] = 16834,
  [SMALL_STATE(2556)] = 16906,
  [SMALL_STATE(2557)] = 16984,
  [SMALL_STATE(2558)] = 17056,
  [SMALL_STATE(2559)] = 17130,
  [SMALL_STATE(2560)] = 17202,
  [SMALL_STATE(2561)] = 17274,
  [SMALL_STATE(2562)] = 17346,
  [SMALL_STATE(2563)] = 17418,
  [SMALL_STATE(2564)] = 17490,
  [SMALL_STATE(2565)] = 17562,
  [SMALL_STATE(2566)] = 17634,
  [SMALL_STATE(2567)] = 17706,
  [SMALL_STATE(2568)] = 17778,
  [SMALL_STATE(2569)] = 17854,
  [SMALL_STATE(2570)] = 17926,
  [SMALL_STATE(2571)] = 17998,
  [SMALL_STATE(2572)] = 18070,
  [SMALL_STATE(2573)] = 18142,
  [SMALL_STATE(2574)] = 18210,
  [SMALL_STATE(2575)] = 18280,
  [SMALL_STATE(2576)] = 18348,
  [SMALL_STATE(2577)] = 18416,
  [SMALL_STATE(2578)] = 18488,
  [SMALL_STATE(2579)] = 18556,
  [SMALL_STATE(2580)] = 18624,
  [SMALL_STATE(2581)] = 18692,
  [SMALL_STATE(2582)] = 18760,
  [SMALL_STATE(2583)] = 18828,
  [SMALL_STATE(2584)] = 18904,
  [SMALL_STATE(2585)] = 18972,
  [SMALL_STATE(2586)] = 19040,
  [SMALL_STATE(2587)] = 19108,
  [SMALL_STATE(2588)] = 19180,
  [SMALL_STATE(2589)] = 19256,
  [SMALL_STATE(2590)] = 19328,
  [SMALL_STATE(2591)] = 19400,
  [SMALL_STATE(2592)] = 19470,
  [SMALL_STATE(2593)] = 19556,
  [SMALL_STATE(2594)] = 19626,
  [SMALL_STATE(2595)] = 19696,
  [SMALL_STATE(2596)] = 19764,
  [SMALL_STATE(2597)] = 19838,
  [SMALL_STATE(2598)] = 19906,
  [SMALL_STATE(2599)] = 19978,
  [SMALL_STATE(2600)] = 20054,
  [SMALL_STATE(2601)] = 20126,
  [SMALL_STATE(2602)] = 20208,
  [SMALL_STATE(2603)] = 20280,
  [SMALL_STATE(2604)] = 20347,
  [SMALL_STATE(2605)] = 20414,
  [SMALL_STATE(2606)] = 20481,
  [SMALL_STATE(2607)] = 20548,
  [SMALL_STATE(2608)] = 20615,
  [SMALL_STATE(2609)] = 20684,
  [SMALL_STATE(2610)] = 20751,
  [SMALL_STATE(2611)] = 20818,
  [SMALL_STATE(2612)] = 20885,
  [SMALL_STATE(2613)] = 20952,
  [SMALL_STATE(2614)] = 21033,
  [SMALL_STATE(2615)] = 21100,
  [SMALL_STATE(2616)] = 21167,
  [SMALL_STATE(2617)] = 21234,
  [SMALL_STATE(2618)] = 21301,
  [SMALL_STATE(2619)] = 21372,
  [SMALL_STATE(2620)] = 21439,
  [SMALL_STATE(2621)] = 21506,
  [SMALL_STATE(2622)] = 21573,
  [SMALL_STATE(2623)] = 21640,
  [SMALL_STATE(2624)] = 21721,
  [SMALL_STATE(2625)] = 21788,
  [SMALL_STATE(2626)] = 21855,
  [SMALL_STATE(2627)] = 21922,
  [SMALL_STATE(2628)] = 21989,
  [SMALL_STATE(2629)] = 22056,
  [SMALL_STATE(2630)] = 22123,
  [SMALL_STATE(2631)] = 22190,
  [SMALL_STATE(2632)] = 22259,
  [SMALL_STATE(2633)] = 22328,
  [SMALL_STATE(2634)] = 22399,
  [SMALL_STATE(2635)] = 22466,
  [SMALL_STATE(2636)] = 22533,
  [SMALL_STATE(2637)] = 22600,
  [SMALL_STATE(2638)] = 22683,
  [SMALL_STATE(2639)] = 22800,
  [SMALL_STATE(2640)] = 22917,
  [SMALL_STATE(2641)] = 23000,
  [SMALL_STATE(2642)] = 23067,
  [SMALL_STATE(2643)] = 23134,
  [SMALL_STATE(2644)] = 23201,
  [SMALL_STATE(2645)] = 23268,
  [SMALL_STATE(2646)] = 23335,
  [SMALL_STATE(2647)] = 23402,
  [SMALL_STATE(2648)] = 23469,
  [SMALL_STATE(2649)] = 23536,
  [SMALL_STATE(2650)] = 23603,
  [SMALL_STATE(2651)] = 23670,
  [SMALL_STATE(2652)] = 23737,
  [SMALL_STATE(2653)] = 23804,
  [SMALL_STATE(2654)] = 23871,
  [SMALL_STATE(2655)] = 23938,
  [SMALL_STATE(2656)] = 24009,
  [SMALL_STATE(2657)] = 24076,
  [SMALL_STATE(2658)] = 24147,
  [SMALL_STATE(2659)] = 24218,
  [SMALL_STATE(2660)] = 24289,
  [SMALL_STATE(2661)] = 24356,
  [SMALL_STATE(2662)] = 24473,
  [SMALL_STATE(2663)] = 24590,
  [SMALL_STATE(2664)] = 24657,
  [SMALL_STATE(2665)] = 24724,
  [SMALL_STATE(2666)] = 24791,
  [SMALL_STATE(2667)] = 24858,
  [SMALL_STATE(2668)] = 24925,
  [SMALL_STATE(2669)] = 24991,
  [SMALL_STATE(2670)] = 25059,
  [SMALL_STATE(2671)] = 25125,
  [SMALL_STATE(2672)] = 25195,
  [SMALL_STATE(2673)] = 25261,
  [SMALL_STATE(2674)] = 25353,
  [SMALL_STATE(2675)] = 25423,
  [SMALL_STATE(2676)] = 25493,
  [SMALL_STATE(2677)] = 25559,
  [SMALL_STATE(2678)] = 25627,
  [SMALL_STATE(2679)] = 25693,
  [SMALL_STATE(2680)] = 25763,
  [SMALL_STATE(2681)] = 25833,
  [SMALL_STATE(2682)] = 25899,
  [SMALL_STATE(2683)] = 25971,
  [SMALL_STATE(2684)] = 26063,
  [SMALL_STATE(2685)] = 26133,
  [SMALL_STATE(2686)] = 26205,
  [SMALL_STATE(2687)] = 26275,
  [SMALL_STATE(2688)] = 26367,
  [SMALL_STATE(2689)] = 26433,
  [SMALL_STATE(2690)] = 26525,
  [SMALL_STATE(2691)] = 26617,
  [SMALL_STATE(2692)] = 26687,
  [SMALL_STATE(2693)] = 26769,
  [SMALL_STATE(2694)] = 26861,
  [SMALL_STATE(2695)] = 26927,
  [SMALL_STATE(2696)] = 26993,
  [SMALL_STATE(2697)] = 27059,
  [SMALL_STATE(2698)] = 27125,
  [SMALL_STATE(2699)] = 27191,
  [SMALL_STATE(2700)] = 27267,
  [SMALL_STATE(2701)] = 27337,
  [SMALL_STATE(2702)] = 27403,
  [SMALL_STATE(2703)] = 27469,
  [SMALL_STATE(2704)] = 27551,
  [SMALL_STATE(2705)] = 27617,
  [SMALL_STATE(2706)] = 27709,
  [SMALL_STATE(2707)] = 27779,
  [SMALL_STATE(2708)] = 27861,
  [SMALL_STATE(2709)] = 27927,
  [SMALL_STATE(2710)] = 27993,
  [SMALL_STATE(2711)] = 28069,
  [SMALL_STATE(2712)] = 28137,
  [SMALL_STATE(2713)] = 28207,
  [SMALL_STATE(2714)] = 28289,
  [SMALL_STATE(2715)] = 28359,
  [SMALL_STATE(2716)] = 28425,
  [SMALL_STATE(2717)] = 28501,
  [SMALL_STATE(2718)] = 28567,
  [SMALL_STATE(2719)] = 28637,
  [SMALL_STATE(2720)] = 28703,
  [SMALL_STATE(2721)] = 28769,
  [SMALL_STATE(2722)] = 28834,
  [SMALL_STATE(2723)] = 28899,
  [SMALL_STATE(2724)] = 29008,
  [SMALL_STATE(2725)] = 29121,
  [SMALL_STATE(2726)] = 29230,
  [SMALL_STATE(2727)] = 29343,
  [SMALL_STATE(2728)] = 29408,
  [SMALL_STATE(2729)] = 29473,
  [SMALL_STATE(2730)] = 29538,
  [SMALL_STATE(2731)] = 29603,
  [SMALL_STATE(2732)] = 29668,
  [SMALL_STATE(2733)] = 29733,
  [SMALL_STATE(2734)] = 29800,
  [SMALL_STATE(2735)] = 29865,
  [SMALL_STATE(2736)] = 29940,
  [SMALL_STATE(2737)] = 30023,
  [SMALL_STATE(2738)] = 30096,
  [SMALL_STATE(2739)] = 30179,
  [SMALL_STATE(2740)] = 30288,
  [SMALL_STATE(2741)] = 30397,
  [SMALL_STATE(2742)] = 30476,
  [SMALL_STATE(2743)] = 30559,
  [SMALL_STATE(2744)] = 30642,
  [SMALL_STATE(2745)] = 30707,
  [SMALL_STATE(2746)] = 30780,
  [SMALL_STATE(2747)] = 30845,
  [SMALL_STATE(2748)] = 30916,
  [SMALL_STATE(2749)] = 30987,
  [SMALL_STATE(2750)] = 31052,
  [SMALL_STATE(2751)] = 31135,
  [SMALL_STATE(2752)] = 31218,
  [SMALL_STATE(2753)] = 31283,
  [SMALL_STATE(2754)] = 31348,
  [SMALL_STATE(2755)] = 31423,
  [SMALL_STATE(2756)] = 31504,
  [SMALL_STATE(2757)] = 31587,
  [SMALL_STATE(2758)] = 31670,
  [SMALL_STATE(2759)] = 31749,
  [SMALL_STATE(2760)] = 31832,
  [SMALL_STATE(2761)] = 31915,
  [SMALL_STATE(2762)] = 31982,
  [SMALL_STATE(2763)] = 32049,
  [SMALL_STATE(2764)] = 32120,
  [SMALL_STATE(2765)] = 32207,
  [SMALL_STATE(2766)] = 32278,
  [SMALL_STATE(2767)] = 32349,
  [SMALL_STATE(2768)] = 32432,
  [SMALL_STATE(2769)] = 32497,
  [SMALL_STATE(2770)] = 32572,
  [SMALL_STATE(2771)] = 32653,
  [SMALL_STATE(2772)] = 32718,
  [SMALL_STATE(2773)] = 32799,
  [SMALL_STATE(2774)] = 32882,
  [SMALL_STATE(2775)] = 32967,
  [SMALL_STATE(2776)] = 33050,
  [SMALL_STATE(2777)] = 33131,
  [SMALL_STATE(2778)] = 33214,
  [SMALL_STATE(2779)] = 33279,
  [SMALL_STATE(2780)] = 33350,
  [SMALL_STATE(2781)] = 33421,
  [SMALL_STATE(2782)] = 33492,
  [SMALL_STATE(2783)] = 33563,
  [SMALL_STATE(2784)] = 33628,
  [SMALL_STATE(2785)] = 33693,
  [SMALL_STATE(2786)] = 33758,
  [SMALL_STATE(2787)] = 33823,
  [SMALL_STATE(2788)] = 33888,
  [SMALL_STATE(2789)] = 33997,
  [SMALL_STATE(2790)] = 34110,
  [SMALL_STATE(2791)] = 34215,
  [SMALL_STATE(2792)] = 34316,
  [SMALL_STATE(2793)] = 34397,
  [SMALL_STATE(2794)] = 34462,
  [SMALL_STATE(2795)] = 34561,
  [SMALL_STATE(2796)] = 34658,
  [SMALL_STATE(2797)] = 34729,
  [SMALL_STATE(2798)] = 34800,
  [SMALL_STATE(2799)] = 34883,
  [SMALL_STATE(2800)] = 34978,
  [SMALL_STATE(2801)] = 35069,
  [SMALL_STATE(2802)] = 35140,
  [SMALL_STATE(2803)] = 35210,
  [SMALL_STATE(2804)] = 35286,
  [SMALL_STATE(2805)] = 35352,
  [SMALL_STATE(2806)] = 35422,
  [SMALL_STATE(2807)] = 35486,
  [SMALL_STATE(2808)] = 35550,
  [SMALL_STATE(2809)] = 35620,
  [SMALL_STATE(2810)] = 35684,
  [SMALL_STATE(2811)] = 35754,
  [SMALL_STATE(2812)] = 35818,
  [SMALL_STATE(2813)] = 35882,
  [SMALL_STATE(2814)] = 35952,
  [SMALL_STATE(2815)] = 36016,
  [SMALL_STATE(2816)] = 36086,
  [SMALL_STATE(2817)] = 36164,
  [SMALL_STATE(2818)] = 36276,
  [SMALL_STATE(2819)] = 36346,
  [SMALL_STATE(2820)] = 36412,
  [SMALL_STATE(2821)] = 36482,
  [SMALL_STATE(2822)] = 36600,
  [SMALL_STATE(2823)] = 36670,
  [SMALL_STATE(2824)] = 36734,
  [SMALL_STATE(2825)] = 36804,
  [SMALL_STATE(2826)] = 36868,
  [SMALL_STATE(2827)] = 36938,
  [SMALL_STATE(2828)] = 37006,
  [SMALL_STATE(2829)] = 37070,
  [SMALL_STATE(2830)] = 37140,
  [SMALL_STATE(2831)] = 37210,
  [SMALL_STATE(2832)] = 37322,
  [SMALL_STATE(2833)] = 37440,
  [SMALL_STATE(2834)] = 37514,
  [SMALL_STATE(2835)] = 37587,
  [SMALL_STATE(2836)] = 37696,
  [SMALL_STATE(2837)] = 37805,
  [SMALL_STATE(2838)] = 37914,
  [SMALL_STATE(2839)] = 38023,
  [SMALL_STATE(2840)] = 38132,
  [SMALL_STATE(2841)] = 38211,
  [SMALL_STATE(2842)] = 38320,
  [SMALL_STATE(2843)] = 38437,
  [SMALL_STATE(2844)] = 38506,
  [SMALL_STATE(2845)] = 38619,
  [SMALL_STATE(2846)] = 38728,
  [SMALL_STATE(2847)] = 38791,
  [SMALL_STATE(2848)] = 38858,
  [SMALL_STATE(2849)] = 38967,
  [SMALL_STATE(2850)] = 39034,
  [SMALL_STATE(2851)] = 39143,
  [SMALL_STATE(2852)] = 39206,
  [SMALL_STATE(2853)] = 39269,
  [SMALL_STATE(2854)] = 39342,
  [SMALL_STATE(2855)] = 39503,
  [SMALL_STATE(2856)] = 39570,
  [SMALL_STATE(2857)] = 39639,
  [SMALL_STATE(2858)] = 39712,
  [SMALL_STATE(2859)] = 39825,
  [SMALL_STATE(2860)] = 39934,
  [SMALL_STATE(2861)] = 39997,
  [SMALL_STATE(2862)] = 40066,
  [SMALL_STATE(2863)] = 40175,
  [SMALL_STATE(2864)] = 40242,
  [SMALL_STATE(2865)] = 40309,
  [SMALL_STATE(2866)] = 40418,
  [SMALL_STATE(2867)] = 40527,
  [SMALL_STATE(2868)] = 40644,
  [SMALL_STATE(2869)] = 40761,
  [SMALL_STATE(2870)] = 40840,
  [SMALL_STATE(2871)] = 40945,
  [SMALL_STATE(2872)] = 41046,
  [SMALL_STATE(2873)] = 41143,
  [SMALL_STATE(2874)] = 41238,
  [SMALL_STATE(2875)] = 41329,
  [SMALL_STATE(2876)] = 41418,
  [SMALL_STATE(2877)] = 41503,
  [SMALL_STATE(2878)] = 41584,
  [SMALL_STATE(2879)] = 41667,
  [SMALL_STATE(2880)] = 41734,
  [SMALL_STATE(2881)] = 41807,
  [SMALL_STATE(2882)] = 41886,
  [SMALL_STATE(2883)] = 41995,
  [SMALL_STATE(2884)] = 42066,
  [SMALL_STATE(2885)] = 42175,
  [SMALL_STATE(2886)] = 42238,
  [SMALL_STATE(2887)] = 42399,
  [SMALL_STATE(2888)] = 42508,
  [SMALL_STATE(2889)] = 42617,
  [SMALL_STATE(2890)] = 42682,
  [SMALL_STATE(2891)] = 42747,
  [SMALL_STATE(2892)] = 42820,
  [SMALL_STATE(2893)] = 42929,
  [SMALL_STATE(2894)] = 42992,
  [SMALL_STATE(2895)] = 43059,
  [SMALL_STATE(2896)] = 43168,
  [SMALL_STATE(2897)] = 43277,
  [SMALL_STATE(2898)] = 43386,
  [SMALL_STATE(2899)] = 43465,
  [SMALL_STATE(2900)] = 43536,
  [SMALL_STATE(2901)] = 43645,
  [SMALL_STATE(2902)] = 43716,
  [SMALL_STATE(2903)] = 43833,
  [SMALL_STATE(2904)] = 43942,
  [SMALL_STATE(2905)] = 44051,
  [SMALL_STATE(2906)] = 44130,
  [SMALL_STATE(2907)] = 44239,
  [SMALL_STATE(2908)] = 44302,
  [SMALL_STATE(2909)] = 44411,
  [SMALL_STATE(2910)] = 44520,
  [SMALL_STATE(2911)] = 44589,
  [SMALL_STATE(2912)] = 44662,
  [SMALL_STATE(2913)] = 44725,
  [SMALL_STATE(2914)] = 44792,
  [SMALL_STATE(2915)] = 44901,
  [SMALL_STATE(2916)] = 45018,
  [SMALL_STATE(2917)] = 45085,
  [SMALL_STATE(2918)] = 45152,
  [SMALL_STATE(2919)] = 45219,
  [SMALL_STATE(2920)] = 45332,
  [SMALL_STATE(2921)] = 45399,
  [SMALL_STATE(2922)] = 45466,
  [SMALL_STATE(2923)] = 45575,
  [SMALL_STATE(2924)] = 45692,
  [SMALL_STATE(2925)] = 45801,
  [SMALL_STATE(2926)] = 45870,
  [SMALL_STATE(2927)] = 45943,
  [SMALL_STATE(2928)] = 46052,
  [SMALL_STATE(2929)] = 46213,
  [SMALL_STATE(2930)] = 46322,
  [SMALL_STATE(2931)] = 46431,
  [SMALL_STATE(2932)] = 46493,
  [SMALL_STATE(2933)] = 46573,
  [SMALL_STATE(2934)] = 46655,
  [SMALL_STATE(2935)] = 46727,
  [SMALL_STATE(2936)] = 46831,
  [SMALL_STATE(2937)] = 46931,
  [SMALL_STATE(2938)] = 47027,
  [SMALL_STATE(2939)] = 47121,
  [SMALL_STATE(2940)] = 47211,
  [SMALL_STATE(2941)] = 47299,
  [SMALL_STATE(2942)] = 47365,
  [SMALL_STATE(2943)] = 47449,
  [SMALL_STATE(2944)] = 47515,
  [SMALL_STATE(2945)] = 47583,
  [SMALL_STATE(2946)] = 47649,
  [SMALL_STATE(2947)] = 47717,
  [SMALL_STATE(2948)] = 47785,
  [SMALL_STATE(2949)] = 47851,
  [SMALL_STATE(2950)] = 47917,
  [SMALL_STATE(2951)] = 47985,
  [SMALL_STATE(2952)] = 48053,
  [SMALL_STATE(2953)] = 48169,
  [SMALL_STATE(2954)] = 48235,
  [SMALL_STATE(2955)] = 48351,
  [SMALL_STATE(2956)] = 48417,
  [SMALL_STATE(2957)] = 48483,
  [SMALL_STATE(2958)] = 48551,
  [SMALL_STATE(2959)] = 48613,
  [SMALL_STATE(2960)] = 48679,
  [SMALL_STATE(2961)] = 48741,
  [SMALL_STATE(2962)] = 48803,
  [SMALL_STATE(2963)] = 48877,
  [SMALL_STATE(2964)] = 48939,
  [SMALL_STATE(2965)] = 49003,
  [SMALL_STATE(2966)] = 49071,
  [SMALL_STATE(2967)] = 49141,
  [SMALL_STATE(2968)] = 49207,
  [SMALL_STATE(2969)] = 49269,
  [SMALL_STATE(2970)] = 49333,
  [SMALL_STATE(2971)] = 49395,
  [SMALL_STATE(2972)] = 49459,
  [SMALL_STATE(2973)] = 49525,
  [SMALL_STATE(2974)] = 49597,
  [SMALL_STATE(2975)] = 49659,
  [SMALL_STATE(2976)] = 49721,
  [SMALL_STATE(2977)] = 49801,
  [SMALL_STATE(2978)] = 49863,
  [SMALL_STATE(2979)] = 49925,
  [SMALL_STATE(2980)] = 49987,
  [SMALL_STATE(2981)] = 50103,
  [SMALL_STATE(2982)] = 50211,
  [SMALL_STATE(2983)] = 50327,
  [SMALL_STATE(2984)] = 50389,
  [SMALL_STATE(2985)] = 50455,
  [SMALL_STATE(2986)] = 50563,
  [SMALL_STATE(2987)] = 50679,
  [SMALL_STATE(2988)] = 50753,
  [SMALL_STATE(2989)] = 50825,
  [SMALL_STATE(2990)] = 50941,
  [SMALL_STATE(2991)] = 51009,
  [SMALL_STATE(2992)] = 51073,
  [SMALL_STATE(2993)] = 51139,
  [SMALL_STATE(2994)] = 51251,
  [SMALL_STATE(2995)] = 51319,
  [SMALL_STATE(2996)] = 51427,
  [SMALL_STATE(2997)] = 51493,
  [SMALL_STATE(2998)] = 51563,
  [SMALL_STATE(2999)] = 51679,
  [SMALL_STATE(3000)] = 51741,
  [SMALL_STATE(3001)] = 51803,
  [SMALL_STATE(3002)] = 51865,
  [SMALL_STATE(3003)] = 51931,
  [SMALL_STATE(3004)] = 52009,
  [SMALL_STATE(3005)] = 52071,
  [SMALL_STATE(3006)] = 52133,
  [SMALL_STATE(3007)] = 52195,
  [SMALL_STATE(3008)] = 52257,
  [SMALL_STATE(3009)] = 52325,
  [SMALL_STATE(3010)] = 52391,
  [SMALL_STATE(3011)] = 52455,
  [SMALL_STATE(3012)] = 52571,
  [SMALL_STATE(3013)] = 52639,
  [SMALL_STATE(3014)] = 52707,
  [SMALL_STATE(3015)] = 52781,
  [SMALL_STATE(3016)] = 52849,
  [SMALL_STATE(3017)] = 52921,
  [SMALL_STATE(3018)] = 52985,
  [SMALL_STATE(3019)] = 53051,
  [SMALL_STATE(3020)] = 53167,
  [SMALL_STATE(3021)] = 53283,
  [SMALL_STATE(3022)] = 53347,
  [SMALL_STATE(3023)] = 53413,
  [SMALL_STATE(3024)] = 53525,
  [SMALL_STATE(3025)] = 53593,
  [SMALL_STATE(3026)] = 53657,
  [SMALL_STATE(3027)] = 53725,
  [SMALL_STATE(3028)] = 53789,
  [SMALL_STATE(3029)] = 53851,
  [SMALL_STATE(3030)] = 53915,
  [SMALL_STATE(3031)] = 53979,
  [SMALL_STATE(3032)] = 54043,
  [SMALL_STATE(3033)] = 54105,
  [SMALL_STATE(3034)] = 54167,
  [SMALL_STATE(3035)] = 54233,
  [SMALL_STATE(3036)] = 54295,
  [SMALL_STATE(3037)] = 54359,
  [SMALL_STATE(3038)] = 54421,
  [SMALL_STATE(3039)] = 54489,
  [SMALL_STATE(3040)] = 54553,
  [SMALL_STATE(3041)] = 54615,
  [SMALL_STATE(3042)] = 54677,
  [SMALL_STATE(3043)] = 54739,
  [SMALL_STATE(3044)] = 54851,
  [SMALL_STATE(3045)] = 54913,
  [SMALL_STATE(3046)] = 54977,
  [SMALL_STATE(3047)] = 55039,
  [SMALL_STATE(3048)] = 55105,
  [SMALL_STATE(3049)] = 55173,
  [SMALL_STATE(3050)] = 55235,
  [SMALL_STATE(3051)] = 55307,
  [SMALL_STATE(3052)] = 55373,
  [SMALL_STATE(3053)] = 55441,
  [SMALL_STATE(3054)] = 55507,
  [SMALL_STATE(3055)] = 55615,
  [SMALL_STATE(3056)] = 55679,
  [SMALL_STATE(3057)] = 55751,
  [SMALL_STATE(3058)] = 55813,
  [SMALL_STATE(3059)] = 55875,
  [SMALL_STATE(3060)] = 55937,
  [SMALL_STATE(3061)] = 55999,
  [SMALL_STATE(3062)] = 56061,
  [SMALL_STATE(3063)] = 56123,
  [SMALL_STATE(3064)] = 56187,
  [SMALL_STATE(3065)] = 56295,
  [SMALL_STATE(3066)] = 56357,
  [SMALL_STATE(3067)] = 56424,
  [SMALL_STATE(3068)] = 56531,
  [SMALL_STATE(3069)] = 56592,
  [SMALL_STATE(3070)] = 56703,
  [SMALL_STATE(3071)] = 56766,
  [SMALL_STATE(3072)] = 56829,
  [SMALL_STATE(3073)] = 56890,
  [SMALL_STATE(3074)] = 56963,
  [SMALL_STATE(3075)] = 57024,
  [SMALL_STATE(3076)] = 57093,
  [SMALL_STATE(3077)] = 57154,
  [SMALL_STATE(3078)] = 57219,
  [SMALL_STATE(3079)] = 57294,
  [SMALL_STATE(3080)] = 57355,
  [SMALL_STATE(3081)] = 57422,
  [SMALL_STATE(3082)] = 57499,
  [SMALL_STATE(3083)] = 57580,
  [SMALL_STATE(3084)] = 57649,
  [SMALL_STATE(3085)] = 57714,
  [SMALL_STATE(3086)] = 57775,
  [SMALL_STATE(3087)] = 57836,
  [SMALL_STATE(3088)] = 57903,
  [SMALL_STATE(3089)] = 57968,
  [SMALL_STATE(3090)] = 58029,
  [SMALL_STATE(3091)] = 58090,
  [SMALL_STATE(3092)] = 58151,
  [SMALL_STATE(3093)] = 58212,
  [SMALL_STATE(3094)] = 58277,
  [SMALL_STATE(3095)] = 58338,
  [SMALL_STATE(3096)] = 58399,
  [SMALL_STATE(3097)] = 58474,
  [SMALL_STATE(3098)] = 58585,
  [SMALL_STATE(3099)] = 58646,
  [SMALL_STATE(3100)] = 58707,
  [SMALL_STATE(3101)] = 58768,
  [SMALL_STATE(3102)] = 58835,
  [SMALL_STATE(3103)] = 58896,
  [SMALL_STATE(3104)] = 58957,
  [SMALL_STATE(3105)] = 59018,
  [SMALL_STATE(3106)] = 59079,
  [SMALL_STATE(3107)] = 59140,
  [SMALL_STATE(3108)] = 59215,
  [SMALL_STATE(3109)] = 59284,
  [SMALL_STATE(3110)] = 59363,
  [SMALL_STATE(3111)] = 59430,
  [SMALL_STATE(3112)] = 59537,
  [SMALL_STATE(3113)] = 59644,
  [SMALL_STATE(3114)] = 59705,
  [SMALL_STATE(3115)] = 59820,
  [SMALL_STATE(3116)] = 59887,
  [SMALL_STATE(3117)] = 60002,
  [SMALL_STATE(3118)] = 60063,
  [SMALL_STATE(3119)] = 60124,
  [SMALL_STATE(3120)] = 60185,
  [SMALL_STATE(3121)] = 60246,
  [SMALL_STATE(3122)] = 60307,
  [SMALL_STATE(3123)] = 60414,
  [SMALL_STATE(3124)] = 60475,
  [SMALL_STATE(3125)] = 60540,
  [SMALL_STATE(3126)] = 60601,
  [SMALL_STATE(3127)] = 60676,
  [SMALL_STATE(3128)] = 60737,
  [SMALL_STATE(3129)] = 60798,
  [SMALL_STATE(3130)] = 60859,
  [SMALL_STATE(3131)] = 60920,
  [SMALL_STATE(3132)] = 61013,
  [SMALL_STATE(3133)] = 61102,
  [SMALL_STATE(3134)] = 61163,
  [SMALL_STATE(3135)] = 61250,
  [SMALL_STATE(3136)] = 61333,
  [SMALL_STATE(3137)] = 61394,
  [SMALL_STATE(3138)] = 61455,
  [SMALL_STATE(3139)] = 61516,
  [SMALL_STATE(3140)] = 61581,
  [SMALL_STATE(3141)] = 61656,
  [SMALL_STATE(3142)] = 61717,
  [SMALL_STATE(3143)] = 61778,
  [SMALL_STATE(3144)] = 61885,
  [SMALL_STATE(3145)] = 61954,
  [SMALL_STATE(3146)] = 62027,
  [SMALL_STATE(3147)] = 62102,
  [SMALL_STATE(3148)] = 62167,
  [SMALL_STATE(3149)] = 62234,
  [SMALL_STATE(3150)] = 62311,
  [SMALL_STATE(3151)] = 62380,
  [SMALL_STATE(3152)] = 62441,
  [SMALL_STATE(3153)] = 62502,
  [SMALL_STATE(3154)] = 62565,
  [SMALL_STATE(3155)] = 62668,
  [SMALL_STATE(3156)] = 62735,
  [SMALL_STATE(3157)] = 62834,
  [SMALL_STATE(3158)] = 62895,
  [SMALL_STATE(3159)] = 62962,
  [SMALL_STATE(3160)] = 63073,
  [SMALL_STATE(3161)] = 63134,
  [SMALL_STATE(3162)] = 63195,
  [SMALL_STATE(3163)] = 63262,
  [SMALL_STATE(3164)] = 63327,
  [SMALL_STATE(3165)] = 63390,
  [SMALL_STATE(3166)] = 63485,
  [SMALL_STATE(3167)] = 63560,
  [SMALL_STATE(3168)] = 63664,
  [SMALL_STATE(3169)] = 63724,
  [SMALL_STATE(3170)] = 63784,
  [SMALL_STATE(3171)] = 63844,
  [SMALL_STATE(3172)] = 63958,
  [SMALL_STATE(3173)] = 64114,
  [SMALL_STATE(3174)] = 64180,
  [SMALL_STATE(3175)] = 64294,
  [SMALL_STATE(3176)] = 64408,
  [SMALL_STATE(3177)] = 64468,
  [SMALL_STATE(3178)] = 64528,
  [SMALL_STATE(3179)] = 64636,
  [SMALL_STATE(3180)] = 64696,
  [SMALL_STATE(3181)] = 64770,
  [SMALL_STATE(3182)] = 64830,
  [SMALL_STATE(3183)] = 64896,
  [SMALL_STATE(3184)] = 64970,
  [SMALL_STATE(3185)] = 65030,
  [SMALL_STATE(3186)] = 65090,
  [SMALL_STATE(3187)] = 65156,
  [SMALL_STATE(3188)] = 65220,
  [SMALL_STATE(3189)] = 65324,
  [SMALL_STATE(3190)] = 65394,
  [SMALL_STATE(3191)] = 65454,
  [SMALL_STATE(3192)] = 65562,
  [SMALL_STATE(3193)] = 65622,
  [SMALL_STATE(3194)] = 65682,
  [SMALL_STATE(3195)] = 65758,
  [SMALL_STATE(3196)] = 65818,
  [SMALL_STATE(3197)] = 65892,
  [SMALL_STATE(3198)] = 65992,
  [SMALL_STATE(3199)] = 66088,
  [SMALL_STATE(3200)] = 66160,
  [SMALL_STATE(3201)] = 66252,
  [SMALL_STATE(3202)] = 66312,
  [SMALL_STATE(3203)] = 66402,
  [SMALL_STATE(3204)] = 66516,
  [SMALL_STATE(3205)] = 66590,
  [SMALL_STATE(3206)] = 66650,
  [SMALL_STATE(3207)] = 66710,
  [SMALL_STATE(3208)] = 66770,
  [SMALL_STATE(3209)] = 66830,
  [SMALL_STATE(3210)] = 66890,
  [SMALL_STATE(3211)] = 66960,
  [SMALL_STATE(3212)] = 67020,
  [SMALL_STATE(3213)] = 67106,
  [SMALL_STATE(3214)] = 67166,
  [SMALL_STATE(3215)] = 67226,
  [SMALL_STATE(3216)] = 67310,
  [SMALL_STATE(3217)] = 67392,
  [SMALL_STATE(3218)] = 67452,
  [SMALL_STATE(3219)] = 67530,
  [SMALL_STATE(3220)] = 67590,
  [SMALL_STATE(3221)] = 67650,
  [SMALL_STATE(3222)] = 67710,
  [SMALL_STATE(3223)] = 67774,
  [SMALL_STATE(3224)] = 67930,
  [SMALL_STATE(3225)] = 68086,
  [SMALL_STATE(3226)] = 68190,
  [SMALL_STATE(3227)] = 68250,
  [SMALL_STATE(3228)] = 68364,
  [SMALL_STATE(3229)] = 68430,
  [SMALL_STATE(3230)] = 68490,
  [SMALL_STATE(3231)] = 68550,
  [SMALL_STATE(3232)] = 68630,
  [SMALL_STATE(3233)] = 68692,
  [SMALL_STATE(3234)] = 68752,
  [SMALL_STATE(3235)] = 68822,
  [SMALL_STATE(3236)] = 68882,
  [SMALL_STATE(3237)] = 68946,
  [SMALL_STATE(3238)] = 69006,
  [SMALL_STATE(3239)] = 69066,
  [SMALL_STATE(3240)] = 69128,
  [SMALL_STATE(3241)] = 69194,
  [SMALL_STATE(3242)] = 69266,
  [SMALL_STATE(3243)] = 69332,
  [SMALL_STATE(3244)] = 69392,
  [SMALL_STATE(3245)] = 69464,
  [SMALL_STATE(3246)] = 69532,
  [SMALL_STATE(3247)] = 69592,
  [SMALL_STATE(3248)] = 69652,
  [SMALL_STATE(3249)] = 69726,
  [SMALL_STATE(3250)] = 69798,
  [SMALL_STATE(3251)] = 69904,
  [SMALL_STATE(3252)] = 69978,
  [SMALL_STATE(3253)] = 70052,
  [SMALL_STATE(3254)] = 70158,
  [SMALL_STATE(3255)] = 70230,
  [SMALL_STATE(3256)] = 70336,
  [SMALL_STATE(3257)] = 70446,
  [SMALL_STATE(3258)] = 70522,
  [SMALL_STATE(3259)] = 70596,
  [SMALL_STATE(3260)] = 70698,
  [SMALL_STATE(3261)] = 70796,
  [SMALL_STATE(3262)] = 70890,
  [SMALL_STATE(3263)] = 70982,
  [SMALL_STATE(3264)] = 71070,
  [SMALL_STATE(3265)] = 71156,
  [SMALL_STATE(3266)] = 71238,
  [SMALL_STATE(3267)] = 71316,
  [SMALL_STATE(3268)] = 71396,
  [SMALL_STATE(3269)] = 71470,
  [SMALL_STATE(3270)] = 71576,
  [SMALL_STATE(3271)] = 71686,
  [SMALL_STATE(3272)] = 71792,
  [SMALL_STATE(3273)] = 71902,
  [SMALL_STATE(3274)] = 71962,
  [SMALL_STATE(3275)] = 72022,
  [SMALL_STATE(3276)] = 72082,
  [SMALL_STATE(3277)] = 72144,
  [SMALL_STATE(3278)] = 72204,
  [SMALL_STATE(3279)] = 72264,
  [SMALL_STATE(3280)] = 72324,
  [SMALL_STATE(3281)] = 72480,
  [SMALL_STATE(3282)] = 72540,
  [SMALL_STATE(3283)] = 72614,
  [SMALL_STATE(3284)] = 72674,
  [SMALL_STATE(3285)] = 72738,
  [SMALL_STATE(3286)] = 72852,
  [SMALL_STATE(3287)] = 72964,
  [SMALL_STATE(3288)] = 73072,
  [SMALL_STATE(3289)] = 73138,
  [SMALL_STATE(3290)] = 73210,
  [SMALL_STATE(3291)] = 73278,
  [SMALL_STATE(3292)] = 73434,
  [SMALL_STATE(3293)] = 73496,
  [SMALL_STATE(3294)] = 73556,
  [SMALL_STATE(3295)] = 73636,
  [SMALL_STATE(3296)] = 73792,
  [SMALL_STATE(3297)] = 73896,
  [SMALL_STATE(3298)] = 73960,
  [SMALL_STATE(3299)] = 74020,
  [SMALL_STATE(3300)] = 74084,
  [SMALL_STATE(3301)] = 74240,
  [SMALL_STATE(3302)] = 74396,
  [SMALL_STATE(3303)] = 74474,
  [SMALL_STATE(3304)] = 74534,
  [SMALL_STATE(3305)] = 74648,
  [SMALL_STATE(3306)] = 74708,
  [SMALL_STATE(3307)] = 74864,
  [SMALL_STATE(3308)] = 74924,
  [SMALL_STATE(3309)] = 74986,
  [SMALL_STATE(3310)] = 75090,
  [SMALL_STATE(3311)] = 75149,
  [SMALL_STATE(3312)] = 75208,
  [SMALL_STATE(3313)] = 75267,
  [SMALL_STATE(3314)] = 75332,
  [SMALL_STATE(3315)] = 75393,
  [SMALL_STATE(3316)] = 75452,
  [SMALL_STATE(3317)] = 75511,
  [SMALL_STATE(3318)] = 75570,
  [SMALL_STATE(3319)] = 75629,
  [SMALL_STATE(3320)] = 75688,
  [SMALL_STATE(3321)] = 75747,
  [SMALL_STATE(3322)] = 75806,
  [SMALL_STATE(3323)] = 75865,
  [SMALL_STATE(3324)] = 75924,
  [SMALL_STATE(3325)] = 75983,
  [SMALL_STATE(3326)] = 76048,
  [SMALL_STATE(3327)] = 76107,
  [SMALL_STATE(3328)] = 76166,
  [SMALL_STATE(3329)] = 76225,
  [SMALL_STATE(3330)] = 76284,
  [SMALL_STATE(3331)] = 76343,
  [SMALL_STATE(3332)] = 76440,
  [SMALL_STATE(3333)] = 76537,
  [SMALL_STATE(3334)] = 76596,
  [SMALL_STATE(3335)] = 76655,
  [SMALL_STATE(3336)] = 76714,
  [SMALL_STATE(3337)] = 76773,
  [SMALL_STATE(3338)] = 76870,
  [SMALL_STATE(3339)] = 76929,
  [SMALL_STATE(3340)] = 76988,
  [SMALL_STATE(3341)] = 77085,
  [SMALL_STATE(3342)] = 77148,
  [SMALL_STATE(3343)] = 77207,
  [SMALL_STATE(3344)] = 77266,
  [SMALL_STATE(3345)] = 77325,
  [SMALL_STATE(3346)] = 77384,
  [SMALL_STATE(3347)] = 77443,
  [SMALL_STATE(3348)] = 77502,
  [SMALL_STATE(3349)] = 77567,
  [SMALL_STATE(3350)] = 77626,
  [SMALL_STATE(3351)] = 77685,
  [SMALL_STATE(3352)] = 77744,
  [SMALL_STATE(3353)] = 77803,
  [SMALL_STATE(3354)] = 77862,
  [SMALL_STATE(3355)] = 77921,
  [SMALL_STATE(3356)] = 77980,
  [SMALL_STATE(3357)] = 78039,
  [SMALL_STATE(3358)] = 78098,
  [SMALL_STATE(3359)] = 78157,
  [SMALL_STATE(3360)] = 78216,
  [SMALL_STATE(3361)] = 78275,
  [SMALL_STATE(3362)] = 78334,
  [SMALL_STATE(3363)] = 78393,
  [SMALL_STATE(3364)] = 78452,
  [SMALL_STATE(3365)] = 78511,
  [SMALL_STATE(3366)] = 78570,
  [SMALL_STATE(3367)] = 78629,
  [SMALL_STATE(3368)] = 78688,
  [SMALL_STATE(3369)] = 78747,
  [SMALL_STATE(3370)] = 78806,
  [SMALL_STATE(3371)] = 78865,
  [SMALL_STATE(3372)] = 78924,
  [SMALL_STATE(3373)] = 78983,
  [SMALL_STATE(3374)] = 79042,
  [SMALL_STATE(3375)] = 79101,
  [SMALL_STATE(3376)] = 79160,
  [SMALL_STATE(3377)] = 79219,
  [SMALL_STATE(3378)] = 79278,
  [SMALL_STATE(3379)] = 79337,
  [SMALL_STATE(3380)] = 79396,
  [SMALL_STATE(3381)] = 79455,
  [SMALL_STATE(3382)] = 79514,
  [SMALL_STATE(3383)] = 79573,
  [SMALL_STATE(3384)] = 79632,
  [SMALL_STATE(3385)] = 79729,
  [SMALL_STATE(3386)] = 79826,
  [SMALL_STATE(3387)] = 79885,
  [SMALL_STATE(3388)] = 79944,
  [SMALL_STATE(3389)] = 80003,
  [SMALL_STATE(3390)] = 80062,
  [SMALL_STATE(3391)] = 80121,
  [SMALL_STATE(3392)] = 80180,
  [SMALL_STATE(3393)] = 80239,
  [SMALL_STATE(3394)] = 80298,
  [SMALL_STATE(3395)] = 80357,
  [SMALL_STATE(3396)] = 80416,
  [SMALL_STATE(3397)] = 80475,
  [SMALL_STATE(3398)] = 80534,
  [SMALL_STATE(3399)] = 80593,
  [SMALL_STATE(3400)] = 80652,
  [SMALL_STATE(3401)] = 80719,
  [SMALL_STATE(3402)] = 80780,
  [SMALL_STATE(3403)] = 80843,
  [SMALL_STATE(3404)] = 80906,
  [SMALL_STATE(3405)] = 80965,
  [SMALL_STATE(3406)] = 81024,
  [SMALL_STATE(3407)] = 81083,
  [SMALL_STATE(3408)] = 81142,
  [SMALL_STATE(3409)] = 81201,
  [SMALL_STATE(3410)] = 81260,
  [SMALL_STATE(3411)] = 81329,
  [SMALL_STATE(3412)] = 81388,
  [SMALL_STATE(3413)] = 81451,
  [SMALL_STATE(3414)] = 81510,
  [SMALL_STATE(3415)] = 81573,
  [SMALL_STATE(3416)] = 81632,
  [SMALL_STATE(3417)] = 81691,
  [SMALL_STATE(3418)] = 81754,
  [SMALL_STATE(3419)] = 81817,
  [SMALL_STATE(3420)] = 81876,
  [SMALL_STATE(3421)] = 81935,
  [SMALL_STATE(3422)] = 81994,
  [SMALL_STATE(3423)] = 82057,
  [SMALL_STATE(3424)] = 82120,
  [SMALL_STATE(3425)] = 82183,
  [SMALL_STATE(3426)] = 82246,
  [SMALL_STATE(3427)] = 82309,
  [SMALL_STATE(3428)] = 82368,
  [SMALL_STATE(3429)] = 82431,
  [SMALL_STATE(3430)] = 82496,
  [SMALL_STATE(3431)] = 82559,
  [SMALL_STATE(3432)] = 82622,
  [SMALL_STATE(3433)] = 82681,
  [SMALL_STATE(3434)] = 82740,
  [SMALL_STATE(3435)] = 82799,
  [SMALL_STATE(3436)] = 82858,
  [SMALL_STATE(3437)] = 82971,
  [SMALL_STATE(3438)] = 83030,
  [SMALL_STATE(3439)] = 83089,
  [SMALL_STATE(3440)] = 83148,
  [SMALL_STATE(3441)] = 83207,
  [SMALL_STATE(3442)] = 83276,
  [SMALL_STATE(3443)] = 83335,
  [SMALL_STATE(3444)] = 83394,
  [SMALL_STATE(3445)] = 83453,
  [SMALL_STATE(3446)] = 83512,
  [SMALL_STATE(3447)] = 83571,
  [SMALL_STATE(3448)] = 83636,
  [SMALL_STATE(3449)] = 83701,
  [SMALL_STATE(3450)] = 83760,
  [SMALL_STATE(3451)] = 83873,
  [SMALL_STATE(3452)] = 83932,
  [SMALL_STATE(3453)] = 83991,
  [SMALL_STATE(3454)] = 84104,
  [SMALL_STATE(3455)] = 84163,
  [SMALL_STATE(3456)] = 84222,
  [SMALL_STATE(3457)] = 84281,
  [SMALL_STATE(3458)] = 84346,
  [SMALL_STATE(3459)] = 84405,
  [SMALL_STATE(3460)] = 84464,
  [SMALL_STATE(3461)] = 84527,
  [SMALL_STATE(3462)] = 84586,
  [SMALL_STATE(3463)] = 84645,
  [SMALL_STATE(3464)] = 84712,
  [SMALL_STATE(3465)] = 84779,
  [SMALL_STATE(3466)] = 84892,
  [SMALL_STATE(3467)] = 84961,
  [SMALL_STATE(3468)] = 85030,
  [SMALL_STATE(3469)] = 85143,
  [SMALL_STATE(3470)] = 85202,
  [SMALL_STATE(3471)] = 85261,
  [SMALL_STATE(3472)] = 85320,
  [SMALL_STATE(3473)] = 85379,
  [SMALL_STATE(3474)] = 85438,
  [SMALL_STATE(3475)] = 85497,
  [SMALL_STATE(3476)] = 85556,
  [SMALL_STATE(3477)] = 85625,
  [SMALL_STATE(3478)] = 85684,
  [SMALL_STATE(3479)] = 85745,
  [SMALL_STATE(3480)] = 85804,
  [SMALL_STATE(3481)] = 85863,
  [SMALL_STATE(3482)] = 85924,
  [SMALL_STATE(3483)] = 85983,
  [SMALL_STATE(3484)] = 86042,
  [SMALL_STATE(3485)] = 86101,
  [SMALL_STATE(3486)] = 86160,
  [SMALL_STATE(3487)] = 86219,
  [SMALL_STATE(3488)] = 86278,
  [SMALL_STATE(3489)] = 86337,
  [SMALL_STATE(3490)] = 86396,
  [SMALL_STATE(3491)] = 86455,
  [SMALL_STATE(3492)] = 86514,
  [SMALL_STATE(3493)] = 86581,
  [SMALL_STATE(3494)] = 86640,
  [SMALL_STATE(3495)] = 86703,
  [SMALL_STATE(3496)] = 86761,
  [SMALL_STATE(3497)] = 86819,
  [SMALL_STATE(3498)] = 86877,
  [SMALL_STATE(3499)] = 86935,
  [SMALL_STATE(3500)] = 86993,
  [SMALL_STATE(3501)] = 87051,
  [SMALL_STATE(3502)] = 87109,
  [SMALL_STATE(3503)] = 87171,
  [SMALL_STATE(3504)] = 87241,
  [SMALL_STATE(3505)] = 87299,
  [SMALL_STATE(3506)] = 87357,
  [SMALL_STATE(3507)] = 87415,
  [SMALL_STATE(3508)] = 87473,
  [SMALL_STATE(3509)] = 87531,
  [SMALL_STATE(3510)] = 87589,
  [SMALL_STATE(3511)] = 87647,
  [SMALL_STATE(3512)] = 87705,
  [SMALL_STATE(3513)] = 87763,
  [SMALL_STATE(3514)] = 87825,
  [SMALL_STATE(3515)] = 87883,
  [SMALL_STATE(3516)] = 87989,
  [SMALL_STATE(3517)] = 88047,
  [SMALL_STATE(3518)] = 88105,
  [SMALL_STATE(3519)] = 88163,
  [SMALL_STATE(3520)] = 88221,
  [SMALL_STATE(3521)] = 88279,
  [SMALL_STATE(3522)] = 88349,
  [SMALL_STATE(3523)] = 88407,
  [SMALL_STATE(3524)] = 88465,
  [SMALL_STATE(3525)] = 88571,
  [SMALL_STATE(3526)] = 88629,
  [SMALL_STATE(3527)] = 88687,
  [SMALL_STATE(3528)] = 88745,
  [SMALL_STATE(3529)] = 88819,
  [SMALL_STATE(3530)] = 88891,
  [SMALL_STATE(3531)] = 88991,
  [SMALL_STATE(3532)] = 89089,
  [SMALL_STATE(3533)] = 89183,
  [SMALL_STATE(3534)] = 89273,
  [SMALL_STATE(3535)] = 89359,
  [SMALL_STATE(3536)] = 89443,
  [SMALL_STATE(3537)] = 89523,
  [SMALL_STATE(3538)] = 89581,
  [SMALL_STATE(3539)] = 89657,
  [SMALL_STATE(3540)] = 89735,
  [SMALL_STATE(3541)] = 89805,
  [SMALL_STATE(3542)] = 89867,
  [SMALL_STATE(3543)] = 89925,
  [SMALL_STATE(3544)] = 89983,
  [SMALL_STATE(3545)] = 90041,
  [SMALL_STATE(3546)] = 90101,
  [SMALL_STATE(3547)] = 90159,
  [SMALL_STATE(3548)] = 90217,
  [SMALL_STATE(3549)] = 90277,
  [SMALL_STATE(3550)] = 90335,
  [SMALL_STATE(3551)] = 90393,
  [SMALL_STATE(3552)] = 90451,
  [SMALL_STATE(3553)] = 90553,
  [SMALL_STATE(3554)] = 90611,
  [SMALL_STATE(3555)] = 90683,
  [SMALL_STATE(3556)] = 90741,
  [SMALL_STATE(3557)] = 90843,
  [SMALL_STATE(3558)] = 90901,
  [SMALL_STATE(3559)] = 90963,
  [SMALL_STATE(3560)] = 91021,
  [SMALL_STATE(3561)] = 91081,
  [SMALL_STATE(3562)] = 91139,
  [SMALL_STATE(3563)] = 91211,
  [SMALL_STATE(3564)] = 91269,
  [SMALL_STATE(3565)] = 91327,
  [SMALL_STATE(3566)] = 91385,
  [SMALL_STATE(3567)] = 91443,
  [SMALL_STATE(3568)] = 91501,
  [SMALL_STATE(3569)] = 91603,
  [SMALL_STATE(3570)] = 91661,
  [SMALL_STATE(3571)] = 91733,
  [SMALL_STATE(3572)] = 91791,
  [SMALL_STATE(3573)] = 91849,
  [SMALL_STATE(3574)] = 91907,
  [SMALL_STATE(3575)] = 91965,
  [SMALL_STATE(3576)] = 92023,
  [SMALL_STATE(3577)] = 92125,
  [SMALL_STATE(3578)] = 92183,
  [SMALL_STATE(3579)] = 92241,
  [SMALL_STATE(3580)] = 92299,
  [SMALL_STATE(3581)] = 92357,
  [SMALL_STATE(3582)] = 92415,
  [SMALL_STATE(3583)] = 92473,
  [SMALL_STATE(3584)] = 92531,
  [SMALL_STATE(3585)] = 92593,
  [SMALL_STATE(3586)] = 92651,
  [SMALL_STATE(3587)] = 92709,
  [SMALL_STATE(3588)] = 92771,
  [SMALL_STATE(3589)] = 92829,
  [SMALL_STATE(3590)] = 92887,
  [SMALL_STATE(3591)] = 92951,
  [SMALL_STATE(3592)] = 93015,
  [SMALL_STATE(3593)] = 93073,
  [SMALL_STATE(3594)] = 93131,
  [SMALL_STATE(3595)] = 93189,
  [SMALL_STATE(3596)] = 93247,
  [SMALL_STATE(3597)] = 93311,
  [SMALL_STATE(3598)] = 93371,
  [SMALL_STATE(3599)] = 93435,
  [SMALL_STATE(3600)] = 93499,
  [SMALL_STATE(3601)] = 93563,
  [SMALL_STATE(3602)] = 93627,
  [SMALL_STATE(3603)] = 93691,
  [SMALL_STATE(3604)] = 93755,
  [SMALL_STATE(3605)] = 93819,
  [SMALL_STATE(3606)] = 93883,
  [SMALL_STATE(3607)] = 93947,
  [SMALL_STATE(3608)] = 94005,
  [SMALL_STATE(3609)] = 94071,
  [SMALL_STATE(3610)] = 94129,
  [SMALL_STATE(3611)] = 94187,
  [SMALL_STATE(3612)] = 94245,
  [SMALL_STATE(3613)] = 94307,
  [SMALL_STATE(3614)] = 94365,
  [SMALL_STATE(3615)] = 94423,
  [SMALL_STATE(3616)] = 94481,
  [SMALL_STATE(3617)] = 94587,
  [SMALL_STATE(3618)] = 94645,
  [SMALL_STATE(3619)] = 94703,
  [SMALL_STATE(3620)] = 94777,
  [SMALL_STATE(3621)] = 94835,
  [SMALL_STATE(3622)] = 94893,
  [SMALL_STATE(3623)] = 94951,
  [SMALL_STATE(3624)] = 95009,
  [SMALL_STATE(3625)] = 95067,
  [SMALL_STATE(3626)] = 95129,
  [SMALL_STATE(3627)] = 95187,
  [SMALL_STATE(3628)] = 95245,
  [SMALL_STATE(3629)] = 95303,
  [SMALL_STATE(3630)] = 95363,
  [SMALL_STATE(3631)] = 95421,
  [SMALL_STATE(3632)] = 95479,
  [SMALL_STATE(3633)] = 95549,
  [SMALL_STATE(3634)] = 95607,
  [SMALL_STATE(3635)] = 95665,
  [SMALL_STATE(3636)] = 95723,
  [SMALL_STATE(3637)] = 95781,
  [SMALL_STATE(3638)] = 95839,
  [SMALL_STATE(3639)] = 95905,
  [SMALL_STATE(3640)] = 95975,
  [SMALL_STATE(3641)] = 96033,
  [SMALL_STATE(3642)] = 96091,
  [SMALL_STATE(3643)] = 96153,
  [SMALL_STATE(3644)] = 96211,
  [SMALL_STATE(3645)] = 96313,
  [SMALL_STATE(3646)] = 96371,
  [SMALL_STATE(3647)] = 96429,
  [SMALL_STATE(3648)] = 96487,
  [SMALL_STATE(3649)] = 96593,
  [SMALL_STATE(3650)] = 96651,
  [SMALL_STATE(3651)] = 96709,
  [SMALL_STATE(3652)] = 96812,
  [SMALL_STATE(3653)] = 96869,
  [SMALL_STATE(3654)] = 96972,
  [SMALL_STATE(3655)] = 97037,
  [SMALL_STATE(3656)] = 97140,
  [SMALL_STATE(3657)] = 97243,
  [SMALL_STATE(3658)] = 97300,
  [SMALL_STATE(3659)] = 97403,
  [SMALL_STATE(3660)] = 97460,
  [SMALL_STATE(3661)] = 97517,
  [SMALL_STATE(3662)] = 97588,
  [SMALL_STATE(3663)] = 97691,
  [SMALL_STATE(3664)] = 97794,
  [SMALL_STATE(3665)] = 97851,
  [SMALL_STATE(3666)] = 97954,
  [SMALL_STATE(3667)] = 98057,
  [SMALL_STATE(3668)] = 98128,
  [SMALL_STATE(3669)] = 98231,
  [SMALL_STATE(3670)] = 98288,
  [SMALL_STATE(3671)] = 98391,
  [SMALL_STATE(3672)] = 98494,
  [SMALL_STATE(3673)] = 98597,
  [SMALL_STATE(3674)] = 98700,
  [SMALL_STATE(3675)] = 98803,
  [SMALL_STATE(3676)] = 98906,
  [SMALL_STATE(3677)] = 98977,
  [SMALL_STATE(3678)] = 99080,
  [SMALL_STATE(3679)] = 99143,
  [SMALL_STATE(3680)] = 99246,
  [SMALL_STATE(3681)] = 99349,
  [SMALL_STATE(3682)] = 99406,
  [SMALL_STATE(3683)] = 99475,
  [SMALL_STATE(3684)] = 99536,
  [SMALL_STATE(3685)] = 99639,
  [SMALL_STATE(3686)] = 99742,
  [SMALL_STATE(3687)] = 99799,
  [SMALL_STATE(3688)] = 99868,
  [SMALL_STATE(3689)] = 99971,
  [SMALL_STATE(3690)] = 100074,
  [SMALL_STATE(3691)] = 100177,
  [SMALL_STATE(3692)] = 100280,
  [SMALL_STATE(3693)] = 100383,
  [SMALL_STATE(3694)] = 100486,
  [SMALL_STATE(3695)] = 100589,
  [SMALL_STATE(3696)] = 100684,
  [SMALL_STATE(3697)] = 100787,
  [SMALL_STATE(3698)] = 100890,
  [SMALL_STATE(3699)] = 100993,
  [SMALL_STATE(3700)] = 101054,
  [SMALL_STATE(3701)] = 101157,
  [SMALL_STATE(3702)] = 101260,
  [SMALL_STATE(3703)] = 101363,
  [SMALL_STATE(3704)] = 101420,
  [SMALL_STATE(3705)] = 101523,
  [SMALL_STATE(3706)] = 101626,
  [SMALL_STATE(3707)] = 101729,
  [SMALL_STATE(3708)] = 101832,
  [SMALL_STATE(3709)] = 101935,
  [SMALL_STATE(3710)] = 102038,
  [SMALL_STATE(3711)] = 102141,
  [SMALL_STATE(3712)] = 102244,
  [SMALL_STATE(3713)] = 102347,
  [SMALL_STATE(3714)] = 102410,
  [SMALL_STATE(3715)] = 102513,
  [SMALL_STATE(3716)] = 102570,
  [SMALL_STATE(3717)] = 102673,
  [SMALL_STATE(3718)] = 102730,
  [SMALL_STATE(3719)] = 102833,
  [SMALL_STATE(3720)] = 102936,
  [SMALL_STATE(3721)] = 103039,
  [SMALL_STATE(3722)] = 103142,
  [SMALL_STATE(3723)] = 103201,
  [SMALL_STATE(3724)] = 103304,
  [SMALL_STATE(3725)] = 103407,
  [SMALL_STATE(3726)] = 103510,
  [SMALL_STATE(3727)] = 103567,
  [SMALL_STATE(3728)] = 103624,
  [SMALL_STATE(3729)] = 103727,
  [SMALL_STATE(3730)] = 103830,
  [SMALL_STATE(3731)] = 103933,
  [SMALL_STATE(3732)] = 103994,
  [SMALL_STATE(3733)] = 104051,
  [SMALL_STATE(3734)] = 104110,
  [SMALL_STATE(3735)] = 104213,
  [SMALL_STATE(3736)] = 104270,
  [SMALL_STATE(3737)] = 104373,
  [SMALL_STATE(3738)] = 104476,
  [SMALL_STATE(3739)] = 104579,
  [SMALL_STATE(3740)] = 104682,
  [SMALL_STATE(3741)] = 104785,
  [SMALL_STATE(3742)] = 104888,
  [SMALL_STATE(3743)] = 104991,
  [SMALL_STATE(3744)] = 105062,
  [SMALL_STATE(3745)] = 105165,
  [SMALL_STATE(3746)] = 105268,
  [SMALL_STATE(3747)] = 105371,
  [SMALL_STATE(3748)] = 105474,
  [SMALL_STATE(3749)] = 105577,
  [SMALL_STATE(3750)] = 105640,
  [SMALL_STATE(3751)] = 105743,
  [SMALL_STATE(3752)] = 105846,
  [SMALL_STATE(3753)] = 105949,
  [SMALL_STATE(3754)] = 106052,
  [SMALL_STATE(3755)] = 106147,
  [SMALL_STATE(3756)] = 106250,
  [SMALL_STATE(3757)] = 106313,
  [SMALL_STATE(3758)] = 106371,
  [SMALL_STATE(3759)] = 106471,
  [SMALL_STATE(3760)] = 106527,
  [SMALL_STATE(3761)] = 106583,
  [SMALL_STATE(3762)] = 106683,
  [SMALL_STATE(3763)] = 106739,
  [SMALL_STATE(3764)] = 106795,
  [SMALL_STATE(3765)] = 106851,
  [SMALL_STATE(3766)] = 106907,
  [SMALL_STATE(3767)] = 106963,
  [SMALL_STATE(3768)] = 107019,
  [SMALL_STATE(3769)] = 107119,
  [SMALL_STATE(3770)] = 107175,
  [SMALL_STATE(3771)] = 107235,
  [SMALL_STATE(3772)] = 107291,
  [SMALL_STATE(3773)] = 107347,
  [SMALL_STATE(3774)] = 107403,
  [SMALL_STATE(3775)] = 107459,
  [SMALL_STATE(3776)] = 107519,
  [SMALL_STATE(3777)] = 107619,
  [SMALL_STATE(3778)] = 107711,
  [SMALL_STATE(3779)] = 107767,
  [SMALL_STATE(3780)] = 107823,
  [SMALL_STATE(3781)] = 107923,
  [SMALL_STATE(3782)] = 107979,
  [SMALL_STATE(3783)] = 108035,
  [SMALL_STATE(3784)] = 108091,
  [SMALL_STATE(3785)] = 108147,
  [SMALL_STATE(3786)] = 108203,
  [SMALL_STATE(3787)] = 108259,
  [SMALL_STATE(3788)] = 108315,
  [SMALL_STATE(3789)] = 108415,
  [SMALL_STATE(3790)] = 108471,
  [SMALL_STATE(3791)] = 108543,
  [SMALL_STATE(3792)] = 108599,
  [SMALL_STATE(3793)] = 108655,
  [SMALL_STATE(3794)] = 108719,
  [SMALL_STATE(3795)] = 108775,
  [SMALL_STATE(3796)] = 108831,
  [SMALL_STATE(3797)] = 108887,
  [SMALL_STATE(3798)] = 108943,
  [SMALL_STATE(3799)] = 108999,
  [SMALL_STATE(3800)] = 109063,
  [SMALL_STATE(3801)] = 109119,
  [SMALL_STATE(3802)] = 109175,
  [SMALL_STATE(3803)] = 109231,
  [SMALL_STATE(3804)] = 109303,
  [SMALL_STATE(3805)] = 109359,
  [SMALL_STATE(3806)] = 109459,
  [SMALL_STATE(3807)] = 109515,
  [SMALL_STATE(3808)] = 109571,
  [SMALL_STATE(3809)] = 109627,
  [SMALL_STATE(3810)] = 109683,
  [SMALL_STATE(3811)] = 109739,
  [SMALL_STATE(3812)] = 109795,
  [SMALL_STATE(3813)] = 109867,
  [SMALL_STATE(3814)] = 109923,
  [SMALL_STATE(3815)] = 110023,
  [SMALL_STATE(3816)] = 110093,
  [SMALL_STATE(3817)] = 110163,
  [SMALL_STATE(3818)] = 110219,
  [SMALL_STATE(3819)] = 110319,
  [SMALL_STATE(3820)] = 110391,
  [SMALL_STATE(3821)] = 110491,
  [SMALL_STATE(3822)] = 110547,
  [SMALL_STATE(3823)] = 110641,
  [SMALL_STATE(3824)] = 110735,
  [SMALL_STATE(3825)] = 110791,
  [SMALL_STATE(3826)] = 110855,
  [SMALL_STATE(3827)] = 110911,
  [SMALL_STATE(3828)] = 111011,
  [SMALL_STATE(3829)] = 111067,
  [SMALL_STATE(3830)] = 111123,
  [SMALL_STATE(3831)] = 111179,
  [SMALL_STATE(3832)] = 111235,
  [SMALL_STATE(3833)] = 111335,
  [SMALL_STATE(3834)] = 111435,
  [SMALL_STATE(3835)] = 111535,
  [SMALL_STATE(3836)] = 111591,
  [SMALL_STATE(3837)] = 111655,
  [SMALL_STATE(3838)] = 111755,
  [SMALL_STATE(3839)] = 111825,
  [SMALL_STATE(3840)] = 111881,
  [SMALL_STATE(3841)] = 111937,
  [SMALL_STATE(3842)] = 111993,
  [SMALL_STATE(3843)] = 112049,
  [SMALL_STATE(3844)] = 112105,
  [SMALL_STATE(3845)] = 112161,
  [SMALL_STATE(3846)] = 112217,
  [SMALL_STATE(3847)] = 112273,
  [SMALL_STATE(3848)] = 112329,
  [SMALL_STATE(3849)] = 112385,
  [SMALL_STATE(3850)] = 112441,
  [SMALL_STATE(3851)] = 112497,
  [SMALL_STATE(3852)] = 112553,
  [SMALL_STATE(3853)] = 112609,
  [SMALL_STATE(3854)] = 112665,
  [SMALL_STATE(3855)] = 112721,
  [SMALL_STATE(3856)] = 112821,
  [SMALL_STATE(3857)] = 112877,
  [SMALL_STATE(3858)] = 112933,
  [SMALL_STATE(3859)] = 112989,
  [SMALL_STATE(3860)] = 113045,
  [SMALL_STATE(3861)] = 113101,
  [SMALL_STATE(3862)] = 113157,
  [SMALL_STATE(3863)] = 113213,
  [SMALL_STATE(3864)] = 113269,
  [SMALL_STATE(3865)] = 113325,
  [SMALL_STATE(3866)] = 113381,
  [SMALL_STATE(3867)] = 113473,
  [SMALL_STATE(3868)] = 113573,
  [SMALL_STATE(3869)] = 113629,
  [SMALL_STATE(3870)] = 113729,
  [SMALL_STATE(3871)] = 113785,
  [SMALL_STATE(3872)] = 113841,
  [SMALL_STATE(3873)] = 113897,
  [SMALL_STATE(3874)] = 113953,
  [SMALL_STATE(3875)] = 114009,
  [SMALL_STATE(3876)] = 114065,
  [SMALL_STATE(3877)] = 114121,
  [SMALL_STATE(3878)] = 114177,
  [SMALL_STATE(3879)] = 114233,
  [SMALL_STATE(3880)] = 114289,
  [SMALL_STATE(3881)] = 114355,
  [SMALL_STATE(3882)] = 114455,
  [SMALL_STATE(3883)] = 114511,
  [SMALL_STATE(3884)] = 114611,
  [SMALL_STATE(3885)] = 114682,
  [SMALL_STATE(3886)] = 114791,
  [SMALL_STATE(3887)] = 114850,
  [SMALL_STATE(3888)] = 114943,
  [SMALL_STATE(3889)] = 115002,
  [SMALL_STATE(3890)] = 115057,
  [SMALL_STATE(3891)] = 115148,
  [SMALL_STATE(3892)] = 115241,
  [SMALL_STATE(3893)] = 115334,
  [SMALL_STATE(3894)] = 115393,
  [SMALL_STATE(3895)] = 115486,
  [SMALL_STATE(3896)] = 115545,
  [SMALL_STATE(3897)] = 115604,
  [SMALL_STATE(3898)] = 115697,
  [SMALL_STATE(3899)] = 115790,
  [SMALL_STATE(3900)] = 115861,
  [SMALL_STATE(3901)] = 115954,
  [SMALL_STATE(3902)] = 116047,
  [SMALL_STATE(3903)] = 116106,
  [SMALL_STATE(3904)] = 116199,
  [SMALL_STATE(3905)] = 116292,
  [SMALL_STATE(3906)] = 116385,
  [SMALL_STATE(3907)] = 116456,
  [SMALL_STATE(3908)] = 116511,
  [SMALL_STATE(3909)] = 116566,
  [SMALL_STATE(3910)] = 116659,
  [SMALL_STATE(3911)] = 116718,
  [SMALL_STATE(3912)] = 116777,
  [SMALL_STATE(3913)] = 116886,
  [SMALL_STATE(3914)] = 116945,
  [SMALL_STATE(3915)] = 117016,
  [SMALL_STATE(3916)] = 117075,
  [SMALL_STATE(3917)] = 117144,
  [SMALL_STATE(3918)] = 117215,
  [SMALL_STATE(3919)] = 117308,
  [SMALL_STATE(3920)] = 117369,
  [SMALL_STATE(3921)] = 117438,
  [SMALL_STATE(3922)] = 117497,
  [SMALL_STATE(3923)] = 117556,
  [SMALL_STATE(3924)] = 117649,
  [SMALL_STATE(3925)] = 117704,
  [SMALL_STATE(3926)] = 117797,
  [SMALL_STATE(3927)] = 117888,
  [SMALL_STATE(3928)] = 117959,
  [SMALL_STATE(3929)] = 118052,
  [SMALL_STATE(3930)] = 118145,
  [SMALL_STATE(3931)] = 118238,
  [SMALL_STATE(3932)] = 118331,
  [SMALL_STATE(3933)] = 118424,
  [SMALL_STATE(3934)] = 118495,
  [SMALL_STATE(3935)] = 118588,
  [SMALL_STATE(3936)] = 118648,
  [SMALL_STATE(3937)] = 118736,
  [SMALL_STATE(3938)] = 118824,
  [SMALL_STATE(3939)] = 118878,
  [SMALL_STATE(3940)] = 118968,
  [SMALL_STATE(3941)] = 119022,
  [SMALL_STATE(3942)] = 119112,
  [SMALL_STATE(3943)] = 119200,
  [SMALL_STATE(3944)] = 119264,
  [SMALL_STATE(3945)] = 119328,
  [SMALL_STATE(3946)] = 119382,
  [SMALL_STATE(3947)] = 119472,
  [SMALL_STATE(3948)] = 119532,
  [SMALL_STATE(3949)] = 119620,
  [SMALL_STATE(3950)] = 119674,
  [SMALL_STATE(3951)] = 119734,
  [SMALL_STATE(3952)] = 119794,
  [SMALL_STATE(3953)] = 119886,
  [SMALL_STATE(3954)] = 119978,
  [SMALL_STATE(3955)] = 120046,
  [SMALL_STATE(3956)] = 120134,
  [SMALL_STATE(3957)] = 120222,
  [SMALL_STATE(3958)] = 120276,
  [SMALL_STATE(3959)] = 120336,
  [SMALL_STATE(3960)] = 120390,
  [SMALL_STATE(3961)] = 120444,
  [SMALL_STATE(3962)] = 120536,
  [SMALL_STATE(3963)] = 120590,
  [SMALL_STATE(3964)] = 120680,
  [SMALL_STATE(3965)] = 120740,
  [SMALL_STATE(3966)] = 120832,
  [SMALL_STATE(3967)] = 120921,
  [SMALL_STATE(3968)] = 121010,
  [SMALL_STATE(3969)] = 121099,
  [SMALL_STATE(3970)] = 121188,
  [SMALL_STATE(3971)] = 121277,
  [SMALL_STATE(3972)] = 121336,
  [SMALL_STATE(3973)] = 121425,
  [SMALL_STATE(3974)] = 121514,
  [SMALL_STATE(3975)] = 121577,
  [SMALL_STATE(3976)] = 121666,
  [SMALL_STATE(3977)] = 121755,
  [SMALL_STATE(3978)] = 121844,
  [SMALL_STATE(3979)] = 121933,
  [SMALL_STATE(3980)] = 122022,
  [SMALL_STATE(3981)] = 122105,
  [SMALL_STATE(3982)] = 122160,
  [SMALL_STATE(3983)] = 122249,
  [SMALL_STATE(3984)] = 122338,
  [SMALL_STATE(3985)] = 122427,
  [SMALL_STATE(3986)] = 122516,
  [SMALL_STATE(3987)] = 122605,
  [SMALL_STATE(3988)] = 122694,
  [SMALL_STATE(3989)] = 122783,
  [SMALL_STATE(3990)] = 122850,
  [SMALL_STATE(3991)] = 122917,
  [SMALL_STATE(3992)] = 122970,
  [SMALL_STATE(3993)] = 123059,
  [SMALL_STATE(3994)] = 123148,
  [SMALL_STATE(3995)] = 123237,
  [SMALL_STATE(3996)] = 123300,
  [SMALL_STATE(3997)] = 123389,
  [SMALL_STATE(3998)] = 123478,
  [SMALL_STATE(3999)] = 123567,
  [SMALL_STATE(4000)] = 123656,
  [SMALL_STATE(4001)] = 123745,
  [SMALL_STATE(4002)] = 123798,
  [SMALL_STATE(4003)] = 123897,
  [SMALL_STATE(4004)] = 123986,
  [SMALL_STATE(4005)] = 124075,
  [SMALL_STATE(4006)] = 124128,
  [SMALL_STATE(4007)] = 124193,
  [SMALL_STATE(4008)] = 124282,
  [SMALL_STATE(4009)] = 124341,
  [SMALL_STATE(4010)] = 124430,
  [SMALL_STATE(4011)] = 124519,
  [SMALL_STATE(4012)] = 124578,
  [SMALL_STATE(4013)] = 124661,
  [SMALL_STATE(4014)] = 124717,
  [SMALL_STATE(4015)] = 124785,
  [SMALL_STATE(4016)] = 124849,
  [SMALL_STATE(4017)] = 124901,
  [SMALL_STATE(4018)] = 124953,
  [SMALL_STATE(4019)] = 125005,
  [SMALL_STATE(4020)] = 125057,
  [SMALL_STATE(4021)] = 125109,
  [SMALL_STATE(4022)] = 125177,
  [SMALL_STATE(4023)] = 125229,
  [SMALL_STATE(4024)] = 125315,
  [SMALL_STATE(4025)] = 125367,
  [SMALL_STATE(4026)] = 125419,
  [SMALL_STATE(4027)] = 125471,
  [SMALL_STATE(4028)] = 125523,
  [SMALL_STATE(4029)] = 125575,
  [SMALL_STATE(4030)] = 125627,
  [SMALL_STATE(4031)] = 125679,
  [SMALL_STATE(4032)] = 125747,
  [SMALL_STATE(4033)] = 125799,
  [SMALL_STATE(4034)] = 125885,
  [SMALL_STATE(4035)] = 125937,
  [SMALL_STATE(4036)] = 126003,
  [SMALL_STATE(4037)] = 126061,
  [SMALL_STATE(4038)] = 126113,
  [SMALL_STATE(4039)] = 126165,
  [SMALL_STATE(4040)] = 126217,
  [SMALL_STATE(4041)] = 126269,
  [SMALL_STATE(4042)] = 126321,
  [SMALL_STATE(4043)] = 126373,
  [SMALL_STATE(4044)] = 126425,
  [SMALL_STATE(4045)] = 126477,
  [SMALL_STATE(4046)] = 126529,
  [SMALL_STATE(4047)] = 126581,
  [SMALL_STATE(4048)] = 126633,
  [SMALL_STATE(4049)] = 126685,
  [SMALL_STATE(4050)] = 126737,
  [SMALL_STATE(4051)] = 126805,
  [SMALL_STATE(4052)] = 126857,
  [SMALL_STATE(4053)] = 126909,
  [SMALL_STATE(4054)] = 126961,
  [SMALL_STATE(4055)] = 127013,
  [SMALL_STATE(4056)] = 127065,
  [SMALL_STATE(4057)] = 127129,
  [SMALL_STATE(4058)] = 127181,
  [SMALL_STATE(4059)] = 127233,
  [SMALL_STATE(4060)] = 127301,
  [SMALL_STATE(4061)] = 127389,
  [SMALL_STATE(4062)] = 127477,
  [SMALL_STATE(4063)] = 127529,
  [SMALL_STATE(4064)] = 127581,
  [SMALL_STATE(4065)] = 127633,
  [SMALL_STATE(4066)] = 127701,
  [SMALL_STATE(4067)] = 127800,
  [SMALL_STATE(4068)] = 127867,
  [SMALL_STATE(4069)] = 127952,
  [SMALL_STATE(4070)] = 128025,
  [SMALL_STATE(4071)] = 128094,
  [SMALL_STATE(4072)] = 128145,
  [SMALL_STATE(4073)] = 128240,
  [SMALL_STATE(4074)] = 128325,
  [SMALL_STATE(4075)] = 128428,
  [SMALL_STATE(4076)] = 128531,
  [SMALL_STATE(4077)] = 128588,
  [SMALL_STATE(4078)] = 128679,
  [SMALL_STATE(4079)] = 128768,
  [SMALL_STATE(4080)] = 128847,
  [SMALL_STATE(4081)] = 128932,
  [SMALL_STATE(4082)] = 129011,
  [SMALL_STATE(4083)] = 129090,
  [SMALL_STATE(4084)] = 129147,
  [SMALL_STATE(4085)] = 129240,
  [SMALL_STATE(4086)] = 129319,
  [SMALL_STATE(4087)] = 129422,
  [SMALL_STATE(4088)] = 129505,
  [SMALL_STATE(4089)] = 129590,
  [SMALL_STATE(4090)] = 129673,
  [SMALL_STATE(4091)] = 129752,
  [SMALL_STATE(4092)] = 129803,
  [SMALL_STATE(4093)] = 129882,
  [SMALL_STATE(4094)] = 129969,
  [SMALL_STATE(4095)] = 130054,
  [SMALL_STATE(4096)] = 130141,
  [SMALL_STATE(4097)] = 130226,
  [SMALL_STATE(4098)] = 130311,
  [SMALL_STATE(4099)] = 130396,
  [SMALL_STATE(4100)] = 130457,
  [SMALL_STATE(4101)] = 130542,
  [SMALL_STATE(4102)] = 130627,
  [SMALL_STATE(4103)] = 130694,
  [SMALL_STATE(4104)] = 130793,
  [SMALL_STATE(4105)] = 130872,
  [SMALL_STATE(4106)] = 130929,
  [SMALL_STATE(4107)] = 131008,
  [SMALL_STATE(4108)] = 131107,
  [SMALL_STATE(4109)] = 131186,
  [SMALL_STATE(4110)] = 131269,
  [SMALL_STATE(4111)] = 131348,
  [SMALL_STATE(4112)] = 131407,
  [SMALL_STATE(4113)] = 131494,
  [SMALL_STATE(4114)] = 131581,
  [SMALL_STATE(4115)] = 131632,
  [SMALL_STATE(4116)] = 131719,
  [SMALL_STATE(4117)] = 131776,
  [SMALL_STATE(4118)] = 131875,
  [SMALL_STATE(4119)] = 131974,
  [SMALL_STATE(4120)] = 132053,
  [SMALL_STATE(4121)] = 132132,
  [SMALL_STATE(4122)] = 132207,
  [SMALL_STATE(4123)] = 132278,
  [SMALL_STATE(4124)] = 132365,
  [SMALL_STATE(4125)] = 132444,
  [SMALL_STATE(4126)] = 132511,
  [SMALL_STATE(4127)] = 132596,
  [SMALL_STATE(4128)] = 132699,
  [SMALL_STATE(4129)] = 132766,
  [SMALL_STATE(4130)] = 132825,
  [SMALL_STATE(4131)] = 132885,
  [SMALL_STATE(4132)] = 132939,
  [SMALL_STATE(4133)] = 133005,
  [SMALL_STATE(4134)] = 133079,
  [SMALL_STATE(4135)] = 133139,
  [SMALL_STATE(4136)] = 133193,
  [SMALL_STATE(4137)] = 133275,
  [SMALL_STATE(4138)] = 133329,
  [SMALL_STATE(4139)] = 133393,
  [SMALL_STATE(4140)] = 133467,
  [SMALL_STATE(4141)] = 133521,
  [SMALL_STATE(4142)] = 133581,
  [SMALL_STATE(4143)] = 133635,
  [SMALL_STATE(4144)] = 133741,
  [SMALL_STATE(4145)] = 133827,
  [SMALL_STATE(4146)] = 133901,
  [SMALL_STATE(4147)] = 133953,
  [SMALL_STATE(4148)] = 134005,
  [SMALL_STATE(4149)] = 134055,
  [SMALL_STATE(4150)] = 134107,
  [SMALL_STATE(4151)] = 134161,
  [SMALL_STATE(4152)] = 134215,
  [SMALL_STATE(4153)] = 134297,
  [SMALL_STATE(4154)] = 134351,
  [SMALL_STATE(4155)] = 134405,
  [SMALL_STATE(4156)] = 134469,
  [SMALL_STATE(4157)] = 134523,
  [SMALL_STATE(4158)] = 134577,
  [SMALL_STATE(4159)] = 134683,
  [SMALL_STATE(4160)] = 134769,
  [SMALL_STATE(4161)] = 134823,
  [SMALL_STATE(4162)] = 134883,
  [SMALL_STATE(4163)] = 134933,
  [SMALL_STATE(4164)] = 134999,
  [SMALL_STATE(4165)] = 135051,
  [SMALL_STATE(4166)] = 135105,
  [SMALL_STATE(4167)] = 135211,
  [SMALL_STATE(4168)] = 135265,
  [SMALL_STATE(4169)] = 135314,
  [SMALL_STATE(4170)] = 135399,
  [SMALL_STATE(4171)] = 135448,
  [SMALL_STATE(4172)] = 135533,
  [SMALL_STATE(4173)] = 135610,
  [SMALL_STATE(4174)] = 135659,
  [SMALL_STATE(4175)] = 135708,
  [SMALL_STATE(4176)] = 135785,
  [SMALL_STATE(4177)] = 135862,
  [SMALL_STATE(4178)] = 135939,
  [SMALL_STATE(4179)] = 136004,
  [SMALL_STATE(4180)] = 136053,
  [SMALL_STATE(4181)] = 136102,
  [SMALL_STATE(4182)] = 136151,
  [SMALL_STATE(4183)] = 136206,
  [SMALL_STATE(4184)] = 136287,
  [SMALL_STATE(4185)] = 136336,
  [SMALL_STATE(4186)] = 136391,
  [SMALL_STATE(4187)] = 136444,
  [SMALL_STATE(4188)] = 136535,
  [SMALL_STATE(4189)] = 136584,
  [SMALL_STATE(4190)] = 136637,
  [SMALL_STATE(4191)] = 136692,
  [SMALL_STATE(4192)] = 136749,
  [SMALL_STATE(4193)] = 136798,
  [SMALL_STATE(4194)] = 136849,
  [SMALL_STATE(4195)] = 136898,
  [SMALL_STATE(4196)] = 136979,
  [SMALL_STATE(4197)] = 137044,
  [SMALL_STATE(4198)] = 137111,
  [SMALL_STATE(4199)] = 137160,
  [SMALL_STATE(4200)] = 137241,
  [SMALL_STATE(4201)] = 137290,
  [SMALL_STATE(4202)] = 137339,
  [SMALL_STATE(4203)] = 137388,
  [SMALL_STATE(4204)] = 137471,
  [SMALL_STATE(4205)] = 137554,
  [SMALL_STATE(4206)] = 137603,
  [SMALL_STATE(4207)] = 137694,
  [SMALL_STATE(4208)] = 137743,
  [SMALL_STATE(4209)] = 137826,
  [SMALL_STATE(4210)] = 137875,
  [SMALL_STATE(4211)] = 137924,
  [SMALL_STATE(4212)] = 137977,
  [SMALL_STATE(4213)] = 138058,
  [SMALL_STATE(4214)] = 138113,
  [SMALL_STATE(4215)] = 138162,
  [SMALL_STATE(4216)] = 138211,
  [SMALL_STATE(4217)] = 138294,
  [SMALL_STATE(4218)] = 138356,
  [SMALL_STATE(4219)] = 138436,
  [SMALL_STATE(4220)] = 138530,
  [SMALL_STATE(4221)] = 138602,
  [SMALL_STATE(4222)] = 138692,
  [SMALL_STATE(4223)] = 138770,
  [SMALL_STATE(4224)] = 138828,
  [SMALL_STATE(4225)] = 138908,
  [SMALL_STATE(4226)] = 138988,
  [SMALL_STATE(4227)] = 139066,
  [SMALL_STATE(4228)] = 139140,
  [SMALL_STATE(4229)] = 139216,
  [SMALL_STATE(4230)] = 139290,
  [SMALL_STATE(4231)] = 139348,
  [SMALL_STATE(4232)] = 139422,
  [SMALL_STATE(4233)] = 139516,
  [SMALL_STATE(4234)] = 139608,
  [SMALL_STATE(4235)] = 139678,
  [SMALL_STATE(4236)] = 139774,
  [SMALL_STATE(4237)] = 139868,
  [SMALL_STATE(4238)] = 139916,
  [SMALL_STATE(4239)] = 139984,
  [SMALL_STATE(4240)] = 140080,
  [SMALL_STATE(4241)] = 140146,
  [SMALL_STATE(4242)] = 140238,
  [SMALL_STATE(4243)] = 140320,
  [SMALL_STATE(4244)] = 140368,
  [SMALL_STATE(4245)] = 140464,
  [SMALL_STATE(4246)] = 140540,
  [SMALL_STATE(4247)] = 140624,
  [SMALL_STATE(4248)] = 140720,
  [SMALL_STATE(4249)] = 140804,
  [SMALL_STATE(4250)] = 140866,
  [SMALL_STATE(4251)] = 140958,
  [SMALL_STATE(4252)] = 141028,
  [SMALL_STATE(4253)] = 141118,
  [SMALL_STATE(4254)] = 141218,
  [SMALL_STATE(4255)] = 141308,
  [SMALL_STATE(4256)] = 141382,
  [SMALL_STATE(4257)] = 141458,
  [SMALL_STATE(4258)] = 141506,
  [SMALL_STATE(4259)] = 141578,
  [SMALL_STATE(4260)] = 141654,
  [SMALL_STATE(4261)] = 141750,
  [SMALL_STATE(4262)] = 141830,
  [SMALL_STATE(4263)] = 141906,
  [SMALL_STATE(4264)] = 141982,
  [SMALL_STATE(4265)] = 142040,
  [SMALL_STATE(4266)] = 142106,
  [SMALL_STATE(4267)] = 142174,
  [SMALL_STATE(4268)] = 142222,
  [SMALL_STATE(4269)] = 142270,
  [SMALL_STATE(4270)] = 142360,
  [SMALL_STATE(4271)] = 142452,
  [SMALL_STATE(4272)] = 142538,
  [SMALL_STATE(4273)] = 142628,
  [SMALL_STATE(4274)] = 142720,
  [SMALL_STATE(4275)] = 142778,
  [SMALL_STATE(4276)] = 142866,
  [SMALL_STATE(4277)] = 142954,
  [SMALL_STATE(4278)] = 143038,
  [SMALL_STATE(4279)] = 143120,
  [SMALL_STATE(4280)] = 143204,
  [SMALL_STATE(4281)] = 143294,
  [SMALL_STATE(4282)] = 143391,
  [SMALL_STATE(4283)] = 143488,
  [SMALL_STATE(4284)] = 143585,
  [SMALL_STATE(4285)] = 143632,
  [SMALL_STATE(4286)] = 143697,
  [SMALL_STATE(4287)] = 143776,
  [SMALL_STATE(4288)] = 143823,
  [SMALL_STATE(4289)] = 143874,
  [SMALL_STATE(4290)] = 143971,
  [SMALL_STATE(4291)] = 144022,
  [SMALL_STATE(4292)] = 144119,
  [SMALL_STATE(4293)] = 144166,
  [SMALL_STATE(4294)] = 144213,
  [SMALL_STATE(4295)] = 144264,
  [SMALL_STATE(4296)] = 144361,
  [SMALL_STATE(4297)] = 144408,
  [SMALL_STATE(4298)] = 144459,
  [SMALL_STATE(4299)] = 144556,
  [SMALL_STATE(4300)] = 144603,
  [SMALL_STATE(4301)] = 144700,
  [SMALL_STATE(4302)] = 144757,
  [SMALL_STATE(4303)] = 144808,
  [SMALL_STATE(4304)] = 144905,
  [SMALL_STATE(4305)] = 144956,
  [SMALL_STATE(4306)] = 145053,
  [SMALL_STATE(4307)] = 145102,
  [SMALL_STATE(4308)] = 145199,
  [SMALL_STATE(4309)] = 145272,
  [SMALL_STATE(4310)] = 145369,
  [SMALL_STATE(4311)] = 145466,
  [SMALL_STATE(4312)] = 145519,
  [SMALL_STATE(4313)] = 145570,
  [SMALL_STATE(4314)] = 145667,
  [SMALL_STATE(4315)] = 145764,
  [SMALL_STATE(4316)] = 145813,
  [SMALL_STATE(4317)] = 145910,
  [SMALL_STATE(4318)] = 145983,
  [SMALL_STATE(4319)] = 146080,
  [SMALL_STATE(4320)] = 146137,
  [SMALL_STATE(4321)] = 146234,
  [SMALL_STATE(4322)] = 146331,
  [SMALL_STATE(4323)] = 146404,
  [SMALL_STATE(4324)] = 146501,
  [SMALL_STATE(4325)] = 146552,
  [SMALL_STATE(4326)] = 146649,
  [SMALL_STATE(4327)] = 146698,
  [SMALL_STATE(4328)] = 146793,
  [SMALL_STATE(4329)] = 146890,
  [SMALL_STATE(4330)] = 146941,
  [SMALL_STATE(4331)] = 146990,
  [SMALL_STATE(4332)] = 147037,
  [SMALL_STATE(4333)] = 147088,
  [SMALL_STATE(4334)] = 147167,
  [SMALL_STATE(4335)] = 147220,
  [SMALL_STATE(4336)] = 147317,
  [SMALL_STATE(4337)] = 147414,
  [SMALL_STATE(4338)] = 147511,
  [SMALL_STATE(4339)] = 147608,
  [SMALL_STATE(4340)] = 147705,
  [SMALL_STATE(4341)] = 147800,
  [SMALL_STATE(4342)] = 147897,
  [SMALL_STATE(4343)] = 147946,
  [SMALL_STATE(4344)] = 148043,
  [SMALL_STATE(4345)] = 148140,
  [SMALL_STATE(4346)] = 148213,
  [SMALL_STATE(4347)] = 148310,
  [SMALL_STATE(4348)] = 148407,
  [SMALL_STATE(4349)] = 148504,
  [SMALL_STATE(4350)] = 148557,
  [SMALL_STATE(4351)] = 148654,
  [SMALL_STATE(4352)] = 148707,
  [SMALL_STATE(4353)] = 148804,
  [SMALL_STATE(4354)] = 148857,
  [SMALL_STATE(4355)] = 148908,
  [SMALL_STATE(4356)] = 148955,
  [SMALL_STATE(4357)] = 149052,
  [SMALL_STATE(4358)] = 149109,
  [SMALL_STATE(4359)] = 149162,
  [SMALL_STATE(4360)] = 149259,
  [SMALL_STATE(4361)] = 149356,
  [SMALL_STATE(4362)] = 149453,
  [SMALL_STATE(4363)] = 149550,
  [SMALL_STATE(4364)] = 149601,
  [SMALL_STATE(4365)] = 149652,
  [SMALL_STATE(4366)] = 149699,
  [SMALL_STATE(4367)] = 149796,
  [SMALL_STATE(4368)] = 149843,
  [SMALL_STATE(4369)] = 149940,
  [SMALL_STATE(4370)] = 150018,
  [SMALL_STATE(4371)] = 150076,
  [SMALL_STATE(4372)] = 150164,
  [SMALL_STATE(4373)] = 150258,
  [SMALL_STATE(4374)] = 150318,
  [SMALL_STATE(4375)] = 150378,
  [SMALL_STATE(4376)] = 150466,
  [SMALL_STATE(4377)] = 150524,
  [SMALL_STATE(4378)] = 150618,
  [SMALL_STATE(4379)] = 150706,
  [SMALL_STATE(4380)] = 150798,
  [SMALL_STATE(4381)] = 150890,
  [SMALL_STATE(4382)] = 150950,
  [SMALL_STATE(4383)] = 151010,
  [SMALL_STATE(4384)] = 151074,
  [SMALL_STATE(4385)] = 151134,
  [SMALL_STATE(4386)] = 151220,
  [SMALL_STATE(4387)] = 151304,
  [SMALL_STATE(4388)] = 151386,
  [SMALL_STATE(4389)] = 151466,
  [SMALL_STATE(4390)] = 151542,
  [SMALL_STATE(4391)] = 151616,
  [SMALL_STATE(4392)] = 151688,
  [SMALL_STATE(4393)] = 151754,
  [SMALL_STATE(4394)] = 151824,
  [SMALL_STATE(4395)] = 151870,
  [SMALL_STATE(4396)] = 151930,
  [SMALL_STATE(4397)] = 152018,
  [SMALL_STATE(4398)] = 152110,
  [SMALL_STATE(4399)] = 152198,
  [SMALL_STATE(4400)] = 152246,
  [SMALL_STATE(4401)] = 152296,
  [SMALL_STATE(4402)] = 152388,
  [SMALL_STATE(4403)] = 152480,
  [SMALL_STATE(4404)] = 152574,
  [SMALL_STATE(4405)] = 152668,
  [SMALL_STATE(4406)] = 152762,
  [SMALL_STATE(4407)] = 152856,
  [SMALL_STATE(4408)] = 152934,
  [SMALL_STATE(4409)] = 153028,
  [SMALL_STATE(4410)] = 153122,
  [SMALL_STATE(4411)] = 153216,
  [SMALL_STATE(4412)] = 153294,
  [SMALL_STATE(4413)] = 153346,
  [SMALL_STATE(4414)] = 153440,
  [SMALL_STATE(4415)] = 153534,
  [SMALL_STATE(4416)] = 153626,
  [SMALL_STATE(4417)] = 153720,
  [SMALL_STATE(4418)] = 153812,
  [SMALL_STATE(4419)] = 153864,
  [SMALL_STATE(4420)] = 153958,
  [SMALL_STATE(4421)] = 154010,
  [SMALL_STATE(4422)] = 154062,
  [SMALL_STATE(4423)] = 154156,
  [SMALL_STATE(4424)] = 154208,
  [SMALL_STATE(4425)] = 154300,
  [SMALL_STATE(4426)] = 154392,
  [SMALL_STATE(4427)] = 154464,
  [SMALL_STATE(4428)] = 154558,
  [SMALL_STATE(4429)] = 154630,
  [SMALL_STATE(4430)] = 154702,
  [SMALL_STATE(4431)] = 154774,
  [SMALL_STATE(4432)] = 154866,
  [SMALL_STATE(4433)] = 154958,
  [SMALL_STATE(4434)] = 155010,
  [SMALL_STATE(4435)] = 155062,
  [SMALL_STATE(4436)] = 155156,
  [SMALL_STATE(4437)] = 155208,
  [SMALL_STATE(4438)] = 155260,
  [SMALL_STATE(4439)] = 155354,
  [SMALL_STATE(4440)] = 155446,
  [SMALL_STATE(4441)] = 155538,
  [SMALL_STATE(4442)] = 155630,
  [SMALL_STATE(4443)] = 155702,
  [SMALL_STATE(4444)] = 155754,
  [SMALL_STATE(4445)] = 155848,
  [SMALL_STATE(4446)] = 155920,
  [SMALL_STATE(4447)] = 155992,
  [SMALL_STATE(4448)] = 156064,
  [SMALL_STATE(4449)] = 156156,
  [SMALL_STATE(4450)] = 156250,
  [SMALL_STATE(4451)] = 156324,
  [SMALL_STATE(4452)] = 156376,
  [SMALL_STATE(4453)] = 156470,
  [SMALL_STATE(4454)] = 156564,
  [SMALL_STATE(4455)] = 156638,
  [SMALL_STATE(4456)] = 156712,
  [SMALL_STATE(4457)] = 156764,
  [SMALL_STATE(4458)] = 156838,
  [SMALL_STATE(4459)] = 156890,
  [SMALL_STATE(4460)] = 156942,
  [SMALL_STATE(4461)] = 157016,
  [SMALL_STATE(4462)] = 157110,
  [SMALL_STATE(4463)] = 157184,
  [SMALL_STATE(4464)] = 157258,
  [SMALL_STATE(4465)] = 157332,
  [SMALL_STATE(4466)] = 157426,
  [SMALL_STATE(4467)] = 157520,
  [SMALL_STATE(4468)] = 157614,
  [SMALL_STATE(4469)] = 157666,
  [SMALL_STATE(4470)] = 157718,
  [SMALL_STATE(4471)] = 157812,
  [SMALL_STATE(4472)] = 157890,
  [SMALL_STATE(4473)] = 157982,
  [SMALL_STATE(4474)] = 158068,
  [SMALL_STATE(4475)] = 158124,
  [SMALL_STATE(4476)] = 158216,
  [SMALL_STATE(4477)] = 158304,
  [SMALL_STATE(4478)] = 158396,
  [SMALL_STATE(4479)] = 158490,
  [SMALL_STATE(4480)] = 158554,
  [SMALL_STATE(4481)] = 158640,
  [SMALL_STATE(4482)] = 158724,
  [SMALL_STATE(4483)] = 158806,
  [SMALL_STATE(4484)] = 158886,
  [SMALL_STATE(4485)] = 158962,
  [SMALL_STATE(4486)] = 159036,
  [SMALL_STATE(4487)] = 159106,
  [SMALL_STATE(4488)] = 159172,
  [SMALL_STATE(4489)] = 159266,
  [SMALL_STATE(4490)] = 159334,
  [SMALL_STATE(4491)] = 159428,
  [SMALL_STATE(4492)] = 159516,
  [SMALL_STATE(4493)] = 159608,
  [SMALL_STATE(4494)] = 159696,
  [SMALL_STATE(4495)] = 159788,
  [SMALL_STATE(4496)] = 159880,
  [SMALL_STATE(4497)] = 159974,
  [SMALL_STATE(4498)] = 160068,
  [SMALL_STATE(4499)] = 160162,
  [SMALL_STATE(4500)] = 160254,
  [SMALL_STATE(4501)] = 160346,
  [SMALL_STATE(4502)] = 160440,
  [SMALL_STATE(4503)] = 160534,
  [SMALL_STATE(4504)] = 160628,
  [SMALL_STATE(4505)] = 160722,
  [SMALL_STATE(4506)] = 160810,
  [SMALL_STATE(4507)] = 160898,
  [SMALL_STATE(4508)] = 160992,
  [SMALL_STATE(4509)] = 161052,
  [SMALL_STATE(4510)] = 161146,
  [SMALL_STATE(4511)] = 161206,
  [SMALL_STATE(4512)] = 161300,
  [SMALL_STATE(4513)] = 161394,
  [SMALL_STATE(4514)] = 161456,
  [SMALL_STATE(4515)] = 161548,
  [SMALL_STATE(4516)] = 161640,
  [SMALL_STATE(4517)] = 161692,
  [SMALL_STATE(4518)] = 161780,
  [SMALL_STATE(4519)] = 161872,
  [SMALL_STATE(4520)] = 161936,
  [SMALL_STATE(4521)] = 162022,
  [SMALL_STATE(4522)] = 162106,
  [SMALL_STATE(4523)] = 162188,
  [SMALL_STATE(4524)] = 162268,
  [SMALL_STATE(4525)] = 162344,
  [SMALL_STATE(4526)] = 162418,
  [SMALL_STATE(4527)] = 162488,
  [SMALL_STATE(4528)] = 162554,
  [SMALL_STATE(4529)] = 162622,
  [SMALL_STATE(4530)] = 162710,
  [SMALL_STATE(4531)] = 162802,
  [SMALL_STATE(4532)] = 162890,
  [SMALL_STATE(4533)] = 162982,
  [SMALL_STATE(4534)] = 163070,
  [SMALL_STATE(4535)] = 163158,
  [SMALL_STATE(4536)] = 163216,
  [SMALL_STATE(4537)] = 163276,
  [SMALL_STATE(4538)] = 163336,
  [SMALL_STATE(4539)] = 163394,
  [SMALL_STATE(4540)] = 163488,
  [SMALL_STATE(4541)] = 163582,
  [SMALL_STATE(4542)] = 163676,
  [SMALL_STATE(4543)] = 163767,
  [SMALL_STATE(4544)] = 163858,
  [SMALL_STATE(4545)] = 163949,
  [SMALL_STATE(4546)] = 164026,
  [SMALL_STATE(4547)] = 164117,
  [SMALL_STATE(4548)] = 164208,
  [SMALL_STATE(4549)] = 164299,
  [SMALL_STATE(4550)] = 164390,
  [SMALL_STATE(4551)] = 164481,
  [SMALL_STATE(4552)] = 164572,
  [SMALL_STATE(4553)] = 164663,
  [SMALL_STATE(4554)] = 164754,
  [SMALL_STATE(4555)] = 164845,
  [SMALL_STATE(4556)] = 164936,
  [SMALL_STATE(4557)] = 165009,
  [SMALL_STATE(4558)] = 165100,
  [SMALL_STATE(4559)] = 165191,
  [SMALL_STATE(4560)] = 165242,
  [SMALL_STATE(4561)] = 165293,
  [SMALL_STATE(4562)] = 165384,
  [SMALL_STATE(4563)] = 165475,
  [SMALL_STATE(4564)] = 165566,
  [SMALL_STATE(4565)] = 165657,
  [SMALL_STATE(4566)] = 165748,
  [SMALL_STATE(4567)] = 165839,
  [SMALL_STATE(4568)] = 165930,
  [SMALL_STATE(4569)] = 166021,
  [SMALL_STATE(4570)] = 166068,
  [SMALL_STATE(4571)] = 166159,
  [SMALL_STATE(4572)] = 166250,
  [SMALL_STATE(4573)] = 166323,
  [SMALL_STATE(4574)] = 166414,
  [SMALL_STATE(4575)] = 166505,
  [SMALL_STATE(4576)] = 166596,
  [SMALL_STATE(4577)] = 166687,
  [SMALL_STATE(4578)] = 166778,
  [SMALL_STATE(4579)] = 166869,
  [SMALL_STATE(4580)] = 166960,
  [SMALL_STATE(4581)] = 167051,
  [SMALL_STATE(4582)] = 167142,
  [SMALL_STATE(4583)] = 167215,
  [SMALL_STATE(4584)] = 167306,
  [SMALL_STATE(4585)] = 167351,
  [SMALL_STATE(4586)] = 167396,
  [SMALL_STATE(4587)] = 167469,
  [SMALL_STATE(4588)] = 167560,
  [SMALL_STATE(4589)] = 167651,
  [SMALL_STATE(4590)] = 167742,
  [SMALL_STATE(4591)] = 167787,
  [SMALL_STATE(4592)] = 167832,
  [SMALL_STATE(4593)] = 167905,
  [SMALL_STATE(4594)] = 167950,
  [SMALL_STATE(4595)] = 167995,
  [SMALL_STATE(4596)] = 168086,
  [SMALL_STATE(4597)] = 168177,
  [SMALL_STATE(4598)] = 168268,
  [SMALL_STATE(4599)] = 168359,
  [SMALL_STATE(4600)] = 168450,
  [SMALL_STATE(4601)] = 168541,
  [SMALL_STATE(4602)] = 168586,
  [SMALL_STATE(4603)] = 168677,
  [SMALL_STATE(4604)] = 168768,
  [SMALL_STATE(4605)] = 168859,
  [SMALL_STATE(4606)] = 168950,
  [SMALL_STATE(4607)] = 169041,
  [SMALL_STATE(4608)] = 169132,
  [SMALL_STATE(4609)] = 169223,
  [SMALL_STATE(4610)] = 169314,
  [SMALL_STATE(4611)] = 169359,
  [SMALL_STATE(4612)] = 169404,
  [SMALL_STATE(4613)] = 169449,
  [SMALL_STATE(4614)] = 169494,
  [SMALL_STATE(4615)] = 169539,
  [SMALL_STATE(4616)] = 169584,
  [SMALL_STATE(4617)] = 169629,
  [SMALL_STATE(4618)] = 169674,
  [SMALL_STATE(4619)] = 169765,
  [SMALL_STATE(4620)] = 169810,
  [SMALL_STATE(4621)] = 169855,
  [SMALL_STATE(4622)] = 169946,
  [SMALL_STATE(4623)] = 170037,
  [SMALL_STATE(4624)] = 170128,
  [SMALL_STATE(4625)] = 170219,
  [SMALL_STATE(4626)] = 170310,
  [SMALL_STATE(4627)] = 170401,
  [SMALL_STATE(4628)] = 170492,
  [SMALL_STATE(4629)] = 170583,
  [SMALL_STATE(4630)] = 170674,
  [SMALL_STATE(4631)] = 170719,
  [SMALL_STATE(4632)] = 170810,
  [SMALL_STATE(4633)] = 170855,
  [SMALL_STATE(4634)] = 170900,
  [SMALL_STATE(4635)] = 170991,
  [SMALL_STATE(4636)] = 171036,
  [SMALL_STATE(4637)] = 171081,
  [SMALL_STATE(4638)] = 171172,
  [SMALL_STATE(4639)] = 171217,
  [SMALL_STATE(4640)] = 171308,
  [SMALL_STATE(4641)] = 171399,
  [SMALL_STATE(4642)] = 171490,
  [SMALL_STATE(4643)] = 171535,
  [SMALL_STATE(4644)] = 171580,
  [SMALL_STATE(4645)] = 171625,
  [SMALL_STATE(4646)] = 171670,
  [SMALL_STATE(4647)] = 171715,
  [SMALL_STATE(4648)] = 171762,
  [SMALL_STATE(4649)] = 171807,
  [SMALL_STATE(4650)] = 171898,
  [SMALL_STATE(4651)] = 171989,
  [SMALL_STATE(4652)] = 172080,
  [SMALL_STATE(4653)] = 172171,
  [SMALL_STATE(4654)] = 172262,
  [SMALL_STATE(4655)] = 172353,
  [SMALL_STATE(4656)] = 172444,
  [SMALL_STATE(4657)] = 172535,
  [SMALL_STATE(4658)] = 172626,
  [SMALL_STATE(4659)] = 172671,
  [SMALL_STATE(4660)] = 172716,
  [SMALL_STATE(4661)] = 172761,
  [SMALL_STATE(4662)] = 172806,
  [SMALL_STATE(4663)] = 172851,
  [SMALL_STATE(4664)] = 172896,
  [SMALL_STATE(4665)] = 172987,
  [SMALL_STATE(4666)] = 173032,
  [SMALL_STATE(4667)] = 173123,
  [SMALL_STATE(4668)] = 173214,
  [SMALL_STATE(4669)] = 173305,
  [SMALL_STATE(4670)] = 173396,
  [SMALL_STATE(4671)] = 173487,
  [SMALL_STATE(4672)] = 173578,
  [SMALL_STATE(4673)] = 173623,
  [SMALL_STATE(4674)] = 173696,
  [SMALL_STATE(4675)] = 173741,
  [SMALL_STATE(4676)] = 173832,
  [SMALL_STATE(4677)] = 173913,
  [SMALL_STATE(4678)] = 173996,
  [SMALL_STATE(4679)] = 174077,
  [SMALL_STATE(4680)] = 174168,
  [SMALL_STATE(4681)] = 174259,
  [SMALL_STATE(4682)] = 174350,
  [SMALL_STATE(4683)] = 174441,
  [SMALL_STATE(4684)] = 174514,
  [SMALL_STATE(4685)] = 174587,
  [SMALL_STATE(4686)] = 174678,
  [SMALL_STATE(4687)] = 174751,
  [SMALL_STATE(4688)] = 174824,
  [SMALL_STATE(4689)] = 174897,
  [SMALL_STATE(4690)] = 174970,
  [SMALL_STATE(4691)] = 175043,
  [SMALL_STATE(4692)] = 175116,
  [SMALL_STATE(4693)] = 175187,
  [SMALL_STATE(4694)] = 175258,
  [SMALL_STATE(4695)] = 175329,
  [SMALL_STATE(4696)] = 175400,
  [SMALL_STATE(4697)] = 175481,
  [SMALL_STATE(4698)] = 175572,
  [SMALL_STATE(4699)] = 175663,
  [SMALL_STATE(4700)] = 175736,
  [SMALL_STATE(4701)] = 175809,
  [SMALL_STATE(4702)] = 175882,
  [SMALL_STATE(4703)] = 175955,
  [SMALL_STATE(4704)] = 176046,
  [SMALL_STATE(4705)] = 176127,
  [SMALL_STATE(4706)] = 176208,
  [SMALL_STATE(4707)] = 176289,
  [SMALL_STATE(4708)] = 176380,
  [SMALL_STATE(4709)] = 176461,
  [SMALL_STATE(4710)] = 176534,
  [SMALL_STATE(4711)] = 176621,
  [SMALL_STATE(4712)] = 176712,
  [SMALL_STATE(4713)] = 176783,
  [SMALL_STATE(4714)] = 176874,
  [SMALL_STATE(4715)] = 176945,
  [SMALL_STATE(4716)] = 177016,
  [SMALL_STATE(4717)] = 177087,
  [SMALL_STATE(4718)] = 177164,
  [SMALL_STATE(4719)] = 177237,
  [SMALL_STATE(4720)] = 177328,
  [SMALL_STATE(4721)] = 177373,
  [SMALL_STATE(4722)] = 177446,
  [SMALL_STATE(4723)] = 177533,
  [SMALL_STATE(4724)] = 177624,
  [SMALL_STATE(4725)] = 177715,
  [SMALL_STATE(4726)] = 177806,
  [SMALL_STATE(4727)] = 177897,
  [SMALL_STATE(4728)] = 177988,
  [SMALL_STATE(4729)] = 178079,
  [SMALL_STATE(4730)] = 178170,
  [SMALL_STATE(4731)] = 178261,
  [SMALL_STATE(4732)] = 178352,
  [SMALL_STATE(4733)] = 178443,
  [SMALL_STATE(4734)] = 178534,
  [SMALL_STATE(4735)] = 178625,
  [SMALL_STATE(4736)] = 178669,
  [SMALL_STATE(4737)] = 178747,
  [SMALL_STATE(4738)] = 178791,
  [SMALL_STATE(4739)] = 178835,
  [SMALL_STATE(4740)] = 178883,
  [SMALL_STATE(4741)] = 178961,
  [SMALL_STATE(4742)] = 179013,
  [SMALL_STATE(4743)] = 179091,
  [SMALL_STATE(4744)] = 179135,
  [SMALL_STATE(4745)] = 179213,
  [SMALL_STATE(4746)] = 179257,
  [SMALL_STATE(4747)] = 179301,
  [SMALL_STATE(4748)] = 179377,
  [SMALL_STATE(4749)] = 179421,
  [SMALL_STATE(4750)] = 179499,
  [SMALL_STATE(4751)] = 179543,
  [SMALL_STATE(4752)] = 179587,
  [SMALL_STATE(4753)] = 179631,
  [SMALL_STATE(4754)] = 179685,
  [SMALL_STATE(4755)] = 179771,
  [SMALL_STATE(4756)] = 179857,
  [SMALL_STATE(4757)] = 179927,
  [SMALL_STATE(4758)] = 179997,
  [SMALL_STATE(4759)] = 180067,
  [SMALL_STATE(4760)] = 180137,
  [SMALL_STATE(4761)] = 180181,
  [SMALL_STATE(4762)] = 180225,
  [SMALL_STATE(4763)] = 180269,
  [SMALL_STATE(4764)] = 180315,
  [SMALL_STATE(4765)] = 180359,
  [SMALL_STATE(4766)] = 180403,
  [SMALL_STATE(4767)] = 180447,
  [SMALL_STATE(4768)] = 180491,
  [SMALL_STATE(4769)] = 180535,
  [SMALL_STATE(4770)] = 180579,
  [SMALL_STATE(4771)] = 180623,
  [SMALL_STATE(4772)] = 180709,
  [SMALL_STATE(4773)] = 180753,
  [SMALL_STATE(4774)] = 180797,
  [SMALL_STATE(4775)] = 180841,
  [SMALL_STATE(4776)] = 180885,
  [SMALL_STATE(4777)] = 180929,
  [SMALL_STATE(4778)] = 180973,
  [SMALL_STATE(4779)] = 181021,
  [SMALL_STATE(4780)] = 181065,
  [SMALL_STATE(4781)] = 181143,
  [SMALL_STATE(4782)] = 181221,
  [SMALL_STATE(4783)] = 181269,
  [SMALL_STATE(4784)] = 181345,
  [SMALL_STATE(4785)] = 181431,
  [SMALL_STATE(4786)] = 181519,
  [SMALL_STATE(4787)] = 181563,
  [SMALL_STATE(4788)] = 181607,
  [SMALL_STATE(4789)] = 181651,
  [SMALL_STATE(4790)] = 181695,
  [SMALL_STATE(4791)] = 181739,
  [SMALL_STATE(4792)] = 181783,
  [SMALL_STATE(4793)] = 181827,
  [SMALL_STATE(4794)] = 181905,
  [SMALL_STATE(4795)] = 181991,
  [SMALL_STATE(4796)] = 182035,
  [SMALL_STATE(4797)] = 182121,
  [SMALL_STATE(4798)] = 182165,
  [SMALL_STATE(4799)] = 182219,
  [SMALL_STATE(4800)] = 182263,
  [SMALL_STATE(4801)] = 182332,
  [SMALL_STATE(4802)] = 182381,
  [SMALL_STATE(4803)] = 182436,
  [SMALL_STATE(4804)] = 182493,
  [SMALL_STATE(4805)] = 182552,
  [SMALL_STATE(4806)] = 182621,
  [SMALL_STATE(4807)] = 182670,
  [SMALL_STATE(4808)] = 182755,
  [SMALL_STATE(4809)] = 182840,
  [SMALL_STATE(4810)] = 182909,
  [SMALL_STATE(4811)] = 182994,
  [SMALL_STATE(4812)] = 183043,
  [SMALL_STATE(4813)] = 183100,
  [SMALL_STATE(4814)] = 183149,
  [SMALL_STATE(4815)] = 183234,
  [SMALL_STATE(4816)] = 183289,
  [SMALL_STATE(4817)] = 183338,
  [SMALL_STATE(4818)] = 183423,
  [SMALL_STATE(4819)] = 183492,
  [SMALL_STATE(4820)] = 183549,
  [SMALL_STATE(4821)] = 183634,
  [SMALL_STATE(4822)] = 183719,
  [SMALL_STATE(4823)] = 183788,
  [SMALL_STATE(4824)] = 183873,
  [SMALL_STATE(4825)] = 183942,
  [SMALL_STATE(4826)] = 184011,
  [SMALL_STATE(4827)] = 184080,
  [SMALL_STATE(4828)] = 184131,
  [SMALL_STATE(4829)] = 184176,
  [SMALL_STATE(4830)] = 184225,
  [SMALL_STATE(4831)] = 184274,
  [SMALL_STATE(4832)] = 184365,
  [SMALL_STATE(4833)] = 184434,
  [SMALL_STATE(4834)] = 184483,
  [SMALL_STATE(4835)] = 184528,
  [SMALL_STATE(4836)] = 184597,
  [SMALL_STATE(4837)] = 184646,
  [SMALL_STATE(4838)] = 184689,
  [SMALL_STATE(4839)] = 184742,
  [SMALL_STATE(4840)] = 184827,
  [SMALL_STATE(4841)] = 184896,
  [SMALL_STATE(4842)] = 184971,
  [SMALL_STATE(4843)] = 185040,
  [SMALL_STATE(4844)] = 185099,
  [SMALL_STATE(4845)] = 185168,
  [SMALL_STATE(4846)] = 185217,
  [SMALL_STATE(4847)] = 185266,
  [SMALL_STATE(4848)] = 185341,
  [SMALL_STATE(4849)] = 185410,
  [SMALL_STATE(4850)] = 185479,
  [SMALL_STATE(4851)] = 185528,
  [SMALL_STATE(4852)] = 185577,
  [SMALL_STATE(4853)] = 185634,
  [SMALL_STATE(4854)] = 185683,
  [SMALL_STATE(4855)] = 185732,
  [SMALL_STATE(4856)] = 185801,
  [SMALL_STATE(4857)] = 185886,
  [SMALL_STATE(4858)] = 185954,
  [SMALL_STATE(4859)] = 186030,
  [SMALL_STATE(4860)] = 186114,
  [SMALL_STATE(4861)] = 186156,
  [SMALL_STATE(4862)] = 186198,
  [SMALL_STATE(4863)] = 186274,
  [SMALL_STATE(4864)] = 186316,
  [SMALL_STATE(4865)] = 186392,
  [SMALL_STATE(4866)] = 186434,
  [SMALL_STATE(4867)] = 186476,
  [SMALL_STATE(4868)] = 186518,
  [SMALL_STATE(4869)] = 186594,
  [SMALL_STATE(4870)] = 186636,
  [SMALL_STATE(4871)] = 186712,
  [SMALL_STATE(4872)] = 186754,
  [SMALL_STATE(4873)] = 186796,
  [SMALL_STATE(4874)] = 186872,
  [SMALL_STATE(4875)] = 186914,
  [SMALL_STATE(4876)] = 186956,
  [SMALL_STATE(4877)] = 187032,
  [SMALL_STATE(4878)] = 187074,
  [SMALL_STATE(4879)] = 187150,
  [SMALL_STATE(4880)] = 187228,
  [SMALL_STATE(4881)] = 187306,
  [SMALL_STATE(4882)] = 187348,
  [SMALL_STATE(4883)] = 187390,
  [SMALL_STATE(4884)] = 187466,
  [SMALL_STATE(4885)] = 187508,
  [SMALL_STATE(4886)] = 187550,
  [SMALL_STATE(4887)] = 187634,
  [SMALL_STATE(4888)] = 187676,
  [SMALL_STATE(4889)] = 187718,
  [SMALL_STATE(4890)] = 187794,
  [SMALL_STATE(4891)] = 187836,
  [SMALL_STATE(4892)] = 187912,
  [SMALL_STATE(4893)] = 187954,
  [SMALL_STATE(4894)] = 188030,
  [SMALL_STATE(4895)] = 188114,
  [SMALL_STATE(4896)] = 188156,
  [SMALL_STATE(4897)] = 188198,
  [SMALL_STATE(4898)] = 188240,
  [SMALL_STATE(4899)] = 188282,
  [SMALL_STATE(4900)] = 188350,
  [SMALL_STATE(4901)] = 188426,
  [SMALL_STATE(4902)] = 188494,
  [SMALL_STATE(4903)] = 188570,
  [SMALL_STATE(4904)] = 188638,
  [SMALL_STATE(4905)] = 188680,
  [SMALL_STATE(4906)] = 188722,
  [SMALL_STATE(4907)] = 188764,
  [SMALL_STATE(4908)] = 188840,
  [SMALL_STATE(4909)] = 188918,
  [SMALL_STATE(4910)] = 188994,
  [SMALL_STATE(4911)] = 189036,
  [SMALL_STATE(4912)] = 189112,
  [SMALL_STATE(4913)] = 189154,
  [SMALL_STATE(4914)] = 189196,
  [SMALL_STATE(4915)] = 189238,
  [SMALL_STATE(4916)] = 189280,
  [SMALL_STATE(4917)] = 189356,
  [SMALL_STATE(4918)] = 189434,
  [SMALL_STATE(4919)] = 189510,
  [SMALL_STATE(4920)] = 189552,
  [SMALL_STATE(4921)] = 189628,
  [SMALL_STATE(4922)] = 189670,
  [SMALL_STATE(4923)] = 189746,
  [SMALL_STATE(4924)] = 189788,
  [SMALL_STATE(4925)] = 189864,
  [SMALL_STATE(4926)] = 189906,
  [SMALL_STATE(4927)] = 189948,
  [SMALL_STATE(4928)] = 190024,
  [SMALL_STATE(4929)] = 190100,
  [SMALL_STATE(4930)] = 190142,
  [SMALL_STATE(4931)] = 190184,
  [SMALL_STATE(4932)] = 190267,
  [SMALL_STATE(4933)] = 190350,
  [SMALL_STATE(4934)] = 190405,
  [SMALL_STATE(4935)] = 190482,
  [SMALL_STATE(4936)] = 190537,
  [SMALL_STATE(4937)] = 190614,
  [SMALL_STATE(4938)] = 190697,
  [SMALL_STATE(4939)] = 190750,
  [SMALL_STATE(4940)] = 190833,
  [SMALL_STATE(4941)] = 190916,
  [SMALL_STATE(4942)] = 190993,
  [SMALL_STATE(4943)] = 191060,
  [SMALL_STATE(4944)] = 191127,
  [SMALL_STATE(4945)] = 191204,
  [SMALL_STATE(4946)] = 191281,
  [SMALL_STATE(4947)] = 191358,
  [SMALL_STATE(4948)] = 191425,
  [SMALL_STATE(4949)] = 191502,
  [SMALL_STATE(4950)] = 191579,
  [SMALL_STATE(4951)] = 191656,
  [SMALL_STATE(4952)] = 191739,
  [SMALL_STATE(4953)] = 191788,
  [SMALL_STATE(4954)] = 191855,
  [SMALL_STATE(4955)] = 191932,
  [SMALL_STATE(4956)] = 191981,
  [SMALL_STATE(4957)] = 192058,
  [SMALL_STATE(4958)] = 192135,
  [SMALL_STATE(4959)] = 192215,
  [SMALL_STATE(4960)] = 192269,
  [SMALL_STATE(4961)] = 192351,
  [SMALL_STATE(4962)] = 192433,
  [SMALL_STATE(4963)] = 192513,
  [SMALL_STATE(4964)] = 192593,
  [SMALL_STATE(4965)] = 192659,
  [SMALL_STATE(4966)] = 192735,
  [SMALL_STATE(4967)] = 192817,
  [SMALL_STATE(4968)] = 192883,
  [SMALL_STATE(4969)] = 192953,
  [SMALL_STATE(4970)] = 193009,
  [SMALL_STATE(4971)] = 193065,
  [SMALL_STATE(4972)] = 193141,
  [SMALL_STATE(4973)] = 193221,
  [SMALL_STATE(4974)] = 193301,
  [SMALL_STATE(4975)] = 193377,
  [SMALL_STATE(4976)] = 193453,
  [SMALL_STATE(4977)] = 193529,
  [SMALL_STATE(4978)] = 193605,
  [SMALL_STATE(4979)] = 193681,
  [SMALL_STATE(4980)] = 193751,
  [SMALL_STATE(4981)] = 193827,
  [SMALL_STATE(4982)] = 193903,
  [SMALL_STATE(4983)] = 193983,
  [SMALL_STATE(4984)] = 194049,
  [SMALL_STATE(4985)] = 194129,
  [SMALL_STATE(4986)] = 194195,
  [SMALL_STATE(4987)] = 194265,
  [SMALL_STATE(4988)] = 194345,
  [SMALL_STATE(4989)] = 194389,
  [SMALL_STATE(4990)] = 194469,
  [SMALL_STATE(4991)] = 194549,
  [SMALL_STATE(4992)] = 194593,
  [SMALL_STATE(4993)] = 194663,
  [SMALL_STATE(4994)] = 194739,
  [SMALL_STATE(4995)] = 194815,
  [SMALL_STATE(4996)] = 194891,
  [SMALL_STATE(4997)] = 194971,
  [SMALL_STATE(4998)] = 195051,
  [SMALL_STATE(4999)] = 195121,
  [SMALL_STATE(5000)] = 195201,
  [SMALL_STATE(5001)] = 195281,
  [SMALL_STATE(5002)] = 195325,
  [SMALL_STATE(5003)] = 195369,
  [SMALL_STATE(5004)] = 195413,
  [SMALL_STATE(5005)] = 195483,
  [SMALL_STATE(5006)] = 195563,
  [SMALL_STATE(5007)] = 195633,
  [SMALL_STATE(5008)] = 195683,
  [SMALL_STATE(5009)] = 195753,
  [SMALL_STATE(5010)] = 195823,
  [SMALL_STATE(5011)] = 195903,
  [SMALL_STATE(5012)] = 195983,
  [SMALL_STATE(5013)] = 196033,
  [SMALL_STATE(5014)] = 196087,
  [SMALL_STATE(5015)] = 196163,
  [SMALL_STATE(5016)] = 196239,
  [SMALL_STATE(5017)] = 196315,
  [SMALL_STATE(5018)] = 196391,
  [SMALL_STATE(5019)] = 196473,
  [SMALL_STATE(5020)] = 196549,
  [SMALL_STATE(5021)] = 196625,
  [SMALL_STATE(5022)] = 196669,
  [SMALL_STATE(5023)] = 196713,
  [SMALL_STATE(5024)] = 196757,
  [SMALL_STATE(5025)] = 196801,
  [SMALL_STATE(5026)] = 196845,
  [SMALL_STATE(5027)] = 196915,
  [SMALL_STATE(5028)] = 196995,
  [SMALL_STATE(5029)] = 197037,
  [SMALL_STATE(5030)] = 197107,
  [SMALL_STATE(5031)] = 197183,
  [SMALL_STATE(5032)] = 197259,
  [SMALL_STATE(5033)] = 197303,
  [SMALL_STATE(5034)] = 197347,
  [SMALL_STATE(5035)] = 197429,
  [SMALL_STATE(5036)] = 197499,
  [SMALL_STATE(5037)] = 197542,
  [SMALL_STATE(5038)] = 197623,
  [SMALL_STATE(5039)] = 197704,
  [SMALL_STATE(5040)] = 197785,
  [SMALL_STATE(5041)] = 197866,
  [SMALL_STATE(5042)] = 197947,
  [SMALL_STATE(5043)] = 198028,
  [SMALL_STATE(5044)] = 198109,
  [SMALL_STATE(5045)] = 198190,
  [SMALL_STATE(5046)] = 198271,
  [SMALL_STATE(5047)] = 198352,
  [SMALL_STATE(5048)] = 198433,
  [SMALL_STATE(5049)] = 198514,
  [SMALL_STATE(5050)] = 198595,
  [SMALL_STATE(5051)] = 198676,
  [SMALL_STATE(5052)] = 198757,
  [SMALL_STATE(5053)] = 198838,
  [SMALL_STATE(5054)] = 198919,
  [SMALL_STATE(5055)] = 199000,
  [SMALL_STATE(5056)] = 199081,
  [SMALL_STATE(5057)] = 199162,
  [SMALL_STATE(5058)] = 199243,
  [SMALL_STATE(5059)] = 199324,
  [SMALL_STATE(5060)] = 199405,
  [SMALL_STATE(5061)] = 199486,
  [SMALL_STATE(5062)] = 199567,
  [SMALL_STATE(5063)] = 199648,
  [SMALL_STATE(5064)] = 199729,
  [SMALL_STATE(5065)] = 199810,
  [SMALL_STATE(5066)] = 199891,
  [SMALL_STATE(5067)] = 199972,
  [SMALL_STATE(5068)] = 200053,
  [SMALL_STATE(5069)] = 200134,
  [SMALL_STATE(5070)] = 200215,
  [SMALL_STATE(5071)] = 200296,
  [SMALL_STATE(5072)] = 200377,
  [SMALL_STATE(5073)] = 200458,
  [SMALL_STATE(5074)] = 200539,
  [SMALL_STATE(5075)] = 200620,
  [SMALL_STATE(5076)] = 200701,
  [SMALL_STATE(5077)] = 200782,
  [SMALL_STATE(5078)] = 200863,
  [SMALL_STATE(5079)] = 200944,
  [SMALL_STATE(5080)] = 201025,
  [SMALL_STATE(5081)] = 201106,
  [SMALL_STATE(5082)] = 201187,
  [SMALL_STATE(5083)] = 201268,
  [SMALL_STATE(5084)] = 201349,
  [SMALL_STATE(5085)] = 201430,
  [SMALL_STATE(5086)] = 201511,
  [SMALL_STATE(5087)] = 201592,
  [SMALL_STATE(5088)] = 201673,
  [SMALL_STATE(5089)] = 201754,
  [SMALL_STATE(5090)] = 201835,
  [SMALL_STATE(5091)] = 201916,
  [SMALL_STATE(5092)] = 201997,
  [SMALL_STATE(5093)] = 202078,
  [SMALL_STATE(5094)] = 202159,
  [SMALL_STATE(5095)] = 202240,
  [SMALL_STATE(5096)] = 202321,
  [SMALL_STATE(5097)] = 202396,
  [SMALL_STATE(5098)] = 202471,
  [SMALL_STATE(5099)] = 202552,
  [SMALL_STATE(5100)] = 202633,
  [SMALL_STATE(5101)] = 202708,
  [SMALL_STATE(5102)] = 202783,
  [SMALL_STATE(5103)] = 202864,
  [SMALL_STATE(5104)] = 202945,
  [SMALL_STATE(5105)] = 203026,
  [SMALL_STATE(5106)] = 203107,
  [SMALL_STATE(5107)] = 203188,
  [SMALL_STATE(5108)] = 203269,
  [SMALL_STATE(5109)] = 203350,
  [SMALL_STATE(5110)] = 203431,
  [SMALL_STATE(5111)] = 203512,
  [SMALL_STATE(5112)] = 203593,
  [SMALL_STATE(5113)] = 203674,
  [SMALL_STATE(5114)] = 203755,
  [SMALL_STATE(5115)] = 203836,
  [SMALL_STATE(5116)] = 203917,
  [SMALL_STATE(5117)] = 203998,
  [SMALL_STATE(5118)] = 204049,
  [SMALL_STATE(5119)] = 204130,
  [SMALL_STATE(5120)] = 204211,
  [SMALL_STATE(5121)] = 204292,
  [SMALL_STATE(5122)] = 204373,
  [SMALL_STATE(5123)] = 204454,
  [SMALL_STATE(5124)] = 204535,
  [SMALL_STATE(5125)] = 204616,
  [SMALL_STATE(5126)] = 204697,
  [SMALL_STATE(5127)] = 204778,
  [SMALL_STATE(5128)] = 204859,
  [SMALL_STATE(5129)] = 204940,
  [SMALL_STATE(5130)] = 205021,
  [SMALL_STATE(5131)] = 205102,
  [SMALL_STATE(5132)] = 205183,
  [SMALL_STATE(5133)] = 205264,
  [SMALL_STATE(5134)] = 205345,
  [SMALL_STATE(5135)] = 205426,
  [SMALL_STATE(5136)] = 205507,
  [SMALL_STATE(5137)] = 205588,
  [SMALL_STATE(5138)] = 205631,
  [SMALL_STATE(5139)] = 205674,
  [SMALL_STATE(5140)] = 205717,
  [SMALL_STATE(5141)] = 205760,
  [SMALL_STATE(5142)] = 205803,
  [SMALL_STATE(5143)] = 205846,
  [SMALL_STATE(5144)] = 205889,
  [SMALL_STATE(5145)] = 205932,
  [SMALL_STATE(5146)] = 205975,
  [SMALL_STATE(5147)] = 206018,
  [SMALL_STATE(5148)] = 206061,
  [SMALL_STATE(5149)] = 206112,
  [SMALL_STATE(5150)] = 206193,
  [SMALL_STATE(5151)] = 206271,
  [SMALL_STATE(5152)] = 206345,
  [SMALL_STATE(5153)] = 206419,
  [SMALL_STATE(5154)] = 206493,
  [SMALL_STATE(5155)] = 206571,
  [SMALL_STATE(5156)] = 206649,
  [SMALL_STATE(5157)] = 206723,
  [SMALL_STATE(5158)] = 206793,
  [SMALL_STATE(5159)] = 206867,
  [SMALL_STATE(5160)] = 206941,
  [SMALL_STATE(5161)] = 207015,
  [SMALL_STATE(5162)] = 207089,
  [SMALL_STATE(5163)] = 207163,
  [SMALL_STATE(5164)] = 207237,
  [SMALL_STATE(5165)] = 207307,
  [SMALL_STATE(5166)] = 207381,
  [SMALL_STATE(5167)] = 207455,
  [SMALL_STATE(5168)] = 207529,
  [SMALL_STATE(5169)] = 207603,
  [SMALL_STATE(5170)] = 207681,
  [SMALL_STATE(5171)] = 207755,
  [SMALL_STATE(5172)] = 207833,
  [SMALL_STATE(5173)] = 207907,
  [SMALL_STATE(5174)] = 207981,
  [SMALL_STATE(5175)] = 208055,
  [SMALL_STATE(5176)] = 208129,
  [SMALL_STATE(5177)] = 208203,
  [SMALL_STATE(5178)] = 208277,
  [SMALL_STATE(5179)] = 208341,
  [SMALL_STATE(5180)] = 208415,
  [SMALL_STATE(5181)] = 208493,
  [SMALL_STATE(5182)] = 208567,
  [SMALL_STATE(5183)] = 208641,
  [SMALL_STATE(5184)] = 208715,
  [SMALL_STATE(5185)] = 208785,
  [SMALL_STATE(5186)] = 208863,
  [SMALL_STATE(5187)] = 208941,
  [SMALL_STATE(5188)] = 209019,
  [SMALL_STATE(5189)] = 209097,
  [SMALL_STATE(5190)] = 209171,
  [SMALL_STATE(5191)] = 209245,
  [SMALL_STATE(5192)] = 209309,
  [SMALL_STATE(5193)] = 209383,
  [SMALL_STATE(5194)] = 209461,
  [SMALL_STATE(5195)] = 209535,
  [SMALL_STATE(5196)] = 209613,
  [SMALL_STATE(5197)] = 209687,
  [SMALL_STATE(5198)] = 209757,
  [SMALL_STATE(5199)] = 209827,
  [SMALL_STATE(5200)] = 209905,
  [SMALL_STATE(5201)] = 209979,
  [SMALL_STATE(5202)] = 210053,
  [SMALL_STATE(5203)] = 210127,
  [SMALL_STATE(5204)] = 210201,
  [SMALL_STATE(5205)] = 210265,
  [SMALL_STATE(5206)] = 210343,
  [SMALL_STATE(5207)] = 210421,
  [SMALL_STATE(5208)] = 210495,
  [SMALL_STATE(5209)] = 210569,
  [SMALL_STATE(5210)] = 210643,
  [SMALL_STATE(5211)] = 210717,
  [SMALL_STATE(5212)] = 210791,
  [SMALL_STATE(5213)] = 210865,
  [SMALL_STATE(5214)] = 210939,
  [SMALL_STATE(5215)] = 211017,
  [SMALL_STATE(5216)] = 211087,
  [SMALL_STATE(5217)] = 211161,
  [SMALL_STATE(5218)] = 211235,
  [SMALL_STATE(5219)] = 211309,
  [SMALL_STATE(5220)] = 211383,
  [SMALL_STATE(5221)] = 211457,
  [SMALL_STATE(5222)] = 211527,
  [SMALL_STATE(5223)] = 211601,
  [SMALL_STATE(5224)] = 211675,
  [SMALL_STATE(5225)] = 211753,
  [SMALL_STATE(5226)] = 211823,
  [SMALL_STATE(5227)] = 211897,
  [SMALL_STATE(5228)] = 211971,
  [SMALL_STATE(5229)] = 212045,
  [SMALL_STATE(5230)] = 212123,
  [SMALL_STATE(5231)] = 212197,
  [SMALL_STATE(5232)] = 212264,
  [SMALL_STATE(5233)] = 212307,
  [SMALL_STATE(5234)] = 212352,
  [SMALL_STATE(5235)] = 212419,
  [SMALL_STATE(5236)] = 212492,
  [SMALL_STATE(5237)] = 212559,
  [SMALL_STATE(5238)] = 212632,
  [SMALL_STATE(5239)] = 212699,
  [SMALL_STATE(5240)] = 212766,
  [SMALL_STATE(5241)] = 212833,
  [SMALL_STATE(5242)] = 212874,
  [SMALL_STATE(5243)] = 212941,
  [SMALL_STATE(5244)] = 213014,
  [SMALL_STATE(5245)] = 213087,
  [SMALL_STATE(5246)] = 213160,
  [SMALL_STATE(5247)] = 213233,
  [SMALL_STATE(5248)] = 213300,
  [SMALL_STATE(5249)] = 213367,
  [SMALL_STATE(5250)] = 213434,
  [SMALL_STATE(5251)] = 213501,
  [SMALL_STATE(5252)] = 213538,
  [SMALL_STATE(5253)] = 213575,
  [SMALL_STATE(5254)] = 213642,
  [SMALL_STATE(5255)] = 213709,
  [SMALL_STATE(5256)] = 213776,
  [SMALL_STATE(5257)] = 213843,
  [SMALL_STATE(5258)] = 213910,
  [SMALL_STATE(5259)] = 213983,
  [SMALL_STATE(5260)] = 214050,
  [SMALL_STATE(5261)] = 214117,
  [SMALL_STATE(5262)] = 214184,
  [SMALL_STATE(5263)] = 214251,
  [SMALL_STATE(5264)] = 214318,
  [SMALL_STATE(5265)] = 214385,
  [SMALL_STATE(5266)] = 214452,
  [SMALL_STATE(5267)] = 214519,
  [SMALL_STATE(5268)] = 214586,
  [SMALL_STATE(5269)] = 214631,
  [SMALL_STATE(5270)] = 214698,
  [SMALL_STATE(5271)] = 214765,
  [SMALL_STATE(5272)] = 214832,
  [SMALL_STATE(5273)] = 214899,
  [SMALL_STATE(5274)] = 214972,
  [SMALL_STATE(5275)] = 215045,
  [SMALL_STATE(5276)] = 215112,
  [SMALL_STATE(5277)] = 215179,
  [SMALL_STATE(5278)] = 215246,
  [SMALL_STATE(5279)] = 215313,
  [SMALL_STATE(5280)] = 215380,
  [SMALL_STATE(5281)] = 215453,
  [SMALL_STATE(5282)] = 215519,
  [SMALL_STATE(5283)] = 215585,
  [SMALL_STATE(5284)] = 215651,
  [SMALL_STATE(5285)] = 215717,
  [SMALL_STATE(5286)] = 215783,
  [SMALL_STATE(5287)] = 215849,
  [SMALL_STATE(5288)] = 215915,
  [SMALL_STATE(5289)] = 215981,
  [SMALL_STATE(5290)] = 216047,
  [SMALL_STATE(5291)] = 216113,
  [SMALL_STATE(5292)] = 216179,
  [SMALL_STATE(5293)] = 216245,
  [SMALL_STATE(5294)] = 216285,
  [SMALL_STATE(5295)] = 216351,
  [SMALL_STATE(5296)] = 216417,
  [SMALL_STATE(5297)] = 216483,
  [SMALL_STATE(5298)] = 216549,
  [SMALL_STATE(5299)] = 216615,
  [SMALL_STATE(5300)] = 216681,
  [SMALL_STATE(5301)] = 216746,
  [SMALL_STATE(5302)] = 216811,
  [SMALL_STATE(5303)] = 216876,
  [SMALL_STATE(5304)] = 216941,
  [SMALL_STATE(5305)] = 217006,
  [SMALL_STATE(5306)] = 217071,
  [SMALL_STATE(5307)] = 217136,
  [SMALL_STATE(5308)] = 217201,
  [SMALL_STATE(5309)] = 217266,
  [SMALL_STATE(5310)] = 217331,
  [SMALL_STATE(5311)] = 217396,
  [SMALL_STATE(5312)] = 217461,
  [SMALL_STATE(5313)] = 217526,
  [SMALL_STATE(5314)] = 217591,
  [SMALL_STATE(5315)] = 217656,
  [SMALL_STATE(5316)] = 217721,
  [SMALL_STATE(5317)] = 217786,
  [SMALL_STATE(5318)] = 217851,
  [SMALL_STATE(5319)] = 217916,
  [SMALL_STATE(5320)] = 217981,
  [SMALL_STATE(5321)] = 218046,
  [SMALL_STATE(5322)] = 218111,
  [SMALL_STATE(5323)] = 218176,
  [SMALL_STATE(5324)] = 218241,
  [SMALL_STATE(5325)] = 218278,
  [SMALL_STATE(5326)] = 218343,
  [SMALL_STATE(5327)] = 218408,
  [SMALL_STATE(5328)] = 218473,
  [SMALL_STATE(5329)] = 218538,
  [SMALL_STATE(5330)] = 218603,
  [SMALL_STATE(5331)] = 218668,
  [SMALL_STATE(5332)] = 218732,
  [SMALL_STATE(5333)] = 218790,
  [SMALL_STATE(5334)] = 218854,
  [SMALL_STATE(5335)] = 218918,
  [SMALL_STATE(5336)] = 218982,
  [SMALL_STATE(5337)] = 219046,
  [SMALL_STATE(5338)] = 219104,
  [SMALL_STATE(5339)] = 219168,
  [SMALL_STATE(5340)] = 219226,
  [SMALL_STATE(5341)] = 219284,
  [SMALL_STATE(5342)] = 219335,
  [SMALL_STATE(5343)] = 219386,
  [SMALL_STATE(5344)] = 219447,
  [SMALL_STATE(5345)] = 219508,
  [SMALL_STATE(5346)] = 219571,
  [SMALL_STATE(5347)] = 219634,
  [SMALL_STATE(5348)] = 219697,
  [SMALL_STATE(5349)] = 219760,
  [SMALL_STATE(5350)] = 219823,
  [SMALL_STATE(5351)] = 219886,
  [SMALL_STATE(5352)] = 219949,
  [SMALL_STATE(5353)] = 220012,
  [SMALL_STATE(5354)] = 220047,
  [SMALL_STATE(5355)] = 220110,
  [SMALL_STATE(5356)] = 220173,
  [SMALL_STATE(5357)] = 220236,
  [SMALL_STATE(5358)] = 220299,
  [SMALL_STATE(5359)] = 220350,
  [SMALL_STATE(5360)] = 220411,
  [SMALL_STATE(5361)] = 220472,
  [SMALL_STATE(5362)] = 220535,
  [SMALL_STATE(5363)] = 220598,
  [SMALL_STATE(5364)] = 220661,
  [SMALL_STATE(5365)] = 220722,
  [SMALL_STATE(5366)] = 220783,
  [SMALL_STATE(5367)] = 220846,
  [SMALL_STATE(5368)] = 220907,
  [SMALL_STATE(5369)] = 220970,
  [SMALL_STATE(5370)] = 221007,
  [SMALL_STATE(5371)] = 221070,
  [SMALL_STATE(5372)] = 221132,
  [SMALL_STATE(5373)] = 221194,
  [SMALL_STATE(5374)] = 221256,
  [SMALL_STATE(5375)] = 221318,
  [SMALL_STATE(5376)] = 221380,
  [SMALL_STATE(5377)] = 221442,
  [SMALL_STATE(5378)] = 221516,
  [SMALL_STATE(5379)] = 221578,
  [SMALL_STATE(5380)] = 221652,
  [SMALL_STATE(5381)] = 221714,
  [SMALL_STATE(5382)] = 221776,
  [SMALL_STATE(5383)] = 221830,
  [SMALL_STATE(5384)] = 221892,
  [SMALL_STATE(5385)] = 221966,
  [SMALL_STATE(5386)] = 222028,
  [SMALL_STATE(5387)] = 222090,
  [SMALL_STATE(5388)] = 222152,
  [SMALL_STATE(5389)] = 222214,
  [SMALL_STATE(5390)] = 222276,
  [SMALL_STATE(5391)] = 222318,
  [SMALL_STATE(5392)] = 222360,
  [SMALL_STATE(5393)] = 222409,
  [SMALL_STATE(5394)] = 222440,
  [SMALL_STATE(5395)] = 222492,
  [SMALL_STATE(5396)] = 222544,
  [SMALL_STATE(5397)] = 222596,
  [SMALL_STATE(5398)] = 222648,
  [SMALL_STATE(5399)] = 222700,
  [SMALL_STATE(5400)] = 222752,
  [SMALL_STATE(5401)] = 222790,
  [SMALL_STATE(5402)] = 222842,
  [SMALL_STATE(5403)] = 222872,
  [SMALL_STATE(5404)] = 222924,
  [SMALL_STATE(5405)] = 222954,
  [SMALL_STATE(5406)] = 223006,
  [SMALL_STATE(5407)] = 223058,
  [SMALL_STATE(5408)] = 223110,
  [SMALL_STATE(5409)] = 223162,
  [SMALL_STATE(5410)] = 223214,
  [SMALL_STATE(5411)] = 223266,
  [SMALL_STATE(5412)] = 223318,
  [SMALL_STATE(5413)] = 223356,
  [SMALL_STATE(5414)] = 223404,
  [SMALL_STATE(5415)] = 223456,
  [SMALL_STATE(5416)] = 223508,
  [SMALL_STATE(5417)] = 223560,
  [SMALL_STATE(5418)] = 223600,
  [SMALL_STATE(5419)] = 223634,
  [SMALL_STATE(5420)] = 223686,
  [SMALL_STATE(5421)] = 223738,
  [SMALL_STATE(5422)] = 223776,
  [SMALL_STATE(5423)] = 223814,
  [SMALL_STATE(5424)] = 223866,
  [SMALL_STATE(5425)] = 223918,
  [SMALL_STATE(5426)] = 223956,
  [SMALL_STATE(5427)] = 223986,
  [SMALL_STATE(5428)] = 224038,
  [SMALL_STATE(5429)] = 224090,
  [SMALL_STATE(5430)] = 224128,
  [SMALL_STATE(5431)] = 224180,
  [SMALL_STATE(5432)] = 224218,
  [SMALL_STATE(5433)] = 224256,
  [SMALL_STATE(5434)] = 224308,
  [SMALL_STATE(5435)] = 224360,
  [SMALL_STATE(5436)] = 224392,
  [SMALL_STATE(5437)] = 224426,
  [SMALL_STATE(5438)] = 224478,
  [SMALL_STATE(5439)] = 224516,
  [SMALL_STATE(5440)] = 224568,
  [SMALL_STATE(5441)] = 224608,
  [SMALL_STATE(5442)] = 224660,
  [SMALL_STATE(5443)] = 224698,
  [SMALL_STATE(5444)] = 224750,
  [SMALL_STATE(5445)] = 224802,
  [SMALL_STATE(5446)] = 224854,
  [SMALL_STATE(5447)] = 224924,
  [SMALL_STATE(5448)] = 224976,
  [SMALL_STATE(5449)] = 225028,
  [SMALL_STATE(5450)] = 225080,
  [SMALL_STATE(5451)] = 225132,
  [SMALL_STATE(5452)] = 225202,
  [SMALL_STATE(5453)] = 225254,
  [SMALL_STATE(5454)] = 225288,
  [SMALL_STATE(5455)] = 225334,
  [SMALL_STATE(5456)] = 225386,
  [SMALL_STATE(5457)] = 225416,
  [SMALL_STATE(5458)] = 225468,
  [SMALL_STATE(5459)] = 225502,
  [SMALL_STATE(5460)] = 225532,
  [SMALL_STATE(5461)] = 225566,
  [SMALL_STATE(5462)] = 225618,
  [SMALL_STATE(5463)] = 225670,
  [SMALL_STATE(5464)] = 225722,
  [SMALL_STATE(5465)] = 225792,
  [SMALL_STATE(5466)] = 225844,
  [SMALL_STATE(5467)] = 225903,
  [SMALL_STATE(5468)] = 225962,
  [SMALL_STATE(5469)] = 226023,
  [SMALL_STATE(5470)] = 226052,
  [SMALL_STATE(5471)] = 226111,
  [SMALL_STATE(5472)] = 226172,
  [SMALL_STATE(5473)] = 226203,
  [SMALL_STATE(5474)] = 226262,
  [SMALL_STATE(5475)] = 226321,
  [SMALL_STATE(5476)] = 226382,
  [SMALL_STATE(5477)] = 226441,
  [SMALL_STATE(5478)] = 226500,
  [SMALL_STATE(5479)] = 226559,
  [SMALL_STATE(5480)] = 226596,
  [SMALL_STATE(5481)] = 226649,
  [SMALL_STATE(5482)] = 226704,
  [SMALL_STATE(5483)] = 226759,
  [SMALL_STATE(5484)] = 226820,
  [SMALL_STATE(5485)] = 226879,
  [SMALL_STATE(5486)] = 226908,
  [SMALL_STATE(5487)] = 226951,
  [SMALL_STATE(5488)] = 226982,
  [SMALL_STATE(5489)] = 227019,
  [SMALL_STATE(5490)] = 227078,
  [SMALL_STATE(5491)] = 227137,
  [SMALL_STATE(5492)] = 227166,
  [SMALL_STATE(5493)] = 227225,
  [SMALL_STATE(5494)] = 227280,
  [SMALL_STATE(5495)] = 227323,
  [SMALL_STATE(5496)] = 227382,
  [SMALL_STATE(5497)] = 227441,
  [SMALL_STATE(5498)] = 227500,
  [SMALL_STATE(5499)] = 227559,
  [SMALL_STATE(5500)] = 227618,
  [SMALL_STATE(5501)] = 227677,
  [SMALL_STATE(5502)] = 227736,
  [SMALL_STATE(5503)] = 227769,
  [SMALL_STATE(5504)] = 227802,
  [SMALL_STATE(5505)] = 227861,
  [SMALL_STATE(5506)] = 227920,
  [SMALL_STATE(5507)] = 227953,
  [SMALL_STATE(5508)] = 228012,
  [SMALL_STATE(5509)] = 228071,
  [SMALL_STATE(5510)] = 228100,
  [SMALL_STATE(5511)] = 228159,
  [SMALL_STATE(5512)] = 228218,
  [SMALL_STATE(5513)] = 228277,
  [SMALL_STATE(5514)] = 228336,
  [SMALL_STATE(5515)] = 228365,
  [SMALL_STATE(5516)] = 228402,
  [SMALL_STATE(5517)] = 228461,
  [SMALL_STATE(5518)] = 228490,
  [SMALL_STATE(5519)] = 228549,
  [SMALL_STATE(5520)] = 228594,
  [SMALL_STATE(5521)] = 228653,
  [SMALL_STATE(5522)] = 228682,
  [SMALL_STATE(5523)] = 228741,
  [SMALL_STATE(5524)] = 228800,
  [SMALL_STATE(5525)] = 228859,
  [SMALL_STATE(5526)] = 228920,
  [SMALL_STATE(5527)] = 228979,
  [SMALL_STATE(5528)] = 229016,
  [SMALL_STATE(5529)] = 229053,
  [SMALL_STATE(5530)] = 229116,
  [SMALL_STATE(5531)] = 229175,
  [SMALL_STATE(5532)] = 229234,
  [SMALL_STATE(5533)] = 229293,
  [SMALL_STATE(5534)] = 229352,
  [SMALL_STATE(5535)] = 229411,
  [SMALL_STATE(5536)] = 229470,
  [SMALL_STATE(5537)] = 229529,
  [SMALL_STATE(5538)] = 229588,
  [SMALL_STATE(5539)] = 229647,
  [SMALL_STATE(5540)] = 229706,
  [SMALL_STATE(5541)] = 229765,
  [SMALL_STATE(5542)] = 229824,
  [SMALL_STATE(5543)] = 229883,
  [SMALL_STATE(5544)] = 229942,
  [SMALL_STATE(5545)] = 230001,
  [SMALL_STATE(5546)] = 230054,
  [SMALL_STATE(5547)] = 230113,
  [SMALL_STATE(5548)] = 230172,
  [SMALL_STATE(5549)] = 230231,
  [SMALL_STATE(5550)] = 230290,
  [SMALL_STATE(5551)] = 230349,
  [SMALL_STATE(5552)] = 230408,
  [SMALL_STATE(5553)] = 230467,
  [SMALL_STATE(5554)] = 230526,
  [SMALL_STATE(5555)] = 230585,
  [SMALL_STATE(5556)] = 230644,
  [SMALL_STATE(5557)] = 230681,
  [SMALL_STATE(5558)] = 230740,
  [SMALL_STATE(5559)] = 230799,
  [SMALL_STATE(5560)] = 230858,
  [SMALL_STATE(5561)] = 230917,
  [SMALL_STATE(5562)] = 230976,
  [SMALL_STATE(5563)] = 231035,
  [SMALL_STATE(5564)] = 231094,
  [SMALL_STATE(5565)] = 231153,
  [SMALL_STATE(5566)] = 231212,
  [SMALL_STATE(5567)] = 231241,
  [SMALL_STATE(5568)] = 231270,
  [SMALL_STATE(5569)] = 231299,
  [SMALL_STATE(5570)] = 231336,
  [SMALL_STATE(5571)] = 231395,
  [SMALL_STATE(5572)] = 231424,
  [SMALL_STATE(5573)] = 231453,
  [SMALL_STATE(5574)] = 231482,
  [SMALL_STATE(5575)] = 231519,
  [SMALL_STATE(5576)] = 231548,
  [SMALL_STATE(5577)] = 231591,
  [SMALL_STATE(5578)] = 231650,
  [SMALL_STATE(5579)] = 231709,
  [SMALL_STATE(5580)] = 231768,
  [SMALL_STATE(5581)] = 231827,
  [SMALL_STATE(5582)] = 231886,
  [SMALL_STATE(5583)] = 231945,
  [SMALL_STATE(5584)] = 232004,
  [SMALL_STATE(5585)] = 232063,
  [SMALL_STATE(5586)] = 232122,
  [SMALL_STATE(5587)] = 232181,
  [SMALL_STATE(5588)] = 232242,
  [SMALL_STATE(5589)] = 232271,
  [SMALL_STATE(5590)] = 232330,
  [SMALL_STATE(5591)] = 232389,
  [SMALL_STATE(5592)] = 232418,
  [SMALL_STATE(5593)] = 232455,
  [SMALL_STATE(5594)] = 232484,
  [SMALL_STATE(5595)] = 232513,
  [SMALL_STATE(5596)] = 232572,
  [SMALL_STATE(5597)] = 232633,
  [SMALL_STATE(5598)] = 232670,
  [SMALL_STATE(5599)] = 232729,
  [SMALL_STATE(5600)] = 232758,
  [SMALL_STATE(5601)] = 232817,
  [SMALL_STATE(5602)] = 232876,
  [SMALL_STATE(5603)] = 232905,
  [SMALL_STATE(5604)] = 232934,
  [SMALL_STATE(5605)] = 232993,
  [SMALL_STATE(5606)] = 233026,
  [SMALL_STATE(5607)] = 233079,
  [SMALL_STATE(5608)] = 233138,
  [SMALL_STATE(5609)] = 233167,
  [SMALL_STATE(5610)] = 233226,
  [SMALL_STATE(5611)] = 233285,
  [SMALL_STATE(5612)] = 233344,
  [SMALL_STATE(5613)] = 233396,
  [SMALL_STATE(5614)] = 233460,
  [SMALL_STATE(5615)] = 233500,
  [SMALL_STATE(5616)] = 233552,
  [SMALL_STATE(5617)] = 233616,
  [SMALL_STATE(5618)] = 233668,
  [SMALL_STATE(5619)] = 233732,
  [SMALL_STATE(5620)] = 233784,
  [SMALL_STATE(5621)] = 233836,
  [SMALL_STATE(5622)] = 233864,
  [SMALL_STATE(5623)] = 233928,
  [SMALL_STATE(5624)] = 233980,
  [SMALL_STATE(5625)] = 234024,
  [SMALL_STATE(5626)] = 234076,
  [SMALL_STATE(5627)] = 234140,
  [SMALL_STATE(5628)] = 234204,
  [SMALL_STATE(5629)] = 234268,
  [SMALL_STATE(5630)] = 234332,
  [SMALL_STATE(5631)] = 234384,
  [SMALL_STATE(5632)] = 234448,
  [SMALL_STATE(5633)] = 234500,
  [SMALL_STATE(5634)] = 234540,
  [SMALL_STATE(5635)] = 234580,
  [SMALL_STATE(5636)] = 234644,
  [SMALL_STATE(5637)] = 234672,
  [SMALL_STATE(5638)] = 234712,
  [SMALL_STATE(5639)] = 234752,
  [SMALL_STATE(5640)] = 234792,
  [SMALL_STATE(5641)] = 234842,
  [SMALL_STATE(5642)] = 234870,
  [SMALL_STATE(5643)] = 234910,
  [SMALL_STATE(5644)] = 234962,
  [SMALL_STATE(5645)] = 235002,
  [SMALL_STATE(5646)] = 235042,
  [SMALL_STATE(5647)] = 235092,
  [SMALL_STATE(5648)] = 235142,
  [SMALL_STATE(5649)] = 235194,
  [SMALL_STATE(5650)] = 235234,
  [SMALL_STATE(5651)] = 235274,
  [SMALL_STATE(5652)] = 235314,
  [SMALL_STATE(5653)] = 235354,
  [SMALL_STATE(5654)] = 235394,
  [SMALL_STATE(5655)] = 235434,
  [SMALL_STATE(5656)] = 235466,
  [SMALL_STATE(5657)] = 235506,
  [SMALL_STATE(5658)] = 235546,
  [SMALL_STATE(5659)] = 235586,
  [SMALL_STATE(5660)] = 235626,
  [SMALL_STATE(5661)] = 235654,
  [SMALL_STATE(5662)] = 235694,
  [SMALL_STATE(5663)] = 235734,
  [SMALL_STATE(5664)] = 235774,
  [SMALL_STATE(5665)] = 235826,
  [SMALL_STATE(5666)] = 235860,
  [SMALL_STATE(5667)] = 235900,
  [SMALL_STATE(5668)] = 235932,
  [SMALL_STATE(5669)] = 235972,
  [SMALL_STATE(5670)] = 236012,
  [SMALL_STATE(5671)] = 236052,
  [SMALL_STATE(5672)] = 236092,
  [SMALL_STATE(5673)] = 236156,
  [SMALL_STATE(5674)] = 236188,
  [SMALL_STATE(5675)] = 236228,
  [SMALL_STATE(5676)] = 236268,
  [SMALL_STATE(5677)] = 236308,
  [SMALL_STATE(5678)] = 236348,
  [SMALL_STATE(5679)] = 236388,
  [SMALL_STATE(5680)] = 236428,
  [SMALL_STATE(5681)] = 236468,
  [SMALL_STATE(5682)] = 236508,
  [SMALL_STATE(5683)] = 236548,
  [SMALL_STATE(5684)] = 236588,
  [SMALL_STATE(5685)] = 236628,
  [SMALL_STATE(5686)] = 236668,
  [SMALL_STATE(5687)] = 236708,
  [SMALL_STATE(5688)] = 236760,
  [SMALL_STATE(5689)] = 236800,
  [SMALL_STATE(5690)] = 236844,
  [SMALL_STATE(5691)] = 236896,
  [SMALL_STATE(5692)] = 236936,
  [SMALL_STATE(5693)] = 236978,
  [SMALL_STATE(5694)] = 237006,
  [SMALL_STATE(5695)] = 237056,
  [SMALL_STATE(5696)] = 237108,
  [SMALL_STATE(5697)] = 237158,
  [SMALL_STATE(5698)] = 237210,
  [SMALL_STATE(5699)] = 237250,
  [SMALL_STATE(5700)] = 237290,
  [SMALL_STATE(5701)] = 237330,
  [SMALL_STATE(5702)] = 237366,
  [SMALL_STATE(5703)] = 237406,
  [SMALL_STATE(5704)] = 237446,
  [SMALL_STATE(5705)] = 237486,
  [SMALL_STATE(5706)] = 237526,
  [SMALL_STATE(5707)] = 237566,
  [SMALL_STATE(5708)] = 237606,
  [SMALL_STATE(5709)] = 237646,
  [SMALL_STATE(5710)] = 237696,
  [SMALL_STATE(5711)] = 237736,
  [SMALL_STATE(5712)] = 237786,
  [SMALL_STATE(5713)] = 237814,
  [SMALL_STATE(5714)] = 237854,
  [SMALL_STATE(5715)] = 237918,
  [SMALL_STATE(5716)] = 237958,
  [SMALL_STATE(5717)] = 238008,
  [SMALL_STATE(5718)] = 238058,
  [SMALL_STATE(5719)] = 238110,
  [SMALL_STATE(5720)] = 238162,
  [SMALL_STATE(5721)] = 238212,
  [SMALL_STATE(5722)] = 238262,
  [SMALL_STATE(5723)] = 238302,
  [SMALL_STATE(5724)] = 238348,
  [SMALL_STATE(5725)] = 238400,
  [SMALL_STATE(5726)] = 238452,
  [SMALL_STATE(5727)] = 238504,
  [SMALL_STATE(5728)] = 238554,
  [SMALL_STATE(5729)] = 238604,
  [SMALL_STATE(5730)] = 238644,
  [SMALL_STATE(5731)] = 238694,
  [SMALL_STATE(5732)] = 238744,
  [SMALL_STATE(5733)] = 238794,
  [SMALL_STATE(5734)] = 238844,
  [SMALL_STATE(5735)] = 238884,
  [SMALL_STATE(5736)] = 238912,
  [SMALL_STATE(5737)] = 238964,
  [SMALL_STATE(5738)] = 239016,
  [SMALL_STATE(5739)] = 239056,
  [SMALL_STATE(5740)] = 239120,
  [SMALL_STATE(5741)] = 239160,
  [SMALL_STATE(5742)] = 239200,
  [SMALL_STATE(5743)] = 239240,
  [SMALL_STATE(5744)] = 239304,
  [SMALL_STATE(5745)] = 239332,
  [SMALL_STATE(5746)] = 239382,
  [SMALL_STATE(5747)] = 239434,
  [SMALL_STATE(5748)] = 239474,
  [SMALL_STATE(5749)] = 239526,
  [SMALL_STATE(5750)] = 239578,
  [SMALL_STATE(5751)] = 239610,
  [SMALL_STATE(5752)] = 239656,
  [SMALL_STATE(5753)] = 239708,
  [SMALL_STATE(5754)] = 239760,
  [SMALL_STATE(5755)] = 239800,
  [SMALL_STATE(5756)] = 239828,
  [SMALL_STATE(5757)] = 239860,
  [SMALL_STATE(5758)] = 239888,
  [SMALL_STATE(5759)] = 239936,
  [SMALL_STATE(5760)] = 239982,
  [SMALL_STATE(5761)] = 240028,
  [SMALL_STATE(5762)] = 240072,
  [SMALL_STATE(5763)] = 240122,
  [SMALL_STATE(5764)] = 240169,
  [SMALL_STATE(5765)] = 240226,
  [SMALL_STATE(5766)] = 240255,
  [SMALL_STATE(5767)] = 240302,
  [SMALL_STATE(5768)] = 240329,
  [SMALL_STATE(5769)] = 240372,
  [SMALL_STATE(5770)] = 240419,
  [SMALL_STATE(5771)] = 240446,
  [SMALL_STATE(5772)] = 240491,
  [SMALL_STATE(5773)] = 240518,
  [SMALL_STATE(5774)] = 240553,
  [SMALL_STATE(5775)] = 240598,
  [SMALL_STATE(5776)] = 240655,
  [SMALL_STATE(5777)] = 240704,
  [SMALL_STATE(5778)] = 240741,
  [SMALL_STATE(5779)] = 240786,
  [SMALL_STATE(5780)] = 240833,
  [SMALL_STATE(5781)] = 240860,
  [SMALL_STATE(5782)] = 240909,
  [SMALL_STATE(5783)] = 240956,
  [SMALL_STATE(5784)] = 241001,
  [SMALL_STATE(5785)] = 241028,
  [SMALL_STATE(5786)] = 241075,
  [SMALL_STATE(5787)] = 241120,
  [SMALL_STATE(5788)] = 241153,
  [SMALL_STATE(5789)] = 241180,
  [SMALL_STATE(5790)] = 241225,
  [SMALL_STATE(5791)] = 241270,
  [SMALL_STATE(5792)] = 241327,
  [SMALL_STATE(5793)] = 241354,
  [SMALL_STATE(5794)] = 241381,
  [SMALL_STATE(5795)] = 241428,
  [SMALL_STATE(5796)] = 241455,
  [SMALL_STATE(5797)] = 241488,
  [SMALL_STATE(5798)] = 241535,
  [SMALL_STATE(5799)] = 241580,
  [SMALL_STATE(5800)] = 241625,
  [SMALL_STATE(5801)] = 241670,
  [SMALL_STATE(5802)] = 241717,
  [SMALL_STATE(5803)] = 241744,
  [SMALL_STATE(5804)] = 241777,
  [SMALL_STATE(5805)] = 241808,
  [SMALL_STATE(5806)] = 241835,
  [SMALL_STATE(5807)] = 241892,
  [SMALL_STATE(5808)] = 241937,
  [SMALL_STATE(5809)] = 241964,
  [SMALL_STATE(5810)] = 242021,
  [SMALL_STATE(5811)] = 242078,
  [SMALL_STATE(5812)] = 242123,
  [SMALL_STATE(5813)] = 242150,
  [SMALL_STATE(5814)] = 242207,
  [SMALL_STATE(5815)] = 242250,
  [SMALL_STATE(5816)] = 242293,
  [SMALL_STATE(5817)] = 242326,
  [SMALL_STATE(5818)] = 242353,
  [SMALL_STATE(5819)] = 242394,
  [SMALL_STATE(5820)] = 242423,
  [SMALL_STATE(5821)] = 242450,
  [SMALL_STATE(5822)] = 242477,
  [SMALL_STATE(5823)] = 242516,
  [SMALL_STATE(5824)] = 242543,
  [SMALL_STATE(5825)] = 242570,
  [SMALL_STATE(5826)] = 242597,
  [SMALL_STATE(5827)] = 242642,
  [SMALL_STATE(5828)] = 242687,
  [SMALL_STATE(5829)] = 242720,
  [SMALL_STATE(5830)] = 242747,
  [SMALL_STATE(5831)] = 242792,
  [SMALL_STATE(5832)] = 242819,
  [SMALL_STATE(5833)] = 242846,
  [SMALL_STATE(5834)] = 242873,
  [SMALL_STATE(5835)] = 242900,
  [SMALL_STATE(5836)] = 242927,
  [SMALL_STATE(5837)] = 242974,
  [SMALL_STATE(5838)] = 243029,
  [SMALL_STATE(5839)] = 243056,
  [SMALL_STATE(5840)] = 243083,
  [SMALL_STATE(5841)] = 243130,
  [SMALL_STATE(5842)] = 243157,
  [SMALL_STATE(5843)] = 243204,
  [SMALL_STATE(5844)] = 243231,
  [SMALL_STATE(5845)] = 243258,
  [SMALL_STATE(5846)] = 243285,
  [SMALL_STATE(5847)] = 243323,
  [SMALL_STATE(5848)] = 243361,
  [SMALL_STATE(5849)] = 243395,
  [SMALL_STATE(5850)] = 243433,
  [SMALL_STATE(5851)] = 243471,
  [SMALL_STATE(5852)] = 243497,
  [SMALL_STATE(5853)] = 243531,
  [SMALL_STATE(5854)] = 243565,
  [SMALL_STATE(5855)] = 243591,
  [SMALL_STATE(5856)] = 243625,
  [SMALL_STATE(5857)] = 243651,
  [SMALL_STATE(5858)] = 243681,
  [SMALL_STATE(5859)] = 243717,
  [SMALL_STATE(5860)] = 243751,
  [SMALL_STATE(5861)] = 243777,
  [SMALL_STATE(5862)] = 243815,
  [SMALL_STATE(5863)] = 243849,
  [SMALL_STATE(5864)] = 243887,
  [SMALL_STATE(5865)] = 243925,
  [SMALL_STATE(5866)] = 243951,
  [SMALL_STATE(5867)] = 243993,
  [SMALL_STATE(5868)] = 244023,
  [SMALL_STATE(5869)] = 244071,
  [SMALL_STATE(5870)] = 244101,
  [SMALL_STATE(5871)] = 244127,
  [SMALL_STATE(5872)] = 244165,
  [SMALL_STATE(5873)] = 244195,
  [SMALL_STATE(5874)] = 244221,
  [SMALL_STATE(5875)] = 244247,
  [SMALL_STATE(5876)] = 244301,
  [SMALL_STATE(5877)] = 244327,
  [SMALL_STATE(5878)] = 244355,
  [SMALL_STATE(5879)] = 244403,
  [SMALL_STATE(5880)] = 244429,
  [SMALL_STATE(5881)] = 244463,
  [SMALL_STATE(5882)] = 244499,
  [SMALL_STATE(5883)] = 244525,
  [SMALL_STATE(5884)] = 244577,
  [SMALL_STATE(5885)] = 244603,
  [SMALL_STATE(5886)] = 244639,
  [SMALL_STATE(5887)] = 244665,
  [SMALL_STATE(5888)] = 244717,
  [SMALL_STATE(5889)] = 244765,
  [SMALL_STATE(5890)] = 244801,
  [SMALL_STATE(5891)] = 244827,
  [SMALL_STATE(5892)] = 244853,
  [SMALL_STATE(5893)] = 244905,
  [SMALL_STATE(5894)] = 244939,
  [SMALL_STATE(5895)] = 244975,
  [SMALL_STATE(5896)] = 245001,
  [SMALL_STATE(5897)] = 245027,
  [SMALL_STATE(5898)] = 245053,
  [SMALL_STATE(5899)] = 245101,
  [SMALL_STATE(5900)] = 245153,
  [SMALL_STATE(5901)] = 245187,
  [SMALL_STATE(5902)] = 245213,
  [SMALL_STATE(5903)] = 245247,
  [SMALL_STATE(5904)] = 245299,
  [SMALL_STATE(5905)] = 245325,
  [SMALL_STATE(5906)] = 245355,
  [SMALL_STATE(5907)] = 245381,
  [SMALL_STATE(5908)] = 245410,
  [SMALL_STATE(5909)] = 245447,
  [SMALL_STATE(5910)] = 245490,
  [SMALL_STATE(5911)] = 245531,
  [SMALL_STATE(5912)] = 245574,
  [SMALL_STATE(5913)] = 245611,
  [SMALL_STATE(5914)] = 245644,
  [SMALL_STATE(5915)] = 245681,
  [SMALL_STATE(5916)] = 245712,
  [SMALL_STATE(5917)] = 245749,
  [SMALL_STATE(5918)] = 245786,
  [SMALL_STATE(5919)] = 245811,
  [SMALL_STATE(5920)] = 245854,
  [SMALL_STATE(5921)] = 245883,
  [SMALL_STATE(5922)] = 245924,
  [SMALL_STATE(5923)] = 245961,
  [SMALL_STATE(5924)] = 245998,
  [SMALL_STATE(5925)] = 246035,
  [SMALL_STATE(5926)] = 246076,
  [SMALL_STATE(5927)] = 246113,
  [SMALL_STATE(5928)] = 246150,
  [SMALL_STATE(5929)] = 246187,
  [SMALL_STATE(5930)] = 246224,
  [SMALL_STATE(5931)] = 246261,
  [SMALL_STATE(5932)] = 246304,
  [SMALL_STATE(5933)] = 246341,
  [SMALL_STATE(5934)] = 246384,
  [SMALL_STATE(5935)] = 246415,
  [SMALL_STATE(5936)] = 246446,
  [SMALL_STATE(5937)] = 246489,
  [SMALL_STATE(5938)] = 246536,
  [SMALL_STATE(5939)] = 246563,
  [SMALL_STATE(5940)] = 246600,
  [SMALL_STATE(5941)] = 246637,
  [SMALL_STATE(5942)] = 246668,
  [SMALL_STATE(5943)] = 246710,
  [SMALL_STATE(5944)] = 246746,
  [SMALL_STATE(5945)] = 246786,
  [SMALL_STATE(5946)] = 246810,
  [SMALL_STATE(5947)] = 246834,
  [SMALL_STATE(5948)] = 246858,
  [SMALL_STATE(5949)] = 246898,
  [SMALL_STATE(5950)] = 246930,
  [SMALL_STATE(5951)] = 246970,
  [SMALL_STATE(5952)] = 246994,
  [SMALL_STATE(5953)] = 247018,
  [SMALL_STATE(5954)] = 247058,
  [SMALL_STATE(5955)] = 247082,
  [SMALL_STATE(5956)] = 247122,
  [SMALL_STATE(5957)] = 247146,
  [SMALL_STATE(5958)] = 247170,
  [SMALL_STATE(5959)] = 247194,
  [SMALL_STATE(5960)] = 247230,
  [SMALL_STATE(5961)] = 247266,
  [SMALL_STATE(5962)] = 247290,
  [SMALL_STATE(5963)] = 247314,
  [SMALL_STATE(5964)] = 247338,
  [SMALL_STATE(5965)] = 247362,
  [SMALL_STATE(5966)] = 247386,
  [SMALL_STATE(5967)] = 247410,
  [SMALL_STATE(5968)] = 247434,
  [SMALL_STATE(5969)] = 247466,
  [SMALL_STATE(5970)] = 247498,
  [SMALL_STATE(5971)] = 247530,
  [SMALL_STATE(5972)] = 247554,
  [SMALL_STATE(5973)] = 247586,
  [SMALL_STATE(5974)] = 247618,
  [SMALL_STATE(5975)] = 247650,
  [SMALL_STATE(5976)] = 247682,
  [SMALL_STATE(5977)] = 247714,
  [SMALL_STATE(5978)] = 247754,
  [SMALL_STATE(5979)] = 247786,
  [SMALL_STATE(5980)] = 247818,
  [SMALL_STATE(5981)] = 247842,
  [SMALL_STATE(5982)] = 247874,
  [SMALL_STATE(5983)] = 247906,
  [SMALL_STATE(5984)] = 247930,
  [SMALL_STATE(5985)] = 247970,
  [SMALL_STATE(5986)] = 247994,
  [SMALL_STATE(5987)] = 248018,
  [SMALL_STATE(5988)] = 248058,
  [SMALL_STATE(5989)] = 248098,
  [SMALL_STATE(5990)] = 248122,
  [SMALL_STATE(5991)] = 248154,
  [SMALL_STATE(5992)] = 248186,
  [SMALL_STATE(5993)] = 248222,
  [SMALL_STATE(5994)] = 248262,
  [SMALL_STATE(5995)] = 248302,
  [SMALL_STATE(5996)] = 248334,
  [SMALL_STATE(5997)] = 248362,
  [SMALL_STATE(5998)] = 248394,
  [SMALL_STATE(5999)] = 248426,
  [SMALL_STATE(6000)] = 248458,
  [SMALL_STATE(6001)] = 248482,
  [SMALL_STATE(6002)] = 248514,
  [SMALL_STATE(6003)] = 248554,
  [SMALL_STATE(6004)] = 248578,
  [SMALL_STATE(6005)] = 248610,
  [SMALL_STATE(6006)] = 248642,
  [SMALL_STATE(6007)] = 248682,
  [SMALL_STATE(6008)] = 248714,
  [SMALL_STATE(6009)] = 248746,
  [SMALL_STATE(6010)] = 248770,
  [SMALL_STATE(6011)] = 248806,
  [SMALL_STATE(6012)] = 248846,
  [SMALL_STATE(6013)] = 248878,
  [SMALL_STATE(6014)] = 248914,
  [SMALL_STATE(6015)] = 248946,
  [SMALL_STATE(6016)] = 248970,
  [SMALL_STATE(6017)] = 249006,
  [SMALL_STATE(6018)] = 249038,
  [SMALL_STATE(6019)] = 249062,
  [SMALL_STATE(6020)] = 249094,
  [SMALL_STATE(6021)] = 249126,
  [SMALL_STATE(6022)] = 249150,
  [SMALL_STATE(6023)] = 249174,
  [SMALL_STATE(6024)] = 249198,
  [SMALL_STATE(6025)] = 249222,
  [SMALL_STATE(6026)] = 249258,
  [SMALL_STATE(6027)] = 249282,
  [SMALL_STATE(6028)] = 249314,
  [SMALL_STATE(6029)] = 249338,
  [SMALL_STATE(6030)] = 249378,
  [SMALL_STATE(6031)] = 249410,
  [SMALL_STATE(6032)] = 249450,
  [SMALL_STATE(6033)] = 249474,
  [SMALL_STATE(6034)] = 249498,
  [SMALL_STATE(6035)] = 249530,
  [SMALL_STATE(6036)] = 249556,
  [SMALL_STATE(6037)] = 249588,
  [SMALL_STATE(6038)] = 249612,
  [SMALL_STATE(6039)] = 249636,
  [SMALL_STATE(6040)] = 249660,
  [SMALL_STATE(6041)] = 249700,
  [SMALL_STATE(6042)] = 249740,
  [SMALL_STATE(6043)] = 249780,
  [SMALL_STATE(6044)] = 249804,
  [SMALL_STATE(6045)] = 249828,
  [SMALL_STATE(6046)] = 249852,
  [SMALL_STATE(6047)] = 249876,
  [SMALL_STATE(6048)] = 249900,
  [SMALL_STATE(6049)] = 249924,
  [SMALL_STATE(6050)] = 249948,
  [SMALL_STATE(6051)] = 249972,
  [SMALL_STATE(6052)] = 249996,
  [SMALL_STATE(6053)] = 250036,
  [SMALL_STATE(6054)] = 250060,
  [SMALL_STATE(6055)] = 250084,
  [SMALL_STATE(6056)] = 250116,
  [SMALL_STATE(6057)] = 250162,
  [SMALL_STATE(6058)] = 250195,
  [SMALL_STATE(6059)] = 250230,
  [SMALL_STATE(6060)] = 250265,
  [SMALL_STATE(6061)] = 250298,
  [SMALL_STATE(6062)] = 250333,
  [SMALL_STATE(6063)] = 250362,
  [SMALL_STATE(6064)] = 250401,
  [SMALL_STATE(6065)] = 250434,
  [SMALL_STATE(6066)] = 250467,
  [SMALL_STATE(6067)] = 250502,
  [SMALL_STATE(6068)] = 250531,
  [SMALL_STATE(6069)] = 250560,
  [SMALL_STATE(6070)] = 250599,
  [SMALL_STATE(6071)] = 250628,
  [SMALL_STATE(6072)] = 250661,
  [SMALL_STATE(6073)] = 250696,
  [SMALL_STATE(6074)] = 250725,
  [SMALL_STATE(6075)] = 250760,
  [SMALL_STATE(6076)] = 250795,
  [SMALL_STATE(6077)] = 250824,
  [SMALL_STATE(6078)] = 250859,
  [SMALL_STATE(6079)] = 250888,
  [SMALL_STATE(6080)] = 250917,
  [SMALL_STATE(6081)] = 250946,
  [SMALL_STATE(6082)] = 250973,
  [SMALL_STATE(6083)] = 251012,
  [SMALL_STATE(6084)] = 251051,
  [SMALL_STATE(6085)] = 251090,
  [SMALL_STATE(6086)] = 251123,
  [SMALL_STATE(6087)] = 251158,
  [SMALL_STATE(6088)] = 251193,
  [SMALL_STATE(6089)] = 251228,
  [SMALL_STATE(6090)] = 251257,
  [SMALL_STATE(6091)] = 251286,
  [SMALL_STATE(6092)] = 251319,
  [SMALL_STATE(6093)] = 251354,
  [SMALL_STATE(6094)] = 251389,
  [SMALL_STATE(6095)] = 251424,
  [SMALL_STATE(6096)] = 251453,
  [SMALL_STATE(6097)] = 251488,
  [SMALL_STATE(6098)] = 251523,
  [SMALL_STATE(6099)] = 251558,
  [SMALL_STATE(6100)] = 251593,
  [SMALL_STATE(6101)] = 251632,
  [SMALL_STATE(6102)] = 251665,
  [SMALL_STATE(6103)] = 251700,
  [SMALL_STATE(6104)] = 251735,
  [SMALL_STATE(6105)] = 251764,
  [SMALL_STATE(6106)] = 251799,
  [SMALL_STATE(6107)] = 251832,
  [SMALL_STATE(6108)] = 251861,
  [SMALL_STATE(6109)] = 251890,
  [SMALL_STATE(6110)] = 251919,
  [SMALL_STATE(6111)] = 251954,
  [SMALL_STATE(6112)] = 251983,
  [SMALL_STATE(6113)] = 252012,
  [SMALL_STATE(6114)] = 252041,
  [SMALL_STATE(6115)] = 252074,
  [SMALL_STATE(6116)] = 252103,
  [SMALL_STATE(6117)] = 252142,
  [SMALL_STATE(6118)] = 252171,
  [SMALL_STATE(6119)] = 252206,
  [SMALL_STATE(6120)] = 252245,
  [SMALL_STATE(6121)] = 252278,
  [SMALL_STATE(6122)] = 252317,
  [SMALL_STATE(6123)] = 252352,
  [SMALL_STATE(6124)] = 252381,
  [SMALL_STATE(6125)] = 252414,
  [SMALL_STATE(6126)] = 252449,
  [SMALL_STATE(6127)] = 252484,
  [SMALL_STATE(6128)] = 252519,
  [SMALL_STATE(6129)] = 252552,
  [SMALL_STATE(6130)] = 252585,
  [SMALL_STATE(6131)] = 252620,
  [SMALL_STATE(6132)] = 252653,
  [SMALL_STATE(6133)] = 252686,
  [SMALL_STATE(6134)] = 252721,
  [SMALL_STATE(6135)] = 252756,
  [SMALL_STATE(6136)] = 252791,
  [SMALL_STATE(6137)] = 252831,
  [SMALL_STATE(6138)] = 252863,
  [SMALL_STATE(6139)] = 252901,
  [SMALL_STATE(6140)] = 252923,
  [SMALL_STATE(6141)] = 252955,
  [SMALL_STATE(6142)] = 252993,
  [SMALL_STATE(6143)] = 253033,
  [SMALL_STATE(6144)] = 253063,
  [SMALL_STATE(6145)] = 253101,
  [SMALL_STATE(6146)] = 253125,
  [SMALL_STATE(6147)] = 253157,
  [SMALL_STATE(6148)] = 253189,
  [SMALL_STATE(6149)] = 253229,
  [SMALL_STATE(6150)] = 253269,
  [SMALL_STATE(6151)] = 253309,
  [SMALL_STATE(6152)] = 253347,
  [SMALL_STATE(6153)] = 253387,
  [SMALL_STATE(6154)] = 253421,
  [SMALL_STATE(6155)] = 253455,
  [SMALL_STATE(6156)] = 253489,
  [SMALL_STATE(6157)] = 253523,
  [SMALL_STATE(6158)] = 253557,
  [SMALL_STATE(6159)] = 253591,
  [SMALL_STATE(6160)] = 253625,
  [SMALL_STATE(6161)] = 253659,
  [SMALL_STATE(6162)] = 253681,
  [SMALL_STATE(6163)] = 253713,
  [SMALL_STATE(6164)] = 253753,
  [SMALL_STATE(6165)] = 253779,
  [SMALL_STATE(6166)] = 253801,
  [SMALL_STATE(6167)] = 253831,
  [SMALL_STATE(6168)] = 253869,
  [SMALL_STATE(6169)] = 253901,
  [SMALL_STATE(6170)] = 253941,
  [SMALL_STATE(6171)] = 253963,
  [SMALL_STATE(6172)] = 253995,
  [SMALL_STATE(6173)] = 254033,
  [SMALL_STATE(6174)] = 254073,
  [SMALL_STATE(6175)] = 254105,
  [SMALL_STATE(6176)] = 254143,
  [SMALL_STATE(6177)] = 254181,
  [SMALL_STATE(6178)] = 254219,
  [SMALL_STATE(6179)] = 254245,
  [SMALL_STATE(6180)] = 254275,
  [SMALL_STATE(6181)] = 254305,
  [SMALL_STATE(6182)] = 254343,
  [SMALL_STATE(6183)] = 254383,
  [SMALL_STATE(6184)] = 254421,
  [SMALL_STATE(6185)] = 254459,
  [SMALL_STATE(6186)] = 254489,
  [SMALL_STATE(6187)] = 254519,
  [SMALL_STATE(6188)] = 254557,
  [SMALL_STATE(6189)] = 254587,
  [SMALL_STATE(6190)] = 254625,
  [SMALL_STATE(6191)] = 254665,
  [SMALL_STATE(6192)] = 254695,
  [SMALL_STATE(6193)] = 254727,
  [SMALL_STATE(6194)] = 254757,
  [SMALL_STATE(6195)] = 254787,
  [SMALL_STATE(6196)] = 254825,
  [SMALL_STATE(6197)] = 254855,
  [SMALL_STATE(6198)] = 254885,
  [SMALL_STATE(6199)] = 254923,
  [SMALL_STATE(6200)] = 254953,
  [SMALL_STATE(6201)] = 254983,
  [SMALL_STATE(6202)] = 255013,
  [SMALL_STATE(6203)] = 255045,
  [SMALL_STATE(6204)] = 255075,
  [SMALL_STATE(6205)] = 255105,
  [SMALL_STATE(6206)] = 255135,
  [SMALL_STATE(6207)] = 255165,
  [SMALL_STATE(6208)] = 255205,
  [SMALL_STATE(6209)] = 255235,
  [SMALL_STATE(6210)] = 255275,
  [SMALL_STATE(6211)] = 255307,
  [SMALL_STATE(6212)] = 255347,
  [SMALL_STATE(6213)] = 255387,
  [SMALL_STATE(6214)] = 255419,
  [SMALL_STATE(6215)] = 255459,
  [SMALL_STATE(6216)] = 255499,
  [SMALL_STATE(6217)] = 255529,
  [SMALL_STATE(6218)] = 255559,
  [SMALL_STATE(6219)] = 255591,
  [SMALL_STATE(6220)] = 255621,
  [SMALL_STATE(6221)] = 255661,
  [SMALL_STATE(6222)] = 255693,
  [SMALL_STATE(6223)] = 255723,
  [SMALL_STATE(6224)] = 255753,
  [SMALL_STATE(6225)] = 255793,
  [SMALL_STATE(6226)] = 255825,
  [SMALL_STATE(6227)] = 255865,
  [SMALL_STATE(6228)] = 255903,
  [SMALL_STATE(6229)] = 255935,
  [SMALL_STATE(6230)] = 255973,
  [SMALL_STATE(6231)] = 256003,
  [SMALL_STATE(6232)] = 256041,
  [SMALL_STATE(6233)] = 256065,
  [SMALL_STATE(6234)] = 256105,
  [SMALL_STATE(6235)] = 256135,
  [SMALL_STATE(6236)] = 256167,
  [SMALL_STATE(6237)] = 256197,
  [SMALL_STATE(6238)] = 256229,
  [SMALL_STATE(6239)] = 256269,
  [SMALL_STATE(6240)] = 256302,
  [SMALL_STATE(6241)] = 256335,
  [SMALL_STATE(6242)] = 256372,
  [SMALL_STATE(6243)] = 256411,
  [SMALL_STATE(6244)] = 256444,
  [SMALL_STATE(6245)] = 256469,
  [SMALL_STATE(6246)] = 256502,
  [SMALL_STATE(6247)] = 256529,
  [SMALL_STATE(6248)] = 256564,
  [SMALL_STATE(6249)] = 256597,
  [SMALL_STATE(6250)] = 256634,
  [SMALL_STATE(6251)] = 256661,
  [SMALL_STATE(6252)] = 256694,
  [SMALL_STATE(6253)] = 256723,
  [SMALL_STATE(6254)] = 256758,
  [SMALL_STATE(6255)] = 256787,
  [SMALL_STATE(6256)] = 256816,
  [SMALL_STATE(6257)] = 256845,
  [SMALL_STATE(6258)] = 256878,
  [SMALL_STATE(6259)] = 256911,
  [SMALL_STATE(6260)] = 256940,
  [SMALL_STATE(6261)] = 256973,
  [SMALL_STATE(6262)] = 257002,
  [SMALL_STATE(6263)] = 257035,
  [SMALL_STATE(6264)] = 257070,
  [SMALL_STATE(6265)] = 257103,
  [SMALL_STATE(6266)] = 257132,
  [SMALL_STATE(6267)] = 257161,
  [SMALL_STATE(6268)] = 257200,
  [SMALL_STATE(6269)] = 257233,
  [SMALL_STATE(6270)] = 257268,
  [SMALL_STATE(6271)] = 257293,
  [SMALL_STATE(6272)] = 257326,
  [SMALL_STATE(6273)] = 257363,
  [SMALL_STATE(6274)] = 257398,
  [SMALL_STATE(6275)] = 257435,
  [SMALL_STATE(6276)] = 257470,
  [SMALL_STATE(6277)] = 257505,
  [SMALL_STATE(6278)] = 257538,
  [SMALL_STATE(6279)] = 257563,
  [SMALL_STATE(6280)] = 257596,
  [SMALL_STATE(6281)] = 257635,
  [SMALL_STATE(6282)] = 257668,
  [SMALL_STATE(6283)] = 257695,
  [SMALL_STATE(6284)] = 257728,
  [SMALL_STATE(6285)] = 257753,
  [SMALL_STATE(6286)] = 257786,
  [SMALL_STATE(6287)] = 257821,
  [SMALL_STATE(6288)] = 257854,
  [SMALL_STATE(6289)] = 257887,
  [SMALL_STATE(6290)] = 257920,
  [SMALL_STATE(6291)] = 257953,
  [SMALL_STATE(6292)] = 257988,
  [SMALL_STATE(6293)] = 258027,
  [SMALL_STATE(6294)] = 258054,
  [SMALL_STATE(6295)] = 258087,
  [SMALL_STATE(6296)] = 258120,
  [SMALL_STATE(6297)] = 258153,
  [SMALL_STATE(6298)] = 258186,
  [SMALL_STATE(6299)] = 258213,
  [SMALL_STATE(6300)] = 258246,
  [SMALL_STATE(6301)] = 258279,
  [SMALL_STATE(6302)] = 258314,
  [SMALL_STATE(6303)] = 258341,
  [SMALL_STATE(6304)] = 258368,
  [SMALL_STATE(6305)] = 258393,
  [SMALL_STATE(6306)] = 258428,
  [SMALL_STATE(6307)] = 258461,
  [SMALL_STATE(6308)] = 258488,
  [SMALL_STATE(6309)] = 258521,
  [SMALL_STATE(6310)] = 258554,
  [SMALL_STATE(6311)] = 258579,
  [SMALL_STATE(6312)] = 258614,
  [SMALL_STATE(6313)] = 258647,
  [SMALL_STATE(6314)] = 258686,
  [SMALL_STATE(6315)] = 258719,
  [SMALL_STATE(6316)] = 258755,
  [SMALL_STATE(6317)] = 258791,
  [SMALL_STATE(6318)] = 258827,
  [SMALL_STATE(6319)] = 258849,
  [SMALL_STATE(6320)] = 258879,
  [SMALL_STATE(6321)] = 258899,
  [SMALL_STATE(6322)] = 258935,
  [SMALL_STATE(6323)] = 258971,
  [SMALL_STATE(6324)] = 258997,
  [SMALL_STATE(6325)] = 259017,
  [SMALL_STATE(6326)] = 259047,
  [SMALL_STATE(6327)] = 259077,
  [SMALL_STATE(6328)] = 259107,
  [SMALL_STATE(6329)] = 259137,
  [SMALL_STATE(6330)] = 259167,
  [SMALL_STATE(6331)] = 259197,
  [SMALL_STATE(6332)] = 259223,
  [SMALL_STATE(6333)] = 259259,
  [SMALL_STATE(6334)] = 259285,
  [SMALL_STATE(6335)] = 259315,
  [SMALL_STATE(6336)] = 259345,
  [SMALL_STATE(6337)] = 259381,
  [SMALL_STATE(6338)] = 259401,
  [SMALL_STATE(6339)] = 259421,
  [SMALL_STATE(6340)] = 259457,
  [SMALL_STATE(6341)] = 259493,
  [SMALL_STATE(6342)] = 259523,
  [SMALL_STATE(6343)] = 259559,
  [SMALL_STATE(6344)] = 259595,
  [SMALL_STATE(6345)] = 259625,
  [SMALL_STATE(6346)] = 259661,
  [SMALL_STATE(6347)] = 259687,
  [SMALL_STATE(6348)] = 259713,
  [SMALL_STATE(6349)] = 259733,
  [SMALL_STATE(6350)] = 259769,
  [SMALL_STATE(6351)] = 259805,
  [SMALL_STATE(6352)] = 259841,
  [SMALL_STATE(6353)] = 259871,
  [SMALL_STATE(6354)] = 259907,
  [SMALL_STATE(6355)] = 259927,
  [SMALL_STATE(6356)] = 259953,
  [SMALL_STATE(6357)] = 259973,
  [SMALL_STATE(6358)] = 259993,
  [SMALL_STATE(6359)] = 260029,
  [SMALL_STATE(6360)] = 260049,
  [SMALL_STATE(6361)] = 260069,
  [SMALL_STATE(6362)] = 260089,
  [SMALL_STATE(6363)] = 260125,
  [SMALL_STATE(6364)] = 260151,
  [SMALL_STATE(6365)] = 260177,
  [SMALL_STATE(6366)] = 260213,
  [SMALL_STATE(6367)] = 260249,
  [SMALL_STATE(6368)] = 260274,
  [SMALL_STATE(6369)] = 260299,
  [SMALL_STATE(6370)] = 260334,
  [SMALL_STATE(6371)] = 260365,
  [SMALL_STATE(6372)] = 260400,
  [SMALL_STATE(6373)] = 260425,
  [SMALL_STATE(6374)] = 260460,
  [SMALL_STATE(6375)] = 260495,
  [SMALL_STATE(6376)] = 260520,
  [SMALL_STATE(6377)] = 260555,
  [SMALL_STATE(6378)] = 260580,
  [SMALL_STATE(6379)] = 260615,
  [SMALL_STATE(6380)] = 260648,
  [SMALL_STATE(6381)] = 260673,
  [SMALL_STATE(6382)] = 260698,
  [SMALL_STATE(6383)] = 260725,
  [SMALL_STATE(6384)] = 260750,
  [SMALL_STATE(6385)] = 260781,
  [SMALL_STATE(6386)] = 260808,
  [SMALL_STATE(6387)] = 260843,
  [SMALL_STATE(6388)] = 260868,
  [SMALL_STATE(6389)] = 260903,
  [SMALL_STATE(6390)] = 260922,
  [SMALL_STATE(6391)] = 260945,
  [SMALL_STATE(6392)] = 260976,
  [SMALL_STATE(6393)] = 261003,
  [SMALL_STATE(6394)] = 261030,
  [SMALL_STATE(6395)] = 261065,
  [SMALL_STATE(6396)] = 261096,
  [SMALL_STATE(6397)] = 261131,
  [SMALL_STATE(6398)] = 261164,
  [SMALL_STATE(6399)] = 261191,
  [SMALL_STATE(6400)] = 261220,
  [SMALL_STATE(6401)] = 261247,
  [SMALL_STATE(6402)] = 261266,
  [SMALL_STATE(6403)] = 261299,
  [SMALL_STATE(6404)] = 261326,
  [SMALL_STATE(6405)] = 261353,
  [SMALL_STATE(6406)] = 261380,
  [SMALL_STATE(6407)] = 261415,
  [SMALL_STATE(6408)] = 261446,
  [SMALL_STATE(6409)] = 261475,
  [SMALL_STATE(6410)] = 261502,
  [SMALL_STATE(6411)] = 261531,
  [SMALL_STATE(6412)] = 261566,
  [SMALL_STATE(6413)] = 261593,
  [SMALL_STATE(6414)] = 261620,
  [SMALL_STATE(6415)] = 261651,
  [SMALL_STATE(6416)] = 261682,
  [SMALL_STATE(6417)] = 261701,
  [SMALL_STATE(6418)] = 261732,
  [SMALL_STATE(6419)] = 261759,
  [SMALL_STATE(6420)] = 261786,
  [SMALL_STATE(6421)] = 261811,
  [SMALL_STATE(6422)] = 261842,
  [SMALL_STATE(6423)] = 261873,
  [SMALL_STATE(6424)] = 261908,
  [SMALL_STATE(6425)] = 261937,
  [SMALL_STATE(6426)] = 261966,
  [SMALL_STATE(6427)] = 261993,
  [SMALL_STATE(6428)] = 262024,
  [SMALL_STATE(6429)] = 262053,
  [SMALL_STATE(6430)] = 262080,
  [SMALL_STATE(6431)] = 262105,
  [SMALL_STATE(6432)] = 262132,
  [SMALL_STATE(6433)] = 262163,
  [SMALL_STATE(6434)] = 262198,
  [SMALL_STATE(6435)] = 262233,
  [SMALL_STATE(6436)] = 262264,
  [SMALL_STATE(6437)] = 262293,
  [SMALL_STATE(6438)] = 262324,
  [SMALL_STATE(6439)] = 262355,
  [SMALL_STATE(6440)] = 262382,
  [SMALL_STATE(6441)] = 262411,
  [SMALL_STATE(6442)] = 262442,
  [SMALL_STATE(6443)] = 262469,
  [SMALL_STATE(6444)] = 262494,
  [SMALL_STATE(6445)] = 262521,
  [SMALL_STATE(6446)] = 262540,
  [SMALL_STATE(6447)] = 262571,
  [SMALL_STATE(6448)] = 262596,
  [SMALL_STATE(6449)] = 262621,
  [SMALL_STATE(6450)] = 262650,
  [SMALL_STATE(6451)] = 262677,
  [SMALL_STATE(6452)] = 262712,
  [SMALL_STATE(6453)] = 262739,
  [SMALL_STATE(6454)] = 262774,
  [SMALL_STATE(6455)] = 262805,
  [SMALL_STATE(6456)] = 262834,
  [SMALL_STATE(6457)] = 262867,
  [SMALL_STATE(6458)] = 262902,
  [SMALL_STATE(6459)] = 262929,
  [SMALL_STATE(6460)] = 262950,
  [SMALL_STATE(6461)] = 262977,
  [SMALL_STATE(6462)] = 263008,
  [SMALL_STATE(6463)] = 263037,
  [SMALL_STATE(6464)] = 263072,
  [SMALL_STATE(6465)] = 263107,
  [SMALL_STATE(6466)] = 263136,
  [SMALL_STATE(6467)] = 263161,
  [SMALL_STATE(6468)] = 263196,
  [SMALL_STATE(6469)] = 263221,
  [SMALL_STATE(6470)] = 263240,
  [SMALL_STATE(6471)] = 263259,
  [SMALL_STATE(6472)] = 263278,
  [SMALL_STATE(6473)] = 263309,
  [SMALL_STATE(6474)] = 263342,
  [SMALL_STATE(6475)] = 263369,
  [SMALL_STATE(6476)] = 263396,
  [SMALL_STATE(6477)] = 263422,
  [SMALL_STATE(6478)] = 263446,
  [SMALL_STATE(6479)] = 263468,
  [SMALL_STATE(6480)] = 263498,
  [SMALL_STATE(6481)] = 263522,
  [SMALL_STATE(6482)] = 263546,
  [SMALL_STATE(6483)] = 263568,
  [SMALL_STATE(6484)] = 263592,
  [SMALL_STATE(6485)] = 263616,
  [SMALL_STATE(6486)] = 263640,
  [SMALL_STATE(6487)] = 263662,
  [SMALL_STATE(6488)] = 263684,
  [SMALL_STATE(6489)] = 263708,
  [SMALL_STATE(6490)] = 263738,
  [SMALL_STATE(6491)] = 263762,
  [SMALL_STATE(6492)] = 263786,
  [SMALL_STATE(6493)] = 263816,
  [SMALL_STATE(6494)] = 263838,
  [SMALL_STATE(6495)] = 263862,
  [SMALL_STATE(6496)] = 263886,
  [SMALL_STATE(6497)] = 263910,
  [SMALL_STATE(6498)] = 263932,
  [SMALL_STATE(6499)] = 263956,
  [SMALL_STATE(6500)] = 263978,
  [SMALL_STATE(6501)] = 264002,
  [SMALL_STATE(6502)] = 264024,
  [SMALL_STATE(6503)] = 264056,
  [SMALL_STATE(6504)] = 264080,
  [SMALL_STATE(6505)] = 264104,
  [SMALL_STATE(6506)] = 264134,
  [SMALL_STATE(6507)] = 264158,
  [SMALL_STATE(6508)] = 264188,
  [SMALL_STATE(6509)] = 264216,
  [SMALL_STATE(6510)] = 264238,
  [SMALL_STATE(6511)] = 264262,
  [SMALL_STATE(6512)] = 264292,
  [SMALL_STATE(6513)] = 264314,
  [SMALL_STATE(6514)] = 264338,
  [SMALL_STATE(6515)] = 264362,
  [SMALL_STATE(6516)] = 264384,
  [SMALL_STATE(6517)] = 264406,
  [SMALL_STATE(6518)] = 264428,
  [SMALL_STATE(6519)] = 264458,
  [SMALL_STATE(6520)] = 264482,
  [SMALL_STATE(6521)] = 264506,
  [SMALL_STATE(6522)] = 264532,
  [SMALL_STATE(6523)] = 264556,
  [SMALL_STATE(6524)] = 264582,
  [SMALL_STATE(6525)] = 264608,
  [SMALL_STATE(6526)] = 264635,
  [SMALL_STATE(6527)] = 264666,
  [SMALL_STATE(6528)] = 264697,
  [SMALL_STATE(6529)] = 264728,
  [SMALL_STATE(6530)] = 264759,
  [SMALL_STATE(6531)] = 264790,
  [SMALL_STATE(6532)] = 264821,
  [SMALL_STATE(6533)] = 264852,
  [SMALL_STATE(6534)] = 264875,
  [SMALL_STATE(6535)] = 264906,
  [SMALL_STATE(6536)] = 264937,
  [SMALL_STATE(6537)] = 264968,
  [SMALL_STATE(6538)] = 264999,
  [SMALL_STATE(6539)] = 265030,
  [SMALL_STATE(6540)] = 265061,
  [SMALL_STATE(6541)] = 265092,
  [SMALL_STATE(6542)] = 265123,
  [SMALL_STATE(6543)] = 265154,
  [SMALL_STATE(6544)] = 265185,
  [SMALL_STATE(6545)] = 265216,
  [SMALL_STATE(6546)] = 265247,
  [SMALL_STATE(6547)] = 265278,
  [SMALL_STATE(6548)] = 265299,
  [SMALL_STATE(6549)] = 265330,
  [SMALL_STATE(6550)] = 265361,
  [SMALL_STATE(6551)] = 265392,
  [SMALL_STATE(6552)] = 265419,
  [SMALL_STATE(6553)] = 265450,
  [SMALL_STATE(6554)] = 265481,
  [SMALL_STATE(6555)] = 265512,
  [SMALL_STATE(6556)] = 265533,
  [SMALL_STATE(6557)] = 265560,
  [SMALL_STATE(6558)] = 265581,
  [SMALL_STATE(6559)] = 265602,
  [SMALL_STATE(6560)] = 265629,
  [SMALL_STATE(6561)] = 265660,
  [SMALL_STATE(6562)] = 265683,
  [SMALL_STATE(6563)] = 265710,
  [SMALL_STATE(6564)] = 265737,
  [SMALL_STATE(6565)] = 265764,
  [SMALL_STATE(6566)] = 265791,
  [SMALL_STATE(6567)] = 265818,
  [SMALL_STATE(6568)] = 265849,
  [SMALL_STATE(6569)] = 265876,
  [SMALL_STATE(6570)] = 265903,
  [SMALL_STATE(6571)] = 265926,
  [SMALL_STATE(6572)] = 265957,
  [SMALL_STATE(6573)] = 265980,
  [SMALL_STATE(6574)] = 266003,
  [SMALL_STATE(6575)] = 266026,
  [SMALL_STATE(6576)] = 266049,
  [SMALL_STATE(6577)] = 266072,
  [SMALL_STATE(6578)] = 266095,
  [SMALL_STATE(6579)] = 266118,
  [SMALL_STATE(6580)] = 266145,
  [SMALL_STATE(6581)] = 266171,
  [SMALL_STATE(6582)] = 266197,
  [SMALL_STATE(6583)] = 266217,
  [SMALL_STATE(6584)] = 266243,
  [SMALL_STATE(6585)] = 266269,
  [SMALL_STATE(6586)] = 266289,
  [SMALL_STATE(6587)] = 266311,
  [SMALL_STATE(6588)] = 266337,
  [SMALL_STATE(6589)] = 266363,
  [SMALL_STATE(6590)] = 266387,
  [SMALL_STATE(6591)] = 266409,
  [SMALL_STATE(6592)] = 266427,
  [SMALL_STATE(6593)] = 266455,
  [SMALL_STATE(6594)] = 266479,
  [SMALL_STATE(6595)] = 266505,
  [SMALL_STATE(6596)] = 266531,
  [SMALL_STATE(6597)] = 266557,
  [SMALL_STATE(6598)] = 266583,
  [SMALL_STATE(6599)] = 266609,
  [SMALL_STATE(6600)] = 266631,
  [SMALL_STATE(6601)] = 266653,
  [SMALL_STATE(6602)] = 266675,
  [SMALL_STATE(6603)] = 266697,
  [SMALL_STATE(6604)] = 266719,
  [SMALL_STATE(6605)] = 266741,
  [SMALL_STATE(6606)] = 266767,
  [SMALL_STATE(6607)] = 266793,
  [SMALL_STATE(6608)] = 266819,
  [SMALL_STATE(6609)] = 266841,
  [SMALL_STATE(6610)] = 266867,
  [SMALL_STATE(6611)] = 266891,
  [SMALL_STATE(6612)] = 266917,
  [SMALL_STATE(6613)] = 266943,
  [SMALL_STATE(6614)] = 266965,
  [SMALL_STATE(6615)] = 266981,
  [SMALL_STATE(6616)] = 267003,
  [SMALL_STATE(6617)] = 267029,
  [SMALL_STATE(6618)] = 267051,
  [SMALL_STATE(6619)] = 267073,
  [SMALL_STATE(6620)] = 267095,
  [SMALL_STATE(6621)] = 267111,
  [SMALL_STATE(6622)] = 267133,
  [SMALL_STATE(6623)] = 267159,
  [SMALL_STATE(6624)] = 267185,
  [SMALL_STATE(6625)] = 267211,
  [SMALL_STATE(6626)] = 267237,
  [SMALL_STATE(6627)] = 267261,
  [SMALL_STATE(6628)] = 267283,
  [SMALL_STATE(6629)] = 267305,
  [SMALL_STATE(6630)] = 267331,
  [SMALL_STATE(6631)] = 267353,
  [SMALL_STATE(6632)] = 267375,
  [SMALL_STATE(6633)] = 267399,
  [SMALL_STATE(6634)] = 267425,
  [SMALL_STATE(6635)] = 267451,
  [SMALL_STATE(6636)] = 267471,
  [SMALL_STATE(6637)] = 267495,
  [SMALL_STATE(6638)] = 267521,
  [SMALL_STATE(6639)] = 267547,
  [SMALL_STATE(6640)] = 267573,
  [SMALL_STATE(6641)] = 267599,
  [SMALL_STATE(6642)] = 267625,
  [SMALL_STATE(6643)] = 267651,
  [SMALL_STATE(6644)] = 267677,
  [SMALL_STATE(6645)] = 267699,
  [SMALL_STATE(6646)] = 267721,
  [SMALL_STATE(6647)] = 267743,
  [SMALL_STATE(6648)] = 267763,
  [SMALL_STATE(6649)] = 267789,
  [SMALL_STATE(6650)] = 267811,
  [SMALL_STATE(6651)] = 267837,
  [SMALL_STATE(6652)] = 267861,
  [SMALL_STATE(6653)] = 267887,
  [SMALL_STATE(6654)] = 267909,
  [SMALL_STATE(6655)] = 267935,
  [SMALL_STATE(6656)] = 267961,
  [SMALL_STATE(6657)] = 267987,
  [SMALL_STATE(6658)] = 268013,
  [SMALL_STATE(6659)] = 268039,
  [SMALL_STATE(6660)] = 268063,
  [SMALL_STATE(6661)] = 268088,
  [SMALL_STATE(6662)] = 268109,
  [SMALL_STATE(6663)] = 268126,
  [SMALL_STATE(6664)] = 268147,
  [SMALL_STATE(6665)] = 268172,
  [SMALL_STATE(6666)] = 268197,
  [SMALL_STATE(6667)] = 268220,
  [SMALL_STATE(6668)] = 268237,
  [SMALL_STATE(6669)] = 268256,
  [SMALL_STATE(6670)] = 268279,
  [SMALL_STATE(6671)] = 268298,
  [SMALL_STATE(6672)] = 268323,
  [SMALL_STATE(6673)] = 268348,
  [SMALL_STATE(6674)] = 268365,
  [SMALL_STATE(6675)] = 268386,
  [SMALL_STATE(6676)] = 268409,
  [SMALL_STATE(6677)] = 268426,
  [SMALL_STATE(6678)] = 268447,
  [SMALL_STATE(6679)] = 268470,
  [SMALL_STATE(6680)] = 268489,
  [SMALL_STATE(6681)] = 268510,
  [SMALL_STATE(6682)] = 268533,
  [SMALL_STATE(6683)] = 268550,
  [SMALL_STATE(6684)] = 268573,
  [SMALL_STATE(6685)] = 268596,
  [SMALL_STATE(6686)] = 268619,
  [SMALL_STATE(6687)] = 268642,
  [SMALL_STATE(6688)] = 268667,
  [SMALL_STATE(6689)] = 268688,
  [SMALL_STATE(6690)] = 268709,
  [SMALL_STATE(6691)] = 268732,
  [SMALL_STATE(6692)] = 268751,
  [SMALL_STATE(6693)] = 268774,
  [SMALL_STATE(6694)] = 268793,
  [SMALL_STATE(6695)] = 268816,
  [SMALL_STATE(6696)] = 268839,
  [SMALL_STATE(6697)] = 268864,
  [SMALL_STATE(6698)] = 268881,
  [SMALL_STATE(6699)] = 268898,
  [SMALL_STATE(6700)] = 268921,
  [SMALL_STATE(6701)] = 268940,
  [SMALL_STATE(6702)] = 268957,
  [SMALL_STATE(6703)] = 268978,
  [SMALL_STATE(6704)] = 268995,
  [SMALL_STATE(6705)] = 269012,
  [SMALL_STATE(6706)] = 269029,
  [SMALL_STATE(6707)] = 269046,
  [SMALL_STATE(6708)] = 269063,
  [SMALL_STATE(6709)] = 269080,
  [SMALL_STATE(6710)] = 269097,
  [SMALL_STATE(6711)] = 269114,
  [SMALL_STATE(6712)] = 269131,
  [SMALL_STATE(6713)] = 269148,
  [SMALL_STATE(6714)] = 269173,
  [SMALL_STATE(6715)] = 269196,
  [SMALL_STATE(6716)] = 269219,
  [SMALL_STATE(6717)] = 269242,
  [SMALL_STATE(6718)] = 269263,
  [SMALL_STATE(6719)] = 269284,
  [SMALL_STATE(6720)] = 269298,
  [SMALL_STATE(6721)] = 269320,
  [SMALL_STATE(6722)] = 269334,
  [SMALL_STATE(6723)] = 269356,
  [SMALL_STATE(6724)] = 269376,
  [SMALL_STATE(6725)] = 269396,
  [SMALL_STATE(6726)] = 269418,
  [SMALL_STATE(6727)] = 269440,
  [SMALL_STATE(6728)] = 269462,
  [SMALL_STATE(6729)] = 269484,
  [SMALL_STATE(6730)] = 269506,
  [SMALL_STATE(6731)] = 269528,
  [SMALL_STATE(6732)] = 269548,
  [SMALL_STATE(6733)] = 269570,
  [SMALL_STATE(6734)] = 269592,
  [SMALL_STATE(6735)] = 269612,
  [SMALL_STATE(6736)] = 269626,
  [SMALL_STATE(6737)] = 269646,
  [SMALL_STATE(6738)] = 269660,
  [SMALL_STATE(6739)] = 269680,
  [SMALL_STATE(6740)] = 269698,
  [SMALL_STATE(6741)] = 269718,
  [SMALL_STATE(6742)] = 269736,
  [SMALL_STATE(6743)] = 269754,
  [SMALL_STATE(6744)] = 269774,
  [SMALL_STATE(6745)] = 269794,
  [SMALL_STATE(6746)] = 269814,
  [SMALL_STATE(6747)] = 269834,
  [SMALL_STATE(6748)] = 269854,
  [SMALL_STATE(6749)] = 269874,
  [SMALL_STATE(6750)] = 269894,
  [SMALL_STATE(6751)] = 269916,
  [SMALL_STATE(6752)] = 269938,
  [SMALL_STATE(6753)] = 269956,
  [SMALL_STATE(6754)] = 269978,
  [SMALL_STATE(6755)] = 269992,
  [SMALL_STATE(6756)] = 270010,
  [SMALL_STATE(6757)] = 270024,
  [SMALL_STATE(6758)] = 270038,
  [SMALL_STATE(6759)] = 270058,
  [SMALL_STATE(6760)] = 270078,
  [SMALL_STATE(6761)] = 270096,
  [SMALL_STATE(6762)] = 270118,
  [SMALL_STATE(6763)] = 270140,
  [SMALL_STATE(6764)] = 270162,
  [SMALL_STATE(6765)] = 270182,
  [SMALL_STATE(6766)] = 270204,
  [SMALL_STATE(6767)] = 270226,
  [SMALL_STATE(6768)] = 270246,
  [SMALL_STATE(6769)] = 270268,
  [SMALL_STATE(6770)] = 270290,
  [SMALL_STATE(6771)] = 270310,
  [SMALL_STATE(6772)] = 270332,
  [SMALL_STATE(6773)] = 270352,
  [SMALL_STATE(6774)] = 270372,
  [SMALL_STATE(6775)] = 270392,
  [SMALL_STATE(6776)] = 270406,
  [SMALL_STATE(6777)] = 270420,
  [SMALL_STATE(6778)] = 270440,
  [SMALL_STATE(6779)] = 270460,
  [SMALL_STATE(6780)] = 270480,
  [SMALL_STATE(6781)] = 270494,
  [SMALL_STATE(6782)] = 270514,
  [SMALL_STATE(6783)] = 270528,
  [SMALL_STATE(6784)] = 270542,
  [SMALL_STATE(6785)] = 270562,
  [SMALL_STATE(6786)] = 270582,
  [SMALL_STATE(6787)] = 270604,
  [SMALL_STATE(6788)] = 270626,
  [SMALL_STATE(6789)] = 270640,
  [SMALL_STATE(6790)] = 270662,
  [SMALL_STATE(6791)] = 270676,
  [SMALL_STATE(6792)] = 270693,
  [SMALL_STATE(6793)] = 270712,
  [SMALL_STATE(6794)] = 270731,
  [SMALL_STATE(6795)] = 270748,
  [SMALL_STATE(6796)] = 270767,
  [SMALL_STATE(6797)] = 270780,
  [SMALL_STATE(6798)] = 270797,
  [SMALL_STATE(6799)] = 270814,
  [SMALL_STATE(6800)] = 270831,
  [SMALL_STATE(6801)] = 270850,
  [SMALL_STATE(6802)] = 270867,
  [SMALL_STATE(6803)] = 270886,
  [SMALL_STATE(6804)] = 270905,
  [SMALL_STATE(6805)] = 270922,
  [SMALL_STATE(6806)] = 270939,
  [SMALL_STATE(6807)] = 270956,
  [SMALL_STATE(6808)] = 270973,
  [SMALL_STATE(6809)] = 270990,
  [SMALL_STATE(6810)] = 271009,
  [SMALL_STATE(6811)] = 271026,
  [SMALL_STATE(6812)] = 271045,
  [SMALL_STATE(6813)] = 271062,
  [SMALL_STATE(6814)] = 271079,
  [SMALL_STATE(6815)] = 271096,
  [SMALL_STATE(6816)] = 271113,
  [SMALL_STATE(6817)] = 271130,
  [SMALL_STATE(6818)] = 271147,
  [SMALL_STATE(6819)] = 271166,
  [SMALL_STATE(6820)] = 271183,
  [SMALL_STATE(6821)] = 271200,
  [SMALL_STATE(6822)] = 271217,
  [SMALL_STATE(6823)] = 271236,
  [SMALL_STATE(6824)] = 271253,
  [SMALL_STATE(6825)] = 271270,
  [SMALL_STATE(6826)] = 271287,
  [SMALL_STATE(6827)] = 271304,
  [SMALL_STATE(6828)] = 271323,
  [SMALL_STATE(6829)] = 271340,
  [SMALL_STATE(6830)] = 271357,
  [SMALL_STATE(6831)] = 271374,
  [SMALL_STATE(6832)] = 271393,
  [SMALL_STATE(6833)] = 271410,
  [SMALL_STATE(6834)] = 271427,
  [SMALL_STATE(6835)] = 271444,
  [SMALL_STATE(6836)] = 271461,
  [SMALL_STATE(6837)] = 271478,
  [SMALL_STATE(6838)] = 271495,
  [SMALL_STATE(6839)] = 271512,
  [SMALL_STATE(6840)] = 271527,
  [SMALL_STATE(6841)] = 271546,
  [SMALL_STATE(6842)] = 271563,
  [SMALL_STATE(6843)] = 271582,
  [SMALL_STATE(6844)] = 271595,
  [SMALL_STATE(6845)] = 271606,
  [SMALL_STATE(6846)] = 271623,
  [SMALL_STATE(6847)] = 271642,
  [SMALL_STATE(6848)] = 271659,
  [SMALL_STATE(6849)] = 271678,
  [SMALL_STATE(6850)] = 271695,
  [SMALL_STATE(6851)] = 271714,
  [SMALL_STATE(6852)] = 271731,
  [SMALL_STATE(6853)] = 271750,
  [SMALL_STATE(6854)] = 271769,
  [SMALL_STATE(6855)] = 271788,
  [SMALL_STATE(6856)] = 271807,
  [SMALL_STATE(6857)] = 271826,
  [SMALL_STATE(6858)] = 271843,
  [SMALL_STATE(6859)] = 271860,
  [SMALL_STATE(6860)] = 271877,
  [SMALL_STATE(6861)] = 271894,
  [SMALL_STATE(6862)] = 271913,
  [SMALL_STATE(6863)] = 271926,
  [SMALL_STATE(6864)] = 271943,
  [SMALL_STATE(6865)] = 271960,
  [SMALL_STATE(6866)] = 271977,
  [SMALL_STATE(6867)] = 271996,
  [SMALL_STATE(6868)] = 272012,
  [SMALL_STATE(6869)] = 272026,
  [SMALL_STATE(6870)] = 272042,
  [SMALL_STATE(6871)] = 272056,
  [SMALL_STATE(6872)] = 272072,
  [SMALL_STATE(6873)] = 272088,
  [SMALL_STATE(6874)] = 272104,
  [SMALL_STATE(6875)] = 272120,
  [SMALL_STATE(6876)] = 272134,
  [SMALL_STATE(6877)] = 272150,
  [SMALL_STATE(6878)] = 272166,
  [SMALL_STATE(6879)] = 272182,
  [SMALL_STATE(6880)] = 272198,
  [SMALL_STATE(6881)] = 272214,
  [SMALL_STATE(6882)] = 272230,
  [SMALL_STATE(6883)] = 272246,
  [SMALL_STATE(6884)] = 272262,
  [SMALL_STATE(6885)] = 272278,
  [SMALL_STATE(6886)] = 272294,
  [SMALL_STATE(6887)] = 272308,
  [SMALL_STATE(6888)] = 272324,
  [SMALL_STATE(6889)] = 272340,
  [SMALL_STATE(6890)] = 272356,
  [SMALL_STATE(6891)] = 272372,
  [SMALL_STATE(6892)] = 272388,
  [SMALL_STATE(6893)] = 272404,
  [SMALL_STATE(6894)] = 272418,
  [SMALL_STATE(6895)] = 272434,
  [SMALL_STATE(6896)] = 272450,
  [SMALL_STATE(6897)] = 272466,
  [SMALL_STATE(6898)] = 272482,
  [SMALL_STATE(6899)] = 272496,
  [SMALL_STATE(6900)] = 272512,
  [SMALL_STATE(6901)] = 272526,
  [SMALL_STATE(6902)] = 272540,
  [SMALL_STATE(6903)] = 272554,
  [SMALL_STATE(6904)] = 272570,
  [SMALL_STATE(6905)] = 272586,
  [SMALL_STATE(6906)] = 272602,
  [SMALL_STATE(6907)] = 272618,
  [SMALL_STATE(6908)] = 272632,
  [SMALL_STATE(6909)] = 272648,
  [SMALL_STATE(6910)] = 272662,
  [SMALL_STATE(6911)] = 272678,
  [SMALL_STATE(6912)] = 272694,
  [SMALL_STATE(6913)] = 272710,
  [SMALL_STATE(6914)] = 272724,
  [SMALL_STATE(6915)] = 272740,
  [SMALL_STATE(6916)] = 272756,
  [SMALL_STATE(6917)] = 272772,
  [SMALL_STATE(6918)] = 272788,
  [SMALL_STATE(6919)] = 272804,
  [SMALL_STATE(6920)] = 272818,
  [SMALL_STATE(6921)] = 272834,
  [SMALL_STATE(6922)] = 272850,
  [SMALL_STATE(6923)] = 272866,
  [SMALL_STATE(6924)] = 272882,
  [SMALL_STATE(6925)] = 272898,
  [SMALL_STATE(6926)] = 272914,
  [SMALL_STATE(6927)] = 272930,
  [SMALL_STATE(6928)] = 272946,
  [SMALL_STATE(6929)] = 272960,
  [SMALL_STATE(6930)] = 272976,
  [SMALL_STATE(6931)] = 272992,
  [SMALL_STATE(6932)] = 273008,
  [SMALL_STATE(6933)] = 273024,
  [SMALL_STATE(6934)] = 273040,
  [SMALL_STATE(6935)] = 273056,
  [SMALL_STATE(6936)] = 273072,
  [SMALL_STATE(6937)] = 273088,
  [SMALL_STATE(6938)] = 273104,
  [SMALL_STATE(6939)] = 273120,
  [SMALL_STATE(6940)] = 273134,
  [SMALL_STATE(6941)] = 273150,
  [SMALL_STATE(6942)] = 273166,
  [SMALL_STATE(6943)] = 273182,
  [SMALL_STATE(6944)] = 273198,
  [SMALL_STATE(6945)] = 273214,
  [SMALL_STATE(6946)] = 273230,
  [SMALL_STATE(6947)] = 273246,
  [SMALL_STATE(6948)] = 273262,
  [SMALL_STATE(6949)] = 273278,
  [SMALL_STATE(6950)] = 273292,
  [SMALL_STATE(6951)] = 273302,
  [SMALL_STATE(6952)] = 273318,
  [SMALL_STATE(6953)] = 273332,
  [SMALL_STATE(6954)] = 273348,
  [SMALL_STATE(6955)] = 273364,
  [SMALL_STATE(6956)] = 273380,
  [SMALL_STATE(6957)] = 273396,
  [SMALL_STATE(6958)] = 273412,
  [SMALL_STATE(6959)] = 273428,
  [SMALL_STATE(6960)] = 273442,
  [SMALL_STATE(6961)] = 273458,
  [SMALL_STATE(6962)] = 273472,
  [SMALL_STATE(6963)] = 273488,
  [SMALL_STATE(6964)] = 273504,
  [SMALL_STATE(6965)] = 273518,
  [SMALL_STATE(6966)] = 273532,
  [SMALL_STATE(6967)] = 273548,
  [SMALL_STATE(6968)] = 273564,
  [SMALL_STATE(6969)] = 273580,
  [SMALL_STATE(6970)] = 273596,
  [SMALL_STATE(6971)] = 273610,
  [SMALL_STATE(6972)] = 273624,
  [SMALL_STATE(6973)] = 273640,
  [SMALL_STATE(6974)] = 273654,
  [SMALL_STATE(6975)] = 273670,
  [SMALL_STATE(6976)] = 273684,
  [SMALL_STATE(6977)] = 273700,
  [SMALL_STATE(6978)] = 273716,
  [SMALL_STATE(6979)] = 273732,
  [SMALL_STATE(6980)] = 273748,
  [SMALL_STATE(6981)] = 273764,
  [SMALL_STATE(6982)] = 273778,
  [SMALL_STATE(6983)] = 273794,
  [SMALL_STATE(6984)] = 273804,
  [SMALL_STATE(6985)] = 273820,
  [SMALL_STATE(6986)] = 273834,
  [SMALL_STATE(6987)] = 273850,
  [SMALL_STATE(6988)] = 273866,
  [SMALL_STATE(6989)] = 273882,
  [SMALL_STATE(6990)] = 273898,
  [SMALL_STATE(6991)] = 273912,
  [SMALL_STATE(6992)] = 273928,
  [SMALL_STATE(6993)] = 273942,
  [SMALL_STATE(6994)] = 273958,
  [SMALL_STATE(6995)] = 273972,
  [SMALL_STATE(6996)] = 273988,
  [SMALL_STATE(6997)] = 274004,
  [SMALL_STATE(6998)] = 274020,
  [SMALL_STATE(6999)] = 274036,
  [SMALL_STATE(7000)] = 274052,
  [SMALL_STATE(7001)] = 274064,
  [SMALL_STATE(7002)] = 274080,
  [SMALL_STATE(7003)] = 274096,
  [SMALL_STATE(7004)] = 274112,
  [SMALL_STATE(7005)] = 274128,
  [SMALL_STATE(7006)] = 274144,
  [SMALL_STATE(7007)] = 274160,
  [SMALL_STATE(7008)] = 274174,
  [SMALL_STATE(7009)] = 274188,
  [SMALL_STATE(7010)] = 274204,
  [SMALL_STATE(7011)] = 274220,
  [SMALL_STATE(7012)] = 274236,
  [SMALL_STATE(7013)] = 274252,
  [SMALL_STATE(7014)] = 274266,
  [SMALL_STATE(7015)] = 274280,
  [SMALL_STATE(7016)] = 274296,
  [SMALL_STATE(7017)] = 274312,
  [SMALL_STATE(7018)] = 274328,
  [SMALL_STATE(7019)] = 274342,
  [SMALL_STATE(7020)] = 274356,
  [SMALL_STATE(7021)] = 274372,
  [SMALL_STATE(7022)] = 274388,
  [SMALL_STATE(7023)] = 274402,
  [SMALL_STATE(7024)] = 274416,
  [SMALL_STATE(7025)] = 274430,
  [SMALL_STATE(7026)] = 274444,
  [SMALL_STATE(7027)] = 274460,
  [SMALL_STATE(7028)] = 274472,
  [SMALL_STATE(7029)] = 274488,
  [SMALL_STATE(7030)] = 274504,
  [SMALL_STATE(7031)] = 274518,
  [SMALL_STATE(7032)] = 274532,
  [SMALL_STATE(7033)] = 274546,
  [SMALL_STATE(7034)] = 274562,
  [SMALL_STATE(7035)] = 274576,
  [SMALL_STATE(7036)] = 274590,
  [SMALL_STATE(7037)] = 274604,
  [SMALL_STATE(7038)] = 274618,
  [SMALL_STATE(7039)] = 274634,
  [SMALL_STATE(7040)] = 274650,
  [SMALL_STATE(7041)] = 274666,
  [SMALL_STATE(7042)] = 274680,
  [SMALL_STATE(7043)] = 274696,
  [SMALL_STATE(7044)] = 274712,
  [SMALL_STATE(7045)] = 274724,
  [SMALL_STATE(7046)] = 274740,
  [SMALL_STATE(7047)] = 274754,
  [SMALL_STATE(7048)] = 274766,
  [SMALL_STATE(7049)] = 274782,
  [SMALL_STATE(7050)] = 274798,
  [SMALL_STATE(7051)] = 274814,
  [SMALL_STATE(7052)] = 274830,
  [SMALL_STATE(7053)] = 274844,
  [SMALL_STATE(7054)] = 274860,
  [SMALL_STATE(7055)] = 274876,
  [SMALL_STATE(7056)] = 274892,
  [SMALL_STATE(7057)] = 274906,
  [SMALL_STATE(7058)] = 274922,
  [SMALL_STATE(7059)] = 274938,
  [SMALL_STATE(7060)] = 274954,
  [SMALL_STATE(7061)] = 274967,
  [SMALL_STATE(7062)] = 274980,
  [SMALL_STATE(7063)] = 274993,
  [SMALL_STATE(7064)] = 275006,
  [SMALL_STATE(7065)] = 275019,
  [SMALL_STATE(7066)] = 275032,
  [SMALL_STATE(7067)] = 275043,
  [SMALL_STATE(7068)] = 275056,
  [SMALL_STATE(7069)] = 275069,
  [SMALL_STATE(7070)] = 275080,
  [SMALL_STATE(7071)] = 275093,
  [SMALL_STATE(7072)] = 275106,
  [SMALL_STATE(7073)] = 275119,
  [SMALL_STATE(7074)] = 275132,
  [SMALL_STATE(7075)] = 275145,
  [SMALL_STATE(7076)] = 275158,
  [SMALL_STATE(7077)] = 275171,
  [SMALL_STATE(7078)] = 275184,
  [SMALL_STATE(7079)] = 275195,
  [SMALL_STATE(7080)] = 275208,
  [SMALL_STATE(7081)] = 275221,
  [SMALL_STATE(7082)] = 275234,
  [SMALL_STATE(7083)] = 275247,
  [SMALL_STATE(7084)] = 275260,
  [SMALL_STATE(7085)] = 275271,
  [SMALL_STATE(7086)] = 275284,
  [SMALL_STATE(7087)] = 275297,
  [SMALL_STATE(7088)] = 275308,
  [SMALL_STATE(7089)] = 275319,
  [SMALL_STATE(7090)] = 275332,
  [SMALL_STATE(7091)] = 275345,
  [SMALL_STATE(7092)] = 275358,
  [SMALL_STATE(7093)] = 275369,
  [SMALL_STATE(7094)] = 275382,
  [SMALL_STATE(7095)] = 275395,
  [SMALL_STATE(7096)] = 275408,
  [SMALL_STATE(7097)] = 275421,
  [SMALL_STATE(7098)] = 275434,
  [SMALL_STATE(7099)] = 275447,
  [SMALL_STATE(7100)] = 275456,
  [SMALL_STATE(7101)] = 275469,
  [SMALL_STATE(7102)] = 275482,
  [SMALL_STATE(7103)] = 275491,
  [SMALL_STATE(7104)] = 275504,
  [SMALL_STATE(7105)] = 275517,
  [SMALL_STATE(7106)] = 275528,
  [SMALL_STATE(7107)] = 275541,
  [SMALL_STATE(7108)] = 275552,
  [SMALL_STATE(7109)] = 275565,
  [SMALL_STATE(7110)] = 275578,
  [SMALL_STATE(7111)] = 275591,
  [SMALL_STATE(7112)] = 275602,
  [SMALL_STATE(7113)] = 275615,
  [SMALL_STATE(7114)] = 275628,
  [SMALL_STATE(7115)] = 275641,
  [SMALL_STATE(7116)] = 275654,
  [SMALL_STATE(7117)] = 275667,
  [SMALL_STATE(7118)] = 275680,
  [SMALL_STATE(7119)] = 275693,
  [SMALL_STATE(7120)] = 275706,
  [SMALL_STATE(7121)] = 275719,
  [SMALL_STATE(7122)] = 275730,
  [SMALL_STATE(7123)] = 275743,
  [SMALL_STATE(7124)] = 275756,
  [SMALL_STATE(7125)] = 275769,
  [SMALL_STATE(7126)] = 275782,
  [SMALL_STATE(7127)] = 275795,
  [SMALL_STATE(7128)] = 275806,
  [SMALL_STATE(7129)] = 275819,
  [SMALL_STATE(7130)] = 275832,
  [SMALL_STATE(7131)] = 275841,
  [SMALL_STATE(7132)] = 275854,
  [SMALL_STATE(7133)] = 275867,
  [SMALL_STATE(7134)] = 275880,
  [SMALL_STATE(7135)] = 275893,
  [SMALL_STATE(7136)] = 275906,
  [SMALL_STATE(7137)] = 275919,
  [SMALL_STATE(7138)] = 275930,
  [SMALL_STATE(7139)] = 275943,
  [SMALL_STATE(7140)] = 275956,
  [SMALL_STATE(7141)] = 275969,
  [SMALL_STATE(7142)] = 275982,
  [SMALL_STATE(7143)] = 275991,
  [SMALL_STATE(7144)] = 276004,
  [SMALL_STATE(7145)] = 276017,
  [SMALL_STATE(7146)] = 276030,
  [SMALL_STATE(7147)] = 276041,
  [SMALL_STATE(7148)] = 276054,
  [SMALL_STATE(7149)] = 276067,
  [SMALL_STATE(7150)] = 276080,
  [SMALL_STATE(7151)] = 276093,
  [SMALL_STATE(7152)] = 276106,
  [SMALL_STATE(7153)] = 276119,
  [SMALL_STATE(7154)] = 276132,
  [SMALL_STATE(7155)] = 276145,
  [SMALL_STATE(7156)] = 276158,
  [SMALL_STATE(7157)] = 276171,
  [SMALL_STATE(7158)] = 276184,
  [SMALL_STATE(7159)] = 276197,
  [SMALL_STATE(7160)] = 276206,
  [SMALL_STATE(7161)] = 276219,
  [SMALL_STATE(7162)] = 276230,
  [SMALL_STATE(7163)] = 276243,
  [SMALL_STATE(7164)] = 276256,
  [SMALL_STATE(7165)] = 276269,
  [SMALL_STATE(7166)] = 276282,
  [SMALL_STATE(7167)] = 276295,
  [SMALL_STATE(7168)] = 276308,
  [SMALL_STATE(7169)] = 276321,
  [SMALL_STATE(7170)] = 276334,
  [SMALL_STATE(7171)] = 276347,
  [SMALL_STATE(7172)] = 276360,
  [SMALL_STATE(7173)] = 276373,
  [SMALL_STATE(7174)] = 276386,
  [SMALL_STATE(7175)] = 276399,
  [SMALL_STATE(7176)] = 276412,
  [SMALL_STATE(7177)] = 276425,
  [SMALL_STATE(7178)] = 276438,
  [SMALL_STATE(7179)] = 276451,
  [SMALL_STATE(7180)] = 276464,
  [SMALL_STATE(7181)] = 276477,
  [SMALL_STATE(7182)] = 276490,
  [SMALL_STATE(7183)] = 276503,
  [SMALL_STATE(7184)] = 276516,
  [SMALL_STATE(7185)] = 276529,
  [SMALL_STATE(7186)] = 276542,
  [SMALL_STATE(7187)] = 276555,
  [SMALL_STATE(7188)] = 276564,
  [SMALL_STATE(7189)] = 276577,
  [SMALL_STATE(7190)] = 276590,
  [SMALL_STATE(7191)] = 276603,
  [SMALL_STATE(7192)] = 276616,
  [SMALL_STATE(7193)] = 276629,
  [SMALL_STATE(7194)] = 276642,
  [SMALL_STATE(7195)] = 276655,
  [SMALL_STATE(7196)] = 276666,
  [SMALL_STATE(7197)] = 276679,
  [SMALL_STATE(7198)] = 276692,
  [SMALL_STATE(7199)] = 276705,
  [SMALL_STATE(7200)] = 276718,
  [SMALL_STATE(7201)] = 276731,
  [SMALL_STATE(7202)] = 276744,
  [SMALL_STATE(7203)] = 276757,
  [SMALL_STATE(7204)] = 276770,
  [SMALL_STATE(7205)] = 276783,
  [SMALL_STATE(7206)] = 276796,
  [SMALL_STATE(7207)] = 276809,
  [SMALL_STATE(7208)] = 276820,
  [SMALL_STATE(7209)] = 276831,
  [SMALL_STATE(7210)] = 276844,
  [SMALL_STATE(7211)] = 276857,
  [SMALL_STATE(7212)] = 276870,
  [SMALL_STATE(7213)] = 276883,
  [SMALL_STATE(7214)] = 276896,
  [SMALL_STATE(7215)] = 276909,
  [SMALL_STATE(7216)] = 276922,
  [SMALL_STATE(7217)] = 276931,
  [SMALL_STATE(7218)] = 276944,
  [SMALL_STATE(7219)] = 276957,
  [SMALL_STATE(7220)] = 276970,
  [SMALL_STATE(7221)] = 276983,
  [SMALL_STATE(7222)] = 276996,
  [SMALL_STATE(7223)] = 277009,
  [SMALL_STATE(7224)] = 277020,
  [SMALL_STATE(7225)] = 277033,
  [SMALL_STATE(7226)] = 277046,
  [SMALL_STATE(7227)] = 277059,
  [SMALL_STATE(7228)] = 277072,
  [SMALL_STATE(7229)] = 277083,
  [SMALL_STATE(7230)] = 277096,
  [SMALL_STATE(7231)] = 277109,
  [SMALL_STATE(7232)] = 277122,
  [SMALL_STATE(7233)] = 277135,
  [SMALL_STATE(7234)] = 277148,
  [SMALL_STATE(7235)] = 277161,
  [SMALL_STATE(7236)] = 277174,
  [SMALL_STATE(7237)] = 277187,
  [SMALL_STATE(7238)] = 277200,
  [SMALL_STATE(7239)] = 277211,
  [SMALL_STATE(7240)] = 277224,
  [SMALL_STATE(7241)] = 277237,
  [SMALL_STATE(7242)] = 277250,
  [SMALL_STATE(7243)] = 277263,
  [SMALL_STATE(7244)] = 277276,
  [SMALL_STATE(7245)] = 277289,
  [SMALL_STATE(7246)] = 277302,
  [SMALL_STATE(7247)] = 277315,
  [SMALL_STATE(7248)] = 277328,
  [SMALL_STATE(7249)] = 277341,
  [SMALL_STATE(7250)] = 277354,
  [SMALL_STATE(7251)] = 277367,
  [SMALL_STATE(7252)] = 277380,
  [SMALL_STATE(7253)] = 277393,
  [SMALL_STATE(7254)] = 277404,
  [SMALL_STATE(7255)] = 277417,
  [SMALL_STATE(7256)] = 277430,
  [SMALL_STATE(7257)] = 277441,
  [SMALL_STATE(7258)] = 277452,
  [SMALL_STATE(7259)] = 277465,
  [SMALL_STATE(7260)] = 277474,
  [SMALL_STATE(7261)] = 277487,
  [SMALL_STATE(7262)] = 277500,
  [SMALL_STATE(7263)] = 277511,
  [SMALL_STATE(7264)] = 277524,
  [SMALL_STATE(7265)] = 277537,
  [SMALL_STATE(7266)] = 277550,
  [SMALL_STATE(7267)] = 277563,
  [SMALL_STATE(7268)] = 277576,
  [SMALL_STATE(7269)] = 277589,
  [SMALL_STATE(7270)] = 277602,
  [SMALL_STATE(7271)] = 277615,
  [SMALL_STATE(7272)] = 277628,
  [SMALL_STATE(7273)] = 277641,
  [SMALL_STATE(7274)] = 277654,
  [SMALL_STATE(7275)] = 277667,
  [SMALL_STATE(7276)] = 277680,
  [SMALL_STATE(7277)] = 277693,
  [SMALL_STATE(7278)] = 277706,
  [SMALL_STATE(7279)] = 277717,
  [SMALL_STATE(7280)] = 277730,
  [SMALL_STATE(7281)] = 277743,
  [SMALL_STATE(7282)] = 277754,
  [SMALL_STATE(7283)] = 277767,
  [SMALL_STATE(7284)] = 277780,
  [SMALL_STATE(7285)] = 277791,
  [SMALL_STATE(7286)] = 277804,
  [SMALL_STATE(7287)] = 277813,
  [SMALL_STATE(7288)] = 277824,
  [SMALL_STATE(7289)] = 277837,
  [SMALL_STATE(7290)] = 277850,
  [SMALL_STATE(7291)] = 277863,
  [SMALL_STATE(7292)] = 277876,
  [SMALL_STATE(7293)] = 277885,
  [SMALL_STATE(7294)] = 277898,
  [SMALL_STATE(7295)] = 277909,
  [SMALL_STATE(7296)] = 277922,
  [SMALL_STATE(7297)] = 277935,
  [SMALL_STATE(7298)] = 277948,
  [SMALL_STATE(7299)] = 277961,
  [SMALL_STATE(7300)] = 277974,
  [SMALL_STATE(7301)] = 277985,
  [SMALL_STATE(7302)] = 277998,
  [SMALL_STATE(7303)] = 278011,
  [SMALL_STATE(7304)] = 278024,
  [SMALL_STATE(7305)] = 278037,
  [SMALL_STATE(7306)] = 278050,
  [SMALL_STATE(7307)] = 278063,
  [SMALL_STATE(7308)] = 278076,
  [SMALL_STATE(7309)] = 278089,
  [SMALL_STATE(7310)] = 278102,
  [SMALL_STATE(7311)] = 278115,
  [SMALL_STATE(7312)] = 278128,
  [SMALL_STATE(7313)] = 278139,
  [SMALL_STATE(7314)] = 278152,
  [SMALL_STATE(7315)] = 278165,
  [SMALL_STATE(7316)] = 278178,
  [SMALL_STATE(7317)] = 278191,
  [SMALL_STATE(7318)] = 278204,
  [SMALL_STATE(7319)] = 278213,
  [SMALL_STATE(7320)] = 278226,
  [SMALL_STATE(7321)] = 278237,
  [SMALL_STATE(7322)] = 278250,
  [SMALL_STATE(7323)] = 278261,
  [SMALL_STATE(7324)] = 278274,
  [SMALL_STATE(7325)] = 278287,
  [SMALL_STATE(7326)] = 278298,
  [SMALL_STATE(7327)] = 278311,
  [SMALL_STATE(7328)] = 278322,
  [SMALL_STATE(7329)] = 278333,
  [SMALL_STATE(7330)] = 278346,
  [SMALL_STATE(7331)] = 278355,
  [SMALL_STATE(7332)] = 278368,
  [SMALL_STATE(7333)] = 278379,
  [SMALL_STATE(7334)] = 278392,
  [SMALL_STATE(7335)] = 278403,
  [SMALL_STATE(7336)] = 278412,
  [SMALL_STATE(7337)] = 278425,
  [SMALL_STATE(7338)] = 278436,
  [SMALL_STATE(7339)] = 278449,
  [SMALL_STATE(7340)] = 278462,
  [SMALL_STATE(7341)] = 278475,
  [SMALL_STATE(7342)] = 278484,
  [SMALL_STATE(7343)] = 278497,
  [SMALL_STATE(7344)] = 278506,
  [SMALL_STATE(7345)] = 278519,
  [SMALL_STATE(7346)] = 278532,
  [SMALL_STATE(7347)] = 278545,
  [SMALL_STATE(7348)] = 278558,
  [SMALL_STATE(7349)] = 278571,
  [SMALL_STATE(7350)] = 278584,
  [SMALL_STATE(7351)] = 278595,
  [SMALL_STATE(7352)] = 278608,
  [SMALL_STATE(7353)] = 278621,
  [SMALL_STATE(7354)] = 278634,
  [SMALL_STATE(7355)] = 278647,
  [SMALL_STATE(7356)] = 278660,
  [SMALL_STATE(7357)] = 278673,
  [SMALL_STATE(7358)] = 278686,
  [SMALL_STATE(7359)] = 278699,
  [SMALL_STATE(7360)] = 278712,
  [SMALL_STATE(7361)] = 278725,
  [SMALL_STATE(7362)] = 278738,
  [SMALL_STATE(7363)] = 278751,
  [SMALL_STATE(7364)] = 278764,
  [SMALL_STATE(7365)] = 278777,
  [SMALL_STATE(7366)] = 278790,
  [SMALL_STATE(7367)] = 278803,
  [SMALL_STATE(7368)] = 278816,
  [SMALL_STATE(7369)] = 278829,
  [SMALL_STATE(7370)] = 278842,
  [SMALL_STATE(7371)] = 278855,
  [SMALL_STATE(7372)] = 278866,
  [SMALL_STATE(7373)] = 278879,
  [SMALL_STATE(7374)] = 278892,
  [SMALL_STATE(7375)] = 278905,
  [SMALL_STATE(7376)] = 278918,
  [SMALL_STATE(7377)] = 278931,
  [SMALL_STATE(7378)] = 278944,
  [SMALL_STATE(7379)] = 278957,
  [SMALL_STATE(7380)] = 278970,
  [SMALL_STATE(7381)] = 278983,
  [SMALL_STATE(7382)] = 278994,
  [SMALL_STATE(7383)] = 279007,
  [SMALL_STATE(7384)] = 279020,
  [SMALL_STATE(7385)] = 279033,
  [SMALL_STATE(7386)] = 279046,
  [SMALL_STATE(7387)] = 279059,
  [SMALL_STATE(7388)] = 279072,
  [SMALL_STATE(7389)] = 279085,
  [SMALL_STATE(7390)] = 279098,
  [SMALL_STATE(7391)] = 279111,
  [SMALL_STATE(7392)] = 279124,
  [SMALL_STATE(7393)] = 279137,
  [SMALL_STATE(7394)] = 279150,
  [SMALL_STATE(7395)] = 279159,
  [SMALL_STATE(7396)] = 279172,
  [SMALL_STATE(7397)] = 279185,
  [SMALL_STATE(7398)] = 279198,
  [SMALL_STATE(7399)] = 279211,
  [SMALL_STATE(7400)] = 279224,
  [SMALL_STATE(7401)] = 279235,
  [SMALL_STATE(7402)] = 279248,
  [SMALL_STATE(7403)] = 279261,
  [SMALL_STATE(7404)] = 279274,
  [SMALL_STATE(7405)] = 279287,
  [SMALL_STATE(7406)] = 279300,
  [SMALL_STATE(7407)] = 279313,
  [SMALL_STATE(7408)] = 279324,
  [SMALL_STATE(7409)] = 279337,
  [SMALL_STATE(7410)] = 279346,
  [SMALL_STATE(7411)] = 279359,
  [SMALL_STATE(7412)] = 279372,
  [SMALL_STATE(7413)] = 279383,
  [SMALL_STATE(7414)] = 279396,
  [SMALL_STATE(7415)] = 279409,
  [SMALL_STATE(7416)] = 279422,
  [SMALL_STATE(7417)] = 279433,
  [SMALL_STATE(7418)] = 279446,
  [SMALL_STATE(7419)] = 279457,
  [SMALL_STATE(7420)] = 279470,
  [SMALL_STATE(7421)] = 279481,
  [SMALL_STATE(7422)] = 279494,
  [SMALL_STATE(7423)] = 279507,
  [SMALL_STATE(7424)] = 279520,
  [SMALL_STATE(7425)] = 279533,
  [SMALL_STATE(7426)] = 279546,
  [SMALL_STATE(7427)] = 279557,
  [SMALL_STATE(7428)] = 279570,
  [SMALL_STATE(7429)] = 279581,
  [SMALL_STATE(7430)] = 279594,
  [SMALL_STATE(7431)] = 279607,
  [SMALL_STATE(7432)] = 279620,
  [SMALL_STATE(7433)] = 279633,
  [SMALL_STATE(7434)] = 279646,
  [SMALL_STATE(7435)] = 279659,
  [SMALL_STATE(7436)] = 279672,
  [SMALL_STATE(7437)] = 279685,
  [SMALL_STATE(7438)] = 279698,
  [SMALL_STATE(7439)] = 279711,
  [SMALL_STATE(7440)] = 279724,
  [SMALL_STATE(7441)] = 279737,
  [SMALL_STATE(7442)] = 279750,
  [SMALL_STATE(7443)] = 279761,
  [SMALL_STATE(7444)] = 279774,
  [SMALL_STATE(7445)] = 279787,
  [SMALL_STATE(7446)] = 279800,
  [SMALL_STATE(7447)] = 279813,
  [SMALL_STATE(7448)] = 279826,
  [SMALL_STATE(7449)] = 279839,
  [SMALL_STATE(7450)] = 279852,
  [SMALL_STATE(7451)] = 279865,
  [SMALL_STATE(7452)] = 279878,
  [SMALL_STATE(7453)] = 279891,
  [SMALL_STATE(7454)] = 279902,
  [SMALL_STATE(7455)] = 279915,
  [SMALL_STATE(7456)] = 279928,
  [SMALL_STATE(7457)] = 279939,
  [SMALL_STATE(7458)] = 279952,
  [SMALL_STATE(7459)] = 279965,
  [SMALL_STATE(7460)] = 279978,
  [SMALL_STATE(7461)] = 279989,
  [SMALL_STATE(7462)] = 280000,
  [SMALL_STATE(7463)] = 280013,
  [SMALL_STATE(7464)] = 280026,
  [SMALL_STATE(7465)] = 280039,
  [SMALL_STATE(7466)] = 280050,
  [SMALL_STATE(7467)] = 280063,
  [SMALL_STATE(7468)] = 280074,
  [SMALL_STATE(7469)] = 280084,
  [SMALL_STATE(7470)] = 280094,
  [SMALL_STATE(7471)] = 280104,
  [SMALL_STATE(7472)] = 280114,
  [SMALL_STATE(7473)] = 280124,
  [SMALL_STATE(7474)] = 280134,
  [SMALL_STATE(7475)] = 280142,
  [SMALL_STATE(7476)] = 280152,
  [SMALL_STATE(7477)] = 280160,
  [SMALL_STATE(7478)] = 280170,
  [SMALL_STATE(7479)] = 280180,
  [SMALL_STATE(7480)] = 280190,
  [SMALL_STATE(7481)] = 280200,
  [SMALL_STATE(7482)] = 280210,
  [SMALL_STATE(7483)] = 280220,
  [SMALL_STATE(7484)] = 280230,
  [SMALL_STATE(7485)] = 280240,
  [SMALL_STATE(7486)] = 280250,
  [SMALL_STATE(7487)] = 280260,
  [SMALL_STATE(7488)] = 280268,
  [SMALL_STATE(7489)] = 280278,
  [SMALL_STATE(7490)] = 280288,
  [SMALL_STATE(7491)] = 280298,
  [SMALL_STATE(7492)] = 280306,
  [SMALL_STATE(7493)] = 280316,
  [SMALL_STATE(7494)] = 280326,
  [SMALL_STATE(7495)] = 280336,
  [SMALL_STATE(7496)] = 280346,
  [SMALL_STATE(7497)] = 280356,
  [SMALL_STATE(7498)] = 280366,
  [SMALL_STATE(7499)] = 280376,
  [SMALL_STATE(7500)] = 280386,
  [SMALL_STATE(7501)] = 280396,
  [SMALL_STATE(7502)] = 280406,
  [SMALL_STATE(7503)] = 280416,
  [SMALL_STATE(7504)] = 280426,
  [SMALL_STATE(7505)] = 280436,
  [SMALL_STATE(7506)] = 280446,
  [SMALL_STATE(7507)] = 280456,
  [SMALL_STATE(7508)] = 280466,
  [SMALL_STATE(7509)] = 280476,
  [SMALL_STATE(7510)] = 280484,
  [SMALL_STATE(7511)] = 280494,
  [SMALL_STATE(7512)] = 280504,
  [SMALL_STATE(7513)] = 280514,
  [SMALL_STATE(7514)] = 280524,
  [SMALL_STATE(7515)] = 280534,
  [SMALL_STATE(7516)] = 280544,
  [SMALL_STATE(7517)] = 280554,
  [SMALL_STATE(7518)] = 280564,
  [SMALL_STATE(7519)] = 280574,
  [SMALL_STATE(7520)] = 280582,
  [SMALL_STATE(7521)] = 280592,
  [SMALL_STATE(7522)] = 280602,
  [SMALL_STATE(7523)] = 280612,
  [SMALL_STATE(7524)] = 280622,
  [SMALL_STATE(7525)] = 280632,
  [SMALL_STATE(7526)] = 280642,
  [SMALL_STATE(7527)] = 280652,
  [SMALL_STATE(7528)] = 280662,
  [SMALL_STATE(7529)] = 280672,
  [SMALL_STATE(7530)] = 280682,
  [SMALL_STATE(7531)] = 280692,
  [SMALL_STATE(7532)] = 280702,
  [SMALL_STATE(7533)] = 280712,
  [SMALL_STATE(7534)] = 280722,
  [SMALL_STATE(7535)] = 280732,
  [SMALL_STATE(7536)] = 280742,
  [SMALL_STATE(7537)] = 280752,
  [SMALL_STATE(7538)] = 280762,
  [SMALL_STATE(7539)] = 280770,
  [SMALL_STATE(7540)] = 280780,
  [SMALL_STATE(7541)] = 280790,
  [SMALL_STATE(7542)] = 280798,
  [SMALL_STATE(7543)] = 280808,
  [SMALL_STATE(7544)] = 280818,
  [SMALL_STATE(7545)] = 280828,
  [SMALL_STATE(7546)] = 280836,
  [SMALL_STATE(7547)] = 280846,
  [SMALL_STATE(7548)] = 280856,
  [SMALL_STATE(7549)] = 280866,
  [SMALL_STATE(7550)] = 280876,
  [SMALL_STATE(7551)] = 280886,
  [SMALL_STATE(7552)] = 280896,
  [SMALL_STATE(7553)] = 280906,
  [SMALL_STATE(7554)] = 280916,
  [SMALL_STATE(7555)] = 280926,
  [SMALL_STATE(7556)] = 280936,
  [SMALL_STATE(7557)] = 280944,
  [SMALL_STATE(7558)] = 280954,
  [SMALL_STATE(7559)] = 280964,
  [SMALL_STATE(7560)] = 280974,
  [SMALL_STATE(7561)] = 280984,
  [SMALL_STATE(7562)] = 280994,
  [SMALL_STATE(7563)] = 281004,
  [SMALL_STATE(7564)] = 281014,
  [SMALL_STATE(7565)] = 281024,
  [SMALL_STATE(7566)] = 281034,
  [SMALL_STATE(7567)] = 281044,
  [SMALL_STATE(7568)] = 281054,
  [SMALL_STATE(7569)] = 281064,
  [SMALL_STATE(7570)] = 281074,
  [SMALL_STATE(7571)] = 281084,
  [SMALL_STATE(7572)] = 281094,
  [SMALL_STATE(7573)] = 281104,
  [SMALL_STATE(7574)] = 281114,
  [SMALL_STATE(7575)] = 281124,
  [SMALL_STATE(7576)] = 281134,
  [SMALL_STATE(7577)] = 281144,
  [SMALL_STATE(7578)] = 281154,
  [SMALL_STATE(7579)] = 281164,
  [SMALL_STATE(7580)] = 281174,
  [SMALL_STATE(7581)] = 281184,
  [SMALL_STATE(7582)] = 281194,
  [SMALL_STATE(7583)] = 281204,
  [SMALL_STATE(7584)] = 281214,
  [SMALL_STATE(7585)] = 281224,
  [SMALL_STATE(7586)] = 281234,
  [SMALL_STATE(7587)] = 281244,
  [SMALL_STATE(7588)] = 281254,
  [SMALL_STATE(7589)] = 281262,
  [SMALL_STATE(7590)] = 281272,
  [SMALL_STATE(7591)] = 281280,
  [SMALL_STATE(7592)] = 281290,
  [SMALL_STATE(7593)] = 281300,
  [SMALL_STATE(7594)] = 281310,
  [SMALL_STATE(7595)] = 281320,
  [SMALL_STATE(7596)] = 281330,
  [SMALL_STATE(7597)] = 281340,
  [SMALL_STATE(7598)] = 281350,
  [SMALL_STATE(7599)] = 281360,
  [SMALL_STATE(7600)] = 281370,
  [SMALL_STATE(7601)] = 281380,
  [SMALL_STATE(7602)] = 281390,
  [SMALL_STATE(7603)] = 281398,
  [SMALL_STATE(7604)] = 281408,
  [SMALL_STATE(7605)] = 281418,
  [SMALL_STATE(7606)] = 281428,
  [SMALL_STATE(7607)] = 281436,
  [SMALL_STATE(7608)] = 281446,
  [SMALL_STATE(7609)] = 281456,
  [SMALL_STATE(7610)] = 281466,
  [SMALL_STATE(7611)] = 281476,
  [SMALL_STATE(7612)] = 281486,
  [SMALL_STATE(7613)] = 281496,
  [SMALL_STATE(7614)] = 281506,
  [SMALL_STATE(7615)] = 281516,
  [SMALL_STATE(7616)] = 281524,
  [SMALL_STATE(7617)] = 281534,
  [SMALL_STATE(7618)] = 281544,
  [SMALL_STATE(7619)] = 281554,
  [SMALL_STATE(7620)] = 281564,
  [SMALL_STATE(7621)] = 281574,
  [SMALL_STATE(7622)] = 281584,
  [SMALL_STATE(7623)] = 281594,
  [SMALL_STATE(7624)] = 281604,
  [SMALL_STATE(7625)] = 281614,
  [SMALL_STATE(7626)] = 281624,
  [SMALL_STATE(7627)] = 281632,
  [SMALL_STATE(7628)] = 281642,
  [SMALL_STATE(7629)] = 281652,
  [SMALL_STATE(7630)] = 281662,
  [SMALL_STATE(7631)] = 281672,
  [SMALL_STATE(7632)] = 281682,
  [SMALL_STATE(7633)] = 281692,
  [SMALL_STATE(7634)] = 281702,
  [SMALL_STATE(7635)] = 281712,
  [SMALL_STATE(7636)] = 281720,
  [SMALL_STATE(7637)] = 281730,
  [SMALL_STATE(7638)] = 281740,
  [SMALL_STATE(7639)] = 281750,
  [SMALL_STATE(7640)] = 281758,
  [SMALL_STATE(7641)] = 281768,
  [SMALL_STATE(7642)] = 281778,
  [SMALL_STATE(7643)] = 281788,
  [SMALL_STATE(7644)] = 281798,
  [SMALL_STATE(7645)] = 281808,
  [SMALL_STATE(7646)] = 281818,
  [SMALL_STATE(7647)] = 281828,
  [SMALL_STATE(7648)] = 281838,
  [SMALL_STATE(7649)] = 281846,
  [SMALL_STATE(7650)] = 281856,
  [SMALL_STATE(7651)] = 281864,
  [SMALL_STATE(7652)] = 281874,
  [SMALL_STATE(7653)] = 281884,
  [SMALL_STATE(7654)] = 281894,
  [SMALL_STATE(7655)] = 281902,
  [SMALL_STATE(7656)] = 281912,
  [SMALL_STATE(7657)] = 281922,
  [SMALL_STATE(7658)] = 281932,
  [SMALL_STATE(7659)] = 281942,
  [SMALL_STATE(7660)] = 281952,
  [SMALL_STATE(7661)] = 281962,
  [SMALL_STATE(7662)] = 281972,
  [SMALL_STATE(7663)] = 281982,
  [SMALL_STATE(7664)] = 281992,
  [SMALL_STATE(7665)] = 282002,
  [SMALL_STATE(7666)] = 282012,
  [SMALL_STATE(7667)] = 282022,
  [SMALL_STATE(7668)] = 282032,
  [SMALL_STATE(7669)] = 282042,
  [SMALL_STATE(7670)] = 282052,
  [SMALL_STATE(7671)] = 282062,
  [SMALL_STATE(7672)] = 282072,
  [SMALL_STATE(7673)] = 282082,
  [SMALL_STATE(7674)] = 282092,
  [SMALL_STATE(7675)] = 282102,
  [SMALL_STATE(7676)] = 282110,
  [SMALL_STATE(7677)] = 282120,
  [SMALL_STATE(7678)] = 282130,
  [SMALL_STATE(7679)] = 282138,
  [SMALL_STATE(7680)] = 282148,
  [SMALL_STATE(7681)] = 282158,
  [SMALL_STATE(7682)] = 282168,
  [SMALL_STATE(7683)] = 282176,
  [SMALL_STATE(7684)] = 282186,
  [SMALL_STATE(7685)] = 282196,
  [SMALL_STATE(7686)] = 282204,
  [SMALL_STATE(7687)] = 282212,
  [SMALL_STATE(7688)] = 282220,
  [SMALL_STATE(7689)] = 282230,
  [SMALL_STATE(7690)] = 282240,
  [SMALL_STATE(7691)] = 282250,
  [SMALL_STATE(7692)] = 282260,
  [SMALL_STATE(7693)] = 282270,
  [SMALL_STATE(7694)] = 282280,
  [SMALL_STATE(7695)] = 282290,
  [SMALL_STATE(7696)] = 282300,
  [SMALL_STATE(7697)] = 282310,
  [SMALL_STATE(7698)] = 282320,
  [SMALL_STATE(7699)] = 282330,
  [SMALL_STATE(7700)] = 282340,
  [SMALL_STATE(7701)] = 282350,
  [SMALL_STATE(7702)] = 282360,
  [SMALL_STATE(7703)] = 282370,
  [SMALL_STATE(7704)] = 282380,
  [SMALL_STATE(7705)] = 282390,
  [SMALL_STATE(7706)] = 282400,
  [SMALL_STATE(7707)] = 282410,
  [SMALL_STATE(7708)] = 282420,
  [SMALL_STATE(7709)] = 282430,
  [SMALL_STATE(7710)] = 282440,
  [SMALL_STATE(7711)] = 282448,
  [SMALL_STATE(7712)] = 282458,
  [SMALL_STATE(7713)] = 282468,
  [SMALL_STATE(7714)] = 282478,
  [SMALL_STATE(7715)] = 282488,
  [SMALL_STATE(7716)] = 282498,
  [SMALL_STATE(7717)] = 282508,
  [SMALL_STATE(7718)] = 282518,
  [SMALL_STATE(7719)] = 282528,
  [SMALL_STATE(7720)] = 282536,
  [SMALL_STATE(7721)] = 282546,
  [SMALL_STATE(7722)] = 282556,
  [SMALL_STATE(7723)] = 282566,
  [SMALL_STATE(7724)] = 282576,
  [SMALL_STATE(7725)] = 282586,
  [SMALL_STATE(7726)] = 282596,
  [SMALL_STATE(7727)] = 282606,
  [SMALL_STATE(7728)] = 282616,
  [SMALL_STATE(7729)] = 282626,
  [SMALL_STATE(7730)] = 282636,
  [SMALL_STATE(7731)] = 282646,
  [SMALL_STATE(7732)] = 282654,
  [SMALL_STATE(7733)] = 282664,
  [SMALL_STATE(7734)] = 282674,
  [SMALL_STATE(7735)] = 282684,
  [SMALL_STATE(7736)] = 282694,
  [SMALL_STATE(7737)] = 282704,
  [SMALL_STATE(7738)] = 282714,
  [SMALL_STATE(7739)] = 282724,
  [SMALL_STATE(7740)] = 282734,
  [SMALL_STATE(7741)] = 282744,
  [SMALL_STATE(7742)] = 282754,
  [SMALL_STATE(7743)] = 282764,
  [SMALL_STATE(7744)] = 282774,
  [SMALL_STATE(7745)] = 282784,
  [SMALL_STATE(7746)] = 282794,
  [SMALL_STATE(7747)] = 282804,
  [SMALL_STATE(7748)] = 282814,
  [SMALL_STATE(7749)] = 282824,
  [SMALL_STATE(7750)] = 282834,
  [SMALL_STATE(7751)] = 282844,
  [SMALL_STATE(7752)] = 282854,
  [SMALL_STATE(7753)] = 282862,
  [SMALL_STATE(7754)] = 282872,
  [SMALL_STATE(7755)] = 282882,
  [SMALL_STATE(7756)] = 282892,
  [SMALL_STATE(7757)] = 282900,
  [SMALL_STATE(7758)] = 282910,
  [SMALL_STATE(7759)] = 282920,
  [SMALL_STATE(7760)] = 282930,
  [SMALL_STATE(7761)] = 282940,
  [SMALL_STATE(7762)] = 282950,
  [SMALL_STATE(7763)] = 282958,
  [SMALL_STATE(7764)] = 282968,
  [SMALL_STATE(7765)] = 282978,
  [SMALL_STATE(7766)] = 282988,
  [SMALL_STATE(7767)] = 282998,
  [SMALL_STATE(7768)] = 283008,
  [SMALL_STATE(7769)] = 283018,
  [SMALL_STATE(7770)] = 283028,
  [SMALL_STATE(7771)] = 283038,
  [SMALL_STATE(7772)] = 283048,
  [SMALL_STATE(7773)] = 283058,
  [SMALL_STATE(7774)] = 283068,
  [SMALL_STATE(7775)] = 283078,
  [SMALL_STATE(7776)] = 283088,
  [SMALL_STATE(7777)] = 283098,
  [SMALL_STATE(7778)] = 283108,
  [SMALL_STATE(7779)] = 283118,
  [SMALL_STATE(7780)] = 283128,
  [SMALL_STATE(7781)] = 283138,
  [SMALL_STATE(7782)] = 283146,
  [SMALL_STATE(7783)] = 283156,
  [SMALL_STATE(7784)] = 283166,
  [SMALL_STATE(7785)] = 283176,
  [SMALL_STATE(7786)] = 283186,
  [SMALL_STATE(7787)] = 283196,
  [SMALL_STATE(7788)] = 283206,
  [SMALL_STATE(7789)] = 283216,
  [SMALL_STATE(7790)] = 283226,
  [SMALL_STATE(7791)] = 283236,
  [SMALL_STATE(7792)] = 283246,
  [SMALL_STATE(7793)] = 283256,
  [SMALL_STATE(7794)] = 283266,
  [SMALL_STATE(7795)] = 283276,
  [SMALL_STATE(7796)] = 283286,
  [SMALL_STATE(7797)] = 283296,
  [SMALL_STATE(7798)] = 283306,
  [SMALL_STATE(7799)] = 283314,
  [SMALL_STATE(7800)] = 283324,
  [SMALL_STATE(7801)] = 283334,
  [SMALL_STATE(7802)] = 283344,
  [SMALL_STATE(7803)] = 283354,
  [SMALL_STATE(7804)] = 283362,
  [SMALL_STATE(7805)] = 283372,
  [SMALL_STATE(7806)] = 283382,
  [SMALL_STATE(7807)] = 283392,
  [SMALL_STATE(7808)] = 283402,
  [SMALL_STATE(7809)] = 283412,
  [SMALL_STATE(7810)] = 283422,
  [SMALL_STATE(7811)] = 283432,
  [SMALL_STATE(7812)] = 283442,
  [SMALL_STATE(7813)] = 283450,
  [SMALL_STATE(7814)] = 283460,
  [SMALL_STATE(7815)] = 283470,
  [SMALL_STATE(7816)] = 283478,
  [SMALL_STATE(7817)] = 283488,
  [SMALL_STATE(7818)] = 283498,
  [SMALL_STATE(7819)] = 283508,
  [SMALL_STATE(7820)] = 283518,
  [SMALL_STATE(7821)] = 283528,
  [SMALL_STATE(7822)] = 283538,
  [SMALL_STATE(7823)] = 283548,
  [SMALL_STATE(7824)] = 283558,
  [SMALL_STATE(7825)] = 283568,
  [SMALL_STATE(7826)] = 283578,
  [SMALL_STATE(7827)] = 283588,
  [SMALL_STATE(7828)] = 283598,
  [SMALL_STATE(7829)] = 283608,
  [SMALL_STATE(7830)] = 283618,
  [SMALL_STATE(7831)] = 283628,
  [SMALL_STATE(7832)] = 283638,
  [SMALL_STATE(7833)] = 283648,
  [SMALL_STATE(7834)] = 283658,
  [SMALL_STATE(7835)] = 283668,
  [SMALL_STATE(7836)] = 283678,
  [SMALL_STATE(7837)] = 283688,
  [SMALL_STATE(7838)] = 283695,
  [SMALL_STATE(7839)] = 283702,
  [SMALL_STATE(7840)] = 283709,
  [SMALL_STATE(7841)] = 283716,
  [SMALL_STATE(7842)] = 283723,
  [SMALL_STATE(7843)] = 283730,
  [SMALL_STATE(7844)] = 283737,
  [SMALL_STATE(7845)] = 283744,
  [SMALL_STATE(7846)] = 283751,
  [SMALL_STATE(7847)] = 283758,
  [SMALL_STATE(7848)] = 283765,
  [SMALL_STATE(7849)] = 283772,
  [SMALL_STATE(7850)] = 283779,
  [SMALL_STATE(7851)] = 283786,
  [SMALL_STATE(7852)] = 283793,
  [SMALL_STATE(7853)] = 283800,
  [SMALL_STATE(7854)] = 283807,
  [SMALL_STATE(7855)] = 283814,
  [SMALL_STATE(7856)] = 283821,
  [SMALL_STATE(7857)] = 283828,
  [SMALL_STATE(7858)] = 283835,
  [SMALL_STATE(7859)] = 283842,
  [SMALL_STATE(7860)] = 283849,
  [SMALL_STATE(7861)] = 283856,
  [SMALL_STATE(7862)] = 283863,
  [SMALL_STATE(7863)] = 283870,
  [SMALL_STATE(7864)] = 283877,
  [SMALL_STATE(7865)] = 283884,
  [SMALL_STATE(7866)] = 283891,
  [SMALL_STATE(7867)] = 283898,
  [SMALL_STATE(7868)] = 283905,
  [SMALL_STATE(7869)] = 283912,
  [SMALL_STATE(7870)] = 283919,
  [SMALL_STATE(7871)] = 283926,
  [SMALL_STATE(7872)] = 283933,
  [SMALL_STATE(7873)] = 283940,
  [SMALL_STATE(7874)] = 283947,
  [SMALL_STATE(7875)] = 283954,
  [SMALL_STATE(7876)] = 283961,
  [SMALL_STATE(7877)] = 283968,
  [SMALL_STATE(7878)] = 283975,
  [SMALL_STATE(7879)] = 283982,
  [SMALL_STATE(7880)] = 283989,
  [SMALL_STATE(7881)] = 283996,
  [SMALL_STATE(7882)] = 284003,
  [SMALL_STATE(7883)] = 284010,
  [SMALL_STATE(7884)] = 284017,
  [SMALL_STATE(7885)] = 284024,
  [SMALL_STATE(7886)] = 284031,
  [SMALL_STATE(7887)] = 284038,
  [SMALL_STATE(7888)] = 284045,
  [SMALL_STATE(7889)] = 284052,
  [SMALL_STATE(7890)] = 284059,
  [SMALL_STATE(7891)] = 284066,
  [SMALL_STATE(7892)] = 284073,
  [SMALL_STATE(7893)] = 284080,
  [SMALL_STATE(7894)] = 284087,
  [SMALL_STATE(7895)] = 284094,
  [SMALL_STATE(7896)] = 284101,
  [SMALL_STATE(7897)] = 284108,
  [SMALL_STATE(7898)] = 284115,
  [SMALL_STATE(7899)] = 284122,
  [SMALL_STATE(7900)] = 284129,
  [SMALL_STATE(7901)] = 284136,
  [SMALL_STATE(7902)] = 284143,
  [SMALL_STATE(7903)] = 284150,
  [SMALL_STATE(7904)] = 284157,
  [SMALL_STATE(7905)] = 284164,
  [SMALL_STATE(7906)] = 284171,
  [SMALL_STATE(7907)] = 284178,
  [SMALL_STATE(7908)] = 284185,
  [SMALL_STATE(7909)] = 284192,
  [SMALL_STATE(7910)] = 284199,
  [SMALL_STATE(7911)] = 284206,
  [SMALL_STATE(7912)] = 284213,
  [SMALL_STATE(7913)] = 284220,
  [SMALL_STATE(7914)] = 284227,
  [SMALL_STATE(7915)] = 284234,
  [SMALL_STATE(7916)] = 284241,
  [SMALL_STATE(7917)] = 284248,
  [SMALL_STATE(7918)] = 284255,
  [SMALL_STATE(7919)] = 284262,
  [SMALL_STATE(7920)] = 284269,
  [SMALL_STATE(7921)] = 284276,
  [SMALL_STATE(7922)] = 284283,
  [SMALL_STATE(7923)] = 284290,
  [SMALL_STATE(7924)] = 284297,
  [SMALL_STATE(7925)] = 284304,
  [SMALL_STATE(7926)] = 284311,
  [SMALL_STATE(7927)] = 284318,
  [SMALL_STATE(7928)] = 284325,
  [SMALL_STATE(7929)] = 284332,
  [SMALL_STATE(7930)] = 284339,
  [SMALL_STATE(7931)] = 284346,
  [SMALL_STATE(7932)] = 284353,
  [SMALL_STATE(7933)] = 284360,
  [SMALL_STATE(7934)] = 284367,
  [SMALL_STATE(7935)] = 284374,
  [SMALL_STATE(7936)] = 284381,
  [SMALL_STATE(7937)] = 284388,
  [SMALL_STATE(7938)] = 284395,
  [SMALL_STATE(7939)] = 284402,
  [SMALL_STATE(7940)] = 284409,
  [SMALL_STATE(7941)] = 284416,
  [SMALL_STATE(7942)] = 284423,
  [SMALL_STATE(7943)] = 284430,
  [SMALL_STATE(7944)] = 284437,
  [SMALL_STATE(7945)] = 284444,
  [SMALL_STATE(7946)] = 284451,
  [SMALL_STATE(7947)] = 284458,
  [SMALL_STATE(7948)] = 284465,
  [SMALL_STATE(7949)] = 284472,
  [SMALL_STATE(7950)] = 284479,
  [SMALL_STATE(7951)] = 284486,
  [SMALL_STATE(7952)] = 284493,
  [SMALL_STATE(7953)] = 284500,
  [SMALL_STATE(7954)] = 284507,
  [SMALL_STATE(7955)] = 284514,
  [SMALL_STATE(7956)] = 284521,
  [SMALL_STATE(7957)] = 284528,
  [SMALL_STATE(7958)] = 284535,
  [SMALL_STATE(7959)] = 284542,
  [SMALL_STATE(7960)] = 284549,
  [SMALL_STATE(7961)] = 284556,
  [SMALL_STATE(7962)] = 284563,
  [SMALL_STATE(7963)] = 284570,
  [SMALL_STATE(7964)] = 284577,
  [SMALL_STATE(7965)] = 284584,
  [SMALL_STATE(7966)] = 284591,
  [SMALL_STATE(7967)] = 284598,
  [SMALL_STATE(7968)] = 284605,
  [SMALL_STATE(7969)] = 284612,
  [SMALL_STATE(7970)] = 284619,
  [SMALL_STATE(7971)] = 284626,
  [SMALL_STATE(7972)] = 284633,
  [SMALL_STATE(7973)] = 284640,
  [SMALL_STATE(7974)] = 284647,
  [SMALL_STATE(7975)] = 284654,
  [SMALL_STATE(7976)] = 284661,
  [SMALL_STATE(7977)] = 284668,
  [SMALL_STATE(7978)] = 284675,
  [SMALL_STATE(7979)] = 284682,
  [SMALL_STATE(7980)] = 284689,
  [SMALL_STATE(7981)] = 284696,
  [SMALL_STATE(7982)] = 284703,
  [SMALL_STATE(7983)] = 284710,
  [SMALL_STATE(7984)] = 284717,
  [SMALL_STATE(7985)] = 284724,
  [SMALL_STATE(7986)] = 284731,
  [SMALL_STATE(7987)] = 284738,
  [SMALL_STATE(7988)] = 284745,
  [SMALL_STATE(7989)] = 284752,
  [SMALL_STATE(7990)] = 284759,
  [SMALL_STATE(7991)] = 284766,
  [SMALL_STATE(7992)] = 284773,
  [SMALL_STATE(7993)] = 284780,
  [SMALL_STATE(7994)] = 284787,
  [SMALL_STATE(7995)] = 284794,
  [SMALL_STATE(7996)] = 284801,
  [SMALL_STATE(7997)] = 284808,
  [SMALL_STATE(7998)] = 284815,
  [SMALL_STATE(7999)] = 284822,
  [SMALL_STATE(8000)] = 284829,
  [SMALL_STATE(8001)] = 284836,
  [SMALL_STATE(8002)] = 284843,
  [SMALL_STATE(8003)] = 284850,
  [SMALL_STATE(8004)] = 284857,
  [SMALL_STATE(8005)] = 284864,
  [SMALL_STATE(8006)] = 284871,
  [SMALL_STATE(8007)] = 284878,
  [SMALL_STATE(8008)] = 284885,
  [SMALL_STATE(8009)] = 284892,
  [SMALL_STATE(8010)] = 284899,
  [SMALL_STATE(8011)] = 284906,
  [SMALL_STATE(8012)] = 284913,
  [SMALL_STATE(8013)] = 284920,
  [SMALL_STATE(8014)] = 284927,
  [SMALL_STATE(8015)] = 284934,
  [SMALL_STATE(8016)] = 284941,
  [SMALL_STATE(8017)] = 284948,
  [SMALL_STATE(8018)] = 284955,
  [SMALL_STATE(8019)] = 284962,
  [SMALL_STATE(8020)] = 284969,
  [SMALL_STATE(8021)] = 284976,
  [SMALL_STATE(8022)] = 284983,
  [SMALL_STATE(8023)] = 284990,
  [SMALL_STATE(8024)] = 284997,
  [SMALL_STATE(8025)] = 285004,
  [SMALL_STATE(8026)] = 285011,
  [SMALL_STATE(8027)] = 285018,
  [SMALL_STATE(8028)] = 285025,
  [SMALL_STATE(8029)] = 285032,
  [SMALL_STATE(8030)] = 285039,
  [SMALL_STATE(8031)] = 285046,
  [SMALL_STATE(8032)] = 285053,
  [SMALL_STATE(8033)] = 285060,
  [SMALL_STATE(8034)] = 285067,
  [SMALL_STATE(8035)] = 285074,
  [SMALL_STATE(8036)] = 285081,
  [SMALL_STATE(8037)] = 285088,
  [SMALL_STATE(8038)] = 285095,
  [SMALL_STATE(8039)] = 285102,
  [SMALL_STATE(8040)] = 285109,
  [SMALL_STATE(8041)] = 285116,
  [SMALL_STATE(8042)] = 285123,
  [SMALL_STATE(8043)] = 285130,
  [SMALL_STATE(8044)] = 285137,
  [SMALL_STATE(8045)] = 285144,
  [SMALL_STATE(8046)] = 285151,
  [SMALL_STATE(8047)] = 285158,
  [SMALL_STATE(8048)] = 285165,
  [SMALL_STATE(8049)] = 285172,
  [SMALL_STATE(8050)] = 285179,
  [SMALL_STATE(8051)] = 285186,
  [SMALL_STATE(8052)] = 285193,
  [SMALL_STATE(8053)] = 285200,
  [SMALL_STATE(8054)] = 285207,
  [SMALL_STATE(8055)] = 285214,
  [SMALL_STATE(8056)] = 285221,
  [SMALL_STATE(8057)] = 285228,
  [SMALL_STATE(8058)] = 285235,
  [SMALL_STATE(8059)] = 285242,
  [SMALL_STATE(8060)] = 285249,
  [SMALL_STATE(8061)] = 285256,
  [SMALL_STATE(8062)] = 285263,
  [SMALL_STATE(8063)] = 285270,
  [SMALL_STATE(8064)] = 285277,
  [SMALL_STATE(8065)] = 285284,
  [SMALL_STATE(8066)] = 285291,
  [SMALL_STATE(8067)] = 285298,
  [SMALL_STATE(8068)] = 285305,
  [SMALL_STATE(8069)] = 285312,
  [SMALL_STATE(8070)] = 285319,
  [SMALL_STATE(8071)] = 285326,
  [SMALL_STATE(8072)] = 285333,
  [SMALL_STATE(8073)] = 285340,
  [SMALL_STATE(8074)] = 285347,
  [SMALL_STATE(8075)] = 285354,
  [SMALL_STATE(8076)] = 285361,
  [SMALL_STATE(8077)] = 285368,
  [SMALL_STATE(8078)] = 285375,
  [SMALL_STATE(8079)] = 285382,
  [SMALL_STATE(8080)] = 285389,
  [SMALL_STATE(8081)] = 285396,
  [SMALL_STATE(8082)] = 285403,
  [SMALL_STATE(8083)] = 285410,
  [SMALL_STATE(8084)] = 285417,
  [SMALL_STATE(8085)] = 285424,
  [SMALL_STATE(8086)] = 285431,
  [SMALL_STATE(8087)] = 285438,
  [SMALL_STATE(8088)] = 285445,
  [SMALL_STATE(8089)] = 285452,
  [SMALL_STATE(8090)] = 285459,
  [SMALL_STATE(8091)] = 285466,
  [SMALL_STATE(8092)] = 285473,
  [SMALL_STATE(8093)] = 285480,
  [SMALL_STATE(8094)] = 285487,
  [SMALL_STATE(8095)] = 285494,
  [SMALL_STATE(8096)] = 285501,
  [SMALL_STATE(8097)] = 285508,
  [SMALL_STATE(8098)] = 285515,
  [SMALL_STATE(8099)] = 285522,
  [SMALL_STATE(8100)] = 285529,
  [SMALL_STATE(8101)] = 285536,
  [SMALL_STATE(8102)] = 285543,
  [SMALL_STATE(8103)] = 285550,
  [SMALL_STATE(8104)] = 285557,
  [SMALL_STATE(8105)] = 285564,
  [SMALL_STATE(8106)] = 285571,
  [SMALL_STATE(8107)] = 285578,
  [SMALL_STATE(8108)] = 285585,
  [SMALL_STATE(8109)] = 285592,
  [SMALL_STATE(8110)] = 285599,
  [SMALL_STATE(8111)] = 285606,
  [SMALL_STATE(8112)] = 285613,
  [SMALL_STATE(8113)] = 285620,
  [SMALL_STATE(8114)] = 285627,
  [SMALL_STATE(8115)] = 285634,
  [SMALL_STATE(8116)] = 285641,
  [SMALL_STATE(8117)] = 285648,
  [SMALL_STATE(8118)] = 285655,
  [SMALL_STATE(8119)] = 285662,
  [SMALL_STATE(8120)] = 285669,
  [SMALL_STATE(8121)] = 285676,
  [SMALL_STATE(8122)] = 285683,
  [SMALL_STATE(8123)] = 285690,
  [SMALL_STATE(8124)] = 285697,
  [SMALL_STATE(8125)] = 285704,
  [SMALL_STATE(8126)] = 285711,
  [SMALL_STATE(8127)] = 285718,
  [SMALL_STATE(8128)] = 285725,
  [SMALL_STATE(8129)] = 285732,
  [SMALL_STATE(8130)] = 285739,
  [SMALL_STATE(8131)] = 285746,
  [SMALL_STATE(8132)] = 285753,
  [SMALL_STATE(8133)] = 285760,
  [SMALL_STATE(8134)] = 285767,
  [SMALL_STATE(8135)] = 285774,
  [SMALL_STATE(8136)] = 285781,
  [SMALL_STATE(8137)] = 285788,
  [SMALL_STATE(8138)] = 285795,
  [SMALL_STATE(8139)] = 285802,
  [SMALL_STATE(8140)] = 285809,
  [SMALL_STATE(8141)] = 285816,
  [SMALL_STATE(8142)] = 285823,
  [SMALL_STATE(8143)] = 285830,
  [SMALL_STATE(8144)] = 285837,
  [SMALL_STATE(8145)] = 285844,
  [SMALL_STATE(8146)] = 285851,
  [SMALL_STATE(8147)] = 285858,
  [SMALL_STATE(8148)] = 285865,
  [SMALL_STATE(8149)] = 285872,
  [SMALL_STATE(8150)] = 285879,
  [SMALL_STATE(8151)] = 285886,
  [SMALL_STATE(8152)] = 285893,
  [SMALL_STATE(8153)] = 285900,
  [SMALL_STATE(8154)] = 285907,
  [SMALL_STATE(8155)] = 285914,
  [SMALL_STATE(8156)] = 285921,
  [SMALL_STATE(8157)] = 285928,
  [SMALL_STATE(8158)] = 285935,
  [SMALL_STATE(8159)] = 285942,
  [SMALL_STATE(8160)] = 285949,
  [SMALL_STATE(8161)] = 285956,
  [SMALL_STATE(8162)] = 285963,
  [SMALL_STATE(8163)] = 285970,
  [SMALL_STATE(8164)] = 285977,
  [SMALL_STATE(8165)] = 285984,
  [SMALL_STATE(8166)] = 285991,
  [SMALL_STATE(8167)] = 285998,
  [SMALL_STATE(8168)] = 286005,
  [SMALL_STATE(8169)] = 286012,
  [SMALL_STATE(8170)] = 286019,
  [SMALL_STATE(8171)] = 286026,
  [SMALL_STATE(8172)] = 286033,
  [SMALL_STATE(8173)] = 286040,
  [SMALL_STATE(8174)] = 286047,
  [SMALL_STATE(8175)] = 286054,
  [SMALL_STATE(8176)] = 286061,
  [SMALL_STATE(8177)] = 286068,
  [SMALL_STATE(8178)] = 286075,
  [SMALL_STATE(8179)] = 286082,
  [SMALL_STATE(8180)] = 286089,
  [SMALL_STATE(8181)] = 286096,
  [SMALL_STATE(8182)] = 286103,
  [SMALL_STATE(8183)] = 286110,
  [SMALL_STATE(8184)] = 286117,
  [SMALL_STATE(8185)] = 286124,
  [SMALL_STATE(8186)] = 286131,
  [SMALL_STATE(8187)] = 286138,
  [SMALL_STATE(8188)] = 286145,
  [SMALL_STATE(8189)] = 286152,
  [SMALL_STATE(8190)] = 286159,
  [SMALL_STATE(8191)] = 286166,
  [SMALL_STATE(8192)] = 286173,
  [SMALL_STATE(8193)] = 286180,
  [SMALL_STATE(8194)] = 286187,
  [SMALL_STATE(8195)] = 286194,
  [SMALL_STATE(8196)] = 286201,
  [SMALL_STATE(8197)] = 286208,
  [SMALL_STATE(8198)] = 286215,
  [SMALL_STATE(8199)] = 286222,
  [SMALL_STATE(8200)] = 286229,
  [SMALL_STATE(8201)] = 286236,
  [SMALL_STATE(8202)] = 286243,
  [SMALL_STATE(8203)] = 286250,
  [SMALL_STATE(8204)] = 286257,
  [SMALL_STATE(8205)] = 286264,
  [SMALL_STATE(8206)] = 286271,
  [SMALL_STATE(8207)] = 286278,
  [SMALL_STATE(8208)] = 286285,
  [SMALL_STATE(8209)] = 286292,
  [SMALL_STATE(8210)] = 286299,
  [SMALL_STATE(8211)] = 286306,
  [SMALL_STATE(8212)] = 286313,
  [SMALL_STATE(8213)] = 286320,
  [SMALL_STATE(8214)] = 286327,
  [SMALL_STATE(8215)] = 286334,
  [SMALL_STATE(8216)] = 286341,
  [SMALL_STATE(8217)] = 286348,
  [SMALL_STATE(8218)] = 286355,
  [SMALL_STATE(8219)] = 286362,
  [SMALL_STATE(8220)] = 286369,
  [SMALL_STATE(8221)] = 286376,
  [SMALL_STATE(8222)] = 286383,
  [SMALL_STATE(8223)] = 286390,
  [SMALL_STATE(8224)] = 286397,
  [SMALL_STATE(8225)] = 286404,
  [SMALL_STATE(8226)] = 286411,
  [SMALL_STATE(8227)] = 286418,
  [SMALL_STATE(8228)] = 286425,
  [SMALL_STATE(8229)] = 286432,
  [SMALL_STATE(8230)] = 286439,
  [SMALL_STATE(8231)] = 286446,
  [SMALL_STATE(8232)] = 286453,
  [SMALL_STATE(8233)] = 286460,
  [SMALL_STATE(8234)] = 286467,
  [SMALL_STATE(8235)] = 286474,
  [SMALL_STATE(8236)] = 286481,
  [SMALL_STATE(8237)] = 286488,
  [SMALL_STATE(8238)] = 286495,
  [SMALL_STATE(8239)] = 286502,
  [SMALL_STATE(8240)] = 286509,
  [SMALL_STATE(8241)] = 286516,
  [SMALL_STATE(8242)] = 286523,
  [SMALL_STATE(8243)] = 286530,
  [SMALL_STATE(8244)] = 286537,
  [SMALL_STATE(8245)] = 286544,
  [SMALL_STATE(8246)] = 286551,
  [SMALL_STATE(8247)] = 286558,
  [SMALL_STATE(8248)] = 286565,
  [SMALL_STATE(8249)] = 286572,
  [SMALL_STATE(8250)] = 286579,
  [SMALL_STATE(8251)] = 286586,
  [SMALL_STATE(8252)] = 286593,
  [SMALL_STATE(8253)] = 286600,
  [SMALL_STATE(8254)] = 286607,
  [SMALL_STATE(8255)] = 286614,
  [SMALL_STATE(8256)] = 286621,
  [SMALL_STATE(8257)] = 286628,
  [SMALL_STATE(8258)] = 286635,
  [SMALL_STATE(8259)] = 286642,
  [SMALL_STATE(8260)] = 286649,
  [SMALL_STATE(8261)] = 286656,
  [SMALL_STATE(8262)] = 286663,
  [SMALL_STATE(8263)] = 286670,
  [SMALL_STATE(8264)] = 286677,
  [SMALL_STATE(8265)] = 286684,
  [SMALL_STATE(8266)] = 286691,
  [SMALL_STATE(8267)] = 286698,
  [SMALL_STATE(8268)] = 286705,
  [SMALL_STATE(8269)] = 286712,
  [SMALL_STATE(8270)] = 286719,
  [SMALL_STATE(8271)] = 286726,
  [SMALL_STATE(8272)] = 286733,
  [SMALL_STATE(8273)] = 286740,
  [SMALL_STATE(8274)] = 286747,
  [SMALL_STATE(8275)] = 286754,
  [SMALL_STATE(8276)] = 286761,
  [SMALL_STATE(8277)] = 286768,
  [SMALL_STATE(8278)] = 286775,
  [SMALL_STATE(8279)] = 286782,
  [SMALL_STATE(8280)] = 286789,
  [SMALL_STATE(8281)] = 286796,
  [SMALL_STATE(8282)] = 286803,
  [SMALL_STATE(8283)] = 286810,
  [SMALL_STATE(8284)] = 286817,
  [SMALL_STATE(8285)] = 286824,
  [SMALL_STATE(8286)] = 286831,
  [SMALL_STATE(8287)] = 286838,
  [SMALL_STATE(8288)] = 286845,
  [SMALL_STATE(8289)] = 286852,
  [SMALL_STATE(8290)] = 286859,
  [SMALL_STATE(8291)] = 286866,
  [SMALL_STATE(8292)] = 286873,
  [SMALL_STATE(8293)] = 286880,
  [SMALL_STATE(8294)] = 286887,
  [SMALL_STATE(8295)] = 286894,
  [SMALL_STATE(8296)] = 286901,
  [SMALL_STATE(8297)] = 286908,
  [SMALL_STATE(8298)] = 286915,
  [SMALL_STATE(8299)] = 286922,
  [SMALL_STATE(8300)] = 286929,
  [SMALL_STATE(8301)] = 286936,
  [SMALL_STATE(8302)] = 286943,
  [SMALL_STATE(8303)] = 286950,
  [SMALL_STATE(8304)] = 286957,
  [SMALL_STATE(8305)] = 286964,
  [SMALL_STATE(8306)] = 286971,
  [SMALL_STATE(8307)] = 286978,
  [SMALL_STATE(8308)] = 286985,
  [SMALL_STATE(8309)] = 286992,
  [SMALL_STATE(8310)] = 286999,
  [SMALL_STATE(8311)] = 287006,
  [SMALL_STATE(8312)] = 287013,
  [SMALL_STATE(8313)] = 287020,
  [SMALL_STATE(8314)] = 287027,
  [SMALL_STATE(8315)] = 287034,
  [SMALL_STATE(8316)] = 287041,
  [SMALL_STATE(8317)] = 287048,
  [SMALL_STATE(8318)] = 287055,
  [SMALL_STATE(8319)] = 287062,
  [SMALL_STATE(8320)] = 287069,
  [SMALL_STATE(8321)] = 287076,
  [SMALL_STATE(8322)] = 287083,
  [SMALL_STATE(8323)] = 287090,
  [SMALL_STATE(8324)] = 287097,
  [SMALL_STATE(8325)] = 287104,
  [SMALL_STATE(8326)] = 287111,
  [SMALL_STATE(8327)] = 287118,
  [SMALL_STATE(8328)] = 287125,
  [SMALL_STATE(8329)] = 287132,
  [SMALL_STATE(8330)] = 287139,
  [SMALL_STATE(8331)] = 287146,
  [SMALL_STATE(8332)] = 287153,
  [SMALL_STATE(8333)] = 287160,
  [SMALL_STATE(8334)] = 287167,
  [SMALL_STATE(8335)] = 287174,
  [SMALL_STATE(8336)] = 287181,
  [SMALL_STATE(8337)] = 287188,
  [SMALL_STATE(8338)] = 287195,
  [SMALL_STATE(8339)] = 287202,
  [SMALL_STATE(8340)] = 287209,
  [SMALL_STATE(8341)] = 287216,
  [SMALL_STATE(8342)] = 287223,
  [SMALL_STATE(8343)] = 287230,
  [SMALL_STATE(8344)] = 287237,
  [SMALL_STATE(8345)] = 287244,
  [SMALL_STATE(8346)] = 287251,
  [SMALL_STATE(8347)] = 287258,
  [SMALL_STATE(8348)] = 287265,
  [SMALL_STATE(8349)] = 287272,
  [SMALL_STATE(8350)] = 287279,
  [SMALL_STATE(8351)] = 287286,
  [SMALL_STATE(8352)] = 287293,
  [SMALL_STATE(8353)] = 287300,
  [SMALL_STATE(8354)] = 287307,
  [SMALL_STATE(8355)] = 287314,
  [SMALL_STATE(8356)] = 287321,
  [SMALL_STATE(8357)] = 287328,
  [SMALL_STATE(8358)] = 287335,
  [SMALL_STATE(8359)] = 287342,
  [SMALL_STATE(8360)] = 287349,
  [SMALL_STATE(8361)] = 287356,
  [SMALL_STATE(8362)] = 287363,
  [SMALL_STATE(8363)] = 287370,
  [SMALL_STATE(8364)] = 287377,
  [SMALL_STATE(8365)] = 287384,
  [SMALL_STATE(8366)] = 287391,
  [SMALL_STATE(8367)] = 287398,
  [SMALL_STATE(8368)] = 287405,
  [SMALL_STATE(8369)] = 287412,
  [SMALL_STATE(8370)] = 287419,
  [SMALL_STATE(8371)] = 287426,
  [SMALL_STATE(8372)] = 287433,
  [SMALL_STATE(8373)] = 287440,
  [SMALL_STATE(8374)] = 287447,
  [SMALL_STATE(8375)] = 287454,
  [SMALL_STATE(8376)] = 287461,
  [SMALL_STATE(8377)] = 287468,
  [SMALL_STATE(8378)] = 287475,
  [SMALL_STATE(8379)] = 287482,
  [SMALL_STATE(8380)] = 287489,
  [SMALL_STATE(8381)] = 287496,
  [SMALL_STATE(8382)] = 287503,
  [SMALL_STATE(8383)] = 287510,
  [SMALL_STATE(8384)] = 287517,
  [SMALL_STATE(8385)] = 287524,
  [SMALL_STATE(8386)] = 287531,
  [SMALL_STATE(8387)] = 287538,
  [SMALL_STATE(8388)] = 287545,
  [SMALL_STATE(8389)] = 287552,
  [SMALL_STATE(8390)] = 287559,
  [SMALL_STATE(8391)] = 287566,
  [SMALL_STATE(8392)] = 287573,
  [SMALL_STATE(8393)] = 287580,
  [SMALL_STATE(8394)] = 287587,
  [SMALL_STATE(8395)] = 287594,
  [SMALL_STATE(8396)] = 287601,
  [SMALL_STATE(8397)] = 287608,
  [SMALL_STATE(8398)] = 287615,
  [SMALL_STATE(8399)] = 287622,
  [SMALL_STATE(8400)] = 287629,
  [SMALL_STATE(8401)] = 287636,
  [SMALL_STATE(8402)] = 287643,
  [SMALL_STATE(8403)] = 287650,
  [SMALL_STATE(8404)] = 287657,
  [SMALL_STATE(8405)] = 287664,
  [SMALL_STATE(8406)] = 287671,
  [SMALL_STATE(8407)] = 287678,
  [SMALL_STATE(8408)] = 287685,
  [SMALL_STATE(8409)] = 287692,
  [SMALL_STATE(8410)] = 287699,
  [SMALL_STATE(8411)] = 287706,
  [SMALL_STATE(8412)] = 287713,
  [SMALL_STATE(8413)] = 287720,
  [SMALL_STATE(8414)] = 287727,
  [SMALL_STATE(8415)] = 287734,
  [SMALL_STATE(8416)] = 287741,
  [SMALL_STATE(8417)] = 287748,
  [SMALL_STATE(8418)] = 287755,
  [SMALL_STATE(8419)] = 287762,
  [SMALL_STATE(8420)] = 287769,
  [SMALL_STATE(8421)] = 287776,
  [SMALL_STATE(8422)] = 287783,
  [SMALL_STATE(8423)] = 287790,
  [SMALL_STATE(8424)] = 287797,
  [SMALL_STATE(8425)] = 287804,
  [SMALL_STATE(8426)] = 287811,
  [SMALL_STATE(8427)] = 287818,
  [SMALL_STATE(8428)] = 287825,
  [SMALL_STATE(8429)] = 287832,
  [SMALL_STATE(8430)] = 287839,
  [SMALL_STATE(8431)] = 287846,
  [SMALL_STATE(8432)] = 287853,
  [SMALL_STATE(8433)] = 287860,
  [SMALL_STATE(8434)] = 287867,
  [SMALL_STATE(8435)] = 287874,
  [SMALL_STATE(8436)] = 287881,
  [SMALL_STATE(8437)] = 287888,
  [SMALL_STATE(8438)] = 287895,
  [SMALL_STATE(8439)] = 287902,
  [SMALL_STATE(8440)] = 287909,
  [SMALL_STATE(8441)] = 287916,
  [SMALL_STATE(8442)] = 287923,
  [SMALL_STATE(8443)] = 287930,
  [SMALL_STATE(8444)] = 287937,
  [SMALL_STATE(8445)] = 287944,
  [SMALL_STATE(8446)] = 287951,
  [SMALL_STATE(8447)] = 287958,
  [SMALL_STATE(8448)] = 287965,
  [SMALL_STATE(8449)] = 287972,
  [SMALL_STATE(8450)] = 287979,
  [SMALL_STATE(8451)] = 287986,
  [SMALL_STATE(8452)] = 287993,
  [SMALL_STATE(8453)] = 288000,
  [SMALL_STATE(8454)] = 288007,
  [SMALL_STATE(8455)] = 288014,
  [SMALL_STATE(8456)] = 288021,
  [SMALL_STATE(8457)] = 288028,
  [SMALL_STATE(8458)] = 288035,
  [SMALL_STATE(8459)] = 288042,
  [SMALL_STATE(8460)] = 288049,
  [SMALL_STATE(8461)] = 288056,
  [SMALL_STATE(8462)] = 288063,
  [SMALL_STATE(8463)] = 288070,
  [SMALL_STATE(8464)] = 288077,
  [SMALL_STATE(8465)] = 288084,
  [SMALL_STATE(8466)] = 288091,
  [SMALL_STATE(8467)] = 288098,
  [SMALL_STATE(8468)] = 288105,
  [SMALL_STATE(8469)] = 288112,
  [SMALL_STATE(8470)] = 288119,
  [SMALL_STATE(8471)] = 288126,
  [SMALL_STATE(8472)] = 288133,
  [SMALL_STATE(8473)] = 288140,
  [SMALL_STATE(8474)] = 288147,
  [SMALL_STATE(8475)] = 288154,
  [SMALL_STATE(8476)] = 288161,
  [SMALL_STATE(8477)] = 288168,
  [SMALL_STATE(8478)] = 288175,
  [SMALL_STATE(8479)] = 288182,
  [SMALL_STATE(8480)] = 288189,
  [SMALL_STATE(8481)] = 288196,
  [SMALL_STATE(8482)] = 288203,
  [SMALL_STATE(8483)] = 288210,
  [SMALL_STATE(8484)] = 288217,
  [SMALL_STATE(8485)] = 288224,
  [SMALL_STATE(8486)] = 288231,
  [SMALL_STATE(8487)] = 288238,
  [SMALL_STATE(8488)] = 288245,
  [SMALL_STATE(8489)] = 288252,
  [SMALL_STATE(8490)] = 288259,
  [SMALL_STATE(8491)] = 288266,
  [SMALL_STATE(8492)] = 288273,
  [SMALL_STATE(8493)] = 288280,
  [SMALL_STATE(8494)] = 288287,
  [SMALL_STATE(8495)] = 288294,
  [SMALL_STATE(8496)] = 288301,
  [SMALL_STATE(8497)] = 288308,
  [SMALL_STATE(8498)] = 288315,
  [SMALL_STATE(8499)] = 288322,
  [SMALL_STATE(8500)] = 288329,
  [SMALL_STATE(8501)] = 288336,
  [SMALL_STATE(8502)] = 288343,
  [SMALL_STATE(8503)] = 288350,
  [SMALL_STATE(8504)] = 288357,
  [SMALL_STATE(8505)] = 288364,
  [SMALL_STATE(8506)] = 288371,
  [SMALL_STATE(8507)] = 288378,
  [SMALL_STATE(8508)] = 288385,
  [SMALL_STATE(8509)] = 288392,
  [SMALL_STATE(8510)] = 288399,
  [SMALL_STATE(8511)] = 288406,
  [SMALL_STATE(8512)] = 288413,
  [SMALL_STATE(8513)] = 288420,
  [SMALL_STATE(8514)] = 288427,
  [SMALL_STATE(8515)] = 288434,
  [SMALL_STATE(8516)] = 288441,
  [SMALL_STATE(8517)] = 288448,
  [SMALL_STATE(8518)] = 288455,
  [SMALL_STATE(8519)] = 288462,
  [SMALL_STATE(8520)] = 288469,
  [SMALL_STATE(8521)] = 288476,
  [SMALL_STATE(8522)] = 288483,
  [SMALL_STATE(8523)] = 288490,
  [SMALL_STATE(8524)] = 288497,
  [SMALL_STATE(8525)] = 288504,
  [SMALL_STATE(8526)] = 288511,
  [SMALL_STATE(8527)] = 288518,
  [SMALL_STATE(8528)] = 288525,
  [SMALL_STATE(8529)] = 288532,
  [SMALL_STATE(8530)] = 288539,
  [SMALL_STATE(8531)] = 288546,
  [SMALL_STATE(8532)] = 288553,
  [SMALL_STATE(8533)] = 288560,
  [SMALL_STATE(8534)] = 288567,
  [SMALL_STATE(8535)] = 288574,
  [SMALL_STATE(8536)] = 288581,
  [SMALL_STATE(8537)] = 288588,
  [SMALL_STATE(8538)] = 288595,
  [SMALL_STATE(8539)] = 288602,
  [SMALL_STATE(8540)] = 288609,
  [SMALL_STATE(8541)] = 288616,
  [SMALL_STATE(8542)] = 288623,
  [SMALL_STATE(8543)] = 288630,
  [SMALL_STATE(8544)] = 288637,
  [SMALL_STATE(8545)] = 288644,
  [SMALL_STATE(8546)] = 288651,
  [SMALL_STATE(8547)] = 288658,
  [SMALL_STATE(8548)] = 288665,
  [SMALL_STATE(8549)] = 288672,
  [SMALL_STATE(8550)] = 288679,
  [SMALL_STATE(8551)] = 288686,
  [SMALL_STATE(8552)] = 288693,
  [SMALL_STATE(8553)] = 288700,
  [SMALL_STATE(8554)] = 288707,
  [SMALL_STATE(8555)] = 288714,
  [SMALL_STATE(8556)] = 288721,
  [SMALL_STATE(8557)] = 288728,
  [SMALL_STATE(8558)] = 288735,
  [SMALL_STATE(8559)] = 288742,
  [SMALL_STATE(8560)] = 288749,
  [SMALL_STATE(8561)] = 288756,
  [SMALL_STATE(8562)] = 288763,
  [SMALL_STATE(8563)] = 288770,
  [SMALL_STATE(8564)] = 288777,
  [SMALL_STATE(8565)] = 288784,
  [SMALL_STATE(8566)] = 288791,
  [SMALL_STATE(8567)] = 288798,
  [SMALL_STATE(8568)] = 288805,
  [SMALL_STATE(8569)] = 288812,
  [SMALL_STATE(8570)] = 288819,
  [SMALL_STATE(8571)] = 288826,
  [SMALL_STATE(8572)] = 288833,
  [SMALL_STATE(8573)] = 288840,
  [SMALL_STATE(8574)] = 288847,
  [SMALL_STATE(8575)] = 288854,
  [SMALL_STATE(8576)] = 288861,
  [SMALL_STATE(8577)] = 288868,
  [SMALL_STATE(8578)] = 288875,
  [SMALL_STATE(8579)] = 288882,
  [SMALL_STATE(8580)] = 288889,
  [SMALL_STATE(8581)] = 288896,
  [SMALL_STATE(8582)] = 288903,
  [SMALL_STATE(8583)] = 288910,
  [SMALL_STATE(8584)] = 288917,
  [SMALL_STATE(8585)] = 288924,
  [SMALL_STATE(8586)] = 288931,
  [SMALL_STATE(8587)] = 288938,
  [SMALL_STATE(8588)] = 288945,
  [SMALL_STATE(8589)] = 288952,
  [SMALL_STATE(8590)] = 288959,
  [SMALL_STATE(8591)] = 288966,
  [SMALL_STATE(8592)] = 288973,
  [SMALL_STATE(8593)] = 288980,
  [SMALL_STATE(8594)] = 288987,
  [SMALL_STATE(8595)] = 288994,
  [SMALL_STATE(8596)] = 289001,
  [SMALL_STATE(8597)] = 289008,
  [SMALL_STATE(8598)] = 289015,
  [SMALL_STATE(8599)] = 289022,
  [SMALL_STATE(8600)] = 289029,
  [SMALL_STATE(8601)] = 289036,
  [SMALL_STATE(8602)] = 289043,
  [SMALL_STATE(8603)] = 289050,
  [SMALL_STATE(8604)] = 289057,
  [SMALL_STATE(8605)] = 289064,
  [SMALL_STATE(8606)] = 289071,
  [SMALL_STATE(8607)] = 289078,
  [SMALL_STATE(8608)] = 289085,
  [SMALL_STATE(8609)] = 289092,
  [SMALL_STATE(8610)] = 289099,
  [SMALL_STATE(8611)] = 289106,
  [SMALL_STATE(8612)] = 289113,
  [SMALL_STATE(8613)] = 289120,
  [SMALL_STATE(8614)] = 289127,
  [SMALL_STATE(8615)] = 289134,
  [SMALL_STATE(8616)] = 289141,
  [SMALL_STATE(8617)] = 289148,
  [SMALL_STATE(8618)] = 289155,
  [SMALL_STATE(8619)] = 289162,
  [SMALL_STATE(8620)] = 289169,
  [SMALL_STATE(8621)] = 289176,
  [SMALL_STATE(8622)] = 289183,
  [SMALL_STATE(8623)] = 289190,
  [SMALL_STATE(8624)] = 289197,
  [SMALL_STATE(8625)] = 289204,
  [SMALL_STATE(8626)] = 289211,
  [SMALL_STATE(8627)] = 289218,
  [SMALL_STATE(8628)] = 289225,
  [SMALL_STATE(8629)] = 289232,
  [SMALL_STATE(8630)] = 289239,
  [SMALL_STATE(8631)] = 289246,
  [SMALL_STATE(8632)] = 289253,
  [SMALL_STATE(8633)] = 289260,
  [SMALL_STATE(8634)] = 289267,
  [SMALL_STATE(8635)] = 289274,
  [SMALL_STATE(8636)] = 289281,
  [SMALL_STATE(8637)] = 289288,
  [SMALL_STATE(8638)] = 289295,
  [SMALL_STATE(8639)] = 289302,
  [SMALL_STATE(8640)] = 289309,
  [SMALL_STATE(8641)] = 289316,
  [SMALL_STATE(8642)] = 289323,
  [SMALL_STATE(8643)] = 289330,
  [SMALL_STATE(8644)] = 289337,
  [SMALL_STATE(8645)] = 289344,
  [SMALL_STATE(8646)] = 289351,
  [SMALL_STATE(8647)] = 289358,
  [SMALL_STATE(8648)] = 289365,
  [SMALL_STATE(8649)] = 289372,
  [SMALL_STATE(8650)] = 289379,
  [SMALL_STATE(8651)] = 289386,
  [SMALL_STATE(8652)] = 289393,
  [SMALL_STATE(8653)] = 289400,
  [SMALL_STATE(8654)] = 289407,
  [SMALL_STATE(8655)] = 289414,
  [SMALL_STATE(8656)] = 289421,
  [SMALL_STATE(8657)] = 289428,
  [SMALL_STATE(8658)] = 289435,
  [SMALL_STATE(8659)] = 289442,
  [SMALL_STATE(8660)] = 289449,
  [SMALL_STATE(8661)] = 289456,
  [SMALL_STATE(8662)] = 289463,
  [SMALL_STATE(8663)] = 289470,
  [SMALL_STATE(8664)] = 289477,
  [SMALL_STATE(8665)] = 289484,
  [SMALL_STATE(8666)] = 289491,
  [SMALL_STATE(8667)] = 289498,
  [SMALL_STATE(8668)] = 289505,
  [SMALL_STATE(8669)] = 289512,
  [SMALL_STATE(8670)] = 289519,
  [SMALL_STATE(8671)] = 289526,
  [SMALL_STATE(8672)] = 289533,
  [SMALL_STATE(8673)] = 289540,
  [SMALL_STATE(8674)] = 289547,
  [SMALL_STATE(8675)] = 289554,
  [SMALL_STATE(8676)] = 289561,
  [SMALL_STATE(8677)] = 289568,
  [SMALL_STATE(8678)] = 289575,
  [SMALL_STATE(8679)] = 289582,
  [SMALL_STATE(8680)] = 289589,
  [SMALL_STATE(8681)] = 289596,
  [SMALL_STATE(8682)] = 289603,
  [SMALL_STATE(8683)] = 289610,
  [SMALL_STATE(8684)] = 289617,
  [SMALL_STATE(8685)] = 289624,
  [SMALL_STATE(8686)] = 289631,
  [SMALL_STATE(8687)] = 289638,
  [SMALL_STATE(8688)] = 289645,
  [SMALL_STATE(8689)] = 289652,
  [SMALL_STATE(8690)] = 289659,
  [SMALL_STATE(8691)] = 289666,
  [SMALL_STATE(8692)] = 289673,
  [SMALL_STATE(8693)] = 289680,
  [SMALL_STATE(8694)] = 289687,
  [SMALL_STATE(8695)] = 289694,
  [SMALL_STATE(8696)] = 289701,
  [SMALL_STATE(8697)] = 289708,
  [SMALL_STATE(8698)] = 289715,
  [SMALL_STATE(8699)] = 289722,
  [SMALL_STATE(8700)] = 289729,
  [SMALL_STATE(8701)] = 289736,
  [SMALL_STATE(8702)] = 289743,
  [SMALL_STATE(8703)] = 289750,
  [SMALL_STATE(8704)] = 289757,
  [SMALL_STATE(8705)] = 289764,
  [SMALL_STATE(8706)] = 289771,
  [SMALL_STATE(8707)] = 289778,
  [SMALL_STATE(8708)] = 289785,
  [SMALL_STATE(8709)] = 289792,
  [SMALL_STATE(8710)] = 289799,
  [SMALL_STATE(8711)] = 289806,
  [SMALL_STATE(8712)] = 289813,
  [SMALL_STATE(8713)] = 289820,
  [SMALL_STATE(8714)] = 289827,
  [SMALL_STATE(8715)] = 289834,
  [SMALL_STATE(8716)] = 289841,
  [SMALL_STATE(8717)] = 289848,
  [SMALL_STATE(8718)] = 289855,
  [SMALL_STATE(8719)] = 289862,
  [SMALL_STATE(8720)] = 289869,
  [SMALL_STATE(8721)] = 289876,
  [SMALL_STATE(8722)] = 289883,
  [SMALL_STATE(8723)] = 289890,
  [SMALL_STATE(8724)] = 289897,
  [SMALL_STATE(8725)] = 289904,
  [SMALL_STATE(8726)] = 289911,
  [SMALL_STATE(8727)] = 289918,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6557),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5688),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8141),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6163),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5057),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7594),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7680),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7926),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8168),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8435),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8073),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8123),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6698),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8597),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6437),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7954),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8574),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5734),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8576),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7561),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7227),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8611),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7694),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7845),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8614),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8332),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5740),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8495),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5657),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7090),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7636),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8543),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8150),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7664),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8605),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7645),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6527),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8629),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 79),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 79),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6555),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8494),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5740),
  [387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8495),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7835),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5247),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3689),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2658),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6486),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7576),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7596),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3664),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2307),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5726),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3025),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1619),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8409),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6163),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5086),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5130),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5057),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7090),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7637),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1389),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8251),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7636),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8543),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8120),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8150),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8546),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7664),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8605),
  [524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1272),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8435),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8073),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8123),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6698),
  [542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4193),
  [545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7278),
  [548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6954),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3794),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3784),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8597),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4146),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5226),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1522),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7645),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1080),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6527),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6370),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8629),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1081),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7834),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4987),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5364),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6558),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7993),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5742),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7905),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7563),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(493),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3705),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2659),
  [654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3029),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7222),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7788),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8125),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7641),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8627),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(976),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8254),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8255),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7914),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7808),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8329),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1525),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7794),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1109),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6552),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6446),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8650),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8642),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1110),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6558),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7993),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7905),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7788),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8125),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8627),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8254),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7808),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7794),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6552),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6446),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8650),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8642),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6547),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8574),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5734),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8576),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7561),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(507),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3707),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2655),
  [842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3010),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7227),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7555),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8611),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7694),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(988),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7842),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7845),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8614),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7633),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8332),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7714),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6560),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6414),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8544),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8545),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(869),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6557),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8122),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5688),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7683),
  [1000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [1003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5247),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [1021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(709),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3666),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6486),
  [1042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7576),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7596),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3664),
  [1054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2307),
  [1060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5726),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3030),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1619),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8409),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6163),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5086),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5130),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5057),
  [1090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7112),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7594),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8154),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7680),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8218),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(978),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7926),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8168),
  [1120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8222),
  [1123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1272),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8435),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8073),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8123),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6698),
  [1141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4778),
  [1144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7278),
  [1147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6954),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4834),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3784),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8597),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4146),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5226),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7792),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1132),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6548),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6437),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7945),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7954),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1137),
  [1198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1197),
  [1201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7834),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [1207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4987),
  [1210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5364),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5719),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7818),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(139),
  [1253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1190),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1190),
  [1267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [1270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(369),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3689),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [1285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6486),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7631),
  [1291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [1294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2307),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5719),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1619),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8409),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6163),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5086),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5130),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5057),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7090),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7637),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7636),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8543),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8120),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8150),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8546),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7664),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8605),
  [1357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1272),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8435),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8073),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8123),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6698),
  [1375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4193),
  [1378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7278),
  [1381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6954),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3794),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3784),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8597),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5226),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7818),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7645),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1080),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1081),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [1417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7834),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4987),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5364),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [1436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(507),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3707),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7227),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7555),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7694),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(988),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7842),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7845),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8614),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7633),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8332),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7714),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(937),
  [1496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(493),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(374),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3705),
  [1505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7222),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7788),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7641),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8627),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(976),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8254),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8255),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7914),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7808),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8329),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7794),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1109),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1110),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8343),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [1566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [1572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3666),
  [1575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7112),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7594),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7680),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8218),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(978),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7926),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8168),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8222),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7616),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8343),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7792),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1132),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1137),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1197),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7791),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8640),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8128),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7998),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8014),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7688),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8401),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [1687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(936),
  [1690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(908),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3698),
  [1699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(62),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7260),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7497),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7791),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(970),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8128),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8131),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7998),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7505),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8238),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7531),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1122),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8561),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5050),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8205),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8691),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6676),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8207),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5218),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8106),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5190),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8452),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8700),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8725),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6707),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5344),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8694),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8723),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7891),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7028),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6967),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [2039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2135),
  [2042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(139),
  [2045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1323),
  [2048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1323),
  [2051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1190),
  [2054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(250),
  [2057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1191),
  [2060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6486),
  [2063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7631),
  [2066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(48),
  [2069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5719),
  [2072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7028),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7090),
  [2078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7637),
  [2081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1389),
  [2084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8251),
  [2087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7636),
  [2090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(215),
  [2093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8543),
  [2096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(983),
  [2099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8120),
  [2102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8150),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8546),
  [2108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7664),
  [2111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8605),
  [2114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1272),
  [2117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1124),
  [2120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8435),
  [2123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8073),
  [2126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8123),
  [2129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6698),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4193),
  [2135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7278),
  [2138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6954),
  [2141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3794),
  [2144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3784),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7891),
  [2150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7818),
  [2153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7645),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1312),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1080),
  [2162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1081),
  [2165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1381),
  [2168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7834),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1203),
  [2174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4987),
  [2177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5364),
  [2180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2132),
  [2183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(462),
  [2186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(36),
  [2189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7112),
  [2192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7594),
  [2195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1286),
  [2198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8154),
  [2201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7680),
  [2204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(198),
  [2207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8218),
  [2210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(978),
  [2213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7926),
  [2216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8168),
  [2219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8222),
  [2222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7616),
  [2225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8343),
  [2228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7792),
  [2231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1132),
  [2234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1137),
  [2237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1197),
  [2240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2136),
  [2243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(507),
  [2246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7359),
  [2249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1380),
  [2252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8014),
  [2255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7688),
  [2258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8401),
  [2261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7609),
  [2264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8332),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [2269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2163),
  [2272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(493),
  [2275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(58),
  [2278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7222),
  [2281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7788),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1397),
  [2287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8125),
  [2290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7641),
  [2293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(187),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8627),
  [2299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(976),
  [2302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8254),
  [2305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8255),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7914),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7808),
  [2314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8329),
  [2317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7794),
  [2320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1109),
  [2323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1110),
  [2326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1390),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2148),
  [2334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(908),
  [2337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(62),
  [2340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7260),
  [2343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7497),
  [2346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7791),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(212),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8640),
  [2355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(970),
  [2358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8128),
  [2361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8131),
  [2364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7998),
  [2367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7505),
  [2370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8238),
  [2373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7531),
  [2376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1122),
  [2379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1123),
  [2382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1398),
  [2385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2152),
  [2388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(38),
  [2391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7227),
  [2394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7555),
  [2397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1351),
  [2400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8611),
  [2403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7694),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(214),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8202),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(988),
  [2415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7842),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7845),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8614),
  [2424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7633),
  [2427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7714),
  [2430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1151),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1152),
  [2436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1352),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8472),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8703),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8726),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6711),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5365),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7698),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7698),
  [2510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2105),
  [2513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(139),
  [2516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1323),
  [2519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1190),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1190),
  [2527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1191),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6486),
  [2537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5719),
  [2540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7028),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7891),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7818),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [2557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [2563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 161),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 161),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6979),
  [2585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 169),
  [2587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 169),
  [2589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 105),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 105),
  [2593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 148),
  [2595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 148),
  [2597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 152),
  [2599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 152),
  [2601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 153),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 153),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 115),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 115),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 132),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 132),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 179),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 179),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 132),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 132),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 86),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 86),
  [2691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 86),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 86),
  [2715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 147),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 147),
  [2719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6173),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8431),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8697),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8724),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8454),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5165),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 80),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 80),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7753),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 95),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 95),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2105),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1191),
  [2836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6486),
  [2839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7028),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7891),
  [2845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7818),
  [2848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2105),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1191),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6486),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7028),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7891),
  [2869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7818),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2105),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1191),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6486),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7028),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7891),
  [2905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7818),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 112),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 112),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 117),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 117),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [2950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7578),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 122),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 122),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 79),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 79),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 36),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 36),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 137),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 137),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 138),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 138),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 162),
  [3025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 162),
  [3027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 163),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 163),
  [3031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 79),
  [3033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 79),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 165),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 165),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 37),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 37),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 171),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 171),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [3062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 175),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 175),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 176),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 176),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [3089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 196),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 196),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [3101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 207),
  [3103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 207),
  [3105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [3107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [3109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7578),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7472),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [3119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 76),
  [3121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 76),
  [3123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [3131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7472),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 76),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 76),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 77),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 77),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 78),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 78),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 164),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 164),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8050),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5738),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8572),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7733),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6910),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 79),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [3274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 79),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [3308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2149),
  [3311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1333),
  [3314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6478),
  [3317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6979),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [3330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3838),
  [3333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8050),
  [3336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5738),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7940),
  [3344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7733),
  [3347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4781),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8023),
  [3353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2836),
  [3356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5247),
  [3359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5247),
  [3362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(612),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3055),
  [3368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3708),
  [3371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3155),
  [3374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [3377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [3380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5451),
  [3383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7783),
  [3386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [3389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7596),
  [3392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2307),
  [3395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8413),
  [3398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1619),
  [3401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [3404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8409),
  [3407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2657),
  [3410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6220),
  [3413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5051),
  [3416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5052),
  [3419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5053),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [3425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8597),
  [3428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4146),
  [3431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5158),
  [3434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6910),
  [3437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [3440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1595),
  [3443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8321),
  [3446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6432),
  [3449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8658),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [3488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8101),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [3522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8630),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7777),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6933),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8665),
  [3544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7904),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8159),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6417),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8641),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [3602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7904),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5722),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8159),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [3614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(771),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2969),
  [3620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3694),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2971),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6889),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1597),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6417),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8641),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8101),
  [3651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5741),
  [3654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8630),
  [3657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7777),
  [3660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(775),
  [3663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3063),
  [3666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3710),
  [3669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3045),
  [3672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6933),
  [3675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1598),
  [3678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6391),
  [3681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8665),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6891),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [3750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6212),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5765),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2145),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1491),
  [3800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6499),
  [3803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6967),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2219),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1256),
  [3812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6509),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6891),
  [3818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8671),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8666),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [3836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8645),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8654),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8651),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6936),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8634),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8668),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8659),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6924),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8662),
  [3876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [3878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [4012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(140),
  [4029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1424),
  [4032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1344),
  [4035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1344),
  [4038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5719),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [4043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7546),
  [4046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1639),
  [4049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(142),
  [4052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1417),
  [4055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1346),
  [4058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6515),
  [4061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4065] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(275),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [4084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [4091] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [4103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2262),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(159),
  [4109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1483),
  [4112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1483),
  [4115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1467),
  [4118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6501),
  [4121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1484),
  [4124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1154),
  [4127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8435),
  [4130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8073),
  [4133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8123),
  [4136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6698),
  [4139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4193),
  [4142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7278),
  [4145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6954),
  [4148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3794),
  [4151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3784),
  [4154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1486),
  [4157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7834),
  [4160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1487),
  [4163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5010),
  [4166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5364),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(335),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [4228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2105),
  [4231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(139),
  [4234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [4237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1190),
  [4243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2704),
  [4246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [4249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6486),
  [4252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5719),
  [4260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7028),
  [4263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1272),
  [4266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [4269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8435),
  [4272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8073),
  [4275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8123),
  [4278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6698),
  [4281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4193),
  [4284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7278),
  [4287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6954),
  [4290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3794),
  [4293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3784),
  [4296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7891),
  [4299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6507),
  [4302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7818),
  [4305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [4308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7834),
  [4311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [4314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4987),
  [4317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5364),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [4418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8670),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7871),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7873),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8354),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [4460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8588),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8271),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8591),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8286),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [4476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8653),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8415),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8250),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8564),
  [4490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8290),
  [4493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8346),
  [4496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8377),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [4507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 189),
  [4513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [4517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 151),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [4521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 106),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 106),
  [4529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 79),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [4547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8258),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8080),
  [4555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7882),
  [4558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7893),
  [4561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7899),
  [4564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7992),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [4571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8006),
  [4574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8117),
  [4577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8140),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [4594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8243),
  [4597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8307),
  [4600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8314),
  [4603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8389),
  [4606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8428),
  [4609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8469),
  [4612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8488),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8559),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8567),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7856),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8656),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8661),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8720),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8704),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8337),
  [4647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7975),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7863),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7838),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7853),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8391),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8313),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8558),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7944),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [4810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 33),
  [4842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 33), REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 33),
  [4849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 33), REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 33), SHIFT(315),
  [4855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [4857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [4859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [4864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [4866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [4889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 33), SHIFT(276),
  [4892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(276),
  [4895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [4903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [4910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8505),
  [4913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(328),
  [4916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(332),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [4929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1546),
  [4936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(301),
  [4939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [4941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [4945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [4947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8505),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [4957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2187),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [4962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [4968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2201),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [4981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [4983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [4985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [4989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8490),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [5031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 174),
  [5037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 174),
  [5039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1615),
  [5058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8490),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8525),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [5087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1623),
  [5090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8525),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5120),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8521),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [5143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [5149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5136),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [5167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1619),
  [5170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8409),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [5185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1611),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5112),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [5206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1642),
  [5209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8521),
  [5212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1640),
  [5215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8430),
  [5218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1618),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7021),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [5229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1626),
  [5232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [5235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(330),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [5240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7568),
  [5243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [5249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [5255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 146),
  [5261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 146),
  [5263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6993),
  [5273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7820),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [5295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [5298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8451),
  [5301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [5305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 209),
  [5307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 209),
  [5309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [5311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [5315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 208),
  [5321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 208),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7898),
  [5331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 33), SHIFT(328),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8470),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5772),
  [5350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8198),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8200),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 33),
  [5378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 33),
  [5380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 79),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 79),
  [5416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 80),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 80),
  [5420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 181),
  [5430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 181),
  [5432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 182),
  [5434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 182),
  [5436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 79),
  [5442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 79),
  [5444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 195),
  [5450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 195),
  [5452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 199),
  [5458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 199),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 181),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 181),
  [5464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 200),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 200),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 182),
  [5470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 182),
  [5472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 176),
  [5474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 176),
  [5476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 195),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 195),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 199),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 199),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 200),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 200),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 209),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 209),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 97),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 97),
  [5512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [5522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 103),
  [5528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 103),
  [5530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 144),
  [5540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 144),
  [5542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7583),
  [5545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 142),
  [5547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 142),
  [5549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [5563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [5565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8430),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [5571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 143),
  [5573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 143),
  [5575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 33), SHIFT(339),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7518),
  [5580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3418),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [5595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 100),
  [5597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 100),
  [5599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3425),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [5606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7518),
  [5609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(347),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [5648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 102),
  [5654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 102),
  [5656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [5674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [5686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 33), SHIFT(330),
  [5689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 91),
  [5691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 91),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [5699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [5701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34), SHIFT(330),
  [5712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [5718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [5742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2209),
  [5745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8514),
  [5748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 35),
  [5760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 35),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [5766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 45),
  [5772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 45),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [5776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 75),
  [5778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 75),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [5782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [5784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [5786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, 0, 45),
  [5788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 45),
  [5790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, -1, 75),
  [5792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 75),
  [5794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1901),
  [5797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 35),
  [5803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 35),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [5813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1937),
  [5816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6915),
  [5819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7832),
  [5822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 99),
  [5824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 99),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [5828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [5842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(315),
  [5848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [5855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [5875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 97),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 97),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8429),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [5889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8514),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [5919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [5934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6998),
  [5937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7819),
  [5940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [5942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [5944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 100),
  [5946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 100),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [5950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [5956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 143),
  [5958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 143),
  [5960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 103),
  [5962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 103),
  [5964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(342),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [5973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(7491),
  [5976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(8476),
  [5979] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(5947),
  [5983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [5987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 170),
  [5989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 170),
  [5991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2155),
  [5998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [6000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [6004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(5947),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [6009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [6011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [6013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 142),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 142),
  [6021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 85),
  [6023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 85),
  [6025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [6027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [6029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [6031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(339),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [6040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [6042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5439),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [6056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [6062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [6082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [6084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [6090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2206),
  [6093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6930),
  [6096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7828),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 87),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 87),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [6105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2211),
  [6108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [6110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [6112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 2, 0, 0),
  [6114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 2, 0, 0),
  [6117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7529),
  [6124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 172),
  [6134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 172),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [6140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 111),
  [6142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 111),
  [6144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 118),
  [6150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 118),
  [6152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [6154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [6156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 135),
  [6158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 135),
  [6160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0),
  [6162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 1, 0, 0),
  [6165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [6177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 119),
  [6179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 119),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [6183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 166),
  [6185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 166),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [6191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2572),
  [6194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1619),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [6199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8409),
  [6202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [6208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(330),
  [6215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [6221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2555),
  [6228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1619),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [6233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8409),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [6246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120),
  [6248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120),
  [6250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(330),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [6259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8079),
  [6269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [6279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [6285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 33),
  [6295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 33),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [6299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 166),
  [6301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 166),
  [6303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [6307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(330),
  [6318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [6326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8450),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [6336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [6362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [6368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2365),
  [6371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7026),
  [6374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7468),
  [6377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 84),
  [6379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 84),
  [6381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 192),
  [6383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 192),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [6389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [6395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 193),
  [6397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 193),
  [6399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 178),
  [6401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 178),
  [6403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 213),
  [6409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 213),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8513),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [6417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 84),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 84),
  [6445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [6463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [6465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [6471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 107),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 107),
  [6483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 214),
  [6497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 214),
  [6499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 205),
  [6513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 205),
  [6515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 167),
  [6521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 167),
  [6523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 154),
  [6557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 154),
  [6559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 156),
  [6561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 156),
  [6563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 157),
  [6565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 157),
  [6567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 217),
  [6569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 217),
  [6571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 206),
  [6573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 206),
  [6575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 190),
  [6577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 190),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [6583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [6606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [6609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [6612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8198),
  [6615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7790),
  [6618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8200),
  [6621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8400),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [6626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(966),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [6631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34), SHIFT(328),
  [6638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [6652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [6654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34), SHIFT(339),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [6681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [6684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6896),
  [6687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7816),
  [6690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2587),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8504),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [6707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [6721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [6727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [6737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34), SHIFT(342),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [6770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [6784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [6820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [6822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 121),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [6826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 121),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [6830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 173),
  [6836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 173),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [6846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [6888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [6894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [6896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5393),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [6907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8399),
  [6910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8399),
  [6913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7496),
  [6916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6709),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [6928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5772),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [6935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5419),
  [6938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [6956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [6960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6630),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [6990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7790),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [6995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6709),
  [6998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6709),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [7005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [7007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [7013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [7015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [7059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [7065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [7067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [7075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [7079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [7081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [7083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [7089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [7117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [7119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [7123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [7131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [7139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8399),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [7151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [7153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5457),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [7166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [7222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8138),
  [7225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8138),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [7232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [7234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [7236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [7246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 130),
  [7248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 130),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [7252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5408),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [7257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [7273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5946),
  [7276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5463),
  [7279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7557),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [7286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5411),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [7291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [7293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(982),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6529),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6535),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [7322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [7328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [7330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(328),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [7335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [7341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [7343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [7345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [7349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [7355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [7357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [7369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [7372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7058),
  [7375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7831),
  [7378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7577),
  [7381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(276),
  [7384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(315),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [7389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(328),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [7396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5414),
  [7399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 108),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [7409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [7471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [7473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [7475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [7483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [7485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [7491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [7497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [7499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [7501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8619),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [7553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(328),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [7562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(339),
  [7565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [7567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(339),
  [7570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [7582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [7586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [7598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [7614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 4, 0, 136),
  [7616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3715),
  [7623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3717),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [7628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2960),
  [7635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3294),
  [7638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [7641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8198),
  [7644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7790),
  [7647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8200),
  [7650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8400),
  [7653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4146),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [7662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1619),
  [7665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3302),
  [7668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [7671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [7674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7783),
  [7677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [7680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8409),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [7693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [7695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [7707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [7709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(339),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [7716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5342),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [7722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3402),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [7735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [7737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [7739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34), SHIFT(347),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5443),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [7755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5447),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [7759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [7765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3492),
  [7768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7005),
  [7771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7826),
  [7774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture, 2, 0, 0),
  [7776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture, 2, 0, 0),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [7781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [7787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [7789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [7791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [7795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [7811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [7817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [7847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3962),
  [7850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8471),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6233),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4584),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8492),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5227),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [7877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [7881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [7883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [7887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [7891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [7893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8515),
  [7897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [7903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [7905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [7913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [7915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [7917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [7921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [7923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [7927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5073),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [7937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34), SHIFT(301),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [7946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [7956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7790),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [7991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3991),
  [7994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4001),
  [7997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [8001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [8015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [8017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3962),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [8022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8471),
  [8025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [8035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [8037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3962),
  [8040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [8042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8471),
  [8045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [8049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [8065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5624),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5689),
  [8073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [8075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [8077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [8083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34), SHIFT(332),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [8106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [8108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [8110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [8112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [8122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5951),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [8128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5779),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [8168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5766),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [8186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [8196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [8202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4013),
  [8205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [8207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4268),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [8212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8528),
  [8215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [8223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [8227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4268),
  [8230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [8232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8528),
  [8235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [8237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [8247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [8251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [8255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [8265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [8267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [8269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [8275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6741),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [8283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5919),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [8289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 141),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [8293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 141),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [8303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [8309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [8311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6270),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [8317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [8319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4268),
  [8322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8528),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [8329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5921),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [8333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [8341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4243),
  [8344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [8353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1640),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [8358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8430),
  [8361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1619),
  [8364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4133),
  [8367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [8370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [8373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7576),
  [8376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8405),
  [8379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8409),
  [8382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [8416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [8438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [8442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [8450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1640),
  [8457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8430),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [8472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2209),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [8477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8514),
  [8480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [8487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [8494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4211),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [8499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5423),
  [8501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2209),
  [8504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8514),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [8513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [8517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [8523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [8527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [8531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [8547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 175),
  [8553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 175),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [8559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [8573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [8607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [8611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [8621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [8625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [8629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [8649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [8673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 139), SHIFT(1118),
  [8676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 139),
  [8678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1118),
  [8681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 82),
  [8683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [8711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [8725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 113),
  [8727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 184),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [8747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8399),
  [8750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8399),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [8781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [8785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [8791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [8795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [8799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [8815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [8821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 3, 0, 82),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [8845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 160),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [8851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 195),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [8855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 140),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [8869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 201),
  [8871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [8873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 150),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [8879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [8887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [8899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 5, 0, 180),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [8917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [8921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [8923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 188),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [8967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [9080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [9082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [9084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 83),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [9088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [9090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8399),
  [9093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8399),
  [9096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7496),
  [9099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [9101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5772),
  [9104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5419),
  [9107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 187),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [9119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 202),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [9131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture, 1, 0, 0),
  [9133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture, 1, 0, 0),
  [9136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6709),
  [9139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6709),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [9146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7790),
  [9149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5457),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [9156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5002),
  [9159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5003),
  [9162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5001),
  [9165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5408),
  [9168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8138),
  [9171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8138),
  [9174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5946),
  [9177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5463),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [9182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5411),
  [9185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [9189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [9193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(5024),
  [9196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(5025),
  [9199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(5023),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [9222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [9224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8399),
  [9227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8399),
  [9230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7496),
  [9233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [9235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5772),
  [9238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5419),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [9243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5414),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [9254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(974),
  [9257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6709),
  [9260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6709),
  [9263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7790),
  [9266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5457),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [9273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [9277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [9285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [9287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [9291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5047),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [9325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [9327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [9333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [9335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5408),
  [9338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5946),
  [9341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5463),
  [9344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5411),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [9351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [9355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [9357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [9359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [9361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5064),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8474),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [9369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [9375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [9379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [9381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [9385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(1901),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [9396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [9406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8506),
  [9408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5208),
  [9410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(1901),
  [9413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8138),
  [9416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8138),
  [9419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [9423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [9425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [9427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [9429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [9431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [9433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5039),
  [9435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [9437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [9439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5212),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [9445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6182),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5209),
  [9451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(5021),
  [9454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 35), SHIFT(5022),
  [9457] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(1901),
  [9461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5251),
  [9464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5251),
  [9467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5252),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4991),
  [9472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5443),
  [9479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(1901),
  [9482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 35), SHIFT(1901),
  [9485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 45), SHIFT(5032),
  [9488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 75), SHIFT(5033),
  [9491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0), SHIFT(1901),
  [9494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 45), SHIFT(1901),
  [9497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 75), SHIFT(1901),
  [9500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [9502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [9504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [9506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [9508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [9512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [9514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [9518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [9520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [9522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [9524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [9528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [9530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [9532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5414),
  [9535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [9537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [9539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [9541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 2, 0, 57),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [9547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 1, 0, 23),
  [9549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 1, 0, 0),
  [9551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4988),
  [9558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5443),
  [9561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8399),
  [9570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8399),
  [9573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7496),
  [9576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5772),
  [9581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5419),
  [9584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7790),
  [9587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6709),
  [9590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6709),
  [9593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5457),
  [9596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8138),
  [9599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8138),
  [9602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5408),
  [9605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5946),
  [9608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5411),
  [9611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5463),
  [9614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5414),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [9621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [9623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [9629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [9631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7055),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [9649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [9657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6920),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [9665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [9667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [9683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5443),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [9702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [9720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [9722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7006),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [9728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [9730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6974),
  [9732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [9738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [9744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [9746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [9748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [9750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [9752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [9756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [9758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [9760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6164),
  [9762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [9766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [9768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [9770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6178),
  [9772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [9778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [9780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [9782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [9784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [9786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5772),
  [9793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5457),
  [9796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [9802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [9804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [9806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [9808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [9818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [9820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5772),
  [9823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5457),
  [9826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [9828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6390),
  [9830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [9832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6839),
  [9834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [9836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [9840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [9842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [9844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [9848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5353),
  [9852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [9856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [9860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [9862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [9866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6862),
  [9872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [9874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [9880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7339),
  [9882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [9884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [9900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [9908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [9912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [9928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5644),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [9934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [9956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [9966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5614),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [9980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5772),
  [9987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [9989] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [9993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5419),
  [9996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [10000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [10002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6561),
  [10010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [10014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [10016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [10018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [10020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [10032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5419),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [10041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [10043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [10047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6685),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7303),
  [10059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [10061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7285),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [10067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [10073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [10075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [10079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [10083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7154),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [10089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [10091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [10093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [10097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7419),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [10103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [10109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [10111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [10121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [10123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [10127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [10129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [10133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [10137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [10139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [10147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7619),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [10151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5653),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [10165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [10169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [10179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [10209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [10217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [10219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [10227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7239),
  [10229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7496),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [10250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7302),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [10282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6592),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [10288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [10290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [10298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [10302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [10304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [10316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [10318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [10334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [10340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [10342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7165),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [10346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 39),
  [10348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 39),
  [10350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5633),
  [10352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [10354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5645),
  [10356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5649),
  [10358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5650),
  [10360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5652),
  [10362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [10364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5659),
  [10366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [10368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [10374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5637),
  [10376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6984),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [10380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [10386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 172),
  [10388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 172),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [10394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [10396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [10404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6653),
  [10406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7076),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [10414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [10416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [10420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [10426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [10432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7362),
  [10434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 129),
  [10450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 129),
  [10452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 177),
  [10458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 177),
  [10460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [10462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [10468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 118),
  [10470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 118),
  [10472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [10478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [10480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7576),
  [10483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [10485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5946),
  [10488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5411),
  [10491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5946),
  [10494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5411),
  [10497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6229),
  [10499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6843),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [10507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [10509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [10511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [10513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5946),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [10518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7648),
  [10520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6318),
  [10522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5941),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [10530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8198),
  [10539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8400),
  [10544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5935),
  [10547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6962),
  [10550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7824),
  [10553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [10555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [10559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [10561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8272),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [10566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6853),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [10588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5463),
  [10595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 38),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [10599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 38),
  [10601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 81),
  [10611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 81),
  [10613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [10619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [10621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5463),
  [10628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 131),
  [10630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 4, 0, 131),
  [10632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 85),
  [10634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 85),
  [10636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [10640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [10652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [10664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [10668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [10670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [10672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5408),
  [10675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 118),
  [10677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 118),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [10681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [10685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 172),
  [10687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 172),
  [10689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [10695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [10697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [10699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [10701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [10703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [10713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5414),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [10718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [10726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [10734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6842),
  [10736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 85),
  [10738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 85),
  [10740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 170),
  [10742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 170),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [10746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6827),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [10750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 170),
  [10756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 5, 1, 170),
  [10758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [10770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6822),
  [10772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 79),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [10784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 85),
  [10786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 4, 1, 85),
  [10788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [10804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6345),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [10824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6362),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6332),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [10862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6340),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [10880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5414),
  [10883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6350),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6351),
  [10889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6336),
  [10891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6365),
  [10893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6343),
  [10895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5408),
  [10898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6353),
  [10900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6358),
  [10902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6339),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [10912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [10914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7851),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [10918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6716),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [10922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [10924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [10928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [10938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6675),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [10946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 101),
  [10948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 101),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [10952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 2, 0, 23),
  [10954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 3, 0, 57),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [10960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [10966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5443),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [10977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [10991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6850),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [10995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [11001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [11003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 172),
  [11005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 172),
  [11007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [11009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [11011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [11013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [11015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 118),
  [11017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 118),
  [11019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [11021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6584),
  [11025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6556),
  [11027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [11037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [11041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6505),
  [11043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 2, 0, 0),
  [11045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7121),
  [11048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5700),
  [11051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8699),
  [11054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7683),
  [11057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 79),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [11063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [11067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6625),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6579),
  [11071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 79),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [11075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6612),
  [11081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6559),
  [11083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 79),
  [11085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5443),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6641),
  [11094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6563),
  [11096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [11098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6596),
  [11102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6551),
  [11104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6562),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [11118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [11120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [11124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [11126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [11128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [11130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [11132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [11136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [11138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [11140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [11142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [11144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [11146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [11150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [11152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [11154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [11156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [11158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [11166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [11168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [11172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [11174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [11188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [11192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7499),
  [11196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6935),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [11200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8217),
  [11202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [11204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7213),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [11208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [11212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7656),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [11216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7170),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [11228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [11232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7470),
  [11234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [11236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7572),
  [11238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7802),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7772),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [11250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [11252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [11254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [11256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [11258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7319),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6876),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7140),
  [11268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [11270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7587),
  [11272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6968),
  [11274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6980),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [11278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [11280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7235),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [11286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6923),
  [11288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [11292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7182),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [11296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [11298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [11300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [11302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6882),
  [11304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [11306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [11308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [11322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [11324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [11332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(5947),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [11337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 3, 0, 23),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [11343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 4, 0, 23),
  [11345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 4, 0, 57),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [11353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [11355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [11359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [11371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7121),
  [11374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [11380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6591),
  [11383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [11405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 5, 0, 57),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [11409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7265),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [11413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [11417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [11419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6844),
  [11422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 56),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [11432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [11444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 66),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [11452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1279),
  [11455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [11457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(8334),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [11462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7452),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [11474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [11478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [11498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [11504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 176),
  [11506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 176),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [11526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 3, 0, 0),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [11532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 79),
  [11536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 79),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [11546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 4, 0, 0),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [11618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [11620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [11622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 79),
  [11624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 79),
  [11626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [11628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [11636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 80),
  [11638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 80),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [11652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7554),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [11658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7130),
  [11660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 159),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [11684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [11686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [11694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7492),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [11702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116), SHIFT_REPEAT(5763),
  [11705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116),
  [11707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [11735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7532),
  [11737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183), SHIFT_REPEAT(5911),
  [11740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183),
  [11742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183),
  [11744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 194),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [11754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [11758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [11760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7597),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [11774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 88),
  [11776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 2, 0, 88),
  [11778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [11796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [11800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7046),
  [11802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [11806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [11810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [11820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [11828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8496),
  [11830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [11836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7846),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [11842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7057),
  [11844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [11846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6894),
  [11851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6894),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [11856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [11860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6947),
  [11862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 92),
  [11864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [11870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 203), SHIFT_REPEAT(6585),
  [11873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 203),
  [11875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [11883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 211),
  [11885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [11887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [11889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [11895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6986),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [11901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [11907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [11919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [11923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [11925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [11929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6951),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [11933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8064),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [11941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 191),
  [11943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7010),
  [11949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [11953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6966),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [11957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7938),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [11965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [11967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [11969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [11971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 33),
  [11973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [11977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 155),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3367),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [11983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6925),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [11989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [11995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [11997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [12001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6972),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [12005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [12007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [12013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 191),
  [12015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [12017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [12019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 155),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [12031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8590),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [12035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [12039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6997),
  [12041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 204),
  [12043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [12055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [12059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [12061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [12063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [12065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [12077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [12081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [12089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8112),
  [12091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [12093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [12101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [12105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [12111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [12113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [12117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [12121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [12125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 215), SHIFT_REPEAT(6112),
  [12128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 215),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [12134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [12144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [12146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 203), SHIFT_REPEAT(6647),
  [12149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 203),
  [12151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [12155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6887),
  [12157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [12159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [12161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [12163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7046),
  [12166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 198),
  [12168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 198),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [12172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [12174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [12178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [12180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5770),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [12188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [12192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [12196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7887),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [12228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3736),
  [12231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [12241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [12259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [12263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [12273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7052),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [12287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [12293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [12329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [12332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [12336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 216),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [12354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1736),
  [12357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [12375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [12385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 155),
  [12387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1673),
  [12390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [12396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [12398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 145),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [12406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6249),
  [12409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [12413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [12419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 116), SHIFT_REPEAT(5198),
  [12422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 116),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [12426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [12432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1036),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [12505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [12508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [12522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 210),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [12532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5729),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [12537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6886),
  [12539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7731),
  [12542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [12550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [12562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 218), SHIFT_REPEAT(8510),
  [12565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 218),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [12613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 204),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [12619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6961),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [12653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6919),
  [12655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [12659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 212),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [12665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6965),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [12693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [12695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(998),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [12722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7025),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [12734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 219),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [12738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [12742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [12748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6949),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [12752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [12754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6994),
  [12756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [12760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [12764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 96),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [12774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 155),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [12778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 219),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [12782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8476),
  [12785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [12815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(962),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [12838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5909),
  [12841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [12849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3688),
  [12852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [12864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 5, 0, 23),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [12868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 210),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [12878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [12892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 197),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [12900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [12908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [12924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5868),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [12967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(375),
  [12970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 6, 0, 57),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [12980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 101),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [12986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [12990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [12994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [13010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 92),
  [13012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [13018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_parameter_pack_expansion, 2, 0, 28),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [13028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7912),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [13044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [13052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [13056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 101),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [13062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8147),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [13066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8165),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [13080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [13090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8339),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [13096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [13098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [13102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7885),
  [13104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [13106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [13112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8475),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [13118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8392),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [13124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8214),
  [13126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 212),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [13130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7878),
  [13132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 168),
  [13134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [13138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 158),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [13144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8541),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [13148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8097),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [13152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [13154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [13160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8297),
  [13162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [13174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7880),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [13192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [13252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [13340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [13366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 176),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [13394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [13398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 80),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [13434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 176),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [13444] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [13468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 176),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [13482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [13492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8300),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [13499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [13525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [13565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [13585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [13671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 176),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [13851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [13959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 7, 0, 57),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [13973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [13989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [13991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 80),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [14065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [14071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 5, 0, 0),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [14105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 176),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [14157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [14175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [14249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_declarator, 6, 0, 23),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [14307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 79),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [14367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [14385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 80),
  [14387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 80),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [14403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [14409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [14411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [14423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 80),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
